/*===========================================================================*/
/*   (Ast/hrtype.scm)                                                        */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/hrtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_hrtypezd2nodez12zd2extern3172z12zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2appzd2ly3168zc0zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2boxzd2ref3196zc0zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl__hrtypezd2nodez12zd2default3153z12zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_hrtypezd2nodez12zd2app3166z12zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_hrtypez00();
	static obj_t BGl__hrtypezd2nodez123431zc0zzast_hrtypez00(obj_t, obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2setzd2exzd23188z12zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2atom3156z12zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2letzd2fun3184zc0zzast_hrtypez00(obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2select3182z12zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2closure3162z12zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_hrtypezd2nodez12zd2letzd2var3186zc0zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2jumpzd2ex3190zc0zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2var3160z12zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_hrtypezd2nodez12zd2sequenc3164z12zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2boxzd2set3194zc0zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_closurez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2cast3174z12zzast_hrtypez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_hrtypez00();
	extern obj_t BGl_setqz00zzast_nodez00;
	static bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_hrtypezd2nodez12zd2makezd2bo3192zc0zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_hrtypez00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzast_hrtypez00();
	BGL_EXPORTED_DECL obj_t
		BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_hrtypezd2nodez12zd2setq3176z12zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
	static obj_t
		BGl_hrtypezd2nodez12zd2default3153z12zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_hrtypezd2nodez12zd2funcall3170z12zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_hrtypezd2nodez12zd2fail3180z12zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_hrtypezd2nodez12zd2kwote3158z12zzast_hrtypez00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_hrtypezd2nodez12zd2conditi3178z12zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t
		BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
		BgL_bgl__hrtypeza7d2nodeza713462z00,
		BGl__hrtypezd2nodez123431zc0zzast_hrtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_hrtypezd2nodez12zd2default3153zd2envzc0zzast_hrtypez00,
		BgL_bgl__hrtypeza7d2nodeza713463z00,
		BGl__hrtypezd2nodez12zd2default3153z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3433z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123464z00,
		BGl_hrtypezd2nodez12zd2atom3156z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3434z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123465z00,
		BGl_hrtypezd2nodez12zd2kwote3158z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3435z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123466z00,
		BGl_hrtypezd2nodez12zd2var3160z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3436z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123467z00,
		BGl_hrtypezd2nodez12zd2closure3162z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3437z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123468z00,
		BGl_hrtypezd2nodez12zd2sequenc3164z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3438z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123469z00,
		BGl_hrtypezd2nodez12zd2app3166z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3440z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123470z00,
		BGl_hrtypezd2nodez12zd2funcall3170z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3439z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123471z00,
		BGl_hrtypezd2nodez12zd2appzd2ly3168zc0zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3441z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123472z00,
		BGl_hrtypezd2nodez12zd2extern3172z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3442z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123473z00,
		BGl_hrtypezd2nodez12zd2cast3174z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3443z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123474z00,
		BGl_hrtypezd2nodez12zd2setq3176z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3444z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123475z00,
		BGl_hrtypezd2nodez12zd2conditi3178z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3445z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123476z00,
		BGl_hrtypezd2nodez12zd2fail3180z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3446z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123477z00,
		BGl_hrtypezd2nodez12zd2select3182z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3447z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123478z00,
		BGl_hrtypezd2nodez12zd2letzd2fun3184zc0zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3448z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123479z00,
		BGl_hrtypezd2nodez12zd2letzd2var3186zc0zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3450z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123480z00,
		BGl_hrtypezd2nodez12zd2jumpzd2ex3190zc0zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3449z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123481z00,
		BGl_hrtypezd2nodez12zd2setzd2exzd23188z12zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3451z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123482z00,
		BGl_hrtypezd2nodez12zd2makezd2bo3192zc0zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3452z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123483z00,
		BGl_hrtypezd2nodez12zd2boxzd2set3194zc0zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3453z00zzast_hrtypez00,
		BgL_bgl_hrtypeza7d2nodeza7123484z00,
		BGl_hrtypezd2nodez12zd2boxzd2ref3196zc0zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3432z00zzast_hrtypez00,
		BgL_bgl_string3432za700za7za7a3485za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3454z00zzast_hrtypez00,
		BgL_bgl_string3454za700za7za7a3486za7, "hrtype-node!", 12);
	      DEFINE_STRING(BGl_string3455z00zzast_hrtypez00,
		BgL_bgl_string3455za700za7za7a3487za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string3456z00zzast_hrtypez00,
		BgL_bgl_string3456za700za7za7a3488za7, "heap", 4);
	      DEFINE_STRING(BGl_string3457z00zzast_hrtypez00,
		BgL_bgl_string3457za700za7za7a3489za7, "Can't find library variable", 27);
	      DEFINE_STRING(BGl_string3458z00zzast_hrtypez00,
		BgL_bgl_string3458za700za7za7a3490za7, "ast_hrtype", 10);
	      DEFINE_STRING(BGl_string3459z00zzast_hrtypez00,
		BgL_bgl_string3459za700za7za7a3491za7,
		"static sifun hrtype-node!-default3153 ", 38);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long
		BgL_checksumz00_2322, char *BgL_fromz00_2323)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_hrtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_hrtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
					BGl_cnstzd2initzd2zzast_hrtypez00();
					BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
					BGl_genericzd2initzd2zzast_hrtypez00();
					BGl_methodzd2initzd2zzast_hrtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_hrtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			{	/* Ast/hrtype.scm 17 */
				obj_t BgL_cportz00_2311;

				BgL_cportz00_2311 =
					bgl_open_input_string(BGl_string3459z00zzast_hrtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2312;

					BgL_iz00_2312 = ((long) 2);
				BgL_loopz00_2313:
					if ((BgL_iz00_2312 == ((long) -1)))
						{	/* Ast/hrtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/hrtype.scm 17 */
							{	/* Ast/hrtype.scm 17 */
								obj_t BgL_arg3461z00_2315;

								{	/* Ast/hrtype.scm 17 */

									{	/* Ast/hrtype.scm 17 */
										obj_t BgL_locationz00_2317;

										BgL_locationz00_2317 = BBOOL(((bool_t) 0));
										{	/* Ast/hrtype.scm 17 */

											BgL_arg3461z00_2315 =
												BGl_readz00zz__readerz00(BgL_cportz00_2311,
												BgL_locationz00_2317);
										}
									}
								}
								{	/* Ast/hrtype.scm 17 */
									int BgL_auxz00_2341;

									BgL_auxz00_2341 = (int) (BgL_iz00_2312);
									CNST_TABLE_SET(BgL_auxz00_2341, BgL_arg3461z00_2315);
							}}
							{	/* Ast/hrtype.scm 17 */
								int BgL_auxz00_2318;

								BgL_auxz00_2318 = (int) ((BgL_iz00_2312 - ((long) 1)));
								{
									long BgL_iz00_2346;

									BgL_iz00_2346 = (long) (BgL_auxz00_2318);
									BgL_iz00_2312 = BgL_iz00_2346;
									goto BgL_loopz00_2313;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}
	}



/* hrtype-node*! */
	bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t BgL_nodeza2za2_24)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 256 */
			{
				obj_t BgL_l3151z00_768;

				BgL_l3151z00_768 = BgL_nodeza2za2_24;
			BgL_zc3anonymousza33197ze3z83_769:
				if (PAIRP(BgL_l3151z00_768))
					{	/* Ast/hrtype.scm 257 */
						{	/* Ast/hrtype.scm 257 */
							obj_t BgL_arg3199z00_771;

							BgL_arg3199z00_771 = CAR(BgL_l3151z00_768);
							{	/* Ast/hrtype.scm 257 */
								BgL_nodez00_bglt BgL_nodez00_1404;

								BgL_nodez00_1404 = (BgL_nodez00_bglt) (BgL_arg3199z00_771);
								{	/* Ast/hrtype.scm 257 */
									obj_t BgL_method3154z00_1405;

									{	/* Ast/hrtype.scm 257 */
										BgL_objectz00_bglt BgL_objz00_1406;

										BgL_objz00_1406 = (BgL_objectz00_bglt) (BgL_nodez00_1404);
										{	/* Ast/hrtype.scm 257 */
											long BgL_objzd2classzd2numz00_1407;

											BgL_objzd2classzd2numz00_1407 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1406);
											{	/* Ast/hrtype.scm 257 */
												obj_t BgL_arg2422z00_1408;

												BgL_arg2422z00_1408 =
													PROCEDURE_REF
													(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
													(int) (((long) 1)));
												{	/* Ast/hrtype.scm 257 */
													obj_t BgL_arrayz00_1410;

													int BgL_offsetz00_1411;

													BgL_arrayz00_1410 = BgL_arg2422z00_1408;
													BgL_offsetz00_1411 =
														(int) (BgL_objzd2classzd2numz00_1407);
													{	/* Ast/hrtype.scm 257 */
														long BgL_offsetz00_1412;

														BgL_offsetz00_1412 =
															((long) (BgL_offsetz00_1411) - OBJECT_TYPE);
														{	/* Ast/hrtype.scm 257 */
															long BgL_modz00_1413;

															{	/* Ast/hrtype.scm 257 */
																int BgL_arg2424z00_1414;

																BgL_arg2424z00_1414 = (int) (((long) 8));
																{	/* Ast/hrtype.scm 257 */
																	long BgL_auxz00_2360;

																	BgL_auxz00_2360 =
																		(long) (BgL_arg2424z00_1414);
																	BgL_modz00_1413 =
																		(BgL_offsetz00_1412 / BgL_auxz00_2360);
															}}
															{	/* Ast/hrtype.scm 257 */
																long BgL_restz00_1415;

																{	/* Ast/hrtype.scm 257 */
																	int BgL_arg2423z00_1416;

																	BgL_arg2423z00_1416 = (int) (((long) 8));
																	{	/* Ast/hrtype.scm 257 */
																		long BgL_auxz00_2364;

																		BgL_auxz00_2364 =
																			(long) (BgL_arg2423z00_1416);
																		BgL_restz00_1415 =
																			(BgL_offsetz00_1412 % BgL_auxz00_2364);
																}}
																{	/* Ast/hrtype.scm 257 */

																	BgL_method3154z00_1405 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1410,
																			(int) (BgL_modz00_1413)),
																		(int) (BgL_restz00_1415));
									}}}}}}}}
									PROCEDURE_ENTRY(BgL_method3154z00_1405)
										(BgL_method3154z00_1405, (obj_t) (BgL_nodez00_1404), BEOA);
						}}}
						{
							obj_t BgL_l3151z00_2374;

							BgL_l3151z00_2374 = CDR(BgL_l3151z00_768);
							BgL_l3151z00_768 = BgL_l3151z00_2374;
							goto BgL_zc3anonymousza33197ze3z83_769;
						}
					}
				else
					{	/* Ast/hrtype.scm 257 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* restore-variable-type! */
	obj_t BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt
		BgL_variablez00_25)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 262 */
			{	/* Ast/hrtype.scm 263 */
				BgL_typez00_bglt BgL_typez00_774;

				BgL_typez00_774 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_25))->BgL_typez00);
				{	/* Ast/hrtype.scm 264 */
					bool_t BgL_testz00_2377;

					{	/* Ast/hrtype.scm 264 */
						obj_t BgL_obj1437z00_1432;

						BgL_obj1437z00_1432 = (obj_t) (BgL_typez00_774);
						BgL_testz00_2377 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1437z00_1432,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_2377)
						{	/* Ast/hrtype.scm 265 */
							BgL_typez00_bglt BgL_arg3202z00_776;

							{	/* Ast/hrtype.scm 265 */
								obj_t BgL_arg3203z00_777;

								BgL_arg3203z00_777 =
									(((BgL_typez00_bglt) CREF(BgL_typez00_774))->BgL_idz00);
								BgL_arg3202z00_776 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg3203z00_777);
							}
							return
								((((BgL_variablez00_bglt) CREF(BgL_variablez00_25))->
									BgL_typez00) =
								((BgL_typez00_bglt) BgL_arg3202z00_776), BUNSPEC);
						}
					else
						{	/* Ast/hrtype.scm 264 */
							return BFALSE;
						}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_hrtypezd2nodez12zd2default3153zd2envzc0zzast_hrtypez00);
		}
	}



/* hrtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt
		BgL_nodez00_1)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 32 */
			{	/* Ast/hrtype.scm 32 */
				obj_t BgL_method3154z00_1436;

				{	/* Ast/hrtype.scm 32 */
					BgL_objectz00_bglt BgL_objz00_1437;

					BgL_objz00_1437 = (BgL_objectz00_bglt) (BgL_nodez00_1);
					{	/* Ast/hrtype.scm 32 */
						long BgL_objzd2classzd2numz00_1438;

						BgL_objzd2classzd2numz00_1438 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1437);
						{	/* Ast/hrtype.scm 32 */
							obj_t BgL_arg2422z00_1439;

							BgL_arg2422z00_1439 =
								PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
								(int) (((long) 1)));
							{	/* Ast/hrtype.scm 32 */
								obj_t BgL_arrayz00_1441;

								int BgL_offsetz00_1442;

								BgL_arrayz00_1441 = BgL_arg2422z00_1439;
								BgL_offsetz00_1442 = (int) (BgL_objzd2classzd2numz00_1438);
								{	/* Ast/hrtype.scm 32 */
									long BgL_offsetz00_1443;

									BgL_offsetz00_1443 =
										((long) (BgL_offsetz00_1442) - OBJECT_TYPE);
									{	/* Ast/hrtype.scm 32 */
										long BgL_modz00_1444;

										{	/* Ast/hrtype.scm 32 */
											int BgL_arg2424z00_1445;

											BgL_arg2424z00_1445 = (int) (((long) 8));
											{	/* Ast/hrtype.scm 32 */
												long BgL_auxz00_2392;

												BgL_auxz00_2392 = (long) (BgL_arg2424z00_1445);
												BgL_modz00_1444 =
													(BgL_offsetz00_1443 / BgL_auxz00_2392);
										}}
										{	/* Ast/hrtype.scm 32 */
											long BgL_restz00_1446;

											{	/* Ast/hrtype.scm 32 */
												int BgL_arg2423z00_1447;

												BgL_arg2423z00_1447 = (int) (((long) 8));
												{	/* Ast/hrtype.scm 32 */
													long BgL_auxz00_2396;

													BgL_auxz00_2396 = (long) (BgL_arg2423z00_1447);
													BgL_restz00_1446 =
														(BgL_offsetz00_1443 % BgL_auxz00_2396);
											}}
											{	/* Ast/hrtype.scm 32 */

												BgL_method3154z00_1436 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1441,
														(int) (BgL_modz00_1444)), (int) (BgL_restz00_1446));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3154z00_1436) (BgL_method3154z00_1436,
					(obj_t) (BgL_nodez00_1), BEOA);
			}
		}
	}



/* _hrtype-node!3431 */
	obj_t BGl__hrtypezd2nodez123431zc0zzast_hrtypez00(obj_t BgL_envz00_2244,
		obj_t BgL_nodez00_2245)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 32 */
			return
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
				(BgL_nodez00_bglt) (BgL_nodez00_2245));
		}
	}



/* hrtype-node!-default3153 */
	obj_t BGl_hrtypezd2nodez12zd2default3153z12zzast_hrtypez00(BgL_nodez00_bglt
		BgL_nodez00_2)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string3432z00zzast_hrtypez00, (obj_t) (BgL_nodez00_2));
		}
	}



/* _hrtype-node!-default3153 */
	obj_t BGl__hrtypezd2nodez12zd2default3153z12zzast_hrtypez00(obj_t
		BgL_envz00_2246, obj_t BgL_nodez00_2247)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			return
				BGl_hrtypezd2nodez12zd2default3153z12zzast_hrtypez00(
				(BgL_nodez00_bglt) (BgL_nodez00_2247));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_atomz00zzast_nodez00,
				BGl_proc3433z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_kwotez00zzast_nodez00, BGl_proc3434z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_varz00zzast_nodez00,
				BGl_proc3435z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_closurez00zzast_nodez00, BGl_proc3436z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3437z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_appz00zzast_nodez00,
				BGl_proc3438z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3439z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3440z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_externz00zzast_nodez00, BGl_proc3441z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_castz00zzast_nodez00,
				BGl_proc3442z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc3443z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3444z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_failz00zzast_nodez00,
				BGl_proc3445z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_selectz00zzast_nodez00, BGl_proc3446z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3447z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3448z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3449z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3450z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3451z00zzast_hrtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3452z00zzast_hrtypez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3453z00zzast_hrtypez00);
		}
	}



/* hrtype-node!-box-ref3196 */
	obj_t BGl_hrtypezd2nodez12zd2boxzd2ref3196zc0zzast_hrtypez00(obj_t
		BgL_envz00_2269, obj_t BgL_nodez00_2270)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 249 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1395;

				BgL_nodez00_1395 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2270);
				{	/* Ast/hrtype.scm 250 */
					BgL_varz00_bglt BgL_arg3373z00_2216;

					BgL_arg3373z00_2216 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1395))->BgL_varz00);
					{	/* Ast/hrtype.scm 250 */
						BgL_nodez00_bglt BgL_nodez00_2218;

						BgL_nodez00_2218 = (BgL_nodez00_bglt) (BgL_arg3373z00_2216);
						{	/* Ast/hrtype.scm 250 */
							obj_t BgL_method3154z00_2219;

							{	/* Ast/hrtype.scm 250 */
								BgL_objectz00_bglt BgL_objz00_2220;

								BgL_objz00_2220 = (BgL_objectz00_bglt) (BgL_nodez00_2218);
								{	/* Ast/hrtype.scm 250 */
									long BgL_objzd2classzd2numz00_2221;

									BgL_objzd2classzd2numz00_2221 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2220);
									{	/* Ast/hrtype.scm 250 */
										obj_t BgL_arg2422z00_2222;

										BgL_arg2422z00_2222 =
											PROCEDURE_REF
											(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
											(int) (((long) 1)));
										{	/* Ast/hrtype.scm 250 */
											obj_t BgL_arrayz00_2224;

											int BgL_offsetz00_2225;

											BgL_arrayz00_2224 = BgL_arg2422z00_2222;
											BgL_offsetz00_2225 =
												(int) (BgL_objzd2classzd2numz00_2221);
											{	/* Ast/hrtype.scm 250 */
												long BgL_offsetz00_2226;

												BgL_offsetz00_2226 =
													((long) (BgL_offsetz00_2225) - OBJECT_TYPE);
												{	/* Ast/hrtype.scm 250 */
													long BgL_modz00_2227;

													{	/* Ast/hrtype.scm 250 */
														int BgL_arg2424z00_2228;

														BgL_arg2424z00_2228 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 250 */
															long BgL_auxz00_2444;

															BgL_auxz00_2444 = (long) (BgL_arg2424z00_2228);
															BgL_modz00_2227 =
																(BgL_offsetz00_2226 / BgL_auxz00_2444);
													}}
													{	/* Ast/hrtype.scm 250 */
														long BgL_restz00_2229;

														{	/* Ast/hrtype.scm 250 */
															int BgL_arg2423z00_2230;

															BgL_arg2423z00_2230 = (int) (((long) 8));
															{	/* Ast/hrtype.scm 250 */
																long BgL_auxz00_2448;

																BgL_auxz00_2448 = (long) (BgL_arg2423z00_2230);
																BgL_restz00_2229 =
																	(BgL_offsetz00_2226 % BgL_auxz00_2448);
														}}
														{	/* Ast/hrtype.scm 250 */

															BgL_method3154z00_2219 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2224,
																	(int) (BgL_modz00_2227)),
																(int) (BgL_restz00_2229));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3154z00_2219) (BgL_method3154z00_2219,
								(obj_t) (BgL_nodez00_2218), BEOA);
						}
					}
				}
			}
		}
	}



/* hrtype-node!-box-set3194 */
	obj_t BGl_hrtypezd2nodez12zd2boxzd2set3194zc0zzast_hrtypez00(obj_t
		BgL_envz00_2271, obj_t BgL_nodez00_2272)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 241 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1387;

				BgL_nodez00_1387 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2272);
				{	/* Ast/hrtype.scm 243 */
					BgL_varz00_bglt BgL_arg3370z00_1391;

					BgL_arg3370z00_1391 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1387))->BgL_varz00);
					{	/* Ast/hrtype.scm 243 */
						BgL_nodez00_bglt BgL_nodez00_2162;

						BgL_nodez00_2162 = (BgL_nodez00_bglt) (BgL_arg3370z00_1391);
						{	/* Ast/hrtype.scm 243 */
							obj_t BgL_method3154z00_2163;

							{	/* Ast/hrtype.scm 243 */
								BgL_objectz00_bglt BgL_objz00_2164;

								BgL_objz00_2164 = (BgL_objectz00_bglt) (BgL_nodez00_2162);
								{	/* Ast/hrtype.scm 243 */
									long BgL_objzd2classzd2numz00_2165;

									BgL_objzd2classzd2numz00_2165 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2164);
									{	/* Ast/hrtype.scm 243 */
										obj_t BgL_arg2422z00_2166;

										BgL_arg2422z00_2166 =
											PROCEDURE_REF
											(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
											(int) (((long) 1)));
										{	/* Ast/hrtype.scm 243 */
											obj_t BgL_arrayz00_2168;

											int BgL_offsetz00_2169;

											BgL_arrayz00_2168 = BgL_arg2422z00_2166;
											BgL_offsetz00_2169 =
												(int) (BgL_objzd2classzd2numz00_2165);
											{	/* Ast/hrtype.scm 243 */
												long BgL_offsetz00_2170;

												BgL_offsetz00_2170 =
													((long) (BgL_offsetz00_2169) - OBJECT_TYPE);
												{	/* Ast/hrtype.scm 243 */
													long BgL_modz00_2171;

													{	/* Ast/hrtype.scm 243 */
														int BgL_arg2424z00_2172;

														BgL_arg2424z00_2172 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 243 */
															long BgL_auxz00_2469;

															BgL_auxz00_2469 = (long) (BgL_arg2424z00_2172);
															BgL_modz00_2171 =
																(BgL_offsetz00_2170 / BgL_auxz00_2469);
													}}
													{	/* Ast/hrtype.scm 243 */
														long BgL_restz00_2173;

														{	/* Ast/hrtype.scm 243 */
															int BgL_arg2423z00_2174;

															BgL_arg2423z00_2174 = (int) (((long) 8));
															{	/* Ast/hrtype.scm 243 */
																long BgL_auxz00_2473;

																BgL_auxz00_2473 = (long) (BgL_arg2423z00_2174);
																BgL_restz00_2173 =
																	(BgL_offsetz00_2170 % BgL_auxz00_2473);
														}}
														{	/* Ast/hrtype.scm 243 */

															BgL_method3154z00_2163 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2168,
																	(int) (BgL_modz00_2171)),
																(int) (BgL_restz00_2173));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3154z00_2163) (BgL_method3154z00_2163,
								(obj_t) (BgL_nodez00_2162), BEOA);
				}}}
				{	/* Ast/hrtype.scm 244 */
					BgL_nodez00_bglt BgL_arg3371z00_1392;

					BgL_arg3371z00_1392 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1387))->BgL_valuez00);
					{	/* Ast/hrtype.scm 244 */
						obj_t BgL_method3154z00_2190;

						{	/* Ast/hrtype.scm 244 */
							BgL_objectz00_bglt BgL_objz00_2191;

							BgL_objz00_2191 = (BgL_objectz00_bglt) (BgL_arg3371z00_1392);
							{	/* Ast/hrtype.scm 244 */
								long BgL_objzd2classzd2numz00_2192;

								BgL_objzd2classzd2numz00_2192 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2191);
								{	/* Ast/hrtype.scm 244 */
									obj_t BgL_arg2422z00_2193;

									BgL_arg2422z00_2193 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 244 */
										obj_t BgL_arrayz00_2195;

										int BgL_offsetz00_2196;

										BgL_arrayz00_2195 = BgL_arg2422z00_2193;
										BgL_offsetz00_2196 = (int) (BgL_objzd2classzd2numz00_2192);
										{	/* Ast/hrtype.scm 244 */
											long BgL_offsetz00_2197;

											BgL_offsetz00_2197 =
												((long) (BgL_offsetz00_2196) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 244 */
												long BgL_modz00_2198;

												{	/* Ast/hrtype.scm 244 */
													int BgL_arg2424z00_2199;

													BgL_arg2424z00_2199 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 244 */
														long BgL_auxz00_2492;

														BgL_auxz00_2492 = (long) (BgL_arg2424z00_2199);
														BgL_modz00_2198 =
															(BgL_offsetz00_2197 / BgL_auxz00_2492);
												}}
												{	/* Ast/hrtype.scm 244 */
													long BgL_restz00_2200;

													{	/* Ast/hrtype.scm 244 */
														int BgL_arg2423z00_2201;

														BgL_arg2423z00_2201 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 244 */
															long BgL_auxz00_2496;

															BgL_auxz00_2496 = (long) (BgL_arg2423z00_2201);
															BgL_restz00_2200 =
																(BgL_offsetz00_2197 % BgL_auxz00_2496);
													}}
													{	/* Ast/hrtype.scm 244 */

														BgL_method3154z00_2190 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2195,
																(int) (BgL_modz00_2198)),
															(int) (BgL_restz00_2200));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_2190) (BgL_method3154z00_2190,
							(obj_t) (BgL_arg3371z00_1392), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-make-bo3192 */
	obj_t BGl_hrtypezd2nodez12zd2makezd2bo3192zc0zzast_hrtypez00(obj_t
		BgL_envz00_2273, obj_t BgL_nodez00_2274)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 234 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1380;

				BgL_nodez00_1380 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2274);
				{	/* Ast/hrtype.scm 235 */
					BgL_nodez00_bglt BgL_arg3368z00_2133;

					BgL_arg3368z00_2133 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1380))->BgL_valuez00);
					{	/* Ast/hrtype.scm 235 */
						obj_t BgL_method3154z00_2136;

						{	/* Ast/hrtype.scm 235 */
							BgL_objectz00_bglt BgL_objz00_2137;

							BgL_objz00_2137 = (BgL_objectz00_bglt) (BgL_arg3368z00_2133);
							{	/* Ast/hrtype.scm 235 */
								long BgL_objzd2classzd2numz00_2138;

								BgL_objzd2classzd2numz00_2138 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2137);
								{	/* Ast/hrtype.scm 235 */
									obj_t BgL_arg2422z00_2139;

									BgL_arg2422z00_2139 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 235 */
										obj_t BgL_arrayz00_2141;

										int BgL_offsetz00_2142;

										BgL_arrayz00_2141 = BgL_arg2422z00_2139;
										BgL_offsetz00_2142 = (int) (BgL_objzd2classzd2numz00_2138);
										{	/* Ast/hrtype.scm 235 */
											long BgL_offsetz00_2143;

											BgL_offsetz00_2143 =
												((long) (BgL_offsetz00_2142) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 235 */
												long BgL_modz00_2144;

												{	/* Ast/hrtype.scm 235 */
													int BgL_arg2424z00_2145;

													BgL_arg2424z00_2145 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 235 */
														long BgL_auxz00_2516;

														BgL_auxz00_2516 = (long) (BgL_arg2424z00_2145);
														BgL_modz00_2144 =
															(BgL_offsetz00_2143 / BgL_auxz00_2516);
												}}
												{	/* Ast/hrtype.scm 235 */
													long BgL_restz00_2146;

													{	/* Ast/hrtype.scm 235 */
														int BgL_arg2423z00_2147;

														BgL_arg2423z00_2147 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 235 */
															long BgL_auxz00_2520;

															BgL_auxz00_2520 = (long) (BgL_arg2423z00_2147);
															BgL_restz00_2146 =
																(BgL_offsetz00_2143 % BgL_auxz00_2520);
													}}
													{	/* Ast/hrtype.scm 235 */

														BgL_method3154z00_2136 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2141,
																(int) (BgL_modz00_2144)),
															(int) (BgL_restz00_2146));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_2136) (BgL_method3154z00_2136,
							(obj_t) (BgL_arg3368z00_2133), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-jump-ex3190 */
	obj_t BGl_hrtypezd2nodez12zd2jumpzd2ex3190zc0zzast_hrtypez00(obj_t
		BgL_envz00_2275, obj_t BgL_nodez00_2276)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 226 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1372;

				BgL_nodez00_1372 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2276);
				{	/* Ast/hrtype.scm 228 */
					BgL_nodez00_bglt BgL_arg3364z00_1376;

					BgL_arg3364z00_1376 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1372))->
						BgL_exitz00);
					{	/* Ast/hrtype.scm 228 */
						obj_t BgL_method3154z00_2080;

						{	/* Ast/hrtype.scm 228 */
							BgL_objectz00_bglt BgL_objz00_2081;

							BgL_objz00_2081 = (BgL_objectz00_bglt) (BgL_arg3364z00_1376);
							{	/* Ast/hrtype.scm 228 */
								long BgL_objzd2classzd2numz00_2082;

								BgL_objzd2classzd2numz00_2082 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2081);
								{	/* Ast/hrtype.scm 228 */
									obj_t BgL_arg2422z00_2083;

									BgL_arg2422z00_2083 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 228 */
										obj_t BgL_arrayz00_2085;

										int BgL_offsetz00_2086;

										BgL_arrayz00_2085 = BgL_arg2422z00_2083;
										BgL_offsetz00_2086 = (int) (BgL_objzd2classzd2numz00_2082);
										{	/* Ast/hrtype.scm 228 */
											long BgL_offsetz00_2087;

											BgL_offsetz00_2087 =
												((long) (BgL_offsetz00_2086) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 228 */
												long BgL_modz00_2088;

												{	/* Ast/hrtype.scm 228 */
													int BgL_arg2424z00_2089;

													BgL_arg2424z00_2089 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 228 */
														long BgL_auxz00_2540;

														BgL_auxz00_2540 = (long) (BgL_arg2424z00_2089);
														BgL_modz00_2088 =
															(BgL_offsetz00_2087 / BgL_auxz00_2540);
												}}
												{	/* Ast/hrtype.scm 228 */
													long BgL_restz00_2090;

													{	/* Ast/hrtype.scm 228 */
														int BgL_arg2423z00_2091;

														BgL_arg2423z00_2091 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 228 */
															long BgL_auxz00_2544;

															BgL_auxz00_2544 = (long) (BgL_arg2423z00_2091);
															BgL_restz00_2090 =
																(BgL_offsetz00_2087 % BgL_auxz00_2544);
													}}
													{	/* Ast/hrtype.scm 228 */

														BgL_method3154z00_2080 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2085,
																(int) (BgL_modz00_2088)),
															(int) (BgL_restz00_2090));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3154z00_2080) (BgL_method3154z00_2080,
							(obj_t) (BgL_arg3364z00_1376), BEOA);
				}}
				{	/* Ast/hrtype.scm 229 */
					BgL_nodez00_bglt BgL_arg3366z00_1377;

					BgL_arg3366z00_1377 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1372))->
						BgL_valuez00);
					{	/* Ast/hrtype.scm 229 */
						obj_t BgL_method3154z00_2107;

						{	/* Ast/hrtype.scm 229 */
							BgL_objectz00_bglt BgL_objz00_2108;

							BgL_objz00_2108 = (BgL_objectz00_bglt) (BgL_arg3366z00_1377);
							{	/* Ast/hrtype.scm 229 */
								long BgL_objzd2classzd2numz00_2109;

								BgL_objzd2classzd2numz00_2109 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2108);
								{	/* Ast/hrtype.scm 229 */
									obj_t BgL_arg2422z00_2110;

									BgL_arg2422z00_2110 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 229 */
										obj_t BgL_arrayz00_2112;

										int BgL_offsetz00_2113;

										BgL_arrayz00_2112 = BgL_arg2422z00_2110;
										BgL_offsetz00_2113 = (int) (BgL_objzd2classzd2numz00_2109);
										{	/* Ast/hrtype.scm 229 */
											long BgL_offsetz00_2114;

											BgL_offsetz00_2114 =
												((long) (BgL_offsetz00_2113) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 229 */
												long BgL_modz00_2115;

												{	/* Ast/hrtype.scm 229 */
													int BgL_arg2424z00_2116;

													BgL_arg2424z00_2116 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 229 */
														long BgL_auxz00_2563;

														BgL_auxz00_2563 = (long) (BgL_arg2424z00_2116);
														BgL_modz00_2115 =
															(BgL_offsetz00_2114 / BgL_auxz00_2563);
												}}
												{	/* Ast/hrtype.scm 229 */
													long BgL_restz00_2117;

													{	/* Ast/hrtype.scm 229 */
														int BgL_arg2423z00_2118;

														BgL_arg2423z00_2118 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 229 */
															long BgL_auxz00_2567;

															BgL_auxz00_2567 = (long) (BgL_arg2423z00_2118);
															BgL_restz00_2117 =
																(BgL_offsetz00_2114 % BgL_auxz00_2567);
													}}
													{	/* Ast/hrtype.scm 229 */

														BgL_method3154z00_2107 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2112,
																(int) (BgL_modz00_2115)),
															(int) (BgL_restz00_2117));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_2107) (BgL_method3154z00_2107,
							(obj_t) (BgL_arg3366z00_1377), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-set-ex-3188 */
	obj_t BGl_hrtypezd2nodez12zd2setzd2exzd23188z12zzast_hrtypez00(obj_t
		BgL_envz00_2277, obj_t BgL_nodez00_2278)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 217 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1362;

				BgL_nodez00_1362 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2278);
				{	/* Ast/hrtype.scm 219 */
					BgL_variablez00_bglt BgL_arg3359z00_1366;

					{	/* Ast/hrtype.scm 219 */
						BgL_varz00_bglt BgL_obj2013z00_2023;

						BgL_obj2013z00_2023 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1362))->
							BgL_varz00);
						BgL_arg3359z00_1366 =
							(((BgL_varz00_bglt) CREF(BgL_obj2013z00_2023))->BgL_variablez00);
					}
					BGl_restorezd2variablezd2typez12z12zzast_hrtypez00
						(BgL_arg3359z00_1366);
				}
				{	/* Ast/hrtype.scm 220 */
					BgL_nodez00_bglt BgL_arg3361z00_1368;

					BgL_arg3361z00_1368 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1362))->BgL_bodyz00);
					{	/* Ast/hrtype.scm 220 */
						obj_t BgL_method3154z00_2026;

						{	/* Ast/hrtype.scm 220 */
							BgL_objectz00_bglt BgL_objz00_2027;

							BgL_objz00_2027 = (BgL_objectz00_bglt) (BgL_arg3361z00_1368);
							{	/* Ast/hrtype.scm 220 */
								long BgL_objzd2classzd2numz00_2028;

								BgL_objzd2classzd2numz00_2028 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2027);
								{	/* Ast/hrtype.scm 220 */
									obj_t BgL_arg2422z00_2029;

									BgL_arg2422z00_2029 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 220 */
										obj_t BgL_arrayz00_2031;

										int BgL_offsetz00_2032;

										BgL_arrayz00_2031 = BgL_arg2422z00_2029;
										BgL_offsetz00_2032 = (int) (BgL_objzd2classzd2numz00_2028);
										{	/* Ast/hrtype.scm 220 */
											long BgL_offsetz00_2033;

											BgL_offsetz00_2033 =
												((long) (BgL_offsetz00_2032) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 220 */
												long BgL_modz00_2034;

												{	/* Ast/hrtype.scm 220 */
													int BgL_arg2424z00_2035;

													BgL_arg2424z00_2035 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 220 */
														long BgL_auxz00_2590;

														BgL_auxz00_2590 = (long) (BgL_arg2424z00_2035);
														BgL_modz00_2034 =
															(BgL_offsetz00_2033 / BgL_auxz00_2590);
												}}
												{	/* Ast/hrtype.scm 220 */
													long BgL_restz00_2036;

													{	/* Ast/hrtype.scm 220 */
														int BgL_arg2423z00_2037;

														BgL_arg2423z00_2037 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 220 */
															long BgL_auxz00_2594;

															BgL_auxz00_2594 = (long) (BgL_arg2423z00_2037);
															BgL_restz00_2036 =
																(BgL_offsetz00_2033 % BgL_auxz00_2594);
													}}
													{	/* Ast/hrtype.scm 220 */

														BgL_method3154z00_2026 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2031,
																(int) (BgL_modz00_2034)),
															(int) (BgL_restz00_2036));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3154z00_2026) (BgL_method3154z00_2026,
							(obj_t) (BgL_arg3361z00_1368), BEOA);
				}}
				{	/* Ast/hrtype.scm 221 */
					BgL_varz00_bglt BgL_arg3362z00_1369;

					BgL_arg3362z00_1369 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1362))->BgL_varz00);
					{	/* Ast/hrtype.scm 221 */
						BgL_nodez00_bglt BgL_nodez00_2052;

						BgL_nodez00_2052 = (BgL_nodez00_bglt) (BgL_arg3362z00_1369);
						{	/* Ast/hrtype.scm 221 */
							obj_t BgL_method3154z00_2053;

							{	/* Ast/hrtype.scm 221 */
								BgL_objectz00_bglt BgL_objz00_2054;

								BgL_objz00_2054 = (BgL_objectz00_bglt) (BgL_nodez00_2052);
								{	/* Ast/hrtype.scm 221 */
									long BgL_objzd2classzd2numz00_2055;

									BgL_objzd2classzd2numz00_2055 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2054);
									{	/* Ast/hrtype.scm 221 */
										obj_t BgL_arg2422z00_2056;

										BgL_arg2422z00_2056 =
											PROCEDURE_REF
											(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
											(int) (((long) 1)));
										{	/* Ast/hrtype.scm 221 */
											obj_t BgL_arrayz00_2058;

											int BgL_offsetz00_2059;

											BgL_arrayz00_2058 = BgL_arg2422z00_2056;
											BgL_offsetz00_2059 =
												(int) (BgL_objzd2classzd2numz00_2055);
											{	/* Ast/hrtype.scm 221 */
												long BgL_offsetz00_2060;

												BgL_offsetz00_2060 =
													((long) (BgL_offsetz00_2059) - OBJECT_TYPE);
												{	/* Ast/hrtype.scm 221 */
													long BgL_modz00_2061;

													{	/* Ast/hrtype.scm 221 */
														int BgL_arg2424z00_2062;

														BgL_arg2424z00_2062 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 221 */
															long BgL_auxz00_2614;

															BgL_auxz00_2614 = (long) (BgL_arg2424z00_2062);
															BgL_modz00_2061 =
																(BgL_offsetz00_2060 / BgL_auxz00_2614);
													}}
													{	/* Ast/hrtype.scm 221 */
														long BgL_restz00_2063;

														{	/* Ast/hrtype.scm 221 */
															int BgL_arg2423z00_2064;

															BgL_arg2423z00_2064 = (int) (((long) 8));
															{	/* Ast/hrtype.scm 221 */
																long BgL_auxz00_2618;

																BgL_auxz00_2618 = (long) (BgL_arg2423z00_2064);
																BgL_restz00_2063 =
																	(BgL_offsetz00_2060 % BgL_auxz00_2618);
														}}
														{	/* Ast/hrtype.scm 221 */

															BgL_method3154z00_2053 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2058,
																	(int) (BgL_modz00_2061)),
																(int) (BgL_restz00_2063));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3154z00_2053) (BgL_method3154z00_2053,
								(obj_t) (BgL_nodez00_2052), BEOA);
						}
					}
				}
			}
		}
	}



/* hrtype-node!-let-var3186 */
	obj_t BGl_hrtypezd2nodez12zd2letzd2var3186zc0zzast_hrtypez00(obj_t
		BgL_envz00_2279, obj_t BgL_nodez00_2280)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 204 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1345;

				BgL_nodez00_1345 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2280);
				{	/* Ast/hrtype.scm 206 */
					obj_t BgL_g3150z00_1349;

					BgL_g3150z00_1349 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1345))->BgL_bindingsz00);
					{
						obj_t BgL_l3148z00_1351;

						BgL_l3148z00_1351 = BgL_g3150z00_1349;
					BgL_zc3anonymousza33354ze3z83_1352:
						if (PAIRP(BgL_l3148z00_1351))
							{	/* Ast/hrtype.scm 206 */
								{	/* Ast/hrtype.scm 207 */
									obj_t BgL_bindingz00_1354;

									BgL_bindingz00_1354 = CAR(BgL_l3148z00_1351);
									{	/* Ast/hrtype.scm 207 */
										obj_t BgL_varz00_1355;

										obj_t BgL_valz00_1356;

										BgL_varz00_1355 = CAR(BgL_bindingz00_1354);
										BgL_valz00_1356 = CDR(BgL_bindingz00_1354);
										{	/* Ast/hrtype.scm 209 */
											BgL_nodez00_bglt BgL_nodez00_1968;

											BgL_nodez00_1968 = (BgL_nodez00_bglt) (BgL_valz00_1356);
											{	/* Ast/hrtype.scm 209 */
												obj_t BgL_method3154z00_1969;

												{	/* Ast/hrtype.scm 209 */
													BgL_objectz00_bglt BgL_objz00_1970;

													BgL_objz00_1970 =
														(BgL_objectz00_bglt) (BgL_nodez00_1968);
													{	/* Ast/hrtype.scm 209 */
														long BgL_objzd2classzd2numz00_1971;

														BgL_objzd2classzd2numz00_1971 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1970);
														{	/* Ast/hrtype.scm 209 */
															obj_t BgL_arg2422z00_1972;

															BgL_arg2422z00_1972 =
																PROCEDURE_REF
																(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
																(int) (((long) 1)));
															{	/* Ast/hrtype.scm 209 */
																obj_t BgL_arrayz00_1974;

																int BgL_offsetz00_1975;

																BgL_arrayz00_1974 = BgL_arg2422z00_1972;
																BgL_offsetz00_1975 =
																	(int) (BgL_objzd2classzd2numz00_1971);
																{	/* Ast/hrtype.scm 209 */
																	long BgL_offsetz00_1976;

																	BgL_offsetz00_1976 =
																		((long) (BgL_offsetz00_1975) - OBJECT_TYPE);
																	{	/* Ast/hrtype.scm 209 */
																		long BgL_modz00_1977;

																		{	/* Ast/hrtype.scm 209 */
																			int BgL_arg2424z00_1978;

																			BgL_arg2424z00_1978 = (int) (((long) 8));
																			{	/* Ast/hrtype.scm 209 */
																				long BgL_auxz00_2644;

																				BgL_auxz00_2644 =
																					(long) (BgL_arg2424z00_1978);
																				BgL_modz00_1977 =
																					(BgL_offsetz00_1976 /
																					BgL_auxz00_2644);
																		}}
																		{	/* Ast/hrtype.scm 209 */
																			long BgL_restz00_1979;

																			{	/* Ast/hrtype.scm 209 */
																				int BgL_arg2423z00_1980;

																				BgL_arg2423z00_1980 =
																					(int) (((long) 8));
																				{	/* Ast/hrtype.scm 209 */
																					long BgL_auxz00_2648;

																					BgL_auxz00_2648 =
																						(long) (BgL_arg2423z00_1980);
																					BgL_restz00_1979 =
																						(BgL_offsetz00_1976 %
																						BgL_auxz00_2648);
																			}}
																			{	/* Ast/hrtype.scm 209 */

																				BgL_method3154z00_1969 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1974,
																						(int) (BgL_modz00_1977)),
																					(int) (BgL_restz00_1979));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3154z00_1969)
													(BgL_method3154z00_1969, (obj_t) (BgL_nodez00_1968),
													BEOA);
										}}
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											(BgL_variablez00_bglt) (BgL_varz00_1355));
								}}
								{
									obj_t BgL_l3148z00_2660;

									BgL_l3148z00_2660 = CDR(BgL_l3148z00_1351);
									BgL_l3148z00_1351 = BgL_l3148z00_2660;
									goto BgL_zc3anonymousza33354ze3z83_1352;
								}
							}
						else
							{	/* Ast/hrtype.scm 206 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/hrtype.scm 212 */
					BgL_nodez00_bglt BgL_arg3357z00_1359;

					BgL_arg3357z00_1359 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1345))->BgL_bodyz00);
					{	/* Ast/hrtype.scm 212 */
						obj_t BgL_method3154z00_1997;

						{	/* Ast/hrtype.scm 212 */
							BgL_objectz00_bglt BgL_objz00_1998;

							BgL_objz00_1998 = (BgL_objectz00_bglt) (BgL_arg3357z00_1359);
							{	/* Ast/hrtype.scm 212 */
								long BgL_objzd2classzd2numz00_1999;

								BgL_objzd2classzd2numz00_1999 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1998);
								{	/* Ast/hrtype.scm 212 */
									obj_t BgL_arg2422z00_2000;

									BgL_arg2422z00_2000 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 212 */
										obj_t BgL_arrayz00_2002;

										int BgL_offsetz00_2003;

										BgL_arrayz00_2002 = BgL_arg2422z00_2000;
										BgL_offsetz00_2003 = (int) (BgL_objzd2classzd2numz00_1999);
										{	/* Ast/hrtype.scm 212 */
											long BgL_offsetz00_2004;

											BgL_offsetz00_2004 =
												((long) (BgL_offsetz00_2003) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 212 */
												long BgL_modz00_2005;

												{	/* Ast/hrtype.scm 212 */
													int BgL_arg2424z00_2006;

													BgL_arg2424z00_2006 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 212 */
														long BgL_auxz00_2671;

														BgL_auxz00_2671 = (long) (BgL_arg2424z00_2006);
														BgL_modz00_2005 =
															(BgL_offsetz00_2004 / BgL_auxz00_2671);
												}}
												{	/* Ast/hrtype.scm 212 */
													long BgL_restz00_2007;

													{	/* Ast/hrtype.scm 212 */
														int BgL_arg2423z00_2008;

														BgL_arg2423z00_2008 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 212 */
															long BgL_auxz00_2675;

															BgL_auxz00_2675 = (long) (BgL_arg2423z00_2008);
															BgL_restz00_2007 =
																(BgL_offsetz00_2004 % BgL_auxz00_2675);
													}}
													{	/* Ast/hrtype.scm 212 */

														BgL_method3154z00_1997 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2002,
																(int) (BgL_modz00_2005)),
															(int) (BgL_restz00_2007));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_1997) (BgL_method3154z00_1997,
							(obj_t) (BgL_arg3357z00_1359), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-let-fun3184 */
	obj_t BGl_hrtypezd2nodez12zd2letzd2fun3184zc0zzast_hrtypez00(obj_t
		BgL_envz00_2281, obj_t BgL_nodez00_2282)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 179 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1313;

				BgL_nodez00_1313 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2282);
				{	/* Ast/hrtype.scm 181 */
					obj_t BgL_g3147z00_1317;

					BgL_g3147z00_1317 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1313))->BgL_localsz00);
					{
						obj_t BgL_l3145z00_1319;

						BgL_l3145z00_1319 = BgL_g3147z00_1317;
					BgL_zc3anonymousza33338ze3z83_1320:
						if (PAIRP(BgL_l3145z00_1319))
							{	/* Ast/hrtype.scm 181 */
								{	/* Ast/hrtype.scm 182 */
									obj_t BgL_localz00_1322;

									BgL_localz00_1322 = CAR(BgL_l3145z00_1319);
									{	/* Ast/hrtype.scm 182 */
										BgL_valuez00_bglt BgL_sfunz00_1323;

										{
											BgL_variablez00_bglt BgL_auxz00_2690;

											BgL_auxz00_2690 =
												(BgL_variablez00_bglt) (BgL_localz00_1322);
											BgL_sfunz00_1323 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_2690))->
												BgL_valuez00);
										}
										{	/* Ast/hrtype.scm 183 */
											obj_t BgL_g3129z00_1324;

											{
												BgL_sfunz00_bglt BgL_auxz00_2693;

												BgL_auxz00_2693 = (BgL_sfunz00_bglt) (BgL_sfunz00_1323);
												BgL_g3129z00_1324 =
													(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2693))->
													BgL_argsz00);
											}
											{
												obj_t BgL_argsz00_1326;

												BgL_argsz00_1326 = BgL_g3129z00_1324;
											BgL_zc3anonymousza33340ze3z83_1327:
												if (PAIRP(BgL_argsz00_1326))
													{	/* Ast/hrtype.scm 185 */
														obj_t BgL_argz00_1329;

														BgL_argz00_1329 = CAR(BgL_argsz00_1326);
														if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1329,
																BGl_typez00zztype_typez00))
															{	/* Ast/hrtype.scm 188 */
																BgL_typez00_bglt BgL_arg3343z00_1331;

																{	/* Ast/hrtype.scm 188 */
																	obj_t BgL_arg3344z00_1332;

																	{
																		BgL_typez00_bglt BgL_auxz00_2701;

																		BgL_auxz00_2701 =
																			(BgL_typez00_bglt) (BgL_argz00_1329);
																		BgL_arg3344z00_1332 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_auxz00_2701))->BgL_idz00);
																	}
																	BgL_arg3343z00_1331 =
																		BGl_findzd2typezd2zztype_envz00
																		(BgL_arg3344z00_1332);
																}
																{	/* Ast/hrtype.scm 188 */
																	obj_t BgL_auxz00_2705;

																	BgL_auxz00_2705 =
																		(obj_t) (BgL_arg3343z00_1331);
																	SET_CAR(BgL_argsz00_1326, BgL_auxz00_2705);
																}
															}
														else
															{	/* Ast/hrtype.scm 187 */
																if (BGl_iszd2azf3z21zz__objectz00
																	(BgL_argz00_1329, BGl_localz00zzast_varz00))
																	{	/* Ast/hrtype.scm 189 */
																		BGl_restorezd2variablezd2typez12z12zzast_hrtypez00
																			((BgL_variablez00_bglt)
																			(BgL_argz00_1329));
																	}
																else
																	{	/* Ast/hrtype.scm 189 */
																		BGl_errorz00zz__errorz00
																			(BGl_string3454z00zzast_hrtypez00,
																			BGl_string3455z00zzast_hrtypez00,
																			BGl_shapez00zztools_shapez00
																			(BgL_argz00_1329));
																	}
															}
														{
															obj_t BgL_argsz00_2714;

															BgL_argsz00_2714 = CDR(BgL_argsz00_1326);
															BgL_argsz00_1326 = BgL_argsz00_2714;
															goto BgL_zc3anonymousza33340ze3z83_1327;
														}
													}
												else
													{	/* Ast/hrtype.scm 184 */
														((bool_t) 0);
													}
											}
										}
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											(BgL_variablez00_bglt) (BgL_localz00_1322));
										{	/* Ast/hrtype.scm 197 */
											obj_t BgL_arg3350z00_1339;

											{
												BgL_sfunz00_bglt BgL_auxz00_2718;

												BgL_auxz00_2718 = (BgL_sfunz00_bglt) (BgL_sfunz00_1323);
												BgL_arg3350z00_1339 =
													(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2718))->
													BgL_bodyz00);
											}
											{	/* Ast/hrtype.scm 197 */
												BgL_nodez00_bglt BgL_nodez00_1909;

												BgL_nodez00_1909 =
													(BgL_nodez00_bglt) (BgL_arg3350z00_1339);
												{	/* Ast/hrtype.scm 197 */
													obj_t BgL_method3154z00_1910;

													{	/* Ast/hrtype.scm 197 */
														BgL_objectz00_bglt BgL_objz00_1911;

														BgL_objz00_1911 =
															(BgL_objectz00_bglt) (BgL_nodez00_1909);
														{	/* Ast/hrtype.scm 197 */
															long BgL_objzd2classzd2numz00_1912;

															BgL_objzd2classzd2numz00_1912 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1911);
															{	/* Ast/hrtype.scm 197 */
																obj_t BgL_arg2422z00_1913;

																BgL_arg2422z00_1913 =
																	PROCEDURE_REF
																	(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
																	(int) (((long) 1)));
																{	/* Ast/hrtype.scm 197 */
																	obj_t BgL_arrayz00_1915;

																	int BgL_offsetz00_1916;

																	BgL_arrayz00_1915 = BgL_arg2422z00_1913;
																	BgL_offsetz00_1916 =
																		(int) (BgL_objzd2classzd2numz00_1912);
																	{	/* Ast/hrtype.scm 197 */
																		long BgL_offsetz00_1917;

																		BgL_offsetz00_1917 =
																			(
																			(long) (BgL_offsetz00_1916) -
																			OBJECT_TYPE);
																		{	/* Ast/hrtype.scm 197 */
																			long BgL_modz00_1918;

																			{	/* Ast/hrtype.scm 197 */
																				int BgL_arg2424z00_1919;

																				BgL_arg2424z00_1919 =
																					(int) (((long) 8));
																				{	/* Ast/hrtype.scm 197 */
																					long BgL_auxz00_2730;

																					BgL_auxz00_2730 =
																						(long) (BgL_arg2424z00_1919);
																					BgL_modz00_1918 =
																						(BgL_offsetz00_1917 /
																						BgL_auxz00_2730);
																			}}
																			{	/* Ast/hrtype.scm 197 */
																				long BgL_restz00_1920;

																				{	/* Ast/hrtype.scm 197 */
																					int BgL_arg2423z00_1921;

																					BgL_arg2423z00_1921 =
																						(int) (((long) 8));
																					{	/* Ast/hrtype.scm 197 */
																						long BgL_auxz00_2734;

																						BgL_auxz00_2734 =
																							(long) (BgL_arg2423z00_1921);
																						BgL_restz00_1920 =
																							(BgL_offsetz00_1917 %
																							BgL_auxz00_2734);
																				}}
																				{	/* Ast/hrtype.scm 197 */

																					BgL_method3154z00_1910 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1915,
																							(int) (BgL_modz00_1918)),
																						(int) (BgL_restz00_1920));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3154z00_1910)
														(BgL_method3154z00_1910, (obj_t) (BgL_nodez00_1909),
														BEOA);
								}}}}}
								{
									obj_t BgL_l3145z00_2744;

									BgL_l3145z00_2744 = CDR(BgL_l3145z00_1319);
									BgL_l3145z00_1319 = BgL_l3145z00_2744;
									goto BgL_zc3anonymousza33338ze3z83_1320;
								}
							}
						else
							{	/* Ast/hrtype.scm 181 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/hrtype.scm 199 */
					BgL_nodez00_bglt BgL_arg3352z00_1342;

					BgL_arg3352z00_1342 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1313))->BgL_bodyz00);
					{	/* Ast/hrtype.scm 199 */
						obj_t BgL_method3154z00_1938;

						{	/* Ast/hrtype.scm 199 */
							BgL_objectz00_bglt BgL_objz00_1939;

							BgL_objz00_1939 = (BgL_objectz00_bglt) (BgL_arg3352z00_1342);
							{	/* Ast/hrtype.scm 199 */
								long BgL_objzd2classzd2numz00_1940;

								BgL_objzd2classzd2numz00_1940 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1939);
								{	/* Ast/hrtype.scm 199 */
									obj_t BgL_arg2422z00_1941;

									BgL_arg2422z00_1941 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 199 */
										obj_t BgL_arrayz00_1943;

										int BgL_offsetz00_1944;

										BgL_arrayz00_1943 = BgL_arg2422z00_1941;
										BgL_offsetz00_1944 = (int) (BgL_objzd2classzd2numz00_1940);
										{	/* Ast/hrtype.scm 199 */
											long BgL_offsetz00_1945;

											BgL_offsetz00_1945 =
												((long) (BgL_offsetz00_1944) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 199 */
												long BgL_modz00_1946;

												{	/* Ast/hrtype.scm 199 */
													int BgL_arg2424z00_1947;

													BgL_arg2424z00_1947 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 199 */
														long BgL_auxz00_2755;

														BgL_auxz00_2755 = (long) (BgL_arg2424z00_1947);
														BgL_modz00_1946 =
															(BgL_offsetz00_1945 / BgL_auxz00_2755);
												}}
												{	/* Ast/hrtype.scm 199 */
													long BgL_restz00_1948;

													{	/* Ast/hrtype.scm 199 */
														int BgL_arg2423z00_1949;

														BgL_arg2423z00_1949 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 199 */
															long BgL_auxz00_2759;

															BgL_auxz00_2759 = (long) (BgL_arg2423z00_1949);
															BgL_restz00_1948 =
																(BgL_offsetz00_1945 % BgL_auxz00_2759);
													}}
													{	/* Ast/hrtype.scm 199 */

														BgL_method3154z00_1938 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1943,
																(int) (BgL_modz00_1946)),
															(int) (BgL_restz00_1948));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_1938) (BgL_method3154z00_1938,
							(obj_t) (BgL_arg3352z00_1342), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-select3182 */
	obj_t BGl_hrtypezd2nodez12zd2select3182z12zzast_hrtypez00(obj_t
		BgL_envz00_2283, obj_t BgL_nodez00_2284)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 169 */
			{
				BgL_selectz00_bglt BgL_nodez00_1297;

				{	/* Ast/hrtype.scm 170 */
					bool_t BgL_auxz00_2770;

					BgL_nodez00_1297 = (BgL_selectz00_bglt) (BgL_nodez00_2284);
					{	/* Ast/hrtype.scm 171 */
						BgL_nodez00_bglt BgL_arg3332z00_1301;

						BgL_arg3332z00_1301 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1297))->BgL_testz00);
						{	/* Ast/hrtype.scm 171 */
							obj_t BgL_method3154z00_1839;

							{	/* Ast/hrtype.scm 171 */
								BgL_objectz00_bglt BgL_objz00_1840;

								BgL_objz00_1840 = (BgL_objectz00_bglt) (BgL_arg3332z00_1301);
								{	/* Ast/hrtype.scm 171 */
									long BgL_objzd2classzd2numz00_1841;

									BgL_objzd2classzd2numz00_1841 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1840);
									{	/* Ast/hrtype.scm 171 */
										obj_t BgL_arg2422z00_1842;

										BgL_arg2422z00_1842 =
											PROCEDURE_REF
											(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
											(int) (((long) 1)));
										{	/* Ast/hrtype.scm 171 */
											obj_t BgL_arrayz00_1844;

											int BgL_offsetz00_1845;

											BgL_arrayz00_1844 = BgL_arg2422z00_1842;
											BgL_offsetz00_1845 =
												(int) (BgL_objzd2classzd2numz00_1841);
											{	/* Ast/hrtype.scm 171 */
												long BgL_offsetz00_1846;

												BgL_offsetz00_1846 =
													((long) (BgL_offsetz00_1845) - OBJECT_TYPE);
												{	/* Ast/hrtype.scm 171 */
													long BgL_modz00_1847;

													{	/* Ast/hrtype.scm 171 */
														int BgL_arg2424z00_1848;

														BgL_arg2424z00_1848 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 171 */
															long BgL_auxz00_2780;

															BgL_auxz00_2780 = (long) (BgL_arg2424z00_1848);
															BgL_modz00_1847 =
																(BgL_offsetz00_1846 / BgL_auxz00_2780);
													}}
													{	/* Ast/hrtype.scm 171 */
														long BgL_restz00_1849;

														{	/* Ast/hrtype.scm 171 */
															int BgL_arg2423z00_1850;

															BgL_arg2423z00_1850 = (int) (((long) 8));
															{	/* Ast/hrtype.scm 171 */
																long BgL_auxz00_2784;

																BgL_auxz00_2784 = (long) (BgL_arg2423z00_1850);
																BgL_restz00_1849 =
																	(BgL_offsetz00_1846 % BgL_auxz00_2784);
														}}
														{	/* Ast/hrtype.scm 171 */

															BgL_method3154z00_1839 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1844,
																	(int) (BgL_modz00_1847)),
																(int) (BgL_restz00_1849));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3154z00_1839) (BgL_method3154z00_1839,
								(obj_t) (BgL_arg3332z00_1301), BEOA);
					}}
					{	/* Ast/hrtype.scm 172 */
						obj_t BgL_g3144z00_1302;

						BgL_g3144z00_1302 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1297))->BgL_clausesz00);
						{
							obj_t BgL_l3142z00_1304;

							BgL_l3142z00_1304 = BgL_g3144z00_1302;
						BgL_zc3anonymousza33333ze3z83_1305:
							if (PAIRP(BgL_l3142z00_1304))
								{	/* Ast/hrtype.scm 172 */
									{	/* Ast/hrtype.scm 173 */
										obj_t BgL_clausez00_1307;

										BgL_clausez00_1307 = CAR(BgL_l3142z00_1304);
										{	/* Ast/hrtype.scm 173 */
											obj_t BgL_arg3335z00_1308;

											BgL_arg3335z00_1308 = CDR(BgL_clausez00_1307);
											{	/* Ast/hrtype.scm 173 */
												BgL_nodez00_bglt BgL_nodez00_1868;

												BgL_nodez00_1868 =
													(BgL_nodez00_bglt) (BgL_arg3335z00_1308);
												{	/* Ast/hrtype.scm 173 */
													obj_t BgL_method3154z00_1869;

													{	/* Ast/hrtype.scm 173 */
														BgL_objectz00_bglt BgL_objz00_1870;

														BgL_objz00_1870 =
															(BgL_objectz00_bglt) (BgL_nodez00_1868);
														{	/* Ast/hrtype.scm 173 */
															long BgL_objzd2classzd2numz00_1871;

															BgL_objzd2classzd2numz00_1871 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1870);
															{	/* Ast/hrtype.scm 173 */
																obj_t BgL_arg2422z00_1872;

																BgL_arg2422z00_1872 =
																	PROCEDURE_REF
																	(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
																	(int) (((long) 1)));
																{	/* Ast/hrtype.scm 173 */
																	obj_t BgL_arrayz00_1874;

																	int BgL_offsetz00_1875;

																	BgL_arrayz00_1874 = BgL_arg2422z00_1872;
																	BgL_offsetz00_1875 =
																		(int) (BgL_objzd2classzd2numz00_1871);
																	{	/* Ast/hrtype.scm 173 */
																		long BgL_offsetz00_1876;

																		BgL_offsetz00_1876 =
																			(
																			(long) (BgL_offsetz00_1875) -
																			OBJECT_TYPE);
																		{	/* Ast/hrtype.scm 173 */
																			long BgL_modz00_1877;

																			{	/* Ast/hrtype.scm 173 */
																				int BgL_arg2424z00_1878;

																				BgL_arg2424z00_1878 =
																					(int) (((long) 8));
																				{	/* Ast/hrtype.scm 173 */
																					long BgL_auxz00_2808;

																					BgL_auxz00_2808 =
																						(long) (BgL_arg2424z00_1878);
																					BgL_modz00_1877 =
																						(BgL_offsetz00_1876 /
																						BgL_auxz00_2808);
																			}}
																			{	/* Ast/hrtype.scm 173 */
																				long BgL_restz00_1879;

																				{	/* Ast/hrtype.scm 173 */
																					int BgL_arg2423z00_1880;

																					BgL_arg2423z00_1880 =
																						(int) (((long) 8));
																					{	/* Ast/hrtype.scm 173 */
																						long BgL_auxz00_2812;

																						BgL_auxz00_2812 =
																							(long) (BgL_arg2423z00_1880);
																						BgL_restz00_1879 =
																							(BgL_offsetz00_1876 %
																							BgL_auxz00_2812);
																				}}
																				{	/* Ast/hrtype.scm 173 */

																					BgL_method3154z00_1869 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1874,
																							(int) (BgL_modz00_1877)),
																						(int) (BgL_restz00_1879));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3154z00_1869)
														(BgL_method3154z00_1869, (obj_t) (BgL_nodez00_1868),
														BEOA);
									}}}}
									{
										obj_t BgL_l3142z00_2822;

										BgL_l3142z00_2822 = CDR(BgL_l3142z00_1304);
										BgL_l3142z00_1304 = BgL_l3142z00_2822;
										goto BgL_zc3anonymousza33333ze3z83_1305;
									}
								}
							else
								{	/* Ast/hrtype.scm 172 */
									BgL_auxz00_2770 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2770);
				}
			}
		}
	}



/* hrtype-node!-fail3180 */
	obj_t BGl_hrtypezd2nodez12zd2fail3180z12zzast_hrtypez00(obj_t BgL_envz00_2285,
		obj_t BgL_nodez00_2286)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 160 */
			{
				BgL_failz00_bglt BgL_nodez00_1288;

				BgL_nodez00_1288 = (BgL_failz00_bglt) (BgL_nodez00_2286);
				{	/* Ast/hrtype.scm 162 */
					BgL_nodez00_bglt BgL_arg3328z00_1292;

					BgL_arg3328z00_1292 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1288))->BgL_procz00);
					{	/* Ast/hrtype.scm 162 */
						obj_t BgL_method3154z00_1758;

						{	/* Ast/hrtype.scm 162 */
							BgL_objectz00_bglt BgL_objz00_1759;

							BgL_objz00_1759 = (BgL_objectz00_bglt) (BgL_arg3328z00_1292);
							{	/* Ast/hrtype.scm 162 */
								long BgL_objzd2classzd2numz00_1760;

								BgL_objzd2classzd2numz00_1760 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1759);
								{	/* Ast/hrtype.scm 162 */
									obj_t BgL_arg2422z00_1761;

									BgL_arg2422z00_1761 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 162 */
										obj_t BgL_arrayz00_1763;

										int BgL_offsetz00_1764;

										BgL_arrayz00_1763 = BgL_arg2422z00_1761;
										BgL_offsetz00_1764 = (int) (BgL_objzd2classzd2numz00_1760);
										{	/* Ast/hrtype.scm 162 */
											long BgL_offsetz00_1765;

											BgL_offsetz00_1765 =
												((long) (BgL_offsetz00_1764) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 162 */
												long BgL_modz00_1766;

												{	/* Ast/hrtype.scm 162 */
													int BgL_arg2424z00_1767;

													BgL_arg2424z00_1767 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 162 */
														long BgL_auxz00_2835;

														BgL_auxz00_2835 = (long) (BgL_arg2424z00_1767);
														BgL_modz00_1766 =
															(BgL_offsetz00_1765 / BgL_auxz00_2835);
												}}
												{	/* Ast/hrtype.scm 162 */
													long BgL_restz00_1768;

													{	/* Ast/hrtype.scm 162 */
														int BgL_arg2423z00_1769;

														BgL_arg2423z00_1769 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 162 */
															long BgL_auxz00_2839;

															BgL_auxz00_2839 = (long) (BgL_arg2423z00_1769);
															BgL_restz00_1768 =
																(BgL_offsetz00_1765 % BgL_auxz00_2839);
													}}
													{	/* Ast/hrtype.scm 162 */

														BgL_method3154z00_1758 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1763,
																(int) (BgL_modz00_1766)),
															(int) (BgL_restz00_1768));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3154z00_1758) (BgL_method3154z00_1758,
							(obj_t) (BgL_arg3328z00_1292), BEOA);
				}}
				{	/* Ast/hrtype.scm 163 */
					BgL_nodez00_bglt BgL_arg3329z00_1293;

					BgL_arg3329z00_1293 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1288))->BgL_msgz00);
					{	/* Ast/hrtype.scm 163 */
						obj_t BgL_method3154z00_1785;

						{	/* Ast/hrtype.scm 163 */
							BgL_objectz00_bglt BgL_objz00_1786;

							BgL_objz00_1786 = (BgL_objectz00_bglt) (BgL_arg3329z00_1293);
							{	/* Ast/hrtype.scm 163 */
								long BgL_objzd2classzd2numz00_1787;

								BgL_objzd2classzd2numz00_1787 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1786);
								{	/* Ast/hrtype.scm 163 */
									obj_t BgL_arg2422z00_1788;

									BgL_arg2422z00_1788 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 163 */
										obj_t BgL_arrayz00_1790;

										int BgL_offsetz00_1791;

										BgL_arrayz00_1790 = BgL_arg2422z00_1788;
										BgL_offsetz00_1791 = (int) (BgL_objzd2classzd2numz00_1787);
										{	/* Ast/hrtype.scm 163 */
											long BgL_offsetz00_1792;

											BgL_offsetz00_1792 =
												((long) (BgL_offsetz00_1791) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 163 */
												long BgL_modz00_1793;

												{	/* Ast/hrtype.scm 163 */
													int BgL_arg2424z00_1794;

													BgL_arg2424z00_1794 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 163 */
														long BgL_auxz00_2858;

														BgL_auxz00_2858 = (long) (BgL_arg2424z00_1794);
														BgL_modz00_1793 =
															(BgL_offsetz00_1792 / BgL_auxz00_2858);
												}}
												{	/* Ast/hrtype.scm 163 */
													long BgL_restz00_1795;

													{	/* Ast/hrtype.scm 163 */
														int BgL_arg2423z00_1796;

														BgL_arg2423z00_1796 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 163 */
															long BgL_auxz00_2862;

															BgL_auxz00_2862 = (long) (BgL_arg2423z00_1796);
															BgL_restz00_1795 =
																(BgL_offsetz00_1792 % BgL_auxz00_2862);
													}}
													{	/* Ast/hrtype.scm 163 */

														BgL_method3154z00_1785 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1790,
																(int) (BgL_modz00_1793)),
															(int) (BgL_restz00_1795));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3154z00_1785) (BgL_method3154z00_1785,
							(obj_t) (BgL_arg3329z00_1293), BEOA);
				}}
				{	/* Ast/hrtype.scm 164 */
					BgL_nodez00_bglt BgL_arg3330z00_1294;

					BgL_arg3330z00_1294 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1288))->BgL_objz00);
					{	/* Ast/hrtype.scm 164 */
						obj_t BgL_method3154z00_1812;

						{	/* Ast/hrtype.scm 164 */
							BgL_objectz00_bglt BgL_objz00_1813;

							BgL_objz00_1813 = (BgL_objectz00_bglt) (BgL_arg3330z00_1294);
							{	/* Ast/hrtype.scm 164 */
								long BgL_objzd2classzd2numz00_1814;

								BgL_objzd2classzd2numz00_1814 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1813);
								{	/* Ast/hrtype.scm 164 */
									obj_t BgL_arg2422z00_1815;

									BgL_arg2422z00_1815 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 164 */
										obj_t BgL_arrayz00_1817;

										int BgL_offsetz00_1818;

										BgL_arrayz00_1817 = BgL_arg2422z00_1815;
										BgL_offsetz00_1818 = (int) (BgL_objzd2classzd2numz00_1814);
										{	/* Ast/hrtype.scm 164 */
											long BgL_offsetz00_1819;

											BgL_offsetz00_1819 =
												((long) (BgL_offsetz00_1818) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 164 */
												long BgL_modz00_1820;

												{	/* Ast/hrtype.scm 164 */
													int BgL_arg2424z00_1821;

													BgL_arg2424z00_1821 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 164 */
														long BgL_auxz00_2881;

														BgL_auxz00_2881 = (long) (BgL_arg2424z00_1821);
														BgL_modz00_1820 =
															(BgL_offsetz00_1819 / BgL_auxz00_2881);
												}}
												{	/* Ast/hrtype.scm 164 */
													long BgL_restz00_1822;

													{	/* Ast/hrtype.scm 164 */
														int BgL_arg2423z00_1823;

														BgL_arg2423z00_1823 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 164 */
															long BgL_auxz00_2885;

															BgL_auxz00_2885 = (long) (BgL_arg2423z00_1823);
															BgL_restz00_1822 =
																(BgL_offsetz00_1819 % BgL_auxz00_2885);
													}}
													{	/* Ast/hrtype.scm 164 */

														BgL_method3154z00_1812 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1817,
																(int) (BgL_modz00_1820)),
															(int) (BgL_restz00_1822));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_1812) (BgL_method3154z00_1812,
							(obj_t) (BgL_arg3330z00_1294), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-conditi3178 */
	obj_t BGl_hrtypezd2nodez12zd2conditi3178z12zzast_hrtypez00(obj_t
		BgL_envz00_2287, obj_t BgL_nodez00_2288)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 151 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1279;

				BgL_nodez00_1279 = (BgL_conditionalz00_bglt) (BgL_nodez00_2288);
				{	/* Ast/hrtype.scm 153 */
					BgL_nodez00_bglt BgL_arg3324z00_1283;

					BgL_arg3324z00_1283 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1279))->BgL_testz00);
					{	/* Ast/hrtype.scm 153 */
						obj_t BgL_method3154z00_1677;

						{	/* Ast/hrtype.scm 153 */
							BgL_objectz00_bglt BgL_objz00_1678;

							BgL_objz00_1678 = (BgL_objectz00_bglt) (BgL_arg3324z00_1283);
							{	/* Ast/hrtype.scm 153 */
								long BgL_objzd2classzd2numz00_1679;

								BgL_objzd2classzd2numz00_1679 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1678);
								{	/* Ast/hrtype.scm 153 */
									obj_t BgL_arg2422z00_1680;

									BgL_arg2422z00_1680 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 153 */
										obj_t BgL_arrayz00_1682;

										int BgL_offsetz00_1683;

										BgL_arrayz00_1682 = BgL_arg2422z00_1680;
										BgL_offsetz00_1683 = (int) (BgL_objzd2classzd2numz00_1679);
										{	/* Ast/hrtype.scm 153 */
											long BgL_offsetz00_1684;

											BgL_offsetz00_1684 =
												((long) (BgL_offsetz00_1683) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 153 */
												long BgL_modz00_1685;

												{	/* Ast/hrtype.scm 153 */
													int BgL_arg2424z00_1686;

													BgL_arg2424z00_1686 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 153 */
														long BgL_auxz00_2905;

														BgL_auxz00_2905 = (long) (BgL_arg2424z00_1686);
														BgL_modz00_1685 =
															(BgL_offsetz00_1684 / BgL_auxz00_2905);
												}}
												{	/* Ast/hrtype.scm 153 */
													long BgL_restz00_1687;

													{	/* Ast/hrtype.scm 153 */
														int BgL_arg2423z00_1688;

														BgL_arg2423z00_1688 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 153 */
															long BgL_auxz00_2909;

															BgL_auxz00_2909 = (long) (BgL_arg2423z00_1688);
															BgL_restz00_1687 =
																(BgL_offsetz00_1684 % BgL_auxz00_2909);
													}}
													{	/* Ast/hrtype.scm 153 */

														BgL_method3154z00_1677 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1682,
																(int) (BgL_modz00_1685)),
															(int) (BgL_restz00_1687));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3154z00_1677) (BgL_method3154z00_1677,
							(obj_t) (BgL_arg3324z00_1283), BEOA);
				}}
				{	/* Ast/hrtype.scm 154 */
					BgL_nodez00_bglt BgL_arg3325z00_1284;

					BgL_arg3325z00_1284 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1279))->BgL_truez00);
					{	/* Ast/hrtype.scm 154 */
						obj_t BgL_method3154z00_1704;

						{	/* Ast/hrtype.scm 154 */
							BgL_objectz00_bglt BgL_objz00_1705;

							BgL_objz00_1705 = (BgL_objectz00_bglt) (BgL_arg3325z00_1284);
							{	/* Ast/hrtype.scm 154 */
								long BgL_objzd2classzd2numz00_1706;

								BgL_objzd2classzd2numz00_1706 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1705);
								{	/* Ast/hrtype.scm 154 */
									obj_t BgL_arg2422z00_1707;

									BgL_arg2422z00_1707 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 154 */
										obj_t BgL_arrayz00_1709;

										int BgL_offsetz00_1710;

										BgL_arrayz00_1709 = BgL_arg2422z00_1707;
										BgL_offsetz00_1710 = (int) (BgL_objzd2classzd2numz00_1706);
										{	/* Ast/hrtype.scm 154 */
											long BgL_offsetz00_1711;

											BgL_offsetz00_1711 =
												((long) (BgL_offsetz00_1710) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 154 */
												long BgL_modz00_1712;

												{	/* Ast/hrtype.scm 154 */
													int BgL_arg2424z00_1713;

													BgL_arg2424z00_1713 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 154 */
														long BgL_auxz00_2928;

														BgL_auxz00_2928 = (long) (BgL_arg2424z00_1713);
														BgL_modz00_1712 =
															(BgL_offsetz00_1711 / BgL_auxz00_2928);
												}}
												{	/* Ast/hrtype.scm 154 */
													long BgL_restz00_1714;

													{	/* Ast/hrtype.scm 154 */
														int BgL_arg2423z00_1715;

														BgL_arg2423z00_1715 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 154 */
															long BgL_auxz00_2932;

															BgL_auxz00_2932 = (long) (BgL_arg2423z00_1715);
															BgL_restz00_1714 =
																(BgL_offsetz00_1711 % BgL_auxz00_2932);
													}}
													{	/* Ast/hrtype.scm 154 */

														BgL_method3154z00_1704 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1709,
																(int) (BgL_modz00_1712)),
															(int) (BgL_restz00_1714));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3154z00_1704) (BgL_method3154z00_1704,
							(obj_t) (BgL_arg3325z00_1284), BEOA);
				}}
				{	/* Ast/hrtype.scm 155 */
					BgL_nodez00_bglt BgL_arg3326z00_1285;

					BgL_arg3326z00_1285 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1279))->BgL_falsez00);
					{	/* Ast/hrtype.scm 155 */
						obj_t BgL_method3154z00_1731;

						{	/* Ast/hrtype.scm 155 */
							BgL_objectz00_bglt BgL_objz00_1732;

							BgL_objz00_1732 = (BgL_objectz00_bglt) (BgL_arg3326z00_1285);
							{	/* Ast/hrtype.scm 155 */
								long BgL_objzd2classzd2numz00_1733;

								BgL_objzd2classzd2numz00_1733 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1732);
								{	/* Ast/hrtype.scm 155 */
									obj_t BgL_arg2422z00_1734;

									BgL_arg2422z00_1734 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 155 */
										obj_t BgL_arrayz00_1736;

										int BgL_offsetz00_1737;

										BgL_arrayz00_1736 = BgL_arg2422z00_1734;
										BgL_offsetz00_1737 = (int) (BgL_objzd2classzd2numz00_1733);
										{	/* Ast/hrtype.scm 155 */
											long BgL_offsetz00_1738;

											BgL_offsetz00_1738 =
												((long) (BgL_offsetz00_1737) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 155 */
												long BgL_modz00_1739;

												{	/* Ast/hrtype.scm 155 */
													int BgL_arg2424z00_1740;

													BgL_arg2424z00_1740 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 155 */
														long BgL_auxz00_2951;

														BgL_auxz00_2951 = (long) (BgL_arg2424z00_1740);
														BgL_modz00_1739 =
															(BgL_offsetz00_1738 / BgL_auxz00_2951);
												}}
												{	/* Ast/hrtype.scm 155 */
													long BgL_restz00_1741;

													{	/* Ast/hrtype.scm 155 */
														int BgL_arg2423z00_1742;

														BgL_arg2423z00_1742 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 155 */
															long BgL_auxz00_2955;

															BgL_auxz00_2955 = (long) (BgL_arg2423z00_1742);
															BgL_restz00_1741 =
																(BgL_offsetz00_1738 % BgL_auxz00_2955);
													}}
													{	/* Ast/hrtype.scm 155 */

														BgL_method3154z00_1731 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1736,
																(int) (BgL_modz00_1739)),
															(int) (BgL_restz00_1741));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_1731) (BgL_method3154z00_1731,
							(obj_t) (BgL_arg3326z00_1285), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-setq3176 */
	obj_t BGl_hrtypezd2nodez12zd2setq3176z12zzast_hrtypez00(obj_t BgL_envz00_2289,
		obj_t BgL_nodez00_2290)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 143 */
			{
				BgL_setqz00_bglt BgL_nodez00_1271;

				BgL_nodez00_1271 = (BgL_setqz00_bglt) (BgL_nodez00_2290);
				{	/* Ast/hrtype.scm 145 */
					BgL_nodez00_bglt BgL_arg3321z00_1275;

					BgL_arg3321z00_1275 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1271))->BgL_valuez00);
					{	/* Ast/hrtype.scm 145 */
						obj_t BgL_method3154z00_1623;

						{	/* Ast/hrtype.scm 145 */
							BgL_objectz00_bglt BgL_objz00_1624;

							BgL_objz00_1624 = (BgL_objectz00_bglt) (BgL_arg3321z00_1275);
							{	/* Ast/hrtype.scm 145 */
								long BgL_objzd2classzd2numz00_1625;

								BgL_objzd2classzd2numz00_1625 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1624);
								{	/* Ast/hrtype.scm 145 */
									obj_t BgL_arg2422z00_1626;

									BgL_arg2422z00_1626 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 145 */
										obj_t BgL_arrayz00_1628;

										int BgL_offsetz00_1629;

										BgL_arrayz00_1628 = BgL_arg2422z00_1626;
										BgL_offsetz00_1629 = (int) (BgL_objzd2classzd2numz00_1625);
										{	/* Ast/hrtype.scm 145 */
											long BgL_offsetz00_1630;

											BgL_offsetz00_1630 =
												((long) (BgL_offsetz00_1629) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 145 */
												long BgL_modz00_1631;

												{	/* Ast/hrtype.scm 145 */
													int BgL_arg2424z00_1632;

													BgL_arg2424z00_1632 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 145 */
														long BgL_auxz00_2975;

														BgL_auxz00_2975 = (long) (BgL_arg2424z00_1632);
														BgL_modz00_1631 =
															(BgL_offsetz00_1630 / BgL_auxz00_2975);
												}}
												{	/* Ast/hrtype.scm 145 */
													long BgL_restz00_1633;

													{	/* Ast/hrtype.scm 145 */
														int BgL_arg2423z00_1634;

														BgL_arg2423z00_1634 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 145 */
															long BgL_auxz00_2979;

															BgL_auxz00_2979 = (long) (BgL_arg2423z00_1634);
															BgL_restz00_1633 =
																(BgL_offsetz00_1630 % BgL_auxz00_2979);
													}}
													{	/* Ast/hrtype.scm 145 */

														BgL_method3154z00_1623 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1628,
																(int) (BgL_modz00_1631)),
															(int) (BgL_restz00_1633));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3154z00_1623) (BgL_method3154z00_1623,
							(obj_t) (BgL_arg3321z00_1275), BEOA);
				}}
				{	/* Ast/hrtype.scm 146 */
					BgL_varz00_bglt BgL_arg3322z00_1276;

					BgL_arg3322z00_1276 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1271))->BgL_varz00);
					{	/* Ast/hrtype.scm 146 */
						BgL_nodez00_bglt BgL_nodez00_1649;

						BgL_nodez00_1649 = (BgL_nodez00_bglt) (BgL_arg3322z00_1276);
						{	/* Ast/hrtype.scm 146 */
							obj_t BgL_method3154z00_1650;

							{	/* Ast/hrtype.scm 146 */
								BgL_objectz00_bglt BgL_objz00_1651;

								BgL_objz00_1651 = (BgL_objectz00_bglt) (BgL_nodez00_1649);
								{	/* Ast/hrtype.scm 146 */
									long BgL_objzd2classzd2numz00_1652;

									BgL_objzd2classzd2numz00_1652 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1651);
									{	/* Ast/hrtype.scm 146 */
										obj_t BgL_arg2422z00_1653;

										BgL_arg2422z00_1653 =
											PROCEDURE_REF
											(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
											(int) (((long) 1)));
										{	/* Ast/hrtype.scm 146 */
											obj_t BgL_arrayz00_1655;

											int BgL_offsetz00_1656;

											BgL_arrayz00_1655 = BgL_arg2422z00_1653;
											BgL_offsetz00_1656 =
												(int) (BgL_objzd2classzd2numz00_1652);
											{	/* Ast/hrtype.scm 146 */
												long BgL_offsetz00_1657;

												BgL_offsetz00_1657 =
													((long) (BgL_offsetz00_1656) - OBJECT_TYPE);
												{	/* Ast/hrtype.scm 146 */
													long BgL_modz00_1658;

													{	/* Ast/hrtype.scm 146 */
														int BgL_arg2424z00_1659;

														BgL_arg2424z00_1659 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 146 */
															long BgL_auxz00_2999;

															BgL_auxz00_2999 = (long) (BgL_arg2424z00_1659);
															BgL_modz00_1658 =
																(BgL_offsetz00_1657 / BgL_auxz00_2999);
													}}
													{	/* Ast/hrtype.scm 146 */
														long BgL_restz00_1660;

														{	/* Ast/hrtype.scm 146 */
															int BgL_arg2423z00_1661;

															BgL_arg2423z00_1661 = (int) (((long) 8));
															{	/* Ast/hrtype.scm 146 */
																long BgL_auxz00_3003;

																BgL_auxz00_3003 = (long) (BgL_arg2423z00_1661);
																BgL_restz00_1660 =
																	(BgL_offsetz00_1657 % BgL_auxz00_3003);
														}}
														{	/* Ast/hrtype.scm 146 */

															BgL_method3154z00_1650 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1655,
																	(int) (BgL_modz00_1658)),
																(int) (BgL_restz00_1660));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3154z00_1650) (BgL_method3154z00_1650,
								(obj_t) (BgL_nodez00_1649), BEOA);
						}
					}
				}
			}
		}
	}



/* hrtype-node!-cast3174 */
	obj_t BGl_hrtypezd2nodez12zd2cast3174z12zzast_hrtypez00(obj_t BgL_envz00_2291,
		obj_t BgL_nodez00_2292)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 136 */
			{
				BgL_castz00_bglt BgL_nodez00_1264;

				BgL_nodez00_1264 = (BgL_castz00_bglt) (BgL_nodez00_2292);
				{	/* Ast/hrtype.scm 137 */
					BgL_nodez00_bglt BgL_arg3319z00_1593;

					BgL_arg3319z00_1593 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1264))->BgL_argz00);
					{	/* Ast/hrtype.scm 137 */
						obj_t BgL_method3154z00_1596;

						{	/* Ast/hrtype.scm 137 */
							BgL_objectz00_bglt BgL_objz00_1597;

							BgL_objz00_1597 = (BgL_objectz00_bglt) (BgL_arg3319z00_1593);
							{	/* Ast/hrtype.scm 137 */
								long BgL_objzd2classzd2numz00_1598;

								BgL_objzd2classzd2numz00_1598 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1597);
								{	/* Ast/hrtype.scm 137 */
									obj_t BgL_arg2422z00_1599;

									BgL_arg2422z00_1599 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 137 */
										obj_t BgL_arrayz00_1601;

										int BgL_offsetz00_1602;

										BgL_arrayz00_1601 = BgL_arg2422z00_1599;
										BgL_offsetz00_1602 = (int) (BgL_objzd2classzd2numz00_1598);
										{	/* Ast/hrtype.scm 137 */
											long BgL_offsetz00_1603;

											BgL_offsetz00_1603 =
												((long) (BgL_offsetz00_1602) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 137 */
												long BgL_modz00_1604;

												{	/* Ast/hrtype.scm 137 */
													int BgL_arg2424z00_1605;

													BgL_arg2424z00_1605 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 137 */
														long BgL_auxz00_3023;

														BgL_auxz00_3023 = (long) (BgL_arg2424z00_1605);
														BgL_modz00_1604 =
															(BgL_offsetz00_1603 / BgL_auxz00_3023);
												}}
												{	/* Ast/hrtype.scm 137 */
													long BgL_restz00_1606;

													{	/* Ast/hrtype.scm 137 */
														int BgL_arg2423z00_1607;

														BgL_arg2423z00_1607 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 137 */
															long BgL_auxz00_3027;

															BgL_auxz00_3027 = (long) (BgL_arg2423z00_1607);
															BgL_restz00_1606 =
																(BgL_offsetz00_1603 % BgL_auxz00_3027);
													}}
													{	/* Ast/hrtype.scm 137 */

														BgL_method3154z00_1596 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1601,
																(int) (BgL_modz00_1604)),
															(int) (BgL_restz00_1606));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_1596) (BgL_method3154z00_1596,
							(obj_t) (BgL_arg3319z00_1593), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-extern3172 */
	obj_t BGl_hrtypezd2nodez12zd2extern3172z12zzast_hrtypez00(obj_t
		BgL_envz00_2293, obj_t BgL_nodez00_2294)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 127 */
			{
				BgL_externz00_bglt BgL_nodez00_1252;

				{	/* Ast/hrtype.scm 128 */
					bool_t BgL_auxz00_3038;

					BgL_nodez00_1252 = (BgL_externz00_bglt) (BgL_nodez00_2294);
					{	/* Ast/hrtype.scm 129 */
						bool_t BgL_testz00_3039;

						{	/* Ast/hrtype.scm 129 */
							BgL_typez00_bglt BgL_arg3316z00_1260;

							{
								BgL_nodez00_bglt BgL_auxz00_3040;

								BgL_auxz00_3040 = (BgL_nodez00_bglt) (BgL_nodez00_1252);
								BgL_arg3316z00_1260 =
									(((BgL_nodez00_bglt) CREF(BgL_auxz00_3040))->BgL_typez00);
							}
							{	/* Ast/hrtype.scm 129 */
								obj_t BgL_obj1437z00_1586;

								BgL_obj1437z00_1586 = (obj_t) (BgL_arg3316z00_1260);
								BgL_testz00_3039 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1437z00_1586,
									BGl_typez00zztype_typez00);
							}
						}
						if (BgL_testz00_3039)
							{	/* Ast/hrtype.scm 130 */
								BgL_typez00_bglt BgL_arg3313z00_1257;

								{	/* Ast/hrtype.scm 130 */
									obj_t BgL_arg3314z00_1258;

									{	/* Ast/hrtype.scm 130 */
										BgL_typez00_bglt BgL_obj1343z00_1588;

										{
											BgL_nodez00_bglt BgL_auxz00_3045;

											BgL_auxz00_3045 = (BgL_nodez00_bglt) (BgL_nodez00_1252);
											BgL_obj1343z00_1588 =
												(((BgL_nodez00_bglt) CREF(BgL_auxz00_3045))->
												BgL_typez00);
										}
										BgL_arg3314z00_1258 =
											(((BgL_typez00_bglt) CREF(BgL_obj1343z00_1588))->
											BgL_idz00);
									}
									BgL_arg3313z00_1257 =
										BGl_findzd2typezd2zztype_envz00(BgL_arg3314z00_1258);
								}
								{
									BgL_nodez00_bglt BgL_auxz00_3050;

									BgL_auxz00_3050 = (BgL_nodez00_bglt) (BgL_nodez00_1252);
									((((BgL_nodez00_bglt) CREF(BgL_auxz00_3050))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg3313z00_1257), BUNSPEC);
								}
							}
						else
							{	/* Ast/hrtype.scm 129 */
								BFALSE;
							}
					}
					{	/* Ast/hrtype.scm 131 */
						obj_t BgL_arg3317z00_1261;

						BgL_arg3317z00_1261 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1252))->BgL_exprza2za2);
						BgL_auxz00_3038 =
							BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(BgL_arg3317z00_1261);
					}
					return BBOOL(BgL_auxz00_3038);
				}
			}
		}
	}



/* hrtype-node!-funcall3170 */
	obj_t BGl_hrtypezd2nodez12zd2funcall3170z12zzast_hrtypez00(obj_t
		BgL_envz00_2295, obj_t BgL_nodez00_2296)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 119 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1244;

				{	/* Ast/hrtype.scm 120 */
					bool_t BgL_auxz00_3057;

					BgL_nodez00_1244 = (BgL_funcallz00_bglt) (BgL_nodez00_2296);
					{	/* Ast/hrtype.scm 121 */
						BgL_nodez00_bglt BgL_arg3309z00_1248;

						BgL_arg3309z00_1248 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1244))->BgL_funz00);
						{	/* Ast/hrtype.scm 121 */
							obj_t BgL_method3154z00_1559;

							{	/* Ast/hrtype.scm 121 */
								BgL_objectz00_bglt BgL_objz00_1560;

								BgL_objz00_1560 = (BgL_objectz00_bglt) (BgL_arg3309z00_1248);
								{	/* Ast/hrtype.scm 121 */
									long BgL_objzd2classzd2numz00_1561;

									BgL_objzd2classzd2numz00_1561 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1560);
									{	/* Ast/hrtype.scm 121 */
										obj_t BgL_arg2422z00_1562;

										BgL_arg2422z00_1562 =
											PROCEDURE_REF
											(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
											(int) (((long) 1)));
										{	/* Ast/hrtype.scm 121 */
											obj_t BgL_arrayz00_1564;

											int BgL_offsetz00_1565;

											BgL_arrayz00_1564 = BgL_arg2422z00_1562;
											BgL_offsetz00_1565 =
												(int) (BgL_objzd2classzd2numz00_1561);
											{	/* Ast/hrtype.scm 121 */
												long BgL_offsetz00_1566;

												BgL_offsetz00_1566 =
													((long) (BgL_offsetz00_1565) - OBJECT_TYPE);
												{	/* Ast/hrtype.scm 121 */
													long BgL_modz00_1567;

													{	/* Ast/hrtype.scm 121 */
														int BgL_arg2424z00_1568;

														BgL_arg2424z00_1568 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 121 */
															long BgL_auxz00_3067;

															BgL_auxz00_3067 = (long) (BgL_arg2424z00_1568);
															BgL_modz00_1567 =
																(BgL_offsetz00_1566 / BgL_auxz00_3067);
													}}
													{	/* Ast/hrtype.scm 121 */
														long BgL_restz00_1569;

														{	/* Ast/hrtype.scm 121 */
															int BgL_arg2423z00_1570;

															BgL_arg2423z00_1570 = (int) (((long) 8));
															{	/* Ast/hrtype.scm 121 */
																long BgL_auxz00_3071;

																BgL_auxz00_3071 = (long) (BgL_arg2423z00_1570);
																BgL_restz00_1569 =
																	(BgL_offsetz00_1566 % BgL_auxz00_3071);
														}}
														{	/* Ast/hrtype.scm 121 */

															BgL_method3154z00_1559 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1564,
																	(int) (BgL_modz00_1567)),
																(int) (BgL_restz00_1569));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3154z00_1559) (BgL_method3154z00_1559,
								(obj_t) (BgL_arg3309z00_1248), BEOA);
					}}
					{	/* Ast/hrtype.scm 122 */
						obj_t BgL_arg3310z00_1249;

						BgL_arg3310z00_1249 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1244))->BgL_argsz00);
						BgL_auxz00_3057 =
							BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(BgL_arg3310z00_1249);
					}
					return BBOOL(BgL_auxz00_3057);
				}
			}
		}
	}



/* hrtype-node!-app-ly3168 */
	obj_t BGl_hrtypezd2nodez12zd2appzd2ly3168zc0zzast_hrtypez00(obj_t
		BgL_envz00_2297, obj_t BgL_nodez00_2298)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 111 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1236;

				BgL_nodez00_1236 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2298);
				{	/* Ast/hrtype.scm 113 */
					BgL_nodez00_bglt BgL_arg3306z00_1240;

					BgL_arg3306z00_1240 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1236))->BgL_funz00);
					{	/* Ast/hrtype.scm 113 */
						obj_t BgL_method3154z00_1505;

						{	/* Ast/hrtype.scm 113 */
							BgL_objectz00_bglt BgL_objz00_1506;

							BgL_objz00_1506 = (BgL_objectz00_bglt) (BgL_arg3306z00_1240);
							{	/* Ast/hrtype.scm 113 */
								long BgL_objzd2classzd2numz00_1507;

								BgL_objzd2classzd2numz00_1507 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1506);
								{	/* Ast/hrtype.scm 113 */
									obj_t BgL_arg2422z00_1508;

									BgL_arg2422z00_1508 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 113 */
										obj_t BgL_arrayz00_1510;

										int BgL_offsetz00_1511;

										BgL_arrayz00_1510 = BgL_arg2422z00_1508;
										BgL_offsetz00_1511 = (int) (BgL_objzd2classzd2numz00_1507);
										{	/* Ast/hrtype.scm 113 */
											long BgL_offsetz00_1512;

											BgL_offsetz00_1512 =
												((long) (BgL_offsetz00_1511) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 113 */
												long BgL_modz00_1513;

												{	/* Ast/hrtype.scm 113 */
													int BgL_arg2424z00_1514;

													BgL_arg2424z00_1514 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 113 */
														long BgL_auxz00_3094;

														BgL_auxz00_3094 = (long) (BgL_arg2424z00_1514);
														BgL_modz00_1513 =
															(BgL_offsetz00_1512 / BgL_auxz00_3094);
												}}
												{	/* Ast/hrtype.scm 113 */
													long BgL_restz00_1515;

													{	/* Ast/hrtype.scm 113 */
														int BgL_arg2423z00_1516;

														BgL_arg2423z00_1516 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 113 */
															long BgL_auxz00_3098;

															BgL_auxz00_3098 = (long) (BgL_arg2423z00_1516);
															BgL_restz00_1515 =
																(BgL_offsetz00_1512 % BgL_auxz00_3098);
													}}
													{	/* Ast/hrtype.scm 113 */

														BgL_method3154z00_1505 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1510,
																(int) (BgL_modz00_1513)),
															(int) (BgL_restz00_1515));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3154z00_1505) (BgL_method3154z00_1505,
							(obj_t) (BgL_arg3306z00_1240), BEOA);
				}}
				{	/* Ast/hrtype.scm 114 */
					BgL_nodez00_bglt BgL_arg3307z00_1241;

					BgL_arg3307z00_1241 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1236))->BgL_argz00);
					{	/* Ast/hrtype.scm 114 */
						obj_t BgL_method3154z00_1532;

						{	/* Ast/hrtype.scm 114 */
							BgL_objectz00_bglt BgL_objz00_1533;

							BgL_objz00_1533 = (BgL_objectz00_bglt) (BgL_arg3307z00_1241);
							{	/* Ast/hrtype.scm 114 */
								long BgL_objzd2classzd2numz00_1534;

								BgL_objzd2classzd2numz00_1534 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1533);
								{	/* Ast/hrtype.scm 114 */
									obj_t BgL_arg2422z00_1535;

									BgL_arg2422z00_1535 =
										PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
										(int) (((long) 1)));
									{	/* Ast/hrtype.scm 114 */
										obj_t BgL_arrayz00_1537;

										int BgL_offsetz00_1538;

										BgL_arrayz00_1537 = BgL_arg2422z00_1535;
										BgL_offsetz00_1538 = (int) (BgL_objzd2classzd2numz00_1534);
										{	/* Ast/hrtype.scm 114 */
											long BgL_offsetz00_1539;

											BgL_offsetz00_1539 =
												((long) (BgL_offsetz00_1538) - OBJECT_TYPE);
											{	/* Ast/hrtype.scm 114 */
												long BgL_modz00_1540;

												{	/* Ast/hrtype.scm 114 */
													int BgL_arg2424z00_1541;

													BgL_arg2424z00_1541 = (int) (((long) 8));
													{	/* Ast/hrtype.scm 114 */
														long BgL_auxz00_3117;

														BgL_auxz00_3117 = (long) (BgL_arg2424z00_1541);
														BgL_modz00_1540 =
															(BgL_offsetz00_1539 / BgL_auxz00_3117);
												}}
												{	/* Ast/hrtype.scm 114 */
													long BgL_restz00_1542;

													{	/* Ast/hrtype.scm 114 */
														int BgL_arg2423z00_1543;

														BgL_arg2423z00_1543 = (int) (((long) 8));
														{	/* Ast/hrtype.scm 114 */
															long BgL_auxz00_3121;

															BgL_auxz00_3121 = (long) (BgL_arg2423z00_1543);
															BgL_restz00_1542 =
																(BgL_offsetz00_1539 % BgL_auxz00_3121);
													}}
													{	/* Ast/hrtype.scm 114 */

														BgL_method3154z00_1532 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1537,
																(int) (BgL_modz00_1540)),
															(int) (BgL_restz00_1542));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3154z00_1532) (BgL_method3154z00_1532,
							(obj_t) (BgL_arg3307z00_1241), BEOA);
					}
				}
			}
		}
	}



/* hrtype-node!-app3166 */
	obj_t BGl_hrtypezd2nodez12zd2app3166z12zzast_hrtypez00(obj_t BgL_envz00_2299,
		obj_t BgL_nodez00_2300)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 71 */
			{
				BgL_appz00_bglt BgL_nodez00_1190;

				{	/* Ast/hrtype.scm 72 */
					bool_t BgL_auxz00_3132;

					BgL_nodez00_1190 = (BgL_appz00_bglt) (BgL_nodez00_2300);
					{	/* Ast/hrtype.scm 73 */
						bool_t BgL_testz00_3133;

						{	/* Ast/hrtype.scm 73 */
							BgL_typez00_bglt BgL_arg3273z00_1198;

							{
								BgL_nodez00_bglt BgL_auxz00_3134;

								BgL_auxz00_3134 = (BgL_nodez00_bglt) (BgL_nodez00_1190);
								BgL_arg3273z00_1198 =
									(((BgL_nodez00_bglt) CREF(BgL_auxz00_3134))->BgL_typez00);
							}
							{	/* Ast/hrtype.scm 73 */
								obj_t BgL_obj1437z00_1471;

								BgL_obj1437z00_1471 = (obj_t) (BgL_arg3273z00_1198);
								BgL_testz00_3133 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1437z00_1471,
									BGl_typez00zztype_typez00);
							}
						}
						if (BgL_testz00_3133)
							{	/* Ast/hrtype.scm 74 */
								BgL_typez00_bglt BgL_arg3270z00_1195;

								{	/* Ast/hrtype.scm 74 */
									obj_t BgL_arg3271z00_1196;

									{	/* Ast/hrtype.scm 74 */
										BgL_typez00_bglt BgL_obj1343z00_1473;

										{
											BgL_nodez00_bglt BgL_auxz00_3139;

											BgL_auxz00_3139 = (BgL_nodez00_bglt) (BgL_nodez00_1190);
											BgL_obj1343z00_1473 =
												(((BgL_nodez00_bglt) CREF(BgL_auxz00_3139))->
												BgL_typez00);
										}
										BgL_arg3271z00_1196 =
											(((BgL_typez00_bglt) CREF(BgL_obj1343z00_1473))->
											BgL_idz00);
									}
									BgL_arg3270z00_1195 =
										BGl_findzd2typezd2zztype_envz00(BgL_arg3271z00_1196);
								}
								{
									BgL_nodez00_bglt BgL_auxz00_3144;

									BgL_auxz00_3144 = (BgL_nodez00_bglt) (BgL_nodez00_1190);
									((((BgL_nodez00_bglt) CREF(BgL_auxz00_3144))->BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg3270z00_1195), BUNSPEC);
								}
							}
						else
							{	/* Ast/hrtype.scm 73 */
								BFALSE;
							}
					}
					{	/* Ast/hrtype.scm 75 */
						BgL_varz00_bglt BgL_instance3109z00_1199;

						BgL_instance3109z00_1199 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1190))->BgL_funz00);
						{	/* Ast/hrtype.scm 76 */
							bool_t BgL_testz00_3148;

							{	/* Ast/hrtype.scm 76 */
								BgL_variablez00_bglt BgL_arg3303z00_1232;

								BgL_arg3303z00_1232 =
									(((BgL_varz00_bglt) CREF(BgL_instance3109z00_1199))->
									BgL_variablez00);
								{	/* Ast/hrtype.scm 76 */
									obj_t BgL_obj1611z00_1478;

									BgL_obj1611z00_1478 = (obj_t) (BgL_arg3303z00_1232);
									BgL_testz00_3148 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1611z00_1478,
										BGl_globalz00zzast_varz00);
								}
							}
							if (BgL_testz00_3148)
								{	/* Ast/hrtype.scm 77 */
									BgL_valuez00_bglt BgL_valuez00_1201;

									{	/* Ast/hrtype.scm 77 */
										BgL_variablez00_bglt BgL_obj1469z00_1480;

										BgL_obj1469z00_1480 =
											(((BgL_varz00_bglt) CREF(BgL_instance3109z00_1199))->
											BgL_variablez00);
										BgL_valuez00_1201 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1469z00_1480))->
											BgL_valuez00);
									}
									{	/* Ast/hrtype.scm 79 */
										bool_t BgL_testz00_3154;

										{	/* Ast/hrtype.scm 79 */
											obj_t BgL_obj1878z00_1481;

											BgL_obj1878z00_1481 = (obj_t) (BgL_valuez00_1201);
											BgL_testz00_3154 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1878z00_1481,
												BGl_cfunz00zzast_varz00);
										}
										if (BgL_testz00_3154)
											{	/* Ast/hrtype.scm 80 */
												BgL_variablez00_bglt BgL_arg3276z00_1203;

												BgL_arg3276z00_1203 =
													(((BgL_varz00_bglt) CREF(BgL_instance3109z00_1199))->
													BgL_variablez00);
												BGl_restorezd2globalz12zc0zzast_envz00((obj_t)
													(BgL_arg3276z00_1203));
											}
										else
											{	/* Ast/hrtype.scm 81 */
												bool_t BgL_testz00_3160;

												{	/* Ast/hrtype.scm 81 */
													obj_t BgL_obj1813z00_1483;

													BgL_obj1813z00_1483 = (obj_t) (BgL_valuez00_1201);
													BgL_testz00_3160 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1813z00_1483,
														BGl_sfunz00zzast_varz00);
												}
												if (BgL_testz00_3160)
													{	/* Ast/hrtype.scm 82 */
														bool_t BgL_testz00_3163;

														{	/* Ast/hrtype.scm 82 */
															bool_t BgL_testz00_3164;

															{	/* Ast/hrtype.scm 82 */
																obj_t BgL_auxz00_3165;

																{
																	BgL_sfunz00_bglt BgL_auxz00_3166;

																	BgL_auxz00_3166 =
																		(BgL_sfunz00_bglt) (BgL_valuez00_1201);
																	BgL_auxz00_3165 =
																		(((BgL_sfunz00_bglt)
																			CREF(BgL_auxz00_3166))->BgL_classz00);
																}
																BgL_testz00_3164 =
																	(BgL_auxz00_3165 ==
																	CNST_TABLE_REF(((long) 1)));
															}
															if (BgL_testz00_3164)
																{	/* Ast/hrtype.scm 84 */
																	bool_t BgL_testz00_3171;

																	{	/* Ast/hrtype.scm 84 */
																		BgL_variablez00_bglt BgL_arg3299z00_1228;

																		BgL_arg3299z00_1228 =
																			(((BgL_varz00_bglt)
																				CREF(BgL_instance3109z00_1199))->
																			BgL_variablez00);
																		BgL_testz00_3171 =
																			CBOOL
																			(BGl_alreadyzd2restoredzf3z21zzast_envz00(
																				(obj_t) (BgL_arg3299z00_1228)));
																	}
																	if (BgL_testz00_3171)
																		{	/* Ast/hrtype.scm 84 */
																			BgL_testz00_3163 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/hrtype.scm 84 */
																			BgL_testz00_3163 = ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/hrtype.scm 82 */
																	BgL_testz00_3163 = ((bool_t) 0);
																}
														}
														if (BgL_testz00_3163)
															{	/* Ast/hrtype.scm 88 */
																BgL_variablez00_bglt BgL_arg3279z00_1206;

																BgL_arg3279z00_1206 =
																	(((BgL_varz00_bglt)
																		CREF(BgL_instance3109z00_1199))->
																	BgL_variablez00);
																BGl_restorezd2globalz12zc0zzast_envz00((obj_t)
																	(BgL_arg3279z00_1206));
															}
														else
															{	/* Ast/hrtype.scm 94 */
																obj_t BgL_gz00_1207;

																{	/* Ast/hrtype.scm 94 */
																	obj_t BgL_arg3292z00_1221;

																	obj_t BgL_arg3293z00_1222;

																	{	/* Ast/hrtype.scm 94 */
																		BgL_variablez00_bglt BgL_obj1462z00_1488;

																		BgL_obj1462z00_1488 =
																			(((BgL_varz00_bglt)
																				CREF(BgL_instance3109z00_1199))->
																			BgL_variablez00);
																		BgL_arg3292z00_1221 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_obj1462z00_1488))->BgL_idz00);
																	}
																	{	/* Ast/hrtype.scm 95 */
																		BgL_globalz00_bglt BgL_obj1534z00_1490;

																		BgL_obj1534z00_1490 =
																			(BgL_globalz00_bglt) (
																			(((BgL_varz00_bglt)
																					CREF(BgL_instance3109z00_1199))->
																				BgL_variablez00));
																		BgL_arg3293z00_1222 =
																			(((BgL_globalz00_bglt)
																				CREF(BgL_obj1534z00_1490))->
																			BgL_modulez00);
																	}
																	{	/* Ast/hrtype.scm 94 */
																		obj_t BgL_list3294z00_1223;

																		BgL_list3294z00_1223 =
																			MAKE_PAIR(BgL_arg3293z00_1222, BNIL);
																		BgL_gz00_1207 =
																			BGl_findzd2globalzd2zzast_envz00
																			(BgL_arg3292z00_1221,
																			BgL_list3294z00_1223);
																	}
																}
																if (BGl_iszd2azf3z21zz__objectz00(BgL_gz00_1207,
																		BGl_variablez00zzast_varz00))
																	{
																		BgL_variablez00_bglt BgL_auxz00_3188;

																		BgL_auxz00_3188 =
																			(BgL_variablez00_bglt) (BgL_gz00_1207);
																		((((BgL_varz00_bglt)
																					CREF(BgL_instance3109z00_1199))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) BgL_auxz00_3188),
																			BUNSPEC);
																	}
																else
																	{	/* Ast/hrtype.scm 97 */
																		obj_t BgL_newzd2gzd2_1209;

																		{	/* Ast/hrtype.scm 97 */
																			obj_t BgL_arg3289z00_1218;

																			{	/* Ast/hrtype.scm 97 */
																				BgL_variablez00_bglt
																					BgL_obj1462z00_1495;
																				BgL_obj1462z00_1495 =
																					(((BgL_varz00_bglt)
																						CREF(BgL_instance3109z00_1199))->
																					BgL_variablez00);
																				BgL_arg3289z00_1218 =
																					(((BgL_variablez00_bglt)
																						CREF(BgL_obj1462z00_1495))->
																					BgL_idz00);
																			}
																			{	/* Ast/hrtype.scm 97 */
																				obj_t BgL_list3290z00_1219;

																				BgL_list3290z00_1219 =
																					MAKE_PAIR
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BNIL);
																				BgL_newzd2gzd2_1209 =
																					BGl_findzd2globalzd2zzast_envz00
																					(BgL_arg3289z00_1218,
																					BgL_list3290z00_1219);
																			}
																		}
																		{	/* Ast/hrtype.scm 99 */
																			bool_t BgL_testz00_3195;

																			if (BGl_iszd2azf3z21zz__objectz00
																				(BgL_newzd2gzd2_1209,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/hrtype.scm 100 */
																					obj_t BgL_auxz00_3198;

																					{
																						BgL_globalz00_bglt BgL_auxz00_3199;

																						BgL_auxz00_3199 =
																							(BgL_globalz00_bglt)
																							(BgL_newzd2gzd2_1209);
																						BgL_auxz00_3198 =
																							(((BgL_globalz00_bglt)
																								CREF(BgL_auxz00_3199))->
																							BgL_importz00);
																					}
																					BgL_testz00_3195 =
																						(BgL_auxz00_3198 ==
																						CNST_TABLE_REF(((long) 2)));
																				}
																			else
																				{	/* Ast/hrtype.scm 99 */
																					BgL_testz00_3195 = ((bool_t) 0);
																				}
																			if (BgL_testz00_3195)
																				{
																					BgL_variablez00_bglt BgL_auxz00_3204;

																					BgL_auxz00_3204 =
																						(BgL_variablez00_bglt)
																						(BgL_newzd2gzd2_1209);
																					((((BgL_varz00_bglt)
																								CREF
																								(BgL_instance3109z00_1199))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_auxz00_3204), BUNSPEC);
																				}
																			else
																				{	/* Ast/hrtype.scm 101 */
																					obj_t BgL_arg3284z00_1213;

																					{	/* Ast/hrtype.scm 103 */
																						BgL_variablez00_bglt
																							BgL_obj1462z00_1501;
																						BgL_obj1462z00_1501 =
																							(((BgL_varz00_bglt)
																								CREF
																								(BgL_instance3109z00_1199))->
																							BgL_variablez00);
																						BgL_arg3284z00_1213 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_obj1462z00_1501))->
																							BgL_idz00);
																					}
																					BGl_errorz00zz__errorz00
																						(BGl_string3456z00zzast_hrtypez00,
																						BGl_string3457z00zzast_hrtypez00,
																						BgL_arg3284z00_1213);
																				}
																		}
																	}
															}
													}
												else
													{	/* Ast/hrtype.scm 81 */
														BFALSE;
													}
											}
									}
								}
							else
								{	/* Ast/hrtype.scm 76 */
									BFALSE;
								}
						}
					}
					{	/* Ast/hrtype.scm 106 */
						obj_t BgL_arg3304z00_1233;

						BgL_arg3304z00_1233 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1190))->BgL_argsz00);
						BgL_auxz00_3132 =
							BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(BgL_arg3304z00_1233);
					}
					return BBOOL(BgL_auxz00_3132);
				}
			}
		}
	}



/* hrtype-node!-sequenc3164 */
	obj_t BGl_hrtypezd2nodez12zd2sequenc3164z12zzast_hrtypez00(obj_t
		BgL_envz00_2301, obj_t BgL_nodez00_2302)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 64 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1183;

				{	/* Ast/hrtype.scm 65 */
					bool_t BgL_auxz00_3214;

					BgL_nodez00_1183 = (BgL_sequencez00_bglt) (BgL_nodez00_2302);
					{	/* Ast/hrtype.scm 65 */
						obj_t BgL_arg3267z00_1468;

						BgL_arg3267z00_1468 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1183))->BgL_nodesz00);
						BgL_auxz00_3214 =
							BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(BgL_arg3267z00_1468);
					}
					return BBOOL(BgL_auxz00_3214);
				}
			}
		}
	}



/* hrtype-node!-closure3162 */
	obj_t BGl_hrtypezd2nodez12zd2closure3162z12zzast_hrtypez00(obj_t
		BgL_envz00_2303, obj_t BgL_nodez00_2304)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 58 */
			return BUNSPEC;
		}
	}



/* hrtype-node!-var3160 */
	obj_t BGl_hrtypezd2nodez12zd2var3160z12zzast_hrtypez00(obj_t BgL_envz00_2305,
		obj_t BgL_nodez00_2306)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 49 */
			{
				BgL_varz00_bglt BgL_nodez00_1167;

				BgL_nodez00_1167 = (BgL_varz00_bglt) (BgL_nodez00_2306);
				{	/* Ast/hrtype.scm 51 */
					bool_t BgL_testz00_3219;

					{	/* Ast/hrtype.scm 51 */
						BgL_typez00_bglt BgL_arg3264z00_1175;

						{
							BgL_nodez00_bglt BgL_auxz00_3220;

							BgL_auxz00_3220 = (BgL_nodez00_bglt) (BgL_nodez00_1167);
							BgL_arg3264z00_1175 =
								(((BgL_nodez00_bglt) CREF(BgL_auxz00_3220))->BgL_typez00);
						}
						{	/* Ast/hrtype.scm 51 */
							obj_t BgL_obj1437z00_1462;

							BgL_obj1437z00_1462 = (obj_t) (BgL_arg3264z00_1175);
							BgL_testz00_3219 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj1437z00_1462,
								BGl_typez00zztype_typez00);
						}
					}
					if (BgL_testz00_3219)
						{	/* Ast/hrtype.scm 52 */
							BgL_typez00_bglt BgL_arg3261z00_1172;

							{	/* Ast/hrtype.scm 52 */
								obj_t BgL_arg3262z00_1173;

								{	/* Ast/hrtype.scm 52 */
									BgL_typez00_bglt BgL_obj1343z00_1464;

									{
										BgL_nodez00_bglt BgL_auxz00_3225;

										BgL_auxz00_3225 = (BgL_nodez00_bglt) (BgL_nodez00_1167);
										BgL_obj1343z00_1464 =
											(((BgL_nodez00_bglt) CREF(BgL_auxz00_3225))->BgL_typez00);
									}
									BgL_arg3262z00_1173 =
										(((BgL_typez00_bglt) CREF(BgL_obj1343z00_1464))->BgL_idz00);
								}
								BgL_arg3261z00_1172 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg3262z00_1173);
							}
							{
								BgL_nodez00_bglt BgL_auxz00_3230;

								BgL_auxz00_3230 = (BgL_nodez00_bglt) (BgL_nodez00_1167);
								((((BgL_nodez00_bglt) CREF(BgL_auxz00_3230))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg3261z00_1172), BUNSPEC);
							}
						}
					else
						{	/* Ast/hrtype.scm 51 */
							BFALSE;
						}
				}
				return BUNSPEC;
			}
		}
	}



/* hrtype-node!-kwote3158 */
	obj_t BGl_hrtypezd2nodez12zd2kwote3158z12zzast_hrtypez00(obj_t
		BgL_envz00_2307, obj_t BgL_nodez00_2308)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 43 */
			return BUNSPEC;
		}
	}



/* hrtype-node!-atom3156 */
	obj_t BGl_hrtypezd2nodez12zd2atom3156z12zzast_hrtypez00(obj_t BgL_envz00_2309,
		obj_t BgL_nodez00_2310)
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 37 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00()
	{
		AN_OBJECT;
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3458z00zzast_hrtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
