/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/lvtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_lvtypezd2nodez12zd2funcall3139z12zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2select3152z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl__lvtypezd2nodez123347zc0zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_lvtypezd2nodez12zd2conditi3147z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2app3135z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2cast3143z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2boxzd2ref3166zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl__lvtypezd2nodez12zd2default3122z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2setq3145z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2setzd2exzd23158z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2var3129z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_lvtypezd2nodez12zd2letzd2fun3154zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzast_lvtypez00();
	static obj_t BGl_lvtypezd2nodez12zd2closure3131z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2kwote3127z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2letzd2var3156zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2jumpzd2ex3160zc0zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
	static obj_t BGl_lvtypezd2nodez12zd2fail3149z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2sequenc3133z12zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2boxzd2set3164zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_lvtypez00();
	extern BgL_typez00_bglt BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
	static obj_t BGl_lvtypezd2nodez12zd2makezd2bo3162zc0zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2extern3141z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2appzd2ly3137zc0zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_lvtypezd2nodez12zd2default3122z12zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_lvtypezd2nodez12zd2atom3125z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
	static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3350z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123376z00,
		BGl_lvtypezd2nodez12zd2kwote3127z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3349z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123377z00,
		BGl_lvtypezd2nodez12zd2atom3125z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3351z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123378z00,
		BGl_lvtypezd2nodez12zd2var3129z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3352z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123379z00,
		BGl_lvtypezd2nodez12zd2closure3131z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3353z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123380z00,
		BGl_lvtypezd2nodez12zd2sequenc3133z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123381z00,
		BGl_lvtypezd2nodez12zd2app3135z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3355z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123382z00,
		BGl_lvtypezd2nodez12zd2appzd2ly3137zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3356z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123383z00,
		BGl_lvtypezd2nodez12zd2funcall3139z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3357z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123384z00,
		BGl_lvtypezd2nodez12zd2extern3141z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3358z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123385z00,
		BGl_lvtypezd2nodez12zd2cast3143z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3360z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123386z00,
		BGl_lvtypezd2nodez12zd2conditi3147z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3359z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123387z00,
		BGl_lvtypezd2nodez12zd2setq3145z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3361z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123388z00,
		BGl_lvtypezd2nodez12zd2fail3149z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3362z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123389z00,
		BGl_lvtypezd2nodez12zd2select3152z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123390z00,
		BGl_lvtypezd2nodez12zd2letzd2fun3154zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123391z00,
		BGl_lvtypezd2nodez12zd2letzd2var3156zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3365z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123392z00,
		BGl_lvtypezd2nodez12zd2setzd2exzd23158z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123393z00,
		BGl_lvtypezd2nodez12zd2jumpzd2ex3160zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3367z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123394z00,
		BGl_lvtypezd2nodez12zd2makezd2bo3162zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3368z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123395z00,
		BGl_lvtypezd2nodez12zd2boxzd2set3164zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3369z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123396z00,
		BGl_lvtypezd2nodez12zd2boxzd2ref3166zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3348z00zzast_lvtypez00,
		BgL_bgl_string3348za700za7za7a3397za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3370z00zzast_lvtypez00,
		BgL_bgl_string3370za700za7za7a3398za7, "lvtype-node!", 12);
	      DEFINE_STRING(BGl_string3371z00zzast_lvtypez00,
		BgL_bgl_string3371za700za7za7a3399za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3372z00zzast_lvtypez00,
		BgL_bgl_string3372za700za7za7a3400za7, "ast_lvtype", 10);
	      DEFINE_STRING(BGl_string3373z00zzast_lvtypez00,
		BgL_bgl_string3373za700za7za7a3401za7, "lvtype-node!-default3122 ", 25);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_lvtypezd2nodez12zd2default3122zd2envzc0zzast_lvtypez00,
		BgL_bgl__lvtypeza7d2nodeza713402z00,
		BGl__lvtypezd2nodez12zd2default3122z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
		BgL_bgl__lvtypeza7d2nodeza713403z00,
		BGl__lvtypezd2nodez123347zc0zzast_lvtypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long
		BgL_checksumz00_2191, char *BgL_fromz00_2192)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_lvtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
					BGl_cnstzd2initzd2zzast_lvtypez00();
					BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
					BGl_genericzd2initzd2zzast_lvtypez00();
					BGl_methodzd2initzd2zzast_lvtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_lvtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_cportz00_2180;

				BgL_cportz00_2180 =
					bgl_open_input_string(BGl_string3373z00zzast_lvtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2181;

					BgL_iz00_2181 = ((long) 0);
				BgL_loopz00_2182:
					if ((BgL_iz00_2181 == ((long) -1)))
						{	/* Ast/lvtype.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/lvtype.scm 16 */
							{	/* Ast/lvtype.scm 16 */
								obj_t BgL_arg3375z00_2184;

								{	/* Ast/lvtype.scm 16 */

									{	/* Ast/lvtype.scm 16 */
										obj_t BgL_locationz00_2186;

										BgL_locationz00_2186 = BBOOL(((bool_t) 0));
										{	/* Ast/lvtype.scm 16 */

											BgL_arg3375z00_2184 =
												BGl_readz00zz__readerz00(BgL_cportz00_2180,
												BgL_locationz00_2186);
										}
									}
								}
								{	/* Ast/lvtype.scm 16 */
									int BgL_auxz00_2210;

									BgL_auxz00_2210 = (int) (BgL_iz00_2181);
									CNST_TABLE_SET(BgL_auxz00_2210, BgL_arg3375z00_2184);
							}}
							{	/* Ast/lvtype.scm 16 */
								int BgL_auxz00_2187;

								BgL_auxz00_2187 = (int) ((BgL_iz00_2181 - ((long) 1)));
								{
									long BgL_iz00_2215;

									BgL_iz00_2215 = (long) (BgL_auxz00_2187);
									BgL_iz00_2181 = BgL_iz00_2215;
									goto BgL_loopz00_2182;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* lvtype-node*! */
	bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_24)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 199 */
			{
				obj_t BgL_l3120z00_759;

				BgL_l3120z00_759 = BgL_nodeza2za2_24;
			BgL_zc3anonymousza33167ze3z83_760:
				if (PAIRP(BgL_l3120z00_759))
					{	/* Ast/lvtype.scm 200 */
						{	/* Ast/lvtype.scm 200 */
							obj_t BgL_arg3170z00_762;

							BgL_arg3170z00_762 = CAR(BgL_l3120z00_759);
							{	/* Ast/lvtype.scm 200 */
								BgL_nodez00_bglt BgL_nodez00_1326;

								BgL_nodez00_1326 = (BgL_nodez00_bglt) (BgL_arg3170z00_762);
								{	/* Ast/lvtype.scm 200 */
									obj_t BgL_method3123z00_1327;

									{	/* Ast/lvtype.scm 200 */
										BgL_objectz00_bglt BgL_objz00_1328;

										BgL_objz00_1328 = (BgL_objectz00_bglt) (BgL_nodez00_1326);
										{	/* Ast/lvtype.scm 200 */
											long BgL_objzd2classzd2numz00_1329;

											BgL_objzd2classzd2numz00_1329 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1328);
											{	/* Ast/lvtype.scm 200 */
												obj_t BgL_arg2422z00_1330;

												BgL_arg2422z00_1330 =
													PROCEDURE_REF
													(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
													(int) (((long) 1)));
												{	/* Ast/lvtype.scm 200 */
													obj_t BgL_arrayz00_1332;

													int BgL_offsetz00_1333;

													BgL_arrayz00_1332 = BgL_arg2422z00_1330;
													BgL_offsetz00_1333 =
														(int) (BgL_objzd2classzd2numz00_1329);
													{	/* Ast/lvtype.scm 200 */
														long BgL_offsetz00_1334;

														BgL_offsetz00_1334 =
															((long) (BgL_offsetz00_1333) - OBJECT_TYPE);
														{	/* Ast/lvtype.scm 200 */
															long BgL_modz00_1335;

															{	/* Ast/lvtype.scm 200 */
																int BgL_arg2424z00_1336;

																BgL_arg2424z00_1336 = (int) (((long) 8));
																{	/* Ast/lvtype.scm 200 */
																	long BgL_auxz00_2229;

																	BgL_auxz00_2229 =
																		(long) (BgL_arg2424z00_1336);
																	BgL_modz00_1335 =
																		(BgL_offsetz00_1334 / BgL_auxz00_2229);
															}}
															{	/* Ast/lvtype.scm 200 */
																long BgL_restz00_1337;

																{	/* Ast/lvtype.scm 200 */
																	int BgL_arg2423z00_1338;

																	BgL_arg2423z00_1338 = (int) (((long) 8));
																	{	/* Ast/lvtype.scm 200 */
																		long BgL_auxz00_2233;

																		BgL_auxz00_2233 =
																			(long) (BgL_arg2423z00_1338);
																		BgL_restz00_1337 =
																			(BgL_offsetz00_1334 % BgL_auxz00_2233);
																}}
																{	/* Ast/lvtype.scm 200 */

																	BgL_method3123z00_1327 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1332,
																			(int) (BgL_modz00_1335)),
																		(int) (BgL_restz00_1337));
									}}}}}}}}
									PROCEDURE_ENTRY(BgL_method3123z00_1327)
										(BgL_method3123z00_1327, (obj_t) (BgL_nodez00_1326), BEOA);
						}}}
						{
							obj_t BgL_l3120z00_2243;

							BgL_l3120z00_2243 = CDR(BgL_l3120z00_759);
							BgL_l3120z00_759 = BgL_l3120z00_2243;
							goto BgL_zc3anonymousza33167ze3z83_760;
						}
					}
				else
					{	/* Ast/lvtype.scm 200 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt
		BgL_variablez00_25, BgL_typez00_bglt BgL_typez00_26)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 205 */
			{	/* Ast/lvtype.scm 206 */
				obj_t BgL_ntypez00_765;

				BgL_typez00_bglt BgL_otypez00_766;

				if (((obj_t) (BgL_typez00_26) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 206 */
						BgL_ntypez00_765 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 206 */
						BgL_ntypez00_765 = (obj_t) (BgL_typez00_26);
					}
				BgL_otypez00_766 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_25))->BgL_typez00);
				if (((obj_t) (BgL_otypez00_766) == BGl_za2_za2z00zztype_cachez00))
					{
						BgL_typez00_bglt BgL_auxz00_2253;

						BgL_auxz00_2253 = (BgL_typez00_bglt) (BgL_ntypez00_765);
						return
							((((BgL_variablez00_bglt) CREF(BgL_variablez00_25))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_2253), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 208 */
						return BFALSE;
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_lvtypezd2nodez12zd2default3122zd2envzc0zzast_lvtypez00);
		}
	}



/* lvtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_1)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 29 */
			{	/* Ast/lvtype.scm 29 */
				obj_t BgL_method3123z00_1356;

				{	/* Ast/lvtype.scm 29 */
					BgL_objectz00_bglt BgL_objz00_1357;

					BgL_objz00_1357 = (BgL_objectz00_bglt) (BgL_nodez00_1);
					{	/* Ast/lvtype.scm 29 */
						long BgL_objzd2classzd2numz00_1358;

						BgL_objzd2classzd2numz00_1358 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1357);
						{	/* Ast/lvtype.scm 29 */
							obj_t BgL_arg2422z00_1359;

							BgL_arg2422z00_1359 =
								PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
								(int) (((long) 1)));
							{	/* Ast/lvtype.scm 29 */
								obj_t BgL_arrayz00_1361;

								int BgL_offsetz00_1362;

								BgL_arrayz00_1361 = BgL_arg2422z00_1359;
								BgL_offsetz00_1362 = (int) (BgL_objzd2classzd2numz00_1358);
								{	/* Ast/lvtype.scm 29 */
									long BgL_offsetz00_1363;

									BgL_offsetz00_1363 =
										((long) (BgL_offsetz00_1362) - OBJECT_TYPE);
									{	/* Ast/lvtype.scm 29 */
										long BgL_modz00_1364;

										{	/* Ast/lvtype.scm 29 */
											int BgL_arg2424z00_1365;

											BgL_arg2424z00_1365 = (int) (((long) 8));
											{	/* Ast/lvtype.scm 29 */
												long BgL_auxz00_2265;

												BgL_auxz00_2265 = (long) (BgL_arg2424z00_1365);
												BgL_modz00_1364 =
													(BgL_offsetz00_1363 / BgL_auxz00_2265);
										}}
										{	/* Ast/lvtype.scm 29 */
											long BgL_restz00_1366;

											{	/* Ast/lvtype.scm 29 */
												int BgL_arg2423z00_1367;

												BgL_arg2423z00_1367 = (int) (((long) 8));
												{	/* Ast/lvtype.scm 29 */
													long BgL_auxz00_2269;

													BgL_auxz00_2269 = (long) (BgL_arg2423z00_1367);
													BgL_restz00_1366 =
														(BgL_offsetz00_1363 % BgL_auxz00_2269);
											}}
											{	/* Ast/lvtype.scm 29 */

												BgL_method3123z00_1356 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1361,
														(int) (BgL_modz00_1364)), (int) (BgL_restz00_1366));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3123z00_1356) (BgL_method3123z00_1356,
					(obj_t) (BgL_nodez00_1), BEOA);
			}
		}
	}



/* _lvtype-node!3347 */
	obj_t BGl__lvtypezd2nodez123347zc0zzast_lvtypez00(obj_t BgL_envz00_2113,
		obj_t BgL_nodez00_2114)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 29 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(BgL_nodez00_bglt) (BgL_nodez00_2114));
		}
	}



/* lvtype-node!-default3122 */
	obj_t BGl_lvtypezd2nodez12zd2default3122z12zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_2)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string3348z00zzast_lvtypez00, (obj_t) (BgL_nodez00_2));
		}
	}



/* _lvtype-node!-default3122 */
	obj_t BGl__lvtypezd2nodez12zd2default3122z12zzast_lvtypez00(obj_t
		BgL_envz00_2115, obj_t BgL_nodez00_2116)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_lvtypezd2nodez12zd2default3122z12zzast_lvtypez00(
				(BgL_nodez00_bglt) (BgL_nodez00_2116));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_atomz00zzast_nodez00,
				BGl_proc3349z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_kwotez00zzast_nodez00, BGl_proc3350z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_varz00zzast_nodez00,
				BGl_proc3351z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_closurez00zzast_nodez00, BGl_proc3352z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3353z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appz00zzast_nodez00,
				BGl_proc3354z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3355z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3356z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_externz00zzast_nodez00, BGl_proc3357z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_castz00zzast_nodez00,
				BGl_proc3358z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc3359z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3360z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_failz00zzast_nodez00,
				BGl_proc3361z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_selectz00zzast_nodez00, BGl_proc3362z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3363z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3364z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3365z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3366z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3367z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3368z00zzast_lvtypez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3369z00zzast_lvtypez00);
		}
	}



/* lvtype-node!-box-ref3166 */
	obj_t BGl_lvtypezd2nodez12zd2boxzd2ref3166zc0zzast_lvtypez00(obj_t
		BgL_envz00_2138, obj_t BgL_nodez00_2139)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 192 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1317;

				BgL_nodez00_1317 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2139);
				{	/* Ast/lvtype.scm 193 */
					BgL_varz00_bglt BgL_arg3289z00_2085;

					BgL_arg3289z00_2085 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1317))->BgL_varz00);
					{	/* Ast/lvtype.scm 193 */
						BgL_nodez00_bglt BgL_nodez00_2087;

						BgL_nodez00_2087 = (BgL_nodez00_bglt) (BgL_arg3289z00_2085);
						{	/* Ast/lvtype.scm 193 */
							obj_t BgL_method3123z00_2088;

							{	/* Ast/lvtype.scm 193 */
								BgL_objectz00_bglt BgL_objz00_2089;

								BgL_objz00_2089 = (BgL_objectz00_bglt) (BgL_nodez00_2087);
								{	/* Ast/lvtype.scm 193 */
									long BgL_objzd2classzd2numz00_2090;

									BgL_objzd2classzd2numz00_2090 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2089);
									{	/* Ast/lvtype.scm 193 */
										obj_t BgL_arg2422z00_2091;

										BgL_arg2422z00_2091 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 193 */
											obj_t BgL_arrayz00_2093;

											int BgL_offsetz00_2094;

											BgL_arrayz00_2093 = BgL_arg2422z00_2091;
											BgL_offsetz00_2094 =
												(int) (BgL_objzd2classzd2numz00_2090);
											{	/* Ast/lvtype.scm 193 */
												long BgL_offsetz00_2095;

												BgL_offsetz00_2095 =
													((long) (BgL_offsetz00_2094) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 193 */
													long BgL_modz00_2096;

													{	/* Ast/lvtype.scm 193 */
														int BgL_arg2424z00_2097;

														BgL_arg2424z00_2097 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 193 */
															long BgL_auxz00_2317;

															BgL_auxz00_2317 = (long) (BgL_arg2424z00_2097);
															BgL_modz00_2096 =
																(BgL_offsetz00_2095 / BgL_auxz00_2317);
													}}
													{	/* Ast/lvtype.scm 193 */
														long BgL_restz00_2098;

														{	/* Ast/lvtype.scm 193 */
															int BgL_arg2423z00_2099;

															BgL_arg2423z00_2099 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 193 */
																long BgL_auxz00_2321;

																BgL_auxz00_2321 = (long) (BgL_arg2423z00_2099);
																BgL_restz00_2098 =
																	(BgL_offsetz00_2095 % BgL_auxz00_2321);
														}}
														{	/* Ast/lvtype.scm 193 */

															BgL_method3123z00_2088 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2093,
																	(int) (BgL_modz00_2096)),
																(int) (BgL_restz00_2098));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3123z00_2088) (BgL_method3123z00_2088,
								(obj_t) (BgL_nodez00_2087), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-box-set3164 */
	obj_t BGl_lvtypezd2nodez12zd2boxzd2set3164zc0zzast_lvtypez00(obj_t
		BgL_envz00_2140, obj_t BgL_nodez00_2141)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 184 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1309;

				BgL_nodez00_1309 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2141);
				{	/* Ast/lvtype.scm 186 */
					BgL_varz00_bglt BgL_arg3286z00_1313;

					BgL_arg3286z00_1313 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1309))->BgL_varz00);
					{	/* Ast/lvtype.scm 186 */
						BgL_nodez00_bglt BgL_nodez00_2031;

						BgL_nodez00_2031 = (BgL_nodez00_bglt) (BgL_arg3286z00_1313);
						{	/* Ast/lvtype.scm 186 */
							obj_t BgL_method3123z00_2032;

							{	/* Ast/lvtype.scm 186 */
								BgL_objectz00_bglt BgL_objz00_2033;

								BgL_objz00_2033 = (BgL_objectz00_bglt) (BgL_nodez00_2031);
								{	/* Ast/lvtype.scm 186 */
									long BgL_objzd2classzd2numz00_2034;

									BgL_objzd2classzd2numz00_2034 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2033);
									{	/* Ast/lvtype.scm 186 */
										obj_t BgL_arg2422z00_2035;

										BgL_arg2422z00_2035 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 186 */
											obj_t BgL_arrayz00_2037;

											int BgL_offsetz00_2038;

											BgL_arrayz00_2037 = BgL_arg2422z00_2035;
											BgL_offsetz00_2038 =
												(int) (BgL_objzd2classzd2numz00_2034);
											{	/* Ast/lvtype.scm 186 */
												long BgL_offsetz00_2039;

												BgL_offsetz00_2039 =
													((long) (BgL_offsetz00_2038) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 186 */
													long BgL_modz00_2040;

													{	/* Ast/lvtype.scm 186 */
														int BgL_arg2424z00_2041;

														BgL_arg2424z00_2041 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 186 */
															long BgL_auxz00_2342;

															BgL_auxz00_2342 = (long) (BgL_arg2424z00_2041);
															BgL_modz00_2040 =
																(BgL_offsetz00_2039 / BgL_auxz00_2342);
													}}
													{	/* Ast/lvtype.scm 186 */
														long BgL_restz00_2042;

														{	/* Ast/lvtype.scm 186 */
															int BgL_arg2423z00_2043;

															BgL_arg2423z00_2043 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 186 */
																long BgL_auxz00_2346;

																BgL_auxz00_2346 = (long) (BgL_arg2423z00_2043);
																BgL_restz00_2042 =
																	(BgL_offsetz00_2039 % BgL_auxz00_2346);
														}}
														{	/* Ast/lvtype.scm 186 */

															BgL_method3123z00_2032 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2037,
																	(int) (BgL_modz00_2040)),
																(int) (BgL_restz00_2042));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3123z00_2032) (BgL_method3123z00_2032,
								(obj_t) (BgL_nodez00_2031), BEOA);
				}}}
				{	/* Ast/lvtype.scm 187 */
					BgL_nodez00_bglt BgL_arg3287z00_1314;

					BgL_arg3287z00_1314 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1309))->BgL_valuez00);
					{	/* Ast/lvtype.scm 187 */
						obj_t BgL_method3123z00_2059;

						{	/* Ast/lvtype.scm 187 */
							BgL_objectz00_bglt BgL_objz00_2060;

							BgL_objz00_2060 = (BgL_objectz00_bglt) (BgL_arg3287z00_1314);
							{	/* Ast/lvtype.scm 187 */
								long BgL_objzd2classzd2numz00_2061;

								BgL_objzd2classzd2numz00_2061 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2060);
								{	/* Ast/lvtype.scm 187 */
									obj_t BgL_arg2422z00_2062;

									BgL_arg2422z00_2062 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 187 */
										obj_t BgL_arrayz00_2064;

										int BgL_offsetz00_2065;

										BgL_arrayz00_2064 = BgL_arg2422z00_2062;
										BgL_offsetz00_2065 = (int) (BgL_objzd2classzd2numz00_2061);
										{	/* Ast/lvtype.scm 187 */
											long BgL_offsetz00_2066;

											BgL_offsetz00_2066 =
												((long) (BgL_offsetz00_2065) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 187 */
												long BgL_modz00_2067;

												{	/* Ast/lvtype.scm 187 */
													int BgL_arg2424z00_2068;

													BgL_arg2424z00_2068 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 187 */
														long BgL_auxz00_2365;

														BgL_auxz00_2365 = (long) (BgL_arg2424z00_2068);
														BgL_modz00_2067 =
															(BgL_offsetz00_2066 / BgL_auxz00_2365);
												}}
												{	/* Ast/lvtype.scm 187 */
													long BgL_restz00_2069;

													{	/* Ast/lvtype.scm 187 */
														int BgL_arg2423z00_2070;

														BgL_arg2423z00_2070 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 187 */
															long BgL_auxz00_2369;

															BgL_auxz00_2369 = (long) (BgL_arg2423z00_2070);
															BgL_restz00_2069 =
																(BgL_offsetz00_2066 % BgL_auxz00_2369);
													}}
													{	/* Ast/lvtype.scm 187 */

														BgL_method3123z00_2059 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2064,
																(int) (BgL_modz00_2067)),
															(int) (BgL_restz00_2069));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_2059) (BgL_method3123z00_2059,
							(obj_t) (BgL_arg3287z00_1314), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-make-bo3162 */
	obj_t BGl_lvtypezd2nodez12zd2makezd2bo3162zc0zzast_lvtypez00(obj_t
		BgL_envz00_2142, obj_t BgL_nodez00_2143)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 177 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1302;

				BgL_nodez00_1302 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2143);
				{	/* Ast/lvtype.scm 178 */
					BgL_nodez00_bglt BgL_arg3284z00_2002;

					BgL_arg3284z00_2002 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1302))->BgL_valuez00);
					{	/* Ast/lvtype.scm 178 */
						obj_t BgL_method3123z00_2005;

						{	/* Ast/lvtype.scm 178 */
							BgL_objectz00_bglt BgL_objz00_2006;

							BgL_objz00_2006 = (BgL_objectz00_bglt) (BgL_arg3284z00_2002);
							{	/* Ast/lvtype.scm 178 */
								long BgL_objzd2classzd2numz00_2007;

								BgL_objzd2classzd2numz00_2007 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2006);
								{	/* Ast/lvtype.scm 178 */
									obj_t BgL_arg2422z00_2008;

									BgL_arg2422z00_2008 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 178 */
										obj_t BgL_arrayz00_2010;

										int BgL_offsetz00_2011;

										BgL_arrayz00_2010 = BgL_arg2422z00_2008;
										BgL_offsetz00_2011 = (int) (BgL_objzd2classzd2numz00_2007);
										{	/* Ast/lvtype.scm 178 */
											long BgL_offsetz00_2012;

											BgL_offsetz00_2012 =
												((long) (BgL_offsetz00_2011) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 178 */
												long BgL_modz00_2013;

												{	/* Ast/lvtype.scm 178 */
													int BgL_arg2424z00_2014;

													BgL_arg2424z00_2014 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 178 */
														long BgL_auxz00_2389;

														BgL_auxz00_2389 = (long) (BgL_arg2424z00_2014);
														BgL_modz00_2013 =
															(BgL_offsetz00_2012 / BgL_auxz00_2389);
												}}
												{	/* Ast/lvtype.scm 178 */
													long BgL_restz00_2015;

													{	/* Ast/lvtype.scm 178 */
														int BgL_arg2423z00_2016;

														BgL_arg2423z00_2016 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 178 */
															long BgL_auxz00_2393;

															BgL_auxz00_2393 = (long) (BgL_arg2423z00_2016);
															BgL_restz00_2015 =
																(BgL_offsetz00_2012 % BgL_auxz00_2393);
													}}
													{	/* Ast/lvtype.scm 178 */

														BgL_method3123z00_2005 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2010,
																(int) (BgL_modz00_2013)),
															(int) (BgL_restz00_2015));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_2005) (BgL_method3123z00_2005,
							(obj_t) (BgL_arg3284z00_2002), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-jump-ex3160 */
	obj_t BGl_lvtypezd2nodez12zd2jumpzd2ex3160zc0zzast_lvtypez00(obj_t
		BgL_envz00_2144, obj_t BgL_nodez00_2145)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 169 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1294;

				BgL_nodez00_1294 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2145);
				{	/* Ast/lvtype.scm 171 */
					BgL_nodez00_bglt BgL_arg3281z00_1298;

					BgL_arg3281z00_1298 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1294))->
						BgL_exitz00);
					{	/* Ast/lvtype.scm 171 */
						obj_t BgL_method3123z00_1949;

						{	/* Ast/lvtype.scm 171 */
							BgL_objectz00_bglt BgL_objz00_1950;

							BgL_objz00_1950 = (BgL_objectz00_bglt) (BgL_arg3281z00_1298);
							{	/* Ast/lvtype.scm 171 */
								long BgL_objzd2classzd2numz00_1951;

								BgL_objzd2classzd2numz00_1951 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1950);
								{	/* Ast/lvtype.scm 171 */
									obj_t BgL_arg2422z00_1952;

									BgL_arg2422z00_1952 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 171 */
										obj_t BgL_arrayz00_1954;

										int BgL_offsetz00_1955;

										BgL_arrayz00_1954 = BgL_arg2422z00_1952;
										BgL_offsetz00_1955 = (int) (BgL_objzd2classzd2numz00_1951);
										{	/* Ast/lvtype.scm 171 */
											long BgL_offsetz00_1956;

											BgL_offsetz00_1956 =
												((long) (BgL_offsetz00_1955) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 171 */
												long BgL_modz00_1957;

												{	/* Ast/lvtype.scm 171 */
													int BgL_arg2424z00_1958;

													BgL_arg2424z00_1958 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 171 */
														long BgL_auxz00_2413;

														BgL_auxz00_2413 = (long) (BgL_arg2424z00_1958);
														BgL_modz00_1957 =
															(BgL_offsetz00_1956 / BgL_auxz00_2413);
												}}
												{	/* Ast/lvtype.scm 171 */
													long BgL_restz00_1959;

													{	/* Ast/lvtype.scm 171 */
														int BgL_arg2423z00_1960;

														BgL_arg2423z00_1960 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 171 */
															long BgL_auxz00_2417;

															BgL_auxz00_2417 = (long) (BgL_arg2423z00_1960);
															BgL_restz00_1959 =
																(BgL_offsetz00_1956 % BgL_auxz00_2417);
													}}
													{	/* Ast/lvtype.scm 171 */

														BgL_method3123z00_1949 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1954,
																(int) (BgL_modz00_1957)),
															(int) (BgL_restz00_1959));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3123z00_1949) (BgL_method3123z00_1949,
							(obj_t) (BgL_arg3281z00_1298), BEOA);
				}}
				{	/* Ast/lvtype.scm 172 */
					BgL_nodez00_bglt BgL_arg3282z00_1299;

					BgL_arg3282z00_1299 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1294))->
						BgL_valuez00);
					{	/* Ast/lvtype.scm 172 */
						obj_t BgL_method3123z00_1976;

						{	/* Ast/lvtype.scm 172 */
							BgL_objectz00_bglt BgL_objz00_1977;

							BgL_objz00_1977 = (BgL_objectz00_bglt) (BgL_arg3282z00_1299);
							{	/* Ast/lvtype.scm 172 */
								long BgL_objzd2classzd2numz00_1978;

								BgL_objzd2classzd2numz00_1978 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1977);
								{	/* Ast/lvtype.scm 172 */
									obj_t BgL_arg2422z00_1979;

									BgL_arg2422z00_1979 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 172 */
										obj_t BgL_arrayz00_1981;

										int BgL_offsetz00_1982;

										BgL_arrayz00_1981 = BgL_arg2422z00_1979;
										BgL_offsetz00_1982 = (int) (BgL_objzd2classzd2numz00_1978);
										{	/* Ast/lvtype.scm 172 */
											long BgL_offsetz00_1983;

											BgL_offsetz00_1983 =
												((long) (BgL_offsetz00_1982) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 172 */
												long BgL_modz00_1984;

												{	/* Ast/lvtype.scm 172 */
													int BgL_arg2424z00_1985;

													BgL_arg2424z00_1985 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 172 */
														long BgL_auxz00_2436;

														BgL_auxz00_2436 = (long) (BgL_arg2424z00_1985);
														BgL_modz00_1984 =
															(BgL_offsetz00_1983 / BgL_auxz00_2436);
												}}
												{	/* Ast/lvtype.scm 172 */
													long BgL_restz00_1986;

													{	/* Ast/lvtype.scm 172 */
														int BgL_arg2423z00_1987;

														BgL_arg2423z00_1987 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 172 */
															long BgL_auxz00_2440;

															BgL_auxz00_2440 = (long) (BgL_arg2423z00_1987);
															BgL_restz00_1986 =
																(BgL_offsetz00_1983 % BgL_auxz00_2440);
													}}
													{	/* Ast/lvtype.scm 172 */

														BgL_method3123z00_1976 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1981,
																(int) (BgL_modz00_1984)),
															(int) (BgL_restz00_1986));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_1976) (BgL_method3123z00_1976,
							(obj_t) (BgL_arg3282z00_1299), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-set-ex-3158 */
	obj_t BGl_lvtypezd2nodez12zd2setzd2exzd23158z12zzast_lvtypez00(obj_t
		BgL_envz00_2146, obj_t BgL_nodez00_2147)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 161 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1286;

				BgL_nodez00_1286 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2147);
				{	/* Ast/lvtype.scm 163 */
					BgL_nodez00_bglt BgL_arg3278z00_1290;

					BgL_arg3278z00_1290 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1286))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 163 */
						obj_t BgL_method3123z00_1895;

						{	/* Ast/lvtype.scm 163 */
							BgL_objectz00_bglt BgL_objz00_1896;

							BgL_objz00_1896 = (BgL_objectz00_bglt) (BgL_arg3278z00_1290);
							{	/* Ast/lvtype.scm 163 */
								long BgL_objzd2classzd2numz00_1897;

								BgL_objzd2classzd2numz00_1897 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1896);
								{	/* Ast/lvtype.scm 163 */
									obj_t BgL_arg2422z00_1898;

									BgL_arg2422z00_1898 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 163 */
										obj_t BgL_arrayz00_1900;

										int BgL_offsetz00_1901;

										BgL_arrayz00_1900 = BgL_arg2422z00_1898;
										BgL_offsetz00_1901 = (int) (BgL_objzd2classzd2numz00_1897);
										{	/* Ast/lvtype.scm 163 */
											long BgL_offsetz00_1902;

											BgL_offsetz00_1902 =
												((long) (BgL_offsetz00_1901) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 163 */
												long BgL_modz00_1903;

												{	/* Ast/lvtype.scm 163 */
													int BgL_arg2424z00_1904;

													BgL_arg2424z00_1904 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 163 */
														long BgL_auxz00_2460;

														BgL_auxz00_2460 = (long) (BgL_arg2424z00_1904);
														BgL_modz00_1903 =
															(BgL_offsetz00_1902 / BgL_auxz00_2460);
												}}
												{	/* Ast/lvtype.scm 163 */
													long BgL_restz00_1905;

													{	/* Ast/lvtype.scm 163 */
														int BgL_arg2423z00_1906;

														BgL_arg2423z00_1906 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 163 */
															long BgL_auxz00_2464;

															BgL_auxz00_2464 = (long) (BgL_arg2423z00_1906);
															BgL_restz00_1905 =
																(BgL_offsetz00_1902 % BgL_auxz00_2464);
													}}
													{	/* Ast/lvtype.scm 163 */

														BgL_method3123z00_1895 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1900,
																(int) (BgL_modz00_1903)),
															(int) (BgL_restz00_1905));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3123z00_1895) (BgL_method3123z00_1895,
							(obj_t) (BgL_arg3278z00_1290), BEOA);
				}}
				{	/* Ast/lvtype.scm 164 */
					BgL_varz00_bglt BgL_arg3279z00_1291;

					BgL_arg3279z00_1291 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1286))->BgL_varz00);
					{	/* Ast/lvtype.scm 164 */
						BgL_nodez00_bglt BgL_nodez00_1921;

						BgL_nodez00_1921 = (BgL_nodez00_bglt) (BgL_arg3279z00_1291);
						{	/* Ast/lvtype.scm 164 */
							obj_t BgL_method3123z00_1922;

							{	/* Ast/lvtype.scm 164 */
								BgL_objectz00_bglt BgL_objz00_1923;

								BgL_objz00_1923 = (BgL_objectz00_bglt) (BgL_nodez00_1921);
								{	/* Ast/lvtype.scm 164 */
									long BgL_objzd2classzd2numz00_1924;

									BgL_objzd2classzd2numz00_1924 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1923);
									{	/* Ast/lvtype.scm 164 */
										obj_t BgL_arg2422z00_1925;

										BgL_arg2422z00_1925 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 164 */
											obj_t BgL_arrayz00_1927;

											int BgL_offsetz00_1928;

											BgL_arrayz00_1927 = BgL_arg2422z00_1925;
											BgL_offsetz00_1928 =
												(int) (BgL_objzd2classzd2numz00_1924);
											{	/* Ast/lvtype.scm 164 */
												long BgL_offsetz00_1929;

												BgL_offsetz00_1929 =
													((long) (BgL_offsetz00_1928) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 164 */
													long BgL_modz00_1930;

													{	/* Ast/lvtype.scm 164 */
														int BgL_arg2424z00_1931;

														BgL_arg2424z00_1931 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 164 */
															long BgL_auxz00_2484;

															BgL_auxz00_2484 = (long) (BgL_arg2424z00_1931);
															BgL_modz00_1930 =
																(BgL_offsetz00_1929 / BgL_auxz00_2484);
													}}
													{	/* Ast/lvtype.scm 164 */
														long BgL_restz00_1932;

														{	/* Ast/lvtype.scm 164 */
															int BgL_arg2423z00_1933;

															BgL_arg2423z00_1933 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 164 */
																long BgL_auxz00_2488;

																BgL_auxz00_2488 = (long) (BgL_arg2423z00_1933);
																BgL_restz00_1932 =
																	(BgL_offsetz00_1929 % BgL_auxz00_2488);
														}}
														{	/* Ast/lvtype.scm 164 */

															BgL_method3123z00_1922 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1927,
																	(int) (BgL_modz00_1930)),
																(int) (BgL_restz00_1932));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3123z00_1922) (BgL_method3123z00_1922,
								(obj_t) (BgL_nodez00_1921), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-let-var3156 */
	obj_t BGl_lvtypezd2nodez12zd2letzd2var3156zc0zzast_lvtypez00(obj_t
		BgL_envz00_2148, obj_t BgL_nodez00_2149)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 148 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1268;

				BgL_nodez00_1268 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2149);
				{	/* Ast/lvtype.scm 150 */
					obj_t BgL_g3119z00_1272;

					BgL_g3119z00_1272 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1268))->BgL_bindingsz00);
					{
						obj_t BgL_l3117z00_1274;

						BgL_l3117z00_1274 = BgL_g3119z00_1272;
					BgL_zc3anonymousza33272ze3z83_1275:
						if (PAIRP(BgL_l3117z00_1274))
							{	/* Ast/lvtype.scm 150 */
								{	/* Ast/lvtype.scm 151 */
									obj_t BgL_bindingz00_1277;

									BgL_bindingz00_1277 = CAR(BgL_l3117z00_1274);
									{	/* Ast/lvtype.scm 151 */
										obj_t BgL_varz00_1278;

										obj_t BgL_valz00_1279;

										BgL_varz00_1278 = CAR(BgL_bindingz00_1277);
										BgL_valz00_1279 = CDR(BgL_bindingz00_1277);
										{	/* Ast/lvtype.scm 153 */
											BgL_nodez00_bglt BgL_nodez00_1839;

											BgL_nodez00_1839 = (BgL_nodez00_bglt) (BgL_valz00_1279);
											{	/* Ast/lvtype.scm 153 */
												obj_t BgL_method3123z00_1840;

												{	/* Ast/lvtype.scm 153 */
													BgL_objectz00_bglt BgL_objz00_1841;

													BgL_objz00_1841 =
														(BgL_objectz00_bglt) (BgL_nodez00_1839);
													{	/* Ast/lvtype.scm 153 */
														long BgL_objzd2classzd2numz00_1842;

														BgL_objzd2classzd2numz00_1842 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1841);
														{	/* Ast/lvtype.scm 153 */
															obj_t BgL_arg2422z00_1843;

															BgL_arg2422z00_1843 =
																PROCEDURE_REF
																(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																(int) (((long) 1)));
															{	/* Ast/lvtype.scm 153 */
																obj_t BgL_arrayz00_1845;

																int BgL_offsetz00_1846;

																BgL_arrayz00_1845 = BgL_arg2422z00_1843;
																BgL_offsetz00_1846 =
																	(int) (BgL_objzd2classzd2numz00_1842);
																{	/* Ast/lvtype.scm 153 */
																	long BgL_offsetz00_1847;

																	BgL_offsetz00_1847 =
																		((long) (BgL_offsetz00_1846) - OBJECT_TYPE);
																	{	/* Ast/lvtype.scm 153 */
																		long BgL_modz00_1848;

																		{	/* Ast/lvtype.scm 153 */
																			int BgL_arg2424z00_1849;

																			BgL_arg2424z00_1849 = (int) (((long) 8));
																			{	/* Ast/lvtype.scm 153 */
																				long BgL_auxz00_2514;

																				BgL_auxz00_2514 =
																					(long) (BgL_arg2424z00_1849);
																				BgL_modz00_1848 =
																					(BgL_offsetz00_1847 /
																					BgL_auxz00_2514);
																		}}
																		{	/* Ast/lvtype.scm 153 */
																			long BgL_restz00_1850;

																			{	/* Ast/lvtype.scm 153 */
																				int BgL_arg2423z00_1851;

																				BgL_arg2423z00_1851 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 153 */
																					long BgL_auxz00_2518;

																					BgL_auxz00_2518 =
																						(long) (BgL_arg2423z00_1851);
																					BgL_restz00_1850 =
																						(BgL_offsetz00_1847 %
																						BgL_auxz00_2518);
																			}}
																			{	/* Ast/lvtype.scm 153 */

																				BgL_method3123z00_1840 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1845,
																						(int) (BgL_modz00_1848)),
																					(int) (BgL_restz00_1850));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3123z00_1840)
													(BgL_method3123z00_1840, (obj_t) (BgL_nodez00_1839),
													BEOA);
										}}
										BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
											(BgL_variablez00_bglt) (BgL_varz00_1278),
											BGl_typeofz00zztype_typeofz00(
												(BgL_nodez00_bglt) (BgL_valz00_1279)));
								}}
								{
									obj_t BgL_l3117z00_2532;

									BgL_l3117z00_2532 = CDR(BgL_l3117z00_1274);
									BgL_l3117z00_1274 = BgL_l3117z00_2532;
									goto BgL_zc3anonymousza33272ze3z83_1275;
								}
							}
						else
							{	/* Ast/lvtype.scm 150 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/lvtype.scm 156 */
					BgL_nodez00_bglt BgL_arg3276z00_1283;

					BgL_arg3276z00_1283 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1268))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 156 */
						obj_t BgL_method3123z00_1868;

						{	/* Ast/lvtype.scm 156 */
							BgL_objectz00_bglt BgL_objz00_1869;

							BgL_objz00_1869 = (BgL_objectz00_bglt) (BgL_arg3276z00_1283);
							{	/* Ast/lvtype.scm 156 */
								long BgL_objzd2classzd2numz00_1870;

								BgL_objzd2classzd2numz00_1870 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1869);
								{	/* Ast/lvtype.scm 156 */
									obj_t BgL_arg2422z00_1871;

									BgL_arg2422z00_1871 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 156 */
										obj_t BgL_arrayz00_1873;

										int BgL_offsetz00_1874;

										BgL_arrayz00_1873 = BgL_arg2422z00_1871;
										BgL_offsetz00_1874 = (int) (BgL_objzd2classzd2numz00_1870);
										{	/* Ast/lvtype.scm 156 */
											long BgL_offsetz00_1875;

											BgL_offsetz00_1875 =
												((long) (BgL_offsetz00_1874) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 156 */
												long BgL_modz00_1876;

												{	/* Ast/lvtype.scm 156 */
													int BgL_arg2424z00_1877;

													BgL_arg2424z00_1877 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 156 */
														long BgL_auxz00_2543;

														BgL_auxz00_2543 = (long) (BgL_arg2424z00_1877);
														BgL_modz00_1876 =
															(BgL_offsetz00_1875 / BgL_auxz00_2543);
												}}
												{	/* Ast/lvtype.scm 156 */
													long BgL_restz00_1878;

													{	/* Ast/lvtype.scm 156 */
														int BgL_arg2423z00_1879;

														BgL_arg2423z00_1879 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 156 */
															long BgL_auxz00_2547;

															BgL_auxz00_2547 = (long) (BgL_arg2423z00_1879);
															BgL_restz00_1878 =
																(BgL_offsetz00_1875 % BgL_auxz00_2547);
													}}
													{	/* Ast/lvtype.scm 156 */

														BgL_method3123z00_1868 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1873,
																(int) (BgL_modz00_1876)),
															(int) (BgL_restz00_1878));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_1868) (BgL_method3123z00_1868,
							(obj_t) (BgL_arg3276z00_1283), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-let-fun3154 */
	obj_t BGl_lvtypezd2nodez12zd2letzd2fun3154zc0zzast_lvtypez00(obj_t
		BgL_envz00_2150, obj_t BgL_nodez00_2151)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 138 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1251;

				BgL_nodez00_1251 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2151);
				{	/* Ast/lvtype.scm 140 */
					obj_t BgL_g3116z00_1255;

					BgL_g3116z00_1255 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1251))->BgL_localsz00);
					{
						obj_t BgL_l3114z00_1257;

						BgL_l3114z00_1257 = BgL_g3116z00_1255;
					BgL_zc3anonymousza33265ze3z83_1258:
						if (PAIRP(BgL_l3114z00_1257))
							{	/* Ast/lvtype.scm 140 */
								{	/* Ast/lvtype.scm 141 */
									obj_t BgL_localz00_1260;

									BgL_localz00_1260 = CAR(BgL_l3114z00_1257);
									{	/* Ast/lvtype.scm 141 */
										obj_t BgL_arg3267z00_1261;

										{	/* Ast/lvtype.scm 141 */
											BgL_sfunz00_bglt BgL_obj1720z00_1779;

											{	/* Ast/lvtype.scm 141 */
												BgL_variablez00_bglt BgL_obj1449z00_1778;

												BgL_obj1449z00_1778 =
													(BgL_variablez00_bglt) (BgL_localz00_1260);
												BgL_obj1720z00_1779 =
													(BgL_sfunz00_bglt) (
													(((BgL_variablez00_bglt) CREF(BgL_obj1449z00_1778))->
														BgL_valuez00));
											}
											BgL_arg3267z00_1261 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1720z00_1779))->
												BgL_bodyz00);
										}
										{	/* Ast/lvtype.scm 141 */
											BgL_nodez00_bglt BgL_nodez00_1780;

											BgL_nodez00_1780 =
												(BgL_nodez00_bglt) (BgL_arg3267z00_1261);
											{	/* Ast/lvtype.scm 141 */
												obj_t BgL_method3123z00_1781;

												{	/* Ast/lvtype.scm 141 */
													BgL_objectz00_bglt BgL_objz00_1782;

													BgL_objz00_1782 =
														(BgL_objectz00_bglt) (BgL_nodez00_1780);
													{	/* Ast/lvtype.scm 141 */
														long BgL_objzd2classzd2numz00_1783;

														BgL_objzd2classzd2numz00_1783 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1782);
														{	/* Ast/lvtype.scm 141 */
															obj_t BgL_arg2422z00_1784;

															BgL_arg2422z00_1784 =
																PROCEDURE_REF
																(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																(int) (((long) 1)));
															{	/* Ast/lvtype.scm 141 */
																obj_t BgL_arrayz00_1786;

																int BgL_offsetz00_1787;

																BgL_arrayz00_1786 = BgL_arg2422z00_1784;
																BgL_offsetz00_1787 =
																	(int) (BgL_objzd2classzd2numz00_1783);
																{	/* Ast/lvtype.scm 141 */
																	long BgL_offsetz00_1788;

																	BgL_offsetz00_1788 =
																		((long) (BgL_offsetz00_1787) - OBJECT_TYPE);
																	{	/* Ast/lvtype.scm 141 */
																		long BgL_modz00_1789;

																		{	/* Ast/lvtype.scm 141 */
																			int BgL_arg2424z00_1790;

																			BgL_arg2424z00_1790 = (int) (((long) 8));
																			{	/* Ast/lvtype.scm 141 */
																				long BgL_auxz00_2575;

																				BgL_auxz00_2575 =
																					(long) (BgL_arg2424z00_1790);
																				BgL_modz00_1789 =
																					(BgL_offsetz00_1788 /
																					BgL_auxz00_2575);
																		}}
																		{	/* Ast/lvtype.scm 141 */
																			long BgL_restz00_1791;

																			{	/* Ast/lvtype.scm 141 */
																				int BgL_arg2423z00_1792;

																				BgL_arg2423z00_1792 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 141 */
																					long BgL_auxz00_2579;

																					BgL_auxz00_2579 =
																						(long) (BgL_arg2423z00_1792);
																					BgL_restz00_1791 =
																						(BgL_offsetz00_1788 %
																						BgL_auxz00_2579);
																			}}
																			{	/* Ast/lvtype.scm 141 */

																				BgL_method3123z00_1781 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1786,
																						(int) (BgL_modz00_1789)),
																					(int) (BgL_restz00_1791));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3123z00_1781)
													(BgL_method3123z00_1781, (obj_t) (BgL_nodez00_1780),
													BEOA);
								}}}}
								{
									obj_t BgL_l3114z00_2589;

									BgL_l3114z00_2589 = CDR(BgL_l3114z00_1257);
									BgL_l3114z00_1257 = BgL_l3114z00_2589;
									goto BgL_zc3anonymousza33265ze3z83_1258;
								}
							}
						else
							{	/* Ast/lvtype.scm 140 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/lvtype.scm 143 */
					BgL_nodez00_bglt BgL_arg3270z00_1265;

					BgL_arg3270z00_1265 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1251))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 143 */
						obj_t BgL_method3123z00_1809;

						{	/* Ast/lvtype.scm 143 */
							BgL_objectz00_bglt BgL_objz00_1810;

							BgL_objz00_1810 = (BgL_objectz00_bglt) (BgL_arg3270z00_1265);
							{	/* Ast/lvtype.scm 143 */
								long BgL_objzd2classzd2numz00_1811;

								BgL_objzd2classzd2numz00_1811 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1810);
								{	/* Ast/lvtype.scm 143 */
									obj_t BgL_arg2422z00_1812;

									BgL_arg2422z00_1812 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 143 */
										obj_t BgL_arrayz00_1814;

										int BgL_offsetz00_1815;

										BgL_arrayz00_1814 = BgL_arg2422z00_1812;
										BgL_offsetz00_1815 = (int) (BgL_objzd2classzd2numz00_1811);
										{	/* Ast/lvtype.scm 143 */
											long BgL_offsetz00_1816;

											BgL_offsetz00_1816 =
												((long) (BgL_offsetz00_1815) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 143 */
												long BgL_modz00_1817;

												{	/* Ast/lvtype.scm 143 */
													int BgL_arg2424z00_1818;

													BgL_arg2424z00_1818 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 143 */
														long BgL_auxz00_2600;

														BgL_auxz00_2600 = (long) (BgL_arg2424z00_1818);
														BgL_modz00_1817 =
															(BgL_offsetz00_1816 / BgL_auxz00_2600);
												}}
												{	/* Ast/lvtype.scm 143 */
													long BgL_restz00_1819;

													{	/* Ast/lvtype.scm 143 */
														int BgL_arg2423z00_1820;

														BgL_arg2423z00_1820 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 143 */
															long BgL_auxz00_2604;

															BgL_auxz00_2604 = (long) (BgL_arg2423z00_1820);
															BgL_restz00_1819 =
																(BgL_offsetz00_1816 % BgL_auxz00_2604);
													}}
													{	/* Ast/lvtype.scm 143 */

														BgL_method3123z00_1809 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1814,
																(int) (BgL_modz00_1817)),
															(int) (BgL_restz00_1819));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_1809) (BgL_method3123z00_1809,
							(obj_t) (BgL_arg3270z00_1265), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-select3152 */
	obj_t BGl_lvtypezd2nodez12zd2select3152z12zzast_lvtypez00(obj_t
		BgL_envz00_2152, obj_t BgL_nodez00_2153)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 128 */
			{
				BgL_selectz00_bglt BgL_nodez00_1235;

				{	/* Ast/lvtype.scm 129 */
					bool_t BgL_auxz00_2615;

					BgL_nodez00_1235 = (BgL_selectz00_bglt) (BgL_nodez00_2153);
					{	/* Ast/lvtype.scm 130 */
						BgL_nodez00_bglt BgL_arg3259z00_1239;

						BgL_arg3259z00_1239 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1235))->BgL_testz00);
						{	/* Ast/lvtype.scm 130 */
							obj_t BgL_method3123z00_1719;

							{	/* Ast/lvtype.scm 130 */
								BgL_objectz00_bglt BgL_objz00_1720;

								BgL_objz00_1720 = (BgL_objectz00_bglt) (BgL_arg3259z00_1239);
								{	/* Ast/lvtype.scm 130 */
									long BgL_objzd2classzd2numz00_1721;

									BgL_objzd2classzd2numz00_1721 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1720);
									{	/* Ast/lvtype.scm 130 */
										obj_t BgL_arg2422z00_1722;

										BgL_arg2422z00_1722 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 130 */
											obj_t BgL_arrayz00_1724;

											int BgL_offsetz00_1725;

											BgL_arrayz00_1724 = BgL_arg2422z00_1722;
											BgL_offsetz00_1725 =
												(int) (BgL_objzd2classzd2numz00_1721);
											{	/* Ast/lvtype.scm 130 */
												long BgL_offsetz00_1726;

												BgL_offsetz00_1726 =
													((long) (BgL_offsetz00_1725) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 130 */
													long BgL_modz00_1727;

													{	/* Ast/lvtype.scm 130 */
														int BgL_arg2424z00_1728;

														BgL_arg2424z00_1728 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 130 */
															long BgL_auxz00_2625;

															BgL_auxz00_2625 = (long) (BgL_arg2424z00_1728);
															BgL_modz00_1727 =
																(BgL_offsetz00_1726 / BgL_auxz00_2625);
													}}
													{	/* Ast/lvtype.scm 130 */
														long BgL_restz00_1729;

														{	/* Ast/lvtype.scm 130 */
															int BgL_arg2423z00_1730;

															BgL_arg2423z00_1730 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 130 */
																long BgL_auxz00_2629;

																BgL_auxz00_2629 = (long) (BgL_arg2423z00_1730);
																BgL_restz00_1729 =
																	(BgL_offsetz00_1726 % BgL_auxz00_2629);
														}}
														{	/* Ast/lvtype.scm 130 */

															BgL_method3123z00_1719 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1724,
																	(int) (BgL_modz00_1727)),
																(int) (BgL_restz00_1729));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3123z00_1719) (BgL_method3123z00_1719,
								(obj_t) (BgL_arg3259z00_1239), BEOA);
					}}
					{	/* Ast/lvtype.scm 131 */
						obj_t BgL_g3113z00_1240;

						BgL_g3113z00_1240 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1235))->BgL_clausesz00);
						{
							obj_t BgL_l3111z00_1242;

							BgL_l3111z00_1242 = BgL_g3113z00_1240;
						BgL_zc3anonymousza33260ze3z83_1243:
							if (PAIRP(BgL_l3111z00_1242))
								{	/* Ast/lvtype.scm 131 */
									{	/* Ast/lvtype.scm 132 */
										obj_t BgL_clausez00_1245;

										BgL_clausez00_1245 = CAR(BgL_l3111z00_1242);
										{	/* Ast/lvtype.scm 132 */
											obj_t BgL_arg3262z00_1246;

											BgL_arg3262z00_1246 = CDR(BgL_clausez00_1245);
											{	/* Ast/lvtype.scm 132 */
												BgL_nodez00_bglt BgL_nodez00_1748;

												BgL_nodez00_1748 =
													(BgL_nodez00_bglt) (BgL_arg3262z00_1246);
												{	/* Ast/lvtype.scm 132 */
													obj_t BgL_method3123z00_1749;

													{	/* Ast/lvtype.scm 132 */
														BgL_objectz00_bglt BgL_objz00_1750;

														BgL_objz00_1750 =
															(BgL_objectz00_bglt) (BgL_nodez00_1748);
														{	/* Ast/lvtype.scm 132 */
															long BgL_objzd2classzd2numz00_1751;

															BgL_objzd2classzd2numz00_1751 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1750);
															{	/* Ast/lvtype.scm 132 */
																obj_t BgL_arg2422z00_1752;

																BgL_arg2422z00_1752 =
																	PROCEDURE_REF
																	(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																	(int) (((long) 1)));
																{	/* Ast/lvtype.scm 132 */
																	obj_t BgL_arrayz00_1754;

																	int BgL_offsetz00_1755;

																	BgL_arrayz00_1754 = BgL_arg2422z00_1752;
																	BgL_offsetz00_1755 =
																		(int) (BgL_objzd2classzd2numz00_1751);
																	{	/* Ast/lvtype.scm 132 */
																		long BgL_offsetz00_1756;

																		BgL_offsetz00_1756 =
																			(
																			(long) (BgL_offsetz00_1755) -
																			OBJECT_TYPE);
																		{	/* Ast/lvtype.scm 132 */
																			long BgL_modz00_1757;

																			{	/* Ast/lvtype.scm 132 */
																				int BgL_arg2424z00_1758;

																				BgL_arg2424z00_1758 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 132 */
																					long BgL_auxz00_2653;

																					BgL_auxz00_2653 =
																						(long) (BgL_arg2424z00_1758);
																					BgL_modz00_1757 =
																						(BgL_offsetz00_1756 /
																						BgL_auxz00_2653);
																			}}
																			{	/* Ast/lvtype.scm 132 */
																				long BgL_restz00_1759;

																				{	/* Ast/lvtype.scm 132 */
																					int BgL_arg2423z00_1760;

																					BgL_arg2423z00_1760 =
																						(int) (((long) 8));
																					{	/* Ast/lvtype.scm 132 */
																						long BgL_auxz00_2657;

																						BgL_auxz00_2657 =
																							(long) (BgL_arg2423z00_1760);
																						BgL_restz00_1759 =
																							(BgL_offsetz00_1756 %
																							BgL_auxz00_2657);
																				}}
																				{	/* Ast/lvtype.scm 132 */

																					BgL_method3123z00_1749 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1754,
																							(int) (BgL_modz00_1757)),
																						(int) (BgL_restz00_1759));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3123z00_1749)
														(BgL_method3123z00_1749, (obj_t) (BgL_nodez00_1748),
														BEOA);
									}}}}
									{
										obj_t BgL_l3111z00_2667;

										BgL_l3111z00_2667 = CDR(BgL_l3111z00_1242);
										BgL_l3111z00_1242 = BgL_l3111z00_2667;
										goto BgL_zc3anonymousza33260ze3z83_1243;
									}
								}
							else
								{	/* Ast/lvtype.scm 131 */
									BgL_auxz00_2615 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2615);
				}
			}
		}
	}



/* lvtype-node!-fail3149 */
	obj_t BGl_lvtypezd2nodez12zd2fail3149z12zzast_lvtypez00(obj_t BgL_envz00_2154,
		obj_t BgL_nodez00_2155)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 119 */
			{
				BgL_failz00_bglt BgL_nodez00_1226;

				BgL_nodez00_1226 = (BgL_failz00_bglt) (BgL_nodez00_2155);
				{	/* Ast/lvtype.scm 121 */
					BgL_nodez00_bglt BgL_arg3255z00_1230;

					BgL_arg3255z00_1230 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1226))->BgL_procz00);
					{	/* Ast/lvtype.scm 121 */
						obj_t BgL_method3123z00_1638;

						{	/* Ast/lvtype.scm 121 */
							BgL_objectz00_bglt BgL_objz00_1639;

							BgL_objz00_1639 = (BgL_objectz00_bglt) (BgL_arg3255z00_1230);
							{	/* Ast/lvtype.scm 121 */
								long BgL_objzd2classzd2numz00_1640;

								BgL_objzd2classzd2numz00_1640 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1639);
								{	/* Ast/lvtype.scm 121 */
									obj_t BgL_arg2422z00_1641;

									BgL_arg2422z00_1641 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 121 */
										obj_t BgL_arrayz00_1643;

										int BgL_offsetz00_1644;

										BgL_arrayz00_1643 = BgL_arg2422z00_1641;
										BgL_offsetz00_1644 = (int) (BgL_objzd2classzd2numz00_1640);
										{	/* Ast/lvtype.scm 121 */
											long BgL_offsetz00_1645;

											BgL_offsetz00_1645 =
												((long) (BgL_offsetz00_1644) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 121 */
												long BgL_modz00_1646;

												{	/* Ast/lvtype.scm 121 */
													int BgL_arg2424z00_1647;

													BgL_arg2424z00_1647 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 121 */
														long BgL_auxz00_2680;

														BgL_auxz00_2680 = (long) (BgL_arg2424z00_1647);
														BgL_modz00_1646 =
															(BgL_offsetz00_1645 / BgL_auxz00_2680);
												}}
												{	/* Ast/lvtype.scm 121 */
													long BgL_restz00_1648;

													{	/* Ast/lvtype.scm 121 */
														int BgL_arg2423z00_1649;

														BgL_arg2423z00_1649 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 121 */
															long BgL_auxz00_2684;

															BgL_auxz00_2684 = (long) (BgL_arg2423z00_1649);
															BgL_restz00_1648 =
																(BgL_offsetz00_1645 % BgL_auxz00_2684);
													}}
													{	/* Ast/lvtype.scm 121 */

														BgL_method3123z00_1638 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1643,
																(int) (BgL_modz00_1646)),
															(int) (BgL_restz00_1648));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3123z00_1638) (BgL_method3123z00_1638,
							(obj_t) (BgL_arg3255z00_1230), BEOA);
				}}
				{	/* Ast/lvtype.scm 122 */
					BgL_nodez00_bglt BgL_arg3256z00_1231;

					BgL_arg3256z00_1231 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1226))->BgL_msgz00);
					{	/* Ast/lvtype.scm 122 */
						obj_t BgL_method3123z00_1665;

						{	/* Ast/lvtype.scm 122 */
							BgL_objectz00_bglt BgL_objz00_1666;

							BgL_objz00_1666 = (BgL_objectz00_bglt) (BgL_arg3256z00_1231);
							{	/* Ast/lvtype.scm 122 */
								long BgL_objzd2classzd2numz00_1667;

								BgL_objzd2classzd2numz00_1667 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1666);
								{	/* Ast/lvtype.scm 122 */
									obj_t BgL_arg2422z00_1668;

									BgL_arg2422z00_1668 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 122 */
										obj_t BgL_arrayz00_1670;

										int BgL_offsetz00_1671;

										BgL_arrayz00_1670 = BgL_arg2422z00_1668;
										BgL_offsetz00_1671 = (int) (BgL_objzd2classzd2numz00_1667);
										{	/* Ast/lvtype.scm 122 */
											long BgL_offsetz00_1672;

											BgL_offsetz00_1672 =
												((long) (BgL_offsetz00_1671) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 122 */
												long BgL_modz00_1673;

												{	/* Ast/lvtype.scm 122 */
													int BgL_arg2424z00_1674;

													BgL_arg2424z00_1674 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 122 */
														long BgL_auxz00_2703;

														BgL_auxz00_2703 = (long) (BgL_arg2424z00_1674);
														BgL_modz00_1673 =
															(BgL_offsetz00_1672 / BgL_auxz00_2703);
												}}
												{	/* Ast/lvtype.scm 122 */
													long BgL_restz00_1675;

													{	/* Ast/lvtype.scm 122 */
														int BgL_arg2423z00_1676;

														BgL_arg2423z00_1676 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 122 */
															long BgL_auxz00_2707;

															BgL_auxz00_2707 = (long) (BgL_arg2423z00_1676);
															BgL_restz00_1675 =
																(BgL_offsetz00_1672 % BgL_auxz00_2707);
													}}
													{	/* Ast/lvtype.scm 122 */

														BgL_method3123z00_1665 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1670,
																(int) (BgL_modz00_1673)),
															(int) (BgL_restz00_1675));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3123z00_1665) (BgL_method3123z00_1665,
							(obj_t) (BgL_arg3256z00_1231), BEOA);
				}}
				{	/* Ast/lvtype.scm 123 */
					BgL_nodez00_bglt BgL_arg3257z00_1232;

					BgL_arg3257z00_1232 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1226))->BgL_objz00);
					{	/* Ast/lvtype.scm 123 */
						obj_t BgL_method3123z00_1692;

						{	/* Ast/lvtype.scm 123 */
							BgL_objectz00_bglt BgL_objz00_1693;

							BgL_objz00_1693 = (BgL_objectz00_bglt) (BgL_arg3257z00_1232);
							{	/* Ast/lvtype.scm 123 */
								long BgL_objzd2classzd2numz00_1694;

								BgL_objzd2classzd2numz00_1694 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1693);
								{	/* Ast/lvtype.scm 123 */
									obj_t BgL_arg2422z00_1695;

									BgL_arg2422z00_1695 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 123 */
										obj_t BgL_arrayz00_1697;

										int BgL_offsetz00_1698;

										BgL_arrayz00_1697 = BgL_arg2422z00_1695;
										BgL_offsetz00_1698 = (int) (BgL_objzd2classzd2numz00_1694);
										{	/* Ast/lvtype.scm 123 */
											long BgL_offsetz00_1699;

											BgL_offsetz00_1699 =
												((long) (BgL_offsetz00_1698) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 123 */
												long BgL_modz00_1700;

												{	/* Ast/lvtype.scm 123 */
													int BgL_arg2424z00_1701;

													BgL_arg2424z00_1701 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 123 */
														long BgL_auxz00_2726;

														BgL_auxz00_2726 = (long) (BgL_arg2424z00_1701);
														BgL_modz00_1700 =
															(BgL_offsetz00_1699 / BgL_auxz00_2726);
												}}
												{	/* Ast/lvtype.scm 123 */
													long BgL_restz00_1702;

													{	/* Ast/lvtype.scm 123 */
														int BgL_arg2423z00_1703;

														BgL_arg2423z00_1703 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 123 */
															long BgL_auxz00_2730;

															BgL_auxz00_2730 = (long) (BgL_arg2423z00_1703);
															BgL_restz00_1702 =
																(BgL_offsetz00_1699 % BgL_auxz00_2730);
													}}
													{	/* Ast/lvtype.scm 123 */

														BgL_method3123z00_1692 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1697,
																(int) (BgL_modz00_1700)),
															(int) (BgL_restz00_1702));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_1692) (BgL_method3123z00_1692,
							(obj_t) (BgL_arg3257z00_1232), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-conditi3147 */
	obj_t BGl_lvtypezd2nodez12zd2conditi3147z12zzast_lvtypez00(obj_t
		BgL_envz00_2156, obj_t BgL_nodez00_2157)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 110 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1217;

				BgL_nodez00_1217 = (BgL_conditionalz00_bglt) (BgL_nodez00_2157);
				{	/* Ast/lvtype.scm 112 */
					BgL_nodez00_bglt BgL_arg3249z00_1221;

					BgL_arg3249z00_1221 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1217))->BgL_testz00);
					{	/* Ast/lvtype.scm 112 */
						obj_t BgL_method3123z00_1557;

						{	/* Ast/lvtype.scm 112 */
							BgL_objectz00_bglt BgL_objz00_1558;

							BgL_objz00_1558 = (BgL_objectz00_bglt) (BgL_arg3249z00_1221);
							{	/* Ast/lvtype.scm 112 */
								long BgL_objzd2classzd2numz00_1559;

								BgL_objzd2classzd2numz00_1559 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1558);
								{	/* Ast/lvtype.scm 112 */
									obj_t BgL_arg2422z00_1560;

									BgL_arg2422z00_1560 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 112 */
										obj_t BgL_arrayz00_1562;

										int BgL_offsetz00_1563;

										BgL_arrayz00_1562 = BgL_arg2422z00_1560;
										BgL_offsetz00_1563 = (int) (BgL_objzd2classzd2numz00_1559);
										{	/* Ast/lvtype.scm 112 */
											long BgL_offsetz00_1564;

											BgL_offsetz00_1564 =
												((long) (BgL_offsetz00_1563) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 112 */
												long BgL_modz00_1565;

												{	/* Ast/lvtype.scm 112 */
													int BgL_arg2424z00_1566;

													BgL_arg2424z00_1566 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 112 */
														long BgL_auxz00_2750;

														BgL_auxz00_2750 = (long) (BgL_arg2424z00_1566);
														BgL_modz00_1565 =
															(BgL_offsetz00_1564 / BgL_auxz00_2750);
												}}
												{	/* Ast/lvtype.scm 112 */
													long BgL_restz00_1567;

													{	/* Ast/lvtype.scm 112 */
														int BgL_arg2423z00_1568;

														BgL_arg2423z00_1568 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 112 */
															long BgL_auxz00_2754;

															BgL_auxz00_2754 = (long) (BgL_arg2423z00_1568);
															BgL_restz00_1567 =
																(BgL_offsetz00_1564 % BgL_auxz00_2754);
													}}
													{	/* Ast/lvtype.scm 112 */

														BgL_method3123z00_1557 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1562,
																(int) (BgL_modz00_1565)),
															(int) (BgL_restz00_1567));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3123z00_1557) (BgL_method3123z00_1557,
							(obj_t) (BgL_arg3249z00_1221), BEOA);
				}}
				{	/* Ast/lvtype.scm 113 */
					BgL_nodez00_bglt BgL_arg3251z00_1222;

					BgL_arg3251z00_1222 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1217))->BgL_truez00);
					{	/* Ast/lvtype.scm 113 */
						obj_t BgL_method3123z00_1584;

						{	/* Ast/lvtype.scm 113 */
							BgL_objectz00_bglt BgL_objz00_1585;

							BgL_objz00_1585 = (BgL_objectz00_bglt) (BgL_arg3251z00_1222);
							{	/* Ast/lvtype.scm 113 */
								long BgL_objzd2classzd2numz00_1586;

								BgL_objzd2classzd2numz00_1586 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1585);
								{	/* Ast/lvtype.scm 113 */
									obj_t BgL_arg2422z00_1587;

									BgL_arg2422z00_1587 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 113 */
										obj_t BgL_arrayz00_1589;

										int BgL_offsetz00_1590;

										BgL_arrayz00_1589 = BgL_arg2422z00_1587;
										BgL_offsetz00_1590 = (int) (BgL_objzd2classzd2numz00_1586);
										{	/* Ast/lvtype.scm 113 */
											long BgL_offsetz00_1591;

											BgL_offsetz00_1591 =
												((long) (BgL_offsetz00_1590) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 113 */
												long BgL_modz00_1592;

												{	/* Ast/lvtype.scm 113 */
													int BgL_arg2424z00_1593;

													BgL_arg2424z00_1593 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 113 */
														long BgL_auxz00_2773;

														BgL_auxz00_2773 = (long) (BgL_arg2424z00_1593);
														BgL_modz00_1592 =
															(BgL_offsetz00_1591 / BgL_auxz00_2773);
												}}
												{	/* Ast/lvtype.scm 113 */
													long BgL_restz00_1594;

													{	/* Ast/lvtype.scm 113 */
														int BgL_arg2423z00_1595;

														BgL_arg2423z00_1595 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 113 */
															long BgL_auxz00_2777;

															BgL_auxz00_2777 = (long) (BgL_arg2423z00_1595);
															BgL_restz00_1594 =
																(BgL_offsetz00_1591 % BgL_auxz00_2777);
													}}
													{	/* Ast/lvtype.scm 113 */

														BgL_method3123z00_1584 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1589,
																(int) (BgL_modz00_1592)),
															(int) (BgL_restz00_1594));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3123z00_1584) (BgL_method3123z00_1584,
							(obj_t) (BgL_arg3251z00_1222), BEOA);
				}}
				{	/* Ast/lvtype.scm 114 */
					BgL_nodez00_bglt BgL_arg3253z00_1223;

					BgL_arg3253z00_1223 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1217))->BgL_falsez00);
					{	/* Ast/lvtype.scm 114 */
						obj_t BgL_method3123z00_1611;

						{	/* Ast/lvtype.scm 114 */
							BgL_objectz00_bglt BgL_objz00_1612;

							BgL_objz00_1612 = (BgL_objectz00_bglt) (BgL_arg3253z00_1223);
							{	/* Ast/lvtype.scm 114 */
								long BgL_objzd2classzd2numz00_1613;

								BgL_objzd2classzd2numz00_1613 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1612);
								{	/* Ast/lvtype.scm 114 */
									obj_t BgL_arg2422z00_1614;

									BgL_arg2422z00_1614 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 114 */
										obj_t BgL_arrayz00_1616;

										int BgL_offsetz00_1617;

										BgL_arrayz00_1616 = BgL_arg2422z00_1614;
										BgL_offsetz00_1617 = (int) (BgL_objzd2classzd2numz00_1613);
										{	/* Ast/lvtype.scm 114 */
											long BgL_offsetz00_1618;

											BgL_offsetz00_1618 =
												((long) (BgL_offsetz00_1617) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 114 */
												long BgL_modz00_1619;

												{	/* Ast/lvtype.scm 114 */
													int BgL_arg2424z00_1620;

													BgL_arg2424z00_1620 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 114 */
														long BgL_auxz00_2796;

														BgL_auxz00_2796 = (long) (BgL_arg2424z00_1620);
														BgL_modz00_1619 =
															(BgL_offsetz00_1618 / BgL_auxz00_2796);
												}}
												{	/* Ast/lvtype.scm 114 */
													long BgL_restz00_1621;

													{	/* Ast/lvtype.scm 114 */
														int BgL_arg2423z00_1622;

														BgL_arg2423z00_1622 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 114 */
															long BgL_auxz00_2800;

															BgL_auxz00_2800 = (long) (BgL_arg2423z00_1622);
															BgL_restz00_1621 =
																(BgL_offsetz00_1618 % BgL_auxz00_2800);
													}}
													{	/* Ast/lvtype.scm 114 */

														BgL_method3123z00_1611 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1616,
																(int) (BgL_modz00_1619)),
															(int) (BgL_restz00_1621));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_1611) (BgL_method3123z00_1611,
							(obj_t) (BgL_arg3253z00_1223), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-setq3145 */
	obj_t BGl_lvtypezd2nodez12zd2setq3145z12zzast_lvtypez00(obj_t BgL_envz00_2158,
		obj_t BgL_nodez00_2159)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 102 */
			{
				BgL_setqz00_bglt BgL_nodez00_1209;

				BgL_nodez00_1209 = (BgL_setqz00_bglt) (BgL_nodez00_2159);
				{	/* Ast/lvtype.scm 104 */
					BgL_nodez00_bglt BgL_arg3246z00_1213;

					BgL_arg3246z00_1213 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1209))->BgL_valuez00);
					{	/* Ast/lvtype.scm 104 */
						obj_t BgL_method3123z00_1503;

						{	/* Ast/lvtype.scm 104 */
							BgL_objectz00_bglt BgL_objz00_1504;

							BgL_objz00_1504 = (BgL_objectz00_bglt) (BgL_arg3246z00_1213);
							{	/* Ast/lvtype.scm 104 */
								long BgL_objzd2classzd2numz00_1505;

								BgL_objzd2classzd2numz00_1505 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1504);
								{	/* Ast/lvtype.scm 104 */
									obj_t BgL_arg2422z00_1506;

									BgL_arg2422z00_1506 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 104 */
										obj_t BgL_arrayz00_1508;

										int BgL_offsetz00_1509;

										BgL_arrayz00_1508 = BgL_arg2422z00_1506;
										BgL_offsetz00_1509 = (int) (BgL_objzd2classzd2numz00_1505);
										{	/* Ast/lvtype.scm 104 */
											long BgL_offsetz00_1510;

											BgL_offsetz00_1510 =
												((long) (BgL_offsetz00_1509) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 104 */
												long BgL_modz00_1511;

												{	/* Ast/lvtype.scm 104 */
													int BgL_arg2424z00_1512;

													BgL_arg2424z00_1512 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 104 */
														long BgL_auxz00_2820;

														BgL_auxz00_2820 = (long) (BgL_arg2424z00_1512);
														BgL_modz00_1511 =
															(BgL_offsetz00_1510 / BgL_auxz00_2820);
												}}
												{	/* Ast/lvtype.scm 104 */
													long BgL_restz00_1513;

													{	/* Ast/lvtype.scm 104 */
														int BgL_arg2423z00_1514;

														BgL_arg2423z00_1514 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 104 */
															long BgL_auxz00_2824;

															BgL_auxz00_2824 = (long) (BgL_arg2423z00_1514);
															BgL_restz00_1513 =
																(BgL_offsetz00_1510 % BgL_auxz00_2824);
													}}
													{	/* Ast/lvtype.scm 104 */

														BgL_method3123z00_1503 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1508,
																(int) (BgL_modz00_1511)),
															(int) (BgL_restz00_1513));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3123z00_1503) (BgL_method3123z00_1503,
							(obj_t) (BgL_arg3246z00_1213), BEOA);
				}}
				{	/* Ast/lvtype.scm 105 */
					BgL_varz00_bglt BgL_arg3247z00_1214;

					BgL_arg3247z00_1214 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1209))->BgL_varz00);
					{	/* Ast/lvtype.scm 105 */
						BgL_nodez00_bglt BgL_nodez00_1529;

						BgL_nodez00_1529 = (BgL_nodez00_bglt) (BgL_arg3247z00_1214);
						{	/* Ast/lvtype.scm 105 */
							obj_t BgL_method3123z00_1530;

							{	/* Ast/lvtype.scm 105 */
								BgL_objectz00_bglt BgL_objz00_1531;

								BgL_objz00_1531 = (BgL_objectz00_bglt) (BgL_nodez00_1529);
								{	/* Ast/lvtype.scm 105 */
									long BgL_objzd2classzd2numz00_1532;

									BgL_objzd2classzd2numz00_1532 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1531);
									{	/* Ast/lvtype.scm 105 */
										obj_t BgL_arg2422z00_1533;

										BgL_arg2422z00_1533 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 105 */
											obj_t BgL_arrayz00_1535;

											int BgL_offsetz00_1536;

											BgL_arrayz00_1535 = BgL_arg2422z00_1533;
											BgL_offsetz00_1536 =
												(int) (BgL_objzd2classzd2numz00_1532);
											{	/* Ast/lvtype.scm 105 */
												long BgL_offsetz00_1537;

												BgL_offsetz00_1537 =
													((long) (BgL_offsetz00_1536) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 105 */
													long BgL_modz00_1538;

													{	/* Ast/lvtype.scm 105 */
														int BgL_arg2424z00_1539;

														BgL_arg2424z00_1539 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 105 */
															long BgL_auxz00_2844;

															BgL_auxz00_2844 = (long) (BgL_arg2424z00_1539);
															BgL_modz00_1538 =
																(BgL_offsetz00_1537 / BgL_auxz00_2844);
													}}
													{	/* Ast/lvtype.scm 105 */
														long BgL_restz00_1540;

														{	/* Ast/lvtype.scm 105 */
															int BgL_arg2423z00_1541;

															BgL_arg2423z00_1541 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 105 */
																long BgL_auxz00_2848;

																BgL_auxz00_2848 = (long) (BgL_arg2423z00_1541);
																BgL_restz00_1540 =
																	(BgL_offsetz00_1537 % BgL_auxz00_2848);
														}}
														{	/* Ast/lvtype.scm 105 */

															BgL_method3123z00_1530 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1535,
																	(int) (BgL_modz00_1538)),
																(int) (BgL_restz00_1540));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3123z00_1530) (BgL_method3123z00_1530,
								(obj_t) (BgL_nodez00_1529), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-cast3143 */
	obj_t BGl_lvtypezd2nodez12zd2cast3143z12zzast_lvtypez00(obj_t BgL_envz00_2160,
		obj_t BgL_nodez00_2161)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 95 */
			{
				BgL_castz00_bglt BgL_nodez00_1202;

				BgL_nodez00_1202 = (BgL_castz00_bglt) (BgL_nodez00_2161);
				{	/* Ast/lvtype.scm 96 */
					BgL_nodez00_bglt BgL_arg3244z00_1473;

					BgL_arg3244z00_1473 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1202))->BgL_argz00);
					{	/* Ast/lvtype.scm 96 */
						obj_t BgL_method3123z00_1476;

						{	/* Ast/lvtype.scm 96 */
							BgL_objectz00_bglt BgL_objz00_1477;

							BgL_objz00_1477 = (BgL_objectz00_bglt) (BgL_arg3244z00_1473);
							{	/* Ast/lvtype.scm 96 */
								long BgL_objzd2classzd2numz00_1478;

								BgL_objzd2classzd2numz00_1478 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1477);
								{	/* Ast/lvtype.scm 96 */
									obj_t BgL_arg2422z00_1479;

									BgL_arg2422z00_1479 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 96 */
										obj_t BgL_arrayz00_1481;

										int BgL_offsetz00_1482;

										BgL_arrayz00_1481 = BgL_arg2422z00_1479;
										BgL_offsetz00_1482 = (int) (BgL_objzd2classzd2numz00_1478);
										{	/* Ast/lvtype.scm 96 */
											long BgL_offsetz00_1483;

											BgL_offsetz00_1483 =
												((long) (BgL_offsetz00_1482) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 96 */
												long BgL_modz00_1484;

												{	/* Ast/lvtype.scm 96 */
													int BgL_arg2424z00_1485;

													BgL_arg2424z00_1485 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 96 */
														long BgL_auxz00_2868;

														BgL_auxz00_2868 = (long) (BgL_arg2424z00_1485);
														BgL_modz00_1484 =
															(BgL_offsetz00_1483 / BgL_auxz00_2868);
												}}
												{	/* Ast/lvtype.scm 96 */
													long BgL_restz00_1486;

													{	/* Ast/lvtype.scm 96 */
														int BgL_arg2423z00_1487;

														BgL_arg2423z00_1487 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 96 */
															long BgL_auxz00_2872;

															BgL_auxz00_2872 = (long) (BgL_arg2423z00_1487);
															BgL_restz00_1486 =
																(BgL_offsetz00_1483 % BgL_auxz00_2872);
													}}
													{	/* Ast/lvtype.scm 96 */

														BgL_method3123z00_1476 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1481,
																(int) (BgL_modz00_1484)),
															(int) (BgL_restz00_1486));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_1476) (BgL_method3123z00_1476,
							(obj_t) (BgL_arg3244z00_1473), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-extern3141 */
	obj_t BGl_lvtypezd2nodez12zd2extern3141z12zzast_lvtypez00(obj_t
		BgL_envz00_2162, obj_t BgL_nodez00_2163)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 88 */
			{
				BgL_externz00_bglt BgL_nodez00_1195;

				{	/* Ast/lvtype.scm 89 */
					bool_t BgL_auxz00_2883;

					BgL_nodez00_1195 = (BgL_externz00_bglt) (BgL_nodez00_2163);
					{	/* Ast/lvtype.scm 89 */
						obj_t BgL_arg3242z00_1470;

						BgL_arg3242z00_1470 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1195))->BgL_exprza2za2);
						BgL_auxz00_2883 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3242z00_1470);
					}
					return BBOOL(BgL_auxz00_2883);
				}
			}
		}
	}



/* lvtype-node!-funcall3139 */
	obj_t BGl_lvtypezd2nodez12zd2funcall3139z12zzast_lvtypez00(obj_t
		BgL_envz00_2164, obj_t BgL_nodez00_2165)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 80 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1187;

				{	/* Ast/lvtype.scm 81 */
					bool_t BgL_auxz00_2888;

					BgL_nodez00_1187 = (BgL_funcallz00_bglt) (BgL_nodez00_2165);
					{	/* Ast/lvtype.scm 82 */
						BgL_nodez00_bglt BgL_arg3238z00_1191;

						BgL_arg3238z00_1191 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1187))->BgL_funz00);
						{	/* Ast/lvtype.scm 82 */
							obj_t BgL_method3123z00_1443;

							{	/* Ast/lvtype.scm 82 */
								BgL_objectz00_bglt BgL_objz00_1444;

								BgL_objz00_1444 = (BgL_objectz00_bglt) (BgL_arg3238z00_1191);
								{	/* Ast/lvtype.scm 82 */
									long BgL_objzd2classzd2numz00_1445;

									BgL_objzd2classzd2numz00_1445 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1444);
									{	/* Ast/lvtype.scm 82 */
										obj_t BgL_arg2422z00_1446;

										BgL_arg2422z00_1446 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 82 */
											obj_t BgL_arrayz00_1448;

											int BgL_offsetz00_1449;

											BgL_arrayz00_1448 = BgL_arg2422z00_1446;
											BgL_offsetz00_1449 =
												(int) (BgL_objzd2classzd2numz00_1445);
											{	/* Ast/lvtype.scm 82 */
												long BgL_offsetz00_1450;

												BgL_offsetz00_1450 =
													((long) (BgL_offsetz00_1449) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 82 */
													long BgL_modz00_1451;

													{	/* Ast/lvtype.scm 82 */
														int BgL_arg2424z00_1452;

														BgL_arg2424z00_1452 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 82 */
															long BgL_auxz00_2898;

															BgL_auxz00_2898 = (long) (BgL_arg2424z00_1452);
															BgL_modz00_1451 =
																(BgL_offsetz00_1450 / BgL_auxz00_2898);
													}}
													{	/* Ast/lvtype.scm 82 */
														long BgL_restz00_1453;

														{	/* Ast/lvtype.scm 82 */
															int BgL_arg2423z00_1454;

															BgL_arg2423z00_1454 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 82 */
																long BgL_auxz00_2902;

																BgL_auxz00_2902 = (long) (BgL_arg2423z00_1454);
																BgL_restz00_1453 =
																	(BgL_offsetz00_1450 % BgL_auxz00_2902);
														}}
														{	/* Ast/lvtype.scm 82 */

															BgL_method3123z00_1443 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1448,
																	(int) (BgL_modz00_1451)),
																(int) (BgL_restz00_1453));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3123z00_1443) (BgL_method3123z00_1443,
								(obj_t) (BgL_arg3238z00_1191), BEOA);
					}}
					{	/* Ast/lvtype.scm 83 */
						obj_t BgL_arg3239z00_1192;

						BgL_arg3239z00_1192 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1187))->BgL_argsz00);
						BgL_auxz00_2888 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3239z00_1192);
					}
					return BBOOL(BgL_auxz00_2888);
				}
			}
		}
	}



/* lvtype-node!-app-ly3137 */
	obj_t BGl_lvtypezd2nodez12zd2appzd2ly3137zc0zzast_lvtypez00(obj_t
		BgL_envz00_2166, obj_t BgL_nodez00_2167)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 72 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1179;

				BgL_nodez00_1179 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2167);
				{	/* Ast/lvtype.scm 74 */
					BgL_nodez00_bglt BgL_arg3233z00_1183;

					BgL_arg3233z00_1183 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1179))->BgL_funz00);
					{	/* Ast/lvtype.scm 74 */
						obj_t BgL_method3123z00_1389;

						{	/* Ast/lvtype.scm 74 */
							BgL_objectz00_bglt BgL_objz00_1390;

							BgL_objz00_1390 = (BgL_objectz00_bglt) (BgL_arg3233z00_1183);
							{	/* Ast/lvtype.scm 74 */
								long BgL_objzd2classzd2numz00_1391;

								BgL_objzd2classzd2numz00_1391 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1390);
								{	/* Ast/lvtype.scm 74 */
									obj_t BgL_arg2422z00_1392;

									BgL_arg2422z00_1392 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 74 */
										obj_t BgL_arrayz00_1394;

										int BgL_offsetz00_1395;

										BgL_arrayz00_1394 = BgL_arg2422z00_1392;
										BgL_offsetz00_1395 = (int) (BgL_objzd2classzd2numz00_1391);
										{	/* Ast/lvtype.scm 74 */
											long BgL_offsetz00_1396;

											BgL_offsetz00_1396 =
												((long) (BgL_offsetz00_1395) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 74 */
												long BgL_modz00_1397;

												{	/* Ast/lvtype.scm 74 */
													int BgL_arg2424z00_1398;

													BgL_arg2424z00_1398 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 74 */
														long BgL_auxz00_2925;

														BgL_auxz00_2925 = (long) (BgL_arg2424z00_1398);
														BgL_modz00_1397 =
															(BgL_offsetz00_1396 / BgL_auxz00_2925);
												}}
												{	/* Ast/lvtype.scm 74 */
													long BgL_restz00_1399;

													{	/* Ast/lvtype.scm 74 */
														int BgL_arg2423z00_1400;

														BgL_arg2423z00_1400 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 74 */
															long BgL_auxz00_2929;

															BgL_auxz00_2929 = (long) (BgL_arg2423z00_1400);
															BgL_restz00_1399 =
																(BgL_offsetz00_1396 % BgL_auxz00_2929);
													}}
													{	/* Ast/lvtype.scm 74 */

														BgL_method3123z00_1389 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1394,
																(int) (BgL_modz00_1397)),
															(int) (BgL_restz00_1399));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3123z00_1389) (BgL_method3123z00_1389,
							(obj_t) (BgL_arg3233z00_1183), BEOA);
				}}
				{	/* Ast/lvtype.scm 75 */
					BgL_nodez00_bglt BgL_arg3236z00_1184;

					BgL_arg3236z00_1184 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1179))->BgL_argz00);
					{	/* Ast/lvtype.scm 75 */
						obj_t BgL_method3123z00_1416;

						{	/* Ast/lvtype.scm 75 */
							BgL_objectz00_bglt BgL_objz00_1417;

							BgL_objz00_1417 = (BgL_objectz00_bglt) (BgL_arg3236z00_1184);
							{	/* Ast/lvtype.scm 75 */
								long BgL_objzd2classzd2numz00_1418;

								BgL_objzd2classzd2numz00_1418 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1417);
								{	/* Ast/lvtype.scm 75 */
									obj_t BgL_arg2422z00_1419;

									BgL_arg2422z00_1419 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 75 */
										obj_t BgL_arrayz00_1421;

										int BgL_offsetz00_1422;

										BgL_arrayz00_1421 = BgL_arg2422z00_1419;
										BgL_offsetz00_1422 = (int) (BgL_objzd2classzd2numz00_1418);
										{	/* Ast/lvtype.scm 75 */
											long BgL_offsetz00_1423;

											BgL_offsetz00_1423 =
												((long) (BgL_offsetz00_1422) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 75 */
												long BgL_modz00_1424;

												{	/* Ast/lvtype.scm 75 */
													int BgL_arg2424z00_1425;

													BgL_arg2424z00_1425 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 75 */
														long BgL_auxz00_2948;

														BgL_auxz00_2948 = (long) (BgL_arg2424z00_1425);
														BgL_modz00_1424 =
															(BgL_offsetz00_1423 / BgL_auxz00_2948);
												}}
												{	/* Ast/lvtype.scm 75 */
													long BgL_restz00_1426;

													{	/* Ast/lvtype.scm 75 */
														int BgL_arg2423z00_1427;

														BgL_arg2423z00_1427 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 75 */
															long BgL_auxz00_2952;

															BgL_auxz00_2952 = (long) (BgL_arg2423z00_1427);
															BgL_restz00_1426 =
																(BgL_offsetz00_1423 % BgL_auxz00_2952);
													}}
													{	/* Ast/lvtype.scm 75 */

														BgL_method3123z00_1416 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1421,
																(int) (BgL_modz00_1424)),
															(int) (BgL_restz00_1426));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3123z00_1416) (BgL_method3123z00_1416,
							(obj_t) (BgL_arg3236z00_1184), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-app3135 */
	obj_t BGl_lvtypezd2nodez12zd2app3135z12zzast_lvtypez00(obj_t BgL_envz00_2168,
		obj_t BgL_nodez00_2169)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 65 */
			{
				BgL_appz00_bglt BgL_nodez00_1172;

				{	/* Ast/lvtype.scm 66 */
					bool_t BgL_auxz00_2963;

					BgL_nodez00_1172 = (BgL_appz00_bglt) (BgL_nodez00_2169);
					{	/* Ast/lvtype.scm 66 */
						obj_t BgL_arg3231z00_1385;

						BgL_arg3231z00_1385 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1172))->BgL_argsz00);
						BgL_auxz00_2963 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3231z00_1385);
					}
					return BBOOL(BgL_auxz00_2963);
				}
			}
		}
	}



/* lvtype-node!-sequenc3133 */
	obj_t BGl_lvtypezd2nodez12zd2sequenc3133z12zzast_lvtypez00(obj_t
		BgL_envz00_2170, obj_t BgL_nodez00_2171)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 58 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1165;

				{	/* Ast/lvtype.scm 59 */
					bool_t BgL_auxz00_2968;

					BgL_nodez00_1165 = (BgL_sequencez00_bglt) (BgL_nodez00_2171);
					{	/* Ast/lvtype.scm 59 */
						obj_t BgL_arg3228z00_1382;

						BgL_arg3228z00_1382 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1165))->BgL_nodesz00);
						BgL_auxz00_2968 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3228z00_1382);
					}
					return BBOOL(BgL_auxz00_2968);
				}
			}
		}
	}



/* lvtype-node!-closure3131 */
	obj_t BGl_lvtypezd2nodez12zd2closure3131z12zzast_lvtypez00(obj_t
		BgL_envz00_2172, obj_t BgL_nodez00_2173)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 52 */
			{
				BgL_closurez00_bglt BgL_nodez00_1157;

				BgL_nodez00_1157 = (BgL_closurez00_bglt) (BgL_nodez00_2173);
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string3370z00zzast_lvtypez00, BGl_string3371z00zzast_lvtypez00,
					BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1157)));
			}
		}
	}



/* lvtype-node!-var3129 */
	obj_t BGl_lvtypezd2nodez12zd2var3129z12zzast_lvtypez00(obj_t BgL_envz00_2174,
		obj_t BgL_nodez00_2175)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 46 */
			return BUNSPEC;
		}
	}



/* lvtype-node!-kwote3127 */
	obj_t BGl_lvtypezd2nodez12zd2kwote3127z12zzast_lvtypez00(obj_t
		BgL_envz00_2176, obj_t BgL_nodez00_2177)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			return BUNSPEC;
		}
	}



/* lvtype-node!-atom3125 */
	obj_t BGl_lvtypezd2nodez12zd2atom3125z12zzast_lvtypez00(obj_t BgL_envz00_2178,
		obj_t BgL_nodez00_2179)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 34 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3372z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3372z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3372z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3372z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3372z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3372z00zzast_lvtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3372z00zzast_lvtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
