/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl__restorezd2valuezd2types3553z00zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl__restorezd2valuezd2typesz123282z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl__bindzd2globalz123556zc0zzast_envz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t,
		obj_t);
	static obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl__unbindzd2globalz123557zc0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33294ze3z83zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl__getzd2genvzd2zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	static obj_t BGl__globalzd2bucketzd2posit3559z00zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__forzd2eachzd2globalz123558z12zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00();
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl__findzd2global3554zd2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	static obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl__findzd2globalzf2module3555z20zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123286z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123288z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123290z12zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123292z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33439ze3z83zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl__forza7d2eachza7d2gl3580z00, va_generic_entry,
		BGl__forzd2eachzd2globalz123558z12zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl__findza7d2global353581za7, va_generic_entry,
		BGl__findzd2global3554zd2zzast_envz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl__initializa7a7eza7d23582z00,
		BGl__initializa7ezd2Genvz12z67zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl__globalza7d2bucket3583za7,
		BGl__globalzd2bucketzd2posit3559z00zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl__alreadyza7d2resto3584za7,
		BGl__alreadyzd2restoredzf3z21zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_restorezd2valuezd2typesz123282zd2envzc0zzast_envz00,
		BgL_bgl__restoreza7d2value3585za7,
		BGl__restorezd2valuezd2typesz123282z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl__getza7d2genvza7d2za7za73586z00, BGl__getzd2genvzd2zzast_envz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__unbindza7d2global3587za7,
		BGl__unbindzd2globalz123557zc0zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl__getza7d2globalza7f23588z00,
		BGl__getzd2globalzf2modulez20zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl__addza7d2genvza712za7c3589za7, BGl__addzd2genvz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__restoreza7d2globa3590za7, BGl__restorezd2globalz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl__setza7d2genvza712za7c3591za7, BGl__setzd2genvz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl__additionalza7d2he3592za7,
		BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl__findza7d2globalza7f3593z00,
		BGl__findzd2globalzf2module3555z20zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3560z00zzast_envz00,
		BgL_bgl_za7c3anonymousza7a333594z00,
		BGl_zc3anonymousza33294ze3z83zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3568z00zzast_envz00,
		BgL_bgl_restoreza7d2valueza73595z00,
		BGl_restorezd2valuezd2typesz123286z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3570z00zzast_envz00,
		BgL_bgl_restoreza7d2valueza73596z00,
		BGl_restorezd2valuezd2typesz123290z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3569z00zzast_envz00,
		BgL_bgl_restoreza7d2valueza73597z00,
		BGl_restorezd2valuezd2typesz123288z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3571z00zzast_envz00,
		BgL_bgl_restoreza7d2valueza73598z00,
		BGl_restorezd2valuezd2typesz123292z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3561z00zzast_envz00,
		BgL_bgl_string3561za700za7za7a3599za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string3562z00zzast_envz00,
		BgL_bgl_string3562za700za7za7a3600za7, "Cannot find global variable", 27);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl__restoreza7d2value3601za7,
		BGl__restorezd2valuezd2types3553z00zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3563z00zzast_envz00,
		BgL_bgl_string3563za700za7za7a3602za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string3564z00zzast_envz00,
		BgL_bgl_string3564za700za7za7a3603za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string3565z00zzast_envz00,
		BgL_bgl_string3565za700za7za7a3604za7, "eval", 4);
	      DEFINE_STRING(BGl_string3566z00zzast_envz00,
		BgL_bgl_string3566za700za7za7a3605za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string3567z00zzast_envz00,
		BgL_bgl_string3567za700za7za7a3606za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string3572z00zzast_envz00,
		BgL_bgl_string3572za700za7za7a3607za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string3573z00zzast_envz00,
		BgL_bgl_string3573za700za7za7a3608za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string3574z00zzast_envz00,
		BgL_bgl_string3574za700za7za7a3609za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string3575z00zzast_envz00,
		BgL_bgl_string3575za700za7za7a3610za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string3576z00zzast_envz00,
		BgL_bgl_string3576za700za7za7a3611za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string3577z00zzast_envz00,
		BgL_bgl_string3577za700za7za7a3612za7,
		"eval now read @ get-global/module foreign the-global-environment ", 65);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__bindza7d2globalza713613z00,
		BGl__bindzd2globalz123556zc0zzast_envz00, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_1903, char *BgL_fromz00_1904)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_1894;

				BgL_cportz00_1894 =
					bgl_open_input_string(BGl_string3577z00zzast_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1895;

					BgL_iz00_1895 = ((long) 6);
				BgL_loopz00_1896:
					if ((BgL_iz00_1895 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg3579z00_1898;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_1900;

										BgL_locationz00_1900 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg3579z00_1898 =
												BGl_readz00zz__readerz00(BgL_cportz00_1894,
												BgL_locationz00_1900);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_1927;

									BgL_auxz00_1927 = (int) (BgL_iz00_1895);
									CNST_TABLE_SET(BgL_auxz00_1927, BgL_arg3579z00_1898);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_1901;

								BgL_auxz00_1901 = (int) ((BgL_iz00_1895 - ((long) 1)));
								{
									long BgL_iz00_1932;

									BgL_iz00_1932 = (long) (BgL_auxz00_1901);
									BgL_iz00_1895 = BgL_iz00_1932;
									goto BgL_loopz00_1896;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_1)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_1, BUNSPEC);
		}
	}



/* _set-genv! */
	obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_1834,
		obj_t BgL_genvz00_1835)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_1835);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_2)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_2,
				BGl_proc3560z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* _add-genv! */
	obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_1837,
		obj_t BgL_genvz00_1838)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_1838);
		}
	}



/* <anonymous:3294> */
	obj_t BGl_zc3anonymousza33294ze3z83zzast_envz00(obj_t BgL_envz00_1839,
		obj_t BgL_kz00_1840, obj_t BgL_bucketz00_1841)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 66 */
			{
				obj_t BgL_kz00_866;

				obj_t BgL_bucketz00_867;

				{	/* Ast/venv.scm 67 */
					bool_t BgL_auxz00_1938;

					BgL_kz00_866 = BgL_kz00_1840;
					BgL_bucketz00_867 = BgL_bucketz00_1841;
					{	/* Ast/venv.scm 67 */
						obj_t BgL_g3276z00_869;

						BgL_g3276z00_869 = CDR(BgL_bucketz00_867);
						{
							obj_t BgL_l3274z00_871;

							BgL_l3274z00_871 = BgL_g3276z00_869;
						BgL_zc3anonymousza33295ze3z83_872:
							if (PAIRP(BgL_l3274z00_871))
								{	/* Ast/venv.scm 87 */
									{	/* Ast/venv.scm 86 */
										obj_t BgL_newz00_874;

										BgL_newz00_874 = CAR(BgL_l3274z00_871);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_874,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 69 */
											obj_t BgL_modulez00_875;

											{
												BgL_globalz00_bglt BgL_auxz00_1944;

												BgL_auxz00_1944 = (BgL_globalz00_bglt) (BgL_newz00_874);
												BgL_modulez00_875 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_1944))->
													BgL_modulez00);
											}
											{	/* Ast/venv.scm 69 */
												obj_t BgL_idz00_876;

												{
													BgL_variablez00_bglt BgL_auxz00_1947;

													BgL_auxz00_1947 =
														(BgL_variablez00_bglt) (BgL_newz00_874);
													BgL_idz00_876 =
														(((BgL_variablez00_bglt) CREF(BgL_auxz00_1947))->
														BgL_idz00);
												}
												{	/* Ast/venv.scm 70 */
													obj_t BgL_bucketz00_877;

													BgL_bucketz00_877 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_876);
													{	/* Ast/venv.scm 71 */

														if (PAIRP(BgL_bucketz00_877))
															{	/* Ast/venv.scm 75 */
																bool_t BgL_testz00_1953;

																if (
																	(BgL_modulez00_875 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 75 */
																		BgL_testz00_1953 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 76 */
																		bool_t BgL_testz00_1956;

																		{	/* Ast/venv.scm 77 */
																			obj_t BgL_arg3305z00_887;

																			{	/* Ast/venv.scm 77 */
																				BgL_globalz00_bglt BgL_obj1514z00_1550;

																				{	/* Ast/venv.scm 77 */
																					obj_t BgL_pairz00_1546;

																					BgL_pairz00_1546 = BgL_bucketz00_877;
																					{	/* Ast/venv.scm 77 */
																						obj_t BgL_pairz00_1549;

																						BgL_pairz00_1549 =
																							CDR(BgL_pairz00_1546);
																						BgL_obj1514z00_1550 =
																							(BgL_globalz00_bglt) (CAR
																							(BgL_pairz00_1549));
																					}
																				}
																				BgL_arg3305z00_887 =
																					(((BgL_globalz00_bglt)
																						CREF(BgL_obj1514z00_1550))->
																					BgL_modulez00);
																			}
																			BgL_testz00_1956 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg3305z00_887);
																		}
																		if (BgL_testz00_1956)
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_1953 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_1953 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_1953)
																	{	/* Ast/venv.scm 83 */
																		obj_t BgL_newzd2bucketzd2_880;

																		BgL_newzd2bucketzd2_880 =
																			MAKE_PAIR(BgL_newz00_874,
																			CDR(BgL_bucketz00_877));
																		SET_CDR(BgL_bucketz00_877,
																			BgL_newzd2bucketzd2_880);
																	}
																else
																	{	/* Ast/venv.scm 86 */
																		obj_t BgL_arg3300z00_882;

																		obj_t BgL_arg3301z00_883;

																		BgL_arg3300z00_882 = CDR(BgL_bucketz00_877);
																		{	/* Ast/venv.scm 86 */
																			obj_t BgL_arg3302z00_884;

																			{	/* Ast/venv.scm 86 */
																				obj_t BgL_pairz00_1555;

																				BgL_pairz00_1555 = BgL_bucketz00_877;
																				BgL_arg3302z00_884 =
																					CDR(CDR(BgL_pairz00_1555));
																			}
																			BgL_arg3301z00_883 =
																				MAKE_PAIR(BgL_newz00_874,
																				BgL_arg3302z00_884);
																		}
																		SET_CDR(BgL_arg3300z00_882,
																			BgL_arg3301z00_883);
																	}
															}
														else
															{	/* Ast/venv.scm 74 */
																obj_t BgL_arg3307z00_889;

																{	/* Ast/venv.scm 74 */
																	obj_t BgL_list3308z00_890;

																	{	/* Ast/venv.scm 74 */
																		obj_t BgL_arg3309z00_891;

																		BgL_arg3309z00_891 =
																			MAKE_PAIR(BgL_newz00_874, BNIL);
																		BgL_list3308z00_890 =
																			MAKE_PAIR(BgL_idz00_876,
																			BgL_arg3309z00_891);
																	}
																	BgL_arg3307z00_889 = BgL_list3308z00_890;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_876,
																	BgL_arg3307z00_889);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l3274z00_1973;

										BgL_l3274z00_1973 = CDR(BgL_l3274z00_871);
										BgL_l3274z00_871 = BgL_l3274z00_1973;
										goto BgL_zc3anonymousza33295ze3z83_872;
									}
								}
							else
								{	/* Ast/venv.scm 87 */
									BgL_auxz00_1938 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1938);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			{
				obj_t BgL_l3277z00_896;

				BgL_l3277z00_896 = BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3anonymousza33311ze3z83_897:
				if (PAIRP(BgL_l3277z00_896))
					{	/* Ast/venv.scm 105 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l3277z00_896));
						{
							obj_t BgL_l3277z00_1980;

							BgL_l3277z00_1980 = CDR(BgL_l3277z00_896);
							BgL_l3277z00_896 = BgL_l3277z00_1980;
							goto BgL_zc3anonymousza33311ze3z83_897;
						}
					}
				else
					{	/* Ast/venv.scm 105 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* _additional-heap-restore-globals! */
	obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t
		BgL_envz00_1842)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_4, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 114 */
				BgL_typez00_bglt BgL_typez00_903;

				{
					BgL_variablez00_bglt BgL_auxz00_1984;

					BgL_auxz00_1984 = (BgL_variablez00_bglt) (BgL_newz00_4);
					BgL_typez00_903 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_1984))->BgL_typez00);
				}
				{	/* Ast/venv.scm 115 */
					BgL_valuez00_bglt BgL_valuez00_904;

					{
						BgL_variablez00_bglt BgL_auxz00_1987;

						BgL_auxz00_1987 = (BgL_variablez00_bglt) (BgL_newz00_4);
						BgL_valuez00_904 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_1987))->BgL_valuez00);
					}
					{	/* Ast/venv.scm 116 */
						obj_t BgL_typezd2idzd2_905;

						BgL_typezd2idzd2_905 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_903))->BgL_idz00);
						{	/* Ast/venv.scm 117 */

							{
								BgL_typez00_bglt BgL_auxz00_1993;

								BgL_variablez00_bglt BgL_auxz00_1991;

								BgL_auxz00_1993 =
									BGl_findzd2typezd2zztype_envz00(BgL_typezd2idzd2_905);
								BgL_auxz00_1991 = (BgL_variablez00_bglt) (BgL_newz00_4);
								((((BgL_variablez00_bglt) CREF(BgL_auxz00_1991))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_1993), BUNSPEC);
							}
							{	/* Ast/venv.scm 121 */
								obj_t BgL_method3283z00_1575;

								{	/* Ast/venv.scm 121 */
									BgL_objectz00_bglt BgL_objz00_1576;

									BgL_objz00_1576 = (BgL_objectz00_bglt) (BgL_valuez00_904);
									{	/* Ast/venv.scm 121 */
										long BgL_objzd2classzd2numz00_1577;

										BgL_objzd2classzd2numz00_1577 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1576);
										{	/* Ast/venv.scm 121 */
											obj_t BgL_arg2422z00_1578;

											BgL_arg2422z00_1578 =
												PROCEDURE_REF
												(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
												(int) (((long) 1)));
											{	/* Ast/venv.scm 121 */
												obj_t BgL_arrayz00_1580;

												int BgL_offsetz00_1581;

												BgL_arrayz00_1580 = BgL_arg2422z00_1578;
												BgL_offsetz00_1581 =
													(int) (BgL_objzd2classzd2numz00_1577);
												{	/* Ast/venv.scm 121 */
													long BgL_offsetz00_1582;

													BgL_offsetz00_1582 =
														((long) (BgL_offsetz00_1581) - OBJECT_TYPE);
													{	/* Ast/venv.scm 121 */
														long BgL_modz00_1583;

														{	/* Ast/venv.scm 121 */
															int BgL_arg2424z00_1584;

															BgL_arg2424z00_1584 = (int) (((long) 8));
															{	/* Ast/venv.scm 121 */
																long BgL_auxz00_2004;

																BgL_auxz00_2004 = (long) (BgL_arg2424z00_1584);
																BgL_modz00_1583 =
																	(BgL_offsetz00_1582 / BgL_auxz00_2004);
														}}
														{	/* Ast/venv.scm 121 */
															long BgL_restz00_1585;

															{	/* Ast/venv.scm 121 */
																int BgL_arg2423z00_1586;

																BgL_arg2423z00_1586 = (int) (((long) 8));
																{	/* Ast/venv.scm 121 */
																	long BgL_auxz00_2008;

																	BgL_auxz00_2008 =
																		(long) (BgL_arg2423z00_1586);
																	BgL_restz00_1585 =
																		(BgL_offsetz00_1582 % BgL_auxz00_2008);
															}}
															{	/* Ast/venv.scm 121 */

																BgL_method3283z00_1575 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1580,
																		(int) (BgL_modz00_1583)),
																	(int) (BgL_restz00_1585));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3283z00_1575) (BgL_method3283z00_1575,
									(obj_t) (BgL_valuez00_904), BEOA);
							}
							{	/* Ast/venv.scm 123 */
								bool_t BgL_testz00_2018;

								{	/* Ast/venv.scm 123 */
									bool_t BgL_testz00_2019;

									{	/* Ast/venv.scm 123 */
										obj_t BgL_arg3325z00_916;

										BgL_arg3325z00_916 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{
											BgL_backendz00_bglt BgL_auxz00_2021;

											BgL_auxz00_2021 =
												(BgL_backendz00_bglt) (BgL_arg3325z00_916);
											BgL_testz00_2019 =
												(((BgL_backendz00_bglt) CREF(BgL_auxz00_2021))->
												BgL_qualifiedzd2typeszd2);
									}}
									if (BgL_testz00_2019)
										{	/* Ast/venv.scm 124 */
											bool_t BgL_testz00_2024;

											{	/* Ast/venv.scm 124 */
												obj_t BgL_auxz00_2025;

												{
													BgL_globalz00_bglt BgL_auxz00_2026;

													BgL_auxz00_2026 = (BgL_globalz00_bglt) (BgL_newz00_4);
													BgL_auxz00_2025 =
														(((BgL_globalz00_bglt) CREF(BgL_auxz00_2026))->
														BgL_modulez00);
												}
												BgL_testz00_2024 =
													(BgL_auxz00_2025 == CNST_TABLE_REF(((long) 1)));
											}
											if (BgL_testz00_2024)
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2018 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2018 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 123 */
											BgL_testz00_2018 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2018)
									{	/* Ast/venv.scm 125 */
										obj_t BgL_arg3317z00_908;

										obj_t BgL_arg3318z00_909;

										obj_t BgL_arg3319z00_910;

										{
											BgL_globalz00_bglt BgL_auxz00_2031;

											BgL_auxz00_2031 = (BgL_globalz00_bglt) (BgL_newz00_4);
											BgL_arg3317z00_908 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_2031))->
												BgL_modulez00);
										}
										{
											BgL_globalz00_bglt BgL_auxz00_2034;

											BgL_auxz00_2034 = (BgL_globalz00_bglt) (BgL_newz00_4);
											BgL_arg3318z00_909 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_2034))->
												BgL_jvmzd2typezd2namez00);
										}
										BgL_arg3319z00_910 =
											BGl_shapez00zztools_shapez00(BgL_newz00_4);
										{	/* Ast/venv.scm 125 */
											obj_t BgL_list3320z00_911;

											BgL_list3320z00_911 = MAKE_PAIR(BgL_arg3319z00_910, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg3317z00_908, BgL_arg3318z00_909,
												BgL_list3320z00_911);
										}
									}
								else
									{	/* Ast/venv.scm 123 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* _restore-global! */
	obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t BgL_envz00_1843,
		obj_t BgL_newz00_1844)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_1844);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_6,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* _already-restored? */
	obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_envz00_1847,
		obj_t BgL_funz00_1848)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_1848);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 220 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* _get-genv */
	obj_t BGl__getzd2genvzd2zzast_envz00(obj_t BgL_envz00_1849)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 220 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 226 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* _initialize-Genv! */
	obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t BgL_envz00_1850)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 226 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_13,
		obj_t BgL_modulez00_14)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 232 */
			{	/* Ast/venv.scm 234 */
				obj_t BgL_bucketz00_918;

				obj_t BgL_modulez00_919;

				BgL_bucketz00_918 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_13);
				if (NULLP(BgL_modulez00_14))
					{	/* Ast/venv.scm 235 */
						BgL_modulez00_919 = BNIL;
					}
				else
					{	/* Ast/venv.scm 235 */
						BgL_modulez00_919 = CAR(BgL_modulez00_14);
					}
				if (PAIRP(BgL_bucketz00_918))
					{	/* Ast/venv.scm 237 */
						if (NULLP(CDR(BgL_bucketz00_918)))
							{	/* Ast/venv.scm 239 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 239 */
								if (NULLP(BgL_modulez00_919))
									{	/* Ast/venv.scm 242 */
										obj_t BgL_pairz00_1610;

										BgL_pairz00_1610 = BgL_bucketz00_918;
										return CAR(CDR(BgL_pairz00_1610));
									}
								else
									{
										obj_t BgL_globalsz00_925;

										BgL_globalsz00_925 = CDR(BgL_bucketz00_918);
									BgL_zc3anonymousza33330ze3z83_926:
										if (NULLP(BgL_globalsz00_925))
											{	/* Ast/venv.scm 246 */
												return BFALSE;
											}
										else
											{	/* Ast/venv.scm 248 */
												bool_t BgL_testz00_2060;

												{	/* Ast/venv.scm 248 */
													obj_t BgL_auxz00_2061;

													{	/* Ast/venv.scm 248 */
														BgL_globalz00_bglt BgL_obj1514z00_1617;

														{	/* Ast/venv.scm 248 */
															obj_t BgL_pairz00_1616;

															BgL_pairz00_1616 = BgL_globalsz00_925;
															BgL_obj1514z00_1617 =
																(BgL_globalz00_bglt) (CAR(BgL_pairz00_1616));
														}
														BgL_auxz00_2061 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1514z00_1617))->BgL_modulez00);
													}
													BgL_testz00_2060 =
														(BgL_auxz00_2061 == BgL_modulez00_919);
												}
												if (BgL_testz00_2060)
													{	/* Ast/venv.scm 248 */
														return CAR(BgL_globalsz00_925);
													}
												else
													{
														obj_t BgL_globalsz00_2067;

														BgL_globalsz00_2067 = CDR(BgL_globalsz00_925);
														BgL_globalsz00_925 = BgL_globalsz00_2067;
														goto BgL_zc3anonymousza33330ze3z83_926;
													}
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 237 */
						return BFALSE;
					}
			}
		}
	}



/* _find-global3554 */
	obj_t BGl__findzd2global3554zd2zzast_envz00(obj_t BgL_envz00_1851,
		obj_t BgL_idz00_1852, obj_t BgL_modulez00_1853)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 232 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1852, BgL_modulez00_1853);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_15, obj_t BgL_modulez00_16)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 256 */
			{	/* Ast/venv.scm 257 */
				obj_t BgL_bucketz00_935;

				BgL_bucketz00_935 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_15);
				if (PAIRP(BgL_bucketz00_935))
					{	/* Ast/venv.scm 259 */
						if (NULLP(CDR(BgL_bucketz00_935)))
							{	/* Ast/venv.scm 261 */
								return BFALSE;
							}
						else
							{
								obj_t BgL_globalsz00_941;

								BgL_globalsz00_941 = CDR(BgL_bucketz00_935);
							BgL_zc3anonymousza33341ze3z83_942:
								if (NULLP(BgL_globalsz00_941))
									{	/* Ast/venv.scm 268 */
										return BFALSE;
									}
								else
									{	/* Ast/venv.scm 270 */
										bool_t BgL_testz00_2079;

										{	/* Ast/venv.scm 270 */
											obj_t BgL_auxz00_2080;

											{	/* Ast/venv.scm 270 */
												BgL_globalz00_bglt BgL_obj1514z00_1631;

												{	/* Ast/venv.scm 270 */
													obj_t BgL_pairz00_1630;

													BgL_pairz00_1630 = BgL_globalsz00_941;
													BgL_obj1514z00_1631 =
														(BgL_globalz00_bglt) (CAR(BgL_pairz00_1630));
												}
												BgL_auxz00_2080 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1514z00_1631))->
													BgL_modulez00);
											}
											BgL_testz00_2079 = (BgL_auxz00_2080 == BgL_modulez00_16);
										}
										if (BgL_testz00_2079)
											{	/* Ast/venv.scm 270 */
												return CAR(BgL_globalsz00_941);
											}
										else
											{
												obj_t BgL_globalsz00_2086;

												BgL_globalsz00_2086 = CDR(BgL_globalsz00_941);
												BgL_globalsz00_941 = BgL_globalsz00_2086;
												goto BgL_zc3anonymousza33341ze3z83_942;
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 259 */
						return BFALSE;
					}
			}
		}
	}



/* _find-global/module3555 */
	obj_t BGl__findzd2globalzf2module3555z20zzast_envz00(obj_t BgL_envz00_1854,
		obj_t BgL_idz00_1855, obj_t BgL_modulez00_1856)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 256 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1855,
				BgL_modulez00_1856);
		}
	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_17, obj_t BgL_modulez00_18)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 278 */
			{	/* Ast/venv.scm 279 */
				obj_t BgL_globalz00_950;

				BgL_globalz00_950 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_17,
					BgL_modulez00_18);
				{	/* Ast/venv.scm 280 */
					bool_t BgL_testz00_2091;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_950,
							BGl_globalz00zzast_varz00))
						{	/* Ast/venv.scm 280 */
							BgL_testz00_2091 = ((bool_t) 0);
						}
					else
						{	/* Ast/venv.scm 280 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Ast/venv.scm 280 */
									BgL_testz00_2091 = ((bool_t) 0);
								}
							else
								{	/* Ast/venv.scm 280 */
									BgL_testz00_2091 = ((bool_t) 1);
								}
						}
					if (BgL_testz00_2091)
						{	/* Ast/venv.scm 281 */
							obj_t BgL_arg3349z00_952;

							obj_t BgL_arg3351z00_954;

							BgL_arg3349z00_952 = CNST_TABLE_REF(((long) 2));
							{	/* Ast/venv.scm 283 */
								obj_t BgL_list3352z00_955;

								{	/* Ast/venv.scm 283 */
									obj_t BgL_arg3353z00_956;

									BgL_arg3353z00_956 = MAKE_PAIR(BgL_modulez00_18, BNIL);
									BgL_list3352z00_955 =
										MAKE_PAIR(BgL_idz00_17, BgL_arg3353z00_956);
								}
								BgL_arg3351z00_954 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string3561z00zzast_envz00, BgL_list3352z00_955);
							}
							BGl_internalzd2errorzd2zztools_errorz00(BgL_arg3349z00_952,
								BGl_string3562z00zzast_envz00, BgL_arg3351z00_954);
						}
					else
						{	/* Ast/venv.scm 280 */
							BFALSE;
						}
				}
				return BgL_globalz00_950;
			}
		}
	}



/* _get-global/module */
	obj_t BGl__getzd2globalzf2modulez20zzast_envz00(obj_t BgL_envz00_1857,
		obj_t BgL_idz00_1858, obj_t BgL_modulez00_1859)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 278 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_1858,
				BgL_modulez00_1859);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_19,
		obj_t BgL_oz00_20, obj_t BgL_msgz00_21)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 289 */
			{	/* Ast/venv.scm 290 */
				bool_t BgL_testz00_2102;

				{	/* Ast/venv.scm 290 */
					bool_t BgL_testz00_2103;

					{	/* Ast/venv.scm 290 */
						int BgL_arg3374z00_981;

						BgL_arg3374z00_981 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_2103 = ((long) (BgL_arg3374z00_981) > ((long) 0));
					}
					if (BgL_testz00_2103)
						{	/* Ast/venv.scm 290 */
							BgL_testz00_2102 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 290 */
							BgL_testz00_2102 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2102)
					{	/* Ast/venv.scm 292 */
						obj_t BgL_locz00_960;

						obj_t BgL_oldz00_961;

						obj_t BgL_newz00_962;

						obj_t BgL_msgz00_963;

						{	/* Ast/venv.scm 292 */
							obj_t BgL_arg3356z00_964;

							{
								BgL_globalz00_bglt BgL_auxz00_2108;

								BgL_auxz00_2108 = (BgL_globalz00_bglt) (BgL_oz00_20);
								BgL_arg3356z00_964 =
									(((BgL_globalz00_bglt) CREF(BgL_auxz00_2108))->BgL_srcz00);
							}
							BgL_locz00_960 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_arg3356z00_964);
						}
						{	/* Ast/venv.scm 293 */
							obj_t BgL_arg3357z00_965;

							obj_t BgL_arg3358z00_966;

							BgL_arg3357z00_965 = CNST_TABLE_REF(((long) 3));
							{	/* Ast/venv.scm 293 */
								obj_t BgL_arg3359z00_967;

								obj_t BgL_arg3360z00_968;

								{
									BgL_variablez00_bglt BgL_auxz00_2113;

									BgL_auxz00_2113 = (BgL_variablez00_bglt) (BgL_oz00_20);
									BgL_arg3359z00_967 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_2113))->BgL_idz00);
								}
								{
									BgL_globalz00_bglt BgL_auxz00_2116;

									BgL_auxz00_2116 = (BgL_globalz00_bglt) (BgL_oz00_20);
									BgL_arg3360z00_968 =
										(((BgL_globalz00_bglt) CREF(BgL_auxz00_2116))->
										BgL_modulez00);
								}
								{	/* Ast/venv.scm 293 */
									obj_t BgL_list3362z00_970;

									{	/* Ast/venv.scm 293 */
										obj_t BgL_arg3363z00_971;

										BgL_arg3363z00_971 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3362z00_970 =
											MAKE_PAIR(BgL_arg3360z00_968, BgL_arg3363z00_971);
									}
									BgL_arg3358z00_966 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3359z00_967, BgL_list3362z00_970);
							}}
							BgL_oldz00_961 =
								MAKE_PAIR(BgL_arg3357z00_965, BgL_arg3358z00_966);
						}
						{	/* Ast/venv.scm 294 */
							obj_t BgL_arg3364z00_972;

							obj_t BgL_arg3366z00_973;

							BgL_arg3364z00_972 = CNST_TABLE_REF(((long) 3));
							{	/* Ast/venv.scm 294 */
								obj_t BgL_arg3367z00_974;

								obj_t BgL_arg3368z00_975;

								{
									BgL_variablez00_bglt BgL_auxz00_2124;

									BgL_auxz00_2124 = (BgL_variablez00_bglt) (BgL_nz00_19);
									BgL_arg3367z00_974 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_2124))->BgL_idz00);
								}
								{
									BgL_globalz00_bglt BgL_auxz00_2127;

									BgL_auxz00_2127 = (BgL_globalz00_bglt) (BgL_nz00_19);
									BgL_arg3368z00_975 =
										(((BgL_globalz00_bglt) CREF(BgL_auxz00_2127))->
										BgL_modulez00);
								}
								{	/* Ast/venv.scm 294 */
									obj_t BgL_list3370z00_977;

									{	/* Ast/venv.scm 294 */
										obj_t BgL_arg3371z00_978;

										BgL_arg3371z00_978 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3370z00_977 =
											MAKE_PAIR(BgL_arg3368z00_975, BgL_arg3371z00_978);
									}
									BgL_arg3366z00_973 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3367z00_974, BgL_list3370z00_977);
							}}
							BgL_newz00_962 =
								MAKE_PAIR(BgL_arg3364z00_972, BgL_arg3366z00_973);
						}
						if (PAIRP(BgL_msgz00_21))
							{	/* Ast/venv.scm 295 */
								BgL_msgz00_963 = CAR(BgL_msgz00_21);
							}
						else
							{	/* Ast/venv.scm 295 */
								BgL_msgz00_963 = BGl_string3563z00zzast_envz00;
							}
						if (CBOOL(BgL_locz00_960))
							{	/* Ast/venv.scm 296 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_960, BgL_oldz00_961, BgL_msgz00_963,
									BgL_newz00_962);
							}
						else
							{	/* Ast/venv.scm 296 */
								return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_961,
									BgL_msgz00_963, BgL_newz00_962);
							}
					}
				else
					{	/* Ast/venv.scm 290 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_22,
		obj_t BgL_srcz00_23)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 303 */
			{	/* Ast/venv.scm 305 */
				obj_t BgL_locz00_984;

				BgL_locz00_984 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_23);
				if (CBOOL(BgL_locz00_984))
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg3376z00_986;

						obj_t BgL_arg3377z00_987;

						{
							BgL_globalz00_bglt BgL_auxz00_2144;

							BgL_auxz00_2144 = (BgL_globalz00_bglt) (BgL_oz00_22);
							BgL_arg3376z00_986 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_2144))->BgL_modulez00);
						}
						BgL_arg3377z00_987 = BGl_shapez00zztools_shapez00(BgL_oz00_22);
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_984,
							BgL_arg3376z00_986, BGl_string3564z00zzast_envz00,
							BgL_arg3377z00_987, BNIL);
					}
				else
					{	/* Ast/venv.scm 309 */
						obj_t BgL_arg3379z00_989;

						obj_t BgL_arg3380z00_990;

						{
							BgL_globalz00_bglt BgL_auxz00_2149;

							BgL_auxz00_2149 = (BgL_globalz00_bglt) (BgL_oz00_22);
							BgL_arg3379z00_989 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_2149))->BgL_modulez00);
						}
						BgL_arg3380z00_990 = BGl_shapez00zztools_shapez00(BgL_oz00_22);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg3379z00_989,
							BGl_string3564z00zzast_envz00, BgL_arg3380z00_990, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_24,
		obj_t BgL_srcz00_25)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 314 */
			{	/* Ast/venv.scm 316 */
				obj_t BgL_locz00_993;

				BgL_locz00_993 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_25);
				if (CBOOL(BgL_locz00_993))
					{	/* Ast/venv.scm 319 */
						obj_t BgL_arg3382z00_995;

						obj_t BgL_arg3383z00_996;

						{
							BgL_globalz00_bglt BgL_auxz00_2157;

							BgL_auxz00_2157 = (BgL_globalz00_bglt) (BgL_oz00_24);
							BgL_arg3382z00_995 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_2157))->BgL_modulez00);
						}
						BgL_arg3383z00_996 = BGl_shapez00zztools_shapez00(BgL_oz00_24);
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_993,
							BgL_arg3382z00_995, BGl_string3564z00zzast_envz00,
							BgL_arg3383z00_996);
					}
				else
					{	/* Ast/venv.scm 320 */
						obj_t BgL_arg3384z00_997;

						obj_t BgL_arg3385z00_998;

						{
							BgL_globalz00_bglt BgL_auxz00_2162;

							BgL_auxz00_2162 = (BgL_globalz00_bglt) (BgL_oz00_24);
							BgL_arg3384z00_997 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_2162))->BgL_modulez00);
						}
						BgL_arg3385z00_998 = BGl_shapez00zztools_shapez00(BgL_oz00_24);
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg3384z00_997,
							BGl_string3564z00zzast_envz00, BgL_arg3385z00_998);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_26, obj_t BgL_modulez00_27, BgL_valuez00_bglt BgL_valuez00_28,
		obj_t BgL_importz00_29, obj_t BgL_srcz00_30)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 337 */
			{	/* Ast/venv.scm 340 */
				obj_t BgL_oldz00_999;

				{	/* Ast/venv.scm 340 */
					obj_t BgL_list3418z00_1036;

					BgL_list3418z00_1036 = MAKE_PAIR(BgL_modulez00_27, BNIL);
					BgL_oldz00_999 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_26,
						BgL_list3418z00_1036);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_999,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 341 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Ast/venv.scm 343 */
								return (BgL_globalz00_bglt) (BgL_oldz00_999);
							}
						else
							{	/* Ast/venv.scm 345 */
								bool_t BgL_testz00_2174;

								{	/* Ast/venv.scm 345 */
									obj_t BgL_auxz00_2175;

									{
										BgL_globalz00_bglt BgL_auxz00_2176;

										BgL_auxz00_2176 = (BgL_globalz00_bglt) (BgL_oldz00_999);
										BgL_auxz00_2175 =
											(((BgL_globalz00_bglt) CREF(BgL_auxz00_2176))->
											BgL_modulez00);
									}
									BgL_testz00_2174 = (BgL_modulez00_27 == BgL_auxz00_2175);
								}
								if (BgL_testz00_2174)
									{	/* Ast/venv.scm 345 */
										BGl_warningzd2rebindzd2globalz12z12zzast_envz00
											(BgL_oldz00_999, BgL_srcz00_30);
										return (BgL_globalz00_bglt) (BgL_oldz00_999);
									}
								else
									{	/* Ast/venv.scm 345 */
										return
											(BgL_globalz00_bglt)
											(BGl_errorzd2rebindzd2globalz12z12zzast_envz00
											(BgL_oldz00_999, BgL_srcz00_30));
									}
							}
					}
				else
					{	/* Ast/venv.scm 350 */
						obj_t BgL_bucketz00_1003;

						BgL_globalz00_bglt BgL_newz00_1004;

						BgL_bucketz00_1003 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_26);
						{	/* Ast/var.scm 32 */
							obj_t BgL_arg3412z00_1030;

							obj_t BgL_arg3413z00_1031;

							obj_t BgL_arg3416z00_1034;

							BgL_arg3412z00_1030 = CNST_TABLE_REF(((long) 4));
							BgL_arg3413z00_1031 = CNST_TABLE_REF(((long) 5));
							if ((BgL_importz00_29 == CNST_TABLE_REF(((long) 6))))
								{	/* Ast/venv.scm 353 */
									BgL_arg3416z00_1034 = BGl_string3565z00zzast_envz00;
								}
							else
								{	/* Ast/venv.scm 353 */
									BgL_arg3416z00_1034 =
										BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
										(BgL_modulez00_27);
								}
							BgL_newz00_1004 =
								BGl_makezd2globalzd2zzast_varz00(BgL_idz00_26, BFALSE,
								(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00),
								BgL_valuez00_28, BgL_arg3412z00_1030, BUNSPEC,
								BgL_arg3413z00_1031, ((long) 0), BgL_modulez00_27,
								BgL_importz00_29, ((bool_t) 1), BFALSE, ((bool_t) 1), BNIL,
								BgL_srcz00_30, BgL_arg3416z00_1034);
						}
						{	/* Ast/venv.scm 361 */
							bool_t BgL_testz00_2193;

							if (PAIRP(BgL_bucketz00_1003))
								{	/* Ast/venv.scm 361 */
									BgL_testz00_2193 = NULLP(CDR(BgL_bucketz00_1003));
								}
							else
								{	/* Ast/venv.scm 361 */
									BgL_testz00_2193 = ((bool_t) 1);
								}
							if (BgL_testz00_2193)
								{	/* Ast/venv.scm 361 */
									{	/* Ast/venv.scm 363 */
										obj_t BgL_arg3390z00_1006;

										{	/* Ast/venv.scm 363 */
											obj_t BgL_list3391z00_1007;

											{	/* Ast/venv.scm 363 */
												obj_t BgL_arg3392z00_1008;

												BgL_arg3392z00_1008 =
													MAKE_PAIR((obj_t) (BgL_newz00_1004), BNIL);
												BgL_list3391z00_1007 =
													MAKE_PAIR(BgL_idz00_26, BgL_arg3392z00_1008);
											}
											BgL_arg3390z00_1006 = BgL_list3391z00_1007;
										}
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_26,
											BgL_arg3390z00_1006);
									}
									return BgL_newz00_1004;
								}
							else
								{	/* Ast/venv.scm 366 */
									obj_t BgL_oldza2za2_1009;

									BgL_oldza2za2_1009 = CDR(BgL_bucketz00_1003);
									{	/* Ast/venv.scm 366 */
										obj_t BgL_midz00_1010;

										{	/* Ast/venv.scm 368 */
											obj_t BgL_arg3407z00_1026;

											{	/* Ast/venv.scm 368 */
												BgL_globalz00_bglt BgL_obj1514z00_1657;

												{	/* Ast/venv.scm 368 */
													obj_t BgL_pairz00_1656;

													BgL_pairz00_1656 = BgL_oldza2za2_1009;
													BgL_obj1514z00_1657 =
														(BgL_globalz00_bglt) (CAR(BgL_pairz00_1656));
												}
												BgL_arg3407z00_1026 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1514z00_1657))->
													BgL_modulez00);
											}
											BgL_midz00_1010 =
												BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
												(BgL_arg3407z00_1026);
										}
										{	/* Ast/venv.scm 367 */

											{	/* Ast/venv.scm 370 */
												bool_t BgL_testz00_2207;

												{	/* Ast/venv.scm 370 */
													obj_t BgL_arg3405z00_1024;

													{	/* Ast/venv.scm 370 */
														BgL_globalz00_bglt BgL_obj1514z00_1659;

														{	/* Ast/venv.scm 370 */
															obj_t BgL_pairz00_1658;

															BgL_pairz00_1658 = BgL_oldza2za2_1009;
															BgL_obj1514z00_1659 =
																(BgL_globalz00_bglt) (CAR(BgL_pairz00_1658));
														}
														BgL_arg3405z00_1024 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1514z00_1659))->BgL_modulez00);
													}
													BgL_testz00_2207 =
														(BgL_arg3405z00_1024 ==
														BGl_za2moduleza2z00zzmodule_modulez00);
												}
												if (BgL_testz00_2207)
													{	/* Ast/venv.scm 370 */
														{	/* Ast/venv.scm 372 */
															bool_t BgL_testz00_2212;

															if ((BgL_idz00_26 == BgL_midz00_1010))
																{	/* Ast/venv.scm 372 */
																	BgL_testz00_2212 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 372 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 372 */
																			BgL_testz00_2212 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 372 */
																			BgL_testz00_2212 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2212)
																{	/* Ast/venv.scm 372 */
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(CAR(BgL_oldza2za2_1009),
																		(obj_t) (BgL_newz00_1004), BNIL);
																}
															else
																{	/* Ast/venv.scm 372 */
																	BFALSE;
																}
														}
														{	/* Ast/venv.scm 374 */
															obj_t BgL_arg3398z00_1016;

															obj_t BgL_arg3399z00_1017;

															BgL_arg3398z00_1016 = CDR(BgL_bucketz00_1003);
															{	/* Ast/venv.scm 374 */
																obj_t BgL_arg3400z00_1018;

																{	/* Ast/venv.scm 374 */
																	obj_t BgL_pairz00_1662;

																	BgL_pairz00_1662 = BgL_bucketz00_1003;
																	BgL_arg3400z00_1018 =
																		CDR(CDR(BgL_pairz00_1662));
																}
																BgL_arg3399z00_1017 =
																	MAKE_PAIR(
																	(obj_t) (BgL_newz00_1004),
																	BgL_arg3400z00_1018);
															}
															SET_CDR(BgL_arg3398z00_1016, BgL_arg3399z00_1017);
														}
														return BgL_newz00_1004;
													}
												else
													{	/* Ast/venv.scm 377 */
														obj_t BgL_newza2za2_1019;

														BgL_newza2za2_1019 =
															MAKE_PAIR(
															(obj_t) (BgL_newz00_1004), BgL_oldza2za2_1009);
														{	/* Ast/venv.scm 378 */
															bool_t BgL_testz00_2228;

															if ((BgL_idz00_26 == BgL_midz00_1010))
																{	/* Ast/venv.scm 378 */
																	BgL_testz00_2228 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 378 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 378 */
																			BgL_testz00_2228 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 378 */
																			BgL_testz00_2228 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2228)
																{	/* Ast/venv.scm 378 */
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		((obj_t) (BgL_newz00_1004),
																		CAR(BgL_oldza2za2_1009), BNIL);
																}
															else
																{	/* Ast/venv.scm 378 */
																	BFALSE;
																}
														}
														SET_CDR(BgL_bucketz00_1003, BgL_newza2za2_1019);
														return BgL_newz00_1004;
													}
											}
										}
									}
								}
						}
					}
			}
		}
	}



/* _bind-global!3556 */
	obj_t BGl__bindzd2globalz123556zc0zzast_envz00(obj_t BgL_envz00_1860,
		obj_t BgL_idz00_1861, obj_t BgL_modulez00_1862, obj_t BgL_valuez00_1863,
		obj_t BgL_importz00_1864, obj_t BgL_srcz00_1865)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 337 */
			return
				(obj_t) (BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1861,
					BgL_modulez00_1862, (BgL_valuez00_bglt) (BgL_valuez00_1863),
					BgL_importz00_1864, BgL_srcz00_1865));
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_31, obj_t BgL_modulez00_32)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 386 */
			{	/* Ast/venv.scm 387 */
				obj_t BgL_globalz00_1037;

				{	/* Ast/venv.scm 387 */
					obj_t BgL_list3435z00_1059;

					BgL_list3435z00_1059 = MAKE_PAIR(BgL_modulez00_32, BNIL);
					BgL_globalz00_1037 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_31,
						BgL_list3435z00_1059);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1037,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 390 */
						obj_t BgL_bucketz00_1039;

						BgL_bucketz00_1039 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_31);
						{	/* Ast/venv.scm 391 */
							obj_t BgL_g3272z00_1040;

							BgL_g3272z00_1040 = CDR(BgL_bucketz00_1039);
							{
								obj_t BgL_curz00_1042;

								obj_t BgL_prevz00_1043;

								BgL_curz00_1042 = BgL_g3272z00_1040;
								BgL_prevz00_1043 = BgL_bucketz00_1039;
							BgL_zc3anonymousza33420ze3z83_1044:
								if ((CAR(BgL_curz00_1042) == BgL_globalz00_1037))
									{	/* Ast/venv.scm 394 */
										obj_t BgL_auxz00_2249;

										BgL_auxz00_2249 = CDR(BgL_curz00_1042);
										return SET_CDR(BgL_prevz00_1043, BgL_auxz00_2249);
									}
								else
									{
										obj_t BgL_prevz00_2254;

										obj_t BgL_curz00_2252;

										BgL_curz00_2252 = CDR(BgL_curz00_1042);
										BgL_prevz00_2254 = CDR(BgL_prevz00_1043);
										BgL_prevz00_1043 = BgL_prevz00_2254;
										BgL_curz00_1042 = BgL_curz00_2252;
										goto BgL_zc3anonymousza33420ze3z83_1044;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 389 */
						obj_t BgL_arg3429z00_1053;

						{	/* Ast/venv.scm 389 */
							obj_t BgL_arg3431z00_1055;

							obj_t BgL_arg3432z00_1056;

							BgL_arg3431z00_1055 = CNST_TABLE_REF(((long) 3));
							{	/* Ast/venv.scm 389 */
								obj_t BgL_list3433z00_1057;

								{	/* Ast/venv.scm 389 */
									obj_t BgL_arg3434z00_1058;

									BgL_arg3434z00_1058 = MAKE_PAIR(BNIL, BNIL);
									BgL_list3433z00_1057 =
										MAKE_PAIR(BgL_modulez00_32, BgL_arg3434z00_1058);
								}
								BgL_arg3432z00_1056 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_idz00_31,
									BgL_list3433z00_1057);
							}
							BgL_arg3429z00_1053 =
								MAKE_PAIR(BgL_arg3431z00_1055, BgL_arg3432z00_1056);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string3566z00zzast_envz00,
							BGl_string3567z00zzast_envz00, BgL_arg3429z00_1053, BNIL);
					}
			}
		}
	}



/* _unbind-global!3557 */
	obj_t BGl__unbindzd2globalz123557zc0zzast_envz00(obj_t BgL_envz00_1866,
		obj_t BgL_idz00_1867, obj_t BgL_modulez00_1868)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 386 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_1867,
				BgL_modulez00_1868);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_33, obj_t BgL_envz00_34)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 400 */
			{	/* Ast/venv.scm 401 */
				obj_t BgL_arg3436z00_1060;

				if (NULLP(BgL_envz00_34))
					{	/* Ast/venv.scm 401 */
						BgL_arg3436z00_1060 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 401 */
						BgL_arg3436z00_1060 = CAR(BgL_envz00_34);
					}
				{	/* Ast/venv.scm 402 */
					obj_t BgL_zc3anonymousza33439ze3z83_1869;

					BgL_zc3anonymousza33439ze3z83_1869 =
						make_fx_procedure(BGl_zc3anonymousza33439ze3z83zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_1869,
						(int) (((long) 0)), BgL_procz00_33);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg3436z00_1060,
						BgL_zc3anonymousza33439ze3z83_1869);
				}
			}
		}
	}



/* _for-each-global!3558 */
	obj_t BGl__forzd2eachzd2globalz123558z12zzast_envz00(obj_t BgL_envz00_1870,
		obj_t BgL_procz00_1871, obj_t BgL_envz00_1872)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 400 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_1871,
				BgL_envz00_1872);
		}
	}



/* <anonymous:3439> */
	obj_t BGl_zc3anonymousza33439ze3z83zzast_envz00(obj_t BgL_envz00_1873,
		obj_t BgL_kz00_1875, obj_t BgL_bucketz00_1876)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 402 */
			{	/* Ast/venv.scm 402 */
				obj_t BgL_procz00_1874;

				BgL_procz00_1874 = PROCEDURE_REF(BgL_envz00_1873, (int) (((long) 0)));
				{
					obj_t BgL_kz00_1063;

					obj_t BgL_bucketz00_1064;

					{	/* Ast/venv.scm 402 */
						bool_t BgL_auxz00_2275;

						BgL_kz00_1063 = BgL_kz00_1875;
						BgL_bucketz00_1064 = BgL_bucketz00_1876;
						{	/* Ast/venv.scm 402 */
							obj_t BgL_g3281z00_1066;

							BgL_g3281z00_1066 = CDR(BgL_bucketz00_1064);
							{
								obj_t BgL_l3279z00_1068;

								BgL_l3279z00_1068 = BgL_g3281z00_1066;
							BgL_zc3anonymousza33440ze3z83_1069:
								if (PAIRP(BgL_l3279z00_1068))
									{	/* Ast/venv.scm 402 */
										{	/* Ast/venv.scm 402 */
											obj_t BgL_arg3442z00_1071;

											BgL_arg3442z00_1071 = CAR(BgL_l3279z00_1068);
											PROCEDURE_ENTRY(BgL_procz00_1874) (BgL_procz00_1874,
												BgL_arg3442z00_1071, BEOA);
										}
										{
											obj_t BgL_l3279z00_2282;

											BgL_l3279z00_2282 = CDR(BgL_l3279z00_1068);
											BgL_l3279z00_1068 = BgL_l3279z00_2282;
											goto BgL_zc3anonymousza33440ze3z83_1069;
										}
									}
								else
									{	/* Ast/venv.scm 402 */
										BgL_auxz00_2275 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_2275);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_35, obj_t BgL_modulez00_36)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 407 */
			{	/* Ast/venv.scm 408 */
				obj_t BgL_bucketz00_1075;

				BgL_bucketz00_1075 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_35);
				if (PAIRP(BgL_bucketz00_1075))
					{
						obj_t BgL_globalsz00_1079;

						long BgL_posz00_1080;

						{	/* Ast/venv.scm 411 */
							long BgL_auxz00_2288;

							BgL_globalsz00_1079 = CDR(BgL_bucketz00_1075);
							BgL_posz00_1080 = ((long) 0);
						BgL_zc3anonymousza33446ze3z83_1081:
							if (NULLP(BgL_globalsz00_1079))
								{	/* Ast/venv.scm 414 */
									BgL_auxz00_2288 = ((long) -1);
								}
							else
								{	/* Ast/venv.scm 416 */
									bool_t BgL_testz00_2291;

									{	/* Ast/venv.scm 416 */
										obj_t BgL_auxz00_2292;

										{	/* Ast/venv.scm 416 */
											BgL_globalz00_bglt BgL_obj1514z00_1689;

											{	/* Ast/venv.scm 416 */
												obj_t BgL_pairz00_1688;

												BgL_pairz00_1688 = BgL_globalsz00_1079;
												BgL_obj1514z00_1689 =
													(BgL_globalz00_bglt) (CAR(BgL_pairz00_1688));
											}
											BgL_auxz00_2292 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1514z00_1689))->
												BgL_modulez00);
										}
										BgL_testz00_2291 = (BgL_auxz00_2292 == BgL_modulez00_36);
									}
									if (BgL_testz00_2291)
										{	/* Ast/venv.scm 416 */
											BgL_auxz00_2288 = BgL_posz00_1080;
										}
									else
										{
											long BgL_posz00_2299;

											obj_t BgL_globalsz00_2297;

											BgL_globalsz00_2297 = CDR(BgL_globalsz00_1079);
											BgL_posz00_2299 = (BgL_posz00_1080 + ((long) 1));
											BgL_posz00_1080 = BgL_posz00_2299;
											BgL_globalsz00_1079 = BgL_globalsz00_2297;
											goto BgL_zc3anonymousza33446ze3z83_1081;
										}
								}
							return BINT(BgL_auxz00_2288);
						}
					}
				else
					{	/* Ast/venv.scm 409 */
						return BINT(((long) -1));
		}}}
	}



/* _global-bucket-posit3559 */
	obj_t BGl__globalzd2bucketzd2posit3559z00zzast_envz00(obj_t BgL_envz00_1877,
		obj_t BgL_idz00_1878, obj_t BgL_modulez00_1879)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 407 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_1878,
				BgL_modulez00_1879);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_restorezd2valuezd2typesz123282zd2envzc0zzast_envz00);
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_7)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			{	/* Ast/venv.scm 152 */
				obj_t BgL_method3283z00_1693;

				{	/* Ast/venv.scm 152 */
					BgL_objectz00_bglt BgL_objz00_1694;

					BgL_objz00_1694 = (BgL_objectz00_bglt) (BgL_valuez00_7);
					{	/* Ast/venv.scm 152 */
						long BgL_objzd2classzd2numz00_1695;

						BgL_objzd2classzd2numz00_1695 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1694);
						{	/* Ast/venv.scm 152 */
							obj_t BgL_arg2422z00_1696;

							BgL_arg2422z00_1696 =
								PROCEDURE_REF
								(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								(int) (((long) 1)));
							{	/* Ast/venv.scm 152 */
								obj_t BgL_arrayz00_1698;

								int BgL_offsetz00_1699;

								BgL_arrayz00_1698 = BgL_arg2422z00_1696;
								BgL_offsetz00_1699 = (int) (BgL_objzd2classzd2numz00_1695);
								{	/* Ast/venv.scm 152 */
									long BgL_offsetz00_1700;

									BgL_offsetz00_1700 =
										((long) (BgL_offsetz00_1699) - OBJECT_TYPE);
									{	/* Ast/venv.scm 152 */
										long BgL_modz00_1701;

										{	/* Ast/venv.scm 152 */
											int BgL_arg2424z00_1702;

											BgL_arg2424z00_1702 = (int) (((long) 8));
											{	/* Ast/venv.scm 152 */
												long BgL_auxz00_2314;

												BgL_auxz00_2314 = (long) (BgL_arg2424z00_1702);
												BgL_modz00_1701 =
													(BgL_offsetz00_1700 / BgL_auxz00_2314);
										}}
										{	/* Ast/venv.scm 152 */
											long BgL_restz00_1703;

											{	/* Ast/venv.scm 152 */
												int BgL_arg2423z00_1704;

												BgL_arg2423z00_1704 = (int) (((long) 8));
												{	/* Ast/venv.scm 152 */
													long BgL_auxz00_2318;

													BgL_auxz00_2318 = (long) (BgL_arg2423z00_1704);
													BgL_restz00_1703 =
														(BgL_offsetz00_1700 % BgL_auxz00_2318);
											}}
											{	/* Ast/venv.scm 152 */

												BgL_method3283z00_1693 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1698,
														(int) (BgL_modz00_1701)), (int) (BgL_restz00_1703));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3283z00_1693) (BgL_method3283z00_1693,
					(obj_t) (BgL_valuez00_7), BEOA);
			}
		}
	}



/* _restore-value-types3553 */
	obj_t BGl__restorezd2valuezd2types3553z00zzast_envz00(obj_t BgL_envz00_1845,
		obj_t BgL_valuez00_1846)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				(BgL_valuez00_bglt) (BgL_valuez00_1846));
		}
	}



/* _restore-value-types!3282 */
	obj_t BGl__restorezd2valuezd2typesz123282z12zzast_envz00(obj_t
		BgL_envz00_1880, obj_t BgL_valuez00_1881)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc3568z00zzast_envz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc3569z00zzast_envz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc3570z00zzast_envz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc3571z00zzast_envz00);
		}
	}



/* restore-value-types!3292 */
	obj_t BGl_restorezd2valuezd2typesz123292z12zzast_envz00(obj_t BgL_envz00_1886,
		obj_t BgL_valuez00_1887)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 208 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1523;

				{	/* Ast/venv.scm 208 */
					bool_t BgL_auxz00_2334;

					BgL_valuez00_1523 = (BgL_cfunz00_bglt) (BgL_valuez00_1887);
					{

						{	/* Ast/venv.scm 208 */
							obj_t BgL_nextzd2method3291zd2_1537;

							BgL_nextzd2method3291zd2_1537 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_valuez00_1523),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							if (PROCEDUREP(BgL_nextzd2method3291zd2_1537))
								{	/* Ast/venv.scm 208 */
									PROCEDURE_ENTRY(BgL_nextzd2method3291zd2_1537)
										(BgL_nextzd2method3291zd2_1537, (obj_t) (BgL_valuez00_1523),
										BEOA);
								}
							else
								{	/* Ast/venv.scm 208 */
									{	/* Ast/venv.scm 208 */
										BgL_valuez00_bglt BgL_valuez00_1808;

										BgL_valuez00_1808 = (BgL_valuez00_bglt) (BgL_valuez00_1523);
										{	/* Ast/venv.scm 208 */
											obj_t BgL_method3283z00_1809;

											{	/* Ast/venv.scm 208 */
												BgL_objectz00_bglt BgL_objz00_1810;

												BgL_objz00_1810 =
													(BgL_objectz00_bglt) (BgL_valuez00_1808);
												{	/* Ast/venv.scm 208 */
													long BgL_objzd2classzd2numz00_1811;

													BgL_objzd2classzd2numz00_1811 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1810);
													{	/* Ast/venv.scm 208 */
														obj_t BgL_arg2422z00_1812;

														BgL_arg2422z00_1812 =
															PROCEDURE_REF
															(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
															(int) (((long) 1)));
														{	/* Ast/venv.scm 208 */
															obj_t BgL_arrayz00_1814;

															int BgL_offsetz00_1815;

															BgL_arrayz00_1814 = BgL_arg2422z00_1812;
															BgL_offsetz00_1815 =
																(int) (BgL_objzd2classzd2numz00_1811);
															{	/* Ast/venv.scm 208 */
																long BgL_offsetz00_1816;

																BgL_offsetz00_1816 =
																	((long) (BgL_offsetz00_1815) - OBJECT_TYPE);
																{	/* Ast/venv.scm 208 */
																	long BgL_modz00_1817;

																	{	/* Ast/venv.scm 208 */
																		int BgL_arg2424z00_1818;

																		BgL_arg2424z00_1818 = (int) (((long) 8));
																		{	/* Ast/venv.scm 208 */
																			long BgL_auxz00_2351;

																			BgL_auxz00_2351 =
																				(long) (BgL_arg2424z00_1818);
																			BgL_modz00_1817 =
																				(BgL_offsetz00_1816 / BgL_auxz00_2351);
																	}}
																	{	/* Ast/venv.scm 208 */
																		long BgL_restz00_1819;

																		{	/* Ast/venv.scm 208 */
																			int BgL_arg2423z00_1820;

																			BgL_arg2423z00_1820 = (int) (((long) 8));
																			{	/* Ast/venv.scm 208 */
																				long BgL_auxz00_2355;

																				BgL_auxz00_2355 =
																					(long) (BgL_arg2423z00_1820);
																				BgL_restz00_1819 =
																					(BgL_offsetz00_1816 %
																					BgL_auxz00_2355);
																		}}
																		{	/* Ast/venv.scm 208 */

																			BgL_method3283z00_1809 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1814,
																					(int) (BgL_modz00_1817)),
																				(int) (BgL_restz00_1819));
											}}}}}}}}
											PROCEDURE_ENTRY(BgL_method3283z00_1809)
												(BgL_method3283z00_1809, (obj_t) (BgL_valuez00_1808),
												BEOA);
						}}}}
						{
							obj_t BgL_argsz00_1529;

							{	/* Ast/venv.scm 211 */
								obj_t BgL_arg3533z00_1528;

								BgL_arg3533z00_1528 =
									(((BgL_cfunz00_bglt) CREF(BgL_valuez00_1523))->
									BgL_argszd2typezd2);
								BgL_argsz00_1529 = BgL_arg3533z00_1528;
							BgL_zc3anonymousza33534ze3z83_1530:
								if (PAIRP(BgL_argsz00_1529))
									{	/* Ast/venv.scm 212 */
										{	/* Ast/venv.scm 214 */
											BgL_typez00_bglt BgL_arg3536z00_1532;

											{	/* Ast/venv.scm 214 */
												obj_t BgL_arg3537z00_1533;

												{	/* Ast/venv.scm 214 */
													BgL_typez00_bglt BgL_obj1343z00_1803;

													{	/* Ast/venv.scm 214 */
														obj_t BgL_pairz00_1802;

														BgL_pairz00_1802 = BgL_argsz00_1529;
														BgL_obj1343z00_1803 =
															(BgL_typez00_bglt) (CAR(BgL_pairz00_1802));
													}
													BgL_arg3537z00_1533 =
														(((BgL_typez00_bglt) CREF(BgL_obj1343z00_1803))->
														BgL_idz00);
												}
												BgL_arg3536z00_1532 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3537z00_1533);
											}
											{	/* Ast/venv.scm 214 */
												obj_t BgL_auxz00_2372;

												BgL_auxz00_2372 = (obj_t) (BgL_arg3536z00_1532);
												SET_CAR(BgL_argsz00_1529, BgL_auxz00_2372);
											}
										}
										{
											obj_t BgL_argsz00_2375;

											BgL_argsz00_2375 = CDR(BgL_argsz00_1529);
											BgL_argsz00_1529 = BgL_argsz00_2375;
											goto BgL_zc3anonymousza33534ze3z83_1530;
										}
									}
								else
									{	/* Ast/venv.scm 212 */
										BgL_auxz00_2334 = ((bool_t) 0);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2334);
				}
			}
		}
	}



/* restore-value-types!3290 */
	obj_t BGl_restorezd2valuezd2typesz123290z12zzast_envz00(obj_t BgL_envz00_1888,
		obj_t BgL_valuez00_1889)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 201 */
			{
				BgL_isfunz00_bglt BgL_valuez00_1517;

				BgL_valuez00_1517 = (BgL_isfunz00_bglt) (BgL_valuez00_1889);
				{

					{	/* Ast/venv.scm 201 */
						obj_t BgL_nextzd2method3289zd2_1521;

						BgL_nextzd2method3289zd2_1521 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_valuez00_1517),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_isfunz00zzinline_inlinez00);
						if (PROCEDUREP(BgL_nextzd2method3289zd2_1521))
							{	/* Ast/venv.scm 201 */
								PROCEDURE_ENTRY(BgL_nextzd2method3289zd2_1521)
									(BgL_nextzd2method3289zd2_1521, (obj_t) (BgL_valuez00_1517),
									BEOA);
							}
						else
							{	/* Ast/venv.scm 201 */
								{	/* Ast/venv.scm 201 */
									BgL_valuez00_bglt BgL_valuez00_1774;

									BgL_valuez00_1774 = (BgL_valuez00_bglt) (BgL_valuez00_1517);
									{	/* Ast/venv.scm 201 */
										obj_t BgL_method3283z00_1775;

										{	/* Ast/venv.scm 201 */
											BgL_objectz00_bglt BgL_objz00_1776;

											BgL_objz00_1776 =
												(BgL_objectz00_bglt) (BgL_valuez00_1774);
											{	/* Ast/venv.scm 201 */
												long BgL_objzd2classzd2numz00_1777;

												BgL_objzd2classzd2numz00_1777 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1776);
												{	/* Ast/venv.scm 201 */
													obj_t BgL_arg2422z00_1778;

													BgL_arg2422z00_1778 =
														PROCEDURE_REF
														(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
														(int) (((long) 1)));
													{	/* Ast/venv.scm 201 */
														obj_t BgL_arrayz00_1780;

														int BgL_offsetz00_1781;

														BgL_arrayz00_1780 = BgL_arg2422z00_1778;
														BgL_offsetz00_1781 =
															(int) (BgL_objzd2classzd2numz00_1777);
														{	/* Ast/venv.scm 201 */
															long BgL_offsetz00_1782;

															BgL_offsetz00_1782 =
																((long) (BgL_offsetz00_1781) - OBJECT_TYPE);
															{	/* Ast/venv.scm 201 */
																long BgL_modz00_1783;

																{	/* Ast/venv.scm 201 */
																	int BgL_arg2424z00_1784;

																	BgL_arg2424z00_1784 = (int) (((long) 8));
																	{	/* Ast/venv.scm 201 */
																		long BgL_auxz00_2395;

																		BgL_auxz00_2395 =
																			(long) (BgL_arg2424z00_1784);
																		BgL_modz00_1783 =
																			(BgL_offsetz00_1782 / BgL_auxz00_2395);
																}}
																{	/* Ast/venv.scm 201 */
																	long BgL_restz00_1785;

																	{	/* Ast/venv.scm 201 */
																		int BgL_arg2423z00_1786;

																		BgL_arg2423z00_1786 = (int) (((long) 8));
																		{	/* Ast/venv.scm 201 */
																			long BgL_auxz00_2399;

																			BgL_auxz00_2399 =
																				(long) (BgL_arg2423z00_1786);
																			BgL_restz00_1785 =
																				(BgL_offsetz00_1782 % BgL_auxz00_2399);
																	}}
																	{	/* Ast/venv.scm 201 */

																		BgL_method3283z00_1775 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1780,
																				(int) (BgL_modz00_1783)),
																			(int) (BgL_restz00_1785));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method3283z00_1775)
											(BgL_method3283z00_1775, (obj_t) (BgL_valuez00_1774),
											BEOA);
					}}}}
					{	/* Ast/venv.scm 203 */
						BgL_nodez00_bglt BgL_arg3531z00_1520;

						{
							obj_t BgL_auxz00_2409;

							{	/* Ast/venv.scm 203 */
								BgL_objectz00_bglt BgL_auxz00_2410;

								BgL_auxz00_2410 = (BgL_objectz00_bglt) (BgL_valuez00_1517);
								BgL_auxz00_2409 = BGL_OBJECT_WIDENING(BgL_auxz00_2410);
							}
							BgL_arg3531z00_1520 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2409))->
								BgL_originalzd2bodyzd2);
						}
						return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg3531z00_1520);
					}
				}
			}
		}
	}



/* restore-value-types!3288 */
	obj_t BGl_restorezd2valuezd2typesz123288z12zzast_envz00(obj_t BgL_envz00_1890,
		obj_t BgL_valuez00_1891)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 166 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1483;

				BgL_valuez00_1483 = (BgL_sfunz00_bglt) (BgL_valuez00_1891);
				{

					{	/* Ast/venv.scm 166 */
						obj_t BgL_nextzd2method3287zd2_1515;

						BgL_nextzd2method3287zd2_1515 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_valuez00_1483),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						if (PROCEDUREP(BgL_nextzd2method3287zd2_1515))
							{	/* Ast/venv.scm 166 */
								PROCEDURE_ENTRY(BgL_nextzd2method3287zd2_1515)
									(BgL_nextzd2method3287zd2_1515, (obj_t) (BgL_valuez00_1483),
									BEOA);
							}
						else
							{	/* Ast/venv.scm 166 */
								{	/* Ast/venv.scm 166 */
									BgL_valuez00_bglt BgL_valuez00_1746;

									BgL_valuez00_1746 = (BgL_valuez00_bglt) (BgL_valuez00_1483);
									{	/* Ast/venv.scm 166 */
										obj_t BgL_method3283z00_1747;

										{	/* Ast/venv.scm 166 */
											BgL_objectz00_bglt BgL_objz00_1748;

											BgL_objz00_1748 =
												(BgL_objectz00_bglt) (BgL_valuez00_1746);
											{	/* Ast/venv.scm 166 */
												long BgL_objzd2classzd2numz00_1749;

												BgL_objzd2classzd2numz00_1749 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1748);
												{	/* Ast/venv.scm 166 */
													obj_t BgL_arg2422z00_1750;

													BgL_arg2422z00_1750 =
														PROCEDURE_REF
														(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
														(int) (((long) 1)));
													{	/* Ast/venv.scm 166 */
														obj_t BgL_arrayz00_1752;

														int BgL_offsetz00_1753;

														BgL_arrayz00_1752 = BgL_arg2422z00_1750;
														BgL_offsetz00_1753 =
															(int) (BgL_objzd2classzd2numz00_1749);
														{	/* Ast/venv.scm 166 */
															long BgL_offsetz00_1754;

															BgL_offsetz00_1754 =
																((long) (BgL_offsetz00_1753) - OBJECT_TYPE);
															{	/* Ast/venv.scm 166 */
																long BgL_modz00_1755;

																{	/* Ast/venv.scm 166 */
																	int BgL_arg2424z00_1756;

																	BgL_arg2424z00_1756 = (int) (((long) 8));
																	{	/* Ast/venv.scm 166 */
																		long BgL_auxz00_2432;

																		BgL_auxz00_2432 =
																			(long) (BgL_arg2424z00_1756);
																		BgL_modz00_1755 =
																			(BgL_offsetz00_1754 / BgL_auxz00_2432);
																}}
																{	/* Ast/venv.scm 166 */
																	long BgL_restz00_1757;

																	{	/* Ast/venv.scm 166 */
																		int BgL_arg2423z00_1758;

																		BgL_arg2423z00_1758 = (int) (((long) 8));
																		{	/* Ast/venv.scm 166 */
																			long BgL_auxz00_2436;

																			BgL_auxz00_2436 =
																				(long) (BgL_arg2423z00_1758);
																			BgL_restz00_1757 =
																				(BgL_offsetz00_1754 % BgL_auxz00_2436);
																	}}
																	{	/* Ast/venv.scm 166 */

																		BgL_method3283z00_1747 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1752,
																				(int) (BgL_modz00_1755)),
																			(int) (BgL_restz00_1757));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method3283z00_1747)
											(BgL_method3283z00_1747, (obj_t) (BgL_valuez00_1746),
											BEOA);
					}}}}
					{
						obj_t BgL_argsz00_1489;

						{	/* Ast/venv.scm 169 */
							obj_t BgL_arg3507z00_1488;

							BgL_arg3507z00_1488 =
								(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1483))->BgL_argsz00);
							BgL_argsz00_1489 = BgL_arg3507z00_1488;
						BgL_zc3anonymousza33508ze3z83_1490:
							if (PAIRP(BgL_argsz00_1489))
								{	/* Ast/venv.scm 172 */
									obj_t BgL_argz00_1492;

									BgL_argz00_1492 = CAR(BgL_argsz00_1489);
									if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1492,
											BGl_typez00zztype_typez00))
										{	/* Ast/venv.scm 175 */
											BgL_typez00_bglt BgL_arg3511z00_1494;

											{	/* Ast/venv.scm 175 */
												obj_t BgL_arg3512z00_1495;

												{
													BgL_typez00_bglt BgL_auxz00_2452;

													BgL_auxz00_2452 =
														(BgL_typez00_bglt) (BgL_argz00_1492);
													BgL_arg3512z00_1495 =
														(((BgL_typez00_bglt) CREF(BgL_auxz00_2452))->
														BgL_idz00);
												}
												BgL_arg3511z00_1494 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3512z00_1495);
											}
											{	/* Ast/venv.scm 175 */
												obj_t BgL_auxz00_2456;

												BgL_auxz00_2456 = (obj_t) (BgL_arg3511z00_1494);
												SET_CAR(BgL_argsz00_1489, BgL_auxz00_2456);
											}
										}
									else
										{	/* Ast/venv.scm 174 */
											if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1492,
													BGl_localz00zzast_varz00))
												{	/* Ast/venv.scm 177 */
													BgL_typez00_bglt BgL_newzd2typezd2_1497;

													{	/* Ast/venv.scm 177 */
														obj_t BgL_arg3514z00_1498;

														{	/* Ast/venv.scm 177 */
															BgL_typez00_bglt BgL_obj1343z00_1733;

															{
																BgL_variablez00_bglt BgL_auxz00_2461;

																BgL_auxz00_2461 =
																	(BgL_variablez00_bglt) (BgL_argz00_1492);
																BgL_obj1343z00_1733 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_2461))->BgL_typez00);
															}
															BgL_arg3514z00_1498 =
																(((BgL_typez00_bglt)
																	CREF(BgL_obj1343z00_1733))->BgL_idz00);
														}
														BgL_newzd2typezd2_1497 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg3514z00_1498);
													}
													{
														BgL_variablez00_bglt BgL_auxz00_2466;

														BgL_auxz00_2466 =
															(BgL_variablez00_bglt) (BgL_argz00_1492);
														((((BgL_variablez00_bglt) CREF(BgL_auxz00_2466))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_newzd2typezd2_1497),
															BUNSPEC);
													}
												}
											else
												{	/* Ast/venv.scm 176 */
													BGl_errorz00zz__errorz00
														(BGl_string3572z00zzast_envz00,
														BGl_string3573z00zzast_envz00,
														BGl_shapez00zztools_shapez00(BgL_argz00_1492));
												}
										}
									{
										obj_t BgL_argsz00_2471;

										BgL_argsz00_2471 = CDR(BgL_argsz00_1489);
										BgL_argsz00_1489 = BgL_argsz00_2471;
										goto BgL_zc3anonymousza33508ze3z83_1490;
									}
								}
							else
								{	/* Ast/venv.scm 171 */
									if (NULLP(BgL_argsz00_1489))
										{	/* Ast/venv.scm 185 */
											obj_t BgL_bodyz00_1505;

											BgL_bodyz00_1505 =
												(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1483))->
												BgL_bodyz00);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_1505,
													BGl_nodez00zzast_nodez00))
												{	/* Ast/venv.scm 188 */
													BgL_typez00_bglt BgL_tresz00_1507;

													{
														BgL_nodez00_bglt BgL_auxz00_2478;

														BgL_auxz00_2478 =
															(BgL_nodez00_bglt) (BgL_bodyz00_1505);
														BgL_tresz00_1507 =
															(((BgL_nodez00_bglt) CREF(BgL_auxz00_2478))->
															BgL_typez00);
													}
													BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
														(BgL_nodez00_bglt) (BgL_bodyz00_1505));
													{	/* Ast/venv.scm 190 */
														bool_t BgL_testz00_2483;

														{	/* Ast/venv.scm 190 */
															obj_t BgL_obj1437z00_1741;

															BgL_obj1437z00_1741 = (obj_t) (BgL_tresz00_1507);
															BgL_testz00_2483 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1437z00_1741,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_2483)
															{	/* Ast/venv.scm 192 */
																BgL_typez00_bglt BgL_arg3525z00_1509;

																{	/* Ast/venv.scm 192 */
																	obj_t BgL_arg3526z00_1510;

																	BgL_arg3526z00_1510 =
																		(((BgL_typez00_bglt)
																			CREF(BgL_tresz00_1507))->BgL_idz00);
																	BgL_arg3525z00_1509 =
																		BGl_findzd2typezd2zztype_envz00
																		(BgL_arg3526z00_1510);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_2488;

																	BgL_auxz00_2488 =
																		(BgL_nodez00_bglt) (BgL_bodyz00_1505);
																	return
																		((((BgL_nodez00_bglt)
																				CREF(BgL_auxz00_2488))->BgL_typez00) =
																		((BgL_typez00_bglt) BgL_arg3525z00_1509),
																		BUNSPEC);
																}
															}
														else
															{	/* Ast/venv.scm 190 */
																return BFALSE;
															}
													}
												}
											else
												{	/* Ast/venv.scm 187 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/venv.scm 184 */
											return
												BGl_errorz00zz__errorz00(BGl_string3574z00zzast_envz00,
												BGl_string3575z00zzast_envz00,
												BGl_shapez00zztools_shapez00(BgL_argsz00_1489));
										}
								}
						}
					}
				}
			}
		}
	}



/* restore-value-types!3286 */
	obj_t BGl_restorezd2valuezd2typesz123286z12zzast_envz00(obj_t BgL_envz00_1892,
		obj_t BgL_valuez00_1893)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 158 */
			{
				BgL_funz00_bglt BgL_valuez00_1472;

				BgL_valuez00_1472 = (BgL_funz00_bglt) (BgL_valuez00_1893);
				{	/* Ast/venv.scm 160 */
					bool_t BgL_testz00_2494;

					{	/* Ast/venv.scm 160 */
						obj_t BgL_arg3505z00_1480;

						BgL_arg3505z00_1480 =
							(((BgL_funz00_bglt) CREF(BgL_valuez00_1472))->
							BgL_predicatezd2ofzd2);
						BgL_testz00_2494 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3505z00_1480,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_2494)
						{	/* Ast/venv.scm 161 */
							BgL_typez00_bglt BgL_arg3502z00_1477;

							{	/* Ast/venv.scm 161 */
								obj_t BgL_arg3503z00_1478;

								{	/* Ast/venv.scm 161 */
									BgL_typez00_bglt BgL_obj1343z00_1721;

									BgL_obj1343z00_1721 =
										(BgL_typez00_bglt) (
										(((BgL_funz00_bglt) CREF(BgL_valuez00_1472))->
											BgL_predicatezd2ofzd2));
									BgL_arg3503z00_1478 =
										(((BgL_typez00_bglt) CREF(BgL_obj1343z00_1721))->BgL_idz00);
								}
								BgL_arg3502z00_1477 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg3503z00_1478);
							}
							{
								obj_t BgL_auxz00_2501;

								BgL_auxz00_2501 = (obj_t) (BgL_arg3502z00_1477);
								return
									((((BgL_funz00_bglt) CREF(BgL_valuez00_1472))->
										BgL_predicatezd2ofzd2) =
									((obj_t) BgL_auxz00_2501), BUNSPEC);
							}
						}
					else
						{	/* Ast/venv.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 346346738),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 326457085),
				BSTRING_TO_STRING(BGl_string3576z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
