/*===========================================================================*/
/*   (Bdb/spread-obj.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Bdb/spread-obj.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t
		BGl_spreadzd2objzd2nodez12zd2con3134zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12z12zzbdb_spreadzd2objzd2(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzbdb_spreadzd2objzd2();
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2sel3138zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2seq3120zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2jum3146zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2app3122zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2app3124zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzbdb_spreadzd2objzd2();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_spreadzd2objzd2funz12z12zzbdb_spreadzd2objzd2(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl__spreadzd2objzd2nodez12z12zzbdb_spreadzd2objzd2(obj_t,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2let3140zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2let3142zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2cas3130zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl__bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2fun3126zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbdb_spreadzd2objzd2();
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzbdb_spreadzd2objzd2 = BUNSPEC;
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2box3150zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2box3152zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbdb_spreadzd2objzd2();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2mak3148zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbdb_spreadzd2objzd2();
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2ext3128zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl_spreadzd2objzd2nodeza2z12zb0zzbdb_spreadzd2objzd2(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2set3132zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2set3144zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_spreadzd2objzd2nodez12zd2fai3136zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t);
	static obj_t
		BGl__spreadzd2objzd2nodez12zd2def3117zc0zzbdb_spreadzd2objzd2(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_spreadzd2objzd2();
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
		BgL_bgl__spreadza7d2objza7d23392z00,
		BGl__spreadzd2objzd2nodez12z12zzbdb_spreadzd2objzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_spreadzd2objzd2nodez12zd2def3117zd2envz12zzbdb_spreadzd2objzd2,
		BgL_bgl__spreadza7d2objza7d23393z00,
		BGl__spreadzd2objzd2nodez12zd2def3117zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3371z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3394z00,
		BGl_spreadzd2objzd2nodez12zd2seq3120zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3372z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3395z00,
		BGl_spreadzd2objzd2nodez12zd2app3122zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3373z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3396z00,
		BGl_spreadzd2objzd2nodez12zd2app3124zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3374z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3397z00,
		BGl_spreadzd2objzd2nodez12zd2fun3126zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3375z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3398z00,
		BGl_spreadzd2objzd2nodez12zd2ext3128zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3376z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3399z00,
		BGl_spreadzd2objzd2nodez12zd2cas3130zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3377z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3400z00,
		BGl_spreadzd2objzd2nodez12zd2set3132zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3378z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3401z00,
		BGl_spreadzd2objzd2nodez12zd2con3134zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3380z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3402z00,
		BGl_spreadzd2objzd2nodez12zd2sel3138zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3379z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3403z00,
		BGl_spreadzd2objzd2nodez12zd2fai3136zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3381z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3404z00,
		BGl_spreadzd2objzd2nodez12zd2let3140zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3382z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3405z00,
		BGl_spreadzd2objzd2nodez12zd2let3142zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3383z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3406z00,
		BGl_spreadzd2objzd2nodez12zd2set3144zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3384z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3407z00,
		BGl_spreadzd2objzd2nodez12zd2jum3146zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3385z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3408z00,
		BGl_spreadzd2objzd2nodez12zd2mak3148zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3386z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3409z00,
		BGl_spreadzd2objzd2nodez12zd2box3150zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3387z00zzbdb_spreadzd2objzd2,
		BgL_bgl_spreadza7d2objza7d2n3410z00,
		BGl_spreadzd2objzd2nodez12zd2box3152zc0zzbdb_spreadzd2objzd2, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3363z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3363za700za7za7b3411za7, "Bdb (obj spreading)", 19);
	      DEFINE_STRING(BGl_string3364z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3364za700za7za7b3412za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3365z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3365za700za7za7b3413za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3366z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3366za700za7za7b3414za7, " error", 6);
	      DEFINE_STRING(BGl_string3367z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3367za700za7za7b3415za7, "s", 1);
	      DEFINE_STRING(BGl_string3368z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3368za700za7za7b3416za7, "", 0);
	      DEFINE_STRING(BGl_string3370z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3370za700za7za7b3417za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3369z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3369za700za7za7b3418za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3388za700za7za7b3419za7, "bdb_spread-obj", 14);
	      DEFINE_STRING(BGl_string3389z00zzbdb_spreadzd2objzd2,
		BgL_bgl_string3389za700za7za7b3420za7, "done pass-started ", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bdbzd2spreadzd2objz12zd2envzc0zzbdb_spreadzd2objzd2,
		BgL_bgl__bdbza7d2spreadza7d23421z00,
		BGl__bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(long
		BgL_checksumz00_2182, char *BgL_fromz00_2183)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbdb_spreadzd2objzd2))
				{
					BGl_requirezd2initializa7ationz75zzbdb_spreadzd2objzd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbdb_spreadzd2objzd2();
					BGl_cnstzd2initzd2zzbdb_spreadzd2objzd2();
					BGl_importedzd2moduleszd2initz00zzbdb_spreadzd2objzd2();
					BGl_genericzd2initzd2zzbdb_spreadzd2objzd2();
					BGl_methodzd2initzd2zzbdb_spreadzd2objzd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbdb_spreadzd2objzd2()
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"bdb_spread-obj");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"bdb_spread-obj");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"bdb_spread-obj");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"bdb_spread-obj");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"bdb_spread-obj");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"bdb_spread-obj");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbdb_spreadzd2objzd2()
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 15 */
			{	/* Bdb/spread-obj.scm 15 */
				obj_t BgL_cportz00_2173;

				BgL_cportz00_2173 =
					bgl_open_input_string(BGl_string3389z00zzbdb_spreadzd2objzd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_2174;

					BgL_iz00_2174 = ((long) 1);
				BgL_loopz00_2175:
					if ((BgL_iz00_2174 == ((long) -1)))
						{	/* Bdb/spread-obj.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Bdb/spread-obj.scm 15 */
							{	/* Bdb/spread-obj.scm 15 */
								obj_t BgL_arg3391z00_2177;

								{	/* Bdb/spread-obj.scm 15 */

									{	/* Bdb/spread-obj.scm 15 */
										obj_t BgL_locationz00_2179;

										BgL_locationz00_2179 = BBOOL(((bool_t) 0));
										{	/* Bdb/spread-obj.scm 15 */

											BgL_arg3391z00_2177 =
												BGl_readz00zz__readerz00(BgL_cportz00_2173,
												BgL_locationz00_2179);
										}
									}
								}
								{	/* Bdb/spread-obj.scm 15 */
									int BgL_auxz00_2204;

									BgL_auxz00_2204 = (int) (BgL_iz00_2174);
									CNST_TABLE_SET(BgL_auxz00_2204, BgL_arg3391z00_2177);
							}}
							{	/* Bdb/spread-obj.scm 15 */
								int BgL_auxz00_2180;

								BgL_auxz00_2180 = (int) ((BgL_iz00_2174 - ((long) 1)));
								{
									long BgL_iz00_2209;

									BgL_iz00_2209 = (long) (BgL_auxz00_2180);
									BgL_iz00_2174 = BgL_iz00_2209;
									goto BgL_loopz00_2175;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbdb_spreadzd2objzd2()
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 15 */
			return BUNSPEC;
		}
	}



/* bdb-spread-obj! */
	BGL_EXPORTED_DEF obj_t BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 30 */
			{	/* Bdb/spread-obj.scm 31 */
				obj_t BgL_list3153z00_754;

				{	/* Bdb/spread-obj.scm 31 */
					obj_t BgL_arg3155z00_756;

					{	/* Bdb/spread-obj.scm 31 */
						obj_t BgL_arg3157z00_758;

						BgL_arg3157z00_758 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3155z00_756 =
							MAKE_PAIR(BGl_string3363z00zzbdb_spreadzd2objzd2,
							BgL_arg3157z00_758);
					}
					BgL_list3153z00_754 =
						MAKE_PAIR(BGl_string3364z00zzbdb_spreadzd2objzd2,
						BgL_arg3155z00_756);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3153z00_754);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3363z00zzbdb_spreadzd2objzd2;
			{
				obj_t BgL_hooksz00_762;

				obj_t BgL_hnamesz00_763;

				BgL_hooksz00_762 = BNIL;
				BgL_hnamesz00_763 = BNIL;
			BgL_zc3anonymousza33158ze3z83_764:
				if (NULLP(BgL_hooksz00_762))
					{	/* Bdb/spread-obj.scm 31 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Bdb/spread-obj.scm 31 */
						bool_t BgL_testz00_2221;

						{	/* Bdb/spread-obj.scm 31 */
							obj_t BgL_fun3167z00_772;

							BgL_fun3167z00_772 = CAR(BgL_hooksz00_762);
							BgL_testz00_2221 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3167z00_772) (BgL_fun3167z00_772,
									BEOA));
						}
						if (BgL_testz00_2221)
							{
								obj_t BgL_hnamesz00_2228;

								obj_t BgL_hooksz00_2226;

								BgL_hooksz00_2226 = CDR(BgL_hooksz00_762);
								BgL_hnamesz00_2228 = CDR(BgL_hnamesz00_763);
								BgL_hnamesz00_763 = BgL_hnamesz00_2228;
								BgL_hooksz00_762 = BgL_hooksz00_2226;
								goto BgL_zc3anonymousza33158ze3z83_764;
							}
						else
							{	/* Bdb/spread-obj.scm 31 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3363z00zzbdb_spreadzd2objzd2,
									BGl_string3365z00zzbdb_spreadzd2objzd2,
									CAR(BgL_hnamesz00_763));
							}
					}
			}
			{
				obj_t BgL_l3103z00_776;

				BgL_l3103z00_776 = BgL_globalsz00_1;
			BgL_zc3anonymousza33169ze3z83_777:
				if (PAIRP(BgL_l3103z00_776))
					{	/* Bdb/spread-obj.scm 32 */
						BGl_spreadzd2objzd2funz12z12zzbdb_spreadzd2objzd2(CAR
							(BgL_l3103z00_776));
						{
							obj_t BgL_l3103z00_2236;

							BgL_l3103z00_2236 = CDR(BgL_l3103z00_776);
							BgL_l3103z00_776 = BgL_l3103z00_2236;
							goto BgL_zc3anonymousza33169ze3z83_777;
						}
					}
				else
					{	/* Bdb/spread-obj.scm 32 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Bdb/spread-obj.scm 33 */
					{	/* Bdb/spread-obj.scm 33 */
						obj_t BgL_port3105z00_784;

						{	/* Bdb/spread-obj.scm 33 */
							obj_t BgL_res3309z00_1358;

							{	/* Bdb/spread-obj.scm 33 */
								obj_t BgL_auxz00_2241;

								BgL_auxz00_2241 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res3309z00_1358 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2241);
							}
							BgL_port3105z00_784 = BgL_res3309z00_1358;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port3105z00_784);
						bgl_display_string(BGl_string3366z00zzbdb_spreadzd2objzd2,
							BgL_port3105z00_784);
						{	/* Bdb/spread-obj.scm 33 */
							obj_t BgL_arg3174z00_785;

							{	/* Bdb/spread-obj.scm 33 */
								bool_t BgL_testz00_2246;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Bdb/spread-obj.scm 33 */
										BgL_testz00_2246 =
											BGl_2ze3ze3zz__r4_numbers_6_5z00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BINT(((long) 1)));
									}
								else
									{	/* Bdb/spread-obj.scm 33 */
										BgL_testz00_2246 = ((bool_t) 0);
									}
								if (BgL_testz00_2246)
									{	/* Bdb/spread-obj.scm 33 */
										BgL_arg3174z00_785 = BGl_string3367z00zzbdb_spreadzd2objzd2;
									}
								else
									{	/* Bdb/spread-obj.scm 33 */
										BgL_arg3174z00_785 = BGl_string3368z00zzbdb_spreadzd2objzd2;
									}
							}
							bgl_display_obj(BgL_arg3174z00_785, BgL_port3105z00_784);
						}
						bgl_display_string(BGl_string3369z00zzbdb_spreadzd2objzd2,
							BgL_port3105z00_784);
						bgl_display_char(((unsigned char) '\n'), BgL_port3105z00_784);
					}
					{	/* Bdb/spread-obj.scm 33 */
						obj_t BgL_list3177z00_788;

						BgL_list3177z00_788 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list3177z00_788);
					}
				}
			else
				{
					obj_t BgL_hooksz00_792;

					obj_t BgL_hnamesz00_793;

					BgL_hooksz00_792 = BNIL;
					BgL_hnamesz00_793 = BNIL;
				BgL_zc3anonymousza33178ze3z83_794:
					if (NULLP(BgL_hooksz00_792))
						{	/* Bdb/spread-obj.scm 33 */
							return BgL_globalsz00_1;
						}
					else
						{	/* Bdb/spread-obj.scm 33 */
							bool_t BgL_testz00_2259;

							{	/* Bdb/spread-obj.scm 33 */
								obj_t BgL_fun3186z00_801;

								BgL_fun3186z00_801 = CAR(BgL_hooksz00_792);
								BgL_testz00_2259 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun3186z00_801) (BgL_fun3186z00_801,
										BEOA));
							}
							if (BgL_testz00_2259)
								{
									obj_t BgL_hnamesz00_2266;

									obj_t BgL_hooksz00_2264;

									BgL_hooksz00_2264 = CDR(BgL_hooksz00_792);
									BgL_hnamesz00_2266 = CDR(BgL_hnamesz00_793);
									BgL_hnamesz00_793 = BgL_hnamesz00_2266;
									BgL_hooksz00_792 = BgL_hooksz00_2264;
									goto BgL_zc3anonymousza33178ze3z83_794;
								}
							else
								{	/* Bdb/spread-obj.scm 33 */
									obj_t BgL_arg3184z00_800;

									BgL_arg3184z00_800 = CAR(BgL_hnamesz00_793);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string3370z00zzbdb_spreadzd2objzd2, BgL_arg3184z00_800);
								}
						}
				}
		}
	}



/* _bdb-spread-obj! */
	obj_t BGl__bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2116, obj_t BgL_globalsz00_2117)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 30 */
			return
				BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(BgL_globalsz00_2117);
		}
	}



/* spread-obj-fun! */
	obj_t BGl_spreadzd2objzd2funz12z12zzbdb_spreadzd2objzd2(obj_t BgL_varz00_2)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 38 */
			{	/* Bdb/spread-obj.scm 39 */
				obj_t BgL_arg3188z00_804;

				{
					BgL_variablez00_bglt BgL_auxz00_2271;

					BgL_auxz00_2271 = (BgL_variablez00_bglt) (BgL_varz00_2);
					BgL_arg3188z00_804 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_2271))->BgL_idz00);
				}
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3188z00_804);
			}
			{	/* Bdb/spread-obj.scm 40 */
				BgL_valuez00_bglt BgL_funz00_805;

				{
					BgL_variablez00_bglt BgL_auxz00_2275;

					BgL_auxz00_2275 = (BgL_variablez00_bglt) (BgL_varz00_2);
					BgL_funz00_805 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_2275))->BgL_valuez00);
				}
				{	/* Bdb/spread-obj.scm 40 */
					obj_t BgL_bodyz00_806;

					{
						BgL_sfunz00_bglt BgL_auxz00_2278;

						BgL_auxz00_2278 = (BgL_sfunz00_bglt) (BgL_funz00_805);
						BgL_bodyz00_806 =
							(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2278))->BgL_bodyz00);
					}
					{	/* Bdb/spread-obj.scm 41 */
						BgL_typez00_bglt BgL_typez00_807;

						{
							BgL_variablez00_bglt BgL_auxz00_2281;

							BgL_auxz00_2281 = (BgL_variablez00_bglt) (BgL_varz00_2);
							BgL_typez00_807 =
								(((BgL_variablez00_bglt) CREF(BgL_auxz00_2281))->BgL_typez00);
						}
						{	/* Bdb/spread-obj.scm 42 */
							obj_t BgL_argsz00_808;

							{
								BgL_sfunz00_bglt BgL_auxz00_2284;

								BgL_auxz00_2284 = (BgL_sfunz00_bglt) (BgL_funz00_805);
								BgL_argsz00_808 =
									(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2284))->BgL_argsz00);
							}
							{	/* Bdb/spread-obj.scm 43 */

								if (
									((obj_t) (BgL_typez00_807) == BGl_za2_za2z00zztype_cachez00))
									{
										BgL_typez00_bglt BgL_auxz00_2292;

										BgL_variablez00_bglt BgL_auxz00_2290;

										BgL_auxz00_2292 =
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
										BgL_auxz00_2290 = (BgL_variablez00_bglt) (BgL_varz00_2);
										((((BgL_variablez00_bglt) CREF(BgL_auxz00_2290))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_2292), BUNSPEC);
									}
								else
									{	/* Bdb/spread-obj.scm 44 */
										BFALSE;
									}
								{
									obj_t BgL_l3106z00_811;

									BgL_l3106z00_811 = BgL_argsz00_808;
								BgL_zc3anonymousza33190ze3z83_812:
									if (PAIRP(BgL_l3106z00_811))
										{	/* Bdb/spread-obj.scm 46 */
											{	/* Bdb/spread-obj.scm 47 */
												obj_t BgL_argsz00_814;

												BgL_argsz00_814 = CAR(BgL_l3106z00_811);
												{	/* Bdb/spread-obj.scm 47 */
													bool_t BgL_testz00_2298;

													{	/* Bdb/spread-obj.scm 47 */
														BgL_typez00_bglt BgL_arg3193z00_816;

														{
															BgL_variablez00_bglt BgL_auxz00_2299;

															BgL_auxz00_2299 =
																(BgL_variablez00_bglt) (BgL_argsz00_814);
															BgL_arg3193z00_816 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_2299))->BgL_typez00);
														}
														BgL_testz00_2298 =
															(
															(obj_t) (BgL_arg3193z00_816) ==
															BGl_za2_za2z00zztype_cachez00);
													}
													if (BgL_testz00_2298)
														{
															BgL_typez00_bglt BgL_auxz00_2306;

															BgL_variablez00_bglt BgL_auxz00_2304;

															BgL_auxz00_2306 =
																(BgL_typez00_bglt)
																(BGl_za2objza2z00zztype_cachez00);
															BgL_auxz00_2304 =
																(BgL_variablez00_bglt) (BgL_argsz00_814);
															((((BgL_variablez00_bglt) CREF(BgL_auxz00_2304))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_2306), BUNSPEC);
														}
													else
														{	/* Bdb/spread-obj.scm 47 */
															BFALSE;
														}
												}
											}
											{
												obj_t BgL_l3106z00_2309;

												BgL_l3106z00_2309 = CDR(BgL_l3106z00_811);
												BgL_l3106z00_811 = BgL_l3106z00_2309;
												goto BgL_zc3anonymousza33190ze3z83_812;
											}
										}
									else
										{	/* Bdb/spread-obj.scm 46 */
											((bool_t) 1);
										}
								}
								if (
									((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
										((long) 3)))
									{	/* Bdb/spread-obj.scm 51 */
										BgL_nodez00_bglt BgL_nodez00_1386;

										BgL_nodez00_1386 = (BgL_nodez00_bglt) (BgL_bodyz00_806);
										{	/* Bdb/spread-obj.scm 51 */
											obj_t BgL_method3118z00_1387;

											{	/* Bdb/spread-obj.scm 51 */
												BgL_objectz00_bglt BgL_objz00_1388;

												BgL_objz00_1388 =
													(BgL_objectz00_bglt) (BgL_nodez00_1386);
												{	/* Bdb/spread-obj.scm 51 */
													long BgL_objzd2classzd2numz00_1389;

													BgL_objzd2classzd2numz00_1389 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1388);
													{	/* Bdb/spread-obj.scm 51 */
														obj_t BgL_arg2422z00_1390;

														BgL_arg2422z00_1390 =
															PROCEDURE_REF
															(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
															(int) (((long) 1)));
														{	/* Bdb/spread-obj.scm 51 */
															obj_t BgL_arrayz00_1392;

															int BgL_offsetz00_1393;

															BgL_arrayz00_1392 = BgL_arg2422z00_1390;
															BgL_offsetz00_1393 =
																(int) (BgL_objzd2classzd2numz00_1389);
															{	/* Bdb/spread-obj.scm 51 */
																long BgL_offsetz00_1394;

																BgL_offsetz00_1394 =
																	((long) (BgL_offsetz00_1393) - OBJECT_TYPE);
																{	/* Bdb/spread-obj.scm 51 */
																	long BgL_modz00_1395;

																	{	/* Bdb/spread-obj.scm 51 */
																		int BgL_arg2424z00_1396;

																		BgL_arg2424z00_1396 = (int) (((long) 8));
																		{	/* Bdb/spread-obj.scm 51 */
																			long BgL_auxz00_2323;

																			BgL_auxz00_2323 =
																				(long) (BgL_arg2424z00_1396);
																			BgL_modz00_1395 =
																				(BgL_offsetz00_1394 / BgL_auxz00_2323);
																	}}
																	{	/* Bdb/spread-obj.scm 51 */
																		long BgL_restz00_1397;

																		{	/* Bdb/spread-obj.scm 51 */
																			int BgL_arg2423z00_1398;

																			BgL_arg2423z00_1398 = (int) (((long) 8));
																			{	/* Bdb/spread-obj.scm 51 */
																				long BgL_auxz00_2327;

																				BgL_auxz00_2327 =
																					(long) (BgL_arg2423z00_1398);
																				BgL_restz00_1397 =
																					(BgL_offsetz00_1394 %
																					BgL_auxz00_2327);
																		}}
																		{	/* Bdb/spread-obj.scm 51 */

																			BgL_method3118z00_1387 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1392,
																					(int) (BgL_modz00_1395)),
																				(int) (BgL_restz00_1397));
											}}}}}}}}
											PROCEDURE_ENTRY(BgL_method3118z00_1387)
												(BgL_method3118z00_1387, (obj_t) (BgL_nodez00_1386),
												BEOA);
									}}
								else
									{	/* Bdb/spread-obj.scm 50 */
										BFALSE;
									}
								return BGl_leavezd2functionzd2zztools_errorz00();
							}
						}
					}
				}
			}
		}
	}



/* spread-obj-node*! */
	obj_t BGl_spreadzd2objzd2nodeza2z12zb0zzbdb_spreadzd2objzd2(obj_t
		BgL_nodeza2za2_22)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 194 */
		BGl_spreadzd2objzd2nodeza2z12zb0zzbdb_spreadzd2objzd2:
			if (NULLP(BgL_nodeza2za2_22))
				{	/* Bdb/spread-obj.scm 195 */
					return CNST_TABLE_REF(((long) 1));
				}
			else
				{	/* Bdb/spread-obj.scm 195 */
					{	/* Bdb/spread-obj.scm 198 */
						obj_t BgL_arg3197z00_821;

						BgL_arg3197z00_821 = CAR(BgL_nodeza2za2_22);
						{	/* Bdb/spread-obj.scm 198 */
							BgL_nodez00_bglt BgL_nodez00_1414;

							BgL_nodez00_1414 = (BgL_nodez00_bglt) (BgL_arg3197z00_821);
							{	/* Bdb/spread-obj.scm 198 */
								obj_t BgL_method3118z00_1415;

								{	/* Bdb/spread-obj.scm 198 */
									BgL_objectz00_bglt BgL_objz00_1416;

									BgL_objz00_1416 = (BgL_objectz00_bglt) (BgL_nodez00_1414);
									{	/* Bdb/spread-obj.scm 198 */
										long BgL_objzd2classzd2numz00_1417;

										BgL_objzd2classzd2numz00_1417 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1416);
										{	/* Bdb/spread-obj.scm 198 */
											obj_t BgL_arg2422z00_1418;

											BgL_arg2422z00_1418 =
												PROCEDURE_REF
												(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
												(int) (((long) 1)));
											{	/* Bdb/spread-obj.scm 198 */
												obj_t BgL_arrayz00_1420;

												int BgL_offsetz00_1421;

												BgL_arrayz00_1420 = BgL_arg2422z00_1418;
												BgL_offsetz00_1421 =
													(int) (BgL_objzd2classzd2numz00_1417);
												{	/* Bdb/spread-obj.scm 198 */
													long BgL_offsetz00_1422;

													BgL_offsetz00_1422 =
														((long) (BgL_offsetz00_1421) - OBJECT_TYPE);
													{	/* Bdb/spread-obj.scm 198 */
														long BgL_modz00_1423;

														{	/* Bdb/spread-obj.scm 198 */
															int BgL_arg2424z00_1424;

															BgL_arg2424z00_1424 = (int) (((long) 8));
															{	/* Bdb/spread-obj.scm 198 */
																long BgL_auxz00_2351;

																BgL_auxz00_2351 = (long) (BgL_arg2424z00_1424);
																BgL_modz00_1423 =
																	(BgL_offsetz00_1422 / BgL_auxz00_2351);
														}}
														{	/* Bdb/spread-obj.scm 198 */
															long BgL_restz00_1425;

															{	/* Bdb/spread-obj.scm 198 */
																int BgL_arg2423z00_1426;

																BgL_arg2423z00_1426 = (int) (((long) 8));
																{	/* Bdb/spread-obj.scm 198 */
																	long BgL_auxz00_2355;

																	BgL_auxz00_2355 =
																		(long) (BgL_arg2423z00_1426);
																	BgL_restz00_1425 =
																		(BgL_offsetz00_1422 % BgL_auxz00_2355);
															}}
															{	/* Bdb/spread-obj.scm 198 */

																BgL_method3118z00_1415 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1420,
																		(int) (BgL_modz00_1423)),
																	(int) (BgL_restz00_1425));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3118z00_1415) (BgL_method3118z00_1415,
									(obj_t) (BgL_nodez00_1414), BEOA);
					}}}
					{
						obj_t BgL_nodeza2za2_2365;

						BgL_nodeza2za2_2365 = CDR(BgL_nodeza2za2_22);
						BgL_nodeza2za2_22 = BgL_nodeza2za2_2365;
						goto BGl_spreadzd2objzd2nodeza2z12zb0zzbdb_spreadzd2objzd2;
					}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbdb_spreadzd2objzd2()
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 15 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_spreadzd2objzd2nodez12zd2def3117zd2envz12zzbdb_spreadzd2objzd2);
		}
	}



/* spread-obj-node! */
	obj_t BGl_spreadzd2objzd2nodez12z12zzbdb_spreadzd2objzd2(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 57 */
			{	/* Bdb/spread-obj.scm 57 */
				obj_t BgL_method3118z00_1441;

				{	/* Bdb/spread-obj.scm 57 */
					BgL_objectz00_bglt BgL_objz00_1442;

					BgL_objz00_1442 = (BgL_objectz00_bglt) (BgL_nodez00_3);
					{	/* Bdb/spread-obj.scm 57 */
						long BgL_objzd2classzd2numz00_1443;

						BgL_objzd2classzd2numz00_1443 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1442);
						{	/* Bdb/spread-obj.scm 57 */
							obj_t BgL_arg2422z00_1444;

							BgL_arg2422z00_1444 =
								PROCEDURE_REF
								(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
								(int) (((long) 1)));
							{	/* Bdb/spread-obj.scm 57 */
								obj_t BgL_arrayz00_1446;

								int BgL_offsetz00_1447;

								BgL_arrayz00_1446 = BgL_arg2422z00_1444;
								BgL_offsetz00_1447 = (int) (BgL_objzd2classzd2numz00_1443);
								{	/* Bdb/spread-obj.scm 57 */
									long BgL_offsetz00_1448;

									BgL_offsetz00_1448 =
										((long) (BgL_offsetz00_1447) - OBJECT_TYPE);
									{	/* Bdb/spread-obj.scm 57 */
										long BgL_modz00_1449;

										{	/* Bdb/spread-obj.scm 57 */
											int BgL_arg2424z00_1450;

											BgL_arg2424z00_1450 = (int) (((long) 8));
											{	/* Bdb/spread-obj.scm 57 */
												long BgL_auxz00_2376;

												BgL_auxz00_2376 = (long) (BgL_arg2424z00_1450);
												BgL_modz00_1449 =
													(BgL_offsetz00_1448 / BgL_auxz00_2376);
										}}
										{	/* Bdb/spread-obj.scm 57 */
											long BgL_restz00_1451;

											{	/* Bdb/spread-obj.scm 57 */
												int BgL_arg2423z00_1452;

												BgL_arg2423z00_1452 = (int) (((long) 8));
												{	/* Bdb/spread-obj.scm 57 */
													long BgL_auxz00_2380;

													BgL_auxz00_2380 = (long) (BgL_arg2423z00_1452);
													BgL_restz00_1451 =
														(BgL_offsetz00_1448 % BgL_auxz00_2380);
											}}
											{	/* Bdb/spread-obj.scm 57 */

												BgL_method3118z00_1441 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1446,
														(int) (BgL_modz00_1449)), (int) (BgL_restz00_1451));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3118z00_1441) (BgL_method3118z00_1441,
					(obj_t) (BgL_nodez00_3), BEOA);
			}
		}
	}



/* _spread-obj-node! */
	obj_t BGl__spreadzd2objzd2nodez12z12zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2118, obj_t BgL_nodez00_2119)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 57 */
			return
				BGl_spreadzd2objzd2nodez12z12zzbdb_spreadzd2objzd2(
				(BgL_nodez00_bglt) (BgL_nodez00_2119));
		}
	}



/* _spread-obj-node!-def3117 */
	obj_t BGl__spreadzd2objzd2nodez12zd2def3117zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2120, obj_t BgL_nodez00_2121)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 15 */
			return (obj_t) ((BgL_nodez00_bglt) (BgL_nodez00_2121));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbdb_spreadzd2objzd2()
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_sequencez00zzast_nodez00, BGl_proc3371z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_appz00zzast_nodez00, BGl_proc3372z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3373z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_funcallz00zzast_nodez00, BGl_proc3374z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_externz00zzast_nodez00, BGl_proc3375z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_castz00zzast_nodez00, BGl_proc3376z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_setqz00zzast_nodez00, BGl_proc3377z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_conditionalz00zzast_nodez00, BGl_proc3378z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_failz00zzast_nodez00, BGl_proc3379z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_selectz00zzast_nodez00, BGl_proc3380z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3381z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3382z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3383z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3384z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3385z00zzbdb_spreadzd2objzd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3386z00zzbdb_spreadzd2objzd2);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3387z00zzbdb_spreadzd2objzd2);
		}
	}



/* spread-obj-node!-box3152 */
	obj_t BGl_spreadzd2objzd2nodez12zd2box3152zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2139, obj_t BgL_nodez00_2140)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 186 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1337;

				BgL_nodez00_1337 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2140);
				{	/* Bdb/spread-obj.scm 188 */
					BgL_varz00_bglt BgL_arg3305z00_1341;

					BgL_arg3305z00_1341 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1337))->BgL_varz00);
					{	/* Bdb/spread-obj.scm 188 */
						BgL_nodez00_bglt BgL_nodez00_2063;

						BgL_nodez00_2063 = (BgL_nodez00_bglt) (BgL_arg3305z00_1341);
						{	/* Bdb/spread-obj.scm 188 */
							obj_t BgL_method3118z00_2064;

							{	/* Bdb/spread-obj.scm 188 */
								BgL_objectz00_bglt BgL_objz00_2065;

								BgL_objz00_2065 = (BgL_objectz00_bglt) (BgL_nodez00_2063);
								{	/* Bdb/spread-obj.scm 188 */
									long BgL_objzd2classzd2numz00_2066;

									BgL_objzd2classzd2numz00_2066 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2065);
									{	/* Bdb/spread-obj.scm 188 */
										obj_t BgL_arg2422z00_2067;

										BgL_arg2422z00_2067 =
											PROCEDURE_REF
											(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
											(int) (((long) 1)));
										{	/* Bdb/spread-obj.scm 188 */
											obj_t BgL_arrayz00_2069;

											int BgL_offsetz00_2070;

											BgL_arrayz00_2069 = BgL_arg2422z00_2067;
											BgL_offsetz00_2070 =
												(int) (BgL_objzd2classzd2numz00_2066);
											{	/* Bdb/spread-obj.scm 188 */
												long BgL_offsetz00_2071;

												BgL_offsetz00_2071 =
													((long) (BgL_offsetz00_2070) - OBJECT_TYPE);
												{	/* Bdb/spread-obj.scm 188 */
													long BgL_modz00_2072;

													{	/* Bdb/spread-obj.scm 188 */
														int BgL_arg2424z00_2073;

														BgL_arg2424z00_2073 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 188 */
															long BgL_auxz00_2421;

															BgL_auxz00_2421 = (long) (BgL_arg2424z00_2073);
															BgL_modz00_2072 =
																(BgL_offsetz00_2071 / BgL_auxz00_2421);
													}}
													{	/* Bdb/spread-obj.scm 188 */
														long BgL_restz00_2074;

														{	/* Bdb/spread-obj.scm 188 */
															int BgL_arg2423z00_2075;

															BgL_arg2423z00_2075 = (int) (((long) 8));
															{	/* Bdb/spread-obj.scm 188 */
																long BgL_auxz00_2425;

																BgL_auxz00_2425 = (long) (BgL_arg2423z00_2075);
																BgL_restz00_2074 =
																	(BgL_offsetz00_2071 % BgL_auxz00_2425);
														}}
														{	/* Bdb/spread-obj.scm 188 */

															BgL_method3118z00_2064 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2069,
																	(int) (BgL_modz00_2072)),
																(int) (BgL_restz00_2074));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3118z00_2064) (BgL_method3118z00_2064,
								(obj_t) (BgL_nodez00_2063), BEOA);
				}}}
				{	/* Bdb/spread-obj.scm 189 */
					BgL_nodez00_bglt BgL_arg3306z00_1342;

					BgL_arg3306z00_1342 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1337))->BgL_valuez00);
					{	/* Bdb/spread-obj.scm 189 */
						obj_t BgL_method3118z00_2091;

						{	/* Bdb/spread-obj.scm 189 */
							BgL_objectz00_bglt BgL_objz00_2092;

							BgL_objz00_2092 = (BgL_objectz00_bglt) (BgL_arg3306z00_1342);
							{	/* Bdb/spread-obj.scm 189 */
								long BgL_objzd2classzd2numz00_2093;

								BgL_objzd2classzd2numz00_2093 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2092);
								{	/* Bdb/spread-obj.scm 189 */
									obj_t BgL_arg2422z00_2094;

									BgL_arg2422z00_2094 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 189 */
										obj_t BgL_arrayz00_2096;

										int BgL_offsetz00_2097;

										BgL_arrayz00_2096 = BgL_arg2422z00_2094;
										BgL_offsetz00_2097 = (int) (BgL_objzd2classzd2numz00_2093);
										{	/* Bdb/spread-obj.scm 189 */
											long BgL_offsetz00_2098;

											BgL_offsetz00_2098 =
												((long) (BgL_offsetz00_2097) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 189 */
												long BgL_modz00_2099;

												{	/* Bdb/spread-obj.scm 189 */
													int BgL_arg2424z00_2100;

													BgL_arg2424z00_2100 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 189 */
														long BgL_auxz00_2444;

														BgL_auxz00_2444 = (long) (BgL_arg2424z00_2100);
														BgL_modz00_2099 =
															(BgL_offsetz00_2098 / BgL_auxz00_2444);
												}}
												{	/* Bdb/spread-obj.scm 189 */
													long BgL_restz00_2101;

													{	/* Bdb/spread-obj.scm 189 */
														int BgL_arg2423z00_2102;

														BgL_arg2423z00_2102 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 189 */
															long BgL_auxz00_2448;

															BgL_auxz00_2448 = (long) (BgL_arg2423z00_2102);
															BgL_restz00_2101 =
																(BgL_offsetz00_2098 % BgL_auxz00_2448);
													}}
													{	/* Bdb/spread-obj.scm 189 */

														BgL_method3118z00_2091 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2096,
																(int) (BgL_modz00_2099)),
															(int) (BgL_restz00_2101));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_2091) (BgL_method3118z00_2091,
							(obj_t) (BgL_arg3306z00_1342), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-box3150 */
	obj_t BGl_spreadzd2objzd2nodez12zd2box3150zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2141, obj_t BgL_nodez00_2142)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 180 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1331;

				BgL_nodez00_1331 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2142);
				{	/* Bdb/spread-obj.scm 181 */
					BgL_varz00_bglt BgL_arg3303z00_2034;

					BgL_arg3303z00_2034 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1331))->BgL_varz00);
					{	/* Bdb/spread-obj.scm 181 */
						BgL_nodez00_bglt BgL_nodez00_2036;

						BgL_nodez00_2036 = (BgL_nodez00_bglt) (BgL_arg3303z00_2034);
						{	/* Bdb/spread-obj.scm 181 */
							obj_t BgL_method3118z00_2037;

							{	/* Bdb/spread-obj.scm 181 */
								BgL_objectz00_bglt BgL_objz00_2038;

								BgL_objz00_2038 = (BgL_objectz00_bglt) (BgL_nodez00_2036);
								{	/* Bdb/spread-obj.scm 181 */
									long BgL_objzd2classzd2numz00_2039;

									BgL_objzd2classzd2numz00_2039 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2038);
									{	/* Bdb/spread-obj.scm 181 */
										obj_t BgL_arg2422z00_2040;

										BgL_arg2422z00_2040 =
											PROCEDURE_REF
											(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
											(int) (((long) 1)));
										{	/* Bdb/spread-obj.scm 181 */
											obj_t BgL_arrayz00_2042;

											int BgL_offsetz00_2043;

											BgL_arrayz00_2042 = BgL_arg2422z00_2040;
											BgL_offsetz00_2043 =
												(int) (BgL_objzd2classzd2numz00_2039);
											{	/* Bdb/spread-obj.scm 181 */
												long BgL_offsetz00_2044;

												BgL_offsetz00_2044 =
													((long) (BgL_offsetz00_2043) - OBJECT_TYPE);
												{	/* Bdb/spread-obj.scm 181 */
													long BgL_modz00_2045;

													{	/* Bdb/spread-obj.scm 181 */
														int BgL_arg2424z00_2046;

														BgL_arg2424z00_2046 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 181 */
															long BgL_auxz00_2469;

															BgL_auxz00_2469 = (long) (BgL_arg2424z00_2046);
															BgL_modz00_2045 =
																(BgL_offsetz00_2044 / BgL_auxz00_2469);
													}}
													{	/* Bdb/spread-obj.scm 181 */
														long BgL_restz00_2047;

														{	/* Bdb/spread-obj.scm 181 */
															int BgL_arg2423z00_2048;

															BgL_arg2423z00_2048 = (int) (((long) 8));
															{	/* Bdb/spread-obj.scm 181 */
																long BgL_auxz00_2473;

																BgL_auxz00_2473 = (long) (BgL_arg2423z00_2048);
																BgL_restz00_2047 =
																	(BgL_offsetz00_2044 % BgL_auxz00_2473);
														}}
														{	/* Bdb/spread-obj.scm 181 */

															BgL_method3118z00_2037 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2042,
																	(int) (BgL_modz00_2045)),
																(int) (BgL_restz00_2047));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3118z00_2037) (BgL_method3118z00_2037,
								(obj_t) (BgL_nodez00_2036), BEOA);
						}
					}
				}
			}
		}
	}



/* spread-obj-node!-mak3148 */
	obj_t BGl_spreadzd2objzd2nodez12zd2mak3148zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2143, obj_t BgL_nodez00_2144)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 174 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1325;

				BgL_nodez00_1325 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2144);
				{	/* Bdb/spread-obj.scm 175 */
					BgL_nodez00_bglt BgL_arg3301z00_2006;

					BgL_arg3301z00_2006 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1325))->BgL_valuez00);
					{	/* Bdb/spread-obj.scm 175 */
						obj_t BgL_method3118z00_2009;

						{	/* Bdb/spread-obj.scm 175 */
							BgL_objectz00_bglt BgL_objz00_2010;

							BgL_objz00_2010 = (BgL_objectz00_bglt) (BgL_arg3301z00_2006);
							{	/* Bdb/spread-obj.scm 175 */
								long BgL_objzd2classzd2numz00_2011;

								BgL_objzd2classzd2numz00_2011 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2010);
								{	/* Bdb/spread-obj.scm 175 */
									obj_t BgL_arg2422z00_2012;

									BgL_arg2422z00_2012 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 175 */
										obj_t BgL_arrayz00_2014;

										int BgL_offsetz00_2015;

										BgL_arrayz00_2014 = BgL_arg2422z00_2012;
										BgL_offsetz00_2015 = (int) (BgL_objzd2classzd2numz00_2011);
										{	/* Bdb/spread-obj.scm 175 */
											long BgL_offsetz00_2016;

											BgL_offsetz00_2016 =
												((long) (BgL_offsetz00_2015) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 175 */
												long BgL_modz00_2017;

												{	/* Bdb/spread-obj.scm 175 */
													int BgL_arg2424z00_2018;

													BgL_arg2424z00_2018 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 175 */
														long BgL_auxz00_2493;

														BgL_auxz00_2493 = (long) (BgL_arg2424z00_2018);
														BgL_modz00_2017 =
															(BgL_offsetz00_2016 / BgL_auxz00_2493);
												}}
												{	/* Bdb/spread-obj.scm 175 */
													long BgL_restz00_2019;

													{	/* Bdb/spread-obj.scm 175 */
														int BgL_arg2423z00_2020;

														BgL_arg2423z00_2020 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 175 */
															long BgL_auxz00_2497;

															BgL_auxz00_2497 = (long) (BgL_arg2423z00_2020);
															BgL_restz00_2019 =
																(BgL_offsetz00_2016 % BgL_auxz00_2497);
													}}
													{	/* Bdb/spread-obj.scm 175 */

														BgL_method3118z00_2009 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2014,
																(int) (BgL_modz00_2017)),
															(int) (BgL_restz00_2019));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_2009) (BgL_method3118z00_2009,
							(obj_t) (BgL_arg3301z00_2006), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-jum3146 */
	obj_t BGl_spreadzd2objzd2nodez12zd2jum3146zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2145, obj_t BgL_nodez00_2146)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 165 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1317;

				{	/* Bdb/spread-obj.scm 166 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_2508;

					BgL_nodez00_1317 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2146);
					{	/* Bdb/spread-obj.scm 167 */
						BgL_nodez00_bglt BgL_arg3298z00_1321;

						BgL_arg3298z00_1321 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1317))->
							BgL_exitz00);
						{	/* Bdb/spread-obj.scm 167 */
							obj_t BgL_method3118z00_1954;

							{	/* Bdb/spread-obj.scm 167 */
								BgL_objectz00_bglt BgL_objz00_1955;

								BgL_objz00_1955 = (BgL_objectz00_bglt) (BgL_arg3298z00_1321);
								{	/* Bdb/spread-obj.scm 167 */
									long BgL_objzd2classzd2numz00_1956;

									BgL_objzd2classzd2numz00_1956 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1955);
									{	/* Bdb/spread-obj.scm 167 */
										obj_t BgL_arg2422z00_1957;

										BgL_arg2422z00_1957 =
											PROCEDURE_REF
											(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
											(int) (((long) 1)));
										{	/* Bdb/spread-obj.scm 167 */
											obj_t BgL_arrayz00_1959;

											int BgL_offsetz00_1960;

											BgL_arrayz00_1959 = BgL_arg2422z00_1957;
											BgL_offsetz00_1960 =
												(int) (BgL_objzd2classzd2numz00_1956);
											{	/* Bdb/spread-obj.scm 167 */
												long BgL_offsetz00_1961;

												BgL_offsetz00_1961 =
													((long) (BgL_offsetz00_1960) - OBJECT_TYPE);
												{	/* Bdb/spread-obj.scm 167 */
													long BgL_modz00_1962;

													{	/* Bdb/spread-obj.scm 167 */
														int BgL_arg2424z00_1963;

														BgL_arg2424z00_1963 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 167 */
															long BgL_auxz00_2518;

															BgL_auxz00_2518 = (long) (BgL_arg2424z00_1963);
															BgL_modz00_1962 =
																(BgL_offsetz00_1961 / BgL_auxz00_2518);
													}}
													{	/* Bdb/spread-obj.scm 167 */
														long BgL_restz00_1964;

														{	/* Bdb/spread-obj.scm 167 */
															int BgL_arg2423z00_1965;

															BgL_arg2423z00_1965 = (int) (((long) 8));
															{	/* Bdb/spread-obj.scm 167 */
																long BgL_auxz00_2522;

																BgL_auxz00_2522 = (long) (BgL_arg2423z00_1965);
																BgL_restz00_1964 =
																	(BgL_offsetz00_1961 % BgL_auxz00_2522);
														}}
														{	/* Bdb/spread-obj.scm 167 */

															BgL_method3118z00_1954 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1959,
																	(int) (BgL_modz00_1962)),
																(int) (BgL_restz00_1964));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3118z00_1954) (BgL_method3118z00_1954,
								(obj_t) (BgL_arg3298z00_1321), BEOA);
					}}
					{	/* Bdb/spread-obj.scm 168 */
						BgL_nodez00_bglt BgL_arg3299z00_1322;

						BgL_arg3299z00_1322 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1317))->
							BgL_valuez00);
						{	/* Bdb/spread-obj.scm 168 */
							obj_t BgL_method3118z00_1981;

							{	/* Bdb/spread-obj.scm 168 */
								BgL_objectz00_bglt BgL_objz00_1982;

								BgL_objz00_1982 = (BgL_objectz00_bglt) (BgL_arg3299z00_1322);
								{	/* Bdb/spread-obj.scm 168 */
									long BgL_objzd2classzd2numz00_1983;

									BgL_objzd2classzd2numz00_1983 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1982);
									{	/* Bdb/spread-obj.scm 168 */
										obj_t BgL_arg2422z00_1984;

										BgL_arg2422z00_1984 =
											PROCEDURE_REF
											(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
											(int) (((long) 1)));
										{	/* Bdb/spread-obj.scm 168 */
											obj_t BgL_arrayz00_1986;

											int BgL_offsetz00_1987;

											BgL_arrayz00_1986 = BgL_arg2422z00_1984;
											BgL_offsetz00_1987 =
												(int) (BgL_objzd2classzd2numz00_1983);
											{	/* Bdb/spread-obj.scm 168 */
												long BgL_offsetz00_1988;

												BgL_offsetz00_1988 =
													((long) (BgL_offsetz00_1987) - OBJECT_TYPE);
												{	/* Bdb/spread-obj.scm 168 */
													long BgL_modz00_1989;

													{	/* Bdb/spread-obj.scm 168 */
														int BgL_arg2424z00_1990;

														BgL_arg2424z00_1990 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 168 */
															long BgL_auxz00_2541;

															BgL_auxz00_2541 = (long) (BgL_arg2424z00_1990);
															BgL_modz00_1989 =
																(BgL_offsetz00_1988 / BgL_auxz00_2541);
													}}
													{	/* Bdb/spread-obj.scm 168 */
														long BgL_restz00_1991;

														{	/* Bdb/spread-obj.scm 168 */
															int BgL_arg2423z00_1992;

															BgL_arg2423z00_1992 = (int) (((long) 8));
															{	/* Bdb/spread-obj.scm 168 */
																long BgL_auxz00_2545;

																BgL_auxz00_2545 = (long) (BgL_arg2423z00_1992);
																BgL_restz00_1991 =
																	(BgL_offsetz00_1988 % BgL_auxz00_2545);
														}}
														{	/* Bdb/spread-obj.scm 168 */

															BgL_method3118z00_1981 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1986,
																	(int) (BgL_modz00_1989)),
																(int) (BgL_restz00_1991));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3118z00_1981) (BgL_method3118z00_1981,
								(obj_t) (BgL_arg3299z00_1322), BEOA);
					}}
					BgL_auxz00_2508 = BgL_nodez00_1317;
					return (obj_t) (BgL_auxz00_2508);
				}
			}
		}
	}



/* spread-obj-node!-set3144 */
	obj_t BGl_spreadzd2objzd2nodez12zd2set3144zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2147, obj_t BgL_nodez00_2148)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 159 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1311;

				BgL_nodez00_1311 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2148);
				{	/* Bdb/spread-obj.scm 160 */
					BgL_nodez00_bglt BgL_arg3296z00_1924;

					BgL_arg3296z00_1924 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1311))->BgL_bodyz00);
					{	/* Bdb/spread-obj.scm 160 */
						obj_t BgL_method3118z00_1927;

						{	/* Bdb/spread-obj.scm 160 */
							BgL_objectz00_bglt BgL_objz00_1928;

							BgL_objz00_1928 = (BgL_objectz00_bglt) (BgL_arg3296z00_1924);
							{	/* Bdb/spread-obj.scm 160 */
								long BgL_objzd2classzd2numz00_1929;

								BgL_objzd2classzd2numz00_1929 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1928);
								{	/* Bdb/spread-obj.scm 160 */
									obj_t BgL_arg2422z00_1930;

									BgL_arg2422z00_1930 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 160 */
										obj_t BgL_arrayz00_1932;

										int BgL_offsetz00_1933;

										BgL_arrayz00_1932 = BgL_arg2422z00_1930;
										BgL_offsetz00_1933 = (int) (BgL_objzd2classzd2numz00_1929);
										{	/* Bdb/spread-obj.scm 160 */
											long BgL_offsetz00_1934;

											BgL_offsetz00_1934 =
												((long) (BgL_offsetz00_1933) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 160 */
												long BgL_modz00_1935;

												{	/* Bdb/spread-obj.scm 160 */
													int BgL_arg2424z00_1936;

													BgL_arg2424z00_1936 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 160 */
														long BgL_auxz00_2566;

														BgL_auxz00_2566 = (long) (BgL_arg2424z00_1936);
														BgL_modz00_1935 =
															(BgL_offsetz00_1934 / BgL_auxz00_2566);
												}}
												{	/* Bdb/spread-obj.scm 160 */
													long BgL_restz00_1937;

													{	/* Bdb/spread-obj.scm 160 */
														int BgL_arg2423z00_1938;

														BgL_arg2423z00_1938 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 160 */
															long BgL_auxz00_2570;

															BgL_auxz00_2570 = (long) (BgL_arg2423z00_1938);
															BgL_restz00_1937 =
																(BgL_offsetz00_1934 % BgL_auxz00_2570);
													}}
													{	/* Bdb/spread-obj.scm 160 */

														BgL_method3118z00_1927 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1932,
																(int) (BgL_modz00_1935)),
															(int) (BgL_restz00_1937));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_1927) (BgL_method3118z00_1927,
							(obj_t) (BgL_arg3296z00_1924), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-let3142 */
	obj_t BGl_spreadzd2objzd2nodez12zd2let3142zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2149, obj_t BgL_nodez00_2150)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 145 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1291;

				BgL_nodez00_1291 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2150);
				{	/* Bdb/spread-obj.scm 147 */
					obj_t BgL_g3116z00_1295;

					BgL_g3116z00_1295 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1291))->BgL_bindingsz00);
					{
						obj_t BgL_l3114z00_1297;

						BgL_l3114z00_1297 = BgL_g3116z00_1295;
					BgL_zc3anonymousza33287ze3z83_1298:
						if (PAIRP(BgL_l3114z00_1297))
							{	/* Bdb/spread-obj.scm 147 */
								{	/* Bdb/spread-obj.scm 152 */
									obj_t BgL_bindingz00_1300;

									BgL_bindingz00_1300 = CAR(BgL_l3114z00_1297);
									{	/* Bdb/spread-obj.scm 148 */
										obj_t BgL_variablez00_1301;

										BgL_variablez00_1301 = CAR(BgL_bindingz00_1300);
										{	/* Bdb/spread-obj.scm 149 */
											bool_t BgL_testz00_2586;

											{	/* Bdb/spread-obj.scm 149 */
												bool_t BgL_testz00_2587;

												{	/* Bdb/spread-obj.scm 149 */
													BgL_typez00_bglt BgL_arg3291z00_1304;

													{
														BgL_variablez00_bglt BgL_auxz00_2588;

														BgL_auxz00_2588 =
															(BgL_variablez00_bglt) (BgL_variablez00_1301);
														BgL_arg3291z00_1304 =
															(((BgL_variablez00_bglt) CREF(BgL_auxz00_2588))->
															BgL_typez00);
													}
													BgL_testz00_2587 =
														(
														(obj_t) (BgL_arg3291z00_1304) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_2587)
													{
														BgL_localz00_bglt BgL_auxz00_2593;

														BgL_auxz00_2593 =
															(BgL_localz00_bglt) (BgL_variablez00_1301);
														BgL_testz00_2586 =
															(((BgL_localz00_bglt) CREF(BgL_auxz00_2593))->
															BgL_userzf3zf3);
													}
												else
													{	/* Bdb/spread-obj.scm 149 */
														BgL_testz00_2586 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_2586)
												{
													BgL_typez00_bglt BgL_auxz00_2598;

													BgL_variablez00_bglt BgL_auxz00_2596;

													BgL_auxz00_2598 =
														(BgL_typez00_bglt)
														(BGl_za2objza2z00zztype_cachez00);
													BgL_auxz00_2596 =
														(BgL_variablez00_bglt) (BgL_variablez00_1301);
													((((BgL_variablez00_bglt) CREF(BgL_auxz00_2596))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_2598), BUNSPEC);
												}
											else
												{	/* Bdb/spread-obj.scm 149 */
													BFALSE;
												}
										}
									}
									{	/* Bdb/spread-obj.scm 152 */
										obj_t BgL_arg3292z00_1305;

										BgL_arg3292z00_1305 = CDR(BgL_bindingz00_1300);
										{	/* Bdb/spread-obj.scm 152 */
											BgL_nodez00_bglt BgL_nodez00_1870;

											BgL_nodez00_1870 =
												(BgL_nodez00_bglt) (BgL_arg3292z00_1305);
											{	/* Bdb/spread-obj.scm 152 */
												obj_t BgL_method3118z00_1871;

												{	/* Bdb/spread-obj.scm 152 */
													BgL_objectz00_bglt BgL_objz00_1872;

													BgL_objz00_1872 =
														(BgL_objectz00_bglt) (BgL_nodez00_1870);
													{	/* Bdb/spread-obj.scm 152 */
														long BgL_objzd2classzd2numz00_1873;

														BgL_objzd2classzd2numz00_1873 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1872);
														{	/* Bdb/spread-obj.scm 152 */
															obj_t BgL_arg2422z00_1874;

															BgL_arg2422z00_1874 =
																PROCEDURE_REF
																(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
																(int) (((long) 1)));
															{	/* Bdb/spread-obj.scm 152 */
																obj_t BgL_arrayz00_1876;

																int BgL_offsetz00_1877;

																BgL_arrayz00_1876 = BgL_arg2422z00_1874;
																BgL_offsetz00_1877 =
																	(int) (BgL_objzd2classzd2numz00_1873);
																{	/* Bdb/spread-obj.scm 152 */
																	long BgL_offsetz00_1878;

																	BgL_offsetz00_1878 =
																		((long) (BgL_offsetz00_1877) - OBJECT_TYPE);
																	{	/* Bdb/spread-obj.scm 152 */
																		long BgL_modz00_1879;

																		{	/* Bdb/spread-obj.scm 152 */
																			int BgL_arg2424z00_1880;

																			BgL_arg2424z00_1880 = (int) (((long) 8));
																			{	/* Bdb/spread-obj.scm 152 */
																				long BgL_auxz00_2611;

																				BgL_auxz00_2611 =
																					(long) (BgL_arg2424z00_1880);
																				BgL_modz00_1879 =
																					(BgL_offsetz00_1878 /
																					BgL_auxz00_2611);
																		}}
																		{	/* Bdb/spread-obj.scm 152 */
																			long BgL_restz00_1881;

																			{	/* Bdb/spread-obj.scm 152 */
																				int BgL_arg2423z00_1882;

																				BgL_arg2423z00_1882 =
																					(int) (((long) 8));
																				{	/* Bdb/spread-obj.scm 152 */
																					long BgL_auxz00_2615;

																					BgL_auxz00_2615 =
																						(long) (BgL_arg2423z00_1882);
																					BgL_restz00_1881 =
																						(BgL_offsetz00_1878 %
																						BgL_auxz00_2615);
																			}}
																			{	/* Bdb/spread-obj.scm 152 */

																				BgL_method3118z00_1871 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1876,
																						(int) (BgL_modz00_1879)),
																					(int) (BgL_restz00_1881));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3118z00_1871)
													(BgL_method3118z00_1871, (obj_t) (BgL_nodez00_1870),
													BEOA);
								}}}}
								{
									obj_t BgL_l3114z00_2625;

									BgL_l3114z00_2625 = CDR(BgL_l3114z00_1297);
									BgL_l3114z00_1297 = BgL_l3114z00_2625;
									goto BgL_zc3anonymousza33287ze3z83_1298;
								}
							}
						else
							{	/* Bdb/spread-obj.scm 147 */
								((bool_t) 1);
							}
					}
				}
				{	/* Bdb/spread-obj.scm 154 */
					BgL_nodez00_bglt BgL_arg3294z00_1308;

					BgL_arg3294z00_1308 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1291))->BgL_bodyz00);
					{	/* Bdb/spread-obj.scm 154 */
						obj_t BgL_method3118z00_1899;

						{	/* Bdb/spread-obj.scm 154 */
							BgL_objectz00_bglt BgL_objz00_1900;

							BgL_objz00_1900 = (BgL_objectz00_bglt) (BgL_arg3294z00_1308);
							{	/* Bdb/spread-obj.scm 154 */
								long BgL_objzd2classzd2numz00_1901;

								BgL_objzd2classzd2numz00_1901 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1900);
								{	/* Bdb/spread-obj.scm 154 */
									obj_t BgL_arg2422z00_1902;

									BgL_arg2422z00_1902 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 154 */
										obj_t BgL_arrayz00_1904;

										int BgL_offsetz00_1905;

										BgL_arrayz00_1904 = BgL_arg2422z00_1902;
										BgL_offsetz00_1905 = (int) (BgL_objzd2classzd2numz00_1901);
										{	/* Bdb/spread-obj.scm 154 */
											long BgL_offsetz00_1906;

											BgL_offsetz00_1906 =
												((long) (BgL_offsetz00_1905) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 154 */
												long BgL_modz00_1907;

												{	/* Bdb/spread-obj.scm 154 */
													int BgL_arg2424z00_1908;

													BgL_arg2424z00_1908 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 154 */
														long BgL_auxz00_2636;

														BgL_auxz00_2636 = (long) (BgL_arg2424z00_1908);
														BgL_modz00_1907 =
															(BgL_offsetz00_1906 / BgL_auxz00_2636);
												}}
												{	/* Bdb/spread-obj.scm 154 */
													long BgL_restz00_1909;

													{	/* Bdb/spread-obj.scm 154 */
														int BgL_arg2423z00_1910;

														BgL_arg2423z00_1910 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 154 */
															long BgL_auxz00_2640;

															BgL_auxz00_2640 = (long) (BgL_arg2423z00_1910);
															BgL_restz00_1909 =
																(BgL_offsetz00_1906 % BgL_auxz00_2640);
													}}
													{	/* Bdb/spread-obj.scm 154 */

														BgL_method3118z00_1899 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1904,
																(int) (BgL_modz00_1907)),
															(int) (BgL_restz00_1909));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_1899) (BgL_method3118z00_1899,
							(obj_t) (BgL_arg3294z00_1308), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-let3140 */
	obj_t BGl_spreadzd2objzd2nodez12zd2let3140zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2151, obj_t BgL_nodez00_2152)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 137 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1276;

				BgL_nodez00_1276 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2152);
				{	/* Bdb/spread-obj.scm 139 */
					obj_t BgL_g3113z00_1280;

					BgL_g3113z00_1280 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1276))->BgL_localsz00);
					{
						obj_t BgL_l3111z00_1282;

						BgL_l3111z00_1282 = BgL_g3113z00_1280;
					BgL_zc3anonymousza33281ze3z83_1283:
						if (PAIRP(BgL_l3111z00_1282))
							{	/* Bdb/spread-obj.scm 139 */
								BGl_spreadzd2objzd2funz12z12zzbdb_spreadzd2objzd2(CAR
									(BgL_l3111z00_1282));
								{
									obj_t BgL_l3111z00_2656;

									BgL_l3111z00_2656 = CDR(BgL_l3111z00_1282);
									BgL_l3111z00_1282 = BgL_l3111z00_2656;
									goto BgL_zc3anonymousza33281ze3z83_1283;
								}
							}
						else
							{	/* Bdb/spread-obj.scm 139 */
								((bool_t) 1);
							}
					}
				}
				{	/* Bdb/spread-obj.scm 140 */
					BgL_nodez00_bglt BgL_arg3285z00_1288;

					BgL_arg3285z00_1288 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1276))->BgL_bodyz00);
					{	/* Bdb/spread-obj.scm 140 */
						obj_t BgL_method3118z00_1836;

						{	/* Bdb/spread-obj.scm 140 */
							BgL_objectz00_bglt BgL_objz00_1837;

							BgL_objz00_1837 = (BgL_objectz00_bglt) (BgL_arg3285z00_1288);
							{	/* Bdb/spread-obj.scm 140 */
								long BgL_objzd2classzd2numz00_1838;

								BgL_objzd2classzd2numz00_1838 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1837);
								{	/* Bdb/spread-obj.scm 140 */
									obj_t BgL_arg2422z00_1839;

									BgL_arg2422z00_1839 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 140 */
										obj_t BgL_arrayz00_1841;

										int BgL_offsetz00_1842;

										BgL_arrayz00_1841 = BgL_arg2422z00_1839;
										BgL_offsetz00_1842 = (int) (BgL_objzd2classzd2numz00_1838);
										{	/* Bdb/spread-obj.scm 140 */
											long BgL_offsetz00_1843;

											BgL_offsetz00_1843 =
												((long) (BgL_offsetz00_1842) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 140 */
												long BgL_modz00_1844;

												{	/* Bdb/spread-obj.scm 140 */
													int BgL_arg2424z00_1845;

													BgL_arg2424z00_1845 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 140 */
														long BgL_auxz00_2667;

														BgL_auxz00_2667 = (long) (BgL_arg2424z00_1845);
														BgL_modz00_1844 =
															(BgL_offsetz00_1843 / BgL_auxz00_2667);
												}}
												{	/* Bdb/spread-obj.scm 140 */
													long BgL_restz00_1846;

													{	/* Bdb/spread-obj.scm 140 */
														int BgL_arg2423z00_1847;

														BgL_arg2423z00_1847 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 140 */
															long BgL_auxz00_2671;

															BgL_auxz00_2671 = (long) (BgL_arg2423z00_1847);
															BgL_restz00_1846 =
																(BgL_offsetz00_1843 % BgL_auxz00_2671);
													}}
													{	/* Bdb/spread-obj.scm 140 */

														BgL_method3118z00_1836 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1841,
																(int) (BgL_modz00_1844)),
															(int) (BgL_restz00_1846));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_1836) (BgL_method3118z00_1836,
							(obj_t) (BgL_arg3285z00_1288), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-sel3138 */
	obj_t BGl_spreadzd2objzd2nodez12zd2sel3138zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2153, obj_t BgL_nodez00_2154)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 127 */
			{
				BgL_selectz00_bglt BgL_nodez00_1260;

				{	/* Bdb/spread-obj.scm 128 */
					bool_t BgL_auxz00_2682;

					BgL_nodez00_1260 = (BgL_selectz00_bglt) (BgL_nodez00_2154);
					{	/* Bdb/spread-obj.scm 129 */
						BgL_nodez00_bglt BgL_arg3275z00_1264;

						BgL_arg3275z00_1264 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1260))->BgL_testz00);
						{	/* Bdb/spread-obj.scm 129 */
							obj_t BgL_method3118z00_1774;

							{	/* Bdb/spread-obj.scm 129 */
								BgL_objectz00_bglt BgL_objz00_1775;

								BgL_objz00_1775 = (BgL_objectz00_bglt) (BgL_arg3275z00_1264);
								{	/* Bdb/spread-obj.scm 129 */
									long BgL_objzd2classzd2numz00_1776;

									BgL_objzd2classzd2numz00_1776 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1775);
									{	/* Bdb/spread-obj.scm 129 */
										obj_t BgL_arg2422z00_1777;

										BgL_arg2422z00_1777 =
											PROCEDURE_REF
											(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
											(int) (((long) 1)));
										{	/* Bdb/spread-obj.scm 129 */
											obj_t BgL_arrayz00_1779;

											int BgL_offsetz00_1780;

											BgL_arrayz00_1779 = BgL_arg2422z00_1777;
											BgL_offsetz00_1780 =
												(int) (BgL_objzd2classzd2numz00_1776);
											{	/* Bdb/spread-obj.scm 129 */
												long BgL_offsetz00_1781;

												BgL_offsetz00_1781 =
													((long) (BgL_offsetz00_1780) - OBJECT_TYPE);
												{	/* Bdb/spread-obj.scm 129 */
													long BgL_modz00_1782;

													{	/* Bdb/spread-obj.scm 129 */
														int BgL_arg2424z00_1783;

														BgL_arg2424z00_1783 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 129 */
															long BgL_auxz00_2692;

															BgL_auxz00_2692 = (long) (BgL_arg2424z00_1783);
															BgL_modz00_1782 =
																(BgL_offsetz00_1781 / BgL_auxz00_2692);
													}}
													{	/* Bdb/spread-obj.scm 129 */
														long BgL_restz00_1784;

														{	/* Bdb/spread-obj.scm 129 */
															int BgL_arg2423z00_1785;

															BgL_arg2423z00_1785 = (int) (((long) 8));
															{	/* Bdb/spread-obj.scm 129 */
																long BgL_auxz00_2696;

																BgL_auxz00_2696 = (long) (BgL_arg2423z00_1785);
																BgL_restz00_1784 =
																	(BgL_offsetz00_1781 % BgL_auxz00_2696);
														}}
														{	/* Bdb/spread-obj.scm 129 */

															BgL_method3118z00_1774 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1779,
																	(int) (BgL_modz00_1782)),
																(int) (BgL_restz00_1784));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3118z00_1774) (BgL_method3118z00_1774,
								(obj_t) (BgL_arg3275z00_1264), BEOA);
					}}
					{	/* Bdb/spread-obj.scm 130 */
						obj_t BgL_g3110z00_1265;

						BgL_g3110z00_1265 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1260))->BgL_clausesz00);
						{
							obj_t BgL_l3108z00_1267;

							BgL_l3108z00_1267 = BgL_g3110z00_1265;
						BgL_zc3anonymousza33276ze3z83_1268:
							if (PAIRP(BgL_l3108z00_1267))
								{	/* Bdb/spread-obj.scm 130 */
									{	/* Bdb/spread-obj.scm 131 */
										obj_t BgL_clausez00_1270;

										BgL_clausez00_1270 = CAR(BgL_l3108z00_1267);
										{	/* Bdb/spread-obj.scm 131 */
											obj_t BgL_arg3278z00_1271;

											BgL_arg3278z00_1271 = CDR(BgL_clausez00_1270);
											{	/* Bdb/spread-obj.scm 131 */
												BgL_nodez00_bglt BgL_nodez00_1803;

												BgL_nodez00_1803 =
													(BgL_nodez00_bglt) (BgL_arg3278z00_1271);
												{	/* Bdb/spread-obj.scm 131 */
													obj_t BgL_method3118z00_1804;

													{	/* Bdb/spread-obj.scm 131 */
														BgL_objectz00_bglt BgL_objz00_1805;

														BgL_objz00_1805 =
															(BgL_objectz00_bglt) (BgL_nodez00_1803);
														{	/* Bdb/spread-obj.scm 131 */
															long BgL_objzd2classzd2numz00_1806;

															BgL_objzd2classzd2numz00_1806 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1805);
															{	/* Bdb/spread-obj.scm 131 */
																obj_t BgL_arg2422z00_1807;

																BgL_arg2422z00_1807 =
																	PROCEDURE_REF
																	(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
																	(int) (((long) 1)));
																{	/* Bdb/spread-obj.scm 131 */
																	obj_t BgL_arrayz00_1809;

																	int BgL_offsetz00_1810;

																	BgL_arrayz00_1809 = BgL_arg2422z00_1807;
																	BgL_offsetz00_1810 =
																		(int) (BgL_objzd2classzd2numz00_1806);
																	{	/* Bdb/spread-obj.scm 131 */
																		long BgL_offsetz00_1811;

																		BgL_offsetz00_1811 =
																			(
																			(long) (BgL_offsetz00_1810) -
																			OBJECT_TYPE);
																		{	/* Bdb/spread-obj.scm 131 */
																			long BgL_modz00_1812;

																			{	/* Bdb/spread-obj.scm 131 */
																				int BgL_arg2424z00_1813;

																				BgL_arg2424z00_1813 =
																					(int) (((long) 8));
																				{	/* Bdb/spread-obj.scm 131 */
																					long BgL_auxz00_2720;

																					BgL_auxz00_2720 =
																						(long) (BgL_arg2424z00_1813);
																					BgL_modz00_1812 =
																						(BgL_offsetz00_1811 /
																						BgL_auxz00_2720);
																			}}
																			{	/* Bdb/spread-obj.scm 131 */
																				long BgL_restz00_1814;

																				{	/* Bdb/spread-obj.scm 131 */
																					int BgL_arg2423z00_1815;

																					BgL_arg2423z00_1815 =
																						(int) (((long) 8));
																					{	/* Bdb/spread-obj.scm 131 */
																						long BgL_auxz00_2724;

																						BgL_auxz00_2724 =
																							(long) (BgL_arg2423z00_1815);
																						BgL_restz00_1814 =
																							(BgL_offsetz00_1811 %
																							BgL_auxz00_2724);
																				}}
																				{	/* Bdb/spread-obj.scm 131 */

																					BgL_method3118z00_1804 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1809,
																							(int) (BgL_modz00_1812)),
																						(int) (BgL_restz00_1814));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3118z00_1804)
														(BgL_method3118z00_1804, (obj_t) (BgL_nodez00_1803),
														BEOA);
									}}}}
									{
										obj_t BgL_l3108z00_2734;

										BgL_l3108z00_2734 = CDR(BgL_l3108z00_1267);
										BgL_l3108z00_1267 = BgL_l3108z00_2734;
										goto BgL_zc3anonymousza33276ze3z83_1268;
									}
								}
							else
								{	/* Bdb/spread-obj.scm 130 */
									BgL_auxz00_2682 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2682);
				}
			}
		}
	}



/* spread-obj-node!-fai3136 */
	obj_t BGl_spreadzd2objzd2nodez12zd2fai3136zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2155, obj_t BgL_nodez00_2156)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 118 */
			{
				BgL_failz00_bglt BgL_nodez00_1251;

				BgL_nodez00_1251 = (BgL_failz00_bglt) (BgL_nodez00_2156);
				{	/* Bdb/spread-obj.scm 120 */
					BgL_nodez00_bglt BgL_arg3271z00_1255;

					BgL_arg3271z00_1255 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1251))->BgL_procz00);
					{	/* Bdb/spread-obj.scm 120 */
						obj_t BgL_method3118z00_1693;

						{	/* Bdb/spread-obj.scm 120 */
							BgL_objectz00_bglt BgL_objz00_1694;

							BgL_objz00_1694 = (BgL_objectz00_bglt) (BgL_arg3271z00_1255);
							{	/* Bdb/spread-obj.scm 120 */
								long BgL_objzd2classzd2numz00_1695;

								BgL_objzd2classzd2numz00_1695 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1694);
								{	/* Bdb/spread-obj.scm 120 */
									obj_t BgL_arg2422z00_1696;

									BgL_arg2422z00_1696 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 120 */
										obj_t BgL_arrayz00_1698;

										int BgL_offsetz00_1699;

										BgL_arrayz00_1698 = BgL_arg2422z00_1696;
										BgL_offsetz00_1699 = (int) (BgL_objzd2classzd2numz00_1695);
										{	/* Bdb/spread-obj.scm 120 */
											long BgL_offsetz00_1700;

											BgL_offsetz00_1700 =
												((long) (BgL_offsetz00_1699) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 120 */
												long BgL_modz00_1701;

												{	/* Bdb/spread-obj.scm 120 */
													int BgL_arg2424z00_1702;

													BgL_arg2424z00_1702 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 120 */
														long BgL_auxz00_2747;

														BgL_auxz00_2747 = (long) (BgL_arg2424z00_1702);
														BgL_modz00_1701 =
															(BgL_offsetz00_1700 / BgL_auxz00_2747);
												}}
												{	/* Bdb/spread-obj.scm 120 */
													long BgL_restz00_1703;

													{	/* Bdb/spread-obj.scm 120 */
														int BgL_arg2423z00_1704;

														BgL_arg2423z00_1704 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 120 */
															long BgL_auxz00_2751;

															BgL_auxz00_2751 = (long) (BgL_arg2423z00_1704);
															BgL_restz00_1703 =
																(BgL_offsetz00_1700 % BgL_auxz00_2751);
													}}
													{	/* Bdb/spread-obj.scm 120 */

														BgL_method3118z00_1693 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1698,
																(int) (BgL_modz00_1701)),
															(int) (BgL_restz00_1703));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3118z00_1693) (BgL_method3118z00_1693,
							(obj_t) (BgL_arg3271z00_1255), BEOA);
				}}
				{	/* Bdb/spread-obj.scm 121 */
					BgL_nodez00_bglt BgL_arg3272z00_1256;

					BgL_arg3272z00_1256 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1251))->BgL_msgz00);
					{	/* Bdb/spread-obj.scm 121 */
						obj_t BgL_method3118z00_1720;

						{	/* Bdb/spread-obj.scm 121 */
							BgL_objectz00_bglt BgL_objz00_1721;

							BgL_objz00_1721 = (BgL_objectz00_bglt) (BgL_arg3272z00_1256);
							{	/* Bdb/spread-obj.scm 121 */
								long BgL_objzd2classzd2numz00_1722;

								BgL_objzd2classzd2numz00_1722 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1721);
								{	/* Bdb/spread-obj.scm 121 */
									obj_t BgL_arg2422z00_1723;

									BgL_arg2422z00_1723 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 121 */
										obj_t BgL_arrayz00_1725;

										int BgL_offsetz00_1726;

										BgL_arrayz00_1725 = BgL_arg2422z00_1723;
										BgL_offsetz00_1726 = (int) (BgL_objzd2classzd2numz00_1722);
										{	/* Bdb/spread-obj.scm 121 */
											long BgL_offsetz00_1727;

											BgL_offsetz00_1727 =
												((long) (BgL_offsetz00_1726) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 121 */
												long BgL_modz00_1728;

												{	/* Bdb/spread-obj.scm 121 */
													int BgL_arg2424z00_1729;

													BgL_arg2424z00_1729 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 121 */
														long BgL_auxz00_2770;

														BgL_auxz00_2770 = (long) (BgL_arg2424z00_1729);
														BgL_modz00_1728 =
															(BgL_offsetz00_1727 / BgL_auxz00_2770);
												}}
												{	/* Bdb/spread-obj.scm 121 */
													long BgL_restz00_1730;

													{	/* Bdb/spread-obj.scm 121 */
														int BgL_arg2423z00_1731;

														BgL_arg2423z00_1731 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 121 */
															long BgL_auxz00_2774;

															BgL_auxz00_2774 = (long) (BgL_arg2423z00_1731);
															BgL_restz00_1730 =
																(BgL_offsetz00_1727 % BgL_auxz00_2774);
													}}
													{	/* Bdb/spread-obj.scm 121 */

														BgL_method3118z00_1720 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1725,
																(int) (BgL_modz00_1728)),
															(int) (BgL_restz00_1730));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3118z00_1720) (BgL_method3118z00_1720,
							(obj_t) (BgL_arg3272z00_1256), BEOA);
				}}
				{	/* Bdb/spread-obj.scm 122 */
					BgL_nodez00_bglt BgL_arg3273z00_1257;

					BgL_arg3273z00_1257 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1251))->BgL_objz00);
					{	/* Bdb/spread-obj.scm 122 */
						obj_t BgL_method3118z00_1747;

						{	/* Bdb/spread-obj.scm 122 */
							BgL_objectz00_bglt BgL_objz00_1748;

							BgL_objz00_1748 = (BgL_objectz00_bglt) (BgL_arg3273z00_1257);
							{	/* Bdb/spread-obj.scm 122 */
								long BgL_objzd2classzd2numz00_1749;

								BgL_objzd2classzd2numz00_1749 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1748);
								{	/* Bdb/spread-obj.scm 122 */
									obj_t BgL_arg2422z00_1750;

									BgL_arg2422z00_1750 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 122 */
										obj_t BgL_arrayz00_1752;

										int BgL_offsetz00_1753;

										BgL_arrayz00_1752 = BgL_arg2422z00_1750;
										BgL_offsetz00_1753 = (int) (BgL_objzd2classzd2numz00_1749);
										{	/* Bdb/spread-obj.scm 122 */
											long BgL_offsetz00_1754;

											BgL_offsetz00_1754 =
												((long) (BgL_offsetz00_1753) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 122 */
												long BgL_modz00_1755;

												{	/* Bdb/spread-obj.scm 122 */
													int BgL_arg2424z00_1756;

													BgL_arg2424z00_1756 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 122 */
														long BgL_auxz00_2793;

														BgL_auxz00_2793 = (long) (BgL_arg2424z00_1756);
														BgL_modz00_1755 =
															(BgL_offsetz00_1754 / BgL_auxz00_2793);
												}}
												{	/* Bdb/spread-obj.scm 122 */
													long BgL_restz00_1757;

													{	/* Bdb/spread-obj.scm 122 */
														int BgL_arg2423z00_1758;

														BgL_arg2423z00_1758 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 122 */
															long BgL_auxz00_2797;

															BgL_auxz00_2797 = (long) (BgL_arg2423z00_1758);
															BgL_restz00_1757 =
																(BgL_offsetz00_1754 % BgL_auxz00_2797);
													}}
													{	/* Bdb/spread-obj.scm 122 */

														BgL_method3118z00_1747 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1752,
																(int) (BgL_modz00_1755)),
															(int) (BgL_restz00_1757));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_1747) (BgL_method3118z00_1747,
							(obj_t) (BgL_arg3273z00_1257), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-con3134 */
	obj_t BGl_spreadzd2objzd2nodez12zd2con3134zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2157, obj_t BgL_nodez00_2158)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 109 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1242;

				BgL_nodez00_1242 = (BgL_conditionalz00_bglt) (BgL_nodez00_2158);
				{	/* Bdb/spread-obj.scm 111 */
					BgL_nodez00_bglt BgL_arg3267z00_1246;

					BgL_arg3267z00_1246 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1242))->BgL_testz00);
					{	/* Bdb/spread-obj.scm 111 */
						obj_t BgL_method3118z00_1612;

						{	/* Bdb/spread-obj.scm 111 */
							BgL_objectz00_bglt BgL_objz00_1613;

							BgL_objz00_1613 = (BgL_objectz00_bglt) (BgL_arg3267z00_1246);
							{	/* Bdb/spread-obj.scm 111 */
								long BgL_objzd2classzd2numz00_1614;

								BgL_objzd2classzd2numz00_1614 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1613);
								{	/* Bdb/spread-obj.scm 111 */
									obj_t BgL_arg2422z00_1615;

									BgL_arg2422z00_1615 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 111 */
										obj_t BgL_arrayz00_1617;

										int BgL_offsetz00_1618;

										BgL_arrayz00_1617 = BgL_arg2422z00_1615;
										BgL_offsetz00_1618 = (int) (BgL_objzd2classzd2numz00_1614);
										{	/* Bdb/spread-obj.scm 111 */
											long BgL_offsetz00_1619;

											BgL_offsetz00_1619 =
												((long) (BgL_offsetz00_1618) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 111 */
												long BgL_modz00_1620;

												{	/* Bdb/spread-obj.scm 111 */
													int BgL_arg2424z00_1621;

													BgL_arg2424z00_1621 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 111 */
														long BgL_auxz00_2817;

														BgL_auxz00_2817 = (long) (BgL_arg2424z00_1621);
														BgL_modz00_1620 =
															(BgL_offsetz00_1619 / BgL_auxz00_2817);
												}}
												{	/* Bdb/spread-obj.scm 111 */
													long BgL_restz00_1622;

													{	/* Bdb/spread-obj.scm 111 */
														int BgL_arg2423z00_1623;

														BgL_arg2423z00_1623 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 111 */
															long BgL_auxz00_2821;

															BgL_auxz00_2821 = (long) (BgL_arg2423z00_1623);
															BgL_restz00_1622 =
																(BgL_offsetz00_1619 % BgL_auxz00_2821);
													}}
													{	/* Bdb/spread-obj.scm 111 */

														BgL_method3118z00_1612 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1617,
																(int) (BgL_modz00_1620)),
															(int) (BgL_restz00_1622));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3118z00_1612) (BgL_method3118z00_1612,
							(obj_t) (BgL_arg3267z00_1246), BEOA);
				}}
				{	/* Bdb/spread-obj.scm 112 */
					BgL_nodez00_bglt BgL_arg3268z00_1247;

					BgL_arg3268z00_1247 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1242))->BgL_truez00);
					{	/* Bdb/spread-obj.scm 112 */
						obj_t BgL_method3118z00_1639;

						{	/* Bdb/spread-obj.scm 112 */
							BgL_objectz00_bglt BgL_objz00_1640;

							BgL_objz00_1640 = (BgL_objectz00_bglt) (BgL_arg3268z00_1247);
							{	/* Bdb/spread-obj.scm 112 */
								long BgL_objzd2classzd2numz00_1641;

								BgL_objzd2classzd2numz00_1641 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1640);
								{	/* Bdb/spread-obj.scm 112 */
									obj_t BgL_arg2422z00_1642;

									BgL_arg2422z00_1642 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 112 */
										obj_t BgL_arrayz00_1644;

										int BgL_offsetz00_1645;

										BgL_arrayz00_1644 = BgL_arg2422z00_1642;
										BgL_offsetz00_1645 = (int) (BgL_objzd2classzd2numz00_1641);
										{	/* Bdb/spread-obj.scm 112 */
											long BgL_offsetz00_1646;

											BgL_offsetz00_1646 =
												((long) (BgL_offsetz00_1645) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 112 */
												long BgL_modz00_1647;

												{	/* Bdb/spread-obj.scm 112 */
													int BgL_arg2424z00_1648;

													BgL_arg2424z00_1648 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 112 */
														long BgL_auxz00_2840;

														BgL_auxz00_2840 = (long) (BgL_arg2424z00_1648);
														BgL_modz00_1647 =
															(BgL_offsetz00_1646 / BgL_auxz00_2840);
												}}
												{	/* Bdb/spread-obj.scm 112 */
													long BgL_restz00_1649;

													{	/* Bdb/spread-obj.scm 112 */
														int BgL_arg2423z00_1650;

														BgL_arg2423z00_1650 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 112 */
															long BgL_auxz00_2844;

															BgL_auxz00_2844 = (long) (BgL_arg2423z00_1650);
															BgL_restz00_1649 =
																(BgL_offsetz00_1646 % BgL_auxz00_2844);
													}}
													{	/* Bdb/spread-obj.scm 112 */

														BgL_method3118z00_1639 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1644,
																(int) (BgL_modz00_1647)),
															(int) (BgL_restz00_1649));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3118z00_1639) (BgL_method3118z00_1639,
							(obj_t) (BgL_arg3268z00_1247), BEOA);
				}}
				{	/* Bdb/spread-obj.scm 113 */
					BgL_nodez00_bglt BgL_arg3269z00_1248;

					BgL_arg3269z00_1248 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1242))->BgL_falsez00);
					{	/* Bdb/spread-obj.scm 113 */
						obj_t BgL_method3118z00_1666;

						{	/* Bdb/spread-obj.scm 113 */
							BgL_objectz00_bglt BgL_objz00_1667;

							BgL_objz00_1667 = (BgL_objectz00_bglt) (BgL_arg3269z00_1248);
							{	/* Bdb/spread-obj.scm 113 */
								long BgL_objzd2classzd2numz00_1668;

								BgL_objzd2classzd2numz00_1668 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1667);
								{	/* Bdb/spread-obj.scm 113 */
									obj_t BgL_arg2422z00_1669;

									BgL_arg2422z00_1669 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 113 */
										obj_t BgL_arrayz00_1671;

										int BgL_offsetz00_1672;

										BgL_arrayz00_1671 = BgL_arg2422z00_1669;
										BgL_offsetz00_1672 = (int) (BgL_objzd2classzd2numz00_1668);
										{	/* Bdb/spread-obj.scm 113 */
											long BgL_offsetz00_1673;

											BgL_offsetz00_1673 =
												((long) (BgL_offsetz00_1672) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 113 */
												long BgL_modz00_1674;

												{	/* Bdb/spread-obj.scm 113 */
													int BgL_arg2424z00_1675;

													BgL_arg2424z00_1675 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 113 */
														long BgL_auxz00_2863;

														BgL_auxz00_2863 = (long) (BgL_arg2424z00_1675);
														BgL_modz00_1674 =
															(BgL_offsetz00_1673 / BgL_auxz00_2863);
												}}
												{	/* Bdb/spread-obj.scm 113 */
													long BgL_restz00_1676;

													{	/* Bdb/spread-obj.scm 113 */
														int BgL_arg2423z00_1677;

														BgL_arg2423z00_1677 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 113 */
															long BgL_auxz00_2867;

															BgL_auxz00_2867 = (long) (BgL_arg2423z00_1677);
															BgL_restz00_1676 =
																(BgL_offsetz00_1673 % BgL_auxz00_2867);
													}}
													{	/* Bdb/spread-obj.scm 113 */

														BgL_method3118z00_1666 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1671,
																(int) (BgL_modz00_1674)),
															(int) (BgL_restz00_1676));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_1666) (BgL_method3118z00_1666,
							(obj_t) (BgL_arg3269z00_1248), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-set3132 */
	obj_t BGl_spreadzd2objzd2nodez12zd2set3132zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2159, obj_t BgL_nodez00_2160)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 103 */
			{
				BgL_setqz00_bglt BgL_nodez00_1236;

				BgL_nodez00_1236 = (BgL_setqz00_bglt) (BgL_nodez00_2160);
				{	/* Bdb/spread-obj.scm 104 */
					BgL_nodez00_bglt BgL_arg3265z00_1582;

					BgL_arg3265z00_1582 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1236))->BgL_valuez00);
					{	/* Bdb/spread-obj.scm 104 */
						obj_t BgL_method3118z00_1585;

						{	/* Bdb/spread-obj.scm 104 */
							BgL_objectz00_bglt BgL_objz00_1586;

							BgL_objz00_1586 = (BgL_objectz00_bglt) (BgL_arg3265z00_1582);
							{	/* Bdb/spread-obj.scm 104 */
								long BgL_objzd2classzd2numz00_1587;

								BgL_objzd2classzd2numz00_1587 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1586);
								{	/* Bdb/spread-obj.scm 104 */
									obj_t BgL_arg2422z00_1588;

									BgL_arg2422z00_1588 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 104 */
										obj_t BgL_arrayz00_1590;

										int BgL_offsetz00_1591;

										BgL_arrayz00_1590 = BgL_arg2422z00_1588;
										BgL_offsetz00_1591 = (int) (BgL_objzd2classzd2numz00_1587);
										{	/* Bdb/spread-obj.scm 104 */
											long BgL_offsetz00_1592;

											BgL_offsetz00_1592 =
												((long) (BgL_offsetz00_1591) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 104 */
												long BgL_modz00_1593;

												{	/* Bdb/spread-obj.scm 104 */
													int BgL_arg2424z00_1594;

													BgL_arg2424z00_1594 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 104 */
														long BgL_auxz00_2887;

														BgL_auxz00_2887 = (long) (BgL_arg2424z00_1594);
														BgL_modz00_1593 =
															(BgL_offsetz00_1592 / BgL_auxz00_2887);
												}}
												{	/* Bdb/spread-obj.scm 104 */
													long BgL_restz00_1595;

													{	/* Bdb/spread-obj.scm 104 */
														int BgL_arg2423z00_1596;

														BgL_arg2423z00_1596 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 104 */
															long BgL_auxz00_2891;

															BgL_auxz00_2891 = (long) (BgL_arg2423z00_1596);
															BgL_restz00_1595 =
																(BgL_offsetz00_1592 % BgL_auxz00_2891);
													}}
													{	/* Bdb/spread-obj.scm 104 */

														BgL_method3118z00_1585 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1590,
																(int) (BgL_modz00_1593)),
															(int) (BgL_restz00_1595));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_1585) (BgL_method3118z00_1585,
							(obj_t) (BgL_arg3265z00_1582), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-cas3130 */
	obj_t BGl_spreadzd2objzd2nodez12zd2cas3130zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2161, obj_t BgL_nodez00_2162)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 97 */
			{
				BgL_castz00_bglt BgL_nodez00_1230;

				BgL_nodez00_1230 = (BgL_castz00_bglt) (BgL_nodez00_2162);
				{	/* Bdb/spread-obj.scm 98 */
					BgL_nodez00_bglt BgL_arg3263z00_1554;

					BgL_arg3263z00_1554 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1230))->BgL_argz00);
					{	/* Bdb/spread-obj.scm 98 */
						obj_t BgL_method3118z00_1557;

						{	/* Bdb/spread-obj.scm 98 */
							BgL_objectz00_bglt BgL_objz00_1558;

							BgL_objz00_1558 = (BgL_objectz00_bglt) (BgL_arg3263z00_1554);
							{	/* Bdb/spread-obj.scm 98 */
								long BgL_objzd2classzd2numz00_1559;

								BgL_objzd2classzd2numz00_1559 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1558);
								{	/* Bdb/spread-obj.scm 98 */
									obj_t BgL_arg2422z00_1560;

									BgL_arg2422z00_1560 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 98 */
										obj_t BgL_arrayz00_1562;

										int BgL_offsetz00_1563;

										BgL_arrayz00_1562 = BgL_arg2422z00_1560;
										BgL_offsetz00_1563 = (int) (BgL_objzd2classzd2numz00_1559);
										{	/* Bdb/spread-obj.scm 98 */
											long BgL_offsetz00_1564;

											BgL_offsetz00_1564 =
												((long) (BgL_offsetz00_1563) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 98 */
												long BgL_modz00_1565;

												{	/* Bdb/spread-obj.scm 98 */
													int BgL_arg2424z00_1566;

													BgL_arg2424z00_1566 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 98 */
														long BgL_auxz00_2911;

														BgL_auxz00_2911 = (long) (BgL_arg2424z00_1566);
														BgL_modz00_1565 =
															(BgL_offsetz00_1564 / BgL_auxz00_2911);
												}}
												{	/* Bdb/spread-obj.scm 98 */
													long BgL_restz00_1567;

													{	/* Bdb/spread-obj.scm 98 */
														int BgL_arg2423z00_1568;

														BgL_arg2423z00_1568 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 98 */
															long BgL_auxz00_2915;

															BgL_auxz00_2915 = (long) (BgL_arg2423z00_1568);
															BgL_restz00_1567 =
																(BgL_offsetz00_1564 % BgL_auxz00_2915);
													}}
													{	/* Bdb/spread-obj.scm 98 */

														BgL_method3118z00_1557 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1562,
																(int) (BgL_modz00_1565)),
															(int) (BgL_restz00_1567));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_1557) (BgL_method3118z00_1557,
							(obj_t) (BgL_arg3263z00_1554), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-ext3128 */
	obj_t BGl_spreadzd2objzd2nodez12zd2ext3128zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2163, obj_t BgL_nodez00_2164)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 91 */
			{
				BgL_externz00_bglt BgL_nodez00_1224;

				BgL_nodez00_1224 = (BgL_externz00_bglt) (BgL_nodez00_2164);
				{	/* Bdb/spread-obj.scm 92 */
					obj_t BgL_arg3261z00_1552;

					BgL_arg3261z00_1552 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1224))->BgL_exprza2za2);
					return
						BGl_spreadzd2objzd2nodeza2z12zb0zzbdb_spreadzd2objzd2
						(BgL_arg3261z00_1552);
				}
			}
		}
	}



/* spread-obj-node!-fun3126 */
	obj_t BGl_spreadzd2objzd2nodez12zd2fun3126zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2165, obj_t BgL_nodez00_2166)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 83 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1216;

				BgL_nodez00_1216 = (BgL_funcallz00_bglt) (BgL_nodez00_2166);
				{	/* Bdb/spread-obj.scm 85 */
					BgL_nodez00_bglt BgL_arg3258z00_1220;

					BgL_arg3258z00_1220 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1216))->BgL_funz00);
					{	/* Bdb/spread-obj.scm 85 */
						obj_t BgL_method3118z00_1526;

						{	/* Bdb/spread-obj.scm 85 */
							BgL_objectz00_bglt BgL_objz00_1527;

							BgL_objz00_1527 = (BgL_objectz00_bglt) (BgL_arg3258z00_1220);
							{	/* Bdb/spread-obj.scm 85 */
								long BgL_objzd2classzd2numz00_1528;

								BgL_objzd2classzd2numz00_1528 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1527);
								{	/* Bdb/spread-obj.scm 85 */
									obj_t BgL_arg2422z00_1529;

									BgL_arg2422z00_1529 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 85 */
										obj_t BgL_arrayz00_1531;

										int BgL_offsetz00_1532;

										BgL_arrayz00_1531 = BgL_arg2422z00_1529;
										BgL_offsetz00_1532 = (int) (BgL_objzd2classzd2numz00_1528);
										{	/* Bdb/spread-obj.scm 85 */
											long BgL_offsetz00_1533;

											BgL_offsetz00_1533 =
												((long) (BgL_offsetz00_1532) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 85 */
												long BgL_modz00_1534;

												{	/* Bdb/spread-obj.scm 85 */
													int BgL_arg2424z00_1535;

													BgL_arg2424z00_1535 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 85 */
														long BgL_auxz00_2938;

														BgL_auxz00_2938 = (long) (BgL_arg2424z00_1535);
														BgL_modz00_1534 =
															(BgL_offsetz00_1533 / BgL_auxz00_2938);
												}}
												{	/* Bdb/spread-obj.scm 85 */
													long BgL_restz00_1536;

													{	/* Bdb/spread-obj.scm 85 */
														int BgL_arg2423z00_1537;

														BgL_arg2423z00_1537 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 85 */
															long BgL_auxz00_2942;

															BgL_auxz00_2942 = (long) (BgL_arg2423z00_1537);
															BgL_restz00_1536 =
																(BgL_offsetz00_1533 % BgL_auxz00_2942);
													}}
													{	/* Bdb/spread-obj.scm 85 */

														BgL_method3118z00_1526 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1531,
																(int) (BgL_modz00_1534)),
															(int) (BgL_restz00_1536));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3118z00_1526) (BgL_method3118z00_1526,
							(obj_t) (BgL_arg3258z00_1220), BEOA);
				}}
				{	/* Bdb/spread-obj.scm 86 */
					obj_t BgL_arg3259z00_1221;

					BgL_arg3259z00_1221 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1216))->BgL_argsz00);
					return
						BGl_spreadzd2objzd2nodeza2z12zb0zzbdb_spreadzd2objzd2
						(BgL_arg3259z00_1221);
				}
			}
		}
	}



/* spread-obj-node!-app3124 */
	obj_t BGl_spreadzd2objzd2nodez12zd2app3124zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2167, obj_t BgL_nodez00_2168)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 75 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1208;

				BgL_nodez00_1208 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2168);
				{	/* Bdb/spread-obj.scm 77 */
					BgL_nodez00_bglt BgL_arg3255z00_1212;

					BgL_arg3255z00_1212 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1208))->BgL_funz00);
					{	/* Bdb/spread-obj.scm 77 */
						obj_t BgL_method3118z00_1472;

						{	/* Bdb/spread-obj.scm 77 */
							BgL_objectz00_bglt BgL_objz00_1473;

							BgL_objz00_1473 = (BgL_objectz00_bglt) (BgL_arg3255z00_1212);
							{	/* Bdb/spread-obj.scm 77 */
								long BgL_objzd2classzd2numz00_1474;

								BgL_objzd2classzd2numz00_1474 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1473);
								{	/* Bdb/spread-obj.scm 77 */
									obj_t BgL_arg2422z00_1475;

									BgL_arg2422z00_1475 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 77 */
										obj_t BgL_arrayz00_1477;

										int BgL_offsetz00_1478;

										BgL_arrayz00_1477 = BgL_arg2422z00_1475;
										BgL_offsetz00_1478 = (int) (BgL_objzd2classzd2numz00_1474);
										{	/* Bdb/spread-obj.scm 77 */
											long BgL_offsetz00_1479;

											BgL_offsetz00_1479 =
												((long) (BgL_offsetz00_1478) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 77 */
												long BgL_modz00_1480;

												{	/* Bdb/spread-obj.scm 77 */
													int BgL_arg2424z00_1481;

													BgL_arg2424z00_1481 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 77 */
														long BgL_auxz00_2964;

														BgL_auxz00_2964 = (long) (BgL_arg2424z00_1481);
														BgL_modz00_1480 =
															(BgL_offsetz00_1479 / BgL_auxz00_2964);
												}}
												{	/* Bdb/spread-obj.scm 77 */
													long BgL_restz00_1482;

													{	/* Bdb/spread-obj.scm 77 */
														int BgL_arg2423z00_1483;

														BgL_arg2423z00_1483 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 77 */
															long BgL_auxz00_2968;

															BgL_auxz00_2968 = (long) (BgL_arg2423z00_1483);
															BgL_restz00_1482 =
																(BgL_offsetz00_1479 % BgL_auxz00_2968);
													}}
													{	/* Bdb/spread-obj.scm 77 */

														BgL_method3118z00_1472 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1477,
																(int) (BgL_modz00_1480)),
															(int) (BgL_restz00_1482));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3118z00_1472) (BgL_method3118z00_1472,
							(obj_t) (BgL_arg3255z00_1212), BEOA);
				}}
				{	/* Bdb/spread-obj.scm 78 */
					BgL_nodez00_bglt BgL_arg3256z00_1213;

					BgL_arg3256z00_1213 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1208))->BgL_argz00);
					{	/* Bdb/spread-obj.scm 78 */
						obj_t BgL_method3118z00_1499;

						{	/* Bdb/spread-obj.scm 78 */
							BgL_objectz00_bglt BgL_objz00_1500;

							BgL_objz00_1500 = (BgL_objectz00_bglt) (BgL_arg3256z00_1213);
							{	/* Bdb/spread-obj.scm 78 */
								long BgL_objzd2classzd2numz00_1501;

								BgL_objzd2classzd2numz00_1501 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1500);
								{	/* Bdb/spread-obj.scm 78 */
									obj_t BgL_arg2422z00_1502;

									BgL_arg2422z00_1502 =
										PROCEDURE_REF
										(BGl_spreadzd2objzd2nodez12zd2envzc0zzbdb_spreadzd2objzd2,
										(int) (((long) 1)));
									{	/* Bdb/spread-obj.scm 78 */
										obj_t BgL_arrayz00_1504;

										int BgL_offsetz00_1505;

										BgL_arrayz00_1504 = BgL_arg2422z00_1502;
										BgL_offsetz00_1505 = (int) (BgL_objzd2classzd2numz00_1501);
										{	/* Bdb/spread-obj.scm 78 */
											long BgL_offsetz00_1506;

											BgL_offsetz00_1506 =
												((long) (BgL_offsetz00_1505) - OBJECT_TYPE);
											{	/* Bdb/spread-obj.scm 78 */
												long BgL_modz00_1507;

												{	/* Bdb/spread-obj.scm 78 */
													int BgL_arg2424z00_1508;

													BgL_arg2424z00_1508 = (int) (((long) 8));
													{	/* Bdb/spread-obj.scm 78 */
														long BgL_auxz00_2987;

														BgL_auxz00_2987 = (long) (BgL_arg2424z00_1508);
														BgL_modz00_1507 =
															(BgL_offsetz00_1506 / BgL_auxz00_2987);
												}}
												{	/* Bdb/spread-obj.scm 78 */
													long BgL_restz00_1509;

													{	/* Bdb/spread-obj.scm 78 */
														int BgL_arg2423z00_1510;

														BgL_arg2423z00_1510 = (int) (((long) 8));
														{	/* Bdb/spread-obj.scm 78 */
															long BgL_auxz00_2991;

															BgL_auxz00_2991 = (long) (BgL_arg2423z00_1510);
															BgL_restz00_1509 =
																(BgL_offsetz00_1506 % BgL_auxz00_2991);
													}}
													{	/* Bdb/spread-obj.scm 78 */

														BgL_method3118z00_1499 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1504,
																(int) (BgL_modz00_1507)),
															(int) (BgL_restz00_1509));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3118z00_1499) (BgL_method3118z00_1499,
							(obj_t) (BgL_arg3256z00_1213), BEOA);
					}
				}
			}
		}
	}



/* spread-obj-node!-app3122 */
	obj_t BGl_spreadzd2objzd2nodez12zd2app3122zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2169, obj_t BgL_nodez00_2170)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 69 */
			{
				BgL_appz00_bglt BgL_nodez00_1202;

				BgL_nodez00_1202 = (BgL_appz00_bglt) (BgL_nodez00_2170);
				{	/* Bdb/spread-obj.scm 70 */
					obj_t BgL_arg3253z00_1468;

					BgL_arg3253z00_1468 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1202))->BgL_argsz00);
					return
						BGl_spreadzd2objzd2nodeza2z12zb0zzbdb_spreadzd2objzd2
						(BgL_arg3253z00_1468);
				}
			}
		}
	}



/* spread-obj-node!-seq3120 */
	obj_t BGl_spreadzd2objzd2nodez12zd2seq3120zc0zzbdb_spreadzd2objzd2(obj_t
		BgL_envz00_2171, obj_t BgL_nodez00_2172)
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 63 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1196;

				BgL_nodez00_1196 = (BgL_sequencez00_bglt) (BgL_nodez00_2172);
				{	/* Bdb/spread-obj.scm 64 */
					obj_t BgL_arg3251z00_1466;

					BgL_arg3251z00_1466 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1196))->BgL_nodesz00);
					return
						BGl_spreadzd2objzd2nodeza2z12zb0zzbdb_spreadzd2objzd2
						(BgL_arg3251z00_1466);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbdb_spreadzd2objzd2()
	{
		AN_OBJECT;
		{	/* Bdb/spread-obj.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 80496154),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3388z00zzbdb_spreadzd2objzd2));
		}
	}

#ifdef __cplusplus
}
#endif
