/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t
		BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_nodezd2setupz12zd2prezd2arit4564zc0zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_cfaz12zd2arithmeticzd2app4566z12zzcfa_arithmeticz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_wideningzd2arithmeticzd2appz00zzcfa_info2z00(BgL_approxz00_bglt, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4781z00zzcfa_arithmeticz00,
		BgL_bgl_nodeza7d2setupza712za74789za7,
		BGl_nodezd2setupz12zd2prezd2arit4564zc0zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4782z00zzcfa_arithmeticz00,
		BgL_bgl_cfaza712za7d2arithme4790z00,
		BGl_cfaz12zd2arithmeticzd2app4566z12zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4783z00zzcfa_arithmeticz00,
		BgL_bgl_string4783za700za7za7c4791za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string4784z00zzcfa_arithmeticz00,
		BgL_bgl_string4784za700za7za7c4792za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string4785z00zzcfa_arithmeticz00,
		BgL_bgl_string4785za700za7za7c4793za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string4786z00zzcfa_arithmeticz00,
		BgL_bgl_string4786za700za7za7c4794za7, "all ", 4);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl__cleanupza7d2arith4795za7,
		BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_1890, char *BgL_fromz00_1891)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_1882;

				BgL_cportz00_1882 =
					bgl_open_input_string(BGl_string4786z00zzcfa_arithmeticz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1883;

					BgL_iz00_1883 = ((long) 0);
				BgL_loopz00_1884:
					if ((BgL_iz00_1883 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg4788z00_1886;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_1888;

										BgL_locationz00_1888 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg4788z00_1886 =
												BGl_readz00zz__readerz00(BgL_cportz00_1882,
												BgL_locationz00_1888);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_auxz00_1910;

									BgL_auxz00_1910 = (int) (BgL_iz00_1883);
									CNST_TABLE_SET(BgL_auxz00_1910, BgL_arg4788z00_1886);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_1889;

								BgL_auxz00_1889 = (int) ((BgL_iz00_1883 - ((long) 1)));
								{
									long BgL_iz00_1915;

									BgL_iz00_1915 = (long) (BgL_auxz00_1889);
									BgL_iz00_1883 = BgL_iz00_1915;
									goto BgL_loopz00_1884;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l4547z00_1003;

				{	/* Cfa/arithmetic.scm 67 */
					bool_t BgL_auxz00_1917;

					BgL_l4547z00_1003 =
						BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
				BgL_zc3anonymousza34567ze3z83_1004:
					if (PAIRP(BgL_l4547z00_1003))
						{	/* Cfa/arithmetic.scm 67 */
							{	/* Cfa/arithmetic.scm 68 */
								obj_t BgL_nodez00_1006;

								BgL_nodez00_1006 = CAR(BgL_l4547z00_1003);
								{	/* Cfa/arithmetic.scm 69 */
									BgL_variablez00_bglt BgL_fz00_1008;

									{	/* Cfa/arithmetic.scm 69 */
										BgL_varz00_bglt BgL_obj1993z00_1741;

										{
											BgL_appz00_bglt BgL_auxz00_1921;

											BgL_auxz00_1921 = (BgL_appz00_bglt) (BgL_nodez00_1006);
											BgL_obj1993z00_1741 =
												(((BgL_appz00_bglt) CREF(BgL_auxz00_1921))->BgL_funz00);
										}
										BgL_fz00_1008 =
											(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1741))->
											BgL_variablez00);
									}
									{	/* Cfa/arithmetic.scm 69 */
										BgL_valuez00_bglt BgL_valz00_1009;

										BgL_valz00_1009 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_1008))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 70 */

											{	/* Cfa/arithmetic.scm 72 */
												bool_t BgL_testz00_1926;

												{	/* Cfa/arithmetic.scm 72 */
													BgL_typez00_bglt BgL_arg4570z00_1011;

													BgL_arg4570z00_1011 =
														(((BgL_variablez00_bglt) CREF(BgL_fz00_1008))->
														BgL_typez00);
													BgL_testz00_1926 =
														((obj_t) (BgL_arg4570z00_1011) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_1926)
													{
														BgL_typez00_bglt BgL_auxz00_1930;

														BgL_auxz00_1930 =
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00);
														((((BgL_variablez00_bglt) CREF(BgL_fz00_1008))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_1930), BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 72 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 74 */
												bool_t BgL_testz00_1933;

												{	/* Cfa/arithmetic.scm 74 */
													BgL_typez00_bglt BgL_arg4572z00_1013;

													{
														BgL_nodez00_bglt BgL_auxz00_1934;

														BgL_auxz00_1934 =
															(BgL_nodez00_bglt) (BgL_nodez00_1006);
														BgL_arg4572z00_1013 =
															(((BgL_nodez00_bglt) CREF(BgL_auxz00_1934))->
															BgL_typez00);
													}
													BgL_testz00_1933 =
														(
														(obj_t) (BgL_arg4572z00_1013) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_1933)
													{
														BgL_typez00_bglt BgL_auxz00_1941;

														BgL_nodez00_bglt BgL_auxz00_1939;

														BgL_auxz00_1941 =
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00);
														BgL_auxz00_1939 =
															(BgL_nodez00_bglt) (BgL_nodez00_1006);
														((((BgL_nodez00_bglt) CREF(BgL_auxz00_1939))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_1941), BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 74 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 77 */
												bool_t BgL_testz00_1944;

												{	/* Cfa/arithmetic.scm 77 */
													obj_t BgL_obj1792z00_1749;

													BgL_obj1792z00_1749 = (obj_t) (BgL_valz00_1009);
													BgL_testz00_1944 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1792z00_1749,
														BGl_sfunz00zzast_varz00);
												}
												if (BgL_testz00_1944)
													{	/* Cfa/arithmetic.scm 79 */
														obj_t BgL_arg4574z00_1015;

														{	/* Cfa/arithmetic.scm 79 */
															obj_t BgL_l4541z00_1016;

															{
																BgL_sfunz00_bglt BgL_auxz00_1947;

																BgL_auxz00_1947 =
																	(BgL_sfunz00_bglt) (BgL_valz00_1009);
																BgL_l4541z00_1016 =
																	(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1947))->
																	BgL_argsz00);
															}
															if (NULLP(BgL_l4541z00_1016))
																{	/* Cfa/arithmetic.scm 79 */
																	BgL_arg4574z00_1015 = BNIL;
																}
															else
																{	/* Cfa/arithmetic.scm 79 */
																	obj_t BgL_head4543z00_1018;

																	BgL_head4543z00_1018 =
																		MAKE_PAIR
																		(BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																		(CAR(BgL_l4541z00_1016)), BNIL);
																	{	/* Cfa/arithmetic.scm 79 */
																		obj_t BgL_g4546z00_1019;

																		BgL_g4546z00_1019 = CDR(BgL_l4541z00_1016);
																		{
																			obj_t BgL_l4541z00_1021;

																			obj_t BgL_tail4544z00_1022;

																			BgL_l4541z00_1021 = BgL_g4546z00_1019;
																			BgL_tail4544z00_1022 =
																				BgL_head4543z00_1018;
																		BgL_zc3anonymousza34576ze3z83_1023:
																			if (NULLP(BgL_l4541z00_1021))
																				{	/* Cfa/arithmetic.scm 79 */
																					BgL_arg4574z00_1015 =
																						BgL_head4543z00_1018;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 79 */
																					obj_t BgL_newtail4545z00_1025;

																					BgL_newtail4545z00_1025 =
																						MAKE_PAIR
																						(BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_l4541z00_1021)), BNIL);
																					SET_CDR(BgL_tail4544z00_1022,
																						BgL_newtail4545z00_1025);
																					{
																						obj_t BgL_tail4544z00_1964;

																						obj_t BgL_l4541z00_1962;

																						BgL_l4541z00_1962 =
																							CDR(BgL_l4541z00_1021);
																						BgL_tail4544z00_1964 =
																							BgL_newtail4545z00_1025;
																						BgL_tail4544z00_1022 =
																							BgL_tail4544z00_1964;
																						BgL_l4541z00_1021 =
																							BgL_l4541z00_1962;
																						goto
																							BgL_zc3anonymousza34576ze3z83_1023;
																					}
																				}
																		}
																	}
																}
														}
														{
															BgL_sfunz00_bglt BgL_auxz00_1965;

															BgL_auxz00_1965 =
																(BgL_sfunz00_bglt) (BgL_valz00_1009);
															((((BgL_sfunz00_bglt) CREF(BgL_auxz00_1965))->
																	BgL_argsz00) =
																((obj_t) BgL_arg4574z00_1015), BUNSPEC);
														}
													}
												else
													{	/* Cfa/arithmetic.scm 80 */
														bool_t BgL_testz00_1968;

														{	/* Cfa/arithmetic.scm 80 */
															obj_t BgL_obj1856z00_1765;

															BgL_obj1856z00_1765 = (obj_t) (BgL_valz00_1009);
															BgL_testz00_1968 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1856z00_1765, BGl_cfunz00zzast_varz00);
														}
														if (BgL_testz00_1968)
															{	/* Cfa/arithmetic.scm 81 */
																obj_t BgL_g4531z00_1035;

																{
																	BgL_cfunz00_bglt BgL_auxz00_1971;

																	BgL_auxz00_1971 =
																		(BgL_cfunz00_bglt) (BgL_valz00_1009);
																	BgL_g4531z00_1035 =
																		(((BgL_cfunz00_bglt)
																			CREF(BgL_auxz00_1971))->
																		BgL_argszd2typezd2);
																}
																{
																	obj_t BgL_lz00_1037;

																	{	/* Cfa/arithmetic.scm 81 */
																		bool_t BgL_auxz00_1974;

																		BgL_lz00_1037 = BgL_g4531z00_1035;
																	BgL_zc3anonymousza34587ze3z83_1038:
																		if (PAIRP(BgL_lz00_1037))
																			{	/* Cfa/arithmetic.scm 82 */
																				{	/* Cfa/arithmetic.scm 84 */
																					obj_t BgL_auxz00_1977;

																					BgL_auxz00_1977 =
																						BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_lz00_1037));
																					SET_CAR(BgL_lz00_1037,
																						BgL_auxz00_1977);
																				}
																				{
																					obj_t BgL_lz00_1981;

																					BgL_lz00_1981 = CDR(BgL_lz00_1037);
																					BgL_lz00_1037 = BgL_lz00_1981;
																					goto
																						BgL_zc3anonymousza34587ze3z83_1038;
																				}
																			}
																		else
																			{	/* Cfa/arithmetic.scm 82 */
																				BgL_auxz00_1974 = ((bool_t) 0);
																			}
																		BBOOL(BgL_auxz00_1974);
																	}
																}
															}
														else
															{	/* Cfa/arithmetic.scm 80 */
																BFALSE;
															}
													}
											}
										}
									}
								}
							}
							{
								obj_t BgL_l4547z00_1984;

								BgL_l4547z00_1984 = CDR(BgL_l4547z00_1003);
								BgL_l4547z00_1003 = BgL_l4547z00_1984;
								goto BgL_zc3anonymousza34567ze3z83_1004;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 67 */
							BgL_auxz00_1917 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1917);
				}
			}
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_1047)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 66 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1047,
					BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_1047 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_1047;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_tz00_1047,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 59 */
							{	/* Cfa/arithmetic.scm 60 */
								bool_t BgL_testz00_1993;

								{	/* Cfa/arithmetic.scm 60 */
									BgL_typez00_bglt BgL_arg4599z00_1053;

									{
										BgL_variablez00_bglt BgL_auxz00_1994;

										BgL_auxz00_1994 = (BgL_variablez00_bglt) (BgL_tz00_1047);
										BgL_arg4599z00_1053 =
											(((BgL_variablez00_bglt) CREF(BgL_auxz00_1994))->
											BgL_typez00);
									}
									BgL_testz00_1993 =
										(
										(obj_t) (BgL_arg4599z00_1053) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_1993)
									{
										BgL_typez00_bglt BgL_auxz00_2001;

										BgL_variablez00_bglt BgL_auxz00_1999;

										BgL_auxz00_2001 =
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
										BgL_auxz00_1999 = (BgL_variablez00_bglt) (BgL_tz00_1047);
										((((BgL_variablez00_bglt) CREF(BgL_auxz00_1999))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_2001), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 60 */
										BFALSE;
									}
							}
							return BgL_tz00_1047;
						}
					else
						{	/* Cfa/arithmetic.scm 59 */
							return BgL_tz00_1047;
						}
				}
		}
	}



/* _cleanup-arithmetic-nodes! */
	obj_t BGl__cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_envz00_1871)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc4781z00zzcfa_arithmeticz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc4782z00zzcfa_arithmeticz00);
		}
	}



/* cfa!-arithmetic-app4566 */
	obj_t BGl_cfaz12zd2arithmeticzd2app4566z12zzcfa_arithmeticz00(obj_t
		BgL_envz00_1874, obj_t BgL_nodez00_1875)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 141 */
			{
				BgL_arithmeticzd2appzd2_bglt BgL_nodez00_1643;

				{	/* Cfa/arithmetic.scm 172 */
					BgL_approxz00_bglt BgL_auxz00_2007;

					BgL_nodez00_1643 = (BgL_arithmeticzd2appzd2_bglt) (BgL_nodez00_1875);
					{
						obj_t BgL_argszd2approxzd2_1687;

						obj_t BgL_speczd2typeszd2_1688;

						obj_t BgL_argszd2approxzd2_1700;

						obj_t BgL_typez00_1701;

						obj_t BgL_speczd2typeszd2_1702;

						obj_t BgL_argszd2approxzd2_1717;

						{	/* Cfa/arithmetic.scm 182 */
							obj_t BgL_argszd2approxzd2_1651;

							{	/* Cfa/arithmetic.scm 182 */
								obj_t BgL_l4555z00_1669;

								{
									BgL_appz00_bglt BgL_auxz00_2008;

									BgL_auxz00_2008 = (BgL_appz00_bglt) (BgL_nodez00_1643);
									BgL_l4555z00_1669 =
										(((BgL_appz00_bglt) CREF(BgL_auxz00_2008))->BgL_argsz00);
								}
								if (NULLP(BgL_l4555z00_1669))
									{	/* Cfa/arithmetic.scm 182 */
										BgL_argszd2approxzd2_1651 = BNIL;
									}
								else
									{	/* Cfa/arithmetic.scm 182 */
										obj_t BgL_head4557z00_1671;

										{	/* Cfa/arithmetic.scm 182 */
											BgL_approxz00_bglt BgL_arg4747z00_1684;

											{	/* Cfa/arithmetic.scm 182 */
												obj_t BgL_arg4750z00_1686;

												BgL_arg4750z00_1686 = CAR(BgL_l4555z00_1669);
												BgL_arg4747z00_1684 =
													BGl_cfaz12z12zzcfa_cfaz00(
													(BgL_nodez00_bglt) (BgL_arg4750z00_1686));
											}
											BgL_head4557z00_1671 =
												MAKE_PAIR((obj_t) (BgL_arg4747z00_1684), BNIL);
										}
										{	/* Cfa/arithmetic.scm 182 */
											obj_t BgL_g4560z00_1672;

											BgL_g4560z00_1672 = CDR(BgL_l4555z00_1669);
											{
												obj_t BgL_l4555z00_1674;

												obj_t BgL_tail4558z00_1675;

												BgL_l4555z00_1674 = BgL_g4560z00_1672;
												BgL_tail4558z00_1675 = BgL_head4557z00_1671;
											BgL_zc3anonymousza34741ze3z83_1676:
												if (NULLP(BgL_l4555z00_1674))
													{	/* Cfa/arithmetic.scm 182 */
														BgL_argszd2approxzd2_1651 = BgL_head4557z00_1671;
													}
												else
													{	/* Cfa/arithmetic.scm 182 */
														obj_t BgL_newtail4559z00_1678;

														{	/* Cfa/arithmetic.scm 182 */
															BgL_approxz00_bglt BgL_arg4744z00_1680;

															{	/* Cfa/arithmetic.scm 182 */
																obj_t BgL_arg4746z00_1682;

																BgL_arg4746z00_1682 = CAR(BgL_l4555z00_1674);
																BgL_arg4744z00_1680 =
																	BGl_cfaz12z12zzcfa_cfaz00(
																	(BgL_nodez00_bglt) (BgL_arg4746z00_1682));
															}
															BgL_newtail4559z00_1678 =
																MAKE_PAIR((obj_t) (BgL_arg4744z00_1680), BNIL);
														}
														SET_CDR(BgL_tail4558z00_1675,
															BgL_newtail4559z00_1678);
														{
															obj_t BgL_tail4558z00_2029;

															obj_t BgL_l4555z00_2027;

															BgL_l4555z00_2027 = CDR(BgL_l4555z00_1674);
															BgL_tail4558z00_2029 = BgL_newtail4559z00_1678;
															BgL_tail4558z00_1675 = BgL_tail4558z00_2029;
															BgL_l4555z00_1674 = BgL_l4555z00_2027;
															goto BgL_zc3anonymousza34741ze3z83_1676;
														}
													}
											}
										}
									}
							}
							{	/* Cfa/arithmetic.scm 184 */
								obj_t BgL_tyz00_1652;

								BgL_argszd2approxzd2_1717 = BgL_argszd2approxzd2_1651;
								{
									obj_t BgL_argsz00_1720;

									BgL_argsz00_1720 = BgL_argszd2approxzd2_1717;
								BgL_zc3anonymousza34769ze3z83_1721:
									if (NULLP(BgL_argsz00_1720))
										{	/* Cfa/arithmetic.scm 150 */
											BgL_tyz00_1652 = BFALSE;
										}
									else
										{	/* Cfa/arithmetic.scm 152 */
											obj_t BgL_tz00_1723;

											{	/* Cfa/arithmetic.scm 152 */
												BgL_typez00_bglt BgL_arg4773z00_1726;

												{	/* Cfa/arithmetic.scm 152 */
													BgL_approxz00_bglt BgL_obj3077z00_1866;

													{	/* Cfa/arithmetic.scm 152 */
														obj_t BgL_pairz00_1865;

														BgL_pairz00_1865 = BgL_argsz00_1720;
														BgL_obj3077z00_1866 =
															(BgL_approxz00_bglt) (CAR(BgL_pairz00_1865));
													}
													BgL_arg4773z00_1726 =
														(((BgL_approxz00_bglt) CREF(BgL_obj3077z00_1866))->
														BgL_typez00);
												}
												if (
													((obj_t) (BgL_arg4773z00_1726) ==
														BGl_za2intza2z00zztype_cachez00))
													{	/* Cfa/arithmetic.scm 152 */
														BgL_tz00_1723 = BGl_za2longza2z00zztype_cachez00;
													}
												else
													{	/* Cfa/arithmetic.scm 152 */
														BgL_tz00_1723 = (obj_t) (BgL_arg4773z00_1726);
													}
											}
											if ((BgL_tz00_1723 == BGl_za2_za2z00zztype_cachez00))
												{
													obj_t BgL_argsz00_2041;

													BgL_argsz00_2041 = CDR(BgL_argsz00_1720);
													BgL_argsz00_1720 = BgL_argsz00_2041;
													goto BgL_zc3anonymousza34769ze3z83_1721;
												}
											else
												{	/* Cfa/arithmetic.scm 153 */
													BgL_tyz00_1652 = BgL_tz00_1723;
												}
										}
								}
								{	/* Cfa/arithmetic.scm 185 */
									bool_t BgL_testz00_2043;

									BgL_argszd2approxzd2_1700 = BgL_argszd2approxzd2_1651;
									BgL_typez00_1701 = BgL_tyz00_1652;
									{
										obj_t BgL_auxz00_2065;

										{	/* Cfa/arithmetic.scm 185 */
											BgL_objectz00_bglt BgL_auxz00_2066;

											BgL_auxz00_2066 = (BgL_objectz00_bglt) (BgL_nodez00_1643);
											BgL_auxz00_2065 = BGL_OBJECT_WIDENING(BgL_auxz00_2066);
										}
										BgL_speczd2typeszd2_1702 =
											(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_2065))->
											BgL_speczd2typeszd2);
									}
									{	/* Cfa/arithmetic.scm 159 */
										bool_t BgL__ortest_4537z00_1704;

										if (CBOOL(BgL_typez00_1701))
											{	/* Cfa/arithmetic.scm 159 */
												BgL__ortest_4537z00_1704 = ((bool_t) 0);
											}
										else
											{	/* Cfa/arithmetic.scm 159 */
												BgL__ortest_4537z00_1704 = ((bool_t) 1);
											}
										if (BgL__ortest_4537z00_1704)
											{	/* Cfa/arithmetic.scm 159 */
												BgL_testz00_2043 = BgL__ortest_4537z00_1704;
											}
										else
											{	/* Cfa/arithmetic.scm 159 */
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_typez00_1701, BgL_speczd2typeszd2_1702)))
													{
														obj_t BgL_argsz00_1707;

														BgL_argsz00_1707 = BgL_argszd2approxzd2_1700;
													BgL_zc3anonymousza34760ze3z83_1708:
														if (NULLP(BgL_argsz00_1707))
															{	/* Cfa/arithmetic.scm 162 */
																BgL_testz00_2043 = ((bool_t) 1);
															}
														else
															{	/* Cfa/arithmetic.scm 164 */
																obj_t BgL_tz00_1710;

																{	/* Cfa/arithmetic.scm 164 */
																	BgL_typez00_bglt BgL_arg4765z00_1714;

																	{	/* Cfa/arithmetic.scm 164 */
																		BgL_approxz00_bglt BgL_obj3077z00_1860;

																		{	/* Cfa/arithmetic.scm 164 */
																			obj_t BgL_pairz00_1859;

																			BgL_pairz00_1859 = BgL_argsz00_1707;
																			BgL_obj3077z00_1860 =
																				(BgL_approxz00_bglt) (CAR
																				(BgL_pairz00_1859));
																		}
																		BgL_arg4765z00_1714 =
																			(((BgL_approxz00_bglt)
																				CREF(BgL_obj3077z00_1860))->
																			BgL_typez00);
																	}
																	if (
																		((obj_t) (BgL_arg4765z00_1714) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 164 */
																			BgL_tz00_1710 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 164 */
																			BgL_tz00_1710 =
																				(obj_t) (BgL_arg4765z00_1714);
																		}
																}
																{	/* Cfa/arithmetic.scm 165 */
																	bool_t BgL_testz00_2059;

																	if ((BgL_tz00_1710 == BgL_typez00_1701))
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_2059 = ((bool_t) 1);
																		}
																	else
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_2059 =
																				(BgL_tz00_1710 ==
																				BGl_za2_za2z00zztype_cachez00);
																		}
																	if (BgL_testz00_2059)
																		{
																			obj_t BgL_argsz00_2063;

																			BgL_argsz00_2063 = CDR(BgL_argsz00_1707);
																			BgL_argsz00_1707 = BgL_argsz00_2063;
																			goto BgL_zc3anonymousza34760ze3z83_1708;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 165 */
																			BgL_testz00_2043 = ((bool_t) 0);
																		}
																}
															}
													}
												else
													{	/* Cfa/arithmetic.scm 160 */
														BgL_testz00_2043 = ((bool_t) 0);
													}
											}
									}
									if (BgL_testz00_2043)
										{	/* Cfa/arithmetic.scm 187 */
											bool_t BgL_testz00_2070;

											BgL_argszd2approxzd2_1687 = BgL_argszd2approxzd2_1651;
											{
												obj_t BgL_auxz00_2085;

												{	/* Cfa/arithmetic.scm 187 */
													BgL_objectz00_bglt BgL_auxz00_2086;

													BgL_auxz00_2086 =
														(BgL_objectz00_bglt) (BgL_nodez00_1643);
													BgL_auxz00_2085 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2086);
												}
												BgL_speczd2typeszd2_1688 =
													(((BgL_arithmeticzd2appzd2_bglt)
														CREF(BgL_auxz00_2085))->BgL_speczd2typeszd2);
											}
											{
												obj_t BgL_argsz00_1691;

												BgL_argsz00_1691 = BgL_argszd2approxzd2_1687;
											BgL_zc3anonymousza34752ze3z83_1692:
												if (NULLP(BgL_argsz00_1691))
													{	/* Cfa/arithmetic.scm 172 */
														BgL_testz00_2070 = ((bool_t) 1);
													}
												else
													{	/* Cfa/arithmetic.scm 174 */
														bool_t BgL_testz00_2073;

														{	/* Cfa/arithmetic.scm 174 */
															obj_t BgL_arg4756z00_1696;

															{	/* Cfa/arithmetic.scm 174 */
																BgL_typez00_bglt BgL_arg4757z00_1697;

																{	/* Cfa/arithmetic.scm 174 */
																	BgL_approxz00_bglt BgL_obj3077z00_1854;

																	{	/* Cfa/arithmetic.scm 174 */
																		obj_t BgL_pairz00_1853;

																		BgL_pairz00_1853 = BgL_argsz00_1691;
																		BgL_obj3077z00_1854 =
																			(BgL_approxz00_bglt) (CAR
																			(BgL_pairz00_1853));
																	}
																	BgL_arg4757z00_1697 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_obj3077z00_1854))->BgL_typez00);
																}
																if (
																	((obj_t) (BgL_arg4757z00_1697) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 174 */
																		BgL_arg4756z00_1696 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 174 */
																		BgL_arg4756z00_1696 =
																			(obj_t) (BgL_arg4757z00_1697);
																	}
															}
															BgL_testz00_2073 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(BgL_arg4756z00_1696,
																	BgL_speczd2typeszd2_1688));
														}
														if (BgL_testz00_2073)
															{
																obj_t BgL_argsz00_2083;

																BgL_argsz00_2083 = CDR(BgL_argsz00_1691);
																BgL_argsz00_1691 = BgL_argsz00_2083;
																goto BgL_zc3anonymousza34752ze3z83_1692;
															}
														else
															{	/* Cfa/arithmetic.scm 174 */
																BgL_testz00_2070 = ((bool_t) 0);
															}
													}
											}
											if (BgL_testz00_2070)
												{	/* Cfa/arithmetic.scm 190 */
													bool_t BgL_testz00_2090;

													{	/* Cfa/arithmetic.scm 190 */
														BgL_typez00_bglt BgL_arg4732z00_1657;

														{	/* Cfa/arithmetic.scm 190 */
															BgL_approxz00_bglt BgL_obj3077z00_1845;

															{
																obj_t BgL_auxz00_2091;

																{	/* Cfa/arithmetic.scm 190 */
																	BgL_objectz00_bglt BgL_auxz00_2092;

																	BgL_auxz00_2092 =
																		(BgL_objectz00_bglt) (BgL_nodez00_1643);
																	BgL_auxz00_2091 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2092);
																}
																BgL_obj3077z00_1845 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_2091))->BgL_approxz00);
															}
															BgL_arg4732z00_1657 =
																(((BgL_approxz00_bglt)
																	CREF(BgL_obj3077z00_1845))->BgL_typez00);
														}
														BgL_testz00_2090 =
															(
															(obj_t) (BgL_arg4732z00_1657) ==
															BGl_za2_za2z00zztype_cachez00);
													}
													if (BgL_testz00_2090)
														{	/* Cfa/arithmetic.scm 190 */
															{	/* Cfa/arithmetic.scm 193 */
																BgL_approxz00_bglt BgL_arg4731z00_1656;

																{
																	obj_t BgL_auxz00_2099;

																	{	/* Cfa/arithmetic.scm 193 */
																		BgL_objectz00_bglt BgL_auxz00_2100;

																		BgL_auxz00_2100 =
																			(BgL_objectz00_bglt) (BgL_nodez00_1643);
																		BgL_auxz00_2099 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2100);
																	}
																	BgL_arg4731z00_1656 =
																		(((BgL_arithmeticzd2appzd2_bglt)
																			CREF(BgL_auxz00_2099))->BgL_approxz00);
																}
																BGl_approxzd2setzd2typez12z12zzcfa_approxz00
																	(BgL_arg4731z00_1656,
																	(BgL_typez00_bglt) (BgL_tyz00_1652));
															}
															BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
														}
													else
														{	/* Cfa/arithmetic.scm 190 */
															BFALSE;
														}
												}
											else
												{	/* Cfa/arithmetic.scm 187 */
													BFALSE;
												}
										}
									else
										{	/* Cfa/arithmetic.scm 185 */
											{
												obj_t BgL_l4561z00_1661;

												BgL_l4561z00_1661 = BgL_argszd2approxzd2_1651;
											BgL_zc3anonymousza34735ze3z83_1662:
												if (PAIRP(BgL_l4561z00_1661))
													{	/* Cfa/arithmetic.scm 197 */
														{	/* Cfa/arithmetic.scm 197 */
															obj_t BgL_az00_1664;

															BgL_az00_1664 = CAR(BgL_l4561z00_1661);
															BGl_loosez12z12zzcfa_loosez00(
																(BgL_approxz00_bglt) (BgL_az00_1664),
																CNST_TABLE_REF(((long) 0)));
														}
														{
															obj_t BgL_l4561z00_2113;

															BgL_l4561z00_2113 = CDR(BgL_l4561z00_1661);
															BgL_l4561z00_1661 = BgL_l4561z00_2113;
															goto BgL_zc3anonymousza34735ze3z83_1662;
														}
													}
												else
													{	/* Cfa/arithmetic.scm 197 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/arithmetic.scm 198 */
												BgL_approxz00_bglt BgL_arg4738z00_1667;

												{
													obj_t BgL_auxz00_2115;

													{	/* Cfa/arithmetic.scm 198 */
														BgL_objectz00_bglt BgL_auxz00_2116;

														BgL_auxz00_2116 =
															(BgL_objectz00_bglt) (BgL_nodez00_1643);
														BgL_auxz00_2115 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2116);
													}
													BgL_arg4738z00_1667 =
														(((BgL_arithmeticzd2appzd2_bglt)
															CREF(BgL_auxz00_2115))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg4738z00_1667,
													(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
											}
										}
								}
							}
						}
						{
							obj_t BgL_auxz00_2122;

							{	/* Cfa/arithmetic.scm 200 */
								BgL_objectz00_bglt BgL_auxz00_2123;

								BgL_auxz00_2123 = (BgL_objectz00_bglt) (BgL_nodez00_1643);
								BgL_auxz00_2122 = BGL_OBJECT_WIDENING(BgL_auxz00_2123);
							}
							BgL_auxz00_2007 =
								(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_2122))->
								BgL_approxz00);
						}
					}
					return (obj_t) (BgL_auxz00_2007);
				}
			}
		}
	}



/* node-setup!-pre-arit4564 */
	obj_t BGl_nodezd2setupz12zd2prezd2arit4564zc0zzcfa_arithmeticz00(obj_t
		BgL_envz00_1876, obj_t BgL_nodez00_1877)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 96 */
			{
				BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_1582;

				{	/* Cfa/arithmetic.scm 99 */
					BgL_appz00_bglt BgL_auxz00_2129;

					BgL_nodez00_1582 =
						(BgL_prezd2arithmeticzd2appz00_bglt) (BgL_nodez00_1877);
					{	/* Cfa/arithmetic.scm 107 */
						BgL_variablez00_bglt BgL_fz00_1587;

						{	/* Cfa/arithmetic.scm 107 */
							BgL_varz00_bglt BgL_obj1993z00_1779;

							{
								BgL_appz00_bglt BgL_auxz00_2130;

								BgL_auxz00_2130 = (BgL_appz00_bglt) (BgL_nodez00_1582);
								BgL_obj1993z00_1779 =
									(((BgL_appz00_bglt) CREF(BgL_auxz00_2130))->BgL_funz00);
							}
							BgL_fz00_1587 =
								(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1779))->
								BgL_variablez00);
						}
						{	/* Cfa/arithmetic.scm 107 */
							BgL_valuez00_bglt BgL_valz00_1588;

							BgL_valz00_1588 =
								(((BgL_variablez00_bglt) CREF(BgL_fz00_1587))->BgL_valuez00);
							{	/* Cfa/arithmetic.scm 108 */

								{	/* Cfa/arithmetic.scm 110 */
									bool_t BgL_testz00_2135;

									{	/* Cfa/arithmetic.scm 110 */
										BgL_typez00_bglt BgL_arg4694z00_1590;

										BgL_arg4694z00_1590 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_1587))->
											BgL_typez00);
										BgL_testz00_2135 =
											((obj_t) (BgL_arg4694z00_1590) ==
											BGl_za2objza2z00zztype_cachez00);
									}
									if (BgL_testz00_2135)
										{	/* Cfa/arithmetic.scm 110 */
											{
												BgL_typez00_bglt BgL_auxz00_2139;

												BgL_auxz00_2139 =
													(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
												((((BgL_variablez00_bglt) CREF(BgL_fz00_1587))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_2139), BUNSPEC);
											}
											{
												BgL_typez00_bglt BgL_auxz00_2144;

												BgL_nodez00_bglt BgL_auxz00_2142;

												BgL_auxz00_2144 =
													(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
												BgL_auxz00_2142 = (BgL_nodez00_bglt) (BgL_nodez00_1582);
												((((BgL_nodez00_bglt) CREF(BgL_auxz00_2142))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_2144), BUNSPEC);
											}
										}
									else
										{	/* Cfa/arithmetic.scm 110 */
											BFALSE;
										}
								}
								{	/* Cfa/arithmetic.scm 117 */
									bool_t BgL_testz00_2147;

									{	/* Cfa/arithmetic.scm 117 */
										obj_t BgL_obj1792z00_1786;

										BgL_obj1792z00_1786 = (obj_t) (BgL_valz00_1588);
										BgL_testz00_2147 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1792z00_1786,
											BGl_sfunz00zzast_varz00);
									}
									if (BgL_testz00_2147)
										{	/* Cfa/arithmetic.scm 119 */
											obj_t BgL_arg4696z00_1592;

											{	/* Cfa/arithmetic.scm 119 */
												obj_t BgL_l4549z00_1593;

												{
													BgL_sfunz00_bglt BgL_auxz00_2150;

													BgL_auxz00_2150 =
														(BgL_sfunz00_bglt) (BgL_valz00_1588);
													BgL_l4549z00_1593 =
														(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2150))->
														BgL_argsz00);
												}
												if (NULLP(BgL_l4549z00_1593))
													{	/* Cfa/arithmetic.scm 119 */
														BgL_arg4696z00_1592 = BNIL;
													}
												else
													{	/* Cfa/arithmetic.scm 119 */
														obj_t BgL_head4551z00_1595;

														BgL_head4551z00_1595 =
															MAKE_PAIR
															(BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
																(BgL_l4549z00_1593)), BNIL);
														{	/* Cfa/arithmetic.scm 119 */
															obj_t BgL_g4554z00_1596;

															BgL_g4554z00_1596 = CDR(BgL_l4549z00_1593);
															{
																obj_t BgL_l4549z00_1598;

																obj_t BgL_tail4552z00_1599;

																BgL_l4549z00_1598 = BgL_g4554z00_1596;
																BgL_tail4552z00_1599 = BgL_head4551z00_1595;
															BgL_zc3anonymousza34698ze3z83_1600:
																if (NULLP(BgL_l4549z00_1598))
																	{	/* Cfa/arithmetic.scm 119 */
																		BgL_arg4696z00_1592 = BgL_head4551z00_1595;
																	}
																else
																	{	/* Cfa/arithmetic.scm 119 */
																		obj_t BgL_newtail4553z00_1602;

																		BgL_newtail4553z00_1602 =
																			MAKE_PAIR
																			(BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l4549z00_1598)), BNIL);
																		SET_CDR(BgL_tail4552z00_1599,
																			BgL_newtail4553z00_1602);
																		{
																			obj_t BgL_tail4552z00_2167;

																			obj_t BgL_l4549z00_2165;

																			BgL_l4549z00_2165 =
																				CDR(BgL_l4549z00_1598);
																			BgL_tail4552z00_2167 =
																				BgL_newtail4553z00_1602;
																			BgL_tail4552z00_1599 =
																				BgL_tail4552z00_2167;
																			BgL_l4549z00_1598 = BgL_l4549z00_2165;
																			goto BgL_zc3anonymousza34698ze3z83_1600;
																		}
																	}
															}
														}
													}
											}
											{
												BgL_sfunz00_bglt BgL_auxz00_2168;

												BgL_auxz00_2168 = (BgL_sfunz00_bglt) (BgL_valz00_1588);
												((((BgL_sfunz00_bglt) CREF(BgL_auxz00_2168))->
														BgL_argsz00) =
													((obj_t) BgL_arg4696z00_1592), BUNSPEC);
											}
										}
									else
										{	/* Cfa/arithmetic.scm 120 */
											bool_t BgL_testz00_2171;

											{	/* Cfa/arithmetic.scm 120 */
												obj_t BgL_obj1856z00_1802;

												BgL_obj1856z00_1802 = (obj_t) (BgL_valz00_1588);
												BgL_testz00_2171 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1856z00_1802,
													BGl_cfunz00zzast_varz00);
											}
											if (BgL_testz00_2171)
												{	/* Cfa/arithmetic.scm 121 */
													obj_t BgL_g4534z00_1612;

													{
														BgL_cfunz00_bglt BgL_auxz00_2174;

														BgL_auxz00_2174 =
															(BgL_cfunz00_bglt) (BgL_valz00_1588);
														BgL_g4534z00_1612 =
															(((BgL_cfunz00_bglt) CREF(BgL_auxz00_2174))->
															BgL_argszd2typezd2);
													}
													{
														obj_t BgL_lz00_1614;

														BgL_lz00_1614 = BgL_g4534z00_1612;
													BgL_zc3anonymousza34708ze3z83_1615:
														if (PAIRP(BgL_lz00_1614))
															{	/* Cfa/arithmetic.scm 123 */
																obj_t BgL_auxz00_2179;

																BgL_auxz00_2179 =
																	BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																	(CAR(BgL_lz00_1614));
																SET_CAR(BgL_lz00_1614, BgL_auxz00_2179);
															}
														else
															{
																obj_t BgL_lz00_2183;

																BgL_lz00_2183 = CDR(BgL_lz00_1614);
																BgL_lz00_1614 = BgL_lz00_2183;
																goto BgL_zc3anonymousza34708ze3z83_1615;
															}
													}
												}
											else
												{	/* Cfa/arithmetic.scm 120 */
													BGl_errorz00zz__errorz00
														(BGl_string4783z00zzcfa_arithmeticz00,
														BGl_string4784z00zzcfa_arithmeticz00,
														(obj_t) (BgL_nodez00_1582));
												}
										}
								}
								BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
									MAKE_PAIR(
									(obj_t) (BgL_nodez00_1582),
									BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
								{	/* Cfa/arithmetic.scm 129 */
									obj_t BgL_arg4713z00_1621;

									{
										BgL_appz00_bglt BgL_auxz00_2189;

										BgL_auxz00_2189 = (BgL_appz00_bglt) (BgL_nodez00_1582);
										BgL_arg4713z00_1621 =
											(((BgL_appz00_bglt) CREF(BgL_auxz00_2189))->BgL_argsz00);
									}
									BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4713z00_1621);
								}
								{	/* Cfa/arithmetic.scm 130 */
									obj_t BgL_speczd2typeszd2_1622;

									{
										obj_t BgL_auxz00_2193;

										{	/* Cfa/arithmetic.scm 130 */
											BgL_objectz00_bglt BgL_auxz00_2194;

											BgL_auxz00_2194 = (BgL_objectz00_bglt) (BgL_nodez00_1582);
											BgL_auxz00_2193 = BGL_OBJECT_WIDENING(BgL_auxz00_2194);
										}
										BgL_speczd2typeszd2_1622 =
											(((BgL_prezd2arithmeticzd2appz00_bglt)
												CREF(BgL_auxz00_2193))->BgL_speczd2typeszd2);
									}
									{	/* Cfa/arithmetic.scm 130 */
										BgL_prezd2arithmeticzd2appz00_bglt BgL_nodez00_1623;

										{	/* Cfa/arithmetic.scm 131 */
											long BgL_arg4720z00_1632;

											{	/* Cfa/arithmetic.scm 131 */
												obj_t BgL_arg4721z00_1633;

												{	/* Cfa/arithmetic.scm 131 */
													obj_t BgL_arg4722z00_1634;

													{	/* Cfa/arithmetic.scm 131 */
														BgL_objectz00_bglt BgL_objectz00_1811;

														BgL_objectz00_1811 =
															(BgL_objectz00_bglt) (BgL_nodez00_1582);
														{	/* Cfa/arithmetic.scm 131 */
															long BgL_arg2425z00_1812;

															{	/* Cfa/arithmetic.scm 131 */
																long BgL_arg2426z00_1813;

																BgL_arg2426z00_1813 =
																	BGL_OBJECT_CLASS_NUM(BgL_objectz00_1811);
																BgL_arg2425z00_1812 =
																	(BgL_arg2426z00_1813 - OBJECT_TYPE);
															}
															BgL_arg4722z00_1634 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																(int) (BgL_arg2425z00_1812));
													}}
													BgL_arg4721z00_1633 =
														BGl_classzd2superzd2zz__objectz00
														(BgL_arg4722z00_1634);
												}
												BgL_arg4720z00_1632 =
													BGl_classzd2numzd2zz__objectz00(BgL_arg4721z00_1633);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												(BgL_objectz00_bglt) (BgL_nodez00_1582),
												BgL_arg4720z00_1632);
										}
										{	/* Cfa/arithmetic.scm 131 */
											BgL_objectz00_bglt BgL_auxz00_2207;

											BgL_auxz00_2207 = (BgL_objectz00_bglt) (BgL_nodez00_1582);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_2207, BFALSE);
										}
										BgL_nodez00_1623 = BgL_nodez00_1582;
										{	/* Cfa/arithmetic.scm 131 */

											{	/* Cfa/arithmetic.scm 132 */
												BgL_appz00_bglt BgL_obj4536z00_1624;

												BgL_obj4536z00_1624 =
													((BgL_appz00_bglt)
													(BgL_appz00_bglt) (BgL_nodez00_1623));
												{	/* Cfa/arithmetic.scm 134 */
													obj_t BgL_arg4714z00_1625;

													{	/* Cfa/arithmetic.scm 134 */
														BgL_approxz00_bglt BgL_arg4715z00_1626;

														{	/* Cfa/arithmetic.scm 134 */
															bool_t BgL_testz00_2212;

															{	/* Cfa/arithmetic.scm 134 */
																BgL_typez00_bglt BgL_arg4718z00_1629;

																BgL_arg4718z00_1629 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_fz00_1587))->BgL_typez00);
																BgL_testz00_2212 =
																	((obj_t) (BgL_arg4718z00_1629) ==
																	BGl_za2_za2z00zztype_cachez00);
															}
															if (BgL_testz00_2212)
																{	/* Cfa/arithmetic.scm 134 */
																	BgL_arg4715z00_1626 =
																		BGl_makezd2emptyzd2approxz00zzcfa_approxz00
																		();
																}
															else
																{	/* Cfa/arithmetic.scm 136 */
																	BgL_typez00_bglt BgL_arg4717z00_1628;

																	BgL_arg4717z00_1628 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_fz00_1587))->BgL_typez00);
																	BgL_arg4715z00_1626 =
																		BGl_makezd2typezd2approxz00zzcfa_approxz00
																		(BgL_arg4717z00_1628);
																}
														}
														BgL_arg4714z00_1625 =
															BGl_wideningzd2arithmeticzd2appz00zzcfa_info2z00
															(BgL_arg4715z00_1626, BgL_speczd2typeszd2_1622);
													}
													{	/* Cfa/arithmetic.scm 132 */
														BgL_objectz00_bglt BgL_auxz00_2220;

														BgL_auxz00_2220 =
															(BgL_objectz00_bglt) (BgL_obj4536z00_1624);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_2220,
															BgL_arg4714z00_1625);
													}
												}
												BGL_OBJECT_CLASS_NUM_SET(
													(BgL_objectz00_bglt) (BgL_obj4536z00_1624),
													BGl_classzd2numzd2zz__objectz00
													(BGl_arithmeticzd2appzd2zzcfa_info2z00));
												BgL_auxz00_2129 = BgL_obj4536z00_1624;
											}
										}
									}
								}
							}
						}
					}
					return (obj_t) (BgL_auxz00_2129);
				}
			}
		}
	}



/* unspecified-type */
	obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_1636)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 105 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_lz00_1636,
					BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 99 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 99 */
					if (BGl_iszd2azf3z21zz__objectz00(BgL_lz00_1636,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 101 */
							{
								BgL_typez00_bglt BgL_auxz00_2234;

								BgL_variablez00_bglt BgL_auxz00_2232;

								BgL_auxz00_2234 =
									(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00);
								BgL_auxz00_2232 = (BgL_variablez00_bglt) (BgL_lz00_1636);
								((((BgL_variablez00_bglt) CREF(BgL_auxz00_2232))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_2234), BUNSPEC);
							}
							return BgL_lz00_1636;
						}
					else
						{	/* Cfa/arithmetic.scm 101 */
							return BgL_lz00_1636;
						}
				}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 326518176),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 212645849),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 249450490),
				BSTRING_TO_STRING(BGl_string4785z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
