/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t, obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl__convertz12z12zzcoerce_convertz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00();
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[15];


	   
		 
		DEFINE_STRING(BGl_string3774z00zzcoerce_convertz00,
		BgL_bgl_string3774za700za7za7c3783za7, "Type error", 10);
	      DEFINE_STRING(BGl_string3775z00zzcoerce_convertz00,
		BgL_bgl_string3775za700za7za7c3784za7, "", 0);
	      DEFINE_STRING(BGl_string3776z00zzcoerce_convertz00,
		BgL_bgl_string3776za700za7za7c3785za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string3777z00zzcoerce_convertz00,
		BgL_bgl_string3777za700za7za7c3786za7, "do-convert", 10);
	      DEFINE_STRING(BGl_string3778z00zzcoerce_convertz00,
		BgL_bgl_string3778za700za7za7c3787za7, "Illegal converter", 17);
	      DEFINE_STRING(BGl_string3780z00zzcoerce_convertz00,
		BgL_bgl_string3780za700za7za7c3788za7,
		"aux2 if coercer bigloo-type-error failure quote bigloo-type-error/location __error @ begin location bdb ::obj let aux ",
		118);
	      DEFINE_STRING(BGl_string3779z00zzcoerce_convertz00,
		BgL_bgl_string3779za700za7za7c3789za7, "coerce_convert", 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl__convertza712za712za7za73790z00,
		BGl__convertz12z12zzcoerce_convertz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl__runtimeza7d2typeza73791z00,
		BGl__runtimezd2typezd2errorz00zzcoerce_convertz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_1825, char *BgL_fromz00_1826)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_1817;

				BgL_cportz00_1817 =
					bgl_open_input_string(BGl_string3780z00zzcoerce_convertz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1818;

					BgL_iz00_1818 = ((long) 14);
				BgL_loopz00_1819:
					if ((BgL_iz00_1818 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg3782z00_1821;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_1823;

										BgL_locationz00_1823 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg3782z00_1821 =
												BGl_readz00zz__readerz00(BgL_cportz00_1817,
												BgL_locationz00_1823);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_auxz00_1845;

									BgL_auxz00_1845 = (int) (BgL_iz00_1818);
									CNST_TABLE_SET(BgL_auxz00_1845, BgL_arg3782z00_1821);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_1824;

								BgL_auxz00_1824 = (int) ((BgL_iz00_1818 - ((long) 1)));
								{
									long BgL_iz00_1850;

									BgL_iz00_1850 = (long) (BgL_auxz00_1824);
									BgL_iz00_1818 = BgL_iz00_1850;
									goto BgL_loopz00_1819;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_41, obj_t BgL_tiz00_42, obj_t BgL_valuez00_43)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 69 */
			{

				if (BGl_iszd2azf3z21zz__objectz00(BgL_valuez00_43,
						BGl_nodez00zzast_nodez00))
					{	/* Coerce/convert.scm 105 */
						BgL_nodez00_bglt BgL_auxz00_1854;

						{	/* Coerce/convert.scm 96 */
							obj_t BgL_auxz00_970;

							BgL_auxz00_970 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
							{	/* Coerce/convert.scm 96 */
								BgL_nodez00_bglt BgL_resz00_971;

								{	/* Coerce/convert.scm 98 */
									obj_t BgL_arg3472z00_974;

									{	/* Coerce/convert.scm 98 */
										obj_t BgL_arg3473z00_975;

										obj_t BgL_arg3474z00_976;

										BgL_arg3473z00_975 = CNST_TABLE_REF(((long) 1));
										{	/* Coerce/convert.scm 98 */
											obj_t BgL_arg3475z00_977;

											obj_t BgL_arg3476z00_978;

											{	/* Coerce/convert.scm 98 */
												obj_t BgL_arg3480z00_982;

												{	/* Coerce/convert.scm 98 */
													obj_t BgL_arg3482z00_984;

													obj_t BgL_arg3483z00_985;

													{	/* Coerce/convert.scm 98 */
														obj_t BgL_arg3484z00_986;

														{	/* Coerce/convert.scm 98 */
															obj_t BgL_arg3485z00_987;

															{	/* Coerce/convert.scm 98 */
																obj_t BgL_arg3486z00_988;

																obj_t BgL_arg3487z00_989;

																BgL_arg3486z00_988 =
																	SYMBOL_TO_STRING(BgL_auxz00_970);
																{	/* Coerce/convert.scm 98 */
																	obj_t BgL_symbolz00_1668;

																	BgL_symbolz00_1668 =
																		CNST_TABLE_REF(((long) 2));
																	BgL_arg3487z00_989 =
																		SYMBOL_TO_STRING(BgL_symbolz00_1668);
																}
																{	/* Coerce/convert.scm 98 */
																	obj_t BgL_list3488z00_990;

																	{	/* Coerce/convert.scm 98 */
																		obj_t BgL_arg3489z00_991;

																		BgL_arg3489z00_991 =
																			MAKE_PAIR(BgL_arg3487z00_989, BNIL);
																		BgL_list3488z00_990 =
																			MAKE_PAIR(BgL_arg3486z00_988,
																			BgL_arg3489z00_991);
																	}
																	BgL_arg3485z00_987 =
																		BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																		(BgL_list3488z00_990);
															}}
															BgL_arg3484z00_986 =
																string_to_symbol(BSTRING_TO_STRING
																(BgL_arg3485z00_987));
														}
														BgL_arg3482z00_984 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BgL_arg3484z00_986);
													}
													{	/* Coerce/convert.scm 98 */
														obj_t BgL_list3490z00_992;

														BgL_list3490z00_992 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3483z00_985 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BUNSPEC, BgL_list3490z00_992);
													}
													BgL_arg3480z00_982 =
														MAKE_PAIR(BgL_arg3482z00_984, BgL_arg3483z00_985);
												}
												BgL_arg3475z00_977 =
													MAKE_PAIR(BgL_arg3480z00_982, BNIL);
											}
											BgL_arg3476z00_978 =
												BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
												(BgL_tiz00_42, BgL_locz00_41, BgL_auxz00_970);
											{	/* Coerce/convert.scm 98 */
												obj_t BgL_list3478z00_980;

												{	/* Coerce/convert.scm 98 */
													obj_t BgL_arg3479z00_981;

													BgL_arg3479z00_981 = MAKE_PAIR(BNIL, BNIL);
													BgL_list3478z00_980 =
														MAKE_PAIR(BgL_arg3476z00_978, BgL_arg3479z00_981);
												}
												BgL_arg3474z00_976 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3475z00_977, BgL_list3478z00_980);
										}}
										BgL_arg3472z00_974 =
											MAKE_PAIR(BgL_arg3473z00_975, BgL_arg3474z00_976);
									}
									BgL_resz00_971 =
										BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
										(BgL_arg3472z00_974, BgL_locz00_41);
								}
								{	/* Coerce/convert.scm 97 */

									{	/* Coerce/convert.scm 102 */
										obj_t BgL_arg3470z00_972;

										{	/* Coerce/convert.scm 102 */
											obj_t BgL_pairz00_1671;

											{
												BgL_letzd2varzd2_bglt BgL_auxz00_1877;

												BgL_auxz00_1877 =
													(BgL_letzd2varzd2_bglt) (BgL_resz00_971);
												BgL_pairz00_1671 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_1877))->
													BgL_bindingsz00);
											}
											BgL_arg3470z00_972 = CAR(BgL_pairz00_1671);
										}
										SET_CDR(BgL_arg3470z00_972, BgL_valuez00_43);
									}
									BgL_auxz00_1854 = BgL_resz00_971;
						}}}
						return (obj_t) (BgL_auxz00_1854);
					}
				else
					{	/* Coerce/convert.scm 104 */
						return
							BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
							(BgL_tiz00_42, BgL_locz00_41, BgL_valuez00_43);
					}
			}
		}
	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_tiz00_1814, obj_t BgL_locz00_1813, obj_t BgL_idz00_993)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 73 */
			{	/* Coerce/convert.scm 74 */
				bool_t BgL_testz00_1884;

				{	/* Coerce/convert.scm 74 */
					bool_t BgL_testz00_1885;

					{	/* Coerce/convert.scm 74 */
						bool_t BgL_testz00_1886;

						if (
							((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
								((long) 0)))
							{	/* Coerce/convert.scm 75 */
								obj_t BgL_arg3565z00_1064;

								obj_t BgL_arg3566z00_1065;

								BgL_arg3565z00_1064 = CNST_TABLE_REF(((long) 3));
								{	/* Coerce/convert.scm 75 */
									obj_t BgL_arg3567z00_1066;

									BgL_arg3567z00_1066 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									{
										BgL_backendz00_bglt BgL_auxz00_1892;

										BgL_auxz00_1892 =
											(BgL_backendz00_bglt) (BgL_arg3567z00_1066);
										BgL_arg3566z00_1065 =
											(((BgL_backendz00_bglt) CREF(BgL_auxz00_1892))->
											BgL_debugzd2supportzd2);
								}}
								BgL_testz00_1886 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3565z00_1064, BgL_arg3566z00_1065));
							}
						else
							{	/* Coerce/convert.scm 74 */
								BgL_testz00_1886 = ((bool_t) 0);
							}
						if (BgL_testz00_1886)
							{	/* Coerce/convert.scm 74 */
								BgL_testz00_1885 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 74 */
								if (
									((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
										((long) 0)))
									{	/* Coerce/convert.scm 76 */
										BgL_testz00_1885 = ((bool_t) 1);
									}
								else
									{	/* Coerce/convert.scm 76 */
										BgL_testz00_1885 =
											CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00);
									}
							}
					}
					if (BgL_testz00_1885)
						{	/* Coerce/convert.scm 74 */
							if (STRUCTP(BgL_locz00_1813))
								{	/* Coerce/convert.scm 78 */
									BgL_testz00_1884 =
										(STRUCT_KEY(BgL_locz00_1813) == CNST_TABLE_REF(((long) 4)));
								}
							else
								{	/* Coerce/convert.scm 78 */
									BgL_testz00_1884 = ((bool_t) 0);
								}
						}
					else
						{	/* Coerce/convert.scm 74 */
							BgL_testz00_1884 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_1884)
					{	/* Coerce/convert.scm 79 */
						obj_t BgL_arg3493z00_996;

						obj_t BgL_arg3494z00_997;

						BgL_arg3493z00_996 = CNST_TABLE_REF(((long) 5));
						{	/* Coerce/convert.scm 80 */
							obj_t BgL_arg3495z00_998;

							obj_t BgL_arg3496z00_999;

							{	/* Coerce/convert.scm 80 */
								obj_t BgL_arg3500z00_1003;

								obj_t BgL_arg3501z00_1004;

								{	/* Coerce/convert.scm 80 */
									obj_t BgL_arg3502z00_1005;

									obj_t BgL_arg3503z00_1006;

									BgL_arg3502z00_1005 = CNST_TABLE_REF(((long) 6));
									{	/* Coerce/convert.scm 80 */
										obj_t BgL_list3504z00_1007;

										{	/* Coerce/convert.scm 80 */
											obj_t BgL_arg3505z00_1008;

											obj_t BgL_arg3506z00_1009;

											BgL_arg3505z00_1008 = CNST_TABLE_REF(((long) 7));
											BgL_arg3506z00_1009 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3504z00_1007 =
												MAKE_PAIR(BgL_arg3505z00_1008, BgL_arg3506z00_1009);
										}
										BgL_arg3503z00_1006 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF
											(((long) 8)), BgL_list3504z00_1007);
									}
									BgL_arg3500z00_1003 =
										MAKE_PAIR(BgL_arg3502z00_1005, BgL_arg3503z00_1006);
								}
								{	/* Coerce/convert.scm 80 */
									obj_t BgL_arg3507z00_1010;

									obj_t BgL_arg3508z00_1011;

									obj_t BgL_arg3509z00_1012;

									obj_t BgL_arg3510z00_1013;

									{	/* Coerce/convert.scm 80 */
										obj_t BgL_arg3519z00_1020;

										obj_t BgL_arg3520z00_1021;

										BgL_arg3519z00_1020 = CNST_TABLE_REF(((long) 9));
										{	/* Coerce/convert.scm 80 */
											obj_t BgL_arg3521z00_1022;

											BgL_arg3521z00_1022 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 80 */
												obj_t BgL_list3523z00_1024;

												BgL_list3523z00_1024 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3520z00_1021 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3521z00_1022, BgL_list3523z00_1024);
										}}
										BgL_arg3507z00_1010 =
											MAKE_PAIR(BgL_arg3519z00_1020, BgL_arg3520z00_1021);
									}
									BgL_arg3508z00_1011 = SYMBOL_TO_STRING(BgL_tiz00_1814);
									BgL_arg3509z00_1012 =
										BGl_locationzd2fullzd2fnamez00zztools_locationz00
										(BgL_locz00_1813);
									BgL_arg3510z00_1013 =
										STRUCT_REF(BgL_locz00_1813, (int) (((long) 1)));
									{	/* Coerce/convert.scm 80 */
										obj_t BgL_list3512z00_1015;

										{	/* Coerce/convert.scm 80 */
											obj_t BgL_arg3513z00_1016;

											{	/* Coerce/convert.scm 80 */
												obj_t BgL_arg3514z00_1017;

												{	/* Coerce/convert.scm 80 */
													obj_t BgL_arg3515z00_1018;

													{	/* Coerce/convert.scm 80 */
														obj_t BgL_arg3518z00_1019;

														BgL_arg3518z00_1019 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3515z00_1018 =
															MAKE_PAIR(BgL_arg3510z00_1013,
															BgL_arg3518z00_1019);
													}
													BgL_arg3514z00_1017 =
														MAKE_PAIR(BgL_arg3509z00_1012, BgL_arg3515z00_1018);
												}
												BgL_arg3513z00_1016 =
													MAKE_PAIR(BgL_idz00_993, BgL_arg3514z00_1017);
											}
											BgL_list3512z00_1015 =
												MAKE_PAIR(BgL_arg3508z00_1011, BgL_arg3513z00_1016);
										}
										BgL_arg3501z00_1004 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3507z00_1010, BgL_list3512z00_1015);
								}}
								BgL_arg3495z00_998 =
									MAKE_PAIR(BgL_arg3500z00_1003, BgL_arg3501z00_1004);
							}
							{	/* Coerce/convert.scm 88 */
								obj_t BgL_arg3524z00_1025;

								obj_t BgL_arg3525z00_1026;

								BgL_arg3524z00_1025 = CNST_TABLE_REF(((long) 10));
								{	/* Coerce/convert.scm 88 */
									obj_t BgL_list3526z00_1027;

									{	/* Coerce/convert.scm 88 */
										obj_t BgL_arg3527z00_1028;

										{	/* Coerce/convert.scm 88 */
											obj_t BgL_arg3528z00_1029;

											BgL_arg3528z00_1029 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3527z00_1028 =
												MAKE_PAIR(BFALSE, BgL_arg3528z00_1029);
										}
										BgL_list3526z00_1027 =
											MAKE_PAIR(BFALSE, BgL_arg3527z00_1028);
									}
									BgL_arg3525z00_1026 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BFALSE,
										BgL_list3526z00_1027);
								}
								BgL_arg3496z00_999 =
									MAKE_PAIR(BgL_arg3524z00_1025, BgL_arg3525z00_1026);
							}
							{	/* Coerce/convert.scm 79 */
								obj_t BgL_list3498z00_1001;

								{	/* Coerce/convert.scm 79 */
									obj_t BgL_arg3499z00_1002;

									BgL_arg3499z00_1002 = MAKE_PAIR(BNIL, BNIL);
									BgL_list3498z00_1001 =
										MAKE_PAIR(BgL_arg3496z00_999, BgL_arg3499z00_1002);
								}
								BgL_arg3494z00_997 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3495z00_998, BgL_list3498z00_1001);
						}}
						return MAKE_PAIR(BgL_arg3493z00_996, BgL_arg3494z00_997);
					}
				else
					{	/* Coerce/convert.scm 89 */
						obj_t BgL_arg3529z00_1030;

						obj_t BgL_arg3530z00_1031;

						BgL_arg3529z00_1030 = CNST_TABLE_REF(((long) 5));
						{	/* Coerce/convert.scm 90 */
							obj_t BgL_arg3531z00_1032;

							obj_t BgL_arg3532z00_1033;

							{	/* Coerce/convert.scm 90 */
								obj_t BgL_arg3536z00_1037;

								obj_t BgL_arg3537z00_1038;

								{	/* Coerce/convert.scm 90 */
									obj_t BgL_arg3538z00_1039;

									obj_t BgL_arg3539z00_1040;

									BgL_arg3538z00_1039 = CNST_TABLE_REF(((long) 6));
									{	/* Coerce/convert.scm 90 */
										obj_t BgL_list3540z00_1041;

										{	/* Coerce/convert.scm 90 */
											obj_t BgL_arg3541z00_1042;

											obj_t BgL_arg3542z00_1043;

											BgL_arg3541z00_1042 = CNST_TABLE_REF(((long) 7));
											BgL_arg3542z00_1043 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3540z00_1041 =
												MAKE_PAIR(BgL_arg3541z00_1042, BgL_arg3542z00_1043);
										}
										BgL_arg3539z00_1040 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF
											(((long) 11)), BgL_list3540z00_1041);
									}
									BgL_arg3536z00_1037 =
										MAKE_PAIR(BgL_arg3538z00_1039, BgL_arg3539z00_1040);
								}
								{	/* Coerce/convert.scm 90 */
									obj_t BgL_arg3543z00_1044;

									obj_t BgL_arg3544z00_1045;

									{	/* Coerce/convert.scm 90 */
										obj_t BgL_arg3550z00_1050;

										obj_t BgL_arg3552z00_1051;

										BgL_arg3550z00_1050 = CNST_TABLE_REF(((long) 9));
										{	/* Coerce/convert.scm 90 */
											obj_t BgL_arg3553z00_1052;

											BgL_arg3553z00_1052 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 90 */
												obj_t BgL_list3555z00_1054;

												BgL_list3555z00_1054 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3552z00_1051 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3553z00_1052, BgL_list3555z00_1054);
										}}
										BgL_arg3543z00_1044 =
											MAKE_PAIR(BgL_arg3550z00_1050, BgL_arg3552z00_1051);
									}
									BgL_arg3544z00_1045 = SYMBOL_TO_STRING(BgL_tiz00_1814);
									{	/* Coerce/convert.scm 90 */
										obj_t BgL_list3547z00_1047;

										{	/* Coerce/convert.scm 90 */
											obj_t BgL_arg3548z00_1048;

											{	/* Coerce/convert.scm 90 */
												obj_t BgL_arg3549z00_1049;

												BgL_arg3549z00_1049 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3548z00_1048 =
													MAKE_PAIR(BgL_idz00_993, BgL_arg3549z00_1049);
											}
											BgL_list3547z00_1047 =
												MAKE_PAIR(BgL_arg3544z00_1045, BgL_arg3548z00_1048);
										}
										BgL_arg3537z00_1038 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3543z00_1044, BgL_list3547z00_1047);
								}}
								BgL_arg3531z00_1032 =
									MAKE_PAIR(BgL_arg3536z00_1037, BgL_arg3537z00_1038);
							}
							{	/* Coerce/convert.scm 93 */
								obj_t BgL_arg3556z00_1055;

								obj_t BgL_arg3557z00_1056;

								BgL_arg3556z00_1055 = CNST_TABLE_REF(((long) 10));
								{	/* Coerce/convert.scm 93 */
									obj_t BgL_list3558z00_1057;

									{	/* Coerce/convert.scm 93 */
										obj_t BgL_arg3559z00_1058;

										{	/* Coerce/convert.scm 93 */
											obj_t BgL_arg3560z00_1059;

											BgL_arg3560z00_1059 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3559z00_1058 =
												MAKE_PAIR(BFALSE, BgL_arg3560z00_1059);
										}
										BgL_list3558z00_1057 =
											MAKE_PAIR(BFALSE, BgL_arg3559z00_1058);
									}
									BgL_arg3557z00_1056 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BFALSE,
										BgL_list3558z00_1057);
								}
								BgL_arg3532z00_1033 =
									MAKE_PAIR(BgL_arg3556z00_1055, BgL_arg3557z00_1056);
							}
							{	/* Coerce/convert.scm 89 */
								obj_t BgL_list3534z00_1035;

								{	/* Coerce/convert.scm 89 */
									obj_t BgL_arg3535z00_1036;

									BgL_arg3535z00_1036 = MAKE_PAIR(BNIL, BNIL);
									BgL_list3534z00_1035 =
										MAKE_PAIR(BgL_arg3532z00_1033, BgL_arg3535z00_1036);
								}
								BgL_arg3530z00_1031 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3531z00_1032, BgL_list3534z00_1035);
						}}
						return MAKE_PAIR(BgL_arg3529z00_1030, BgL_arg3530z00_1031);
					}
			}
		}
	}



/* _runtime-type-error */
	obj_t BGl__runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t BgL_envz00_1804,
		obj_t BgL_locz00_1805, obj_t BgL_tiz00_1806, obj_t BgL_valuez00_1807)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 69 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_1805,
				BgL_tiz00_1806, BgL_valuez00_1807);
		}
	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_44, BgL_typez00_bglt BgL_toz00_45, obj_t BgL_locz00_46,
		BgL_nodez00_bglt BgL_nodez00_47)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 115 */
			{	/* Coerce/convert.scm 118 */
				bool_t BgL_testz00_1970;

				if (((obj_t) (BgL_toz00_45) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 118 */
						BgL_testz00_1970 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 118 */
						BgL_testz00_1970 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_45,
							(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_testz00_1970)
					{	/* Coerce/convert.scm 118 */
						{	/* Coerce/convert.scm 120 */
							obj_t BgL_arg3569z00_1070;

							BgL_arg3569z00_1070 = BGl_currentzd2functionzd2zztools_errorz00();
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_46,
								BgL_arg3569z00_1070, BGl_string3774z00zzcoerce_convertz00,
								BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
								(BGl_string3775z00zzcoerce_convertz00,
									BGl_shapez00zztools_shapez00((obj_t) (BgL_toz00_45)),
									BGl_shapez00zztools_shapez00((obj_t) (BgL_fromz00_44))));
						}
						{	/* Coerce/convert.scm 121 */
							obj_t BgL_arg3570z00_1071;

							{	/* Coerce/convert.scm 121 */
								obj_t BgL_arg3571z00_1072;

								BgL_arg3571z00_1072 =
									(((BgL_typez00_bglt) CREF(BgL_toz00_45))->BgL_idz00);
								BgL_arg3570z00_1071 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_locz00_46, BgL_arg3571z00_1072,
									(obj_t) (BgL_nodez00_47));
							}
							return
								(obj_t) (BGl_coercez12z12zzcoerce_coercez00(
									(BgL_nodez00_bglt) (BgL_arg3570z00_1071), BUNSPEC,
									BgL_fromz00_44, ((bool_t) 0)));
						}
					}
				else
					{	/* Coerce/convert.scm 125 */
						obj_t BgL_arg3572z00_1073;

						BgL_arg3572z00_1073 = BGl_currentzd2functionzd2zztools_errorz00();
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_46,
							BgL_arg3572z00_1073, BGl_string3774z00zzcoerce_convertz00,
							BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
							(BGl_string3775z00zzcoerce_convertz00,
								BGl_shapez00zztools_shapez00((obj_t) (BgL_toz00_45)),
								BGl_shapez00zztools_shapez00((obj_t) (BgL_fromz00_44))), BNIL);
					}
			}
		}
	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_48,
		BgL_typez00_bglt BgL_fromz00_49, BgL_typez00_bglt BgL_toz00_50,
		bool_t BgL_safez00_51)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 133 */
			{	/* Coerce/convert.scm 137 */
				BgL_typez00_bglt BgL_toz00_1075;

				BgL_typez00_bglt BgL_fromz00_1076;

				BgL_toz00_1075 =
					BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_50);
				BgL_fromz00_1076 =
					BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_49);
				{	/* Coerce/convert.scm 139 */
					bool_t BgL_testz00_1998;

					if (((obj_t) (BgL_fromz00_1076) == (obj_t) (BgL_toz00_1075)))
						{	/* Coerce/convert.scm 139 */
							BgL_testz00_1998 = ((bool_t) 1);
						}
					else
						{	/* Coerce/convert.scm 139 */
							BgL_testz00_1998 =
								(((BgL_typez00_bglt) CREF(BgL_fromz00_1076))->BgL_magiczf3zf3);
						}
					if (BgL_testz00_1998)
						{	/* Coerce/convert.scm 139 */
							return BgL_nodez00_48;
						}
					else
						{	/* Coerce/convert.scm 141 */
							obj_t BgL_coercerz00_1078;

							obj_t BgL_locz00_1079;

							BgL_coercerz00_1078 =
								BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1076,
								BgL_toz00_1075);
							BgL_locz00_1079 =
								(((BgL_nodez00_bglt) CREF(BgL_nodez00_48))->BgL_locz00);
							{	/* Coerce/convert.scm 143 */
								bool_t BgL_testz00_2006;

								if (STRUCTP(BgL_coercerz00_1078))
									{	/* Coerce/convert.scm 143 */
										BgL_testz00_2006 =
											(STRUCT_KEY(BgL_coercerz00_1078) ==
											CNST_TABLE_REF(((long) 12)));
									}
								else
									{	/* Coerce/convert.scm 143 */
										BgL_testz00_2006 = ((bool_t) 0);
									}
								if (BgL_testz00_2006)
									{	/* Coerce/convert.scm 147 */
										obj_t BgL_checksz00_1081;

										obj_t BgL_coercesz00_1082;

										BgL_checksz00_1081 =
											STRUCT_REF(BgL_coercerz00_1078, (int) (((long) 2)));
										BgL_coercesz00_1082 =
											STRUCT_REF(BgL_coercerz00_1078, (int) (((long) 3)));
										{
											obj_t BgL_checksz00_1084;

											obj_t BgL_coercesz00_1085;

											obj_t BgL_nodez00_1086;

											{	/* Coerce/convert.scm 152 */
												obj_t BgL_auxz00_2016;

												BgL_checksz00_1084 = BgL_checksz00_1081;
												BgL_coercesz00_1085 = BgL_coercesz00_1082;
												BgL_nodez00_1086 = (obj_t) (BgL_nodez00_48);
											BgL_zc3anonymousza33576ze3z83_1087:
												if (NULLP(BgL_checksz00_1084))
													{	/* Coerce/convert.scm 156 */
														if (NULLP(BgL_coercesz00_1085))
															{	/* Coerce/convert.scm 157 */
																BgL_auxz00_2016 = BgL_nodez00_1086;
															}
														else
															{	/* Coerce/convert.scm 157 */
																BgL_auxz00_2016 =
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string3776z00zzcoerce_convertz00,
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_fromz00_1076)),
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_toz00_1075)));
															}
													}
												else
													{	/* Coerce/convert.scm 156 */
														if (NULLP(BgL_coercesz00_1085))
															{	/* Coerce/convert.scm 162 */
																BgL_auxz00_2016 =
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string3776z00zzcoerce_convertz00,
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_fromz00_1076)),
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_toz00_1075)));
															}
														else
															{
																obj_t BgL_nodez00_2037;

																obj_t BgL_coercesz00_2035;

																obj_t BgL_checksz00_2033;

																BgL_checksz00_2033 = CDR(BgL_checksz00_1084);
																BgL_coercesz00_2035 = CDR(BgL_coercesz00_1085);
																BgL_nodez00_2037 =
																	BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																	(CAR(BgL_checksz00_1084), BgL_fromz00_1076,
																	BgL_toz00_1075, CAR(BgL_checksz00_1084),
																	CAR(BgL_coercesz00_1085), BgL_nodez00_1086,
																	BgL_safez00_51);
																BgL_nodez00_1086 = BgL_nodez00_2037;
																BgL_coercesz00_1085 = BgL_coercesz00_2035;
																BgL_checksz00_1084 = BgL_checksz00_2033;
																goto BgL_zc3anonymousza33576ze3z83_1087;
															}
													}
												return (BgL_nodez00_bglt) (BgL_auxz00_2016);
											}
										}
									}
								else
									{	/* Coerce/convert.scm 143 */
										return
											(BgL_nodez00_bglt)
											(BGl_convertzd2errorzd2zzcoerce_convertz00
											(BgL_fromz00_1076, BgL_toz00_1075, BgL_locz00_1079,
												BgL_nodez00_48));
									}
							}
						}
				}
			}
		}
	}



/* _convert! */
	obj_t BGl__convertz12z12zzcoerce_convertz00(obj_t BgL_envz00_1808,
		obj_t BgL_nodez00_1809, obj_t BgL_fromz00_1810, obj_t BgL_toz00_1811,
		obj_t BgL_safez00_1812)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 133 */
			return
				(obj_t) (BGl_convertz12z12zzcoerce_convertz00(
					(BgL_nodez00_bglt) (BgL_nodez00_1809),
					(BgL_typez00_bglt) (BgL_fromz00_1810),
					(BgL_typez00_bglt) (BgL_toz00_1811), CBOOL(BgL_safez00_1812)));
		}
	}



/* make-one-conversion */
	obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_52, BgL_typez00_bglt BgL_fromz00_53,
		BgL_typez00_bglt BgL_toz00_54, obj_t BgL_checkopz00_55,
		obj_t BgL_coerceopz00_56, obj_t BgL_nodez00_57, bool_t BgL_safez00_58)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 186 */
			{	/* Coerce/convert.scm 187 */
				bool_t BgL_testz00_2052;

				if (NULLP(BgL_checkopz00_55))
					{	/* Coerce/convert.scm 187 */
						BgL_testz00_2052 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 187 */
						if (BgL_safez00_58)
							{	/* Coerce/convert.scm 187 */
								BgL_testz00_2052 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 187 */
								BgL_testz00_2052 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_2052)
					{	/* Coerce/convert.scm 187 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_56,
							BgL_nodez00_57, BgL_fromz00_53);
					}
				else
					{	/* Coerce/convert.scm 189 */
						bool_t BgL_testz00_2057;

						{	/* Coerce/convert.scm 189 */
							obj_t BgL_obj3214z00_1735;

							BgL_obj3214z00_1735 = (obj_t) (BgL_fromz00_53);
							BgL_testz00_2057 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj3214z00_1735,
								BGl_tclassz00zzobject_classz00);
						}
						if (BgL_testz00_2057)
							{	/* Coerce/convert.scm 189 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00
									(BgL_idzd2fromzd2_52, BgL_fromz00_53, BgL_toz00_54,
									BgL_checkopz00_55, BgL_coerceopz00_56, BgL_nodez00_57);
							}
						else
							{	/* Coerce/convert.scm 189 */
								return
									(obj_t)
									(BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_idzd2fromzd2_52, BgL_fromz00_53, BgL_toz00_54,
										BgL_checkopz00_55, BgL_coerceopz00_56, BgL_nodez00_57));
							}
					}
			}
		}
	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_59)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 196 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 197 */
				bool_t BgL_testz00_2063;

				{	/* Coerce/convert.scm 197 */
					obj_t BgL_obj3022z00_1736;

					BgL_obj3022z00_1736 = (obj_t) (BgL_nodez00_59);
					BgL_testz00_2063 =
						BGl_iszd2azf3z21zz__objectz00(BgL_obj3022z00_1736,
						BGl_letzd2varzd2zzast_nodez00);
				}
				if (BgL_testz00_2063)
					{
						BgL_nodez00_bglt BgL_nodez00_2066;

						{
							BgL_letzd2varzd2_bglt BgL_auxz00_2067;

							BgL_auxz00_2067 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_59);
							BgL_nodez00_2066 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2067))->BgL_bodyz00);
						}
						BgL_nodez00_59 = BgL_nodez00_2066;
						goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
					}
				else
					{	/* Coerce/convert.scm 197 */
						return BgL_nodez00_59;
					}
			}
		}
	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_60, BgL_typez00_bglt BgL_fromz00_61,
		BgL_typez00_bglt BgL_toz00_62, obj_t BgL_checkzd2opzd2_63,
		obj_t BgL_coercezd2opzd2_64, obj_t BgL_nodez00_65)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 204 */
			{	/* Coerce/convert.scm 207 */
				obj_t BgL_auxz00_1110;

				BgL_auxz00_1110 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0))));
				{	/* Coerce/convert.scm 207 */
					obj_t BgL_locz00_1111;

					{
						BgL_nodez00_bglt BgL_auxz00_2073;

						BgL_auxz00_2073 = (BgL_nodez00_bglt) (BgL_nodez00_65);
						BgL_locz00_1111 =
							(((BgL_nodez00_bglt) CREF(BgL_auxz00_2073))->BgL_locz00);
					}
					{	/* Coerce/convert.scm 208 */
						BgL_nodez00_bglt BgL_lnodez00_1112;

						{	/* Coerce/convert.scm 215 */
							obj_t BgL_arg3606z00_1123;

							{	/* Coerce/convert.scm 215 */
								obj_t BgL_arg3607z00_1124;

								obj_t BgL_arg3608z00_1125;

								BgL_arg3607z00_1124 = CNST_TABLE_REF(((long) 1));
								{	/* Coerce/convert.scm 216 */
									obj_t BgL_arg3609z00_1126;

									obj_t BgL_arg3610z00_1127;

									{	/* Coerce/convert.scm 216 */
										obj_t BgL_arg3614z00_1131;

										{	/* Coerce/convert.scm 216 */
											obj_t BgL_arg3616z00_1133;

											obj_t BgL_arg3617z00_1134;

											{	/* Coerce/convert.scm 216 */
												obj_t BgL_arg3618z00_1135;

												{	/* Coerce/convert.scm 216 */
													obj_t BgL_arg3619z00_1136;

													BgL_arg3619z00_1136 =
														(((BgL_typez00_bglt) CREF(BgL_fromz00_61))->
														BgL_idz00);
													BgL_arg3618z00_1135 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1110, BgL_arg3619z00_1136);
												}
												BgL_arg3616z00_1133 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg3618z00_1135);
											}
											{	/* Coerce/convert.scm 215 */
												obj_t BgL_list3620z00_1137;

												BgL_list3620z00_1137 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3617z00_1134 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BUNSPEC,
													BgL_list3620z00_1137);
											}
											BgL_arg3614z00_1131 =
												MAKE_PAIR(BgL_arg3616z00_1133, BgL_arg3617z00_1134);
										}
										BgL_arg3609z00_1126 = MAKE_PAIR(BgL_arg3614z00_1131, BNIL);
									}
									{	/* Coerce/convert.scm 218 */
										obj_t BgL_arg3621z00_1138;

										obj_t BgL_arg3622z00_1139;

										BgL_arg3621z00_1138 = CNST_TABLE_REF(((long) 13));
										{	/* Coerce/convert.scm 218 */
											obj_t BgL_arg3623z00_1140;

											obj_t BgL_arg3624z00_1141;

											{	/* Coerce/convert.scm 218 */
												obj_t BgL_arg3629z00_1146;

												{	/* Coerce/convert.scm 218 */
													obj_t BgL_list3630z00_1147;

													BgL_list3630z00_1147 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3629z00_1146 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_auxz00_1110, BgL_list3630z00_1147);
												}
												BgL_arg3623z00_1140 =
													MAKE_PAIR(BgL_checkzd2opzd2_63, BgL_arg3629z00_1146);
											}
											{	/* Coerce/convert.scm 220 */
												obj_t BgL_arg3631z00_1148;

												BgL_arg3631z00_1148 =
													(((BgL_typez00_bglt) CREF(BgL_toz00_62))->BgL_idz00);
												BgL_arg3624z00_1141 =
													BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
													(BgL_locz00_1111, BgL_arg3631z00_1148,
													BgL_auxz00_1110);
											}
											{	/* Coerce/convert.scm 218 */
												obj_t BgL_list3626z00_1143;

												{	/* Coerce/convert.scm 218 */
													obj_t BgL_arg3627z00_1144;

													{	/* Coerce/convert.scm 218 */
														obj_t BgL_arg3628z00_1145;

														BgL_arg3628z00_1145 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3627z00_1144 =
															MAKE_PAIR(BgL_arg3624z00_1141,
															BgL_arg3628z00_1145);
													}
													BgL_list3626z00_1143 =
														MAKE_PAIR(BgL_auxz00_1110, BgL_arg3627z00_1144);
												}
												BgL_arg3622z00_1139 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3623z00_1140, BgL_list3626z00_1143);
										}}
										BgL_arg3610z00_1127 =
											MAKE_PAIR(BgL_arg3621z00_1138, BgL_arg3622z00_1139);
									}
									{	/* Coerce/convert.scm 215 */
										obj_t BgL_list3612z00_1129;

										{	/* Coerce/convert.scm 215 */
											obj_t BgL_arg3613z00_1130;

											BgL_arg3613z00_1130 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3612z00_1129 =
												MAKE_PAIR(BgL_arg3610z00_1127, BgL_arg3613z00_1130);
										}
										BgL_arg3608z00_1125 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3609z00_1126, BgL_list3612z00_1129);
								}}
								BgL_arg3606z00_1123 =
									MAKE_PAIR(BgL_arg3607z00_1124, BgL_arg3608z00_1125);
							}
							BgL_lnodez00_1112 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg3606z00_1123, BgL_locz00_1111);
						}
						{	/* Coerce/convert.scm 209 */

							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1112);
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1112);
							{	/* Coerce/convert.scm 224 */
								obj_t BgL_varz00_1113;

								{	/* Coerce/convert.scm 224 */
									obj_t BgL_pairz00_1743;

									{	/* Coerce/convert.scm 224 */
										obj_t BgL_pairz00_1742;

										{
											BgL_letzd2varzd2_bglt BgL_auxz00_2102;

											BgL_auxz00_2102 =
												(BgL_letzd2varzd2_bglt) (BgL_lnodez00_1112);
											BgL_pairz00_1742 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2102))->
												BgL_bindingsz00);
										}
										BgL_pairz00_1743 = CAR(BgL_pairz00_1742);
									}
									BgL_varz00_1113 = CAR(BgL_pairz00_1743);
								}
								{	/* Coerce/convert.scm 224 */
									obj_t BgL_coercezd2appzd2_1114;

									{	/* Coerce/convert.scm 226 */
										BgL_varz00_bglt BgL_arg3603z00_1120;

										BgL_arg3603z00_1120 =
											BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1111,
											BgL_fromz00_61, (BgL_variablez00_bglt) (BgL_varz00_1113));
										BgL_coercezd2appzd2_1114 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_64, (obj_t) (BgL_arg3603z00_1120),
											BgL_fromz00_61);
									}
									{	/* Coerce/convert.scm 225 */
										BgL_nodez00_bglt BgL_condnz00_1115;

										BgL_condnz00_1115 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1112);
										{	/* Coerce/convert.scm 231 */

											{
												BgL_variablez00_bglt BgL_auxz00_2112;

												BgL_auxz00_2112 =
													(BgL_variablez00_bglt) (BgL_varz00_1113);
												((((BgL_variablez00_bglt) CREF(BgL_auxz00_2112))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_fromz00_61), BUNSPEC);
											}
											{	/* Coerce/convert.scm 235 */
												obj_t BgL_arg3599z00_1116;

												{	/* Coerce/convert.scm 235 */
													obj_t BgL_pairz00_1747;

													{
														BgL_letzd2varzd2_bglt BgL_auxz00_2115;

														BgL_auxz00_2115 =
															(BgL_letzd2varzd2_bglt) (BgL_lnodez00_1112);
														BgL_pairz00_1747 =
															(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2115))->
															BgL_bindingsz00);
													}
													BgL_arg3599z00_1116 = CAR(BgL_pairz00_1747);
												}
												SET_CDR(BgL_arg3599z00_1116, BgL_nodez00_65);
											}
											{
												BgL_nodez00_bglt BgL_auxz00_2122;

												BgL_conditionalz00_bglt BgL_auxz00_2120;

												BgL_auxz00_2122 =
													(BgL_nodez00_bglt) (BgL_coercezd2appzd2_1114);
												BgL_auxz00_2120 =
													(BgL_conditionalz00_bglt) (BgL_condnz00_1115);
												((((BgL_conditionalz00_bglt) CREF(BgL_auxz00_2120))->
														BgL_truez00) =
													((BgL_nodez00_bglt) BgL_auxz00_2122), BUNSPEC);
											}
											{	/* Coerce/convert.scm 238 */
												BgL_nodez00_bglt BgL_arg3601z00_1118;

												{	/* Coerce/convert.scm 238 */
													BgL_nodez00_bglt BgL_arg3602z00_1119;

													{
														BgL_conditionalz00_bglt BgL_auxz00_2125;

														BgL_auxz00_2125 =
															(BgL_conditionalz00_bglt) (BgL_condnz00_1115);
														BgL_arg3602z00_1119 =
															(((BgL_conditionalz00_bglt)
																CREF(BgL_auxz00_2125))->BgL_falsez00);
													}
													BgL_arg3601z00_1118 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg3602z00_1119, BUNSPEC, BgL_fromz00_61,
														((bool_t) 0));
												}
												{
													BgL_conditionalz00_bglt BgL_auxz00_2129;

													BgL_auxz00_2129 =
														(BgL_conditionalz00_bglt) (BgL_condnz00_1115);
													((((BgL_conditionalz00_bglt) CREF(BgL_auxz00_2129))->
															BgL_falsez00) =
														((BgL_nodez00_bglt) BgL_arg3601z00_1118), BUNSPEC);
											}}
											return BgL_lnodez00_1112;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-one-class-conversion */
	obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_66, BgL_typez00_bglt BgL_fromz00_67,
		BgL_typez00_bglt BgL_toz00_68, obj_t BgL_checkzd2opzd2_69,
		obj_t BgL_coercezd2opzd2_70, obj_t BgL_nodez00_71)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 247 */
			{	/* Coerce/convert.scm 248 */
				bool_t BgL_testz00_2132;

				{	/* Coerce/convert.scm 248 */
					bool_t BgL_testz00_2133;

					{	/* Coerce/convert.scm 248 */
						obj_t BgL_obj3214z00_1755;

						BgL_obj3214z00_1755 = (obj_t) (BgL_toz00_68);
						BgL_testz00_2133 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3214z00_1755,
							BGl_tclassz00zzobject_classz00);
					}
					if (BgL_testz00_2133)
						{	/* Coerce/convert.scm 248 */
							BgL_testz00_2132 =
								BGl_typezd2subclasszf3z21zzobject_classz00(BgL_fromz00_67,
								BgL_toz00_68);
						}
					else
						{	/* Coerce/convert.scm 248 */
							BgL_testz00_2132 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2132)
					{	/* Coerce/convert.scm 248 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_70,
							BgL_nodez00_71, BgL_fromz00_67);
					}
				else
					{	/* Coerce/convert.scm 250 */
						obj_t BgL_auxz00_1151;

						BgL_auxz00_1151 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
						{	/* Coerce/convert.scm 250 */
							obj_t BgL_aux2z00_1152;

							BgL_aux2z00_1152 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 14)));
							{	/* Coerce/convert.scm 251 */
								obj_t BgL_locz00_1153;

								{
									BgL_nodez00_bglt BgL_auxz00_2142;

									BgL_auxz00_2142 = (BgL_nodez00_bglt) (BgL_nodez00_71);
									BgL_locz00_1153 =
										(((BgL_nodez00_bglt) CREF(BgL_auxz00_2142))->BgL_locz00);
								}
								{	/* Coerce/convert.scm 252 */
									BgL_nodez00_bglt BgL_lnodez00_1154;

									{	/* Coerce/convert.scm 254 */
										obj_t BgL_arg3645z00_1170;

										{	/* Coerce/convert.scm 254 */
											obj_t BgL_arg3646z00_1171;

											obj_t BgL_arg3647z00_1172;

											BgL_arg3646z00_1171 = CNST_TABLE_REF(((long) 1));
											{	/* Coerce/convert.scm 255 */
												obj_t BgL_arg3648z00_1173;

												obj_t BgL_arg3649z00_1174;

												{	/* Coerce/convert.scm 255 */
													obj_t BgL_arg3653z00_1178;

													{	/* Coerce/convert.scm 255 */
														obj_t BgL_arg3655z00_1180;

														obj_t BgL_arg3656z00_1181;

														{	/* Coerce/convert.scm 255 */
															obj_t BgL_arg3657z00_1182;

															{	/* Coerce/convert.scm 255 */
																obj_t BgL_arg3658z00_1183;

																{	/* Coerce/convert.scm 255 */
																	obj_t BgL_arg3659z00_1184;

																	obj_t BgL_arg3660z00_1185;

																	BgL_arg3659z00_1184 =
																		SYMBOL_TO_STRING(BgL_auxz00_1151);
																	{	/* Coerce/convert.scm 255 */
																		obj_t BgL_symbolz00_1758;

																		BgL_symbolz00_1758 =
																			CNST_TABLE_REF(((long) 2));
																		BgL_arg3660z00_1185 =
																			SYMBOL_TO_STRING(BgL_symbolz00_1758);
																	}
																	{	/* Coerce/convert.scm 255 */
																		obj_t BgL_list3661z00_1186;

																		{	/* Coerce/convert.scm 255 */
																			obj_t BgL_arg3662z00_1187;

																			BgL_arg3662z00_1187 =
																				MAKE_PAIR(BgL_arg3660z00_1185, BNIL);
																			BgL_list3661z00_1186 =
																				MAKE_PAIR(BgL_arg3659z00_1184,
																				BgL_arg3662z00_1187);
																		}
																		BgL_arg3658z00_1183 =
																			BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																			(BgL_list3661z00_1186);
																}}
																BgL_arg3657z00_1182 =
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_arg3658z00_1183));
															}
															BgL_arg3655z00_1180 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg3657z00_1182);
														}
														{	/* Coerce/convert.scm 254 */
															obj_t BgL_list3663z00_1188;

															BgL_list3663z00_1188 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3656z00_1181 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BUNSPEC, BgL_list3663z00_1188);
														}
														BgL_arg3653z00_1178 =
															MAKE_PAIR(BgL_arg3655z00_1180,
															BgL_arg3656z00_1181);
													}
													BgL_arg3648z00_1173 =
														MAKE_PAIR(BgL_arg3653z00_1178, BNIL);
												}
												{	/* Coerce/convert.scm 256 */
													obj_t BgL_arg3664z00_1189;

													obj_t BgL_arg3665z00_1190;

													BgL_arg3664z00_1189 = CNST_TABLE_REF(((long) 1));
													{	/* Coerce/convert.scm 257 */
														obj_t BgL_arg3666z00_1191;

														obj_t BgL_arg3667z00_1192;

														{	/* Coerce/convert.scm 257 */
															obj_t BgL_arg3671z00_1196;

															{	/* Coerce/convert.scm 257 */
																obj_t BgL_arg3673z00_1198;

																obj_t BgL_arg3674z00_1199;

																{	/* Coerce/convert.scm 257 */
																	obj_t BgL_arg3675z00_1200;

																	{	/* Coerce/convert.scm 257 */
																		obj_t BgL_arg3676z00_1201;

																		{	/* Coerce/convert.scm 257 */
																			obj_t BgL_arg3677z00_1202;

																			obj_t BgL_arg3678z00_1203;

																			BgL_arg3677z00_1202 =
																				SYMBOL_TO_STRING(BgL_aux2z00_1152);
																			{	/* Coerce/convert.scm 257 */
																				obj_t BgL_symbolz00_1761;

																				BgL_symbolz00_1761 =
																					CNST_TABLE_REF(((long) 2));
																				BgL_arg3678z00_1203 =
																					SYMBOL_TO_STRING(BgL_symbolz00_1761);
																			}
																			{	/* Coerce/convert.scm 257 */
																				obj_t BgL_list3679z00_1204;

																				{	/* Coerce/convert.scm 257 */
																					obj_t BgL_arg3680z00_1205;

																					BgL_arg3680z00_1205 =
																						MAKE_PAIR(BgL_arg3678z00_1203,
																						BNIL);
																					BgL_list3679z00_1204 =
																						MAKE_PAIR(BgL_arg3677z00_1202,
																						BgL_arg3680z00_1205);
																				}
																				BgL_arg3676z00_1201 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list3679z00_1204);
																		}}
																		BgL_arg3675z00_1200 =
																			string_to_symbol(BSTRING_TO_STRING
																			(BgL_arg3676z00_1201));
																	}
																	BgL_arg3673z00_1198 =
																		BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																		(BgL_arg3675z00_1200);
																}
																{	/* Coerce/convert.scm 256 */
																	obj_t BgL_list3681z00_1206;

																	BgL_list3681z00_1206 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg3674z00_1199 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BUNSPEC, BgL_list3681z00_1206);
																}
																BgL_arg3671z00_1196 =
																	MAKE_PAIR(BgL_arg3673z00_1198,
																	BgL_arg3674z00_1199);
															}
															BgL_arg3666z00_1191 =
																MAKE_PAIR(BgL_arg3671z00_1196, BNIL);
														}
														{	/* Coerce/convert.scm 258 */
															obj_t BgL_arg3682z00_1207;

															obj_t BgL_arg3683z00_1208;

															BgL_arg3682z00_1207 = CNST_TABLE_REF(((long) 13));
															{	/* Coerce/convert.scm 258 */
																obj_t BgL_arg3684z00_1209;

																obj_t BgL_arg3685z00_1210;

																{	/* Coerce/convert.scm 258 */
																	obj_t BgL_arg3690z00_1215;

																	{	/* Coerce/convert.scm 258 */
																		obj_t BgL_list3691z00_1216;

																		BgL_list3691z00_1216 =
																			MAKE_PAIR(BNIL, BNIL);
																		BgL_arg3690z00_1215 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_aux2z00_1152, BgL_list3691z00_1216);
																	}
																	BgL_arg3684z00_1209 =
																		MAKE_PAIR(BgL_checkzd2opzd2_69,
																		BgL_arg3690z00_1215);
																}
																{	/* Coerce/convert.scm 260 */
																	obj_t BgL_arg3692z00_1217;

																	BgL_arg3692z00_1217 =
																		(((BgL_typez00_bglt) CREF(BgL_toz00_68))->
																		BgL_idz00);
																	BgL_arg3685z00_1210 =
																		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																		(BgL_locz00_1153, BgL_arg3692z00_1217,
																		BgL_auxz00_1151);
																}
																{	/* Coerce/convert.scm 258 */
																	obj_t BgL_list3687z00_1212;

																	{	/* Coerce/convert.scm 258 */
																		obj_t BgL_arg3688z00_1213;

																		{	/* Coerce/convert.scm 258 */
																			obj_t BgL_arg3689z00_1214;

																			BgL_arg3689z00_1214 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg3688z00_1213 =
																				MAKE_PAIR(BgL_arg3685z00_1210,
																				BgL_arg3689z00_1214);
																		}
																		BgL_list3687z00_1212 =
																			MAKE_PAIR(BgL_auxz00_1151,
																			BgL_arg3688z00_1213);
																	}
																	BgL_arg3683z00_1208 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg3684z00_1209, BgL_list3687z00_1212);
															}}
															BgL_arg3667z00_1192 =
																MAKE_PAIR(BgL_arg3682z00_1207,
																BgL_arg3683z00_1208);
														}
														{	/* Coerce/convert.scm 256 */
															obj_t BgL_list3669z00_1194;

															{	/* Coerce/convert.scm 256 */
																obj_t BgL_arg3670z00_1195;

																BgL_arg3670z00_1195 = MAKE_PAIR(BNIL, BNIL);
																BgL_list3669z00_1194 =
																	MAKE_PAIR(BgL_arg3667z00_1192,
																	BgL_arg3670z00_1195);
															}
															BgL_arg3665z00_1190 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg3666z00_1191, BgL_list3669z00_1194);
													}}
													BgL_arg3649z00_1174 =
														MAKE_PAIR(BgL_arg3664z00_1189, BgL_arg3665z00_1190);
												}
												{	/* Coerce/convert.scm 254 */
													obj_t BgL_list3651z00_1176;

													{	/* Coerce/convert.scm 254 */
														obj_t BgL_arg3652z00_1177;

														BgL_arg3652z00_1177 = MAKE_PAIR(BNIL, BNIL);
														BgL_list3651z00_1176 =
															MAKE_PAIR(BgL_arg3649z00_1174,
															BgL_arg3652z00_1177);
													}
													BgL_arg3647z00_1172 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3648z00_1173, BgL_list3651z00_1176);
											}}
											BgL_arg3645z00_1170 =
												MAKE_PAIR(BgL_arg3646z00_1171, BgL_arg3647z00_1172);
										}
										BgL_lnodez00_1154 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg3645z00_1170, BgL_locz00_1153);
									}
									{	/* Coerce/convert.scm 253 */

										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1154);
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_1154);
										{	/* Coerce/convert.scm 264 */
											obj_t BgL_varz00_1155;

											{	/* Coerce/convert.scm 264 */
												obj_t BgL_pairz00_1766;

												{	/* Coerce/convert.scm 264 */
													obj_t BgL_pairz00_1765;

													{
														BgL_letzd2varzd2_bglt BgL_auxz00_2195;

														BgL_auxz00_2195 =
															(BgL_letzd2varzd2_bglt) (BgL_lnodez00_1154);
														BgL_pairz00_1765 =
															(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2195))->
															BgL_bindingsz00);
													}
													BgL_pairz00_1766 = CAR(BgL_pairz00_1765);
												}
												BgL_varz00_1155 = CAR(BgL_pairz00_1766);
											}
											{	/* Coerce/convert.scm 264 */
												obj_t BgL_coercezd2appzd2_1156;

												{	/* Coerce/convert.scm 266 */
													BgL_varz00_bglt BgL_arg3642z00_1167;

													BgL_arg3642z00_1167 =
														BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1153,
														BgL_fromz00_67,
														(BgL_variablez00_bglt) (BgL_varz00_1155));
													BgL_coercezd2appzd2_1156 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_70,
														(obj_t) (BgL_arg3642z00_1167), BgL_fromz00_67);
												}
												{	/* Coerce/convert.scm 265 */
													BgL_nodez00_bglt BgL_condnz00_1157;

													BgL_condnz00_1157 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_1154);
													{	/* Coerce/convert.scm 271 */

														{
															BgL_variablez00_bglt BgL_auxz00_2205;

															BgL_auxz00_2205 =
																(BgL_variablez00_bglt) (BgL_varz00_1155);
															((((BgL_variablez00_bglt) CREF(BgL_auxz00_2205))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_fromz00_67), BUNSPEC);
														}
														{	/* Coerce/convert.scm 275 */
															obj_t BgL_arg3634z00_1158;

															{	/* Coerce/convert.scm 275 */
																obj_t BgL_pairz00_1770;

																{
																	BgL_letzd2varzd2_bglt BgL_auxz00_2208;

																	BgL_auxz00_2208 =
																		(BgL_letzd2varzd2_bglt) (BgL_lnodez00_1154);
																	BgL_pairz00_1770 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_auxz00_2208))->BgL_bindingsz00);
																}
																BgL_arg3634z00_1158 = CAR(BgL_pairz00_1770);
															}
															SET_CDR(BgL_arg3634z00_1158, BgL_nodez00_71);
														}
														{	/* Coerce/convert.scm 276 */
															obj_t BgL_binding2z00_1160;

															{	/* Coerce/convert.scm 276 */
																obj_t BgL_pairz00_1775;

																{	/* Coerce/convert.scm 276 */
																	BgL_letzd2varzd2_bglt BgL_obj2989z00_1774;

																	{	/* Coerce/convert.scm 276 */
																		BgL_letzd2varzd2_bglt BgL_obj2992z00_1773;

																		BgL_obj2992z00_1773 =
																			(BgL_letzd2varzd2_bglt)
																			(BgL_lnodez00_1154);
																		BgL_obj2989z00_1774 =
																			(BgL_letzd2varzd2_bglt) (((
																					(BgL_letzd2varzd2_bglt)
																					CREF(BgL_obj2992z00_1773))->
																				BgL_bodyz00));
																	}
																	BgL_pairz00_1775 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_obj2989z00_1774))->
																		BgL_bindingsz00);
																}
																BgL_binding2z00_1160 = CAR(BgL_pairz00_1775);
															}
															{	/* Coerce/convert.scm 280 */
																BgL_castz00_bglt BgL_arg3636z00_1161;

																{	/* Coerce/convert.scm 280 */
																	BgL_varz00_bglt BgL_arg3637z00_1162;

																	BgL_arg3637z00_1162 =
																		BGl_makezd2varzd2zzast_nodez00
																		(BgL_locz00_1153, BgL_fromz00_67,
																		(BgL_variablez00_bglt) (BgL_varz00_1155));
																	BgL_arg3636z00_1161 =
																		BGl_makezd2castzd2zzast_nodez00
																		(BgL_locz00_1153,
																		(BgL_typez00_bglt)
																		(BGl_za2objza2z00zztype_cachez00),
																		(BgL_nodez00_bglt) (BgL_arg3637z00_1162));
																}
																{	/* Coerce/convert.scm 277 */
																	obj_t BgL_auxz00_2223;

																	BgL_auxz00_2223 =
																		(obj_t) (BgL_arg3636z00_1161);
																	SET_CDR(BgL_binding2z00_1160,
																		BgL_auxz00_2223);
														}}}
														{
															BgL_nodez00_bglt BgL_auxz00_2228;

															BgL_conditionalz00_bglt BgL_auxz00_2226;

															BgL_auxz00_2228 =
																(BgL_nodez00_bglt) (BgL_coercezd2appzd2_1156);
															BgL_auxz00_2226 =
																(BgL_conditionalz00_bglt) (BgL_condnz00_1157);
															((((BgL_conditionalz00_bglt)
																		CREF(BgL_auxz00_2226))->BgL_truez00) =
																((BgL_nodez00_bglt) BgL_auxz00_2228), BUNSPEC);
														}
														{	/* Coerce/convert.scm 286 */
															BgL_nodez00_bglt BgL_arg3640z00_1165;

															{	/* Coerce/convert.scm 286 */
																BgL_nodez00_bglt BgL_arg3641z00_1166;

																{
																	BgL_conditionalz00_bglt BgL_auxz00_2231;

																	BgL_auxz00_2231 =
																		(BgL_conditionalz00_bglt)
																		(BgL_condnz00_1157);
																	BgL_arg3641z00_1166 =
																		(((BgL_conditionalz00_bglt)
																			CREF(BgL_auxz00_2231))->BgL_falsez00);
																}
																BgL_arg3640z00_1165 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg3641z00_1166, BUNSPEC, BgL_fromz00_67,
																	((bool_t) 0));
															}
															{
																BgL_conditionalz00_bglt BgL_auxz00_2235;

																BgL_auxz00_2235 =
																	(BgL_conditionalz00_bglt) (BgL_condnz00_1157);
																((((BgL_conditionalz00_bglt)
																			CREF(BgL_auxz00_2235))->BgL_falsez00) =
																	((BgL_nodez00_bglt) BgL_arg3640z00_1165),
																	BUNSPEC);
														}}
														return (obj_t) (BgL_lnodez00_1154);
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* do-convert */
	obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t BgL_coercezd2opzd2_72,
		obj_t BgL_nodez00_73, BgL_typez00_bglt BgL_fromz00_74)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 295 */
			if (NULLP(BgL_coercezd2opzd2_72))
				{	/* Coerce/convert.scm 298 */
					return BgL_nodez00_73;
				}
			else
				{	/* Coerce/convert.scm 300 */
					BgL_nodez00_bglt BgL_nnodez00_1220;

					{	/* Coerce/convert.scm 300 */
						obj_t BgL_arg3712z00_1239;

						obj_t BgL_arg3713z00_1240;

						{	/* Coerce/convert.scm 300 */
							obj_t BgL_arg3714z00_1241;

							{	/* Coerce/convert.scm 300 */
								obj_t BgL_list3715z00_1242;

								BgL_list3715z00_1242 = MAKE_PAIR(BNIL, BNIL);
								BgL_arg3714z00_1241 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BUNSPEC,
									BgL_list3715z00_1242);
							}
							BgL_arg3712z00_1239 =
								MAKE_PAIR(BgL_coercezd2opzd2_72, BgL_arg3714z00_1241);
						}
						{
							BgL_nodez00_bglt BgL_auxz00_2244;

							BgL_auxz00_2244 = (BgL_nodez00_bglt) (BgL_nodez00_73);
							BgL_arg3713z00_1240 =
								(((BgL_nodez00_bglt) CREF(BgL_auxz00_2244))->BgL_locz00);
						}
						BgL_nnodez00_1220 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg3712z00_1239, BgL_arg3713z00_1240);
					}
					{	/* Coerce/convert.scm 300 */

						{
							BgL_nodez00_bglt BgL_auxz00_2248;

							BgL_auxz00_2248 = (BgL_nodez00_bglt) (BgL_nodez00_73);
							((((BgL_nodez00_bglt) CREF(BgL_auxz00_2248))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_fromz00_74), BUNSPEC);
						}
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_nnodez00_1220);
						{	/* Coerce/convert.scm 314 */
							bool_t BgL_testz00_2252;

							{	/* Coerce/convert.scm 314 */
								obj_t BgL_obj2199z00_1787;

								BgL_obj2199z00_1787 = (obj_t) (BgL_nnodez00_1220);
								BgL_testz00_2252 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2199z00_1787,
									BGl_appz00zzast_nodez00);
							}
							if (BgL_testz00_2252)
								{	/* Coerce/convert.scm 314 */
									{	/* Coerce/convert.scm 315 */
										obj_t BgL_arg3696z00_1222;

										{	/* Coerce/convert.scm 315 */
											obj_t BgL_list3697z00_1223;

											BgL_list3697z00_1223 = MAKE_PAIR(BgL_nodez00_73, BNIL);
											BgL_arg3696z00_1222 = BgL_list3697z00_1223;
										}
										{
											BgL_appz00_bglt BgL_auxz00_2256;

											BgL_auxz00_2256 = (BgL_appz00_bglt) (BgL_nnodez00_1220);
											((((BgL_appz00_bglt) CREF(BgL_auxz00_2256))->
													BgL_argsz00) =
												((obj_t) BgL_arg3696z00_1222), BUNSPEC);
										}
									}
									return (obj_t) (BgL_nnodez00_1220);
								}
							else
								{	/* Coerce/convert.scm 317 */
									bool_t BgL_testz00_2260;

									{	/* Coerce/convert.scm 317 */
										obj_t BgL_obj3022z00_1792;

										BgL_obj3022z00_1792 = (obj_t) (BgL_nnodez00_1220);
										BgL_testz00_2260 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj3022z00_1792,
											BGl_letzd2varzd2zzast_nodez00);
									}
									if (BgL_testz00_2260)
										{	/* Coerce/convert.scm 318 */
											obj_t BgL_bdgsz00_1225;

											{
												BgL_letzd2varzd2_bglt BgL_auxz00_2263;

												BgL_auxz00_2263 =
													(BgL_letzd2varzd2_bglt) (BgL_nnodez00_1220);
												BgL_bdgsz00_1225 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2263))->
													BgL_bindingsz00);
											}
											{	/* Coerce/convert.scm 319 */
												bool_t BgL_testz00_2266;

												if (NULLP(BgL_bdgsz00_1225))
													{	/* Coerce/convert.scm 319 */
														BgL_testz00_2266 = ((bool_t) 1);
													}
												else
													{	/* Coerce/convert.scm 319 */
														if (NULLP(CDR(BgL_bdgsz00_1225)))
															{	/* Coerce/convert.scm 319 */
																BgL_testz00_2266 = ((bool_t) 0);
															}
														else
															{	/* Coerce/convert.scm 319 */
																BgL_testz00_2266 = ((bool_t) 1);
															}
													}
												if (BgL_testz00_2266)
													{	/* Coerce/convert.scm 319 */
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_string3777z00zzcoerce_convertz00,
															BGl_string3778z00zzcoerce_convertz00,
															BGl_shapez00zztools_shapez00
															(BgL_coercezd2opzd2_72));
													}
												else
													{	/* Coerce/convert.scm 319 */
														{	/* Coerce/convert.scm 324 */
															obj_t BgL_arg3703z00_1230;

															BgL_arg3703z00_1230 = CAR(CAR(BgL_bdgsz00_1225));
															{
																BgL_variablez00_bglt BgL_auxz00_2276;

																BgL_auxz00_2276 =
																	(BgL_variablez00_bglt) (BgL_arg3703z00_1230);
																((((BgL_variablez00_bglt)
																			CREF(BgL_auxz00_2276))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_fromz00_74), BUNSPEC);
															}
														}
														{	/* Coerce/convert.scm 325 */
															obj_t BgL_auxz00_2279;

															BgL_auxz00_2279 = CAR(BgL_bdgsz00_1225);
															SET_CDR(BgL_auxz00_2279, BgL_nodez00_73);
														}
														return (obj_t) (BgL_nnodez00_1220);
													}
											}
										}
									else
										{	/* Coerce/convert.scm 317 */
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string3777z00zzcoerce_convertz00,
												BGl_string3778z00zzcoerce_convertz00,
												BGl_shapez00zztools_shapez00(BgL_coercezd2opzd2_72));
										}
								}
						}
					}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 451733024),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 80496154),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 498901618),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 71067807),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 387636515),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 476444243),
				BSTRING_TO_STRING(BGl_string3779z00zzcoerce_convertz00));
		}
	}

#ifdef __cplusplus
}
#endif
