/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	static obj_t BGl_coercez12zd2funcall3177zc0zzcoerce_funcallz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t __cnst[18];


	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3378z00zzcoerce_funcallz00,
		BgL_bgl_coerceza712za7d2func3383z00,
		BGl_coercez12zd2funcall3177zc0zzcoerce_funcallz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3377z00zzcoerce_funcallz00,
		BgL_bgl_string3377za700za7za7c3384za7, ":Wrong number of arguments", 26);
	      DEFINE_STRING(BGl_string3380z00zzcoerce_funcallz00,
		BgL_bgl_string3380za700za7za7c3385za7,
		"correct-arity? if let ::int len fun (light elight) dummy __eoa__ _ quote failure error/location __error @ begin location bdb ",
		125);
	      DEFINE_STRING(BGl_string3379z00zzcoerce_funcallz00,
		BgL_bgl_string3379za700za7za7c3386za7, "coerce_funcall", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_1452, char *BgL_fromz00_1453)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_1444;

				BgL_cportz00_1444 =
					bgl_open_input_string(BGl_string3380z00zzcoerce_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1445;

					BgL_iz00_1445 = ((long) 17);
				BgL_loopz00_1446:
					if ((BgL_iz00_1445 == ((long) -1)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg3382z00_1448;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_1450;

										BgL_locationz00_1450 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg3382z00_1448 =
												BGl_readz00zz__readerz00(BgL_cportz00_1444,
												BgL_locationz00_1450);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_auxz00_1472;

									BgL_auxz00_1472 = (int) (BgL_iz00_1445);
									CNST_TABLE_SET(BgL_auxz00_1472, BgL_arg3382z00_1448);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_1451;

								BgL_auxz00_1451 = (int) ((BgL_iz00_1445 - ((long) 1)));
								{
									long BgL_iz00_1477;

									BgL_iz00_1477 = (long) (BgL_auxz00_1451);
									BgL_iz00_1445 = BgL_iz00_1477;
									goto BgL_loopz00_1446;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_19, obj_t BgL_errorzd2msgzd2_20, obj_t BgL_locz00_21,
		obj_t BgL_callerz00_22, obj_t BgL_toz00_23)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 85 */
			{	/* Coerce/funcall.scm 86 */
				BgL_nodez00_bglt BgL_nodez00_848;

				{	/* Coerce/funcall.scm 87 */
					obj_t BgL_arg3187z00_849;

					{	/* Coerce/funcall.scm 87 */
						bool_t BgL_testz00_1479;

						{	/* Coerce/funcall.scm 87 */
							bool_t BgL_testz00_1480;

							if (
								((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
									((long) 0)))
								{	/* Coerce/funcall.scm 87 */
									BgL_testz00_1480 = ((bool_t) 1);
								}
							else
								{	/* Coerce/funcall.scm 87 */
									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
											((long) 0)))
										{	/* Coerce/funcall.scm 89 */
											obj_t BgL_arg3249z00_908;

											obj_t BgL_arg3251z00_909;

											BgL_arg3249z00_908 = CNST_TABLE_REF(((long) 0));
											{	/* Coerce/funcall.scm 91 */
												obj_t BgL_arg3253z00_910;

												BgL_arg3253z00_910 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{
													BgL_backendz00_bglt BgL_auxz00_1489;

													BgL_auxz00_1489 =
														(BgL_backendz00_bglt) (BgL_arg3253z00_910);
													BgL_arg3251z00_909 =
														(((BgL_backendz00_bglt) CREF(BgL_auxz00_1489))->
														BgL_debugzd2supportzd2);
											}}
											BgL_testz00_1480 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_arg3249z00_908, BgL_arg3251z00_909));
										}
									else
										{	/* Coerce/funcall.scm 88 */
											BgL_testz00_1480 = ((bool_t) 0);
										}
								}
							if (BgL_testz00_1480)
								{	/* Coerce/funcall.scm 87 */
									if (STRUCTP(BgL_locz00_21))
										{	/* Coerce/funcall.scm 92 */
											BgL_testz00_1479 =
												(STRUCT_KEY(BgL_locz00_21) ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* Coerce/funcall.scm 92 */
											BgL_testz00_1479 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/funcall.scm 87 */
									BgL_testz00_1479 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_1479)
							{	/* Coerce/funcall.scm 93 */
								obj_t BgL_arg3189z00_851;

								obj_t BgL_arg3190z00_852;

								BgL_arg3189z00_851 = CNST_TABLE_REF(((long) 2));
								{	/* Coerce/funcall.scm 94 */
									obj_t BgL_arg3191z00_853;

									obj_t BgL_arg3192z00_854;

									{	/* Coerce/funcall.scm 94 */
										obj_t BgL_arg3196z00_858;

										obj_t BgL_arg3197z00_859;

										{	/* Coerce/funcall.scm 94 */
											obj_t BgL_arg3198z00_860;

											obj_t BgL_arg3199z00_861;

											BgL_arg3198z00_860 = CNST_TABLE_REF(((long) 3));
											{	/* Coerce/funcall.scm 94 */
												obj_t BgL_list3200z00_862;

												{	/* Coerce/funcall.scm 94 */
													obj_t BgL_arg3201z00_863;

													obj_t BgL_arg3202z00_864;

													BgL_arg3201z00_863 = CNST_TABLE_REF(((long) 4));
													BgL_arg3202z00_864 = MAKE_PAIR(BNIL, BNIL);
													BgL_list3200z00_862 =
														MAKE_PAIR(BgL_arg3201z00_863, BgL_arg3202z00_864);
												}
												BgL_arg3199z00_861 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 5)), BgL_list3200z00_862);
											}
											BgL_arg3196z00_858 =
												MAKE_PAIR(BgL_arg3198z00_860, BgL_arg3199z00_861);
										}
										{	/* Coerce/funcall.scm 96 */
											obj_t BgL_arg3203z00_865;

											obj_t BgL_arg3204z00_866;

											obj_t BgL_arg3205z00_867;

											{	/* Coerce/funcall.scm 96 */
												obj_t BgL_arg3212z00_874;

												BgL_arg3212z00_874 =
													SYMBOL_TO_STRING
													(BGl_currentzd2functionzd2zztools_errorz00());
												BgL_arg3203z00_865 =
													string_append(BgL_arg3212z00_874,
													BGl_string3377z00zzcoerce_funcallz00);
											}
											BgL_arg3204z00_866 =
												BGl_locationzd2fullzd2fnamez00zztools_locationz00
												(BgL_locz00_21);
											BgL_arg3205z00_867 =
												STRUCT_REF(BgL_locz00_21, (int) (((long) 1)));
											{	/* Coerce/funcall.scm 94 */
												obj_t BgL_list3207z00_869;

												{	/* Coerce/funcall.scm 94 */
													obj_t BgL_arg3208z00_870;

													{	/* Coerce/funcall.scm 94 */
														obj_t BgL_arg3209z00_871;

														{	/* Coerce/funcall.scm 94 */
															obj_t BgL_arg3210z00_872;

															{	/* Coerce/funcall.scm 94 */
																obj_t BgL_arg3211z00_873;

																BgL_arg3211z00_873 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg3210z00_872 =
																	MAKE_PAIR(BgL_arg3205z00_867,
																	BgL_arg3211z00_873);
															}
															BgL_arg3209z00_871 =
																MAKE_PAIR(BgL_arg3204z00_866,
																BgL_arg3210z00_872);
														}
														BgL_arg3208z00_870 =
															MAKE_PAIR(
															(obj_t) (BgL_funz00_19), BgL_arg3209z00_871);
													}
													BgL_list3207z00_869 =
														MAKE_PAIR(BgL_errorzd2msgzd2_20,
														BgL_arg3208z00_870);
												}
												BgL_arg3197z00_859 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3203z00_865, BgL_list3207z00_869);
										}}
										BgL_arg3191z00_853 =
											MAKE_PAIR(BgL_arg3196z00_858, BgL_arg3197z00_859);
									}
									{	/* Coerce/funcall.scm 102 */
										obj_t BgL_arg3215z00_877;

										obj_t BgL_arg3217z00_878;

										BgL_arg3215z00_877 = CNST_TABLE_REF(((long) 6));
										{	/* Coerce/funcall.scm 102 */
											obj_t BgL_arg3218z00_879;

											obj_t BgL_arg3219z00_880;

											obj_t BgL_arg3220z00_881;

											{	/* Coerce/funcall.scm 102 */
												obj_t BgL_arg3225z00_886;

												obj_t BgL_arg3226z00_887;

												BgL_arg3225z00_886 = CNST_TABLE_REF(((long) 7));
												{	/* Coerce/funcall.scm 102 */
													obj_t BgL_list3227z00_888;

													BgL_list3227z00_888 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3226z00_887 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 8)), BgL_list3227z00_888);
												}
												BgL_arg3218z00_879 =
													MAKE_PAIR(BgL_arg3225z00_886, BgL_arg3226z00_887);
											}
											{	/* Coerce/funcall.scm 102 */
												obj_t BgL_arg3228z00_889;

												obj_t BgL_arg3229z00_890;

												BgL_arg3228z00_889 = CNST_TABLE_REF(((long) 7));
												{	/* Coerce/funcall.scm 102 */
													obj_t BgL_list3230z00_891;

													BgL_list3230z00_891 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3229z00_890 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 8)), BgL_list3230z00_891);
												}
												BgL_arg3219z00_880 =
													MAKE_PAIR(BgL_arg3228z00_889, BgL_arg3229z00_890);
											}
											{	/* Coerce/funcall.scm 102 */
												obj_t BgL_arg3231z00_892;

												obj_t BgL_arg3232z00_893;

												BgL_arg3231z00_892 = CNST_TABLE_REF(((long) 7));
												{	/* Coerce/funcall.scm 102 */
													obj_t BgL_list3233z00_894;

													BgL_list3233z00_894 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3232z00_893 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 8)), BgL_list3233z00_894);
												}
												BgL_arg3220z00_881 =
													MAKE_PAIR(BgL_arg3231z00_892, BgL_arg3232z00_893);
											}
											{	/* Coerce/funcall.scm 102 */
												obj_t BgL_list3222z00_883;

												{	/* Coerce/funcall.scm 102 */
													obj_t BgL_arg3223z00_884;

													{	/* Coerce/funcall.scm 102 */
														obj_t BgL_arg3224z00_885;

														BgL_arg3224z00_885 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3223z00_884 =
															MAKE_PAIR(BgL_arg3220z00_881, BgL_arg3224z00_885);
													}
													BgL_list3222z00_883 =
														MAKE_PAIR(BgL_arg3219z00_880, BgL_arg3223z00_884);
												}
												BgL_arg3217z00_878 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3218z00_879, BgL_list3222z00_883);
										}}
										BgL_arg3192z00_854 =
											MAKE_PAIR(BgL_arg3215z00_877, BgL_arg3217z00_878);
									}
									{	/* Coerce/funcall.scm 93 */
										obj_t BgL_list3194z00_856;

										{	/* Coerce/funcall.scm 93 */
											obj_t BgL_arg3195z00_857;

											BgL_arg3195z00_857 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3194z00_856 =
												MAKE_PAIR(BgL_arg3192z00_854, BgL_arg3195z00_857);
										}
										BgL_arg3190z00_852 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3191z00_853, BgL_list3194z00_856);
								}}
								BgL_arg3187z00_849 =
									MAKE_PAIR(BgL_arg3189z00_851, BgL_arg3190z00_852);
							}
						else
							{	/* Coerce/funcall.scm 103 */
								obj_t BgL_arg3236z00_895;

								obj_t BgL_arg3237z00_896;

								BgL_arg3236z00_895 = CNST_TABLE_REF(((long) 6));
								{	/* Coerce/funcall.scm 104 */
									obj_t BgL_arg3238z00_897;

									{	/* Coerce/funcall.scm 104 */
										obj_t BgL_arg3244z00_902;

										BgL_arg3244z00_902 =
											SYMBOL_TO_STRING(BGl_currentzd2functionzd2zztools_errorz00
											());
										BgL_arg3238z00_897 =
											string_append(BgL_arg3244z00_902,
											BGl_string3377z00zzcoerce_funcallz00);
									}
									{	/* Coerce/funcall.scm 103 */
										obj_t BgL_list3240z00_899;

										{	/* Coerce/funcall.scm 103 */
											obj_t BgL_arg3242z00_900;

											{	/* Coerce/funcall.scm 103 */
												obj_t BgL_arg3243z00_901;

												BgL_arg3243z00_901 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3242z00_900 =
													MAKE_PAIR(
													(obj_t) (BgL_funz00_19), BgL_arg3243z00_901);
											}
											BgL_list3240z00_899 =
												MAKE_PAIR(BgL_errorzd2msgzd2_20, BgL_arg3242z00_900);
										}
										BgL_arg3237z00_896 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3238z00_897, BgL_list3240z00_899);
								}}
								BgL_arg3187z00_849 =
									MAKE_PAIR(BgL_arg3236z00_895, BgL_arg3237z00_896);
					}}
					BgL_nodez00_848 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3187z00_849,
						BgL_locz00_21);
				}
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_848, BgL_callerz00_22,
					(BgL_typez00_bglt) (BgL_toz00_23), ((bool_t) 0));
			}
		}
	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_24, obj_t BgL_callerz00_25, obj_t BgL_toz00_26,
		obj_t BgL_safez00_27)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 114 */
			if (NULLP((((BgL_funcallz00_bglt) CREF(BgL_nodez00_24))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 117 */
					obj_t BgL_arg3255z00_912;

					{	/* Coerce/funcall.scm 117 */
						BgL_nodez00_bglt BgL_arg3256z00_913;

						{	/* Coerce/funcall.scm 117 */
							obj_t BgL_arg3258z00_915;

							obj_t BgL_arg3259z00_916;

							BgL_arg3258z00_915 = CNST_TABLE_REF(((long) 9));
							{
								BgL_nodez00_bglt BgL_auxz00_1563;

								BgL_auxz00_1563 = (BgL_nodez00_bglt) (BgL_nodez00_24);
								BgL_arg3259z00_916 =
									(((BgL_nodez00_bglt) CREF(BgL_auxz00_1563))->BgL_locz00);
							}
							BgL_arg3256z00_913 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg3258z00_915, BgL_arg3259z00_916);
						}
						{	/* Coerce/funcall.scm 116 */
							obj_t BgL_list3257z00_914;

							BgL_list3257z00_914 =
								MAKE_PAIR((obj_t) (BgL_arg3256z00_913), BNIL);
							BgL_arg3255z00_912 = BgL_list3257z00_914;
					}}
					return
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_24))->BgL_argsz00) =
						((obj_t) BgL_arg3255z00_912), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 119 */
					obj_t BgL_g3174z00_917;

					obj_t BgL_g3175z00_918;

					BgL_g3174z00_917 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_24))->BgL_argsz00);
					BgL_g3175z00_918 = CNST_TABLE_REF(((long) 10));
					{
						obj_t BgL_actualsz00_920;

						obj_t BgL_prevz00_921;

						BgL_actualsz00_920 = BgL_g3174z00_917;
						BgL_prevz00_921 = BgL_g3175z00_918;
					BgL_zc3anonymousza33260ze3z83_922:
						if (NULLP(BgL_actualsz00_920))
							{	/* Coerce/funcall.scm 123 */
								obj_t BgL_arg3262z00_924;

								{	/* Coerce/funcall.scm 123 */
									BgL_nodez00_bglt BgL_arg3263z00_925;

									{	/* Coerce/funcall.scm 123 */
										obj_t BgL_arg3265z00_927;

										obj_t BgL_arg3266z00_928;

										BgL_arg3265z00_927 = CNST_TABLE_REF(((long) 9));
										{
											BgL_nodez00_bglt BgL_auxz00_1575;

											BgL_auxz00_1575 = (BgL_nodez00_bglt) (BgL_nodez00_24);
											BgL_arg3266z00_928 =
												(((BgL_nodez00_bglt) CREF(BgL_auxz00_1575))->
												BgL_locz00);
										}
										BgL_arg3263z00_925 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg3265z00_927, BgL_arg3266z00_928);
									}
									{	/* Coerce/funcall.scm 122 */
										obj_t BgL_list3264z00_926;

										BgL_list3264z00_926 =
											MAKE_PAIR((obj_t) (BgL_arg3263z00_925), BNIL);
										BgL_arg3262z00_924 = BgL_list3264z00_926;
								}}
								return SET_CDR(BgL_prevz00_921, BgL_arg3262z00_924);
							}
						else
							{	/* Coerce/funcall.scm 121 */
								{	/* Coerce/funcall.scm 126 */
									BgL_nodez00_bglt BgL_arg3267z00_929;

									{	/* Coerce/funcall.scm 126 */
										obj_t BgL_arg3268z00_930;

										BgL_arg3268z00_930 = CAR(BgL_actualsz00_920);
										BgL_arg3267z00_929 =
											BGl_coercez12z12zzcoerce_coercez00(
											(BgL_nodez00_bglt) (BgL_arg3268z00_930), BgL_callerz00_25,
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
											CBOOL(BgL_safez00_27));
									}
									{	/* Coerce/funcall.scm 126 */
										obj_t BgL_auxz00_1587;

										BgL_auxz00_1587 = (obj_t) (BgL_arg3267z00_929);
										SET_CAR(BgL_actualsz00_920, BgL_auxz00_1587);
									}
								}
								{
									obj_t BgL_prevz00_1592;

									obj_t BgL_actualsz00_1590;

									BgL_actualsz00_1590 = CDR(BgL_actualsz00_920);
									BgL_prevz00_1592 = BgL_actualsz00_920;
									BgL_prevz00_921 = BgL_prevz00_1592;
									BgL_actualsz00_920 = BgL_actualsz00_1590;
									goto BgL_zc3anonymousza33260ze3z83_922;
								}
							}
					}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3378z00zzcoerce_funcallz00);
		}
	}



/* coerce!-funcall3177 */
	obj_t BGl_coercez12zd2funcall3177zc0zzcoerce_funcallz00(obj_t BgL_envz00_1433,
		obj_t BgL_nodez00_1434, obj_t BgL_callerz00_1435, obj_t BgL_toz00_1436,
		obj_t BgL_safez00_1437)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 36 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1306;

				obj_t BgL_callerz00_1307;

				obj_t BgL_toz00_1308;

				obj_t BgL_safez00_1309;

				BgL_nodez00_1306 = (BgL_funcallz00_bglt) (BgL_nodez00_1434);
				BgL_callerz00_1307 = BgL_callerz00_1435;
				BgL_toz00_1308 = BgL_toz00_1436;
				BgL_safez00_1309 = BgL_safez00_1437;
				{	/* Coerce/funcall.scm 38 */
					obj_t BgL_errorzd2msgzd2_1312;

					obj_t BgL_strengthz00_1313;

					{	/* Coerce/funcall.scm 38 */
						obj_t BgL_arg3361z00_1365;

						obj_t BgL_arg3362z00_1366;

						BgL_arg3361z00_1365 = CNST_TABLE_REF(((long) 7));
						BgL_arg3362z00_1366 =
							BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1306));
						{	/* Coerce/funcall.scm 38 */
							obj_t BgL_list3363z00_1367;

							{	/* Coerce/funcall.scm 38 */
								obj_t BgL_arg3364z00_1368;

								BgL_arg3364z00_1368 = MAKE_PAIR(BgL_arg3362z00_1366, BNIL);
								BgL_list3363z00_1367 =
									MAKE_PAIR(BgL_arg3361z00_1365, BgL_arg3364z00_1368);
							}
							BgL_errorzd2msgzd2_1312 = BgL_list3363z00_1367;
					}}
					BgL_strengthz00_1313 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1306))->BgL_strengthz00);
					BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_nodez00_1306,
						BgL_callerz00_1307, BgL_toz00_1308, BgL_safez00_1309);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
							(BgL_strengthz00_1313, CNST_TABLE_REF(((long) 11)))))
						{	/* Coerce/funcall.scm 42 */
							return
								(obj_t) (BGl_convertz12z12zzcoerce_convertz00(
									(BgL_nodez00_bglt) (BgL_nodez00_1306),
									(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
									(BgL_typez00_bglt) (BgL_toz00_1308),
									CBOOL(BgL_safez00_1309)));
						}
					else
						{	/* Coerce/funcall.scm 45 */
							BgL_nodez00_bglt BgL_czd2funzd2_1315;

							{	/* Coerce/funcall.scm 45 */
								BgL_nodez00_bglt BgL_arg3360z00_1364;

								BgL_arg3360z00_1364 =
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1306))->BgL_funz00);
								BgL_czd2funzd2_1315 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg3360z00_1364,
									BgL_callerz00_1307,
									(BgL_typez00_bglt) (BGl_za2procedureza2z00zztype_cachez00),
									CBOOL(BgL_safez00_1309));
							}
							if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
								{	/* Coerce/funcall.scm 47 */
									((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1306))->
											BgL_funz00) =
										((BgL_nodez00_bglt) BgL_czd2funzd2_1315), BUNSPEC);
									return (obj_t) (BGl_convertz12z12zzcoerce_convertz00(
											(BgL_nodez00_bglt) (BgL_nodez00_1306),
											(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
											(BgL_typez00_bglt) (BgL_toz00_1308),
											CBOOL(BgL_safez00_1309)));
								}
							else
								{	/* Coerce/funcall.scm 51 */
									BgL_localz00_bglt BgL_funz00_1316;

									BgL_funz00_1316 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 12)),
										(BgL_typez00_bglt) (BGl_za2procedureza2z00zztype_cachez00));
									{	/* Coerce/funcall.scm 51 */
										obj_t BgL_locz00_1317;

										{
											BgL_nodez00_bglt BgL_auxz00_1627;

											BgL_auxz00_1627 = (BgL_nodez00_bglt) (BgL_nodez00_1306);
											BgL_locz00_1317 =
												(((BgL_nodez00_bglt) CREF(BgL_auxz00_1627))->
												BgL_locz00);
										}
										{	/* Coerce/funcall.scm 52 */
											BgL_atomz00_bglt BgL_lenz00_1318;

											{	/* Coerce/funcall.scm 56 */
												long BgL_arg3356z00_1360;

												BgL_arg3356z00_1360 =
													(bgl_list_length(
														(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1306))->
															BgL_argsz00)) - ((long) 2));
												BgL_lenz00_1318 =
													BGl_makezd2atomzd2zzast_nodez00(BgL_locz00_1317,
													(BgL_typez00_bglt) (BGl_za2intza2z00zztype_cachez00),
													BINT(BgL_arg3356z00_1360));
											}
											{	/* Coerce/funcall.scm 53 */
												obj_t BgL_azd2lenzd2_1319;

												BgL_azd2lenzd2_1319 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 13))));
												{	/* Coerce/funcall.scm 58 */
													obj_t BgL_azd2tlenzd2_1320;

													{	/* Coerce/funcall.scm 60 */
														obj_t BgL_arg3349z00_1353;

														{	/* Coerce/funcall.scm 60 */
															obj_t BgL_arg3350z00_1354;

															{	/* Coerce/funcall.scm 60 */
																obj_t BgL_arg3351z00_1355;

																obj_t BgL_arg3352z00_1356;

																BgL_arg3351z00_1355 =
																	SYMBOL_TO_STRING(BgL_azd2lenzd2_1319);
																{	/* Coerce/funcall.scm 60 */
																	obj_t BgL_symbolz00_1426;

																	BgL_symbolz00_1426 =
																		CNST_TABLE_REF(((long) 14));
																	BgL_arg3352z00_1356 =
																		SYMBOL_TO_STRING(BgL_symbolz00_1426);
																}
																{	/* Coerce/funcall.scm 60 */
																	obj_t BgL_list3353z00_1357;

																	{	/* Coerce/funcall.scm 60 */
																		obj_t BgL_arg3354z00_1358;

																		BgL_arg3354z00_1358 =
																			MAKE_PAIR(BgL_arg3352z00_1356, BNIL);
																		BgL_list3353z00_1357 =
																			MAKE_PAIR(BgL_arg3351z00_1355,
																			BgL_arg3354z00_1358);
																	}
																	BgL_arg3350z00_1354 =
																		BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																		(BgL_list3353z00_1357);
															}}
															BgL_arg3349z00_1353 =
																string_to_symbol(BSTRING_TO_STRING
																(BgL_arg3350z00_1354));
														}
														BgL_azd2tlenzd2_1320 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BgL_arg3349z00_1353);
													}
													{	/* Coerce/funcall.scm 59 */
														BgL_letzd2varzd2_bglt BgL_lnodez00_1321;

														{	/* Coerce/funcall.scm 61 */
															obj_t BgL_arg3320z00_1324;

															BgL_nodez00_bglt BgL_arg3321z00_1325;

															{	/* Coerce/funcall.scm 64 */
																obj_t BgL_arg3322z00_1326;

																BgL_arg3322z00_1326 =
																	MAKE_PAIR(
																	(obj_t) (BgL_funz00_1316),
																	(obj_t) (BgL_czd2funzd2_1315));
																{	/* Coerce/funcall.scm 64 */
																	obj_t BgL_list3323z00_1327;

																	BgL_list3323z00_1327 =
																		MAKE_PAIR(BgL_arg3322z00_1326, BNIL);
																	BgL_arg3320z00_1324 = BgL_list3323z00_1327;
															}}
															{	/* Coerce/funcall.scm 66 */
																obj_t BgL_arg3324z00_1328;

																{	/* Coerce/funcall.scm 66 */
																	obj_t BgL_arg3325z00_1329;

																	obj_t BgL_arg3326z00_1330;

																	BgL_arg3325z00_1329 =
																		CNST_TABLE_REF(((long) 15));
																	{	/* Coerce/funcall.scm 66 */
																		obj_t BgL_arg3327z00_1331;

																		obj_t BgL_arg3328z00_1332;

																		{	/* Coerce/funcall.scm 66 */
																			obj_t BgL_arg3332z00_1336;

																			{	/* Coerce/funcall.scm 66 */
																				obj_t BgL_arg3334z00_1338;

																				{	/* Coerce/funcall.scm 66 */
																					obj_t BgL_list3335z00_1339;

																					BgL_list3335z00_1339 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg3334z00_1338 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						((obj_t) (BgL_lenz00_1318),
																						BgL_list3335z00_1339);
																				}
																				BgL_arg3332z00_1336 =
																					MAKE_PAIR(BgL_azd2tlenzd2_1320,
																					BgL_arg3334z00_1338);
																			}
																			BgL_arg3327z00_1331 =
																				MAKE_PAIR(BgL_arg3332z00_1336, BNIL);
																		}
																		{	/* Coerce/funcall.scm 67 */
																			obj_t BgL_arg3336z00_1340;

																			obj_t BgL_arg3337z00_1341;

																			BgL_arg3336z00_1340 =
																				CNST_TABLE_REF(((long) 16));
																			{	/* Coerce/funcall.scm 67 */
																				obj_t BgL_arg3338z00_1342;

																				BgL_nodez00_bglt BgL_arg3339z00_1343;

																				BgL_nodez00_bglt BgL_arg3340z00_1344;

																				{	/* Coerce/funcall.scm 67 */
																					obj_t BgL_arg3345z00_1349;

																					obj_t BgL_arg3346z00_1350;

																					BgL_arg3345z00_1349 =
																						CNST_TABLE_REF(((long) 17));
																					{	/* Coerce/funcall.scm 67 */
																						obj_t BgL_list3347z00_1351;

																						{	/* Coerce/funcall.scm 67 */
																							obj_t BgL_arg3348z00_1352;

																							BgL_arg3348z00_1352 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list3347z00_1351 =
																								MAKE_PAIR(BgL_azd2lenzd2_1319,
																								BgL_arg3348z00_1352);
																						}
																						BgL_arg3346z00_1350 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							((obj_t) (BgL_funz00_1316),
																							BgL_list3347z00_1351);
																					}
																					BgL_arg3338z00_1342 =
																						MAKE_PAIR(BgL_arg3345z00_1349,
																						BgL_arg3346z00_1350);
																				}
																				BgL_arg3339z00_1343 =
																					BGl_convertz12z12zzcoerce_convertz00(
																					(BgL_nodez00_bglt) (BgL_nodez00_1306),
																					(BgL_typez00_bglt)
																					(BGl_za2objza2z00zztype_cachez00),
																					(BgL_typez00_bglt) (BgL_toz00_1308),
																					CBOOL(BgL_safez00_1309));
																				BgL_arg3340z00_1344 =
																					BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																					(BgL_funz00_1316,
																					BgL_errorzd2msgzd2_1312,
																					BgL_locz00_1317, BgL_callerz00_1307,
																					BgL_toz00_1308);
																				{	/* Coerce/funcall.scm 67 */
																					obj_t BgL_list3342z00_1346;

																					{	/* Coerce/funcall.scm 67 */
																						obj_t BgL_arg3343z00_1347;

																						{	/* Coerce/funcall.scm 67 */
																							obj_t BgL_arg3344z00_1348;

																							BgL_arg3344z00_1348 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg3343z00_1347 =
																								MAKE_PAIR(
																								(obj_t) (BgL_arg3340z00_1344),
																								BgL_arg3344z00_1348);
																						}
																						BgL_list3342z00_1346 =
																							MAKE_PAIR(
																							(obj_t) (BgL_arg3339z00_1343),
																							BgL_arg3343z00_1347);
																					}
																					BgL_arg3337z00_1341 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg3338z00_1342,
																						BgL_list3342z00_1346);
																			}}
																			BgL_arg3328z00_1332 =
																				MAKE_PAIR(BgL_arg3336z00_1340,
																				BgL_arg3337z00_1341);
																		}
																		{	/* Coerce/funcall.scm 66 */
																			obj_t BgL_list3330z00_1334;

																			{	/* Coerce/funcall.scm 66 */
																				obj_t BgL_arg3331z00_1335;

																				BgL_arg3331z00_1335 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list3330z00_1334 =
																					MAKE_PAIR(BgL_arg3328z00_1332,
																					BgL_arg3331z00_1335);
																			}
																			BgL_arg3326z00_1330 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg3327z00_1331,
																				BgL_list3330z00_1334);
																	}}
																	BgL_arg3324z00_1328 =
																		MAKE_PAIR(BgL_arg3325z00_1329,
																		BgL_arg3326z00_1330);
																}
																BgL_arg3321z00_1325 =
																	BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																	(BgL_arg3324z00_1328, BgL_locz00_1317);
															}
															BgL_lnodez00_1321 =
																BGl_makezd2letzd2varz00zzast_nodez00
																(BgL_locz00_1317,
																(BgL_typez00_bglt)
																(BGl_za2objza2z00zztype_cachez00), BUNSPEC,
																BINT(((long) -1)), BgL_arg3320z00_1324,
																BgL_arg3321z00_1325, ((bool_t) 1));
														}
														{	/* Coerce/funcall.scm 61 */

															{	/* Coerce/funcall.scm 76 */
																BgL_varz00_bglt BgL_arg3318z00_1322;

																BgL_arg3318z00_1322 =
																	BGl_makezd2varzd2zzast_nodez00
																	(BgL_locz00_1317,
																	(BgL_typez00_bglt)
																	(BGl_za2objza2z00zztype_cachez00),
																	(BgL_variablez00_bglt) (BgL_funz00_1316));
																{
																	BgL_nodez00_bglt BgL_auxz00_1689;

																	BgL_auxz00_1689 =
																		(BgL_nodez00_bglt) (BgL_arg3318z00_1322);
																	((((BgL_funcallz00_bglt)
																				CREF(BgL_nodez00_1306))->BgL_funz00) =
																		((BgL_nodez00_bglt) BgL_auxz00_1689),
																		BUNSPEC);
															}}
															return (obj_t) (BgL_lnodez00_1321);
														}
													}
												}
											}
										}
									}
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 80496154),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 387636515),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 65499856),
				BSTRING_TO_STRING(BGl_string3379z00zzcoerce_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
