/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	static obj_t BGl_zc3anonymousza32370ze3z83zzengine_heapz00(obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_genericzd2initzd2zzengine_heapz00();
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_zc3anonymousza32422ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	static obj_t BGl_zc3anonymousza32344ze3z83zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	static obj_t BGl_zc3exitza32337ze3z83zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32356ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t BGl_zc3anonymousza32498ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__dumpzd2heapszd2zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zzengine_heapz00,
		BgL_bgl_za7c3anonymousza7a322592z00,
		BGl_zc3anonymousza32344ze3z83zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zzengine_heapz00,
		BgL_bgl_za7c3anonymousza7a322593z00,
		BGl_zc3anonymousza32356ze3z83zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zzengine_heapz00,
		BgL_bgl_za7c3anonymousza7a322594z00,
		BGl_zc3anonymousza32422ze3z83zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zzengine_heapz00,
		BgL_bgl_za7c3anonymousza7a322595z00,
		BGl_zc3anonymousza32498ze3z83zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2571z00zzengine_heapz00,
		BgL_bgl_string2571za700za7za7e2596za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string2572z00zzengine_heapz00,
		BgL_bgl_string2572za700za7za7e2597za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string2575z00zzengine_heapz00,
		BgL_bgl_string2575za700za7za7e2598za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string2576z00zzengine_heapz00,
		BgL_bgl_string2576za700za7za7e2599za7, "\"", 1);
	      DEFINE_STRING(BGl_string2577z00zzengine_heapz00,
		BgL_bgl_string2577za700za7za7e2600za7, " (variables", 11);
	      DEFINE_STRING(BGl_string2578z00zzengine_heapz00,
		BgL_bgl_string2578za700za7za7e2601za7, " )\n", 3);
	      DEFINE_STRING(BGl_string2580z00zzengine_heapz00,
		BgL_bgl_string2580za700za7za7e2602za7, " )", 2);
	      DEFINE_STRING(BGl_string2579z00zzengine_heapz00,
		BgL_bgl_string2579za700za7za7e2603za7, " (types", 7);
	      DEFINE_STRING(BGl_string2581z00zzengine_heapz00,
		BgL_bgl_string2581za700za7za7e2604za7, " (includes", 10);
	      DEFINE_STRING(BGl_string2582z00zzengine_heapz00,
		BgL_bgl_string2582za700za7za7e2605za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2584z00zzengine_heapz00,
		BgL_bgl_string2584za700za7za7e2606za7, "   ", 3);
	      DEFINE_STRING(BGl_string2585z00zzengine_heapz00,
		BgL_bgl_string2585za700za7za7e2607za7, "\n    ", 5);
	      DEFINE_STRING(BGl_string2586z00zzengine_heapz00,
		BgL_bgl_string2586za700za7za7e2608za7, "", 0);
	      DEFINE_STRING(BGl_string2588z00zzengine_heapz00,
		BgL_bgl_string2588za700za7za7e2609za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string2589z00zzengine_heapz00,
		BgL_bgl_string2589za700za7za7e2610za7,
		"type super class jvm-type-name inline sifun qualified-type name module id variable native function dump-heap ",
		109);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl__dumpza7d2heapsza7d22611z00, BGl__dumpzd2heapszd2zzengine_heapz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1023, char *BgL_fromz00_1024)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1015;

				BgL_cportz00_1015 =
					bgl_open_input_string(BGl_string2589z00zzengine_heapz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1016;

					BgL_iz00_1016 = ((long) 13);
				BgL_loopz00_1017:
					if ((BgL_iz00_1016 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg2591z00_1019;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1021;

										BgL_locationz00_1021 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg2591z00_1019 =
												BGl_readz00zz__readerz00(BgL_cportz00_1015,
												BgL_locationz00_1021);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_auxz00_1047;

									BgL_auxz00_1047 = (int) (BgL_iz00_1016);
									CNST_TABLE_SET(BgL_auxz00_1047, BgL_arg2591z00_1019);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1022;

								BgL_auxz00_1022 = (int) ((BgL_iz00_1016 - ((long) 1)));
								{
									long BgL_iz00_1052;

									BgL_iz00_1052 = (long) (BgL_auxz00_1022);
									BgL_iz00_1016 = BgL_iz00_1052;
									goto BgL_loopz00_1017;
								}
							}
						}
				}
			}
		}
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_1)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l2296z00_479;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_auxz00_1057;

					BgL_l2296z00_479 = BgL_namesz00_1;
				BgL_zc3anonymousza32323ze3z83_480:
					if (PAIRP(BgL_l2296z00_479))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l2296z00_479));
							{
								obj_t BgL_l2296z00_1062;

								BgL_l2296z00_1062 = CDR(BgL_l2296z00_479);
								BgL_l2296z00_479 = BgL_l2296z00_1062;
								goto BgL_zc3anonymousza32323ze3z83_480;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_auxz00_1057 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1057);
				}
			}
		}
	}



/* _dump-heaps */
	obj_t BGl__dumpzd2heapszd2zzengine_heapz00(obj_t BgL_envz00_989,
		obj_t BgL_namesz00_990)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_990);
		}
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_2)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_485;

				BgL_fnamez00_485 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_2,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_485))
					{	/* Engine/heap.scm 48 */
						obj_t BgL_portz00_487;

						BgL_portz00_487 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_485);
						if (BINARY_PORTP(BgL_portz00_487))
							{	/* Engine/heap.scm 53 */
								obj_t BgL_val2290z00_489;

								BgL_val2290z00_489 =
									BGl_zc3exitza32337ze3z83zzengine_heapz00(BgL_heapz00_2,
									BgL_portz00_487);
								close_binary_port(BgL_portz00_487);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2290z00_489)))
									{	/* Engine/heap.scm 113 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2290z00_489), CDR(BgL_val2290z00_489));
									}
								else
									{	/* Engine/heap.scm 113 */
										return BgL_val2290z00_489;
									}
							}
						else
							{	/* Engine/heap.scm 50 */
								obj_t BgL_arg2407z00_558;

								obj_t BgL_arg2408z00_559;

								BgL_arg2407z00_558 = CNST_TABLE_REF(((long) 0));
								{	/* Engine/heap.scm 51 */
									obj_t BgL_list2409z00_560;

									BgL_list2409z00_560 = MAKE_PAIR(BgL_fnamez00_485, BNIL);
									BgL_arg2408z00_559 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2571z00zzengine_heapz00, BgL_list2409z00_560);
								}
								return
									BGl_errorz00zz__errorz00(BgL_arg2407z00_558,
									BgL_arg2408z00_559, BGl_za2libzd2dirza2zd2zzengine_paramz00);
							}
					}
				else
					{	/* Engine/heap.scm 114 */
						obj_t BgL_mz00_561;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_list2410z00_562;

							BgL_list2410z00_562 = MAKE_PAIR(BgL_heapz00_2, BNIL);
							BgL_mz00_561 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2571z00zzengine_heapz00, BgL_list2410z00_562);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)), BgL_mz00_561,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
	}



/* <exit:2337> */
	obj_t BGl_zc3exitza32337ze3z83zzengine_heapz00(obj_t BgL_heapz00_1013,
		obj_t BgL_portz00_1012)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 113 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2291z00_494;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2291z00_494))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2291z00_494 = (void *) jmpbuf;
						{	/* Engine/heap.scm 113 */

							PUSH_EXIT(BgL_an_exit2291z00_494, ((long) 0));
							{	/* Engine/heap.scm 54 */
								obj_t BgL_val2292z00_495;

								{	/* Engine/heap.scm 54 */
									obj_t BgL_envsz00_496;

									BgL_envsz00_496 = input_obj(BgL_portz00_1012);
									{	/* Engine/heap.scm 54 */
										obj_t BgL__z00_497;

										{	/* Engine/heap.scm 55 */
											bool_t BgL_testz00_1092;

											{	/* Engine/heap.scm 55 */
												bool_t BgL_testz00_1093;

												{	/* Engine/heap.scm 55 */
													obj_t BgL_v2298z00_557;

													BgL_v2298z00_557 = create_vector((int) (((long) 1)));
													VECTOR_SET(BgL_v2298z00_557,
														(int) (((long) 0)), BgL_envsz00_496);
													BgL_testz00_1093 = ((bool_t) 1);
												}
												if (BgL_testz00_1093)
													{	/* Engine/heap.scm 56 */
														bool_t BgL__ortest_2293z00_552;

														{	/* Engine/heap.scm 56 */
															int BgL_arg2394z00_555;

															BgL_arg2394z00_555 =
																VECTOR_LENGTH(BgL_envsz00_496);
															BgL__ortest_2293z00_552 =
																((long) (BgL_arg2394z00_555) == ((long) 5));
														}
														if (BgL__ortest_2293z00_552)
															{	/* Engine/heap.scm 56 */
																BgL_testz00_1092 = BgL__ortest_2293z00_552;
															}
														else
															{	/* Engine/heap.scm 57 */
																int BgL_arg2381z00_553;

																BgL_arg2381z00_553 =
																	VECTOR_LENGTH(BgL_envsz00_496);
																BgL_testz00_1092 =
																	((long) (BgL_arg2381z00_553) == ((long) 6));
													}}
												else
													{	/* Engine/heap.scm 55 */
														BgL_testz00_1092 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_1092)
												{	/* Engine/heap.scm 55 */
													BgL__z00_497 = BFALSE;
												}
											else
												{	/* Engine/heap.scm 55 */
													BgL__z00_497 =
														BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
														BGl_string2572z00zzengine_heapz00,
														BgL_heapz00_1013);
										}}
										{	/* Engine/heap.scm 55 */
											obj_t BgL_targetz00_498;

											BgL_targetz00_498 =
												VECTOR_REF(BgL_envsz00_496, (int) (((long) 0)));
											{	/* Engine/heap.scm 59 */
												obj_t BgL_versionz00_499;

												BgL_versionz00_499 =
													VECTOR_REF(BgL_envsz00_496, (int) (((long) 1)));
												{	/* Engine/heap.scm 60 */
													obj_t BgL_specificz00_500;

													BgL_specificz00_500 =
														VECTOR_REF(BgL_envsz00_496, (int) (((long) 2)));
													{	/* Engine/heap.scm 61 */
														obj_t BgL_genvz00_501;

														BgL_genvz00_501 =
															VECTOR_REF(BgL_envsz00_496, (int) (((long) 3)));
														{	/* Engine/heap.scm 62 */
															obj_t BgL_tenvz00_502;

															BgL_tenvz00_502 =
																VECTOR_REF(BgL_envsz00_496, (int) (((long) 4)));
															{	/* Engine/heap.scm 63 */
																obj_t BgL_includesz00_503;

																{	/* Engine/heap.scm 64 */
																	bool_t BgL_testz00_1117;

																	{	/* Engine/heap.scm 64 */
																		int BgL_arg2373z00_548;

																		BgL_arg2373z00_548 =
																			VECTOR_LENGTH(BgL_envsz00_496);
																		BgL_testz00_1117 =
																			(
																			(long) (BgL_arg2373z00_548) ==
																			((long) 6));
																	}
																	if (BgL_testz00_1117)
																		{	/* Engine/heap.scm 64 */
																			BgL_includesz00_503 =
																				VECTOR_REF(BgL_envsz00_496,
																				(int) (((long) 5)));
																		}
																	else
																		{	/* Engine/heap.scm 64 */
																			BgL_includesz00_503 = BNIL;
																		}
																}
																{	/* Engine/heap.scm 64 */

																	{	/* Engine/heap.scm 76 */
																		bool_t BgL_testz00_1123;

																		{	/* Engine/heap.scm 76 */
																			int BgL_arg2339z00_505;

																			BgL_arg2339z00_505 =
																				VECTOR_LENGTH(BgL_envsz00_496);
																			BgL_testz00_1123 =
																				(
																				(long) (BgL_arg2339z00_505) ==
																				((long) 6));
																		}
																		if (BgL_testz00_1123)
																			{	/* Engine/heap.scm 76 */
																				BGl_addzd2genvz12zc0zzast_envz00
																					(BgL_genvz00_501);
																			}
																		else
																			{	/* Engine/heap.scm 76 */
																				BGl_setzd2tenvz12zc0zztype_envz00
																					(BgL_tenvz00_502);
																				BGl_setzd2genvz12zc0zzast_envz00
																					(BgL_genvz00_501);
																			}
																	}
																	{	/* Engine/heap.scm 85 */
																		bool_t BgL_testz00_1130;

																		{	/* Engine/heap.scm 85 */
																			obj_t BgL_arg2351z00_517;

																			BgL_arg2351z00_517 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			{
																				BgL_backendz00_bglt BgL_auxz00_1132;

																				BgL_auxz00_1132 =
																					(BgL_backendz00_bglt)
																					(BgL_arg2351z00_517);
																				BgL_testz00_1130 =
																					(((BgL_backendz00_bglt)
																						CREF(BgL_auxz00_1132))->
																					BgL_qualifiedzd2typeszd2);
																			}
																		}
																		if (BgL_testz00_1130)
																			{	/* Engine/heap.scm 85 */
																				BGl_forzd2eachzd2globalz12z12zzast_envz00
																					(BGl_proc2573z00zzengine_heapz00,
																					BNIL);
																			}
																		else
																			{	/* Engine/heap.scm 85 */
																				BFALSE;
																			}
																	}
																	BGl_hashtablezd2forzd2eachz00zz__hashz00
																		(BgL_genvz00_501,
																		BGl_proc2574z00zzengine_heapz00);
																	{	/* Engine/heap.scm 99 */
																		obj_t BgL_arg2368z00_533;

																		{	/* Engine/heap.scm 99 */
																			obj_t BgL_res2558z00_891;

																			{	/* Engine/heap.scm 99 */
																				obj_t BgL_auxz00_1137;

																				BgL_auxz00_1137 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res2558z00_891 =
																					BGL_ENV_CURRENT_ERROR_PORT
																					(BgL_auxz00_1137);
																			}
																			BgL_arg2368z00_533 = BgL_res2558z00_891;
																		}
																		{	/* Engine/heap.scm 101 */
																			obj_t BgL_zc3anonymousza32370ze3z83_991;

																			BgL_zc3anonymousza32370ze3z83_991 =
																				make_fx_procedure
																				(BGl_zc3anonymousza32370ze3z83zzengine_heapz00,
																				(int) (((long) 0)), (int) (((long) 4)));
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32370ze3z83_991,
																				(int) (((long) 0)), BgL_heapz00_1013);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32370ze3z83_991,
																				(int) (((long) 1)), BgL_genvz00_501);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32370ze3z83_991,
																				(int) (((long) 2)), BgL_tenvz00_502);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32370ze3z83_991,
																				(int) (((long) 3)),
																				BgL_includesz00_503);
																			BgL_val2292z00_495 =
																				BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																				(BgL_arg2368z00_533,
																				BgL_zc3anonymousza32370ze3z83_991);
								}}}}}}}}}}}
								POP_EXIT();
								return BgL_val2292z00_495;
							}
						}
					}
			}
		}
	}



/* <anonymous:2370> */
	obj_t BGl_zc3anonymousza32370ze3z83zzengine_heapz00(obj_t BgL_envz00_994)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 100 */
			{	/* Engine/heap.scm 101 */
				obj_t BgL_heapz00_995;

				obj_t BgL_genvz00_996;

				obj_t BgL_tenvz00_997;

				obj_t BgL_includesz00_998;

				BgL_heapz00_995 = PROCEDURE_REF(BgL_envz00_994, (int) (((long) 0)));
				BgL_genvz00_996 = PROCEDURE_REF(BgL_envz00_994, (int) (((long) 1)));
				BgL_tenvz00_997 = PROCEDURE_REF(BgL_envz00_994, (int) (((long) 2)));
				BgL_includesz00_998 = PROCEDURE_REF(BgL_envz00_994, (int) (((long) 3)));
				{

					{	/* Engine/heap.scm 101 */
						obj_t BgL_port2302z00_536;

						{	/* Engine/heap.scm 101 */
							obj_t BgL_res2559z00_893;

							{	/* Engine/heap.scm 101 */
								obj_t BgL_auxz00_1161;

								BgL_auxz00_1161 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2559z00_893 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1161);
							}
							BgL_port2302z00_536 = BgL_res2559z00_893;
						}
						bgl_display_string(BGl_string2575z00zzengine_heapz00,
							BgL_port2302z00_536);
						bgl_display_obj(BgL_heapz00_995, BgL_port2302z00_536);
						bgl_display_string(BGl_string2576z00zzengine_heapz00,
							BgL_port2302z00_536);
						bgl_display_char(((unsigned char) '\n'), BgL_port2302z00_536);
					}
					{	/* Engine/heap.scm 102 */
						obj_t BgL_port2303z00_537;

						{	/* Engine/heap.scm 102 */
							obj_t BgL_res2560z00_900;

							{	/* Engine/heap.scm 102 */
								obj_t BgL_auxz00_1168;

								BgL_auxz00_1168 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2560z00_900 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1168);
							}
							BgL_port2303z00_537 = BgL_res2560z00_900;
						}
						bgl_display_string(BGl_string2577z00zzengine_heapz00,
							BgL_port2303z00_537);
						bgl_display_char(((unsigned char) '\n'), BgL_port2303z00_537);
					}
					BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_996);
					{	/* Engine/heap.scm 104 */
						obj_t BgL_port2304z00_538;

						{	/* Engine/heap.scm 104 */
							obj_t BgL_res2561z00_905;

							{	/* Engine/heap.scm 104 */
								obj_t BgL_auxz00_1174;

								BgL_auxz00_1174 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2561z00_905 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1174);
							}
							BgL_port2304z00_538 = BgL_res2561z00_905;
						}
						bgl_display_string(BGl_string2578z00zzengine_heapz00,
							BgL_port2304z00_538);
						bgl_display_char(((unsigned char) '\n'), BgL_port2304z00_538);
					}
					{	/* Engine/heap.scm 105 */
						obj_t BgL_port2305z00_539;

						{	/* Engine/heap.scm 105 */
							obj_t BgL_res2562z00_910;

							{	/* Engine/heap.scm 105 */
								obj_t BgL_auxz00_1179;

								BgL_auxz00_1179 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2562z00_910 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1179);
							}
							BgL_port2305z00_539 = BgL_res2562z00_910;
						}
						bgl_display_string(BGl_string2579z00zzengine_heapz00,
							BgL_port2305z00_539);
						bgl_display_char(((unsigned char) '\n'), BgL_port2305z00_539);
					}
					BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_997);
					{	/* Engine/heap.scm 107 */
						obj_t BgL_port2306z00_540;

						{	/* Engine/heap.scm 107 */
							obj_t BgL_res2563z00_915;

							{	/* Engine/heap.scm 107 */
								obj_t BgL_auxz00_1185;

								BgL_auxz00_1185 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2563z00_915 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1185);
							}
							BgL_port2306z00_540 = BgL_res2563z00_915;
						}
						bgl_display_string(BGl_string2580z00zzengine_heapz00,
							BgL_port2306z00_540);
						bgl_display_char(((unsigned char) '\n'), BgL_port2306z00_540);
					}
					if (PAIRP(BgL_includesz00_998))
						{	/* Engine/heap.scm 108 */
							{	/* Engine/heap.scm 109 */
								obj_t BgL_port2307z00_542;

								{	/* Engine/heap.scm 109 */
									obj_t BgL_res2564z00_921;

									{	/* Engine/heap.scm 109 */
										obj_t BgL_auxz00_1192;

										BgL_auxz00_1192 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2564z00_921 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1192);
									}
									BgL_port2307z00_542 = BgL_res2564z00_921;
								}
								bgl_display_string(BGl_string2581z00zzengine_heapz00,
									BgL_port2307z00_542);
								bgl_display_char(((unsigned char) '\n'), BgL_port2307z00_542);
							}
							{	/* Engine/heap.scm 110 */
								obj_t BgL_port2308z00_543;

								{	/* Engine/heap.scm 110 */
									obj_t BgL_res2565z00_926;

									{	/* Engine/heap.scm 110 */
										obj_t BgL_auxz00_1197;

										BgL_auxz00_1197 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2565z00_926 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1197);
									}
									BgL_port2308z00_543 = BgL_res2565z00_926;
								}
								bgl_display_obj(BgL_includesz00_998, BgL_port2308z00_543);
								bgl_display_char(((unsigned char) '\n'), BgL_port2308z00_543);
							}
							{	/* Engine/heap.scm 111 */
								obj_t BgL_port2309z00_544;

								{	/* Engine/heap.scm 111 */
									obj_t BgL_res2566z00_929;

									{	/* Engine/heap.scm 111 */
										obj_t BgL_auxz00_1202;

										BgL_auxz00_1202 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2566z00_929 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1202);
									}
									BgL_port2309z00_544 = BgL_res2566z00_929;
								}
								bgl_display_string(BGl_string2580z00zzengine_heapz00,
									BgL_port2309z00_544);
								bgl_display_char(((unsigned char) '\n'), BgL_port2309z00_544);
						}}
					else
						{	/* Engine/heap.scm 108 */
							BFALSE;
						}
					{	/* Engine/heap.scm 112 */
						obj_t BgL_port2310z00_545;

						{	/* Engine/heap.scm 112 */
							obj_t BgL_res2567z00_934;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_auxz00_1207;

								BgL_auxz00_1207 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2567z00_934 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1207);
							}
							BgL_port2310z00_545 = BgL_res2567z00_934;
						}
						bgl_display_string(BGl_string2582z00zzengine_heapz00,
							BgL_port2310z00_545);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port2310z00_545);
		}}}}
	}



/* <anonymous:2356> */
	obj_t BGl_zc3anonymousza32356ze3z83zzengine_heapz00(obj_t BgL_envz00_999,
		obj_t BgL_kz00_1000, obj_t BgL_bucketz00_1001)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 95 */
			{
				obj_t BgL_kz00_519;

				obj_t BgL_bucketz00_520;

				{	/* Engine/heap.scm 96 */
					bool_t BgL_auxz00_1212;

					BgL_kz00_519 = BgL_kz00_1000;
					BgL_bucketz00_520 = BgL_bucketz00_1001;
					{	/* Engine/heap.scm 96 */
						obj_t BgL_g2301z00_522;

						BgL_g2301z00_522 = CDR(BgL_bucketz00_520);
						{
							obj_t BgL_l2299z00_524;

							BgL_l2299z00_524 = BgL_g2301z00_522;
						BgL_zc3anonymousza32357ze3z83_525:
							if (PAIRP(BgL_l2299z00_524))
								{	/* Engine/heap.scm 98 */
									{	/* Engine/heap.scm 97 */
										obj_t BgL_newz00_527;

										BgL_newz00_527 = CAR(BgL_l2299z00_524);
										{	/* Engine/heap.scm 97 */
											obj_t BgL_arg2365z00_528;

											{
												BgL_globalz00_bglt BgL_auxz00_1217;

												BgL_auxz00_1217 = (BgL_globalz00_bglt) (BgL_newz00_527);
												BgL_arg2365z00_528 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_1217))->
													BgL_modulez00);
											}
											{	/* Engine/heap.scm 97 */
												obj_t BgL_list2366z00_529;

												BgL_list2366z00_529 =
													MAKE_PAIR(BgL_arg2365z00_528, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list2366z00_529);
											}
										}
									}
									{
										obj_t BgL_l2299z00_1222;

										BgL_l2299z00_1222 = CDR(BgL_l2299z00_524);
										BgL_l2299z00_524 = BgL_l2299z00_1222;
										goto BgL_zc3anonymousza32357ze3z83_525;
									}
								}
							else
								{	/* Engine/heap.scm 98 */
									BgL_auxz00_1212 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1212);
				}
			}
		}
	}



/* <anonymous:2344> */
	obj_t BGl_zc3anonymousza32344ze3z83zzengine_heapz00(obj_t BgL_envz00_1002,
		obj_t BgL_newz00_1003)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 87 */
			{
				obj_t BgL_newz00_510;

				BgL_newz00_510 = BgL_newz00_1003;
				{	/* Engine/heap.scm 89 */
					obj_t BgL_arg2345z00_512;

					obj_t BgL_arg2346z00_513;

					obj_t BgL_arg2349z00_514;

					{
						BgL_globalz00_bglt BgL_auxz00_1225;

						BgL_auxz00_1225 = (BgL_globalz00_bglt) (BgL_newz00_510);
						BgL_arg2345z00_512 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1225))->BgL_modulez00);
					}
					{
						BgL_globalz00_bglt BgL_auxz00_1228;

						BgL_auxz00_1228 = (BgL_globalz00_bglt) (BgL_newz00_510);
						BgL_arg2346z00_513 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1228))->
							BgL_jvmzd2typezd2namez00);
					}
					BgL_arg2349z00_514 = BGl_shapez00zztools_shapez00(BgL_newz00_510);
					{	/* Engine/heap.scm 88 */
						obj_t BgL_list2350z00_515;

						BgL_list2350z00_515 = MAKE_PAIR(BgL_arg2349z00_514, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2345z00_512,
							BgL_arg2346z00_513, BgL_list2350z00_515);
					}
				}
			}
		}
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 121 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_3,
				BGl_proc2583z00zzengine_heapz00);
		}
	}



/* <anonymous:2422> */
	obj_t BGl_zc3anonymousza32422ze3z83zzengine_heapz00(obj_t BgL_envz00_1005,
		obj_t BgL_kz00_1006, obj_t BgL_bucketz00_1007)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 152 */
			{
				obj_t BgL_kz00_565;

				obj_t BgL_bucketz00_566;

				{	/* Engine/heap.scm 152 */
					bool_t BgL_auxz00_1235;

					BgL_kz00_565 = BgL_kz00_1006;
					BgL_bucketz00_566 = BgL_bucketz00_1007;
					{
						obj_t BgL_newz00_577;

						{	/* Engine/heap.scm 152 */
							obj_t BgL_g2314z00_568;

							BgL_g2314z00_568 = CDR(BgL_bucketz00_566);
							{
								obj_t BgL_l2312z00_570;

								BgL_l2312z00_570 = BgL_g2314z00_568;
							BgL_zc3anonymousza32423ze3z83_571:
								if (PAIRP(BgL_l2312z00_570))
									{	/* Engine/heap.scm 152 */
										BgL_newz00_577 = CAR(BgL_l2312z00_570);
										{	/* Engine/heap.scm 123 */
											obj_t BgL_modulez00_579;

											{
												BgL_globalz00_bglt BgL_auxz00_1239;

												BgL_auxz00_1239 = (BgL_globalz00_bglt) (BgL_newz00_577);
												BgL_modulez00_579 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_1239))->
													BgL_modulez00);
											}
											{	/* Engine/heap.scm 123 */
												obj_t BgL_idz00_580;

												{
													BgL_variablez00_bglt BgL_auxz00_1242;

													BgL_auxz00_1242 =
														(BgL_variablez00_bglt) (BgL_newz00_577);
													BgL_idz00_580 =
														(((BgL_variablez00_bglt) CREF(BgL_auxz00_1242))->
														BgL_idz00);
												}
												{	/* Engine/heap.scm 124 */
													obj_t BgL_qtz00_581;

													BgL_qtz00_581 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_579);
													{	/* Engine/heap.scm 125 */
														obj_t BgL_jtz00_582;

														{
															BgL_globalz00_bglt BgL_auxz00_1246;

															BgL_auxz00_1246 =
																(BgL_globalz00_bglt) (BgL_newz00_577);
															BgL_jtz00_582 =
																(((BgL_globalz00_bglt) CREF(BgL_auxz00_1246))->
																BgL_jvmzd2typezd2namez00);
														}
														{	/* Engine/heap.scm 126 */
															BgL_valuez00_bglt BgL_valz00_583;

															{
																BgL_variablez00_bglt BgL_auxz00_1249;

																BgL_auxz00_1249 =
																	(BgL_variablez00_bglt) (BgL_newz00_577);
																BgL_valz00_583 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_1249))->BgL_valuez00);
															}
															{	/* Engine/heap.scm 127 */
																obj_t BgL_kindz00_584;

																{	/* Engine/heap.scm 129 */
																	bool_t BgL_testz00_1252;

																	{	/* Engine/heap.scm 129 */
																		obj_t BgL_obj1784z00_949;

																		BgL_obj1784z00_949 =
																			(obj_t) (BgL_valz00_583);
																		BgL_testz00_1252 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj1784z00_949,
																			BGl_sfunz00zzast_varz00);
																	}
																	if (BgL_testz00_1252)
																		{	/* Engine/heap.scm 129 */
																			BgL_kindz00_584 =
																				CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Engine/heap.scm 130 */
																			bool_t BgL_testz00_1256;

																			{	/* Engine/heap.scm 130 */
																				obj_t BgL_obj1848z00_950;

																				BgL_obj1848z00_950 =
																					(obj_t) (BgL_valz00_583);
																				BgL_testz00_1256 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1848z00_950,
																					BGl_cfunz00zzast_varz00);
																			}
																			if (BgL_testz00_1256)
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_584 =
																						CNST_TABLE_REF(((long) 2));
																				}
																			else
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_584 =
																						CNST_TABLE_REF(((long) 3));
																}}}
																{	/* Engine/heap.scm 128 */

																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port2311z00_585;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_res2568z00_952;

																			{	/* Engine/heap.scm 132 */
																				obj_t BgL_auxz00_1261;

																				BgL_auxz00_1261 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res2568z00_952 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_1261);
																			}
																			BgL_port2311z00_585 = BgL_res2568z00_952;
																		}
																		bgl_display_string
																			(BGl_string2584z00zzengine_heapz00,
																			BgL_port2311z00_585);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg2430z00_586;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg2431z00_587;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg2432z00_588;

																					obj_t BgL_arg2434z00_590;

																					obj_t BgL_arg2436z00_592;

																					obj_t BgL_arg2438z00_594;

																					obj_t BgL_arg2440z00_596;

																					obj_t BgL_arg2441z00_597;

																					obj_t BgL_arg2442z00_598;

																					obj_t BgL_arg2444z00_600;

																					BgL_arg2432z00_588 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_577);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg2461z00_615;

																						obj_t BgL_arg2462z00_616;

																						BgL_arg2461z00_615 =
																							CNST_TABLE_REF(((long) 4));
																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_list2463z00_617;

																							BgL_list2463z00_617 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2462z00_616 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_idz00_580,
																								BgL_list2463z00_617);
																						}
																						BgL_arg2434z00_590 =
																							MAKE_PAIR(BgL_arg2461z00_615,
																							BgL_arg2462z00_616);
																					}
																					{	/* Engine/heap.scm 137 */
																						obj_t BgL_arg2464z00_618;

																						obj_t BgL_arg2465z00_619;

																						BgL_arg2464z00_618 =
																							CNST_TABLE_REF(((long) 5));
																						{	/* Engine/heap.scm 137 */
																							obj_t BgL_list2466z00_620;

																							BgL_list2466z00_620 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2465z00_619 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_modulez00_579,
																								BgL_list2466z00_620);
																						}
																						BgL_arg2436z00_592 =
																							MAKE_PAIR(BgL_arg2464z00_618,
																							BgL_arg2465z00_619);
																					}
																					{	/* Engine/heap.scm 139 */
																						obj_t BgL_arg2467z00_621;

																						obj_t BgL_arg2468z00_622;

																						BgL_arg2467z00_621 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Engine/heap.scm 139 */
																							obj_t BgL_arg2469z00_623;

																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_1275;
																								BgL_auxz00_1275 =
																									(BgL_variablez00_bglt)
																									(BgL_newz00_577);
																								BgL_arg2469z00_623 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_1275))->
																									BgL_namez00);
																							}
																							{	/* Engine/heap.scm 139 */
																								obj_t BgL_list2471z00_625;

																								BgL_list2471z00_625 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2468z00_622 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2469z00_623,
																									BgL_list2471z00_625);
																						}}
																						BgL_arg2438z00_594 =
																							MAKE_PAIR(BgL_arg2467z00_621,
																							BgL_arg2468z00_622);
																					}
																					{	/* Engine/heap.scm 141 */
																						obj_t BgL_arg2472z00_626;

																						obj_t BgL_arg2473z00_627;

																						BgL_arg2472z00_626 =
																							CNST_TABLE_REF(((long) 7));
																						{	/* Engine/heap.scm 141 */
																							obj_t BgL_list2474z00_628;

																							BgL_list2474z00_628 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2473z00_627 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_qtz00_581,
																								BgL_list2474z00_628);
																						}
																						BgL_arg2440z00_596 =
																							MAKE_PAIR(BgL_arg2472z00_626,
																							BgL_arg2473z00_627);
																					}
																					{	/* Engine/heap.scm 142 */
																						bool_t BgL_testz00_1285;

																						{	/* Engine/heap.scm 142 */
																							bool_t BgL_testz00_1286;

																							{	/* Engine/heap.scm 142 */
																								obj_t BgL_obj1784z00_956;

																								BgL_obj1784z00_956 =
																									(obj_t) (BgL_valz00_583);
																								BgL_testz00_1286 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1784z00_956,
																									BGl_sfunz00zzast_varz00);
																							}
																							if (BgL_testz00_1286)
																								{	/* Engine/heap.scm 142 */
																									obj_t BgL_auxz00_1289;

																									{
																										BgL_sfunz00_bglt
																											BgL_auxz00_1290;
																										BgL_auxz00_1290 =
																											(BgL_sfunz00_bglt)
																											(BgL_valz00_583);
																										BgL_auxz00_1289 =
																											(((BgL_sfunz00_bglt)
																												CREF(BgL_auxz00_1290))->
																											BgL_classz00);
																									}
																									BgL_testz00_1285 =
																										(BgL_auxz00_1289 ==
																										CNST_TABLE_REF(((long) 8)));
																								}
																							else
																								{	/* Engine/heap.scm 142 */
																									BgL_testz00_1285 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_1285)
																							{	/* Engine/heap.scm 142 */
																								BgL_arg2441z00_597 =
																									BGl_string2585z00zzengine_heapz00;
																							}
																						else
																							{	/* Engine/heap.scm 142 */
																								BgL_arg2441z00_597 =
																									BGl_string2586z00zzengine_heapz00;
																							}
																					}
																					{	/* Engine/heap.scm 145 */
																						bool_t BgL_testz00_1295;

																						{	/* Engine/heap.scm 145 */
																							bool_t BgL_testz00_1296;

																							{	/* Engine/heap.scm 145 */
																								obj_t BgL_obj1784z00_958;

																								BgL_obj1784z00_958 =
																									(obj_t) (BgL_valz00_583);
																								BgL_testz00_1296 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1784z00_958,
																									BGl_sfunz00zzast_varz00);
																							}
																							if (BgL_testz00_1296)
																								{	/* Engine/heap.scm 145 */
																									obj_t BgL_auxz00_1299;

																									{
																										BgL_sfunz00_bglt
																											BgL_auxz00_1300;
																										BgL_auxz00_1300 =
																											(BgL_sfunz00_bglt)
																											(BgL_valz00_583);
																										BgL_auxz00_1299 =
																											(((BgL_sfunz00_bglt)
																												CREF(BgL_auxz00_1300))->
																											BgL_classz00);
																									}
																									BgL_testz00_1295 =
																										(BgL_auxz00_1299 ==
																										CNST_TABLE_REF(((long) 8)));
																								}
																							else
																								{	/* Engine/heap.scm 145 */
																									BgL_testz00_1295 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_1295)
																							{	/* Engine/heap.scm 146 */
																								obj_t BgL_arg2480z00_634;

																								obj_t BgL_arg2481z00_635;

																								BgL_arg2480z00_634 =
																									CNST_TABLE_REF(((long) 9));
																								{	/* Engine/heap.scm 146 */
																									obj_t BgL_arg2483z00_636;

																									{	/* Engine/heap.scm 146 */
																										obj_t BgL_arg2487z00_639;

																										{
																											BgL_sfunz00_bglt
																												BgL_auxz00_1306;
																											BgL_auxz00_1306 =
																												(BgL_sfunz00_bglt)
																												(BgL_valz00_583);
																											BgL_arg2487z00_639 =
																												(((BgL_sfunz00_bglt)
																													CREF
																													(BgL_auxz00_1306))->
																												BgL_bodyz00);
																										}
																										BgL_arg2483z00_636 =
																											BGl_shapez00zztools_shapez00
																											(BgL_arg2487z00_639);
																									}
																									{	/* Engine/heap.scm 146 */
																										obj_t BgL_list2485z00_638;

																										BgL_list2485z00_638 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2481z00_635 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2483z00_636,
																											BgL_list2485z00_638);
																								}}
																								BgL_arg2442z00_598 =
																									MAKE_PAIR(BgL_arg2480z00_634,
																									BgL_arg2481z00_635);
																							}
																						else
																							{	/* Engine/heap.scm 145 */
																								BgL_arg2442z00_598 =
																									BGl_string2586z00zzengine_heapz00;
																							}
																					}
																					{	/* Engine/heap.scm 149 */
																						obj_t BgL_arg2491z00_643;

																						obj_t BgL_arg2493z00_644;

																						BgL_arg2491z00_643 =
																							CNST_TABLE_REF(((long) 10));
																						{	/* Engine/heap.scm 149 */
																							obj_t BgL_list2494z00_645;

																							BgL_list2494z00_645 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2493z00_644 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_jtz00_582,
																								BgL_list2494z00_645);
																						}
																						BgL_arg2444z00_600 =
																							MAKE_PAIR(BgL_arg2491z00_643,
																							BgL_arg2493z00_644);
																					}
																					{	/* Engine/heap.scm 132 */
																						obj_t BgL_list2446z00_602;

																						{	/* Engine/heap.scm 132 */
																							obj_t BgL_arg2447z00_603;

																							{	/* Engine/heap.scm 132 */
																								obj_t BgL_arg2448z00_604;

																								{	/* Engine/heap.scm 132 */
																									obj_t BgL_arg2449z00_605;

																									{	/* Engine/heap.scm 132 */
																										obj_t BgL_arg2451z00_606;

																										{	/* Engine/heap.scm 132 */
																											obj_t BgL_arg2452z00_607;

																											{	/* Engine/heap.scm 132 */
																												obj_t
																													BgL_arg2453z00_608;
																												{	/* Engine/heap.scm 132 */
																													obj_t
																														BgL_arg2454z00_609;
																													{	/* Engine/heap.scm 132 */
																														obj_t
																															BgL_arg2455z00_610;
																														{	/* Engine/heap.scm 132 */
																															obj_t
																																BgL_arg2457z00_611;
																															{	/* Engine/heap.scm 132 */
																																obj_t
																																	BgL_arg2458z00_612;
																																{	/* Engine/heap.scm 132 */
																																	obj_t
																																		BgL_arg2459z00_613;
																																	{	/* Engine/heap.scm 132 */
																																		obj_t
																																			BgL_arg2460z00_614;
																																		BgL_arg2460z00_614
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2459z00_613
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2444z00_600,
																																			BgL_arg2460z00_614);
																																	}
																																	BgL_arg2458z00_612
																																		=
																																		MAKE_PAIR
																																		(BGl_string2585z00zzengine_heapz00,
																																		BgL_arg2459z00_613);
																																}
																																BgL_arg2457z00_611
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2442z00_598,
																																	BgL_arg2458z00_612);
																															}
																															BgL_arg2455z00_610
																																=
																																MAKE_PAIR
																																(BgL_arg2441z00_597,
																																BgL_arg2457z00_611);
																														}
																														BgL_arg2454z00_609 =
																															MAKE_PAIR
																															(BgL_arg2440z00_596,
																															BgL_arg2455z00_610);
																													}
																													BgL_arg2453z00_608 =
																														MAKE_PAIR
																														(BGl_string2585z00zzengine_heapz00,
																														BgL_arg2454z00_609);
																												}
																												BgL_arg2452z00_607 =
																													MAKE_PAIR
																													(BgL_arg2438z00_594,
																													BgL_arg2453z00_608);
																											}
																											BgL_arg2451z00_606 =
																												MAKE_PAIR
																												(BGl_string2585z00zzengine_heapz00,
																												BgL_arg2452z00_607);
																										}
																										BgL_arg2449z00_605 =
																											MAKE_PAIR
																											(BgL_arg2436z00_592,
																											BgL_arg2451z00_606);
																									}
																									BgL_arg2448z00_604 =
																										MAKE_PAIR
																										(BGl_string2585z00zzengine_heapz00,
																										BgL_arg2449z00_605);
																								}
																								BgL_arg2447z00_603 =
																									MAKE_PAIR(BgL_arg2434z00_590,
																									BgL_arg2448z00_604);
																							}
																							BgL_list2446z00_602 =
																								MAKE_PAIR
																								(BGl_string2585z00zzengine_heapz00,
																								BgL_arg2447z00_603);
																						}
																						BgL_arg2431z00_587 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2432z00_588,
																							BgL_list2446z00_602);
																				}}
																				BgL_arg2430z00_586 =
																					MAKE_PAIR(BgL_kindz00_584,
																					BgL_arg2431z00_587);
																			}
																			bgl_display_obj(BgL_arg2430z00_586,
																				BgL_port2311z00_585);
																		}
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port2311z00_585);
										}}}}}}}}
										{
											obj_t BgL_l2312z00_1335;

											BgL_l2312z00_1335 = CDR(BgL_l2312z00_570);
											BgL_l2312z00_570 = BgL_l2312z00_1335;
											goto BgL_zc3anonymousza32423ze3z83_571;
										}
									}
								else
									{	/* Engine/heap.scm 152 */
										BgL_auxz00_1235 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1235);
				}
			}
		}
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_4)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 157 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_4,
				BGl_proc2587z00zzengine_heapz00);
		}
	}



/* <anonymous:2498> */
	obj_t BGl_zc3anonymousza32498ze3z83zzengine_heapz00(obj_t BgL_envz00_1009,
		obj_t BgL_kz00_1010, obj_t BgL_newz00_1011)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 159 */
			{
				obj_t BgL_kz00_650;

				obj_t BgL_newz00_651;

				BgL_kz00_650 = BgL_kz00_1010;
				BgL_newz00_651 = BgL_newz00_1011;
				{	/* Engine/heap.scm 160 */
					obj_t BgL_idz00_653;

					{
						BgL_typez00_bglt BgL_auxz00_1339;

						BgL_auxz00_1339 = (BgL_typez00_bglt) (BgL_newz00_651);
						BgL_idz00_653 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1339))->BgL_idz00);
					}
					{	/* Engine/heap.scm 160 */
						obj_t BgL_namez00_654;

						{
							BgL_typez00_bglt BgL_auxz00_1342;

							BgL_auxz00_1342 = (BgL_typez00_bglt) (BgL_newz00_651);
							BgL_namez00_654 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_1342))->BgL_namez00);
						}
						{	/* Engine/heap.scm 161 */

							if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_651,
									BGl_tclassz00zzobject_classz00))
								{	/* Engine/heap.scm 164 */
									obj_t BgL_port2321z00_657;

									{	/* Engine/heap.scm 164 */
										obj_t BgL_res2569z00_966;

										{	/* Engine/heap.scm 164 */
											obj_t BgL_auxz00_1347;

											BgL_auxz00_1347 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res2569z00_966 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1347);
										}
										BgL_port2321z00_657 = BgL_res2569z00_966;
									}
									bgl_display_string(BGl_string2584z00zzengine_heapz00,
										BgL_port2321z00_657);
									{	/* Engine/heap.scm 165 */
										obj_t BgL_arg2500z00_658;

										{	/* Engine/heap.scm 165 */
											obj_t BgL_arg2501z00_659;

											obj_t BgL_arg2502z00_660;

											BgL_arg2501z00_659 = CNST_TABLE_REF(((long) 11));
											{	/* Engine/heap.scm 165 */
												obj_t BgL_arg2503z00_661;

												obj_t BgL_arg2504z00_662;

												obj_t BgL_arg2505z00_663;

												BgL_arg2503z00_661 =
													BGl_shapez00zztools_shapez00(BgL_newz00_651);
												{	/* Engine/heap.scm 166 */
													obj_t BgL_arg2508z00_666;

													obj_t BgL_arg2510z00_667;

													BgL_arg2508z00_666 = CNST_TABLE_REF(((long) 12));
													{	/* Engine/heap.scm 166 */
														obj_t BgL_arg2511z00_668;

														{	/* Engine/heap.scm 166 */
															obj_t BgL_arg2514z00_671;

															{	/* Engine/heap.scm 166 */
																BgL_tclassz00_bglt BgL_obj2060z00_969;

																BgL_obj2060z00_969 =
																	(BgL_tclassz00_bglt) (BgL_newz00_651);
																{
																	obj_t BgL_auxz00_1355;

																	{	/* Engine/heap.scm 166 */
																		BgL_objectz00_bglt BgL_auxz00_1356;

																		BgL_auxz00_1356 =
																			(BgL_objectz00_bglt) (BgL_obj2060z00_969);
																		BgL_auxz00_1355 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1356);
																	}
																	BgL_arg2514z00_671 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_1355))->
																		BgL_itszd2superzd2);
															}}
															BgL_arg2511z00_668 =
																BGl_shapez00zztools_shapez00
																(BgL_arg2514z00_671);
														}
														{	/* Engine/heap.scm 166 */
															obj_t BgL_list2513z00_670;

															BgL_list2513z00_670 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2510z00_667 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2511z00_668, BgL_list2513z00_670);
													}}
													BgL_arg2504z00_662 =
														MAKE_PAIR(BgL_arg2508z00_666, BgL_arg2510z00_667);
												}
												{	/* Engine/heap.scm 167 */
													obj_t BgL_arg2515z00_672;

													{	/* Engine/heap.scm 167 */
														obj_t BgL_l2315z00_674;

														{	/* Engine/heap.scm 167 */
															BgL_tclassz00_bglt BgL_obj2063z00_970;

															BgL_obj2063z00_970 =
																(BgL_tclassz00_bglt) (BgL_newz00_651);
															{
																obj_t BgL_auxz00_1365;

																{	/* Engine/heap.scm 167 */
																	BgL_objectz00_bglt BgL_auxz00_1366;

																	BgL_auxz00_1366 =
																		(BgL_objectz00_bglt) (BgL_obj2063z00_970);
																	BgL_auxz00_1365 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1366);
																}
																BgL_l2315z00_674 =
																	(((BgL_tclassz00_bglt)
																		CREF(BgL_auxz00_1365))->BgL_slotsz00);
														}}
														if (NULLP(BgL_l2315z00_674))
															{	/* Engine/heap.scm 167 */
																BgL_arg2515z00_672 = BNIL;
															}
														else
															{	/* Engine/heap.scm 167 */
																obj_t BgL_head2317z00_676;

																BgL_head2317z00_676 =
																	MAKE_PAIR(BGl_shapez00zztools_shapez00(CAR
																		(BgL_l2315z00_674)), BNIL);
																{	/* Engine/heap.scm 167 */
																	obj_t BgL_g2320z00_677;

																	BgL_g2320z00_677 = CDR(BgL_l2315z00_674);
																	{
																		obj_t BgL_l2315z00_679;

																		obj_t BgL_tail2318z00_680;

																		BgL_l2315z00_679 = BgL_g2320z00_677;
																		BgL_tail2318z00_680 = BgL_head2317z00_676;
																	BgL_zc3anonymousza32518ze3z83_681:
																		if (NULLP(BgL_l2315z00_679))
																			{	/* Engine/heap.scm 167 */
																				BgL_arg2515z00_672 =
																					BgL_head2317z00_676;
																			}
																		else
																			{	/* Engine/heap.scm 167 */
																				obj_t BgL_newtail2319z00_683;

																				BgL_newtail2319z00_683 =
																					MAKE_PAIR(BGl_shapez00zztools_shapez00
																					(CAR(BgL_l2315z00_679)), BNIL);
																				SET_CDR(BgL_tail2318z00_680,
																					BgL_newtail2319z00_683);
																				{
																					obj_t BgL_tail2318z00_1384;

																					obj_t BgL_l2315z00_1382;

																					BgL_l2315z00_1382 =
																						CDR(BgL_l2315z00_679);
																					BgL_tail2318z00_1384 =
																						BgL_newtail2319z00_683;
																					BgL_tail2318z00_680 =
																						BgL_tail2318z00_1384;
																					BgL_l2315z00_679 = BgL_l2315z00_1382;
																					goto
																						BgL_zc3anonymousza32518ze3z83_681;
																				}
																			}
																	}
																}
															}
													}
													BgL_arg2505z00_663 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2515z00_672, BNIL);
												}
												{	/* Engine/heap.scm 165 */
													obj_t BgL_list2506z00_664;

													{	/* Engine/heap.scm 165 */
														obj_t BgL_arg2507z00_665;

														BgL_arg2507z00_665 =
															MAKE_PAIR(BgL_arg2505z00_663, BNIL);
														BgL_list2506z00_664 =
															MAKE_PAIR(BgL_arg2504z00_662, BgL_arg2507z00_665);
													}
													BgL_arg2502z00_660 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2503z00_661, BgL_list2506z00_664);
												}
											}
											BgL_arg2500z00_658 =
												MAKE_PAIR(BgL_arg2501z00_659, BgL_arg2502z00_660);
										}
										bgl_display_obj(BgL_arg2500z00_658, BgL_port2321z00_657);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port2321z00_657);
								}
							else
								{	/* Engine/heap.scm 168 */
									obj_t BgL_port2322z00_692;

									{	/* Engine/heap.scm 168 */
										obj_t BgL_res2570z00_985;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_auxz00_1392;

											BgL_auxz00_1392 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res2570z00_985 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1392);
										}
										BgL_port2322z00_692 = BgL_res2570z00_985;
									}
									bgl_display_string(BGl_string2584z00zzengine_heapz00,
										BgL_port2322z00_692);
									{	/* Engine/heap.scm 168 */
										obj_t BgL_arg2530z00_693;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_arg2531z00_694;

											obj_t BgL_arg2532z00_695;

											BgL_arg2531z00_694 = CNST_TABLE_REF(((long) 13));
											{	/* Engine/heap.scm 168 */
												obj_t BgL_arg2533z00_696;

												{	/* Engine/heap.scm 168 */
													obj_t BgL_arg2538z00_700;

													obj_t BgL_arg2539z00_701;

													BgL_arg2538z00_700 = CNST_TABLE_REF(((long) 6));
													{	/* Engine/heap.scm 168 */
														obj_t BgL_list2540z00_702;

														BgL_list2540z00_702 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg2539z00_701 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_namez00_654, BgL_list2540z00_702);
													}
													BgL_arg2533z00_696 =
														MAKE_PAIR(BgL_arg2538z00_700, BgL_arg2539z00_701);
												}
												{	/* Engine/heap.scm 168 */
													obj_t BgL_list2536z00_698;

													{	/* Engine/heap.scm 168 */
														obj_t BgL_arg2537z00_699;

														BgL_arg2537z00_699 = MAKE_PAIR(BNIL, BNIL);
														BgL_list2536z00_698 =
															MAKE_PAIR(BgL_arg2533z00_696, BgL_arg2537z00_699);
													}
													BgL_arg2532z00_695 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_idz00_653, BgL_list2536z00_698);
											}}
											BgL_arg2530z00_693 =
												MAKE_PAIR(BgL_arg2531z00_694, BgL_arg2532z00_695);
										}
										bgl_display_obj(BgL_arg2530z00_693, BgL_port2322z00_692);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port2322z00_692);
		}}}}}}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 71067807),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 307873065),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 284127067),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
		}
	}

#ifdef __cplusplus
}
#endif
