/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/restore.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_zc3anonymousza32234ze3z83zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
	static obj_t BGl_genericzd2initzd2zzheap_restorez00();
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32402ze3z83zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl__restorezd2heapzd2zzheap_restorez00(obj_t);
	static bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzheap_restorez00();
	static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t BGl_restorezd2heapzd2zzheap_restorez00();
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl__heapzd2modulezd2listz00zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00();
	static obj_t BGl_zc3exitza32132ze3z83zzheap_restorez00(obj_t);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	static obj_t BGl_zc3anonymousza32428ze3z83zzheap_restorez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzheap_restorez00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	BGL_IMPORT obj_t close_binary_port(obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BUNSPEC;
	static obj_t BGl__restorezd2additionalzd2heapsz00zzheap_restorez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl__restorezd2additionalzd22462z00zzheap_restorez00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32218ze3z83zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32344ze3z83zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
	static obj_t BGl_za2heapzd2markza2zd2zzheap_restorez00 = BUNSPEC;
	extern obj_t BGl_za2unsafezd2heapza2zd2zzengine_paramz00;
	static obj_t BGl_methodzd2initzd2zzheap_restorez00();
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2463z00zzheap_restorez00,
		BgL_bgl_string2463za700za7za7h2486za7, "Heap", 4);
	      DEFINE_STRING(BGl_string2464z00zzheap_restorez00,
		BgL_bgl_string2464za700za7za7h2487za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2465z00zzheap_restorez00,
		BgL_bgl_string2465za700za7za7h2488za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2466z00zzheap_restorez00,
		BgL_bgl_string2466za700za7za7h2489za7, "]", 1);
	      DEFINE_STRING(BGl_string2467z00zzheap_restorez00,
		BgL_bgl_string2467za700za7za7h2490za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string2468z00zzheap_restorez00,
		BgL_bgl_string2468za700za7za7h2491za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string2470z00zzheap_restorez00,
		BgL_bgl_string2470za700za7za7h2492za7, "~a vs. ~a", 9);
	      DEFINE_STRING(BGl_string2469z00zzheap_restorez00,
		BgL_bgl_string2469za700za7za7h2493za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string2471z00zzheap_restorez00,
		BgL_bgl_string2471za700za7za7h2494za7, "Target language mismatch", 24);
	      DEFINE_STRING(BGl_string2472z00zzheap_restorez00,
		BgL_bgl_string2472za700za7za7h2495za7, "Heap is `~a', Bigloo is `~a'", 28);
	      DEFINE_STRING(BGl_string2473z00zzheap_restorez00,
		BgL_bgl_string2473za700za7za7h2496za7, "Release mismatch", 16);
	      DEFINE_STRING(BGl_string2474z00zzheap_restorez00,
		BgL_bgl_string2474za700za7za7h2497za7, "Specific version mismatch", 25);
	      DEFINE_STRING(BGl_string2477z00zzheap_restorez00,
		BgL_bgl_string2477za700za7za7h2498za7, ".", 1);
	      DEFINE_STRING(BGl_string2478z00zzheap_restorez00,
		BgL_bgl_string2478za700za7za7h2499za7, "Library", 7);
	      DEFINE_STRING(BGl_string2479z00zzheap_restorez00,
		BgL_bgl_string2479za700za7za7h2500za7, "restore-additional-heap", 23);
	      DEFINE_STRING(BGl_string2482z00zzheap_restorez00,
		BgL_bgl_string2482za700za7za7h2501za7, "heap_restore", 12);
	      DEFINE_STRING(BGl_string2483z00zzheap_restorez00,
		BgL_bgl_string2483za700za7za7h2502za7,
		"restore-additional-heap call-with-current-continuation __r4_control_features_6_9 call/cc restore-heap pass-started heap-mark ",
		125);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2heapzd2envz00zzheap_restorez00,
		BgL_bgl__restoreza7d2heapza72503z00,
		BGl__restorezd2heapzd2zzheap_restorez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2modulezd2listzd2envzd2zzheap_restorez00,
		BgL_bgl__heapza7d2moduleza7d2504z00, va_generic_entry,
		BGl__heapzd2modulezd2listz00zzheap_restorez00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapzd2envzd2zzheap_restorez00,
		BgL_bgl__restoreza7d2addit2505za7,
		BGl__restorezd2additionalzd22462z00zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zzheap_restorez00,
		BgL_bgl_za7c3anonymousza7a322506z00,
		BGl_zc3anonymousza32218ze3z83zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zzheap_restorez00,
		BgL_bgl_za7c3anonymousza7a322507z00,
		BGl_zc3anonymousza32234ze3z83zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zzheap_restorez00,
		BgL_bgl_za7c3anonymousza7a322508z00,
		BGl_zc3anonymousza32402ze3z83zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zzheap_restorez00,
		BgL_bgl_za7c3anonymousza7a322509z00,
		BGl_zc3anonymousza32428ze3z83zzheap_restorez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00,
		BgL_bgl__restoreza7d2addit2510za7,
		BGl__restorezd2additionalzd2heapsz00zzheap_restorez00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long
		BgL_checksumz00_867, char *BgL_fromz00_868)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_restorez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
					BGl_cnstzd2initzd2zzheap_restorez00();
					BGl_importedzd2moduleszd2initz00zzheap_restorez00();
					BGl_toplevelzd2initzd2zzheap_restorez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"heap_restore");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			{	/* Heap/restore.scm 15 */
				obj_t BgL_cportz00_859;

				BgL_cportz00_859 =
					bgl_open_input_string(BGl_string2483z00zzheap_restorez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_860;

					BgL_iz00_860 = ((long) 6);
				BgL_loopz00_861:
					if ((BgL_iz00_860 == ((long) -1)))
						{	/* Heap/restore.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/restore.scm 15 */
							{	/* Heap/restore.scm 15 */
								obj_t BgL_arg2485z00_863;

								{	/* Heap/restore.scm 15 */

									{	/* Heap/restore.scm 15 */
										obj_t BgL_locationz00_865;

										BgL_locationz00_865 = BBOOL(((bool_t) 0));
										{	/* Heap/restore.scm 15 */

											BgL_arg2485z00_863 =
												BGl_readz00zz__readerz00(BgL_cportz00_859,
												BgL_locationz00_865);
										}
									}
								}
								{	/* Heap/restore.scm 15 */
									int BgL_auxz00_892;

									BgL_auxz00_892 = (int) (BgL_iz00_860);
									CNST_TABLE_SET(BgL_auxz00_892, BgL_arg2485z00_863);
							}}
							{	/* Heap/restore.scm 15 */
								int BgL_auxz00_866;

								BgL_auxz00_866 = (int) ((BgL_iz00_860 - ((long) 1)));
								{
									long BgL_iz00_897;

									BgL_iz00_897 = (long) (BgL_auxz00_866);
									BgL_iz00_860 = BgL_iz00_897;
									goto BgL_loopz00_861;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BNIL;
			return (BGl_za2heapzd2markza2zd2zzheap_restorez00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* backend-heap-compatible? */
	bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t
		BgL_targetz00_1)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 36 */
			{	/* Heap/restore.scm 37 */
				obj_t BgL_instance2012z00_417;

				BgL_instance2012z00_417 = BGl_thezd2backendzd2zzbackend_backendz00();
				{	/* Heap/restore.scm 38 */
					bool_t BgL__ortest_2014z00_418;

					{	/* Heap/restore.scm 38 */
						obj_t BgL_auxz00_901;

						{
							BgL_backendz00_bglt BgL_auxz00_902;

							BgL_auxz00_902 = (BgL_backendz00_bglt) (BgL_instance2012z00_417);
							BgL_auxz00_901 =
								(((BgL_backendz00_bglt) CREF(BgL_auxz00_902))->BgL_languagez00);
						}
						BgL__ortest_2014z00_418 = (BgL_targetz00_1 == BgL_auxz00_901);
					}
					if (BgL__ortest_2014z00_418)
						{	/* Heap/restore.scm 38 */
							return BgL__ortest_2014z00_418;
						}
					else
						{	/* Heap/restore.scm 38 */
							obj_t BgL_auxz00_907;

							{
								BgL_backendz00_bglt BgL_auxz00_908;

								BgL_auxz00_908 =
									(BgL_backendz00_bglt) (BgL_instance2012z00_417);
								BgL_auxz00_907 =
									(((BgL_backendz00_bglt) CREF(BgL_auxz00_908))->
									BgL_heapzd2compatiblezd2);
							}
							return (BgL_targetz00_1 == BgL_auxz00_907);
						}
				}
			}
		}
	}



/* restore-heap */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2heapzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 43 */
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/restore.scm 44 */
					{	/* Heap/restore.scm 45 */
						obj_t BgL_list2047z00_422;

						{	/* Heap/restore.scm 45 */
							obj_t BgL_arg2056z00_424;

							{	/* Heap/restore.scm 45 */
								obj_t BgL_arg2060z00_426;

								BgL_arg2060z00_426 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg2056z00_424 =
									MAKE_PAIR(BGl_string2463z00zzheap_restorez00,
									BgL_arg2060z00_426);
							}
							BgL_list2047z00_422 =
								MAKE_PAIR(BGl_string2464z00zzheap_restorez00,
								BgL_arg2056z00_424);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2047z00_422);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string2463z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_430;

						obj_t BgL_hnamesz00_431;

						BgL_hooksz00_430 = BNIL;
						BgL_hnamesz00_431 = BNIL;
					BgL_zc3anonymousza32061ze3z83_432:
						if (NULLP(BgL_hooksz00_430))
							{	/* Heap/restore.scm 45 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 45 */
								bool_t BgL_testz00_924;

								{	/* Heap/restore.scm 45 */
									obj_t BgL_fun2083z00_440;

									BgL_fun2083z00_440 = CAR(BgL_hooksz00_430);
									BgL_testz00_924 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2083z00_440)
										(BgL_fun2083z00_440, BEOA));
								}
								if (BgL_testz00_924)
									{
										obj_t BgL_hnamesz00_931;

										obj_t BgL_hooksz00_929;

										BgL_hooksz00_929 = CDR(BgL_hooksz00_430);
										BgL_hnamesz00_931 = CDR(BgL_hnamesz00_431);
										BgL_hnamesz00_431 = BgL_hnamesz00_931;
										BgL_hooksz00_430 = BgL_hooksz00_929;
										goto BgL_zc3anonymousza32061ze3z83_432;
									}
								else
									{	/* Heap/restore.scm 45 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2463z00zzheap_restorez00,
											BGl_string2465z00zzheap_restorez00,
											CAR(BgL_hnamesz00_431));
									}
							}
					}
					{	/* Heap/restore.scm 46 */
						obj_t BgL_fnamez00_443;

						BgL_fnamez00_443 =
							BGl_findzd2filezf2pathz20zz__osz00
							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (STRINGP(BgL_fnamez00_443))
							{	/* Heap/restore.scm 48 */
								obj_t BgL_portz00_445;

								BgL_portz00_445 =
									BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
									(BgL_fnamez00_443);
								if (BINARY_PORTP(BgL_portz00_445))
									{	/* Heap/restore.scm 49 */
										{	/* Heap/restore.scm 54 */
											obj_t BgL_list2087z00_447;

											{	/* Heap/restore.scm 54 */
												obj_t BgL_arg2094z00_449;

												{	/* Heap/restore.scm 54 */
													obj_t BgL_arg2096z00_450;

													{	/* Heap/restore.scm 54 */
														obj_t BgL_arg2109z00_452;

														BgL_arg2109z00_452 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg2096z00_450 =
															MAKE_PAIR(BGl_string2466z00zzheap_restorez00,
															BgL_arg2109z00_452);
													}
													BgL_arg2094z00_449 =
														MAKE_PAIR(BgL_fnamez00_443, BgL_arg2096z00_450);
												}
												BgL_list2087z00_447 =
													MAKE_PAIR(BGl_string2467z00zzheap_restorez00,
													BgL_arg2094z00_449);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2087z00_447);
										}
										{	/* Heap/restore.scm 55 */
											obj_t BgL_val2017z00_453;

											BgL_val2017z00_453 =
												BGl_zc3exitza32132ze3z83zzheap_restorez00
												(BgL_portz00_445);
											close_binary_port(BgL_portz00_445);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2017z00_453)))
												{	/* Heap/restore.scm 109 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2017z00_453), CDR(BgL_val2017z00_453));
												}
											else
												{	/* Heap/restore.scm 109 */
													return BgL_val2017z00_453;
												}
										}
									}
								else
									{	/* Heap/restore.scm 50 */
										obj_t BgL_mz00_507;

										{	/* Heap/restore.scm 50 */
											obj_t BgL_list2266z00_508;

											BgL_list2266z00_508 = MAKE_PAIR(BgL_fnamez00_443, BNIL);
											BgL_mz00_507 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string2468z00zzheap_restorez00,
												BgL_list2266z00_508);
										}
										BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
											BgL_mz00_507, BGl_za2libzd2dirza2zd2zzengine_paramz00);
										return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
													5)));
							}}
						else
							{	/* Heap/restore.scm 110 */
								obj_t BgL_mz00_509;

								{	/* Heap/restore.scm 110 */
									obj_t BgL_list2267z00_510;

									BgL_list2267z00_510 =
										MAKE_PAIR(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
									BgL_mz00_509 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2468z00zzheap_restorez00, BgL_list2267z00_510);
								}
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
									BgL_mz00_509, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 5)));
				}}}
			else
				{	/* Heap/restore.scm 44 */
					return BFALSE;
				}
		}
	}



/* <exit:2132> */
	obj_t BGl_zc3exitza32132ze3z83zzheap_restorez00(obj_t BgL_portz00_857)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 109 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2018z00_458;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2018z00_458))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2018z00_458 = (void *) jmpbuf;
						{	/* Heap/restore.scm 109 */

							PUSH_EXIT(BgL_an_exit2018z00_458, ((long) 0));
							{	/* Heap/restore.scm 56 */
								bool_t BgL_val2019z00_459;

								{	/* Heap/restore.scm 56 */
									obj_t BgL_envsz00_460;

									BgL_envsz00_460 = input_obj(BgL_portz00_857);
									{	/* Heap/restore.scm 56 */
										obj_t BgL__z00_461;

										{	/* Heap/restore.scm 57 */
											bool_t BgL_testz00_972;

											if (VECTORP(BgL_envsz00_460))
												{	/* Heap/restore.scm 58 */
													int BgL_arg2264z00_505;

													BgL_arg2264z00_505 = VECTOR_LENGTH(BgL_envsz00_460);
													BgL_testz00_972 =
														((long) (BgL_arg2264z00_505) == ((long) 5));
												}
											else
												{	/* Heap/restore.scm 57 */
													BgL_testz00_972 = ((bool_t) 0);
												}
											if (BgL_testz00_972)
												{	/* Heap/restore.scm 57 */
													BgL__z00_461 = BFALSE;
												}
											else
												{	/* Heap/restore.scm 57 */
													BgL__z00_461 =
														BGl_errorz00zz__errorz00
														(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
														BGl_string2469z00zzheap_restorez00,
														BgL_envsz00_460);
												}
										}
										{	/* Heap/restore.scm 57 */
											obj_t BgL_targetz00_462;

											BgL_targetz00_462 =
												VECTOR_REF(BgL_envsz00_460, (int) (((long) 0)));
											{	/* Heap/restore.scm 62 */
												obj_t BgL_versionz00_463;

												BgL_versionz00_463 =
													VECTOR_REF(BgL_envsz00_460, (int) (((long) 1)));
												{	/* Heap/restore.scm 63 */
													obj_t BgL_specificz00_464;

													BgL_specificz00_464 =
														VECTOR_REF(BgL_envsz00_460, (int) (((long) 2)));
													{	/* Heap/restore.scm 64 */
														obj_t BgL_genvz00_465;

														BgL_genvz00_465 =
															VECTOR_REF(BgL_envsz00_460, (int) (((long) 3)));
														{	/* Heap/restore.scm 65 */
															obj_t BgL_tenvz00_466;

															BgL_tenvz00_466 =
																VECTOR_REF(BgL_envsz00_460, (int) (((long) 4)));
															{	/* Heap/restore.scm 66 */

																if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_462))
																	{	/* Heap/restore.scm 68 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 69 */
																		obj_t BgL_arg2144z00_469;

																		{	/* Heap/restore.scm 71 */
																			obj_t BgL_arg2163z00_471;

																			{	/* Heap/restore.scm 73 */
																				obj_t BgL_arg2176z00_474;

																				BgL_arg2176z00_474 =
																					BGl_thezd2backendzd2zzbackend_backendz00
																					();
																				{
																					BgL_backendz00_bglt BgL_auxz00_992;

																					BgL_auxz00_992 =
																						(BgL_backendz00_bglt)
																						(BgL_arg2176z00_474);
																					BgL_arg2163z00_471 =
																						(((BgL_backendz00_bglt)
																							CREF(BgL_auxz00_992))->
																						BgL_languagez00);
																				}
																			}
																			{	/* Heap/restore.scm 71 */
																				obj_t BgL_list2164z00_472;

																				{	/* Heap/restore.scm 71 */
																					obj_t BgL_arg2170z00_473;

																					BgL_arg2170z00_473 =
																						MAKE_PAIR(BgL_arg2163z00_471, BNIL);
																					BgL_list2164z00_472 =
																						MAKE_PAIR(BgL_targetz00_462,
																						BgL_arg2170z00_473);
																				}
																				BgL_arg2144z00_469 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string2470z00zzheap_restorez00,
																					BgL_list2164z00_472);
																			}
																		}
																		BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string2471z00zzheap_restorez00,
																			BgL_arg2144z00_469);
																	}
																{	/* Heap/restore.scm 74 */
																	bool_t BgL_testz00_999;

																	if (CBOOL
																		(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																		{	/* Heap/restore.scm 74 */
																			BgL_testz00_999 = ((bool_t) 1);
																		}
																	else
																		{	/* Heap/restore.scm 74 */
																			BgL_testz00_999 =
																				BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																				(BgL_versionz00_463,
																				BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
																		}
																	if (BgL_testz00_999)
																		{	/* Heap/restore.scm 74 */
																			BFALSE;
																		}
																	else
																		{	/* Heap/restore.scm 76 */
																			obj_t BgL_arg2186z00_477;

																			{	/* Heap/restore.scm 78 */
																				obj_t BgL_list2187z00_478;

																				{	/* Heap/restore.scm 78 */
																					obj_t BgL_arg2190z00_479;

																					BgL_arg2190z00_479 =
																						MAKE_PAIR
																						(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																						BNIL);
																					BgL_list2187z00_478 =
																						MAKE_PAIR(BgL_versionz00_463,
																						BgL_arg2190z00_479);
																				}
																				BgL_arg2186z00_477 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string2472z00zzheap_restorez00,
																					BgL_list2187z00_478);
																			}
																			BGl_errorz00zz__errorz00
																				(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																				BGl_string2473z00zzheap_restorez00,
																				BgL_arg2186z00_477);
																		}
																}
																{	/* Heap/restore.scm 81 */
																	bool_t BgL_testz00_1007;

																	if (CBOOL
																		(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																		{	/* Heap/restore.scm 81 */
																			BgL_testz00_1007 = ((bool_t) 1);
																		}
																	else
																		{	/* Heap/restore.scm 81 */
																			BgL_testz00_1007 =
																				BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																				(BgL_specificz00_464,
																				BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
																		}
																	if (BgL_testz00_1007)
																		{	/* Heap/restore.scm 81 */
																			BFALSE;
																		}
																	else
																		{	/* Heap/restore.scm 83 */
																			obj_t BgL_arg2203z00_482;

																			{	/* Heap/restore.scm 85 */
																				obj_t BgL_list2204z00_483;

																				{	/* Heap/restore.scm 85 */
																					obj_t BgL_arg2210z00_484;

																					BgL_arg2210z00_484 =
																						MAKE_PAIR
																						(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																						BNIL);
																					BgL_list2204z00_483 =
																						MAKE_PAIR(BgL_specificz00_464,
																						BgL_arg2210z00_484);
																				}
																				BgL_arg2203z00_482 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string2472z00zzheap_restorez00,
																					BgL_list2204z00_483);
																			}
																			BGl_errorz00zz__errorz00
																				(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																				BGl_string2474z00zzheap_restorez00,
																				BgL_arg2203z00_482);
																		}
																}
																BGl_setzd2genvz12zc0zzast_envz00
																	(BgL_genvz00_465);
																BGl_setzd2tenvz12zc0zztype_envz00
																	(BgL_tenvz00_466);
																if (CBOOL
																	(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
																	{	/* Heap/restore.scm 93 */
																		BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 93 */
																		BGl_unbindzd2callzf2ccz12z32zzheap_restorez00
																			();
																	}
																{	/* Heap/restore.scm 96 */
																	bool_t BgL_testz00_1020;

																	{	/* Heap/restore.scm 96 */
																		obj_t BgL_arg2231z00_495;

																		BgL_arg2231z00_495 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		{
																			BgL_backendz00_bglt BgL_auxz00_1022;

																			BgL_auxz00_1022 =
																				(BgL_backendz00_bglt)
																				(BgL_arg2231z00_495);
																			BgL_testz00_1020 =
																				(((BgL_backendz00_bglt)
																					CREF(BgL_auxz00_1022))->
																				BgL_qualifiedzd2typeszd2);
																		}
																	}
																	if (BgL_testz00_1020)
																		{	/* Heap/restore.scm 96 */
																			BGl_forzd2eachzd2globalz12z12zzast_envz00
																				(BGl_proc2475z00zzheap_restorez00,
																				BNIL);
																			BgL_genvz00_465;
																		}
																	else
																		{	/* Heap/restore.scm 96 */
																			BFALSE;
																		}
																}
																BGl_forzd2eachzd2globalz12z12zzast_envz00
																	(BGl_proc2476z00zzheap_restorez00, BNIL);
																BgL_val2019z00_459 = ((bool_t) 1);
															}
														}
													}
												}
											}
										}
									}
								}
								POP_EXIT();
								return BBOOL(BgL_val2019z00_459);
							}
						}
					}
			}
		}
	}



/* _restore-heap */
	obj_t BGl__restorezd2heapzd2zzheap_restorez00(obj_t BgL_envz00_838)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 43 */
			return BGl_restorezd2heapzd2zzheap_restorez00();
		}
	}



/* <anonymous:2234> */
	obj_t BGl_zc3anonymousza32234ze3z83zzheap_restorez00(obj_t BgL_envz00_839,
		obj_t BgL_newz00_840)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 106 */
			{
				obj_t BgL_newz00_498;

				BgL_newz00_498 = BgL_newz00_840;
				{	/* Heap/restore.scm 107 */
					obj_t BgL_arg2247z00_781;

					{
						BgL_globalz00_bglt BgL_auxz00_1030;

						BgL_auxz00_1030 = (BgL_globalz00_bglt) (BgL_newz00_498);
						BgL_arg2247z00_781 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1030))->BgL_modulez00);
					}
					{	/* Heap/restore.scm 107 */
						obj_t BgL_list2248z00_782;

						BgL_list2248z00_782 = MAKE_PAIR(BgL_arg2247z00_781, BNIL);
						return
							BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_list2248z00_782);
					}
				}
			}
		}
	}



/* <anonymous:2218> */
	obj_t BGl_zc3anonymousza32218ze3z83zzheap_restorez00(obj_t BgL_envz00_841,
		obj_t BgL_newz00_842)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 98 */
			{
				obj_t BgL_newz00_488;

				BgL_newz00_488 = BgL_newz00_842;
				{	/* Heap/restore.scm 100 */
					obj_t BgL_arg2219z00_490;

					obj_t BgL_arg2225z00_491;

					obj_t BgL_arg2226z00_492;

					{
						BgL_globalz00_bglt BgL_auxz00_1035;

						BgL_auxz00_1035 = (BgL_globalz00_bglt) (BgL_newz00_488);
						BgL_arg2219z00_490 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1035))->BgL_modulez00);
					}
					{
						BgL_globalz00_bglt BgL_auxz00_1038;

						BgL_auxz00_1038 = (BgL_globalz00_bglt) (BgL_newz00_488);
						BgL_arg2225z00_491 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1038))->
							BgL_jvmzd2typezd2namez00);
					}
					BgL_arg2226z00_492 = BGl_shapez00zztools_shapez00(BgL_newz00_488);
					{	/* Heap/restore.scm 99 */
						obj_t BgL_list2227z00_493;

						BgL_list2227z00_493 = MAKE_PAIR(BgL_arg2226z00_492, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2219z00_490,
							BgL_arg2225z00_491, BgL_list2227z00_493);
					}
				}
			}
		}
	}



/* unbind-call/cc! */
	obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 117 */
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								3)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 118 */
					BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 118 */
					BFALSE;
				}
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								5)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 120 */
					return
						BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 120 */
					return BFALSE;
				}
		}
	}



/* restore-additional-heaps */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 128 */
			if (PAIRP(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00))
				{	/* Heap/restore.scm 130 */
					obj_t BgL_sufz00_514;

					{	/* Heap/restore.scm 130 */
						obj_t BgL_arg2325z00_546;

						{	/* Heap/restore.scm 130 */
							obj_t BgL_arg2331z00_547;

							BgL_arg2331z00_547 = BGl_thezd2backendzd2zzbackend_backendz00();
							{
								BgL_backendz00_bglt BgL_auxz00_1063;

								BgL_auxz00_1063 = (BgL_backendz00_bglt) (BgL_arg2331z00_547);
								BgL_arg2325z00_546 =
									(((BgL_backendz00_bglt) CREF(BgL_auxz00_1063))->
									BgL_heapzd2suffixzd2);
							}
						}
						BgL_sufz00_514 =
							string_append(BGl_string2477z00zzheap_restorez00,
							BgL_arg2325z00_546);
					}
					{	/* Heap/restore.scm 131 */
						obj_t BgL_list2271z00_515;

						{	/* Heap/restore.scm 131 */
							obj_t BgL_arg2281z00_517;

							{	/* Heap/restore.scm 131 */
								obj_t BgL_arg2285z00_519;

								BgL_arg2285z00_519 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg2281z00_517 =
									MAKE_PAIR(BGl_string2478z00zzheap_restorez00,
									BgL_arg2285z00_519);
							}
							BgL_list2271z00_515 =
								MAKE_PAIR(BGl_string2464z00zzheap_restorez00,
								BgL_arg2281z00_517);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2271z00_515);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string2478z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_523;

						obj_t BgL_hnamesz00_524;

						BgL_hooksz00_523 = BNIL;
						BgL_hnamesz00_524 = BNIL;
					BgL_zc3anonymousza32286ze3z83_525:
						if (NULLP(BgL_hooksz00_523))
							{	/* Heap/restore.scm 131 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 131 */
								bool_t BgL_testz00_1077;

								{	/* Heap/restore.scm 131 */
									obj_t BgL_fun2305z00_533;

									BgL_fun2305z00_533 = CAR(BgL_hooksz00_523);
									BgL_testz00_1077 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2305z00_533)
										(BgL_fun2305z00_533, BEOA));
								}
								if (BgL_testz00_1077)
									{
										obj_t BgL_hnamesz00_1084;

										obj_t BgL_hooksz00_1082;

										BgL_hooksz00_1082 = CDR(BgL_hooksz00_523);
										BgL_hnamesz00_1084 = CDR(BgL_hnamesz00_524);
										BgL_hnamesz00_524 = BgL_hnamesz00_1084;
										BgL_hooksz00_523 = BgL_hooksz00_1082;
										goto BgL_zc3anonymousza32286ze3z83_525;
									}
								else
									{	/* Heap/restore.scm 131 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2478z00zzheap_restorez00,
											BGl_string2465z00zzheap_restorez00,
											CAR(BgL_hnamesz00_524));
									}
							}
					}
					{	/* Heap/restore.scm 132 */
						obj_t BgL_g2027z00_536;

						BgL_g2027z00_536 =
							bgl_reverse
							(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						{
							obj_t BgL_l2025z00_538;

							{	/* Heap/restore.scm 134 */
								bool_t BgL_auxz00_1089;

								BgL_l2025z00_538 = BgL_g2027z00_536;
							BgL_zc3anonymousza32307ze3z83_539:
								if (PAIRP(BgL_l2025z00_538))
									{	/* Heap/restore.scm 134 */
										{	/* Heap/restore.scm 133 */
											obj_t BgL_hz00_541;

											BgL_hz00_541 = CAR(BgL_l2025z00_538);
											BGl_restorezd2additionalzd2heapz00zzheap_restorez00
												(string_append(BgL_hz00_541, BgL_sufz00_514));
										}
										{
											obj_t BgL_l2025z00_1095;

											BgL_l2025z00_1095 = CDR(BgL_l2025z00_538);
											BgL_l2025z00_538 = BgL_l2025z00_1095;
											goto BgL_zc3anonymousza32307ze3z83_539;
										}
									}
								else
									{	/* Heap/restore.scm 134 */
										BgL_auxz00_1089 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_1089);
							}
						}
					}
				}
			else
				{	/* Heap/restore.scm 129 */
					return BFALSE;
				}
		}
	}



/* _restore-additional-heaps */
	obj_t BGl__restorezd2additionalzd2heapsz00zzheap_restorez00(obj_t
		BgL_envz00_843)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 128 */
			return BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
		}
	}



/* restore-additional-heap */
	BGL_EXPORTED_DEF obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_2)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 139 */
			{	/* Heap/restore.scm 140 */
				obj_t BgL_fnamez00_548;

				BgL_fnamez00_548 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_2,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_548))
					{	/* Heap/restore.scm 142 */
						obj_t BgL_portz00_550;

						BgL_portz00_550 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_548);
						if (BINARY_PORTP(BgL_portz00_550))
							{	/* Heap/restore.scm 143 */
								{	/* Heap/restore.scm 148 */
									obj_t BgL_list2334z00_552;

									{	/* Heap/restore.scm 148 */
										obj_t BgL_arg2336z00_554;

										{	/* Heap/restore.scm 148 */
											obj_t BgL_arg2337z00_555;

											{	/* Heap/restore.scm 148 */
												obj_t BgL_arg2339z00_557;

												BgL_arg2339z00_557 =
													MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
												BgL_arg2337z00_555 =
													MAKE_PAIR(BGl_string2466z00zzheap_restorez00,
													BgL_arg2339z00_557);
											}
											BgL_arg2336z00_554 =
												MAKE_PAIR(BgL_fnamez00_548, BgL_arg2337z00_555);
										}
										BgL_list2334z00_552 =
											MAKE_PAIR(BGl_string2467z00zzheap_restorez00,
											BgL_arg2336z00_554);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list2334z00_552);
								}
								{	/* Heap/restore.scm 149 */
									obj_t BgL_val2022z00_558;

									BgL_val2022z00_558 =
										BGl_zc3exitza32344ze3z83zzheap_restorez00(BgL_heapz00_2,
										BgL_portz00_550);
									close_binary_port(BgL_portz00_550);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val2022z00_558)))
										{	/* Heap/restore.scm 212 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val2022z00_558), CDR(BgL_val2022z00_558));
										}
									else
										{	/* Heap/restore.scm 212 */
											return BgL_val2022z00_558;
										}
								}
							}
						else
							{	/* Heap/restore.scm 144 */
								obj_t BgL_mz00_622;

								{	/* Heap/restore.scm 144 */
									obj_t BgL_list2438z00_623;

									BgL_list2438z00_623 = MAKE_PAIR(BgL_fnamez00_548, BNIL);
									BgL_mz00_622 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2468z00zzheap_restorez00, BgL_list2438z00_623);
								}
								BGl_errorz00zz__errorz00(BGl_string2479z00zzheap_restorez00,
									BgL_mz00_622, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
					}}
				else
					{	/* Heap/restore.scm 213 */
						obj_t BgL_mz00_624;

						{	/* Heap/restore.scm 213 */
							obj_t BgL_list2439z00_625;

							BgL_list2439z00_625 = MAKE_PAIR(BgL_heapz00_2, BNIL);
							BgL_mz00_624 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2468z00zzheap_restorez00, BgL_list2439z00_625);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 6)), BgL_mz00_624,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
		}}}
	}



/* <exit:2344> */
	obj_t BGl_zc3exitza32344ze3z83zzheap_restorez00(obj_t BgL_heapz00_856,
		obj_t BgL_portz00_855)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 212 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2023z00_563;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2023z00_563))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2023z00_563 = (void *) jmpbuf;
						{	/* Heap/restore.scm 212 */

							PUSH_EXIT(BgL_an_exit2023z00_563, ((long) 0));
							{	/* Heap/restore.scm 150 */
								bool_t BgL_val2024z00_564;

								{	/* Heap/restore.scm 150 */
									obj_t BgL_envsz00_565;

									BgL_envsz00_565 = input_obj(BgL_portz00_855);
									{	/* Heap/restore.scm 150 */
										obj_t BgL__z00_566;

										{	/* Heap/restore.scm 151 */
											bool_t BgL_testz00_1135;

											{	/* Heap/restore.scm 151 */
												bool_t BgL_testz00_1136;

												{	/* Heap/restore.scm 151 */
													obj_t BgL_v2028z00_621;

													BgL_v2028z00_621 = create_vector((int) (((long) 1)));
													VECTOR_SET(BgL_v2028z00_621,
														(int) (((long) 0)), BgL_envsz00_565);
													BgL_testz00_1136 = ((bool_t) 1);
												}
												if (BgL_testz00_1136)
													{	/* Heap/restore.scm 152 */
														int BgL_arg2436z00_619;

														BgL_arg2436z00_619 = VECTOR_LENGTH(BgL_envsz00_565);
														BgL_testz00_1135 =
															((long) (BgL_arg2436z00_619) == ((long) 6));
													}
												else
													{	/* Heap/restore.scm 151 */
														BgL_testz00_1135 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_1135)
												{	/* Heap/restore.scm 151 */
													BgL__z00_566 = BFALSE;
												}
											else
												{	/* Heap/restore.scm 151 */
													BgL__z00_566 =
														BGl_errorz00zz__errorz00(BgL_heapz00_856,
														BGl_string2469z00zzheap_restorez00,
														BgL_envsz00_565);
												}
										}
										{	/* Heap/restore.scm 151 */
											obj_t BgL_targetz00_567;

											BgL_targetz00_567 =
												VECTOR_REF(BgL_envsz00_565, (int) (((long) 0)));
											{	/* Heap/restore.scm 154 */
												obj_t BgL_versionz00_568;

												BgL_versionz00_568 =
													VECTOR_REF(BgL_envsz00_565, (int) (((long) 1)));
												{	/* Heap/restore.scm 155 */
													obj_t BgL_specificz00_569;

													BgL_specificz00_569 =
														VECTOR_REF(BgL_envsz00_565, (int) (((long) 2)));
													{	/* Heap/restore.scm 156 */
														obj_t BgL_genvz00_570;

														BgL_genvz00_570 =
															VECTOR_REF(BgL_envsz00_565, (int) (((long) 3)));
														{	/* Heap/restore.scm 157 */
															obj_t BgL_tenvz00_571;

															BgL_tenvz00_571 =
																VECTOR_REF(BgL_envsz00_565, (int) (((long) 4)));
															{	/* Heap/restore.scm 158 */
																obj_t BgL_includesz00_572;

																BgL_includesz00_572 =
																	VECTOR_REF(BgL_envsz00_565,
																	(int) (((long) 5)));
																{	/* Heap/restore.scm 159 */

																	if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_567))
																		{	/* Heap/restore.scm 161 */
																			BFALSE;
																		}
																	else
																		{	/* Heap/restore.scm 162 */
																			obj_t BgL_arg2350z00_575;

																			{	/* Heap/restore.scm 164 */
																				obj_t BgL_arg2355z00_577;

																				{	/* Heap/restore.scm 166 */
																					obj_t BgL_arg2366z00_580;

																					BgL_arg2366z00_580 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					{
																						BgL_backendz00_bglt BgL_auxz00_1160;

																						BgL_auxz00_1160 =
																							(BgL_backendz00_bglt)
																							(BgL_arg2366z00_580);
																						BgL_arg2355z00_577 =
																							(((BgL_backendz00_bglt)
																								CREF(BgL_auxz00_1160))->
																							BgL_languagez00);
																					}
																				}
																				{	/* Heap/restore.scm 164 */
																					obj_t BgL_list2356z00_578;

																					{	/* Heap/restore.scm 164 */
																						obj_t BgL_arg2365z00_579;

																						BgL_arg2365z00_579 =
																							MAKE_PAIR(BgL_arg2355z00_577,
																							BNIL);
																						BgL_list2356z00_578 =
																							MAKE_PAIR(BgL_targetz00_567,
																							BgL_arg2365z00_579);
																					}
																					BgL_arg2350z00_575 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2470z00zzheap_restorez00,
																						BgL_list2356z00_578);
																				}
																			}
																			BGl_errorz00zz__errorz00(BgL_heapz00_856,
																				BGl_string2471z00zzheap_restorez00,
																				BgL_arg2350z00_575);
																		}
																	if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																		(BgL_versionz00_568,
																			BGl_za2bigloozd2versionza2zd2zzengine_paramz00))
																		{	/* Heap/restore.scm 167 */
																			BFALSE;
																		}
																	else
																		{	/* Heap/restore.scm 168 */
																			obj_t BgL_arg2369z00_583;

																			{	/* Heap/restore.scm 170 */
																				obj_t BgL_list2370z00_584;

																				{	/* Heap/restore.scm 170 */
																					obj_t BgL_arg2373z00_585;

																					BgL_arg2373z00_585 =
																						MAKE_PAIR
																						(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																						BNIL);
																					BgL_list2370z00_584 =
																						MAKE_PAIR(BgL_versionz00_568,
																						BgL_arg2373z00_585);
																				}
																				BgL_arg2369z00_583 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string2472z00zzheap_restorez00,
																					BgL_list2370z00_584);
																			}
																			BGl_errorz00zz__errorz00
																				(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																				BGl_string2473z00zzheap_restorez00,
																				BgL_arg2369z00_583);
																		}
																	if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																		(BgL_specificz00_569,
																			BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00))
																		{	/* Heap/restore.scm 173 */
																			BFALSE;
																		}
																	else
																		{	/* Heap/restore.scm 174 */
																			obj_t BgL_arg2387z00_588;

																			{	/* Heap/restore.scm 176 */
																				obj_t BgL_list2388z00_589;

																				{	/* Heap/restore.scm 176 */
																					obj_t BgL_arg2394z00_590;

																					BgL_arg2394z00_590 =
																						MAKE_PAIR
																						(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																						BNIL);
																					BgL_list2388z00_589 =
																						MAKE_PAIR(BgL_specificz00_569,
																						BgL_arg2394z00_590);
																				}
																				BgL_arg2387z00_588 =
																					BGl_formatz00zz__r4_output_6_10_3z00
																					(BGl_string2472z00zzheap_restorez00,
																					BgL_list2388z00_589);
																			}
																			BGl_errorz00zz__errorz00
																				(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																				BGl_string2474z00zzheap_restorez00,
																				BgL_arg2387z00_588);
																		}
																	BGl_addzd2tenvz12zc0zztype_envz00
																		(BgL_tenvz00_571);
																	BGl_addzd2genvz12zc0zzast_envz00
																		(BgL_genvz00_570);
																	{	/* Heap/restore.scm 192 */
																		bool_t BgL_testz00_1181;

																		{	/* Heap/restore.scm 192 */
																			obj_t BgL_arg2421z00_601;

																			BgL_arg2421z00_601 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			{
																				BgL_backendz00_bglt BgL_auxz00_1183;

																				BgL_auxz00_1183 =
																					(BgL_backendz00_bglt)
																					(BgL_arg2421z00_601);
																				BgL_testz00_1181 =
																					(((BgL_backendz00_bglt)
																						CREF(BgL_auxz00_1183))->
																					BgL_qualifiedzd2typeszd2);
																			}
																		}
																		if (BgL_testz00_1181)
																			{	/* Heap/restore.scm 192 */
																				BGl_forzd2eachzd2globalz12z12zzast_envz00
																					(BGl_proc2480z00zzheap_restorez00,
																					BNIL);
																			}
																		else
																			{	/* Heap/restore.scm 192 */
																				BFALSE;
																			}
																	}
																	BGl_hashtablezd2forzd2eachz00zz__hashz00
																		(BgL_genvz00_570,
																		BGl_proc2481z00zzheap_restorez00);
																	BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00
																		=
																		bgl_append2
																		(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00,
																		BgL_includesz00_572);
																	BgL_val2024z00_564 = ((bool_t) 1);
																}
															}
														}
													}
												}
											}
										}
									}
								}
								POP_EXIT();
								return BBOOL(BgL_val2024z00_564);
							}
						}
					}
			}
		}
	}



/* _restore-additional-2462 */
	obj_t BGl__restorezd2additionalzd22462z00zzheap_restorez00(obj_t
		BgL_envz00_846, obj_t BgL_heapz00_847)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 139 */
			return
				BGl_restorezd2additionalzd2heapz00zzheap_restorez00(BgL_heapz00_847);
		}
	}



/* <anonymous:2428> */
	obj_t BGl_zc3anonymousza32428ze3z83zzheap_restorez00(obj_t BgL_envz00_848,
		obj_t BgL_kz00_849, obj_t BgL_bucketz00_850)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 202 */
			{
				obj_t BgL_kz00_603;

				obj_t BgL_bucketz00_604;

				{	/* Heap/restore.scm 203 */
					bool_t BgL_auxz00_1192;

					BgL_kz00_603 = BgL_kz00_849;
					BgL_bucketz00_604 = BgL_bucketz00_850;
					{	/* Heap/restore.scm 203 */
						obj_t BgL_g2031z00_606;

						BgL_g2031z00_606 = CDR(BgL_bucketz00_604);
						{
							obj_t BgL_l2029z00_608;

							BgL_l2029z00_608 = BgL_g2031z00_606;
						BgL_zc3anonymousza32429ze3z83_609:
							if (PAIRP(BgL_l2029z00_608))
								{	/* Heap/restore.scm 206 */
									{	/* Heap/restore.scm 204 */
										obj_t BgL_newz00_611;

										BgL_newz00_611 = CAR(BgL_l2029z00_608);
										{	/* Heap/restore.scm 205 */
											obj_t BgL_arg2431z00_612;

											{
												BgL_globalz00_bglt BgL_auxz00_1197;

												BgL_auxz00_1197 = (BgL_globalz00_bglt) (BgL_newz00_611);
												BgL_arg2431z00_612 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_1197))->
													BgL_modulez00);
											}
											{	/* Heap/restore.scm 204 */
												obj_t BgL_list2432z00_613;

												BgL_list2432z00_613 =
													MAKE_PAIR(BgL_arg2431z00_612, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list2432z00_613);
											}
										}
									}
									{
										obj_t BgL_l2029z00_1202;

										BgL_l2029z00_1202 = CDR(BgL_l2029z00_608);
										BgL_l2029z00_608 = BgL_l2029z00_1202;
										goto BgL_zc3anonymousza32429ze3z83_609;
									}
								}
							else
								{	/* Heap/restore.scm 206 */
									BgL_auxz00_1192 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1192);
				}
			}
		}
	}



/* <anonymous:2402> */
	obj_t BGl_zc3anonymousza32402ze3z83zzheap_restorez00(obj_t BgL_envz00_851,
		obj_t BgL_newz00_852)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 194 */
			{
				obj_t BgL_newz00_594;

				BgL_newz00_594 = BgL_newz00_852;
				{	/* Heap/restore.scm 196 */
					obj_t BgL_arg2407z00_596;

					obj_t BgL_arg2408z00_597;

					obj_t BgL_arg2409z00_598;

					{
						BgL_globalz00_bglt BgL_auxz00_1205;

						BgL_auxz00_1205 = (BgL_globalz00_bglt) (BgL_newz00_594);
						BgL_arg2407z00_596 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1205))->BgL_modulez00);
					}
					{
						BgL_globalz00_bglt BgL_auxz00_1208;

						BgL_auxz00_1208 = (BgL_globalz00_bglt) (BgL_newz00_594);
						BgL_arg2408z00_597 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1208))->
							BgL_jvmzd2typezd2namez00);
					}
					BgL_arg2409z00_598 = BGl_shapez00zztools_shapez00(BgL_newz00_594);
					{	/* Heap/restore.scm 195 */
						obj_t BgL_list2410z00_599;

						BgL_list2410z00_599 = MAKE_PAIR(BgL_arg2409z00_598, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2407z00_596,
							BgL_arg2408z00_597, BgL_list2410z00_599);
					}
				}
			}
		}
	}



/* heap-module-list */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t
		BgL_argsz00_3)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 233 */
			if (NULLP(BgL_argsz00_3))
				{	/* Heap/restore.scm 235 */
					return BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00;
				}
			else
				{	/* Heap/restore.scm 237 */
					bool_t BgL_testz00_1216;

					{	/* Heap/restore.scm 237 */
						obj_t BgL_arg2444z00_630;

						BgL_arg2444z00_630 = CAR(BgL_argsz00_3);
						BgL_testz00_1216 =
							CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(BgL_arg2444z00_630,
								BGl_za2heapzd2markza2zd2zzheap_restorez00));
					}
					if (BgL_testz00_1216)
						{	/* Heap/restore.scm 237 */
							return BFALSE;
						}
					else
						{	/* Heap/restore.scm 237 */
							{	/* Heap/restore.scm 238 */
								obj_t BgL_arg2442z00_628;

								BgL_arg2442z00_628 = CAR(BgL_argsz00_3);
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_arg2442z00_628,
									BGl_za2heapzd2markza2zd2zzheap_restorez00, BTRUE);
							}
							{	/* Heap/restore.scm 239 */
								obj_t BgL_arg2443z00_629;

								BgL_arg2443z00_629 = CAR(BgL_argsz00_3);
								return (BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 =
									MAKE_PAIR(BgL_arg2443z00_629,
										BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00),
									BUNSPEC);
							}
						}
				}
		}
	}



/* _heap-module-list */
	obj_t BGl__heapzd2modulezd2listz00zzheap_restorez00(obj_t BgL_envz00_853,
		obj_t BgL_argsz00_854)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 233 */
			return BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_argsz00_854);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 528201616),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 230845835),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2482z00zzheap_restorez00));
		}
	}

#ifdef __cplusplus
}
#endif
