/*===========================================================================*/
/*   (Object/struct.scm)                                                     */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/struct.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_savezd2slotzd2zzobject_structz00(obj_t, obj_t, obj_t, long,
		obj_t);
	extern obj_t
		BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_structz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzobject_structz00();
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t
		BGl__genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genzd2plainzd2classzd2ze3structz31zzobject_structz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_structz00();
	static obj_t BGl_genzd2widezd2classzd2ze3structz31zzobject_structz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_structz00();
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt,
		obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_genzd2structzd2ze3plainzd2classz31zzobject_structz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl__genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t
		BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00
		(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_restorezd2slotzd2zzobject_structz00(obj_t, obj_t, obj_t,
		BgL_typez00_bglt, long, obj_t);
	static long BGl_slotszd2lengthzd2zzobject_structz00(obj_t);
	static obj_t BGl_genzd2structzd2ze3widezd2classz31zzobject_structz00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_structz00();
	static obj_t BGl_methodzd2initzd2zzobject_structz00();
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00
		(BgL_typez00_bglt, obj_t);
	static obj_t __cnst[47];


	   
		 
		DEFINE_STRING(BGl_string3051z00zzobject_structz00,
		BgL_bgl_string3051za700za7za7o3057za7, "((", 2);
	      DEFINE_STRING(BGl_string3052z00zzobject_structz00,
		BgL_bgl_string3052za700za7za7o3058za7, ")($1))", 6);
	      DEFINE_STRING(BGl_string3053z00zzobject_structz00,
		BgL_bgl_string3053za700za7za7o3059za7, "object_struct", 13);
	      DEFINE_STRING(BGl_string3054z00zzobject_structz00,
		BgL_bgl_string3054za700za7za7o3060za7,
		"@ class-num object-class-num-set! cast pragma new old object-widening-set! s::struct struct+object->object::object vector-ref-ur done o vector-length s struct-ref f ::long v i struct-key struct-key-set! call-next-method aux ::struct quote make-struct object->struct::struct define-method res obj +fx -ref vector-set-ur! begin struct-set! =fx if labels make-vector -len - let len loop j vec ",
		390);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2widezd2classzc3zd2ze3structzd2envz20zzobject_structz00,
		BgL_bgl__genza7d2wideza7d2cl3061z00,
		BGl__genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2plainzd2classzc3zd2ze3structzd2envz20zzobject_structz00,
		BgL_bgl__genza7d2plainza7d2c3062z00,
		BGl__genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00, 0L, BUNSPEC,
		2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long
		BgL_checksumz00_1462, char *BgL_fromz00_1463)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_structz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_structz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_structz00();
					BGl_cnstzd2initzd2zzobject_structz00();
					BGl_importedzd2moduleszd2initz00zzobject_structz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_struct");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_struct");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_struct");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_struct");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			{	/* Object/struct.scm 15 */
				obj_t BgL_cportz00_1454;

				BgL_cportz00_1454 =
					bgl_open_input_string(BGl_string3054z00zzobject_structz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1455;

					BgL_iz00_1455 = ((long) 46);
				BgL_loopz00_1456:
					if ((BgL_iz00_1455 == ((long) -1)))
						{	/* Object/struct.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/struct.scm 15 */
							{	/* Object/struct.scm 15 */
								obj_t BgL_arg3056z00_1458;

								{	/* Object/struct.scm 15 */

									{	/* Object/struct.scm 15 */
										obj_t BgL_locationz00_1460;

										BgL_locationz00_1460 = BBOOL(((bool_t) 0));
										{	/* Object/struct.scm 15 */

											BgL_arg3056z00_1458 =
												BGl_readz00zz__readerz00(BgL_cportz00_1454,
												BgL_locationz00_1460);
										}
									}
								}
								{	/* Object/struct.scm 15 */
									int BgL_auxz00_1480;

									BgL_auxz00_1480 = (int) (BgL_iz00_1455);
									CNST_TABLE_SET(BgL_auxz00_1480, BgL_arg3056z00_1458);
							}}
							{	/* Object/struct.scm 15 */
								int BgL_auxz00_1461;

								BgL_auxz00_1461 = (int) ((BgL_iz00_1455 - ((long) 1)));
								{
									long BgL_iz00_1485;

									BgL_iz00_1485 = (long) (BgL_auxz00_1461);
									BgL_iz00_1455 = BgL_iz00_1485;
									goto BgL_loopz00_1456;
								}
							}
						}
				}
			}
		}
	}



/* gen-plain-class<->struct */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt
		BgL_classz00_1, obj_t BgL_srczd2defzd2_2)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 38 */
			{	/* Object/struct.scm 40 */
				bool_t BgL_testz00_1487;

				{	/* Object/struct.scm 40 */
					BgL_tclassz00_bglt BgL_obj2073z00_1359;

					BgL_obj2073z00_1359 = (BgL_tclassz00_bglt) (BgL_classz00_1);
					{
						obj_t BgL_auxz00_1489;

						{	/* Object/struct.scm 40 */
							BgL_objectz00_bglt BgL_auxz00_1490;

							BgL_auxz00_1490 = (BgL_objectz00_bglt) (BgL_obj2073z00_1359);
							BgL_auxz00_1489 = BGL_OBJECT_WIDENING(BgL_auxz00_1490);
						}
						BgL_testz00_1487 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1489))->
							BgL_abstractzf3zf3);
					}
				}
				if (BgL_testz00_1487)
					{	/* Object/struct.scm 40 */
						return BNIL;
					}
				else
					{	/* Object/struct.scm 42 */
						obj_t BgL_arg2335z00_530;

						obj_t BgL_arg2336z00_531;

						{	/* Object/struct.scm 42 */
							obj_t BgL_arg2339z00_534;

							obj_t BgL_arg2340z00_535;

							BgL_arg2339z00_534 =
								(((BgL_typez00_bglt) CREF(BgL_classz00_1))->BgL_idz00);
							{	/* Object/struct.scm 42 */
								BgL_tclassz00_bglt BgL_obj2060z00_1361;

								BgL_obj2060z00_1361 = (BgL_tclassz00_bglt) (BgL_classz00_1);
								{
									obj_t BgL_auxz00_1496;

									{	/* Object/struct.scm 42 */
										BgL_objectz00_bglt BgL_auxz00_1497;

										BgL_auxz00_1497 =
											(BgL_objectz00_bglt) (BgL_obj2060z00_1361);
										BgL_auxz00_1496 = BGL_OBJECT_WIDENING(BgL_auxz00_1497);
									}
									BgL_arg2340z00_535 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1496))->
										BgL_slotsz00);
								}
							}
							BgL_arg2335z00_530 =
								BGl_genzd2plainzd2classzd2ze3structz31zzobject_structz00
								(BgL_arg2339z00_534, BgL_classz00_1, BgL_arg2340z00_535,
								BgL_srczd2defzd2_2);
						}
						{	/* Object/struct.scm 43 */
							obj_t BgL_arg2341z00_536;

							obj_t BgL_arg2342z00_537;

							BgL_arg2341z00_536 =
								(((BgL_typez00_bglt) CREF(BgL_classz00_1))->BgL_idz00);
							{	/* Object/struct.scm 43 */
								BgL_tclassz00_bglt BgL_obj2060z00_1363;

								BgL_obj2060z00_1363 = (BgL_tclassz00_bglt) (BgL_classz00_1);
								{
									obj_t BgL_auxz00_1504;

									{	/* Object/struct.scm 43 */
										BgL_objectz00_bglt BgL_auxz00_1505;

										BgL_auxz00_1505 =
											(BgL_objectz00_bglt) (BgL_obj2060z00_1363);
										BgL_auxz00_1504 = BGL_OBJECT_WIDENING(BgL_auxz00_1505);
									}
									BgL_arg2342z00_537 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1504))->
										BgL_slotsz00);
								}
							}
							BgL_arg2336z00_531 =
								BGl_genzd2structzd2ze3plainzd2classz31zzobject_structz00
								(BgL_arg2341z00_536, BgL_classz00_1, BgL_arg2342z00_537,
								BgL_srczd2defzd2_2);
						}
						{	/* Object/struct.scm 42 */
							obj_t BgL_list2337z00_532;

							{	/* Object/struct.scm 42 */
								obj_t BgL_arg2338z00_533;

								BgL_arg2338z00_533 = MAKE_PAIR(BgL_arg2336z00_531, BNIL);
								BgL_list2337z00_532 =
									MAKE_PAIR(BgL_arg2335z00_530, BgL_arg2338z00_533);
							}
							return BgL_list2337z00_532;
						}
					}
			}
		}
	}



/* _gen-plain-class<->struct */
	obj_t BGl__genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00(obj_t
		BgL_envz00_1448, obj_t BgL_classz00_1449, obj_t BgL_srczd2defzd2_1450)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 38 */
			return
				BGl_genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00(
				(BgL_typez00_bglt) (BgL_classz00_1449), BgL_srczd2defzd2_1450);
		}
	}



/* gen-wide-class<->struct */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt
		BgL_classz00_3, obj_t BgL_srczd2defzd2_4)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 48 */
			{	/* Object/struct.scm 50 */
				obj_t BgL_arg2343z00_539;

				obj_t BgL_arg2344z00_540;

				{	/* Object/struct.scm 50 */
					obj_t BgL_arg2349z00_543;

					obj_t BgL_arg2350z00_544;

					BgL_arg2349z00_543 =
						(((BgL_typez00_bglt) CREF(BgL_classz00_3))->BgL_idz00);
					{	/* Object/struct.scm 50 */
						BgL_tclassz00_bglt BgL_obj2060z00_1367;

						BgL_obj2060z00_1367 = (BgL_tclassz00_bglt) (BgL_classz00_3);
						{
							obj_t BgL_auxz00_1516;

							{	/* Object/struct.scm 50 */
								BgL_objectz00_bglt BgL_auxz00_1517;

								BgL_auxz00_1517 = (BgL_objectz00_bglt) (BgL_obj2060z00_1367);
								BgL_auxz00_1516 = BGL_OBJECT_WIDENING(BgL_auxz00_1517);
							}
							BgL_arg2350z00_544 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1516))->BgL_slotsz00);
						}
					}
					BgL_arg2343z00_539 =
						BGl_genzd2widezd2classzd2ze3structz31zzobject_structz00
						(BgL_arg2349z00_543, BgL_classz00_3, BgL_arg2350z00_544,
						BgL_srczd2defzd2_4);
				}
				{	/* Object/struct.scm 51 */
					obj_t BgL_arg2351z00_545;

					obj_t BgL_arg2355z00_546;

					BgL_arg2351z00_545 =
						(((BgL_typez00_bglt) CREF(BgL_classz00_3))->BgL_idz00);
					{	/* Object/struct.scm 51 */
						BgL_tclassz00_bglt BgL_obj2060z00_1369;

						BgL_obj2060z00_1369 = (BgL_tclassz00_bglt) (BgL_classz00_3);
						{
							obj_t BgL_auxz00_1524;

							{	/* Object/struct.scm 51 */
								BgL_objectz00_bglt BgL_auxz00_1525;

								BgL_auxz00_1525 = (BgL_objectz00_bglt) (BgL_obj2060z00_1369);
								BgL_auxz00_1524 = BGL_OBJECT_WIDENING(BgL_auxz00_1525);
							}
							BgL_arg2355z00_546 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1524))->BgL_slotsz00);
						}
					}
					BgL_arg2344z00_540 =
						BGl_genzd2structzd2ze3widezd2classz31zzobject_structz00
						(BgL_arg2351z00_545, BgL_classz00_3, BgL_arg2355z00_546,
						BgL_srczd2defzd2_4);
				}
				{	/* Object/struct.scm 50 */
					obj_t BgL_list2345z00_541;

					{	/* Object/struct.scm 50 */
						obj_t BgL_arg2346z00_542;

						BgL_arg2346z00_542 = MAKE_PAIR(BgL_arg2344z00_540, BNIL);
						BgL_list2345z00_541 =
							MAKE_PAIR(BgL_arg2343z00_539, BgL_arg2346z00_542);
					}
					return BgL_list2345z00_541;
				}
			}
		}
	}



/* _gen-wide-class<->struct */
	obj_t BGl__genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(obj_t
		BgL_envz00_1451, obj_t BgL_classz00_1452, obj_t BgL_srczd2defzd2_1453)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 48 */
			return
				BGl_genzd2widezd2classzc3zd2ze3structzf2zzobject_structz00(
				(BgL_typez00_bglt) (BgL_classz00_1452), BgL_srczd2defzd2_1453);
		}
	}



/* save-slot */
	obj_t BGl_savezd2slotzd2zzobject_structz00(obj_t BgL_onamez00_5,
		obj_t BgL_snamez00_6, obj_t BgL_cnamez00_7, long BgL_iz00_8,
		obj_t BgL_slotz00_9)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 56 */
			{

				if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
						(BgL_slotz00_bglt) (BgL_slotz00_9)))
					{	/* Object/struct.scm 84 */
						return BUNSPEC;
					}
				else
					{	/* Object/struct.scm 86 */
						bool_t BgL_testz00_1537;

						{	/* Object/struct.scm 86 */
							BgL_slotz00_bglt BgL_obj2283z00_1372;

							BgL_obj2283z00_1372 = (BgL_slotz00_bglt) (BgL_slotz00_9);
							BgL_testz00_1537 =
								CBOOL(
								(((BgL_slotz00_bglt) CREF(BgL_obj2283z00_1372))->
									BgL_indexedz00));
						}
						if (BgL_testz00_1537)
							{	/* Object/struct.scm 86 */
								{	/* Object/struct.scm 63 */
									obj_t BgL_vecz00_552;

									obj_t BgL_jz00_553;

									obj_t BgL_loopz00_554;

									obj_t BgL_lenz00_555;

									BgL_vecz00_552 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												0)));
									BgL_jz00_553 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												1)));
									BgL_loopz00_554 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												2)));
									BgL_lenz00_555 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												3)));
									{	/* Object/struct.scm 67 */
										obj_t BgL_arg2365z00_556;

										obj_t BgL_arg2366z00_557;

										BgL_arg2365z00_556 = CNST_TABLE_REF(((long) 4));
										{	/* Object/struct.scm 67 */
											obj_t BgL_arg2367z00_558;

											obj_t BgL_arg2368z00_559;

											{	/* Object/struct.scm 67 */
												obj_t BgL_arg2374z00_563;

												{	/* Object/struct.scm 67 */
													obj_t BgL_arg2387z00_565;

													{	/* Object/struct.scm 67 */
														obj_t BgL_arg2394z00_566;

														{	/* Object/struct.scm 67 */
															obj_t BgL_arg2407z00_569;

															obj_t BgL_arg2408z00_570;

															{	/* Object/struct.scm 67 */
																obj_t BgL_arg2409z00_571;

																obj_t BgL_arg2421z00_572;

																obj_t BgL_arg2427z00_573;

																BgL_arg2409z00_571 = CNST_TABLE_REF(((long) 5));
																{
																	BgL_slotz00_bglt BgL_auxz00_1551;

																	BgL_auxz00_1551 =
																		(BgL_slotz00_bglt) (BgL_slotz00_9);
																	BgL_arg2421z00_572 =
																		(((BgL_slotz00_bglt)
																			CREF(BgL_auxz00_1551))->BgL_idz00);
																}
																BgL_arg2427z00_573 = CNST_TABLE_REF(((long) 6));
																{	/* Object/struct.scm 67 */
																	obj_t BgL_list2428z00_574;

																	{	/* Object/struct.scm 67 */
																		obj_t BgL_arg2429z00_575;

																		{	/* Object/struct.scm 67 */
																			obj_t BgL_arg2430z00_576;

																			{	/* Object/struct.scm 67 */
																				obj_t BgL_arg2431z00_577;

																				BgL_arg2431z00_577 =
																					MAKE_PAIR(BgL_arg2427z00_573, BNIL);
																				BgL_arg2430z00_576 =
																					MAKE_PAIR(BgL_arg2421z00_572,
																					BgL_arg2431z00_577);
																			}
																			BgL_arg2429z00_575 =
																				MAKE_PAIR(BgL_arg2409z00_571,
																				BgL_arg2430z00_576);
																		}
																		BgL_list2428z00_574 =
																			MAKE_PAIR(BgL_cnamez00_7,
																			BgL_arg2429z00_575);
																	}
																	BgL_arg2407z00_569 =
																		BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																		(BgL_list2428z00_574);
															}}
															{	/* Object/struct.scm 67 */
																obj_t BgL_list2432z00_578;

																BgL_list2432z00_578 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg2408z00_570 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_onamez00_5, BgL_list2432z00_578);
															}
															BgL_arg2394z00_566 =
																MAKE_PAIR(BgL_arg2407z00_569,
																BgL_arg2408z00_570);
														}
														{	/* Object/struct.scm 67 */
															obj_t BgL_list2401z00_568;

															BgL_list2401z00_568 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2387z00_565 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2394z00_566, BgL_list2401z00_568);
													}}
													BgL_arg2374z00_563 =
														MAKE_PAIR(BgL_lenz00_555, BgL_arg2387z00_565);
												}
												BgL_arg2367z00_558 =
													MAKE_PAIR(BgL_arg2374z00_563, BNIL);
											}
											{	/* Object/struct.scm 68 */
												obj_t BgL_arg2433z00_579;

												obj_t BgL_arg2434z00_580;

												BgL_arg2433z00_579 = CNST_TABLE_REF(((long) 4));
												{	/* Object/struct.scm 68 */
													obj_t BgL_arg2435z00_581;

													obj_t BgL_arg2436z00_582;

													{	/* Object/struct.scm 68 */
														obj_t BgL_arg2440z00_586;

														{	/* Object/struct.scm 68 */
															obj_t BgL_arg2442z00_588;

															{	/* Object/struct.scm 68 */
																obj_t BgL_arg2443z00_589;

																{	/* Object/struct.scm 68 */
																	obj_t BgL_arg2446z00_592;

																	obj_t BgL_arg2447z00_593;

																	BgL_arg2446z00_592 =
																		CNST_TABLE_REF(((long) 7));
																	{	/* Object/struct.scm 68 */
																		obj_t BgL_list2448z00_594;

																		BgL_list2448z00_594 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2447z00_593 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_lenz00_555, BgL_list2448z00_594);
																	}
																	BgL_arg2443z00_589 =
																		MAKE_PAIR(BgL_arg2446z00_592,
																		BgL_arg2447z00_593);
																}
																{	/* Object/struct.scm 68 */
																	obj_t BgL_list2445z00_591;

																	BgL_list2445z00_591 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2442z00_588 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2443z00_589, BgL_list2445z00_591);
															}}
															BgL_arg2440z00_586 =
																MAKE_PAIR(BgL_vecz00_552, BgL_arg2442z00_588);
														}
														BgL_arg2435z00_581 =
															MAKE_PAIR(BgL_arg2440z00_586, BNIL);
													}
													{	/* Object/struct.scm 69 */
														obj_t BgL_arg2449z00_595;

														obj_t BgL_arg2451z00_596;

														BgL_arg2449z00_595 = CNST_TABLE_REF(((long) 8));
														{	/* Object/struct.scm 69 */
															obj_t BgL_arg2452z00_597;

															obj_t BgL_arg2453z00_598;

															{	/* Object/struct.scm 69 */
																obj_t BgL_arg2458z00_602;

																{	/* Object/struct.scm 69 */
																	obj_t BgL_arg2460z00_604;

																	{	/* Object/struct.scm 69 */
																		obj_t BgL_arg2461z00_605;

																		obj_t BgL_arg2462z00_606;

																		BgL_arg2461z00_605 =
																			MAKE_PAIR(BgL_jz00_553, BNIL);
																		{	/* Object/struct.scm 69 */
																			obj_t BgL_arg2466z00_610;

																			obj_t BgL_arg2467z00_611;

																			BgL_arg2466z00_610 =
																				CNST_TABLE_REF(((long) 9));
																			{	/* Object/struct.scm 69 */
																				obj_t BgL_arg2468z00_612;

																				obj_t BgL_arg2469z00_613;

																				obj_t BgL_arg2470z00_614;

																				{	/* Object/struct.scm 69 */
																					obj_t BgL_arg2475z00_619;

																					obj_t BgL_arg2476z00_620;

																					BgL_arg2475z00_619 =
																						CNST_TABLE_REF(((long) 10));
																					{	/* Object/struct.scm 69 */
																						obj_t BgL_list2477z00_621;

																						{	/* Object/struct.scm 69 */
																							obj_t BgL_arg2478z00_622;

																							BgL_arg2478z00_622 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2477z00_621 =
																								MAKE_PAIR(BgL_lenz00_555,
																								BgL_arg2478z00_622);
																						}
																						BgL_arg2476z00_620 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_jz00_553,
																							BgL_list2477z00_621);
																					}
																					BgL_arg2468z00_612 =
																						MAKE_PAIR(BgL_arg2475z00_619,
																						BgL_arg2476z00_620);
																				}
																				{	/* Object/struct.scm 70 */
																					obj_t BgL_arg2479z00_623;

																					obj_t BgL_arg2480z00_624;

																					BgL_arg2479z00_623 =
																						CNST_TABLE_REF(((long) 11));
																					{	/* Object/struct.scm 70 */
																						obj_t BgL_list2481z00_625;

																						{	/* Object/struct.scm 70 */
																							obj_t BgL_arg2483z00_626;

																							{	/* Object/struct.scm 70 */
																								obj_t BgL_arg2484z00_627;

																								BgL_arg2484z00_627 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2483z00_626 =
																									MAKE_PAIR(BgL_vecz00_552,
																									BgL_arg2484z00_627);
																							}
																							BgL_list2481z00_625 =
																								MAKE_PAIR(BINT(BgL_iz00_8),
																								BgL_arg2483z00_626);
																						}
																						BgL_arg2480z00_624 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_snamez00_6,
																							BgL_list2481z00_625);
																					}
																					BgL_arg2469z00_613 =
																						MAKE_PAIR(BgL_arg2479z00_623,
																						BgL_arg2480z00_624);
																				}
																				{	/* Object/struct.scm 71 */
																					obj_t BgL_arg2485z00_628;

																					obj_t BgL_arg2487z00_629;

																					BgL_arg2485z00_628 =
																						CNST_TABLE_REF(((long) 12));
																					{	/* Object/struct.scm 72 */
																						obj_t BgL_arg2488z00_630;

																						obj_t BgL_arg2489z00_631;

																						{	/* Object/struct.scm 72 */
																							obj_t BgL_arg2494z00_635;

																							obj_t BgL_arg2495z00_636;

																							BgL_arg2494z00_635 =
																								CNST_TABLE_REF(((long) 13));
																							{	/* Object/struct.scm 76 */
																								obj_t BgL_arg2496z00_637;

																								{	/* Object/struct.scm 76 */
																									obj_t BgL_arg2501z00_642;

																									obj_t BgL_arg2502z00_643;

																									{	/* Object/struct.scm 76 */
																										obj_t BgL_arg2503z00_644;

																										obj_t BgL_arg2504z00_645;

																										obj_t BgL_arg2505z00_646;

																										BgL_arg2503z00_644 =
																											CNST_TABLE_REF(((long)
																												5));
																										{
																											BgL_slotz00_bglt
																												BgL_auxz00_1594;
																											BgL_auxz00_1594 =
																												(BgL_slotz00_bglt)
																												(BgL_slotz00_9);
																											BgL_arg2504z00_645 =
																												(((BgL_slotz00_bglt)
																													CREF
																													(BgL_auxz00_1594))->
																												BgL_idz00);
																										}
																										BgL_arg2505z00_646 =
																											CNST_TABLE_REF(((long)
																												14));
																										{	/* Object/struct.scm 75 */
																											obj_t BgL_list2506z00_647;

																											{	/* Object/struct.scm 75 */
																												obj_t
																													BgL_arg2507z00_648;
																												{	/* Object/struct.scm 75 */
																													obj_t
																														BgL_arg2508z00_649;
																													{	/* Object/struct.scm 75 */
																														obj_t
																															BgL_arg2510z00_650;
																														BgL_arg2510z00_650 =
																															MAKE_PAIR
																															(BgL_arg2505z00_646,
																															BNIL);
																														BgL_arg2508z00_649 =
																															MAKE_PAIR
																															(BgL_arg2504z00_645,
																															BgL_arg2510z00_650);
																													}
																													BgL_arg2507z00_648 =
																														MAKE_PAIR
																														(BgL_arg2503z00_644,
																														BgL_arg2508z00_649);
																												}
																												BgL_list2506z00_647 =
																													MAKE_PAIR
																													(BgL_cnamez00_7,
																													BgL_arg2507z00_648);
																											}
																											BgL_arg2501z00_642 =
																												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																												(BgL_list2506z00_647);
																									}}
																									{	/* Object/struct.scm 75 */
																										obj_t BgL_list2511z00_651;

																										{	/* Object/struct.scm 75 */
																											obj_t BgL_arg2512z00_652;

																											BgL_arg2512z00_652 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list2511z00_651 =
																												MAKE_PAIR(BgL_jz00_553,
																												BgL_arg2512z00_652);
																										}
																										BgL_arg2502z00_643 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_onamez00_5,
																											BgL_list2511z00_651);
																									}
																									BgL_arg2496z00_637 =
																										MAKE_PAIR
																										(BgL_arg2501z00_642,
																										BgL_arg2502z00_643);
																								}
																								{	/* Object/struct.scm 72 */
																									obj_t BgL_list2498z00_639;

																									{	/* Object/struct.scm 72 */
																										obj_t BgL_arg2499z00_640;

																										{	/* Object/struct.scm 72 */
																											obj_t BgL_arg2500z00_641;

																											BgL_arg2500z00_641 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2499z00_640 =
																												MAKE_PAIR
																												(BgL_arg2496z00_637,
																												BgL_arg2500z00_641);
																										}
																										BgL_list2498z00_639 =
																											MAKE_PAIR(BgL_jz00_553,
																											BgL_arg2499z00_640);
																									}
																									BgL_arg2495z00_636 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_vecz00_552,
																										BgL_list2498z00_639);
																							}}
																							BgL_arg2488z00_630 =
																								MAKE_PAIR(BgL_arg2494z00_635,
																								BgL_arg2495z00_636);
																						}
																						{	/* Object/struct.scm 81 */
																							obj_t BgL_arg2513z00_653;

																							{	/* Object/struct.scm 81 */
																								obj_t BgL_arg2514z00_654;

																								{	/* Object/struct.scm 81 */
																									obj_t BgL_arg2517z00_657;

																									obj_t BgL_arg2518z00_658;

																									BgL_arg2517z00_657 =
																										CNST_TABLE_REF(((long) 15));
																									{	/* Object/struct.scm 81 */
																										obj_t BgL_list2519z00_659;

																										{	/* Object/struct.scm 81 */
																											obj_t BgL_arg2521z00_661;

																											BgL_arg2521z00_661 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list2519z00_659 =
																												MAKE_PAIR(BINT(((long)
																														1)),
																												BgL_arg2521z00_661);
																										}
																										BgL_arg2518z00_658 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_jz00_553,
																											BgL_list2519z00_659);
																									}
																									BgL_arg2514z00_654 =
																										MAKE_PAIR
																										(BgL_arg2517z00_657,
																										BgL_arg2518z00_658);
																								}
																								{	/* Object/struct.scm 81 */
																									obj_t BgL_list2516z00_656;

																									BgL_list2516z00_656 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2513z00_653 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2514z00_654,
																										BgL_list2516z00_656);
																							}}
																							BgL_arg2489z00_631 =
																								MAKE_PAIR(BgL_loopz00_554,
																								BgL_arg2513z00_653);
																						}
																						{	/* Object/struct.scm 71 */
																							obj_t BgL_list2491z00_633;

																							{	/* Object/struct.scm 71 */
																								obj_t BgL_arg2493z00_634;

																								BgL_arg2493z00_634 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2491z00_633 =
																									MAKE_PAIR(BgL_arg2489z00_631,
																									BgL_arg2493z00_634);
																							}
																							BgL_arg2487z00_629 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2488z00_630,
																								BgL_list2491z00_633);
																					}}
																					BgL_arg2470z00_614 =
																						MAKE_PAIR(BgL_arg2485z00_628,
																						BgL_arg2487z00_629);
																				}
																				{	/* Object/struct.scm 69 */
																					obj_t BgL_list2472z00_616;

																					{	/* Object/struct.scm 69 */
																						obj_t BgL_arg2473z00_617;

																						{	/* Object/struct.scm 69 */
																							obj_t BgL_arg2474z00_618;

																							BgL_arg2474z00_618 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2473z00_617 =
																								MAKE_PAIR(BgL_arg2470z00_614,
																								BgL_arg2474z00_618);
																						}
																						BgL_list2472z00_616 =
																							MAKE_PAIR(BgL_arg2469z00_613,
																							BgL_arg2473z00_617);
																					}
																					BgL_arg2467z00_611 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2468z00_612,
																						BgL_list2472z00_616);
																			}}
																			BgL_arg2462z00_606 =
																				MAKE_PAIR(BgL_arg2466z00_610,
																				BgL_arg2467z00_611);
																		}
																		{	/* Object/struct.scm 69 */
																			obj_t BgL_list2464z00_608;

																			{	/* Object/struct.scm 69 */
																				obj_t BgL_arg2465z00_609;

																				BgL_arg2465z00_609 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list2464z00_608 =
																					MAKE_PAIR(BgL_arg2462z00_606,
																					BgL_arg2465z00_609);
																			}
																			BgL_arg2460z00_604 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2461z00_605,
																				BgL_list2464z00_608);
																	}}
																	BgL_arg2458z00_602 =
																		MAKE_PAIR(BgL_loopz00_554,
																		BgL_arg2460z00_604);
																}
																BgL_arg2452z00_597 =
																	MAKE_PAIR(BgL_arg2458z00_602, BNIL);
															}
															{	/* Object/struct.scm 82 */
																obj_t BgL_arg2523z00_662;

																{	/* Object/struct.scm 82 */
																	obj_t BgL_list2524z00_663;

																	BgL_list2524z00_663 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2523z00_662 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BINT(((long) 0)), BgL_list2524z00_663);
																}
																BgL_arg2453z00_598 =
																	MAKE_PAIR(BgL_loopz00_554,
																	BgL_arg2523z00_662);
															}
															{	/* Object/struct.scm 69 */
																obj_t BgL_list2455z00_600;

																{	/* Object/struct.scm 69 */
																	obj_t BgL_arg2457z00_601;

																	BgL_arg2457z00_601 = MAKE_PAIR(BNIL, BNIL);
																	BgL_list2455z00_600 =
																		MAKE_PAIR(BgL_arg2453z00_598,
																		BgL_arg2457z00_601);
																}
																BgL_arg2451z00_596 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg2452z00_597, BgL_list2455z00_600);
														}}
														BgL_arg2436z00_582 =
															MAKE_PAIR(BgL_arg2449z00_595, BgL_arg2451z00_596);
													}
													{	/* Object/struct.scm 68 */
														obj_t BgL_list2438z00_584;

														{	/* Object/struct.scm 68 */
															obj_t BgL_arg2439z00_585;

															BgL_arg2439z00_585 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2438z00_584 =
																MAKE_PAIR(BgL_arg2436z00_582,
																BgL_arg2439z00_585);
														}
														BgL_arg2434z00_580 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2435z00_581, BgL_list2438z00_584);
												}}
												BgL_arg2368z00_559 =
													MAKE_PAIR(BgL_arg2433z00_579, BgL_arg2434z00_580);
											}
											{	/* Object/struct.scm 67 */
												obj_t BgL_list2370z00_561;

												{	/* Object/struct.scm 67 */
													obj_t BgL_arg2373z00_562;

													BgL_arg2373z00_562 = MAKE_PAIR(BNIL, BNIL);
													BgL_list2370z00_561 =
														MAKE_PAIR(BgL_arg2368z00_559, BgL_arg2373z00_562);
												}
												BgL_arg2366z00_557 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2367z00_558, BgL_list2370z00_561);
										}}
										return MAKE_PAIR(BgL_arg2365z00_556, BgL_arg2366z00_557);
									}
								}
							}
						else
							{	/* Object/struct.scm 86 */
								{	/* Object/struct.scm 58 */
									obj_t BgL_arg2526z00_665;

									obj_t BgL_arg2527z00_666;

									BgL_arg2526z00_665 = CNST_TABLE_REF(((long) 11));
									{	/* Object/struct.scm 60 */
										obj_t BgL_arg2529z00_667;

										{	/* Object/struct.scm 60 */
											obj_t BgL_arg2535z00_672;

											obj_t BgL_arg2536z00_673;

											{	/* Object/struct.scm 60 */
												obj_t BgL_arg2537z00_674;

												obj_t BgL_arg2538z00_675;

												BgL_arg2537z00_674 = CNST_TABLE_REF(((long) 5));
												{
													BgL_slotz00_bglt BgL_auxz00_1653;

													BgL_auxz00_1653 = (BgL_slotz00_bglt) (BgL_slotz00_9);
													BgL_arg2538z00_675 =
														(((BgL_slotz00_bglt) CREF(BgL_auxz00_1653))->
														BgL_idz00);
												}
												{	/* Object/struct.scm 60 */
													obj_t BgL_list2539z00_676;

													{	/* Object/struct.scm 60 */
														obj_t BgL_arg2540z00_677;

														{	/* Object/struct.scm 60 */
															obj_t BgL_arg2541z00_678;

															BgL_arg2541z00_678 =
																MAKE_PAIR(BgL_arg2538z00_675, BNIL);
															BgL_arg2540z00_677 =
																MAKE_PAIR(BgL_arg2537z00_674,
																BgL_arg2541z00_678);
														}
														BgL_list2539z00_676 =
															MAKE_PAIR(BgL_cnamez00_7, BgL_arg2540z00_677);
													}
													BgL_arg2535z00_672 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list2539z00_676);
											}}
											{	/* Object/struct.scm 60 */
												obj_t BgL_list2542z00_679;

												BgL_list2542z00_679 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg2536z00_673 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_onamez00_5, BgL_list2542z00_679);
											}
											BgL_arg2529z00_667 =
												MAKE_PAIR(BgL_arg2535z00_672, BgL_arg2536z00_673);
										}
										{	/* Object/struct.scm 58 */
											obj_t BgL_list2531z00_669;

											{	/* Object/struct.scm 58 */
												obj_t BgL_arg2532z00_670;

												{	/* Object/struct.scm 58 */
													obj_t BgL_arg2533z00_671;

													BgL_arg2533z00_671 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2532z00_670 =
														MAKE_PAIR(BgL_arg2529z00_667, BgL_arg2533z00_671);
												}
												BgL_list2531z00_669 =
													MAKE_PAIR(BINT(BgL_iz00_8), BgL_arg2532z00_670);
											}
											BgL_arg2527z00_666 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_snamez00_6, BgL_list2531z00_669);
									}}
									return MAKE_PAIR(BgL_arg2526z00_665, BgL_arg2527z00_666);
								}
							}
					}
			}
		}
	}



/* slots-length */
	long BGl_slotszd2lengthzd2zzobject_structz00(obj_t BgL_slotsz00_10)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 94 */
			{
				obj_t BgL_slotsz00_683;

				long BgL_lenz00_684;

				BgL_slotsz00_683 = BgL_slotsz00_10;
				BgL_lenz00_684 = ((long) 0);
			BgL_zc3anonymousza32543ze3z83_685:
				if (NULLP(BgL_slotsz00_683))
					{	/* Object/struct.scm 98 */
						return BgL_lenz00_684;
					}
				else
					{	/* Object/struct.scm 100 */
						bool_t BgL_testz00_1671;

						{	/* Object/struct.scm 100 */
							obj_t BgL_arg2549z00_691;

							BgL_arg2549z00_691 = CAR(BgL_slotsz00_683);
							BgL_testz00_1671 =
								BGl_slotzd2virtualzf3z21zzobject_slotsz00(
								(BgL_slotz00_bglt) (BgL_arg2549z00_691));
						}
						if (BgL_testz00_1671)
							{
								obj_t BgL_slotsz00_1675;

								BgL_slotsz00_1675 = CDR(BgL_slotsz00_683);
								BgL_slotsz00_683 = BgL_slotsz00_1675;
								goto BgL_zc3anonymousza32543ze3z83_685;
							}
						else
							{
								long BgL_lenz00_1679;

								obj_t BgL_slotsz00_1677;

								BgL_slotsz00_1677 = CDR(BgL_slotsz00_683);
								BgL_lenz00_1679 = (((long) 1) + BgL_lenz00_684);
								BgL_lenz00_684 = BgL_lenz00_1679;
								BgL_slotsz00_683 = BgL_slotsz00_1677;
								goto BgL_zc3anonymousza32543ze3z83_685;
							}
					}
			}
		}
	}



/* gen-plain-class->struct */
	obj_t BGl_genzd2plainzd2classzd2ze3structz31zzobject_structz00(obj_t
		BgL_cnamez00_11, BgL_typez00_bglt BgL_typez00_12, obj_t BgL_slotsz00_13,
		obj_t BgL_srczd2defzd2_14)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 108 */
			{	/* Object/struct.scm 109 */
				long BgL_lenz00_693;

				obj_t BgL_onamez00_694;

				obj_t BgL_snamez00_695;

				BgL_lenz00_693 =
					(((long) 1) +
					BGl_slotszd2lengthzd2zzobject_structz00(BgL_slotsz00_13));
				BgL_onamez00_694 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 16)));
				BgL_snamez00_695 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 17)));
				{	/* Object/struct.scm 113 */
					obj_t BgL_arg2550z00_696;

					{	/* Object/struct.scm 113 */
						obj_t BgL_arg2551z00_697;

						obj_t BgL_arg2552z00_698;

						BgL_arg2551z00_697 = CNST_TABLE_REF(((long) 18));
						{	/* Object/struct.scm 113 */
							obj_t BgL_arg2553z00_699;

							obj_t BgL_arg2554z00_700;

							{	/* Object/struct.scm 113 */
								obj_t BgL_arg2558z00_704;

								obj_t BgL_arg2559z00_705;

								BgL_arg2558z00_704 = CNST_TABLE_REF(((long) 19));
								{	/* Object/struct.scm 113 */
									obj_t BgL_arg2560z00_706;

									BgL_arg2560z00_706 =
										BGl_makezd2typedzd2identz00zzast_identz00(BgL_onamez00_694,
										BgL_cnamez00_11);
									{	/* Object/struct.scm 113 */
										obj_t BgL_list2562z00_708;

										BgL_list2562z00_708 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg2559z00_705 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg2560z00_706, BgL_list2562z00_708);
								}}
								BgL_arg2553z00_699 =
									MAKE_PAIR(BgL_arg2558z00_704, BgL_arg2559z00_705);
							}
							{	/* Object/struct.scm 114 */
								obj_t BgL_arg2563z00_709;

								obj_t BgL_arg2564z00_710;

								BgL_arg2563z00_709 = CNST_TABLE_REF(((long) 4));
								{	/* Object/struct.scm 114 */
									obj_t BgL_arg2565z00_711;

									obj_t BgL_arg2566z00_712;

									{	/* Object/struct.scm 114 */
										obj_t BgL_arg2570z00_716;

										{	/* Object/struct.scm 114 */
											obj_t BgL_arg2572z00_718;

											{	/* Object/struct.scm 114 */
												obj_t BgL_arg2573z00_719;

												{	/* Object/struct.scm 114 */
													obj_t BgL_arg2576z00_722;

													obj_t BgL_arg2577z00_723;

													BgL_arg2576z00_722 = CNST_TABLE_REF(((long) 20));
													{	/* Object/struct.scm 114 */
														obj_t BgL_arg2579z00_724;

														{	/* Object/struct.scm 114 */
															obj_t BgL_arg2584z00_729;

															obj_t BgL_arg2585z00_730;

															BgL_arg2584z00_729 = CNST_TABLE_REF(((long) 21));
															{	/* Object/struct.scm 114 */
																obj_t BgL_list2586z00_731;

																BgL_list2586z00_731 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg2585z00_730 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_cnamez00_11, BgL_list2586z00_731);
															}
															BgL_arg2579z00_724 =
																MAKE_PAIR(BgL_arg2584z00_729,
																BgL_arg2585z00_730);
														}
														{	/* Object/struct.scm 114 */
															obj_t BgL_list2581z00_726;

															{	/* Object/struct.scm 114 */
																obj_t BgL_arg2582z00_727;

																{	/* Object/struct.scm 114 */
																	obj_t BgL_arg2583z00_728;

																	BgL_arg2583z00_728 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2582z00_727 =
																		MAKE_PAIR(BUNSPEC, BgL_arg2583z00_728);
																}
																BgL_list2581z00_726 =
																	MAKE_PAIR(BINT(BgL_lenz00_693),
																	BgL_arg2582z00_727);
															}
															BgL_arg2577z00_723 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2579z00_724, BgL_list2581z00_726);
													}}
													BgL_arg2573z00_719 =
														MAKE_PAIR(BgL_arg2576z00_722, BgL_arg2577z00_723);
												}
												{	/* Object/struct.scm 114 */
													obj_t BgL_list2575z00_721;

													BgL_list2575z00_721 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2572z00_718 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2573z00_719, BgL_list2575z00_721);
											}}
											BgL_arg2570z00_716 =
												MAKE_PAIR(BgL_snamez00_695, BgL_arg2572z00_718);
										}
										BgL_arg2565z00_711 = MAKE_PAIR(BgL_arg2570z00_716, BNIL);
									}
									{	/* Object/struct.scm 115 */
										obj_t BgL_arg2587z00_732;

										obj_t BgL_arg2589z00_733;

										BgL_arg2587z00_732 = CNST_TABLE_REF(((long) 12));
										{	/* Object/struct.scm 116 */
											obj_t BgL_arg2590z00_734;

											obj_t BgL_arg2591z00_735;

											{	/* Object/struct.scm 116 */
												obj_t BgL_arg2593z00_737;

												obj_t BgL_arg2595z00_738;

												BgL_arg2593z00_737 = CNST_TABLE_REF(((long) 11));
												{	/* Object/struct.scm 116 */
													obj_t BgL_list2596z00_739;

													{	/* Object/struct.scm 116 */
														obj_t BgL_arg2598z00_741;

														{	/* Object/struct.scm 116 */
															obj_t BgL_arg2599z00_742;

															BgL_arg2599z00_742 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2598z00_741 =
																MAKE_PAIR(BFALSE, BgL_arg2599z00_742);
														}
														BgL_list2596z00_739 =
															MAKE_PAIR(BINT(((long) 0)), BgL_arg2598z00_741);
													}
													BgL_arg2595z00_738 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_snamez00_695, BgL_list2596z00_739);
												}
												BgL_arg2590z00_734 =
													MAKE_PAIR(BgL_arg2593z00_737, BgL_arg2595z00_738);
											}
											{	/* Object/struct.scm 117 */
												obj_t BgL_arg2600z00_743;

												obj_t BgL_arg2601z00_744;

												{
													long BgL_iz00_747;

													obj_t BgL_slotsz00_748;

													obj_t BgL_resz00_749;

													BgL_iz00_747 = ((long) 1);
													BgL_slotsz00_748 = BgL_slotsz00_13;
													BgL_resz00_749 = BNIL;
												BgL_zc3anonymousza32602ze3z83_750:
													if ((BgL_iz00_747 == BgL_lenz00_693))
														{	/* Object/struct.scm 121 */
															BgL_arg2600z00_743 =
																bgl_reverse_bang(BgL_resz00_749);
														}
													else
														{	/* Object/struct.scm 123 */
															bool_t BgL_testz00_1720;

															{	/* Object/struct.scm 123 */
																obj_t BgL_arg2613z00_760;

																BgL_arg2613z00_760 = CAR(BgL_slotsz00_748);
																BgL_testz00_1720 =
																	BGl_slotzd2virtualzf3z21zzobject_slotsz00(
																	(BgL_slotz00_bglt) (BgL_arg2613z00_760));
															}
															if (BgL_testz00_1720)
																{
																	obj_t BgL_slotsz00_1726;

																	long BgL_iz00_1724;

																	BgL_iz00_1724 = (BgL_iz00_747 + ((long) 1));
																	BgL_slotsz00_1726 = CDR(BgL_slotsz00_748);
																	BgL_slotsz00_748 = BgL_slotsz00_1726;
																	BgL_iz00_747 = BgL_iz00_1724;
																	goto BgL_zc3anonymousza32602ze3z83_750;
																}
															else
																{	/* Object/struct.scm 128 */
																	long BgL_arg2607z00_755;

																	obj_t BgL_arg2608z00_756;

																	obj_t BgL_arg2610z00_757;

																	BgL_arg2607z00_755 =
																		(BgL_iz00_747 + ((long) 1));
																	BgL_arg2608z00_756 = CDR(BgL_slotsz00_748);
																	BgL_arg2610z00_757 =
																		MAKE_PAIR
																		(BGl_savezd2slotzd2zzobject_structz00
																		(BgL_onamez00_694, BgL_snamez00_695,
																			BgL_cnamez00_11, BgL_iz00_747,
																			CAR(BgL_slotsz00_748)), BgL_resz00_749);
																	{
																		obj_t BgL_resz00_1735;

																		obj_t BgL_slotsz00_1734;

																		long BgL_iz00_1733;

																		BgL_iz00_1733 = BgL_arg2607z00_755;
																		BgL_slotsz00_1734 = BgL_arg2608z00_756;
																		BgL_resz00_1735 = BgL_arg2610z00_757;
																		BgL_resz00_749 = BgL_resz00_1735;
																		BgL_slotsz00_748 = BgL_slotsz00_1734;
																		BgL_iz00_747 = BgL_iz00_1733;
																		goto BgL_zc3anonymousza32602ze3z83_750;
																	}
																}
														}
												}
												BgL_arg2601z00_744 = MAKE_PAIR(BgL_snamez00_695, BNIL);
												BgL_arg2591z00_735 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2600z00_743, BgL_arg2601z00_744);
											}
											{	/* Object/struct.scm 115 */
												obj_t BgL_list2592z00_736;

												BgL_list2592z00_736 =
													MAKE_PAIR(BgL_arg2591z00_735, BNIL);
												BgL_arg2589z00_733 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2590z00_734, BgL_list2592z00_736);
											}
										}
										BgL_arg2566z00_712 =
											MAKE_PAIR(BgL_arg2587z00_732, BgL_arg2589z00_733);
									}
									{	/* Object/struct.scm 114 */
										obj_t BgL_list2568z00_714;

										{	/* Object/struct.scm 114 */
											obj_t BgL_arg2569z00_715;

											BgL_arg2569z00_715 = MAKE_PAIR(BNIL, BNIL);
											BgL_list2568z00_714 =
												MAKE_PAIR(BgL_arg2566z00_712, BgL_arg2569z00_715);
										}
										BgL_arg2564z00_710 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg2565z00_711, BgL_list2568z00_714);
									}
								}
								BgL_arg2554z00_700 =
									MAKE_PAIR(BgL_arg2563z00_709, BgL_arg2564z00_710);
							}
							{	/* Object/struct.scm 113 */
								obj_t BgL_list2556z00_702;

								{	/* Object/struct.scm 113 */
									obj_t BgL_arg2557z00_703;

									BgL_arg2557z00_703 = MAKE_PAIR(BNIL, BNIL);
									BgL_list2556z00_702 =
										MAKE_PAIR(BgL_arg2554z00_700, BgL_arg2557z00_703);
								}
								BgL_arg2552z00_698 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg2553z00_699, BgL_list2556z00_702);
							}
						}
						BgL_arg2550z00_696 =
							MAKE_PAIR(BgL_arg2551z00_697, BgL_arg2552z00_698);
					}
					return
						BGl_epairifyz00zztools_miscz00(BgL_arg2550z00_696,
						BgL_srczd2defzd2_14);
				}
			}
		}
	}



/* gen-wide-class->struct */
	obj_t BGl_genzd2widezd2classzd2ze3structz31zzobject_structz00(obj_t
		BgL_cnamez00_15, BgL_typez00_bglt BgL_typez00_16, obj_t BgL_slotsz00_17,
		obj_t BgL_srczd2defzd2_18)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 142 */
			{	/* Object/struct.scm 143 */
				long BgL_lenz00_764;

				BgL_lenz00_764 =
					BGl_slotszd2lengthzd2zzobject_structz00(BgL_slotsz00_17);
				{	/* Object/struct.scm 143 */
					obj_t BgL_onamez00_765;

					BgL_onamez00_765 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 16)));
					{	/* Object/struct.scm 144 */
						obj_t BgL_resz00_766;

						BgL_resz00_766 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 17)));
						{	/* Object/struct.scm 145 */
							obj_t BgL_tresz00_767;

							{	/* Object/struct.scm 146 */
								obj_t BgL_arg2715z00_867;

								{	/* Object/struct.scm 146 */
									obj_t BgL_arg2717z00_868;

									obj_t BgL_arg2718z00_869;

									BgL_arg2717z00_868 = SYMBOL_TO_STRING(BgL_resz00_766);
									{	/* Object/struct.scm 146 */
										obj_t BgL_symbolz00_1395;

										BgL_symbolz00_1395 = CNST_TABLE_REF(((long) 22));
										BgL_arg2718z00_869 = SYMBOL_TO_STRING(BgL_symbolz00_1395);
									}
									{	/* Object/struct.scm 146 */
										obj_t BgL_list2719z00_870;

										{	/* Object/struct.scm 146 */
											obj_t BgL_arg2720z00_871;

											BgL_arg2720z00_871 = MAKE_PAIR(BgL_arg2718z00_869, BNIL);
											BgL_list2719z00_870 =
												MAKE_PAIR(BgL_arg2717z00_868, BgL_arg2720z00_871);
										}
										BgL_arg2715z00_867 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list2719z00_870);
								}}
								BgL_tresz00_767 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2715z00_867));
							}
							{	/* Object/struct.scm 146 */
								obj_t BgL_auxz00_768;

								BgL_auxz00_768 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											23)));
								{	/* Object/struct.scm 147 */

									{	/* Object/struct.scm 149 */
										obj_t BgL_arg2617z00_769;

										{	/* Object/struct.scm 149 */
											obj_t BgL_arg2618z00_770;

											obj_t BgL_arg2619z00_771;

											BgL_arg2618z00_770 = CNST_TABLE_REF(((long) 18));
											{	/* Object/struct.scm 149 */
												obj_t BgL_arg2620z00_772;

												obj_t BgL_arg2621z00_773;

												{	/* Object/struct.scm 149 */
													obj_t BgL_arg2625z00_777;

													obj_t BgL_arg2626z00_778;

													BgL_arg2625z00_777 = CNST_TABLE_REF(((long) 19));
													{	/* Object/struct.scm 149 */
														obj_t BgL_arg2627z00_779;

														BgL_arg2627z00_779 =
															BGl_makezd2typedzd2identz00zzast_identz00
															(BgL_onamez00_765, BgL_cnamez00_15);
														{	/* Object/struct.scm 149 */
															obj_t BgL_list2629z00_781;

															BgL_list2629z00_781 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2626z00_778 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2627z00_779, BgL_list2629z00_781);
													}}
													BgL_arg2620z00_772 =
														MAKE_PAIR(BgL_arg2625z00_777, BgL_arg2626z00_778);
												}
												{	/* Object/struct.scm 150 */
													obj_t BgL_arg2630z00_782;

													obj_t BgL_arg2631z00_783;

													BgL_arg2630z00_782 = CNST_TABLE_REF(((long) 4));
													{	/* Object/struct.scm 150 */
														obj_t BgL_arg2632z00_784;

														obj_t BgL_arg2633z00_785;

														{	/* Object/struct.scm 150 */
															obj_t BgL_arg2637z00_789;

															{	/* Object/struct.scm 150 */
																obj_t BgL_arg2639z00_791;

																{	/* Object/struct.scm 150 */
																	obj_t BgL_arg2640z00_792;

																	BgL_arg2640z00_792 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 24)),
																		BNIL);
																	{	/* Object/struct.scm 150 */
																		obj_t BgL_list2642z00_794;

																		BgL_list2642z00_794 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2639z00_791 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2640z00_792, BgL_list2642z00_794);
																}}
																BgL_arg2637z00_789 =
																	MAKE_PAIR(BgL_tresz00_767,
																	BgL_arg2639z00_791);
															}
															BgL_arg2632z00_784 =
																MAKE_PAIR(BgL_arg2637z00_789, BNIL);
														}
														{	/* Object/struct.scm 151 */
															obj_t BgL_arg2643z00_795;

															obj_t BgL_arg2645z00_796;

															BgL_arg2643z00_795 = CNST_TABLE_REF(((long) 4));
															{	/* Object/struct.scm 151 */
																obj_t BgL_arg2646z00_797;

																obj_t BgL_arg2647z00_798;

																{	/* Object/struct.scm 151 */
																	obj_t BgL_arg2649z00_800;

																	{	/* Object/struct.scm 151 */
																		obj_t BgL_arg2652z00_802;

																		{	/* Object/struct.scm 151 */
																			obj_t BgL_arg2653z00_803;

																			{	/* Object/struct.scm 151 */
																				obj_t BgL_arg2656z00_806;

																				obj_t BgL_arg2657z00_807;

																				BgL_arg2656z00_806 =
																					CNST_TABLE_REF(((long) 20));
																				{	/* Object/struct.scm 151 */
																					obj_t BgL_arg2658z00_808;

																					{	/* Object/struct.scm 151 */
																						obj_t BgL_arg2663z00_813;

																						obj_t BgL_arg2664z00_814;

																						BgL_arg2663z00_813 =
																							CNST_TABLE_REF(((long) 21));
																						{	/* Object/struct.scm 151 */
																							obj_t BgL_list2665z00_815;

																							BgL_list2665z00_815 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2664z00_814 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_cnamez00_15,
																								BgL_list2665z00_815);
																						}
																						BgL_arg2658z00_808 =
																							MAKE_PAIR(BgL_arg2663z00_813,
																							BgL_arg2664z00_814);
																					}
																					{	/* Object/struct.scm 151 */
																						obj_t BgL_list2660z00_810;

																						{	/* Object/struct.scm 151 */
																							obj_t BgL_arg2661z00_811;

																							{	/* Object/struct.scm 151 */
																								obj_t BgL_arg2662z00_812;

																								BgL_arg2662z00_812 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2661z00_811 =
																									MAKE_PAIR(BUNSPEC,
																									BgL_arg2662z00_812);
																							}
																							BgL_list2660z00_810 =
																								MAKE_PAIR(BINT(BgL_lenz00_764),
																								BgL_arg2661z00_811);
																						}
																						BgL_arg2657z00_807 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2658z00_808,
																							BgL_list2660z00_810);
																				}}
																				BgL_arg2653z00_803 =
																					MAKE_PAIR(BgL_arg2656z00_806,
																					BgL_arg2657z00_807);
																			}
																			{	/* Object/struct.scm 151 */
																				obj_t BgL_list2655z00_805;

																				BgL_list2655z00_805 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2652z00_802 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2653z00_803,
																					BgL_list2655z00_805);
																		}}
																		BgL_arg2649z00_800 =
																			MAKE_PAIR(BgL_auxz00_768,
																			BgL_arg2652z00_802);
																	}
																	BgL_arg2646z00_797 =
																		MAKE_PAIR(BgL_arg2649z00_800, BNIL);
																}
																{	/* Object/struct.scm 152 */
																	obj_t BgL_arg2666z00_816;

																	obj_t BgL_arg2667z00_817;

																	{
																		long BgL_iz00_820;

																		obj_t BgL_slotsz00_821;

																		obj_t BgL_resz00_822;

																		BgL_iz00_820 = ((long) 0);
																		BgL_slotsz00_821 = BgL_slotsz00_17;
																		BgL_resz00_822 = BNIL;
																	BgL_zc3anonymousza32668ze3z83_823:
																		if ((BgL_iz00_820 == BgL_lenz00_764))
																			{	/* Object/struct.scm 156 */
																				BgL_arg2666z00_816 =
																					bgl_reverse_bang(BgL_resz00_822);
																			}
																		else
																			{	/* Object/struct.scm 158 */
																				bool_t BgL_testz00_1797;

																				{	/* Object/struct.scm 158 */
																					obj_t BgL_arg2678z00_833;

																					BgL_arg2678z00_833 =
																						CAR(BgL_slotsz00_821);
																					BgL_testz00_1797 =
																						BGl_slotzd2virtualzf3z21zzobject_slotsz00
																						((BgL_slotz00_bglt)
																						(BgL_arg2678z00_833));
																				}
																				if (BgL_testz00_1797)
																					{
																						obj_t BgL_slotsz00_1803;

																						long BgL_iz00_1801;

																						BgL_iz00_1801 =
																							(BgL_iz00_820 + ((long) 1));
																						BgL_slotsz00_1803 =
																							CDR(BgL_slotsz00_821);
																						BgL_slotsz00_821 =
																							BgL_slotsz00_1803;
																						BgL_iz00_820 = BgL_iz00_1801;
																						goto
																							BgL_zc3anonymousza32668ze3z83_823;
																					}
																				else
																					{	/* Object/struct.scm 163 */
																						long BgL_arg2673z00_828;

																						obj_t BgL_arg2674z00_829;

																						obj_t BgL_arg2675z00_830;

																						BgL_arg2673z00_828 =
																							(BgL_iz00_820 + ((long) 1));
																						BgL_arg2674z00_829 =
																							CDR(BgL_slotsz00_821);
																						BgL_arg2675z00_830 =
																							MAKE_PAIR
																							(BGl_savezd2slotzd2zzobject_structz00
																							(BgL_onamez00_765, BgL_auxz00_768,
																								BgL_cnamez00_15, BgL_iz00_820,
																								CAR(BgL_slotsz00_821)),
																							BgL_resz00_822);
																						{
																							obj_t BgL_resz00_1812;

																							obj_t BgL_slotsz00_1811;

																							long BgL_iz00_1810;

																							BgL_iz00_1810 =
																								BgL_arg2673z00_828;
																							BgL_slotsz00_1811 =
																								BgL_arg2674z00_829;
																							BgL_resz00_1812 =
																								BgL_arg2675z00_830;
																							BgL_resz00_822 = BgL_resz00_1812;
																							BgL_slotsz00_821 =
																								BgL_slotsz00_1811;
																							BgL_iz00_820 = BgL_iz00_1810;
																							goto
																								BgL_zc3anonymousza32668ze3z83_823;
																						}
																					}
																			}
																	}
																	{	/* Object/struct.scm 167 */
																		obj_t BgL_arg2679z00_835;

																		obj_t BgL_arg2681z00_836;

																		{	/* Object/struct.scm 167 */
																			obj_t BgL_arg2682z00_837;

																			obj_t BgL_arg2683z00_838;

																			BgL_arg2682z00_837 =
																				CNST_TABLE_REF(((long) 11));
																			{	/* Object/struct.scm 167 */
																				obj_t BgL_list2684z00_839;

																				{	/* Object/struct.scm 167 */
																					obj_t BgL_arg2687z00_841;

																					{	/* Object/struct.scm 167 */
																						obj_t BgL_arg2688z00_842;

																						BgL_arg2688z00_842 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2687z00_841 =
																							MAKE_PAIR(BgL_auxz00_768,
																							BgL_arg2688z00_842);
																					}
																					BgL_list2684z00_839 =
																						MAKE_PAIR(BINT(((long) 0)),
																						BgL_arg2687z00_841);
																				}
																				BgL_arg2683z00_838 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_resz00_766, BgL_list2684z00_839);
																			}
																			BgL_arg2679z00_835 =
																				MAKE_PAIR(BgL_arg2682z00_837,
																				BgL_arg2683z00_838);
																		}
																		{	/* Object/struct.scm 169 */
																			obj_t BgL_arg2689z00_843;

																			obj_t BgL_arg2690z00_844;

																			{	/* Object/struct.scm 169 */
																				obj_t BgL_arg2696z00_849;

																				obj_t BgL_arg2697z00_850;

																				BgL_arg2696z00_849 =
																					CNST_TABLE_REF(((long) 25));
																				{	/* Object/struct.scm 169 */
																					obj_t BgL_arg2699z00_851;

																					{	/* Object/struct.scm 169 */
																						obj_t BgL_arg2703z00_855;

																						obj_t BgL_arg2704z00_856;

																						BgL_arg2703z00_855 =
																							CNST_TABLE_REF(((long) 26));
																						{	/* Object/struct.scm 169 */
																							obj_t BgL_list2705z00_857;

																							BgL_list2705z00_857 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2704z00_856 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_resz00_766,
																								BgL_list2705z00_857);
																						}
																						BgL_arg2699z00_851 =
																							MAKE_PAIR(BgL_arg2703z00_855,
																							BgL_arg2704z00_856);
																					}
																					{	/* Object/struct.scm 169 */
																						obj_t BgL_list2701z00_853;

																						{	/* Object/struct.scm 169 */
																							obj_t BgL_arg2702z00_854;

																							BgL_arg2702z00_854 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2701z00_853 =
																								MAKE_PAIR(BgL_arg2699z00_851,
																								BgL_arg2702z00_854);
																						}
																						BgL_arg2697z00_850 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_auxz00_768,
																							BgL_list2701z00_853);
																				}}
																				BgL_arg2689z00_843 =
																					MAKE_PAIR(BgL_arg2696z00_849,
																					BgL_arg2697z00_850);
																			}
																			{	/* Object/struct.scm 170 */
																				obj_t BgL_arg2706z00_858;

																				obj_t BgL_arg2707z00_859;

																				BgL_arg2706z00_858 =
																					CNST_TABLE_REF(((long) 25));
																				{	/* Object/struct.scm 170 */
																					obj_t BgL_arg2708z00_860;

																					{	/* Object/struct.scm 170 */
																						obj_t BgL_arg2712z00_864;

																						obj_t BgL_arg2713z00_865;

																						BgL_arg2712z00_864 =
																							CNST_TABLE_REF(((long) 21));
																						{	/* Object/struct.scm 170 */
																							obj_t BgL_list2714z00_866;

																							BgL_list2714z00_866 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2713z00_865 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_cnamez00_15,
																								BgL_list2714z00_866);
																						}
																						BgL_arg2708z00_860 =
																							MAKE_PAIR(BgL_arg2712z00_864,
																							BgL_arg2713z00_865);
																					}
																					{	/* Object/struct.scm 170 */
																						obj_t BgL_list2710z00_862;

																						{	/* Object/struct.scm 170 */
																							obj_t BgL_arg2711z00_863;

																							BgL_arg2711z00_863 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2710z00_862 =
																								MAKE_PAIR(BgL_arg2708z00_860,
																								BgL_arg2711z00_863);
																						}
																						BgL_arg2707z00_859 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_resz00_766,
																							BgL_list2710z00_862);
																				}}
																				BgL_arg2690z00_844 =
																					MAKE_PAIR(BgL_arg2706z00_858,
																					BgL_arg2707z00_859);
																			}
																			{	/* Object/struct.scm 151 */
																				obj_t BgL_list2692z00_846;

																				{	/* Object/struct.scm 151 */
																					obj_t BgL_arg2693z00_847;

																					{	/* Object/struct.scm 151 */
																						obj_t BgL_arg2694z00_848;

																						BgL_arg2694z00_848 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2693z00_847 =
																							MAKE_PAIR(BgL_resz00_766,
																							BgL_arg2694z00_848);
																					}
																					BgL_list2692z00_846 =
																						MAKE_PAIR(BgL_arg2690z00_844,
																						BgL_arg2693z00_847);
																				}
																				BgL_arg2681z00_836 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2689z00_843,
																					BgL_list2692z00_846);
																		}}
																		BgL_arg2667z00_817 =
																			MAKE_PAIR(BgL_arg2679z00_835,
																			BgL_arg2681z00_836);
																	}
																	BgL_arg2647z00_798 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2666z00_816, BgL_arg2667z00_817);
																}
																{	/* Object/struct.scm 151 */
																	obj_t BgL_list2648z00_799;

																	BgL_list2648z00_799 =
																		MAKE_PAIR(BgL_arg2647z00_798, BNIL);
																	BgL_arg2645z00_796 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2646z00_797, BgL_list2648z00_799);
															}}
															BgL_arg2633z00_785 =
																MAKE_PAIR(BgL_arg2643z00_795,
																BgL_arg2645z00_796);
														}
														{	/* Object/struct.scm 150 */
															obj_t BgL_list2635z00_787;

															{	/* Object/struct.scm 150 */
																obj_t BgL_arg2636z00_788;

																BgL_arg2636z00_788 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2635z00_787 =
																	MAKE_PAIR(BgL_arg2633z00_785,
																	BgL_arg2636z00_788);
															}
															BgL_arg2631z00_783 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2632z00_784, BgL_list2635z00_787);
													}}
													BgL_arg2621z00_773 =
														MAKE_PAIR(BgL_arg2630z00_782, BgL_arg2631z00_783);
												}
												{	/* Object/struct.scm 149 */
													obj_t BgL_list2623z00_775;

													{	/* Object/struct.scm 149 */
														obj_t BgL_arg2624z00_776;

														BgL_arg2624z00_776 = MAKE_PAIR(BNIL, BNIL);
														BgL_list2623z00_775 =
															MAKE_PAIR(BgL_arg2621z00_773, BgL_arg2624z00_776);
													}
													BgL_arg2619z00_771 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2620z00_772, BgL_list2623z00_775);
											}}
											BgL_arg2617z00_769 =
												MAKE_PAIR(BgL_arg2618z00_770, BgL_arg2619z00_771);
										}
										return
											BGl_epairifyz00zztools_miscz00(BgL_arg2617z00_769,
											BgL_srczd2defzd2_18);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* restore-slot */
	obj_t BGl_restorezd2slotzd2zzobject_structz00(obj_t BgL_onamez00_19,
		obj_t BgL_snamez00_20, obj_t BgL_cnamez00_21,
		BgL_typez00_bglt BgL_typez00_22, long BgL_iz00_23, obj_t BgL_slotz00_24)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 178 */
			{	/* Object/struct.scm 179 */
				obj_t BgL_loopz00_872;

				BgL_loopz00_872 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2)));
				{	/* Object/struct.scm 179 */
					obj_t BgL_runnerz00_873;

					BgL_runnerz00_873 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 27)));
					{	/* Object/struct.scm 180 */
						obj_t BgL_vz00_874;

						BgL_vz00_874 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28)));
						{	/* Object/struct.scm 181 */
							obj_t BgL_lenz00_875;

							BgL_lenz00_875 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 3)));
							{	/* Object/struct.scm 182 */
								obj_t BgL_runnerzd2typedzd2_876;

								{	/* Object/struct.scm 183 */
									obj_t BgL_arg2853z00_1005;

									{	/* Object/struct.scm 183 */
										obj_t BgL_arg2854z00_1006;

										obj_t BgL_arg2855z00_1007;

										BgL_arg2854z00_1006 = SYMBOL_TO_STRING(BgL_runnerz00_873);
										{	/* Object/struct.scm 183 */
											obj_t BgL_symbolz00_1408;

											BgL_symbolz00_1408 = CNST_TABLE_REF(((long) 29));
											BgL_arg2855z00_1007 =
												SYMBOL_TO_STRING(BgL_symbolz00_1408);
										}
										{	/* Object/struct.scm 183 */
											obj_t BgL_list2856z00_1008;

											{	/* Object/struct.scm 183 */
												obj_t BgL_arg2857z00_1009;

												BgL_arg2857z00_1009 =
													MAKE_PAIR(BgL_arg2855z00_1007, BNIL);
												BgL_list2856z00_1008 =
													MAKE_PAIR(BgL_arg2854z00_1006, BgL_arg2857z00_1009);
											}
											BgL_arg2853z00_1005 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list2856z00_1008);
									}}
									BgL_runnerzd2typedzd2_876 =
										string_to_symbol(BSTRING_TO_STRING(BgL_arg2853z00_1005));
								}
								{	/* Object/struct.scm 183 */

									if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
											(BgL_slotz00_bglt) (BgL_slotz00_24)))
										{	/* Object/struct.scm 185 */
											return BUNSPEC;
										}
									else
										{	/* Object/struct.scm 187 */
											bool_t BgL_testz00_1875;

											{	/* Object/struct.scm 187 */
												BgL_slotz00_bglt BgL_obj2283z00_1410;

												BgL_obj2283z00_1410 =
													(BgL_slotz00_bglt) (BgL_slotz00_24);
												BgL_testz00_1875 =
													CBOOL(
													(((BgL_slotz00_bglt) CREF(BgL_obj2283z00_1410))->
														BgL_indexedz00));
											}
											if (BgL_testz00_1875)
												{	/* Object/struct.scm 195 */
													obj_t BgL_fz00_879;

													BgL_fz00_879 =
														BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 30)));
													{	/* Object/struct.scm 195 */
														obj_t BgL_tfz00_880;

														{	/* Object/struct.scm 196 */
															obj_t BgL_arg2831z00_983;

															{	/* Object/struct.scm 196 */
																BgL_typez00_bglt BgL_obj1343z00_1412;

																{	/* Object/struct.scm 196 */
																	BgL_slotz00_bglt BgL_obj2271z00_1411;

																	BgL_obj2271z00_1411 =
																		(BgL_slotz00_bglt) (BgL_slotz00_24);
																	BgL_obj1343z00_1412 =
																		(BgL_typez00_bglt) (
																		(((BgL_slotz00_bglt)
																				CREF(BgL_obj2271z00_1411))->
																			BgL_typez00));
																}
																BgL_arg2831z00_983 =
																	(((BgL_typez00_bglt)
																		CREF(BgL_obj1343z00_1412))->BgL_idz00);
															}
															BgL_tfz00_880 =
																BGl_makezd2typedzd2identz00zzast_identz00
																(BgL_fz00_879, BgL_arg2831z00_983);
														}
														{	/* Object/struct.scm 196 */

															{	/* Object/struct.scm 197 */
																obj_t BgL_arg2723z00_881;

																obj_t BgL_arg2724z00_882;

																BgL_arg2723z00_881 = CNST_TABLE_REF(((long) 4));
																{	/* Object/struct.scm 197 */
																	obj_t BgL_arg2725z00_883;

																	obj_t BgL_arg2726z00_884;

																	{	/* Object/struct.scm 197 */
																		obj_t BgL_arg2730z00_888;

																		{	/* Object/struct.scm 197 */
																			obj_t BgL_arg2732z00_890;

																			{	/* Object/struct.scm 197 */
																				obj_t BgL_arg2733z00_891;

																				{	/* Object/struct.scm 197 */
																					obj_t BgL_arg2736z00_894;

																					obj_t BgL_arg2737z00_895;

																					BgL_arg2736z00_894 =
																						CNST_TABLE_REF(((long) 31));
																					{	/* Object/struct.scm 197 */
																						obj_t BgL_list2738z00_896;

																						{	/* Object/struct.scm 197 */
																							obj_t BgL_arg2739z00_897;

																							BgL_arg2739z00_897 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2738z00_896 =
																								MAKE_PAIR(BINT(BgL_iz00_23),
																								BgL_arg2739z00_897);
																						}
																						BgL_arg2737z00_895 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(CNST_TABLE_REF(((long) 32)),
																							BgL_list2738z00_896);
																					}
																					BgL_arg2733z00_891 =
																						MAKE_PAIR(BgL_arg2736z00_894,
																						BgL_arg2737z00_895);
																				}
																				{	/* Object/struct.scm 197 */
																					obj_t BgL_list2735z00_893;

																					BgL_list2735z00_893 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2732z00_890 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2733z00_891,
																						BgL_list2735z00_893);
																			}}
																			BgL_arg2730z00_888 =
																				MAKE_PAIR(BgL_vz00_874,
																				BgL_arg2732z00_890);
																		}
																		BgL_arg2725z00_883 =
																			MAKE_PAIR(BgL_arg2730z00_888, BNIL);
																	}
																	{	/* Object/struct.scm 198 */
																		obj_t BgL_arg2740z00_898;

																		obj_t BgL_arg2741z00_899;

																		BgL_arg2740z00_898 =
																			CNST_TABLE_REF(((long) 4));
																		{	/* Object/struct.scm 198 */
																			obj_t BgL_arg2742z00_900;

																			obj_t BgL_arg2743z00_901;

																			obj_t BgL_arg2744z00_902;

																			{	/* Object/struct.scm 198 */
																				obj_t BgL_arg2749z00_907;

																				{	/* Object/struct.scm 198 */
																					obj_t BgL_arg2752z00_909;

																					obj_t BgL_arg2753z00_910;

																					{	/* Object/struct.scm 198 */
																						obj_t BgL_arg2754z00_911;

																						{	/* Object/struct.scm 198 */
																							obj_t BgL_arg2755z00_912;

																							obj_t BgL_arg2756z00_913;

																							BgL_arg2755z00_912 =
																								SYMBOL_TO_STRING
																								(BgL_lenz00_875);
																							{	/* Object/struct.scm 198 */
																								obj_t BgL_symbolz00_1414;

																								BgL_symbolz00_1414 =
																									CNST_TABLE_REF(((long) 29));
																								BgL_arg2756z00_913 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_1414);
																							}
																							{	/* Object/struct.scm 198 */
																								obj_t BgL_list2757z00_914;

																								{	/* Object/struct.scm 198 */
																									obj_t BgL_arg2759z00_915;

																									BgL_arg2759z00_915 =
																										MAKE_PAIR
																										(BgL_arg2756z00_913, BNIL);
																									BgL_list2757z00_914 =
																										MAKE_PAIR
																										(BgL_arg2755z00_912,
																										BgL_arg2759z00_915);
																								}
																								BgL_arg2754z00_911 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2757z00_914);
																						}}
																						BgL_arg2752z00_909 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_arg2754z00_911));
																					}
																					{	/* Object/struct.scm 198 */
																						obj_t BgL_arg2760z00_916;

																						{	/* Object/struct.scm 198 */
																							obj_t BgL_arg2763z00_919;

																							obj_t BgL_arg2764z00_920;

																							BgL_arg2763z00_919 =
																								CNST_TABLE_REF(((long) 33));
																							{	/* Object/struct.scm 198 */
																								obj_t BgL_list2765z00_921;

																								BgL_list2765z00_921 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2764z00_920 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_vz00_874,
																									BgL_list2765z00_921);
																							}
																							BgL_arg2760z00_916 =
																								MAKE_PAIR(BgL_arg2763z00_919,
																								BgL_arg2764z00_920);
																						}
																						{	/* Object/struct.scm 198 */
																							obj_t BgL_list2762z00_918;

																							BgL_list2762z00_918 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2753z00_910 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2760z00_916,
																								BgL_list2762z00_918);
																					}}
																					BgL_arg2749z00_907 =
																						MAKE_PAIR(BgL_arg2752z00_909,
																						BgL_arg2753z00_910);
																				}
																				BgL_arg2742z00_900 =
																					MAKE_PAIR(BgL_arg2749z00_907, BNIL);
																			}
																			BgL_arg2743z00_901 =
																				BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00
																				(BgL_typez00_22,
																				(BgL_slotz00_bglt) (BgL_slotz00_24),
																				CNST_TABLE_REF(((long) 34)),
																				BgL_lenz00_875);
																			{	/* Object/struct.scm 201 */
																				obj_t BgL_arg2766z00_922;

																				obj_t BgL_arg2767z00_923;

																				BgL_arg2766z00_922 =
																					CNST_TABLE_REF(((long) 8));
																				{	/* Object/struct.scm 201 */
																					obj_t BgL_arg2768z00_924;

																					obj_t BgL_arg2769z00_925;

																					{	/* Object/struct.scm 201 */
																						obj_t BgL_arg2773z00_929;

																						{	/* Object/struct.scm 201 */
																							obj_t BgL_arg2775z00_931;

																							{	/* Object/struct.scm 201 */
																								obj_t BgL_arg2776z00_932;

																								obj_t BgL_arg2777z00_933;

																								BgL_arg2776z00_932 =
																									MAKE_PAIR
																									(BgL_runnerzd2typedzd2_876,
																									BNIL);
																								{	/* Object/struct.scm 202 */
																									obj_t BgL_arg2782z00_937;

																									obj_t BgL_arg2783z00_938;

																									BgL_arg2782z00_937 =
																										CNST_TABLE_REF(((long) 9));
																									{	/* Object/struct.scm 202 */
																										obj_t BgL_arg2784z00_939;

																										obj_t BgL_arg2785z00_940;

																										obj_t BgL_arg2786z00_941;

																										{	/* Object/struct.scm 202 */
																											obj_t BgL_arg2791z00_946;

																											obj_t BgL_arg2792z00_947;

																											BgL_arg2791z00_946 =
																												CNST_TABLE_REF(((long)
																													10));
																											{	/* Object/struct.scm 202 */
																												obj_t
																													BgL_list2793z00_948;
																												{	/* Object/struct.scm 202 */
																													obj_t
																														BgL_arg2794z00_949;
																													BgL_arg2794z00_949 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2793z00_948 =
																														MAKE_PAIR
																														(BgL_lenz00_875,
																														BgL_arg2794z00_949);
																												}
																												BgL_arg2792z00_947 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_runnerz00_873,
																													BgL_list2793z00_948);
																											}
																											BgL_arg2784z00_939 =
																												MAKE_PAIR
																												(BgL_arg2791z00_946,
																												BgL_arg2792z00_947);
																										}
																										{	/* Object/struct.scm 203 */
																											obj_t BgL_arg2796z00_950;

																											obj_t BgL_arg2798z00_951;

																											BgL_arg2796z00_950 =
																												CNST_TABLE_REF(((long)
																													21));
																											{	/* Object/struct.scm 203 */
																												obj_t
																													BgL_list2799z00_952;
																												BgL_list2799z00_952 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2798z00_951 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(CNST_TABLE_REF((
																															(long) 35)),
																													BgL_list2799z00_952);
																											}
																											BgL_arg2785z00_940 =
																												MAKE_PAIR
																												(BgL_arg2796z00_950,
																												BgL_arg2798z00_951);
																										}
																										{	/* Object/struct.scm 204 */
																											obj_t BgL_arg2800z00_953;

																											obj_t BgL_arg2801z00_954;

																											BgL_arg2800z00_953 =
																												CNST_TABLE_REF(((long)
																													4));
																											{	/* Object/struct.scm 204 */
																												obj_t
																													BgL_arg2802z00_955;
																												obj_t
																													BgL_arg2803z00_956;
																												obj_t
																													BgL_arg2804z00_957;
																												{	/* Object/struct.scm 204 */
																													obj_t
																														BgL_arg2809z00_962;
																													{	/* Object/struct.scm 204 */
																														obj_t
																															BgL_arg2811z00_964;
																														{	/* Object/struct.scm 204 */
																															obj_t
																																BgL_arg2812z00_965;
																															{	/* Object/struct.scm 204 */
																																obj_t
																																	BgL_arg2815z00_968;
																																obj_t
																																	BgL_arg2816z00_969;
																																BgL_arg2815z00_968
																																	=
																																	CNST_TABLE_REF
																																	(((long) 36));
																																{	/* Object/struct.scm 204 */
																																	obj_t
																																		BgL_list2817z00_970;
																																	{	/* Object/struct.scm 204 */
																																		obj_t
																																			BgL_arg2818z00_971;
																																		BgL_arg2818z00_971
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list2817z00_970
																																			=
																																			MAKE_PAIR
																																			(BgL_runnerz00_873,
																																			BgL_arg2818z00_971);
																																	}
																																	BgL_arg2816z00_969
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_vz00_874,
																																		BgL_list2817z00_970);
																																}
																																BgL_arg2812z00_965
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2815z00_968,
																																	BgL_arg2816z00_969);
																															}
																															{	/* Object/struct.scm 204 */
																																obj_t
																																	BgL_list2814z00_967;
																																BgL_list2814z00_967
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_arg2811z00_964
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg2812z00_965,
																																	BgL_list2814z00_967);
																														}}
																														BgL_arg2809z00_962 =
																															MAKE_PAIR
																															(BgL_tfz00_880,
																															BgL_arg2811z00_964);
																													}
																													BgL_arg2802z00_955 =
																														MAKE_PAIR
																														(BgL_arg2809z00_962,
																														BNIL);
																												}
																												BgL_arg2803z00_956 =
																													BGl_makezd2pragmazd2indexedzd2setz12zc0zzobject_toolsz00
																													(BgL_typez00_22,
																													(BgL_slotz00_bglt)
																													(BgL_slotz00_24),
																													CNST_TABLE_REF(((long)
																															34)),
																													BgL_fz00_879,
																													BgL_runnerz00_873);
																												{	/* Object/struct.scm 211 */
																													obj_t
																														BgL_arg2819z00_972;
																													{	/* Object/struct.scm 211 */
																														obj_t
																															BgL_arg2820z00_973;
																														{	/* Object/struct.scm 211 */
																															obj_t
																																BgL_arg2823z00_976;
																															obj_t
																																BgL_arg2824z00_977;
																															BgL_arg2823z00_976
																																=
																																CNST_TABLE_REF((
																																	(long) 15));
																															{	/* Object/struct.scm 211 */
																																obj_t
																																	BgL_list2825z00_978;
																																{	/* Object/struct.scm 211 */
																																	obj_t
																																		BgL_arg2828z00_980;
																																	BgL_arg2828z00_980
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_list2825z00_978
																																		=
																																		MAKE_PAIR
																																		(BINT((
																																				(long)
																																				1)),
																																		BgL_arg2828z00_980);
																																}
																																BgL_arg2824z00_977
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_runnerz00_873,
																																	BgL_list2825z00_978);
																															}
																															BgL_arg2820z00_973
																																=
																																MAKE_PAIR
																																(BgL_arg2823z00_976,
																																BgL_arg2824z00_977);
																														}
																														{	/* Object/struct.scm 211 */
																															obj_t
																																BgL_list2822z00_975;
																															BgL_list2822z00_975
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_arg2819z00_972
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg2820z00_973,
																																BgL_list2822z00_975);
																													}}
																													BgL_arg2804z00_957 =
																														MAKE_PAIR
																														(BgL_loopz00_872,
																														BgL_arg2819z00_972);
																												}
																												{	/* Object/struct.scm 204 */
																													obj_t
																														BgL_list2806z00_959;
																													{	/* Object/struct.scm 204 */
																														obj_t
																															BgL_arg2807z00_960;
																														{	/* Object/struct.scm 204 */
																															obj_t
																																BgL_arg2808z00_961;
																															BgL_arg2808z00_961
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_arg2807z00_960
																																=
																																MAKE_PAIR
																																(BgL_arg2804z00_957,
																																BgL_arg2808z00_961);
																														}
																														BgL_list2806z00_959
																															=
																															MAKE_PAIR
																															(BgL_arg2803z00_956,
																															BgL_arg2807z00_960);
																													}
																													BgL_arg2801z00_954 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2802z00_955,
																														BgL_list2806z00_959);
																											}}
																											BgL_arg2786z00_941 =
																												MAKE_PAIR
																												(BgL_arg2800z00_953,
																												BgL_arg2801z00_954);
																										}
																										{	/* Object/struct.scm 202 */
																											obj_t BgL_list2788z00_943;

																											{	/* Object/struct.scm 202 */
																												obj_t
																													BgL_arg2789z00_944;
																												{	/* Object/struct.scm 202 */
																													obj_t
																														BgL_arg2790z00_945;
																													BgL_arg2790z00_945 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2789z00_944 =
																														MAKE_PAIR
																														(BgL_arg2786z00_941,
																														BgL_arg2790z00_945);
																												}
																												BgL_list2788z00_943 =
																													MAKE_PAIR
																													(BgL_arg2785z00_940,
																													BgL_arg2789z00_944);
																											}
																											BgL_arg2783z00_938 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg2784z00_939,
																												BgL_list2788z00_943);
																									}}
																									BgL_arg2777z00_933 =
																										MAKE_PAIR
																										(BgL_arg2782z00_937,
																										BgL_arg2783z00_938);
																								}
																								{	/* Object/struct.scm 201 */
																									obj_t BgL_list2780z00_935;

																									{	/* Object/struct.scm 201 */
																										obj_t BgL_arg2781z00_936;

																										BgL_arg2781z00_936 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list2780z00_935 =
																											MAKE_PAIR
																											(BgL_arg2777z00_933,
																											BgL_arg2781z00_936);
																									}
																									BgL_arg2775z00_931 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2776z00_932,
																										BgL_list2780z00_935);
																							}}
																							BgL_arg2773z00_929 =
																								MAKE_PAIR(BgL_loopz00_872,
																								BgL_arg2775z00_931);
																						}
																						BgL_arg2768z00_924 =
																							MAKE_PAIR(BgL_arg2773z00_929,
																							BNIL);
																					}
																					{	/* Object/struct.scm 212 */
																						obj_t BgL_arg2829z00_981;

																						{	/* Object/struct.scm 212 */
																							obj_t BgL_list2830z00_982;

																							BgL_list2830z00_982 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2829z00_981 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BINT(((long) 0)),
																								BgL_list2830z00_982);
																						}
																						BgL_arg2769z00_925 =
																							MAKE_PAIR(BgL_loopz00_872,
																							BgL_arg2829z00_981);
																					}
																					{	/* Object/struct.scm 201 */
																						obj_t BgL_list2771z00_927;

																						{	/* Object/struct.scm 201 */
																							obj_t BgL_arg2772z00_928;

																							BgL_arg2772z00_928 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2771z00_927 =
																								MAKE_PAIR(BgL_arg2769z00_925,
																								BgL_arg2772z00_928);
																						}
																						BgL_arg2767z00_923 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2768z00_924,
																							BgL_list2771z00_927);
																				}}
																				BgL_arg2744z00_902 =
																					MAKE_PAIR(BgL_arg2766z00_922,
																					BgL_arg2767z00_923);
																			}
																			{	/* Object/struct.scm 198 */
																				obj_t BgL_list2746z00_904;

																				{	/* Object/struct.scm 198 */
																					obj_t BgL_arg2747z00_905;

																					{	/* Object/struct.scm 198 */
																						obj_t BgL_arg2748z00_906;

																						BgL_arg2748z00_906 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2747z00_905 =
																							MAKE_PAIR(BgL_arg2744z00_902,
																							BgL_arg2748z00_906);
																					}
																					BgL_list2746z00_904 =
																						MAKE_PAIR(BgL_arg2743z00_901,
																						BgL_arg2747z00_905);
																				}
																				BgL_arg2741z00_899 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2742z00_900,
																					BgL_list2746z00_904);
																		}}
																		BgL_arg2726z00_884 =
																			MAKE_PAIR(BgL_arg2740z00_898,
																			BgL_arg2741z00_899);
																	}
																	{	/* Object/struct.scm 197 */
																		obj_t BgL_list2728z00_886;

																		{	/* Object/struct.scm 197 */
																			obj_t BgL_arg2729z00_887;

																			BgL_arg2729z00_887 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2728z00_886 =
																				MAKE_PAIR(BgL_arg2726z00_884,
																				BgL_arg2729z00_887);
																		}
																		BgL_arg2724z00_882 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2725z00_883, BgL_list2728z00_886);
																}}
																return
																	MAKE_PAIR(BgL_arg2723z00_881,
																	BgL_arg2724z00_882);
															}
														}
													}
												}
											else
												{	/* Object/struct.scm 214 */
													obj_t BgL_arg2833z00_985;

													obj_t BgL_arg2834z00_986;

													BgL_arg2833z00_985 = CNST_TABLE_REF(((long) 4));
													{	/* Object/struct.scm 214 */
														obj_t BgL_arg2835z00_987;

														obj_t BgL_arg2836z00_988;

														{	/* Object/struct.scm 214 */
															obj_t BgL_arg2840z00_992;

															{	/* Object/struct.scm 214 */
																obj_t BgL_arg2842z00_994;

																obj_t BgL_arg2843z00_995;

																{	/* Object/struct.scm 214 */
																	obj_t BgL_arg2844z00_996;

																	{	/* Object/struct.scm 214 */
																		BgL_typez00_bglt BgL_obj1343z00_1417;

																		{	/* Object/struct.scm 214 */
																			BgL_slotz00_bglt BgL_obj2271z00_1416;

																			BgL_obj2271z00_1416 =
																				(BgL_slotz00_bglt) (BgL_slotz00_24);
																			BgL_obj1343z00_1417 =
																				(BgL_typez00_bglt) (
																				(((BgL_slotz00_bglt)
																						CREF(BgL_obj2271z00_1416))->
																					BgL_typez00));
																		}
																		BgL_arg2844z00_996 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_obj1343z00_1417))->BgL_idz00);
																	}
																	BgL_arg2842z00_994 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BgL_vz00_874, BgL_arg2844z00_996);
																}
																{	/* Object/struct.scm 215 */
																	obj_t BgL_arg2846z00_998;

																	{	/* Object/struct.scm 215 */
																		obj_t BgL_arg2849z00_1001;

																		obj_t BgL_arg2850z00_1002;

																		BgL_arg2849z00_1001 =
																			CNST_TABLE_REF(((long) 31));
																		{	/* Object/struct.scm 215 */
																			obj_t BgL_list2851z00_1003;

																			{	/* Object/struct.scm 215 */
																				obj_t BgL_arg2852z00_1004;

																				BgL_arg2852z00_1004 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list2851z00_1003 =
																					MAKE_PAIR(BINT(BgL_iz00_23),
																					BgL_arg2852z00_1004);
																			}
																			BgL_arg2850z00_1002 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(CNST_TABLE_REF(((long) 32)),
																				BgL_list2851z00_1003);
																		}
																		BgL_arg2846z00_998 =
																			MAKE_PAIR(BgL_arg2849z00_1001,
																			BgL_arg2850z00_1002);
																	}
																	{	/* Object/struct.scm 214 */
																		obj_t BgL_list2848z00_1000;

																		BgL_list2848z00_1000 =
																			MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2843z00_995 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2846z00_998,
																			BgL_list2848z00_1000);
																}}
																BgL_arg2840z00_992 =
																	MAKE_PAIR(BgL_arg2842z00_994,
																	BgL_arg2843z00_995);
															}
															BgL_arg2835z00_987 =
																MAKE_PAIR(BgL_arg2840z00_992, BNIL);
														}
														BgL_arg2836z00_988 =
															BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00
															(BgL_typez00_22,
															(BgL_slotz00_bglt) (BgL_slotz00_24),
															CNST_TABLE_REF(((long) 34)), BgL_vz00_874);
														{	/* Object/struct.scm 214 */
															obj_t BgL_list2838z00_990;

															{	/* Object/struct.scm 214 */
																obj_t BgL_arg2839z00_991;

																BgL_arg2839z00_991 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2838z00_990 =
																	MAKE_PAIR(BgL_arg2836z00_988,
																	BgL_arg2839z00_991);
															}
															BgL_arg2834z00_986 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2835z00_987, BgL_list2838z00_990);
													}}
													return
														MAKE_PAIR(BgL_arg2833z00_985, BgL_arg2834z00_986);
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* gen-struct->plain-class */
	obj_t BGl_genzd2structzd2ze3plainzd2classz31zzobject_structz00(obj_t
		BgL_cnamez00_25, BgL_typez00_bglt BgL_typez00_26, obj_t BgL_slotsz00_27,
		obj_t BgL_srczd2defzd2_28)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 227 */
			{	/* Object/struct.scm 229 */
				obj_t BgL_arg2858z00_1010;

				{	/* Object/struct.scm 229 */
					obj_t BgL_arg2859z00_1011;

					obj_t BgL_arg2860z00_1012;

					BgL_arg2859z00_1011 = CNST_TABLE_REF(((long) 18));
					{	/* Object/struct.scm 229 */
						obj_t BgL_arg2861z00_1013;

						obj_t BgL_arg2862z00_1014;

						{	/* Object/struct.scm 229 */
							obj_t BgL_arg2866z00_1018;

							obj_t BgL_arg2867z00_1019;

							BgL_arg2866z00_1018 = CNST_TABLE_REF(((long) 37));
							{	/* Object/struct.scm 229 */
								obj_t BgL_arg2868z00_1020;

								obj_t BgL_arg2869z00_1021;

								BgL_arg2868z00_1020 =
									BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF((
											(long) 34)), BgL_cnamez00_25);
								BgL_arg2869z00_1021 = CNST_TABLE_REF(((long) 38));
								{	/* Object/struct.scm 229 */
									obj_t BgL_list2871z00_1023;

									{	/* Object/struct.scm 229 */
										obj_t BgL_arg2872z00_1024;

										BgL_arg2872z00_1024 = MAKE_PAIR(BNIL, BNIL);
										BgL_list2871z00_1023 =
											MAKE_PAIR(BgL_arg2869z00_1021, BgL_arg2872z00_1024);
									}
									BgL_arg2867z00_1019 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg2868z00_1020, BgL_list2871z00_1023);
							}}
							BgL_arg2861z00_1013 =
								MAKE_PAIR(BgL_arg2866z00_1018, BgL_arg2867z00_1019);
						}
						{	/* Object/struct.scm 231 */
							obj_t BgL_arg2873z00_1025;

							obj_t BgL_arg2874z00_1026;

							BgL_arg2873z00_1025 = CNST_TABLE_REF(((long) 12));
							{	/* Object/struct.scm 232 */
								obj_t BgL_arg2875z00_1027;

								obj_t BgL_arg2876z00_1028;

								{	/* Object/struct.scm 232 */
									obj_t BgL_arg2878z00_1030;

									obj_t BgL_arg2879z00_1031;

									BgL_arg2878z00_1030 = CNST_TABLE_REF(((long) 39));
									{	/* Object/struct.scm 232 */
										obj_t BgL_arg2880z00_1032;

										obj_t BgL_arg2881z00_1033;

										BgL_arg2880z00_1032 = CNST_TABLE_REF(((long) 34));
										{	/* Object/struct.scm 232 */
											obj_t BgL_arg2885z00_1037;

											obj_t BgL_arg2886z00_1038;

											BgL_arg2885z00_1037 = CNST_TABLE_REF(((long) 31));
											{	/* Object/struct.scm 232 */
												obj_t BgL_list2887z00_1039;

												{	/* Object/struct.scm 232 */
													obj_t BgL_arg2889z00_1041;

													BgL_arg2889z00_1041 = MAKE_PAIR(BNIL, BNIL);
													BgL_list2887z00_1039 =
														MAKE_PAIR(BINT(((long) 0)), BgL_arg2889z00_1041);
												}
												BgL_arg2886z00_1038 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 32)), BgL_list2887z00_1039);
											}
											BgL_arg2881z00_1033 =
												MAKE_PAIR(BgL_arg2885z00_1037, BgL_arg2886z00_1038);
										}
										{	/* Object/struct.scm 232 */
											obj_t BgL_list2883z00_1035;

											{	/* Object/struct.scm 232 */
												obj_t BgL_arg2884z00_1036;

												BgL_arg2884z00_1036 = MAKE_PAIR(BNIL, BNIL);
												BgL_list2883z00_1035 =
													MAKE_PAIR(BgL_arg2881z00_1033, BgL_arg2884z00_1036);
											}
											BgL_arg2879z00_1031 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2880z00_1032, BgL_list2883z00_1035);
									}}
									BgL_arg2875z00_1027 =
										MAKE_PAIR(BgL_arg2878z00_1030, BgL_arg2879z00_1031);
								}
								{	/* Object/struct.scm 233 */
									obj_t BgL_arg2890z00_1042;

									obj_t BgL_arg2891z00_1043;

									{
										long BgL_iz00_1046;

										obj_t BgL_slotsz00_1047;

										obj_t BgL_resz00_1048;

										BgL_iz00_1046 = ((long) 1);
										BgL_slotsz00_1047 = BgL_slotsz00_27;
										BgL_resz00_1048 = BNIL;
									BgL_zc3anonymousza32892ze3z83_1049:
										if (NULLP(BgL_slotsz00_1047))
											{	/* Object/struct.scm 237 */
												BgL_arg2890z00_1042 = bgl_reverse_bang(BgL_resz00_1048);
											}
										else
											{	/* Object/struct.scm 239 */
												bool_t BgL_testz00_2035;

												{	/* Object/struct.scm 239 */
													obj_t BgL_arg2904z00_1061;

													BgL_arg2904z00_1061 = CAR(BgL_slotsz00_1047);
													BgL_testz00_2035 =
														BGl_slotzd2virtualzf3z21zzobject_slotsz00(
														(BgL_slotz00_bglt) (BgL_arg2904z00_1061));
												}
												if (BgL_testz00_2035)
													{
														obj_t BgL_slotsz00_2041;

														long BgL_iz00_2039;

														BgL_iz00_2039 = (BgL_iz00_1046 + ((long) 1));
														BgL_slotsz00_2041 = CDR(BgL_slotsz00_1047);
														BgL_slotsz00_1047 = BgL_slotsz00_2041;
														BgL_iz00_1046 = BgL_iz00_2039;
														goto BgL_zc3anonymousza32892ze3z83_1049;
													}
												else
													{	/* Object/struct.scm 244 */
														obj_t BgL_newz00_1054;

														{	/* Object/struct.scm 244 */
															obj_t BgL_arg2901z00_1058;

															obj_t BgL_arg2902z00_1059;

															obj_t BgL_arg2903z00_1060;

															BgL_arg2901z00_1058 = CNST_TABLE_REF(((long) 34));
															BgL_arg2902z00_1059 = CNST_TABLE_REF(((long) 32));
															BgL_arg2903z00_1060 = CAR(BgL_slotsz00_1047);
															BgL_newz00_1054 =
																BGl_restorezd2slotzd2zzobject_structz00
																(BgL_arg2901z00_1058, BgL_arg2902z00_1059,
																BgL_cnamez00_25, BgL_typez00_26, BgL_iz00_1046,
																BgL_arg2903z00_1060);
														}
														{	/* Object/struct.scm 245 */
															long BgL_arg2897z00_1055;

															obj_t BgL_arg2898z00_1056;

															obj_t BgL_arg2899z00_1057;

															BgL_arg2897z00_1055 =
																(BgL_iz00_1046 + ((long) 1));
															BgL_arg2898z00_1056 = CDR(BgL_slotsz00_1047);
															BgL_arg2899z00_1057 =
																MAKE_PAIR(BgL_newz00_1054, BgL_resz00_1048);
															{
																obj_t BgL_resz00_2052;

																obj_t BgL_slotsz00_2051;

																long BgL_iz00_2050;

																BgL_iz00_2050 = BgL_arg2897z00_1055;
																BgL_slotsz00_2051 = BgL_arg2898z00_1056;
																BgL_resz00_2052 = BgL_arg2899z00_1057;
																BgL_resz00_1048 = BgL_resz00_2052;
																BgL_slotsz00_1047 = BgL_slotsz00_2051;
																BgL_iz00_1046 = BgL_iz00_2050;
																goto BgL_zc3anonymousza32892ze3z83_1049;
															}
														}
													}
											}
									}
									BgL_arg2891z00_1043 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 34)), BNIL);
									BgL_arg2876z00_1028 =
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg2890z00_1042, BgL_arg2891z00_1043);
								}
								{	/* Object/struct.scm 231 */
									obj_t BgL_list2877z00_1029;

									BgL_list2877z00_1029 = MAKE_PAIR(BgL_arg2876z00_1028, BNIL);
									BgL_arg2874z00_1026 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg2875z00_1027, BgL_list2877z00_1029);
							}}
							BgL_arg2862z00_1014 =
								MAKE_PAIR(BgL_arg2873z00_1025, BgL_arg2874z00_1026);
						}
						{	/* Object/struct.scm 229 */
							obj_t BgL_list2864z00_1016;

							{	/* Object/struct.scm 229 */
								obj_t BgL_arg2865z00_1017;

								BgL_arg2865z00_1017 = MAKE_PAIR(BNIL, BNIL);
								BgL_list2864z00_1016 =
									MAKE_PAIR(BgL_arg2862z00_1014, BgL_arg2865z00_1017);
							}
							BgL_arg2860z00_1012 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg2861z00_1013,
								BgL_list2864z00_1016);
					}}
					BgL_arg2858z00_1010 =
						MAKE_PAIR(BgL_arg2859z00_1011, BgL_arg2860z00_1012);
				}
				return
					BGl_epairifyz00zztools_miscz00(BgL_arg2858z00_1010,
					BgL_srczd2defzd2_28);
			}
		}
	}



/* gen-struct->wide-class */
	obj_t BGl_genzd2structzd2ze3widezd2classz31zzobject_structz00(obj_t
		BgL_cnamez00_29, BgL_typez00_bglt BgL_typez00_30, obj_t BgL_slotsz00_31,
		obj_t BgL_srczd2defzd2_32)
	{
		AN_OBJECT;
		{	/* Object/struct.scm 254 */
			{	/* Object/struct.scm 255 */
				obj_t BgL_oldz00_1063;

				BgL_oldz00_1063 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 40)));
				{	/* Object/struct.scm 255 */
					long BgL_lenz00_1064;

					BgL_lenz00_1064 =
						BGl_slotszd2lengthzd2zzobject_structz00(BgL_slotsz00_31);
					{	/* Object/struct.scm 256 */
						obj_t BgL_auxz00_1065;

						BgL_auxz00_1065 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 23)));
						{	/* Object/struct.scm 257 */
							obj_t BgL_tauxz00_1066;

							{	/* Object/struct.scm 258 */
								obj_t BgL_arg3027z00_1201;

								{	/* Object/struct.scm 258 */
									obj_t BgL_arg3028z00_1202;

									obj_t BgL_arg3029z00_1203;

									BgL_arg3028z00_1202 = SYMBOL_TO_STRING(BgL_auxz00_1065);
									{	/* Object/struct.scm 258 */
										obj_t BgL_symbolz00_1428;

										BgL_symbolz00_1428 = CNST_TABLE_REF(((long) 22));
										BgL_arg3029z00_1203 = SYMBOL_TO_STRING(BgL_symbolz00_1428);
									}
									{	/* Object/struct.scm 258 */
										obj_t BgL_list3030z00_1204;

										{	/* Object/struct.scm 258 */
											obj_t BgL_arg3031z00_1205;

											BgL_arg3031z00_1205 =
												MAKE_PAIR(BgL_arg3029z00_1203, BNIL);
											BgL_list3030z00_1204 =
												MAKE_PAIR(BgL_arg3028z00_1202, BgL_arg3031z00_1205);
										}
										BgL_arg3027z00_1201 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list3030z00_1204);
								}}
								BgL_tauxz00_1066 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg3027z00_1201));
							}
							{	/* Object/struct.scm 258 */
								obj_t BgL_newz00_1067;

								BgL_newz00_1067 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											41)));
								{	/* Object/struct.scm 259 */
									obj_t BgL_tidz00_1068;

									BgL_tidz00_1068 =
										(((BgL_typez00_bglt) CREF(BgL_typez00_30))->BgL_idz00);
									{	/* Object/struct.scm 260 */
										BgL_globalz00_bglt BgL_holderz00_1069;

										{	/* Object/struct.scm 261 */
											BgL_tclassz00_bglt BgL_obj2063z00_1431;

											BgL_obj2063z00_1431 =
												(BgL_tclassz00_bglt) (BgL_typez00_30);
											{
												obj_t BgL_auxz00_2081;

												{	/* Object/struct.scm 261 */
													BgL_objectz00_bglt BgL_auxz00_2082;

													BgL_auxz00_2082 =
														(BgL_objectz00_bglt) (BgL_obj2063z00_1431);
													BgL_auxz00_2081 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2082);
												}
												BgL_holderz00_1069 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2081))->
													BgL_holderz00);
										}}
										{	/* Object/struct.scm 261 */
											obj_t BgL_wideningz00_1070;

											{	/* Object/struct.scm 262 */
												obj_t BgL_arg3022z00_1196;

												obj_t BgL_arg3023z00_1197;

												{	/* Object/struct.scm 262 */
													BgL_tclassz00_bglt BgL_obj2064z00_1432;

													BgL_obj2064z00_1432 =
														(BgL_tclassz00_bglt) (BgL_typez00_30);
													{
														obj_t BgL_auxz00_2087;

														{	/* Object/struct.scm 262 */
															BgL_objectz00_bglt BgL_auxz00_2088;

															BgL_auxz00_2088 =
																(BgL_objectz00_bglt) (BgL_obj2064z00_1432);
															BgL_auxz00_2087 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2088);
														}
														BgL_arg3022z00_1196 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2087))->
															BgL_wideningz00);
												}}
												BgL_arg3023z00_1197 = CNST_TABLE_REF(((long) 5));
												{	/* Object/struct.scm 262 */
													obj_t BgL_list3024z00_1198;

													{	/* Object/struct.scm 262 */
														obj_t BgL_arg3025z00_1199;

														{	/* Object/struct.scm 262 */
															obj_t BgL_arg3026z00_1200;

															BgL_arg3026z00_1200 =
																MAKE_PAIR(BgL_tidz00_1068, BNIL);
															BgL_arg3025z00_1199 =
																MAKE_PAIR(BgL_arg3023z00_1197,
																BgL_arg3026z00_1200);
														}
														BgL_list3024z00_1198 =
															MAKE_PAIR(BgL_arg3022z00_1196,
															BgL_arg3025z00_1199);
													}
													BgL_wideningz00_1070 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list3024z00_1198);
											}}
											{	/* Object/struct.scm 262 */

												{
													BgL_typez00_bglt BgL_typez00_1176;

													obj_t BgL_exprz00_1177;

													{	/* Object/struct.scm 270 */
														obj_t BgL_arg2905z00_1072;

														{	/* Object/struct.scm 270 */
															obj_t BgL_arg2906z00_1073;

															obj_t BgL_arg2907z00_1074;

															BgL_arg2906z00_1073 = CNST_TABLE_REF(((long) 18));
															{	/* Object/struct.scm 270 */
																obj_t BgL_arg2908z00_1075;

																obj_t BgL_arg2909z00_1076;

																{	/* Object/struct.scm 270 */
																	obj_t BgL_arg2913z00_1080;

																	obj_t BgL_arg2914z00_1081;

																	BgL_arg2913z00_1080 =
																		CNST_TABLE_REF(((long) 37));
																	{	/* Object/struct.scm 271 */
																		obj_t BgL_arg2915z00_1082;

																		obj_t BgL_arg2916z00_1083;

																		BgL_arg2915z00_1082 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(CNST_TABLE_REF(((long) 34)),
																			BgL_cnamez00_29);
																		BgL_arg2916z00_1083 =
																			CNST_TABLE_REF(((long) 38));
																		{	/* Object/struct.scm 270 */
																			obj_t BgL_list2918z00_1085;

																			{	/* Object/struct.scm 270 */
																				obj_t BgL_arg2919z00_1086;

																				BgL_arg2919z00_1086 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list2918z00_1085 =
																					MAKE_PAIR(BgL_arg2916z00_1083,
																					BgL_arg2919z00_1086);
																			}
																			BgL_arg2914z00_1081 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2915z00_1082,
																				BgL_list2918z00_1085);
																	}}
																	BgL_arg2908z00_1075 =
																		MAKE_PAIR(BgL_arg2913z00_1080,
																		BgL_arg2914z00_1081);
																}
																{	/* Object/struct.scm 273 */
																	obj_t BgL_arg2920z00_1087;

																	obj_t BgL_arg2921z00_1088;

																	BgL_arg2920z00_1087 =
																		CNST_TABLE_REF(((long) 4));
																	{	/* Object/struct.scm 273 */
																		obj_t BgL_arg2922z00_1089;

																		obj_t BgL_arg2923z00_1090;

																		{	/* Object/struct.scm 273 */
																			obj_t BgL_arg2927z00_1094;

																			obj_t BgL_arg2928z00_1095;

																			{	/* Object/struct.scm 273 */
																				obj_t BgL_arg2930z00_1096;

																				{	/* Object/struct.scm 273 */
																					obj_t BgL_arg2931z00_1097;

																					BgL_arg2931z00_1097 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								24)), BNIL);
																					{	/* Object/struct.scm 273 */
																						obj_t BgL_list2933z00_1099;

																						BgL_list2933z00_1099 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2930z00_1096 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2931z00_1097,
																							BgL_list2933z00_1099);
																				}}
																				BgL_arg2927z00_1094 =
																					MAKE_PAIR(BgL_oldz00_1063,
																					BgL_arg2930z00_1096);
																			}
																			{	/* Object/struct.scm 274 */
																				obj_t BgL_arg2934z00_1100;

																				{	/* Object/struct.scm 274 */
																					obj_t BgL_arg2937z00_1103;

																					{	/* Object/struct.scm 274 */
																						obj_t BgL_arg2938z00_1104;

																						{	/* Object/struct.scm 274 */
																							obj_t BgL_arg2941z00_1107;

																							obj_t BgL_arg2942z00_1108;

																							BgL_arg2941z00_1107 =
																								CNST_TABLE_REF(((long) 31));
																							{	/* Object/struct.scm 274 */
																								obj_t BgL_list2943z00_1109;

																								{	/* Object/struct.scm 274 */
																									obj_t BgL_arg2945z00_1111;

																									BgL_arg2945z00_1111 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2943z00_1109 =
																										MAKE_PAIR(BINT(((long) 0)),
																										BgL_arg2945z00_1111);
																								}
																								BgL_arg2942z00_1108 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 32)),
																									BgL_list2943z00_1109);
																							}
																							BgL_arg2938z00_1104 =
																								MAKE_PAIR(BgL_arg2941z00_1107,
																								BgL_arg2942z00_1108);
																						}
																						{	/* Object/struct.scm 274 */
																							obj_t BgL_list2940z00_1106;

																							BgL_list2940z00_1106 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2937z00_1103 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2938z00_1104,
																								BgL_list2940z00_1106);
																					}}
																					BgL_arg2934z00_1100 =
																						MAKE_PAIR(BgL_tauxz00_1066,
																						BgL_arg2937z00_1103);
																				}
																				{	/* Object/struct.scm 273 */
																					obj_t BgL_list2936z00_1102;

																					BgL_list2936z00_1102 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2928z00_1095 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2934z00_1100,
																						BgL_list2936z00_1102);
																			}}
																			BgL_arg2922z00_1089 =
																				MAKE_PAIR(BgL_arg2927z00_1094,
																				BgL_arg2928z00_1095);
																		}
																		{	/* Object/struct.scm 275 */
																			obj_t BgL_arg2946z00_1112;

																			obj_t BgL_arg2947z00_1113;

																			BgL_arg2946z00_1112 =
																				CNST_TABLE_REF(((long) 4));
																			{	/* Object/struct.scm 275 */
																				obj_t BgL_arg2948z00_1114;

																				obj_t BgL_arg2949z00_1115;

																				obj_t BgL_arg2950z00_1116;

																				{	/* Object/struct.scm 275 */
																					obj_t BgL_arg2956z00_1122;

																					{	/* Object/struct.scm 275 */
																						obj_t BgL_arg2958z00_1124;

																						obj_t BgL_arg2959z00_1125;

																						BgL_arg2958z00_1124 =
																							BGl_makezd2typedzd2identz00zzast_identz00
																							(BgL_newz00_1067,
																							BgL_tidz00_1068);
																						{	/* Object/struct.scm 276 */
																							obj_t BgL_arg2960z00_1126;

																							BgL_typez00_1176 = BgL_typez00_30;
																							BgL_exprz00_1177 =
																								BgL_oldz00_1063;
																							{	/* Object/struct.scm 264 */
																								bool_t BgL_testz00_2127;

																								{	/* Object/struct.scm 264 */
																									obj_t BgL_arg3021z00_1194;

																									BgL_arg3021z00_1194 =
																										BGl_thezd2backendzd2zzbackend_backendz00
																										();
																									{
																										BgL_backendz00_bglt
																											BgL_auxz00_2129;
																										BgL_auxz00_2129 =
																											(BgL_backendz00_bglt)
																											(BgL_arg3021z00_1194);
																										BgL_testz00_2127 =
																											(((BgL_backendz00_bglt)
																												CREF(BgL_auxz00_2129))->
																											BgL_pragmazd2supportzd2);
																								}}
																								if (BgL_testz00_2127)
																									{	/* Object/struct.scm 265 */
																										obj_t BgL_arg3006z00_1180;

																										obj_t BgL_arg3007z00_1181;

																										{	/* Object/struct.scm 265 */
																											obj_t BgL_arg3008z00_1182;

																											obj_t BgL_arg3009z00_1183;

																											BgL_arg3008z00_1182 =
																												CNST_TABLE_REF(((long)
																													42));
																											BgL_arg3009z00_1183 =
																												(((BgL_typez00_bglt)
																													CREF
																													(BgL_typez00_1176))->
																												BgL_idz00);
																											BgL_arg3006z00_1180 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(BgL_arg3008z00_1182,
																												BgL_arg3009z00_1183);
																										}
																										{	/* Object/struct.scm 266 */
																											obj_t BgL_arg3010z00_1184;

																											{	/* Object/struct.scm 266 */
																												obj_t
																													BgL_arg3016z00_1189;
																												BgL_arg3016z00_1189 =
																													(((BgL_typez00_bglt)
																														CREF
																														(BgL_typez00_1176))->
																													BgL_namez00);
																												BgL_arg3010z00_1184 =
																													string_append_3
																													(BGl_string3051z00zzobject_structz00,
																													BgL_arg3016z00_1189,
																													BGl_string3052z00zzobject_structz00);
																											}
																											{	/* Object/struct.scm 265 */
																												obj_t
																													BgL_list3012z00_1186;
																												{	/* Object/struct.scm 265 */
																													obj_t
																														BgL_arg3013z00_1187;
																													BgL_arg3013z00_1187 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list3012z00_1186 =
																														MAKE_PAIR
																														(BgL_exprz00_1177,
																														BgL_arg3013z00_1187);
																												}
																												BgL_arg3007z00_1181 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg3010z00_1184,
																													BgL_list3012z00_1186);
																										}}
																										BgL_arg2960z00_1126 =
																											MAKE_PAIR
																											(BgL_arg3006z00_1180,
																											BgL_arg3007z00_1181);
																									}
																								else
																									{	/* Object/struct.scm 268 */
																										obj_t BgL_arg3018z00_1191;

																										obj_t BgL_arg3019z00_1192;

																										BgL_arg3018z00_1191 =
																											CNST_TABLE_REF(((long)
																												43));
																										BgL_arg3019z00_1192 =
																											(((BgL_typez00_bglt)
																												CREF
																												(BgL_typez00_1176))->
																											BgL_idz00);
																										{	/* Object/struct.scm 268 */
																											obj_t
																												BgL_list3020z00_1193;
																											BgL_list3020z00_1193 =
																												MAKE_PAIR
																												(BgL_exprz00_1177,
																												BNIL);
																											BgL_arg2960z00_1126 =
																												BGl_makezd2privatezd2sexpz00zzast_privatez00
																												(BgL_arg3018z00_1191,
																												BgL_arg3019z00_1192,
																												BgL_list3020z00_1193);
																							}}}
																							{	/* Object/struct.scm 275 */
																								obj_t BgL_list2962z00_1128;

																								BgL_list2962z00_1128 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2959z00_1125 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2960z00_1126,
																									BgL_list2962z00_1128);
																						}}
																						BgL_arg2956z00_1122 =
																							MAKE_PAIR(BgL_arg2958z00_1124,
																							BgL_arg2959z00_1125);
																					}
																					BgL_arg2948z00_1114 =
																						MAKE_PAIR(BgL_arg2956z00_1122,
																						BNIL);
																				}
																				{	/* Object/struct.scm 277 */
																					obj_t BgL_arg2963z00_1129;

																					obj_t BgL_arg2964z00_1130;

																					BgL_arg2963z00_1129 =
																						CNST_TABLE_REF(((long) 44));
																					{	/* Object/struct.scm 278 */
																						obj_t BgL_arg2965z00_1131;

																						{	/* Object/struct.scm 278 */
																							obj_t BgL_arg2969z00_1135;

																							obj_t BgL_arg2970z00_1136;

																							BgL_arg2969z00_1135 =
																								CNST_TABLE_REF(((long) 45));
																							{	/* Object/struct.scm 279 */
																								obj_t BgL_arg2971z00_1137;

																								{	/* Object/struct.scm 279 */
																									obj_t BgL_arg2974z00_1140;

																									obj_t BgL_arg2975z00_1141;

																									BgL_arg2974z00_1140 =
																										CNST_TABLE_REF(((long) 46));
																									{	/* Object/struct.scm 279 */
																										obj_t BgL_arg2976z00_1142;

																										obj_t BgL_arg2977z00_1143;

																										{
																											BgL_variablez00_bglt
																												BgL_auxz00_2152;
																											BgL_auxz00_2152 =
																												(BgL_variablez00_bglt)
																												(BgL_holderz00_1069);
																											BgL_arg2976z00_1142 =
																												(((BgL_variablez00_bglt)
																													CREF
																													(BgL_auxz00_2152))->
																												BgL_idz00);
																										}
																										BgL_arg2977z00_1143 =
																											(((BgL_globalz00_bglt)
																												CREF
																												(BgL_holderz00_1069))->
																											BgL_modulez00);
																										{	/* Object/struct.scm 279 */
																											obj_t
																												BgL_list2979z00_1145;
																											{	/* Object/struct.scm 279 */
																												obj_t
																													BgL_arg2980z00_1146;
																												BgL_arg2980z00_1146 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_list2979z00_1145 =
																													MAKE_PAIR
																													(BgL_arg2977z00_1143,
																													BgL_arg2980z00_1146);
																											}
																											BgL_arg2975z00_1141 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg2976z00_1142,
																												BgL_list2979z00_1145);
																									}}
																									BgL_arg2971z00_1137 =
																										MAKE_PAIR
																										(BgL_arg2974z00_1140,
																										BgL_arg2975z00_1141);
																								}
																								{	/* Object/struct.scm 278 */
																									obj_t BgL_list2973z00_1139;

																									BgL_list2973z00_1139 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2970z00_1136 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2971z00_1137,
																										BgL_list2973z00_1139);
																							}}
																							BgL_arg2965z00_1131 =
																								MAKE_PAIR(BgL_arg2969z00_1135,
																								BgL_arg2970z00_1136);
																						}
																						{	/* Object/struct.scm 277 */
																							obj_t BgL_list2967z00_1133;

																							{	/* Object/struct.scm 277 */
																								obj_t BgL_arg2968z00_1134;

																								BgL_arg2968z00_1134 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2967z00_1133 =
																									MAKE_PAIR(BgL_arg2965z00_1131,
																									BgL_arg2968z00_1134);
																							}
																							BgL_arg2964z00_1130 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_newz00_1067,
																								BgL_list2967z00_1133);
																					}}
																					BgL_arg2949z00_1115 =
																						MAKE_PAIR(BgL_arg2963z00_1129,
																						BgL_arg2964z00_1130);
																				}
																				{	/* Object/struct.scm 281 */
																					obj_t BgL_arg2981z00_1147;

																					obj_t BgL_arg2982z00_1148;

																					BgL_arg2981z00_1147 =
																						CNST_TABLE_REF(((long) 39));
																					{	/* Object/struct.scm 283 */
																						obj_t BgL_arg2983z00_1149;

																						{	/* Object/struct.scm 283 */
																							obj_t BgL_arg2987z00_1153;

																							{	/* Object/struct.scm 283 */
																								obj_t BgL_arg2988z00_1154;

																								{
																									long BgL_iz00_1158;

																									obj_t BgL_slotsz00_1159;

																									obj_t BgL_refza2za2_1160;

																									BgL_iz00_1158 = ((long) 0);
																									BgL_slotsz00_1159 =
																										BgL_slotsz00_31;
																									BgL_refza2za2_1160 = BNIL;
																								BgL_zc3anonymousza32990ze3z83_1161:
																									if (
																										(BgL_iz00_1158 ==
																											BgL_lenz00_1064))
																										{	/* Object/struct.scm 287 */
																											BgL_arg2988z00_1154 =
																												bgl_reverse_bang
																												(BgL_refza2za2_1160);
																										}
																									else
																										{	/* Object/struct.scm 289 */
																											bool_t BgL_testz00_2171;

																											{	/* Object/struct.scm 289 */
																												obj_t
																													BgL_arg3003z00_1174;
																												BgL_arg3003z00_1174 =
																													CAR
																													(BgL_slotsz00_1159);
																												BgL_testz00_2171 =
																													BGl_slotzd2virtualzf3z21zzobject_slotsz00
																													((BgL_slotz00_bglt)
																													(BgL_arg3003z00_1174));
																											}
																											if (BgL_testz00_2171)
																												{
																													obj_t
																														BgL_slotsz00_2177;
																													long BgL_iz00_2175;

																													BgL_iz00_2175 =
																														(BgL_iz00_1158 +
																														((long) 1));
																													BgL_slotsz00_2177 =
																														CDR
																														(BgL_slotsz00_1159);
																													BgL_slotsz00_1159 =
																														BgL_slotsz00_2177;
																													BgL_iz00_1158 =
																														BgL_iz00_2175;
																													goto
																														BgL_zc3anonymousza32990ze3z83_1161;
																												}
																											else
																												{	/* Object/struct.scm 294 */
																													long
																														BgL_arg2995z00_1166;
																													obj_t
																														BgL_arg2996z00_1167;
																													obj_t
																														BgL_arg2997z00_1168;
																													BgL_arg2995z00_1166 =
																														(BgL_iz00_1158 +
																														((long) 1));
																													BgL_arg2996z00_1167 =
																														CDR
																														(BgL_slotsz00_1159);
																													{	/* Object/struct.scm 296 */
																														obj_t
																															BgL_arg2998z00_1169;
																														{	/* Object/struct.scm 296 */
																															obj_t
																																BgL_arg2999z00_1170;
																															obj_t
																																BgL_arg3000z00_1171;
																															BgL_arg2999z00_1170
																																=
																																CNST_TABLE_REF((
																																	(long) 31));
																															{	/* Object/struct.scm 296 */
																																obj_t
																																	BgL_list3001z00_1172;
																																{	/* Object/struct.scm 296 */
																																	obj_t
																																		BgL_arg3002z00_1173;
																																	BgL_arg3002z00_1173
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_list3001z00_1172
																																		=
																																		MAKE_PAIR
																																		(BINT
																																		(BgL_iz00_1158),
																																		BgL_arg3002z00_1173);
																																}
																																BgL_arg3000z00_1171
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_auxz00_1065,
																																	BgL_list3001z00_1172);
																															}
																															BgL_arg2998z00_1169
																																=
																																MAKE_PAIR
																																(BgL_arg2999z00_1170,
																																BgL_arg3000z00_1171);
																														}
																														BgL_arg2997z00_1168
																															=
																															MAKE_PAIR
																															(BgL_arg2998z00_1169,
																															BgL_refza2za2_1160);
																													}
																													{
																														obj_t
																															BgL_refza2za2_2190;
																														obj_t
																															BgL_slotsz00_2189;
																														long BgL_iz00_2188;

																														BgL_iz00_2188 =
																															BgL_arg2995z00_1166;
																														BgL_slotsz00_2189 =
																															BgL_arg2996z00_1167;
																														BgL_refza2za2_2190 =
																															BgL_arg2997z00_1168;
																														BgL_refza2za2_1160 =
																															BgL_refza2za2_2190;
																														BgL_slotsz00_1159 =
																															BgL_slotsz00_2189;
																														BgL_iz00_1158 =
																															BgL_iz00_2188;
																														goto
																															BgL_zc3anonymousza32990ze3z83_1161;
																													}
																												}
																										}
																								}
																								BgL_arg2987z00_1153 =
																									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2988z00_1154, BNIL);
																							}
																							BgL_arg2983z00_1149 =
																								MAKE_PAIR(BgL_wideningz00_1070,
																								BgL_arg2987z00_1153);
																						}
																						{	/* Object/struct.scm 281 */
																							obj_t BgL_list2985z00_1151;

																							{	/* Object/struct.scm 281 */
																								obj_t BgL_arg2986z00_1152;

																								BgL_arg2986z00_1152 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2985z00_1151 =
																									MAKE_PAIR(BgL_arg2983z00_1149,
																									BgL_arg2986z00_1152);
																							}
																							BgL_arg2982z00_1148 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_newz00_1067,
																								BgL_list2985z00_1151);
																						}
																					}
																					BgL_arg2950z00_1116 =
																						MAKE_PAIR(BgL_arg2981z00_1147,
																						BgL_arg2982z00_1148);
																				}
																				{	/* Object/struct.scm 275 */
																					obj_t BgL_list2952z00_1118;

																					{	/* Object/struct.scm 275 */
																						obj_t BgL_arg2953z00_1119;

																						{	/* Object/struct.scm 275 */
																							obj_t BgL_arg2954z00_1120;

																							{	/* Object/struct.scm 275 */
																								obj_t BgL_arg2955z00_1121;

																								BgL_arg2955z00_1121 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2954z00_1120 =
																									MAKE_PAIR(BgL_newz00_1067,
																									BgL_arg2955z00_1121);
																							}
																							BgL_arg2953z00_1119 =
																								MAKE_PAIR(BgL_arg2950z00_1116,
																								BgL_arg2954z00_1120);
																						}
																						BgL_list2952z00_1118 =
																							MAKE_PAIR(BgL_arg2949z00_1115,
																							BgL_arg2953z00_1119);
																					}
																					BgL_arg2947z00_1113 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2948z00_1114,
																						BgL_list2952z00_1118);
																				}
																			}
																			BgL_arg2923z00_1090 =
																				MAKE_PAIR(BgL_arg2946z00_1112,
																				BgL_arg2947z00_1113);
																		}
																		{	/* Object/struct.scm 273 */
																			obj_t BgL_list2925z00_1092;

																			{	/* Object/struct.scm 273 */
																				obj_t BgL_arg2926z00_1093;

																				BgL_arg2926z00_1093 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list2925z00_1092 =
																					MAKE_PAIR(BgL_arg2923z00_1090,
																					BgL_arg2926z00_1093);
																			}
																			BgL_arg2921z00_1088 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2922z00_1089,
																				BgL_list2925z00_1092);
																		}
																	}
																	BgL_arg2909z00_1076 =
																		MAKE_PAIR(BgL_arg2920z00_1087,
																		BgL_arg2921z00_1088);
																}
																{	/* Object/struct.scm 270 */
																	obj_t BgL_list2911z00_1078;

																	{	/* Object/struct.scm 270 */
																		obj_t BgL_arg2912z00_1079;

																		BgL_arg2912z00_1079 = MAKE_PAIR(BNIL, BNIL);
																		BgL_list2911z00_1078 =
																			MAKE_PAIR(BgL_arg2909z00_1076,
																			BgL_arg2912z00_1079);
																	}
																	BgL_arg2907z00_1074 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2908z00_1075, BgL_list2911z00_1078);
																}
															}
															BgL_arg2905z00_1072 =
																MAKE_PAIR(BgL_arg2906z00_1073,
																BgL_arg2907z00_1074);
														}
														return
															BGl_epairifyz00zztools_miscz00
															(BgL_arg2905z00_1072, BgL_srczd2defzd2_32);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_structz00()
	{
		AN_OBJECT;
		{	/* Object/struct.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 71067807),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 405988581),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
			return
				BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string3053z00zzobject_structz00));
		}
	}

#ifdef __cplusplus
}
#endif
