/*===========================================================================*/
/*   (SawJvm/funcall.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawJvm/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_indexedz00_bgl
	{
		int BgL_indexz00;
	}                 *BgL_indexedz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	static obj_t BGl__z52allocatezd2indexedz80zzsaw_jvm_funcallz00(obj_t);
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	static obj_t BGl_structzb2objectzd2ze3objec3886z83zzsaw_jvm_funcallz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2ze3structzd2index3884ze3zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl__modulezd2funcallzf2appl4134z20zzsaw_jvm_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_callzd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_indexedz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00();
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
	static obj_t BGl_namez00zzsaw_jvm_funcallz00(long);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00 = BUNSPEC;
	extern obj_t BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_indexedz00_bglt
		BGl_fillzd2indexedz12zc0zzsaw_jvm_funcallz00(BgL_indexedz00_bglt, int);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 = BUNSPEC;
	static obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00();
	static bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__indexedzd2nilzd2zzsaw_jvm_funcallz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_zc3anonymousza34022ze3z83zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_indexedz00_bglt
		BGl_wideningzd2indexedzd2zzsaw_jvm_funcallz00(int);
	extern obj_t BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt);
	BGL_EXPORTED_DECL BgL_indexedz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t, obj_t, bool_t, obj_t,
		bool_t, obj_t, obj_t, obj_t, int);
	extern BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_zc3anonymousza33948ze3z83zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_getzd2labsz72za0zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	static obj_t BGl__fillzd2indexedz124136zc0zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_getzd2procedureszd2zzsaw_proceduresz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_indexedz00zzsaw_jvm_funcallz00 = BUNSPEC;
	extern obj_t BGl_labelz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static bool_t BGl_neededzf3zf3zzsaw_jvm_funcallz00(long, obj_t);
	static obj_t BGl__indexedzf3zf3zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern obj_t BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
	static obj_t BGl__wideningzd2indexedzd2zzsaw_jvm_funcallz00(obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_z52allocatezd2indexedz80zzsaw_jvm_funcallz00();
	static obj_t BGl_getzd2labszd2zzsaw_jvm_funcallz00(long, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
	static obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt, long,
		obj_t);
	static obj_t BGl__makezd2indexed4135zd2zzsaw_jvm_funcallz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[26];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4147z00zzsaw_jvm_funcallz00,
		BgL_bgl_objectza7d2za7e3stru4155z00,
		BGl_objectzd2ze3structzd2index3884ze3zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4148z00zzsaw_jvm_funcallz00,
		BgL_bgl_structza7b2objectza74156z00,
		BGl_structzb2objectzd2ze3objec3886z83zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4142z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4142za700za7za7s4157za7, "funcall", 7);
	      DEFINE_STRING(BGl_string4143z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4143za700za7za7s4158za7, "p", 1);
	      DEFINE_STRING(BGl_string4144z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4144za700za7za7s4159za7, "L", 1);
	      DEFINE_STRING(BGl_string4145z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4145za700za7za7s4160za7, "make_vector", 11);
	      DEFINE_STRING(BGl_string4146z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4146za700za7za7s4161za7, "", 0);
	      DEFINE_STRING(BGl_string4150z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4150za700za7za7s4162za7,
		"_ indexed (invokestatic list_to_vector) (astore l) (dup) (getfield cdr) (getfield car) (checkcast pair) (invokespecial papply) (aload l) (this l) apply (getstatic *nil*) invokestatic putstatic getstatic (pop) (invokestatic cons) (areturn) invokespecial err tableswitch (getfield procindex) (aload this) aload this ",
		314);
	      DEFINE_STRING(BGl_string4149z00zzsaw_jvm_funcallz00,
		BgL_bgl_string4149za700za7za7s4163za7, "saw_jvm_funcall", 15);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzf3zd2envz21zzsaw_jvm_funcallz00,
		BgL_bgl__indexedza7f3za7f3za7za74164z00,
		BGl__indexedzf3zf3zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_indexedzd2nilzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl__indexedza7d2nilza7d4165z00,
		BGl__indexedzd2nilzd2zzsaw_jvm_funcallz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2indexedzd2envz52zzsaw_jvm_funcallz00,
		BgL_bgl__za752allocateza7d2i4166z00,
		BGl__z52allocatezd2indexedz80zzsaw_jvm_funcallz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2indexedz12zd2envz12zzsaw_jvm_funcallz00,
		BgL_bgl__fillza7d2indexedza74167z00,
		BGl__fillzd2indexedz124136zc0zzsaw_jvm_funcallz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2indexedzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl__makeza7d2indexed44168za7,
		BGl__makezd2indexed4135zd2zzsaw_jvm_funcallz00, 0L, BUNSPEC, 17);
	BGL_IMPORT obj_t BGl_notzd2envzd2zz__r4_booleans_6_1z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2indexedzd2envz00zzsaw_jvm_funcallz00,
		BgL_bgl__wideningza7d2inde4169za7,
		BGl__wideningzd2indexedzd2zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_modulezd2funcallzf2applyzd2envzf2zzsaw_jvm_funcallz00,
		BgL_bgl__moduleza7d2funcal4170za7,
		BGl__modulezd2funcallzf2appl4134z20zzsaw_jvm_funcallz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_funcallz00(long
		BgL_checksumz00_2032, char *BgL_fromz00_2033)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_cnstzd2initzd2zzsaw_jvm_funcallz00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00();
					BGl_objectzd2initzd2zzsaw_jvm_funcallz00();
					BGl_methodzd2initzd2zzsaw_jvm_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_jvm_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"saw_jvm_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 1 */
				obj_t BgL_cportz00_2009;

				BgL_cportz00_2009 =
					bgl_open_input_string(BGl_string4150z00zzsaw_jvm_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2010;

					BgL_iz00_2010 = ((long) 25);
				BgL_loopz00_2011:
					if ((BgL_iz00_2010 == ((long) -1)))
						{	/* SawJvm/funcall.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/funcall.scm 1 */
							{	/* SawJvm/funcall.scm 1 */
								obj_t BgL_arg4152z00_2013;

								{	/* SawJvm/funcall.scm 1 */

									{	/* SawJvm/funcall.scm 1 */
										obj_t BgL_locationz00_2015;

										BgL_locationz00_2015 = BBOOL(((bool_t) 0));
										{	/* SawJvm/funcall.scm 1 */

											BgL_arg4152z00_2013 =
												BGl_readz00zz__readerz00(BgL_cportz00_2009,
												BgL_locationz00_2015);
										}
									}
								}
								{	/* SawJvm/funcall.scm 1 */
									int BgL_auxz00_2056;

									BgL_auxz00_2056 = (int) (BgL_iz00_2010);
									CNST_TABLE_SET(BgL_auxz00_2056, BgL_arg4152z00_2013);
							}}
							{	/* SawJvm/funcall.scm 1 */
								int BgL_auxz00_2016;

								BgL_auxz00_2016 = (int) ((BgL_iz00_2010 - ((long) 1)));
								{
									long BgL_iz00_2061;

									BgL_iz00_2061 = (long) (BgL_auxz00_2016);
									BgL_iz00_2010 = BgL_iz00_2061;
									goto BgL_loopz00_2011;
								}
							}
						}
				}
			}
		}
	}



/* key-opt? */
	bool_t BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(obj_t BgL_vz00_1)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 17 */
			{	/* SawJvm/funcall.scm 18 */
				BgL_globalz00_bglt BgL_vz00_1006;

				BgL_vz00_1006 =
					BGl_globalzd2entryzd2zzbackend_cplibz00(
					(BgL_globalz00_bglt) (BgL_vz00_1));
				{	/* SawJvm/funcall.scm 19 */
					BgL_valuez00_bglt BgL_valz00_1007;

					{
						BgL_variablez00_bglt BgL_auxz00_2065;

						BgL_auxz00_2065 = (BgL_variablez00_bglt) (BgL_vz00_1006);
						BgL_valz00_1007 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_2065))->BgL_valuez00);
					}
					{	/* SawJvm/funcall.scm 20 */
						bool_t BgL_testz00_2068;

						{	/* SawJvm/funcall.scm 20 */
							obj_t BgL_obj1792z00_1748;

							BgL_obj1792z00_1748 = (obj_t) (BgL_valz00_1007);
							BgL_testz00_2068 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj1792z00_1748,
								BGl_sfunz00zzast_varz00);
						}
						if (BgL_testz00_2068)
							{	/* SawJvm/funcall.scm 21 */
								obj_t BgL_cloz00_1009;

								{
									BgL_sfunz00_bglt BgL_auxz00_2071;

									BgL_auxz00_2071 = (BgL_sfunz00_bglt) (BgL_valz00_1007);
									BgL_cloz00_1009 =
										(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2071))->
										BgL_thezd2closurezd2globalz00);
								}
								{	/* SawJvm/funcall.scm 22 */
									bool_t BgL_oz00_1010;

									bool_t BgL_kz00_1011;

									BgL_oz00_1010 =
										BGl_globalzd2optionalzf3z21zzast_varz00(BgL_cloz00_1009);
									BgL_kz00_1011 =
										BGl_globalzd2keyzf3z21zzast_varz00(BgL_cloz00_1009);
									if (BgL_oz00_1010)
										{	/* SawJvm/funcall.scm 23 */
											return BgL_oz00_1010;
										}
									else
										{	/* SawJvm/funcall.scm 23 */
											return BgL_kz00_1011;
										}
								}
							}
						else
							{	/* SawJvm/funcall.scm 20 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* module-funcall/apply */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_2)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 27 */
			{	/* SawJvm/funcall.scm 28 */
				obj_t BgL_pz00_1013;

				{	/* SawJvm/funcall.scm 28 */
					obj_t BgL_arg3894z00_1026;

					{	/* SawJvm/funcall.scm 28 */
						obj_t BgL_arg3895z00_1027;

						{
							BgL_backendz00_bglt BgL_auxz00_2077;

							BgL_auxz00_2077 = (BgL_backendz00_bglt) (BgL_mez00_2);
							BgL_arg3895z00_1027 =
								(((BgL_backendz00_bglt) CREF(BgL_auxz00_2077))->
								BgL_functionsz00);
						}
						BgL_arg3894z00_1026 =
							BGl_getzd2procedureszd2zzsaw_proceduresz00(BgL_arg3895z00_1027);
					}
					BgL_pz00_1013 = bgl_reverse_bang(BgL_arg3894z00_1026);
				}
				{	/* SawJvm/funcall.scm 30 */
					long BgL_nz00_1014;

					BgL_nz00_1014 = ((long) 0);
					{
						obj_t BgL_l3866z00_1016;

						BgL_l3866z00_1016 = BgL_pz00_1013;
					BgL_zc3anonymousza33888ze3z83_1017:
						if (PAIRP(BgL_l3866z00_1016))
							{	/* SawJvm/funcall.scm 31 */
								{	/* SawJvm/funcall.scm 33 */
									obj_t BgL_varz00_1019;

									BgL_varz00_1019 = CAR(BgL_l3866z00_1016);
									{	/* SawJvm/funcall.scm 32 */
										BgL_globalz00_bglt BgL_obj3862z00_1020;

										BgL_obj3862z00_1020 =
											((BgL_globalz00_bglt)
											(BgL_globalz00_bglt) (BgL_varz00_1019));
										{	/* SawJvm/funcall.scm 32 */
											BgL_indexedz00_bglt BgL_arg3890z00_1021;

											{	/* SawJvm/funcall.scm 32 */
												BgL_indexedz00_bglt BgL_res4123z00_1759;

												{	/* SawJvm/funcall.scm 32 */
													int BgL_index3771z00_1753;

													BgL_index3771z00_1753 = (int) (BgL_nz00_1014);
													{	/* SawJvm/funcall.scm 32 */
														BgL_indexedz00_bglt BgL_new3772z00_1754;

														BgL_new3772z00_1754 =
															((BgL_indexedz00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_indexedz00_bgl))));
														{	/* SawJvm/funcall.scm 32 */
															BgL_indexedz00_bglt BgL_res4122z00_1758;

															{	/* SawJvm/funcall.scm 32 */
																BgL_indexedz00_bglt BgL_new3794z00_1755;

																BgL_new3794z00_1755 = BgL_new3772z00_1754;
																{	/* SawJvm/funcall.scm 32 */
																	int BgL_index3793z00_1757;

																	BgL_index3793z00_1757 = BgL_index3771z00_1753;
																	((((BgL_indexedz00_bglt)
																				CREF(BgL_new3794z00_1755))->
																			BgL_indexz00) =
																		((int) BgL_index3793z00_1757), BUNSPEC);
																	BgL_res4122z00_1758 = BgL_new3794z00_1755;
															}} BgL_res4122z00_1758;
														}
														BgL_res4123z00_1759 = BgL_new3772z00_1754;
												}}
												BgL_arg3890z00_1021 = BgL_res4123z00_1759;
											}
											{	/* SawJvm/funcall.scm 32 */
												obj_t BgL_auxz00_2092;

												BgL_objectz00_bglt BgL_auxz00_2090;

												BgL_auxz00_2092 = (obj_t) (BgL_arg3890z00_1021);
												BgL_auxz00_2090 =
													(BgL_objectz00_bglt) (BgL_obj3862z00_1020);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2090,
													BgL_auxz00_2092);
										}}
										BGL_OBJECT_CLASS_NUM_SET(
											(BgL_objectz00_bglt) (BgL_obj3862z00_1020),
											BGl_classzd2numzd2zz__objectz00
											(BGl_indexedz00zzsaw_jvm_funcallz00));
										BgL_obj3862z00_1020;
									}
									BgL_nz00_1014 = (BgL_nz00_1014 + ((long) 1));
								}
								{
									obj_t BgL_l3866z00_2099;

									BgL_l3866z00_2099 = CDR(BgL_l3866z00_1016);
									BgL_l3866z00_1016 = BgL_l3866z00_2099;
									goto BgL_zc3anonymousza33888ze3z83_1017;
								}
							}
						else
							{	/* SawJvm/funcall.scm 31 */
								((bool_t) 1);
							}
					}
				}
				if (NULLP(BgL_pz00_1013))
					{	/* SawJvm/funcall.scm 35 */
						return BFALSE;
					}
				else
					{	/* SawJvm/funcall.scm 35 */
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 0),
							BgL_pz00_1013);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 1),
							BgL_pz00_1013);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 2),
							BgL_pz00_1013);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 3),
							BgL_pz00_1013);
						BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_mez00_2, ((long) 4),
							BgL_pz00_1013);
						return BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_mez00_2,
							BgL_pz00_1013);
					}
			}
		}
	}



/* _module-funcall/appl4134 */
	obj_t BGl__modulezd2funcallzf2appl4134z20zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_1952, obj_t BgL_mez00_1953)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 27 */
			return
				BGl_modulezd2funcallzf2applyz20zzsaw_jvm_funcallz00(
				(BgL_jvmz00_bglt) (BgL_mez00_1953));
		}
	}



/* funcalli */
	obj_t BGl_funcalliz00zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_6,
		long BgL_iz00_7, obj_t BgL_procsz00_8)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 52 */
			{	/* SawJvm/funcall.scm 63 */
				obj_t BgL_needz00_1034;

				if (NULLP(BgL_procsz00_8))
					{	/* SawJvm/funcall.scm 63 */
						BgL_needz00_1034 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 63 */
						obj_t BgL_head3870z00_1059;

						{	/* SawJvm/funcall.scm 63 */
							bool_t BgL_arg3918z00_1072;

							BgL_arg3918z00_1072 =
								BGl_neededzf3zf3zzsaw_jvm_funcallz00(BgL_iz00_7,
								CAR(BgL_procsz00_8));
							BgL_head3870z00_1059 =
								MAKE_PAIR(BBOOL(BgL_arg3918z00_1072), BNIL);
						}
						{	/* SawJvm/funcall.scm 63 */
							obj_t BgL_g3873z00_1060;

							BgL_g3873z00_1060 = CDR(BgL_procsz00_8);
							{
								obj_t BgL_l3868z00_1062;

								obj_t BgL_tail3871z00_1063;

								BgL_l3868z00_1062 = BgL_g3873z00_1060;
								BgL_tail3871z00_1063 = BgL_head3870z00_1059;
							BgL_zc3anonymousza33912ze3z83_1064:
								if (NULLP(BgL_l3868z00_1062))
									{	/* SawJvm/funcall.scm 63 */
										BgL_needz00_1034 = BgL_head3870z00_1059;
									}
								else
									{	/* SawJvm/funcall.scm 63 */
										obj_t BgL_newtail3872z00_1066;

										{	/* SawJvm/funcall.scm 63 */
											bool_t BgL_arg3915z00_1068;

											BgL_arg3915z00_1068 =
												BGl_neededzf3zf3zzsaw_jvm_funcallz00(BgL_iz00_7,
												CAR(BgL_l3868z00_1062));
											BgL_newtail3872z00_1066 =
												MAKE_PAIR(BBOOL(BgL_arg3915z00_1068), BNIL);
										}
										SET_CDR(BgL_tail3871z00_1063, BgL_newtail3872z00_1066);
										{
											obj_t BgL_tail3871z00_2127;

											obj_t BgL_l3868z00_2125;

											BgL_l3868z00_2125 = CDR(BgL_l3868z00_1062);
											BgL_tail3871z00_2127 = BgL_newtail3872z00_1066;
											BgL_tail3871z00_1063 = BgL_tail3871z00_2127;
											BgL_l3868z00_1062 = BgL_l3868z00_2125;
											goto BgL_zc3anonymousza33912ze3z83_1064;
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 64 */
					bool_t BgL_testz00_2128;

					{	/* SawJvm/funcall.scm 64 */
						obj_t BgL_list3910z00_1056;

						BgL_list3910z00_1056 = MAKE_PAIR(BgL_needz00_1034, BNIL);
						BgL_testz00_2128 =
							CBOOL(BGl_everyz00zz__r4_pairs_and_lists_6_3z00
							(BGl_notzd2envzd2zz__r4_booleans_6_1z00, BgL_list3910z00_1056));
					}
					if (BgL_testz00_2128)
						{	/* SawJvm/funcall.scm 64 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 65 */
							obj_t BgL_fnamez00_1036;

							{	/* SawJvm/funcall.scm 65 */
								obj_t BgL_arg3909z00_1053;

								{	/* SawJvm/funcall.scm 65 */

									BgL_arg3909z00_1053 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_iz00_7, ((long) 10));
								}
								BgL_fnamez00_1036 =
									string_append(BGl_string4142z00zzsaw_jvm_funcallz00,
									BgL_arg3909z00_1053);
							}
							{	/* SawJvm/funcall.scm 65 */
								obj_t BgL_pz00_1037;

								{	/* SawJvm/funcall.scm 66 */
									obj_t BgL_arg3906z00_1050;

									obj_t BgL_arg3907z00_1051;

									BgL_arg3906z00_1050 = CNST_TABLE_REF(((long) 0));
									BgL_arg3907z00_1051 =
										BGl_namez00zzsaw_jvm_funcallz00(BgL_iz00_7);
									BgL_pz00_1037 =
										MAKE_PAIR(BgL_arg3906z00_1050, BgL_arg3907z00_1051);
								}
								{	/* SawJvm/funcall.scm 66 */

									BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_6,
										string_to_symbol(BSTRING_TO_STRING(BgL_fnamez00_1036)));
									BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_6,
										BgL_pz00_1037, BNIL);
									{
										obj_t BgL_l3874z00_1040;

										BgL_l3874z00_1040 = BgL_pz00_1037;
									BgL_zc3anonymousza33899ze3z83_1041:
										if (PAIRP(BgL_l3874z00_1040))
											{	/* SawJvm/funcall.scm 69 */
												{	/* SawJvm/funcall.scm 69 */
													obj_t BgL_vz00_1043;

													BgL_vz00_1043 = CAR(BgL_l3874z00_1040);
													{	/* SawJvm/funcall.scm 69 */
														obj_t BgL_arg3901z00_1044;

														{	/* SawJvm/funcall.scm 69 */
															obj_t BgL_arg3902z00_1045;

															obj_t BgL_arg3903z00_1046;

															BgL_arg3902z00_1045 = CNST_TABLE_REF(((long) 1));
															{	/* SawJvm/funcall.scm 69 */
																obj_t BgL_list3904z00_1047;

																BgL_list3904z00_1047 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg3903z00_1046 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_vz00_1043, BgL_list3904z00_1047);
															}
															BgL_arg3901z00_1044 =
																MAKE_PAIR(BgL_arg3902z00_1045,
																BgL_arg3903z00_1046);
														}
														BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_6,
															BgL_arg3901z00_1044);
												}}
												{
													obj_t BgL_l3874z00_2149;

													BgL_l3874z00_2149 = CDR(BgL_l3874z00_1040);
													BgL_l3874z00_1040 = BgL_l3874z00_2149;
													goto BgL_zc3anonymousza33899ze3z83_1041;
												}
											}
										else
											{	/* SawJvm/funcall.scm 69 */
												((bool_t) 1);
											}
									}
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_6,
										CNST_TABLE_REF(((long) 2)));
									BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_6,
										CNST_TABLE_REF(((long) 3)));
									BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_mez00_6,
										BgL_iz00_7, BgL_needz00_1034, BgL_procsz00_8,
										BgL_fnamez00_1036);
									return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_6);
								}
							}
						}
				}
			}
		}
	}



/* needed? */
	bool_t BGl_neededzf3zf3zzsaw_jvm_funcallz00(long BgL_iz00_2008,
		obj_t BgL_pz00_1082)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 61 */
			{	/* SawJvm/funcall.scm 54 */
				obj_t BgL_arityz00_1084;

				BgL_arityz00_1084 =
					BGl_globalzd2arityzd2zzbackend_cplibz00(
					(BgL_globalz00_bglt) (BgL_pz00_1082));
				if (CBOOL(BgL_arityz00_1084))
					{	/* SawJvm/funcall.scm 56 */
						bool_t BgL__ortest_3863z00_1085;

						if (((long) CINT(BgL_arityz00_1084) >= ((long) 0)))
							{	/* SawJvm/funcall.scm 56 */
								if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_1082))
									{	/* SawJvm/funcall.scm 57 */
										BgL__ortest_3863z00_1085 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_arityz00_1084,
											BINT(BgL_iz00_2008));
									}
								else
									{	/* SawJvm/funcall.scm 57 */
										BgL__ortest_3863z00_1085 =
											((long) CINT(BgL_arityz00_1084) == BgL_iz00_2008);
							}}
						else
							{	/* SawJvm/funcall.scm 56 */
								BgL__ortest_3863z00_1085 = ((bool_t) 0);
							}
						if (BgL__ortest_3863z00_1085)
							{	/* SawJvm/funcall.scm 56 */
								return BgL__ortest_3863z00_1085;
							}
						else
							{	/* SawJvm/funcall.scm 56 */
								if (((long) CINT(BgL_arityz00_1084) < ((long) 0)))
									{	/* SawJvm/funcall.scm 60 */
										return
											BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1084,
											BINT((((long) -1) - BgL_iz00_2008)));
									}
								else
									{	/* SawJvm/funcall.scm 60 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* SawJvm/funcall.scm 55 */
						return (BgL_iz00_2008 <= ((long) 1));
		}}}
	}



/* name */
	obj_t BGl_namez00zzsaw_jvm_funcallz00(long BgL_nz00_1075)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 62 */
			if ((BgL_nz00_1075 == ((long) 0)))
				{	/* SawJvm/funcall.scm 62 */
					return BNIL;
				}
			else
				{	/* SawJvm/funcall.scm 62 */
					obj_t BgL_arg3923z00_1078;

					obj_t BgL_arg3924z00_1079;

					{	/* SawJvm/funcall.scm 62 */

						{	/* SawJvm/funcall.scm 62 */

							BgL_arg3923z00_1078 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
						}
					}
					BgL_arg3924z00_1079 =
						BGl_namez00zzsaw_jvm_funcallz00((BgL_nz00_1075 - ((long) 1)));
					return MAKE_PAIR(BgL_arg3923z00_1078, BgL_arg3924z00_1079);
				}
		}
	}



/* compile-funi */
	obj_t BGl_compilezd2funizd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_9,
		long BgL_iz00_10, obj_t BgL_needz00_11, obj_t BgL_procsz00_12,
		obj_t BgL_fnamez00_13)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 75 */
			{	/* SawJvm/funcall.scm 82 */
				obj_t BgL_labsz00_1094;

				BgL_labsz00_1094 =
					BGl_getzd2labsz72za0zzsaw_jvm_funcallz00(((long) 0), BgL_needz00_11,
					BgL_procsz00_12);
				{	/* SawJvm/funcall.scm 83 */
					obj_t BgL_arg3929z00_1095;

					{	/* SawJvm/funcall.scm 83 */
						obj_t BgL_arg3930z00_1096;

						obj_t BgL_arg3931z00_1097;

						BgL_arg3930z00_1096 = CNST_TABLE_REF(((long) 4));
						{	/* SawJvm/funcall.scm 83 */
							obj_t BgL_arg3932z00_1098;

							obj_t BgL_arg3934z00_1100;

							BgL_arg3932z00_1098 = CNST_TABLE_REF(((long) 5));
							BgL_arg3934z00_1100 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_1094, BNIL);
							{	/* SawJvm/funcall.scm 83 */
								obj_t BgL_list3935z00_1101;

								{	/* SawJvm/funcall.scm 83 */
									obj_t BgL_arg3936z00_1102;

									BgL_arg3936z00_1102 = MAKE_PAIR(BgL_arg3934z00_1100, BNIL);
									BgL_list3935z00_1101 =
										MAKE_PAIR(BINT(((long) 0)), BgL_arg3936z00_1102);
								}
								BgL_arg3931z00_1097 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3932z00_1098, BgL_list3935z00_1101);
						}}
						BgL_arg3929z00_1095 =
							MAKE_PAIR(BgL_arg3930z00_1096, BgL_arg3931z00_1097);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_9, BgL_arg3929z00_1095);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_9, CNST_TABLE_REF(((long) 5)));
				{	/* SawJvm/funcall.scm 85 */
					obj_t BgL_arg3937z00_1103;

					{	/* SawJvm/funcall.scm 85 */
						obj_t BgL_arg3938z00_1104;

						obj_t BgL_arg3939z00_1105;

						BgL_arg3938z00_1104 = CNST_TABLE_REF(((long) 6));
						{	/* SawJvm/funcall.scm 85 */
							obj_t BgL_arg3940z00_1106;

							{	/* SawJvm/funcall.scm 85 */
								obj_t BgL_arg3943z00_1109;

								BgL_arg3943z00_1109 =
									string_append(BGl_string4143z00zzsaw_jvm_funcallz00,
									BgL_fnamez00_13);
								BgL_arg3940z00_1106 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg3943z00_1109));
							}
							{	/* SawJvm/funcall.scm 85 */
								obj_t BgL_list3942z00_1108;

								BgL_list3942z00_1108 = MAKE_PAIR(BNIL, BNIL);
								BgL_arg3939z00_1105 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3940z00_1106, BgL_list3942z00_1108);
						}}
						BgL_arg3937z00_1103 =
							MAKE_PAIR(BgL_arg3938z00_1104, BgL_arg3939z00_1105);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_9, BgL_arg3937z00_1103);
				}
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_9, CNST_TABLE_REF(((long) 7)));
				{	/* SawJvm/funcall.scm 87 */
					obj_t BgL_zc3anonymousza33948ze3z83_1956;

					BgL_zc3anonymousza33948ze3z83_1956 =
						make_fx_procedure(BGl_zc3anonymousza33948ze3z83zzsaw_jvm_funcallz00,
						(int) (((long) 3)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza33948ze3z83_1956,
						(int) (((long) 0)), (obj_t) (BgL_mez00_9));
					PROCEDURE_SET(BgL_zc3anonymousza33948ze3z83_1956,
						(int) (((long) 1)), BINT(BgL_iz00_10));
					{	/* SawJvm/funcall.scm 87 */
						obj_t BgL_list3945z00_1111;

						{	/* SawJvm/funcall.scm 87 */
							obj_t BgL_arg3946z00_1112;

							{	/* SawJvm/funcall.scm 87 */
								obj_t BgL_arg3947z00_1113;

								BgL_arg3947z00_1113 = MAKE_PAIR(BgL_procsz00_12, BNIL);
								BgL_arg3946z00_1112 =
									MAKE_PAIR(BgL_labsz00_1094, BgL_arg3947z00_1113);
							}
							BgL_list3945z00_1111 =
								MAKE_PAIR(BgL_needz00_11, BgL_arg3946z00_1112);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3anonymousza33948ze3z83_1956, BgL_list3945z00_1111);
					}
				}
			}
		}
	}



/* get-labs' */
	obj_t BGl_getzd2labsz72za0zzsaw_jvm_funcallz00(long BgL_iz00_1119,
		obj_t BgL_nsz00_1120, obj_t BgL_psz00_1121)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 81 */
			{
				long BgL_nz00_1130;

				if (NULLP(BgL_nsz00_1120))
					{	/* SawJvm/funcall.scm 78 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 80 */
						obj_t BgL_arg3951z00_1124;

						obj_t BgL_arg3952z00_1125;

						{	/* SawJvm/funcall.scm 80 */
							bool_t BgL_testz00_2221;

							{	/* SawJvm/funcall.scm 80 */
								obj_t BgL_pairz00_1794;

								BgL_pairz00_1794 = BgL_nsz00_1120;
								BgL_testz00_2221 = CBOOL(CAR(BgL_pairz00_1794));
							}
							if (BgL_testz00_2221)
								{	/* SawJvm/funcall.scm 80 */
									BgL_nz00_1130 = BgL_iz00_1119;
									{	/* SawJvm/funcall.scm 76 */
										obj_t BgL_arg3958z00_1132;

										{	/* SawJvm/funcall.scm 76 */
											obj_t BgL_arg3960z00_1134;

											{	/* SawJvm/funcall.scm 76 */

												BgL_arg3960z00_1134 =
													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
													(BgL_nz00_1130, ((long) 10));
											}
											BgL_arg3958z00_1132 =
												string_append(BGl_string4144z00zzsaw_jvm_funcallz00,
												BgL_arg3960z00_1134);
										}
										BgL_arg3951z00_1124 =
											string_to_symbol(BSTRING_TO_STRING(BgL_arg3958z00_1132));
								}}
							else
								{	/* SawJvm/funcall.scm 80 */
									BgL_arg3951z00_1124 = CNST_TABLE_REF(((long) 5));
						}}
						BgL_arg3952z00_1125 =
							BGl_getzd2labsz72za0zzsaw_jvm_funcallz00(
							(BgL_iz00_1119 + ((long) 1)),
							CDR(BgL_nsz00_1120), CDR(BgL_psz00_1121));
						return MAKE_PAIR(BgL_arg3951z00_1124, BgL_arg3952z00_1125);
					}
			}
		}
	}



/* <anonymous:3948> */
	obj_t BGl_zc3anonymousza33948ze3z83zzsaw_jvm_funcallz00(obj_t BgL_envz00_1957,
		obj_t BgL_nzf3zf3_1960, obj_t BgL_labz00_1961, obj_t BgL_pz00_1962)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 87 */
			{	/* SawJvm/funcall.scm 87 */
				obj_t BgL_mez00_1958;

				obj_t BgL_iz00_1959;

				BgL_mez00_1958 = PROCEDURE_REF(BgL_envz00_1957, (int) (((long) 0)));
				BgL_iz00_1959 = PROCEDURE_REF(BgL_envz00_1957, (int) (((long) 1)));
				{
					obj_t BgL_nzf3zf3_1114;

					obj_t BgL_labz00_1115;

					obj_t BgL_pz00_1116;

					BgL_nzf3zf3_1114 = BgL_nzf3zf3_1960;
					BgL_labz00_1115 = BgL_labz00_1961;
					BgL_pz00_1116 = BgL_pz00_1962;
					if (CBOOL(BgL_nzf3zf3_1114))
						{	/* SawJvm/funcall.scm 87 */
							return
								BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00
								(BgL_mez00_1958, BgL_iz00_1959, BgL_labz00_1115, BgL_pz00_1116);
						}
					else
						{	/* SawJvm/funcall.scm 87 */
							return BFALSE;
						}
				}
			}
		}
	}



/* compile-for-funcalli */
	obj_t BGl_compilezd2forzd2funcalliz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_14,
		obj_t BgL_iz00_15, obj_t BgL_labz00_16, obj_t BgL_pz00_17)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 93 */
			{	/* SawJvm/funcall.scm 94 */
				obj_t BgL_arityz00_1139;

				BgL_arityz00_1139 =
					BGl_globalzd2arityzd2zzbackend_cplibz00(
					(BgL_globalz00_bglt) (BgL_pz00_17));
				{
					obj_t BgL_iz00_1176;

					obj_t BgL_nz00_1171;

					BGl_labelz00zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_labz00_16);
					if ((BgL_arityz00_1139 == BFALSE))
						{	/* SawJvm/funcall.scm 104 */
							if (((long) CINT(BgL_iz00_15) == ((long) 0)))
								{	/* SawJvm/funcall.scm 105 */
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_14),
										CNST_TABLE_REF(((long) 9)));
									{	/* SawJvm/funcall.scm 107 */
										obj_t BgL_arg3963z00_1144;

										{	/* SawJvm/funcall.scm 107 */
											obj_t BgL_arg3964z00_1145;

											obj_t BgL_arg3965z00_1146;

											BgL_arg3964z00_1145 = CNST_TABLE_REF(((long) 10));
											{	/* SawJvm/funcall.scm 107 */
												obj_t BgL_arg3966z00_1147;

												BgL_arg3966z00_1147 =
													BGl_declarezd2globalzd2zzsaw_jvm_outz00(
													(BgL_jvmz00_bglt) (BgL_mez00_14),
													(BgL_globalz00_bglt) (BgL_pz00_17));
												{	/* SawJvm/funcall.scm 107 */
													obj_t BgL_list3968z00_1149;

													BgL_list3968z00_1149 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3965z00_1146 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3966z00_1147, BgL_list3968z00_1149);
											}}
											BgL_arg3963z00_1144 =
												MAKE_PAIR(BgL_arg3964z00_1145, BgL_arg3965z00_1146);
										}
										BGl_codez12z12zzsaw_jvm_outz00(
											(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_arg3963z00_1144);
								}}
							else
								{	/* SawJvm/funcall.scm 108 */
									obj_t BgL_arg3969z00_1150;

									{	/* SawJvm/funcall.scm 108 */
										obj_t BgL_arg3970z00_1151;

										obj_t BgL_arg3971z00_1152;

										BgL_arg3970z00_1151 = CNST_TABLE_REF(((long) 11));
										{	/* SawJvm/funcall.scm 108 */
											obj_t BgL_arg3972z00_1153;

											BgL_arg3972z00_1153 =
												BGl_declarezd2globalzd2zzsaw_jvm_outz00(
												(BgL_jvmz00_bglt) (BgL_mez00_14),
												(BgL_globalz00_bglt) (BgL_pz00_17));
											{	/* SawJvm/funcall.scm 108 */
												obj_t BgL_list3974z00_1155;

												BgL_list3974z00_1155 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3971z00_1152 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3972z00_1153, BgL_list3974z00_1155);
										}}
										BgL_arg3969z00_1150 =
											MAKE_PAIR(BgL_arg3970z00_1151, BgL_arg3971z00_1152);
									}
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_arg3969z00_1150);
						}}
					else
						{	/* SawJvm/funcall.scm 104 */
							if (((long) CINT(BgL_arityz00_1139) >= ((long) 0)))
								{	/* SawJvm/funcall.scm 109 */
									if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_17))
										{	/* SawJvm/funcall.scm 111 */
											BgL_globalz00_bglt BgL_vz00_1158;

											BgL_vz00_1158 =
												BGl_globalzd2entryzd2zzbackend_cplibz00(
												(BgL_globalz00_bglt) (BgL_pz00_17));
											{	/* SawJvm/funcall.scm 112 */
												obj_t BgL_arg3977z00_1159;

												{	/* SawJvm/funcall.scm 112 */
													obj_t BgL_arg3978z00_1160;

													obj_t BgL_arg3979z00_1161;

													BgL_arg3978z00_1160 = CNST_TABLE_REF(((long) 12));
													{	/* SawJvm/funcall.scm 112 */
														obj_t BgL_arg3980z00_1162;

														BgL_iz00_1176 = BgL_iz00_15;
														{	/* SawJvm/funcall.scm 96 */
															obj_t BgL_arg3994z00_1178;

															{	/* SawJvm/funcall.scm 96 */
																obj_t BgL_arg3996z00_1180;

																{	/* SawJvm/funcall.scm 96 */

																	BgL_arg3996z00_1180 =
																		BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																		((long) CINT(BgL_iz00_1176), ((long) 10));
																}
																BgL_arg3994z00_1178 =
																	string_append
																	(BGl_string4145z00zzsaw_jvm_funcallz00,
																	BgL_arg3996z00_1180);
															}
															BgL_arg3980z00_1162 =
																string_to_symbol(BSTRING_TO_STRING
																(BgL_arg3994z00_1178));
														}
														{	/* SawJvm/funcall.scm 112 */
															obj_t BgL_list3982z00_1164;

															BgL_list3982z00_1164 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3979z00_1161 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg3980z00_1162, BgL_list3982z00_1164);
													}}
													BgL_arg3977z00_1159 =
														MAKE_PAIR(BgL_arg3978z00_1160, BgL_arg3979z00_1161);
												}
												BGl_codez12z12zzsaw_jvm_outz00(
													(BgL_jvmz00_bglt) (BgL_mez00_14),
													BgL_arg3977z00_1159);
											}
											BGl_callzd2globalzd2zzsaw_jvm_outz00(
												(BgL_jvmz00_bglt) (BgL_mez00_14), BgL_vz00_1158);
										}
									else
										{	/* SawJvm/funcall.scm 110 */
											BGl_callzd2globalzd2zzsaw_jvm_outz00(
												(BgL_jvmz00_bglt) (BgL_mez00_14),
												BGl_globalzd2entryzd2zzbackend_cplibz00(
													(BgL_globalz00_bglt) (BgL_pz00_17)));
										}
								}
							else
								{	/* SawJvm/funcall.scm 109 */
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_14),
										CNST_TABLE_REF(((long) 13)));
									{	/* SawJvm/funcall.scm 117 */
										obj_t BgL_arg3984z00_1166;

										{	/* SawJvm/funcall.scm 117 */
											obj_t BgL_arg3985z00_1167;

											{	/* SawJvm/funcall.scm 117 */
												obj_t BgL_list3986z00_1168;

												{	/* SawJvm/funcall.scm 117 */
													obj_t BgL_arg3988z00_1170;

													BgL_arg3988z00_1170 =
														MAKE_PAIR(BgL_arityz00_1139, BNIL);
													BgL_list3986z00_1168 =
														MAKE_PAIR(BINT(((long) 1)), BgL_arg3988z00_1170);
												}
												BgL_arg3985z00_1167 =
													BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_list3986z00_1168);
											}
											BgL_arg3984z00_1166 =
												BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_15,
												BgL_arg3985z00_1167);
										}
										BgL_nz00_1171 = BgL_arg3984z00_1166;
									BgL_zc3anonymousza33989ze3z83_1172:
										if (BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1171,
												BINT(((long) 0))))
											{	/* SawJvm/funcall.scm 98 */
												BGl_callzd2globalzd2zzsaw_jvm_outz00(
													(BgL_jvmz00_bglt) (BgL_mez00_14),
													BGl_globalzd2entryzd2zzbackend_cplibz00(
														(BgL_globalz00_bglt) (BgL_pz00_17)));
											}
										else
											{	/* SawJvm/funcall.scm 98 */
												BGl_codez12z12zzsaw_jvm_outz00(
													(BgL_jvmz00_bglt) (BgL_mez00_14),
													CNST_TABLE_REF(((long) 8)));
												{	/* SawJvm/funcall.scm 101 */
													long BgL_arg3992z00_1175;

													BgL_arg3992z00_1175 =
														((long) CINT(BgL_nz00_1171) - ((long) 1));
													{
														obj_t BgL_nz00_2315;

														BgL_nz00_2315 = BINT(BgL_arg3992z00_1175);
														BgL_nz00_1171 = BgL_nz00_2315;
														goto BgL_zc3anonymousza33989ze3z83_1172;
													}
												}
											}
									}
								}
						}
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_14), CNST_TABLE_REF(((long) 7)));
		}}}
	}



/* compile-apply */
	obj_t BGl_compilezd2applyzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt BgL_mez00_18,
		obj_t BgL_procsz00_19)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 123 */
			{	/* SawJvm/funcall.scm 124 */
				obj_t BgL_needz00_1185;

				if (NULLP(BgL_procsz00_19))
					{	/* SawJvm/funcall.scm 124 */
						BgL_needz00_1185 = BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 124 */
						obj_t BgL_head3878z00_1190;

						{	/* SawJvm/funcall.scm 124 */
							obj_t BgL_arg4007z00_1203;

							{	/* SawJvm/funcall.scm 124 */
								obj_t BgL_arg4009z00_1205;

								BgL_arg4009z00_1205 = CAR(BgL_procsz00_19);
								BgL_arg4007z00_1203 =
									BGl_globalzd2arityzd2zzbackend_cplibz00(
									(BgL_globalz00_bglt) (BgL_arg4009z00_1205));
							}
							BgL_head3878z00_1190 = MAKE_PAIR(BgL_arg4007z00_1203, BNIL);
						}
						{	/* SawJvm/funcall.scm 124 */
							obj_t BgL_g3881z00_1191;

							BgL_g3881z00_1191 = CDR(BgL_procsz00_19);
							{
								obj_t BgL_l3876z00_1193;

								obj_t BgL_tail3879z00_1194;

								BgL_l3876z00_1193 = BgL_g3881z00_1191;
								BgL_tail3879z00_1194 = BgL_head3878z00_1190;
							BgL_zc3anonymousza34000ze3z83_1195:
								if (NULLP(BgL_l3876z00_1193))
									{	/* SawJvm/funcall.scm 124 */
										BgL_needz00_1185 = BgL_head3878z00_1190;
									}
								else
									{	/* SawJvm/funcall.scm 124 */
										obj_t BgL_newtail3880z00_1197;

										{	/* SawJvm/funcall.scm 124 */
											obj_t BgL_arg4003z00_1199;

											{	/* SawJvm/funcall.scm 124 */
												obj_t BgL_arg4006z00_1201;

												BgL_arg4006z00_1201 = CAR(BgL_l3876z00_1193);
												BgL_arg4003z00_1199 =
													BGl_globalzd2arityzd2zzbackend_cplibz00(
													(BgL_globalz00_bglt) (BgL_arg4006z00_1201));
											}
											BgL_newtail3880z00_1197 =
												MAKE_PAIR(BgL_arg4003z00_1199, BNIL);
										}
										SET_CDR(BgL_tail3879z00_1194, BgL_newtail3880z00_1197);
										{
											obj_t BgL_tail3879z00_2336;

											obj_t BgL_l3876z00_2334;

											BgL_l3876z00_2334 = CDR(BgL_l3876z00_1193);
											BgL_tail3879z00_2336 = BgL_newtail3880z00_1197;
											BgL_tail3879z00_1194 = BgL_tail3879z00_2336;
											BgL_l3876z00_1193 = BgL_l3876z00_2334;
											goto BgL_zc3anonymousza34000ze3z83_1195;
										}
									}
							}
						}
					}
				{	/* SawJvm/funcall.scm 125 */
					bool_t BgL_testz00_2337;

					{	/* SawJvm/funcall.scm 125 */
						obj_t BgL_list3998z00_1187;

						BgL_list3998z00_1187 = MAKE_PAIR(BgL_needz00_1185, BNIL);
						BgL_testz00_2337 =
							CBOOL(BGl_everyz00zz__r4_pairs_and_lists_6_3z00
							(BGl_notzd2envzd2zz__r4_booleans_6_1z00, BgL_list3998z00_1187));
					}
					if (BgL_testz00_2337)
						{	/* SawJvm/funcall.scm 125 */
							return BFALSE;
						}
					else
						{	/* SawJvm/funcall.scm 125 */
							BGl_openzd2libzd2methodz00zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 14)));
							BGl_declarezd2localszd2zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 15)), BNIL);
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 2)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 2)));
							BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_18,
								CNST_TABLE_REF(((long) 3)));
							BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_mez00_18,
								BgL_needz00_1185, BgL_procsz00_19);
							return BGl_closezd2methodzd2zzsaw_jvm_outz00(BgL_mez00_18);
						}
				}
			}
		}
	}



/* compile-dispatch */
	obj_t BGl_compilezd2dispatchzd2zzsaw_jvm_funcallz00(BgL_jvmz00_bglt
		BgL_mez00_20, obj_t BgL_needz00_21, obj_t BgL_procsz00_22)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 134 */
			{	/* SawJvm/funcall.scm 141 */
				obj_t BgL_labsz00_1208;

				BgL_labsz00_1208 =
					BGl_getzd2labszd2zzsaw_jvm_funcallz00(((long) 0), BgL_needz00_21,
					BgL_procsz00_22);
				{	/* SawJvm/funcall.scm 142 */
					obj_t BgL_arg4010z00_1209;

					{	/* SawJvm/funcall.scm 142 */
						obj_t BgL_arg4011z00_1210;

						obj_t BgL_arg4012z00_1211;

						BgL_arg4011z00_1210 = CNST_TABLE_REF(((long) 4));
						{	/* SawJvm/funcall.scm 142 */
							obj_t BgL_arg4013z00_1212;

							obj_t BgL_arg4015z00_1214;

							BgL_arg4013z00_1212 = CNST_TABLE_REF(((long) 5));
							BgL_arg4015z00_1214 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_labsz00_1208, BNIL);
							{	/* SawJvm/funcall.scm 142 */
								obj_t BgL_list4016z00_1215;

								{	/* SawJvm/funcall.scm 142 */
									obj_t BgL_arg4017z00_1216;

									BgL_arg4017z00_1216 = MAKE_PAIR(BgL_arg4015z00_1214, BNIL);
									BgL_list4016z00_1215 =
										MAKE_PAIR(BINT(((long) 0)), BgL_arg4017z00_1216);
								}
								BgL_arg4012z00_1211 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg4013z00_1212, BgL_list4016z00_1215);
						}}
						BgL_arg4010z00_1209 =
							MAKE_PAIR(BgL_arg4011z00_1210, BgL_arg4012z00_1211);
					}
					BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_20, BgL_arg4010z00_1209);
				}
				BGl_labelz00zzsaw_jvm_outz00(BgL_mez00_20, CNST_TABLE_REF(((long) 5)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_20,
					CNST_TABLE_REF(((long) 16)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_20,
					CNST_TABLE_REF(((long) 17)));
				BGl_codez12z12zzsaw_jvm_outz00(BgL_mez00_20,
					CNST_TABLE_REF(((long) 7)));
				{	/* SawJvm/funcall.scm 147 */
					obj_t BgL_zc3anonymousza34022ze3z83_1963;

					BgL_zc3anonymousza34022ze3z83_1963 =
						make_fx_procedure(BGl_zc3anonymousza34022ze3z83zzsaw_jvm_funcallz00,
						(int) (((long) 3)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza34022ze3z83_1963,
						(int) (((long) 0)), (obj_t) (BgL_mez00_20));
					{	/* SawJvm/funcall.scm 147 */
						obj_t BgL_list4019z00_1218;

						{	/* SawJvm/funcall.scm 147 */
							obj_t BgL_arg4020z00_1219;

							{	/* SawJvm/funcall.scm 147 */
								obj_t BgL_arg4021z00_1220;

								BgL_arg4021z00_1220 = MAKE_PAIR(BgL_procsz00_22, BNIL);
								BgL_arg4020z00_1219 =
									MAKE_PAIR(BgL_labsz00_1208, BgL_arg4021z00_1220);
							}
							BgL_list4019z00_1218 =
								MAKE_PAIR(BgL_needz00_21, BgL_arg4020z00_1219);
						}
						return
							BGl_forzd2eachzd2zz__r4_control_features_6_9z00
							(BgL_zc3anonymousza34022ze3z83_1963, BgL_list4019z00_1218);
					}
				}
			}
		}
	}



/* get-labs */
	obj_t BGl_getzd2labszd2zzsaw_jvm_funcallz00(long BgL_iz00_1226,
		obj_t BgL_nsz00_1227, obj_t BgL_psz00_1228)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 140 */
			{
				long BgL_nz00_1237;

				if (NULLP(BgL_nsz00_1227))
					{	/* SawJvm/funcall.scm 137 */
						return BNIL;
					}
				else
					{	/* SawJvm/funcall.scm 139 */
						obj_t BgL_arg4025z00_1231;

						obj_t BgL_arg4026z00_1232;

						{	/* SawJvm/funcall.scm 139 */
							bool_t BgL_testz00_2383;

							{	/* SawJvm/funcall.scm 139 */
								obj_t BgL_pairz00_1820;

								BgL_pairz00_1820 = BgL_nsz00_1227;
								BgL_testz00_2383 = CBOOL(CAR(BgL_pairz00_1820));
							}
							if (BgL_testz00_2383)
								{	/* SawJvm/funcall.scm 139 */
									BgL_nz00_1237 = BgL_iz00_1226;
									{	/* SawJvm/funcall.scm 135 */
										obj_t BgL_arg4032z00_1239;

										{	/* SawJvm/funcall.scm 135 */
											obj_t BgL_arg4034z00_1241;

											{	/* SawJvm/funcall.scm 135 */

												BgL_arg4034z00_1241 =
													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
													(BgL_nz00_1237, ((long) 10));
											}
											BgL_arg4032z00_1239 =
												string_append(BGl_string4144z00zzsaw_jvm_funcallz00,
												BgL_arg4034z00_1241);
										}
										BgL_arg4025z00_1231 =
											string_to_symbol(BSTRING_TO_STRING(BgL_arg4032z00_1239));
								}}
							else
								{	/* SawJvm/funcall.scm 139 */
									BgL_arg4025z00_1231 = CNST_TABLE_REF(((long) 5));
						}}
						BgL_arg4026z00_1232 =
							BGl_getzd2labszd2zzsaw_jvm_funcallz00(
							(BgL_iz00_1226 + ((long) 1)),
							CDR(BgL_nsz00_1227), CDR(BgL_psz00_1228));
						return MAKE_PAIR(BgL_arg4025z00_1231, BgL_arg4026z00_1232);
					}
			}
		}
	}



/* <anonymous:4022> */
	obj_t BGl_zc3anonymousza34022ze3z83zzsaw_jvm_funcallz00(obj_t BgL_envz00_1964,
		obj_t BgL_nzf3zf3_1966, obj_t BgL_labz00_1967, obj_t BgL_pz00_1968)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 147 */
			{	/* SawJvm/funcall.scm 147 */
				obj_t BgL_mez00_1965;

				BgL_mez00_1965 = PROCEDURE_REF(BgL_envz00_1964, (int) (((long) 0)));
				{
					obj_t BgL_nzf3zf3_1221;

					obj_t BgL_labz00_1222;

					obj_t BgL_pz00_1223;

					BgL_nzf3zf3_1221 = BgL_nzf3zf3_1966;
					BgL_labz00_1222 = BgL_labz00_1967;
					BgL_pz00_1223 = BgL_pz00_1968;
					if (CBOOL(BgL_nzf3zf3_1221))
						{	/* SawJvm/funcall.scm 147 */
							return
								BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(BgL_mez00_1965,
								BgL_labz00_1222, BgL_pz00_1223);
						}
					else
						{	/* SawJvm/funcall.scm 147 */
							return BFALSE;
						}
				}
			}
		}
	}



/* compile-for-apply */
	obj_t BGl_compilezd2forzd2applyz00zzsaw_jvm_funcallz00(obj_t BgL_mez00_23,
		obj_t BgL_labz00_24, obj_t BgL_pz00_25)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 152 */
			{
				obj_t BgL_mez00_1252;

				obj_t BgL_nz00_1253;

				bool_t BgL_fixedarityzf3zf3_1254;

				{	/* SawJvm/funcall.scm 174 */
					obj_t BgL_arityz00_1247;

					BgL_arityz00_1247 =
						BGl_globalzd2arityzd2zzbackend_cplibz00(
						(BgL_globalz00_bglt) (BgL_pz00_25));
					BGl_labelz00zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_23), BgL_labz00_24);
					if (BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1247,
							BINT(((long) 0))))
						{	/* SawJvm/funcall.scm 176 */
							if (BGl_keyzd2optzf3z21zzsaw_jvm_funcallz00(BgL_pz00_25))
								{	/* SawJvm/funcall.scm 177 */
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_23),
										CNST_TABLE_REF(((long) 16)));
									BGl_codez12z12zzsaw_jvm_outz00(
										(BgL_jvmz00_bglt) (BgL_mez00_23),
										CNST_TABLE_REF(((long) 23)));
								}
							else
								{	/* SawJvm/funcall.scm 177 */
									BgL_mez00_1252 = BgL_mez00_23;
									BgL_nz00_1253 = BgL_arityz00_1247;
									BgL_fixedarityzf3zf3_1254 = ((bool_t) 1);
								BgL_zc3anonymousza34039ze3z83_1255:
									if (((long) CINT(BgL_nz00_1253) == ((long) 0)))
										{	/* SawJvm/funcall.scm 155 */
											if (BgL_fixedarityzf3zf3_1254)
												{	/* SawJvm/funcall.scm 156 */
													BFALSE;
												}
											else
												{	/* SawJvm/funcall.scm 156 */
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 16)));
										}}
									else
										{	/* SawJvm/funcall.scm 155 */
											if (((long) CINT(BgL_nz00_1253) == ((long) 1)))
												{	/* SawJvm/funcall.scm 158 */
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 16)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 18)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 19)));
													if (BgL_fixedarityzf3zf3_1254)
														{	/* SawJvm/funcall.scm 162 */
															BFALSE;
														}
													else
														{	/* SawJvm/funcall.scm 162 */
															BGl_codez12z12zzsaw_jvm_outz00(
																(BgL_jvmz00_bglt) (BgL_mez00_1252),
																CNST_TABLE_REF(((long) 16)));
															BGl_codez12z12zzsaw_jvm_outz00(
																(BgL_jvmz00_bglt) (BgL_mez00_1252),
																CNST_TABLE_REF(((long) 18)));
															BGl_codez12z12zzsaw_jvm_outz00(
																(BgL_jvmz00_bglt) (BgL_mez00_1252),
																CNST_TABLE_REF(((long) 20)));
												}}
											else
												{	/* SawJvm/funcall.scm 158 */
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 16)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 18)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 21)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 20)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 22)));
													BGl_codez12z12zzsaw_jvm_outz00(
														(BgL_jvmz00_bglt) (BgL_mez00_1252),
														CNST_TABLE_REF(((long) 19)));
													{
														obj_t BgL_nz00_2463;

														BgL_nz00_2463 =
															BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_1253,
															BINT(((long) 1)));
														BgL_nz00_1253 = BgL_nz00_2463;
														goto BgL_zc3anonymousza34039ze3z83_1255;
													}
												}
										}
								}
						}
					else
						{
							bool_t BgL_fixedarityzf3zf3_2470;

							obj_t BgL_nz00_2467;

							obj_t BgL_mez00_2466;

							BgL_mez00_2466 = BgL_mez00_23;
							BgL_nz00_2467 =
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BINT(((long) -1)),
								BgL_arityz00_1247);
							BgL_fixedarityzf3zf3_2470 = ((bool_t) 0);
							BgL_fixedarityzf3zf3_1254 = BgL_fixedarityzf3zf3_2470;
							BgL_nz00_1253 = BgL_nz00_2467;
							BgL_mez00_1252 = BgL_mez00_2466;
							goto BgL_zc3anonymousza34039ze3z83_1255;
						}
					BGl_callzd2globalzd2zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_23),
						BGl_globalzd2entryzd2zzbackend_cplibz00(
							(BgL_globalz00_bglt) (BgL_pz00_25)));
					return
						BGl_codez12z12zzsaw_jvm_outz00(
						(BgL_jvmz00_bglt) (BgL_mez00_23), CNST_TABLE_REF(((long) 7)));
		}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			{	/* SawJvm/funcall.scm 14 */
				obj_t BgL_arg4043z00_1260;

				obj_t BgL_arg4044z00_1261;

				obj_t BgL_arg4047z00_1264;

				BgL_arg4043z00_1260 = CNST_TABLE_REF(((long) 24));
				BgL_arg4044z00_1261 = BGl_globalz00zzast_varz00;
				{	/* SawJvm/funcall.scm 14 */
					obj_t BgL_v3882z00_1265;

					BgL_v3882z00_1265 = create_vector((int) (((long) 0)));
					BgL_arg4047z00_1264 = BgL_v3882z00_1265;
				}
				BGl_indexedz00zzsaw_jvm_funcallz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4043z00_1260,
					BgL_arg4044z00_1261, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2indexedzd2envz52zzsaw_jvm_funcallz00,
					BGl_indexedzd2nilzd2envz00zzsaw_jvm_funcallz00,
					BGl_indexedzf3zd2envz21zzsaw_jvm_funcallz00, ((long) 281989186),
					BFALSE, BFALSE, BgL_arg4047z00_1264);
			}
			return (BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* indexed? */
	BGL_EXPORTED_DEF bool_t BGl_indexedzf3zf3zzsaw_jvm_funcallz00(obj_t
		BgL_obj3806z00_26)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3806z00_26,
				BGl_indexedz00zzsaw_jvm_funcallz00);
		}
	}



/* _indexed? */
	obj_t BGl__indexedzf3zf3zzsaw_jvm_funcallz00(obj_t BgL_envz00_1971,
		obj_t BgL_obj3806z00_1972)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3806z00_1972,
					BGl_indexedz00zzsaw_jvm_funcallz00));
		}
	}



/* widening-indexed */
	BGL_EXPORTED_DEF BgL_indexedz00_bglt
		BGl_wideningzd2indexedzd2zzsaw_jvm_funcallz00(int BgL_index3771z00_30)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_indexedz00_bglt BgL_new3772z00_1830;

				BgL_new3772z00_1830 =
					((BgL_indexedz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_indexedz00_bgl))));
				{	/* SawJvm/funcall.scm 14 */
					BgL_indexedz00_bglt BgL_res4124z00_1834;

					{	/* SawJvm/funcall.scm 14 */
						BgL_indexedz00_bglt BgL_new3794z00_1831;

						BgL_new3794z00_1831 = BgL_new3772z00_1830;
						{	/* SawJvm/funcall.scm 14 */
							int BgL_index3793z00_1833;

							BgL_index3793z00_1833 = BgL_index3771z00_30;
							((((BgL_indexedz00_bglt) CREF(BgL_new3794z00_1831))->
									BgL_indexz00) = ((int) BgL_index3793z00_1833), BUNSPEC);
							BgL_res4124z00_1834 = BgL_new3794z00_1831;
					}} BgL_res4124z00_1834;
				}
				return BgL_new3772z00_1830;
			}
		}
	}



/* _widening-indexed */
	obj_t BGl__wideningzd2indexedzd2zzsaw_jvm_funcallz00(obj_t BgL_envz00_1973,
		obj_t BgL_index3771z00_1974)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			return
				(obj_t) (BGl_wideningzd2indexedzd2zzsaw_jvm_funcallz00(CINT
					(BgL_index3771z00_1974)));
		}
	}



/* make-indexed */
	BGL_EXPORTED_DEF BgL_indexedz00_bglt
		BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(obj_t BgL_id3775z00_31,
		obj_t BgL_name3776z00_32, BgL_typez00_bglt BgL_type3777z00_33,
		BgL_valuez00_bglt BgL_value3778z00_34, obj_t BgL_access3779z00_35,
		obj_t BgL_fastzd2alpha3780zd2_36, obj_t BgL_removable3781z00_37,
		long BgL_occurrence3782z00_38, obj_t BgL_module3783z00_39,
		obj_t BgL_import3784z00_40, bool_t BgL_evaluablezf33785zf3_41,
		obj_t BgL_library3786z00_42, bool_t BgL_userzf33787zf3_43,
		obj_t BgL_pragma3788z00_44, obj_t BgL_src3789z00_45,
		obj_t BgL_jvmzd2typezd2name3790z00_46, int BgL_index3774z00_47)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_globalz00_bglt BgL_aux3791z00_1835;

				BgL_aux3791z00_1835 =
					BGl_makezd2globalzd2zzast_varz00(BgL_id3775z00_31, BgL_name3776z00_32,
					BgL_type3777z00_33, BgL_value3778z00_34, BgL_access3779z00_35,
					BgL_fastzd2alpha3780zd2_36, BgL_removable3781z00_37,
					BgL_occurrence3782z00_38, BgL_module3783z00_39, BgL_import3784z00_40,
					BgL_evaluablezf33785zf3_41, BgL_library3786z00_42,
					BgL_userzf33787zf3_43, BgL_pragma3788z00_44, BgL_src3789z00_45,
					BgL_jvmzd2typezd2name3790z00_46);
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_aux3791z00_1835),
					BGl_classzd2numzd2zz__objectz00(BGl_indexedz00zzsaw_jvm_funcallz00));
				{	/* SawJvm/funcall.scm 14 */
					BgL_indexedz00_bglt BgL_arg4049z00_1837;

					{	/* SawJvm/funcall.scm 14 */
						BgL_indexedz00_bglt BgL_res4126z00_1847;

						{	/* SawJvm/funcall.scm 14 */
							BgL_indexedz00_bglt BgL_new3772z00_1842;

							BgL_new3772z00_1842 =
								((BgL_indexedz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_indexedz00_bgl))));
							{	/* SawJvm/funcall.scm 14 */
								BgL_indexedz00_bglt BgL_res4125z00_1846;

								{	/* SawJvm/funcall.scm 14 */
									BgL_indexedz00_bglt BgL_new3794z00_1843;

									BgL_new3794z00_1843 = BgL_new3772z00_1842;
									{	/* SawJvm/funcall.scm 14 */
										int BgL_index3793z00_1845;

										BgL_index3793z00_1845 = BgL_index3774z00_47;
										((((BgL_indexedz00_bglt) CREF(BgL_new3794z00_1843))->
												BgL_indexz00) = ((int) BgL_index3793z00_1845), BUNSPEC);
										BgL_res4125z00_1846 = BgL_new3794z00_1843;
								}} BgL_res4125z00_1846;
							}
							BgL_res4126z00_1847 = BgL_new3772z00_1842;
						}
						BgL_arg4049z00_1837 = BgL_res4126z00_1847;
					}
					{	/* SawJvm/funcall.scm 14 */
						obj_t BgL_auxz00_2498;

						BgL_objectz00_bglt BgL_auxz00_2496;

						BgL_auxz00_2498 = (obj_t) (BgL_arg4049z00_1837);
						BgL_auxz00_2496 = (BgL_objectz00_bglt) (BgL_aux3791z00_1835);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2496, BgL_auxz00_2498);
				}}
				return
					((BgL_indexedz00_bglt) (BgL_indexedz00_bglt) (BgL_aux3791z00_1835));
			}
		}
	}



/* _make-indexed4135 */
	obj_t BGl__makezd2indexed4135zd2zzsaw_jvm_funcallz00(obj_t BgL_envz00_1975,
		obj_t BgL_id3775z00_1976, obj_t BgL_name3776z00_1977,
		obj_t BgL_type3777z00_1978, obj_t BgL_value3778z00_1979,
		obj_t BgL_access3779z00_1980, obj_t BgL_fastzd2alpha3780zd2_1981,
		obj_t BgL_removable3781z00_1982, obj_t BgL_occurrence3782z00_1983,
		obj_t BgL_module3783z00_1984, obj_t BgL_import3784z00_1985,
		obj_t BgL_evaluablezf33785zf3_1986, obj_t BgL_library3786z00_1987,
		obj_t BgL_userzf33787zf3_1988, obj_t BgL_pragma3788z00_1989,
		obj_t BgL_src3789z00_1990, obj_t BgL_jvmzd2typezd2name3790z00_1991,
		obj_t BgL_index3774z00_1992)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			return
				(obj_t) (BGl_makezd2indexedzd2zzsaw_jvm_funcallz00(BgL_id3775z00_1976,
					BgL_name3776z00_1977, (BgL_typez00_bglt) (BgL_type3777z00_1978),
					(BgL_valuez00_bglt) (BgL_value3778z00_1979), BgL_access3779z00_1980,
					BgL_fastzd2alpha3780zd2_1981, BgL_removable3781z00_1982,
					(long) CINT(BgL_occurrence3782z00_1983), BgL_module3783z00_1984,
					BgL_import3784z00_1985, CBOOL(BgL_evaluablezf33785zf3_1986),
					BgL_library3786z00_1987, CBOOL(BgL_userzf33787zf3_1988),
					BgL_pragma3788z00_1989, BgL_src3789z00_1990,
					BgL_jvmzd2typezd2name3790z00_1991, CINT(BgL_index3774z00_1992)));
		}
	}



/* fill-indexed! */
	BGL_EXPORTED_DEF BgL_indexedz00_bglt
		BGl_fillzd2indexedz12zc0zzsaw_jvm_funcallz00(BgL_indexedz00_bglt
		BgL_new3794z00_48, int BgL_index3793z00_49)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				int BgL_index3793z00_2022;

				BgL_index3793z00_2022 = BgL_index3793z00_49;
				((((BgL_indexedz00_bglt) CREF(BgL_new3794z00_48))->BgL_indexz00) =
					((int) BgL_index3793z00_2022), BUNSPEC);
				return BgL_new3794z00_48;
			}
		}
	}



/* _fill-indexed!4136 */
	obj_t BGl__fillzd2indexedz124136zc0zzsaw_jvm_funcallz00(obj_t BgL_envz00_1993,
		obj_t BgL_new3794z00_1994, obj_t BgL_index3793z00_1995)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_indexedz00_bglt BgL_auxz00_2512;

				{	/* SawJvm/funcall.scm 14 */
					BgL_indexedz00_bglt BgL_res4153z00_2026;

					{	/* SawJvm/funcall.scm 14 */
						BgL_indexedz00_bglt BgL_new3794z00_2023;

						int BgL_index3793z00_2024;

						BgL_new3794z00_2023 = (BgL_indexedz00_bglt) (BgL_new3794z00_1994);
						BgL_index3793z00_2024 = CINT(BgL_index3793z00_1995);
						{	/* SawJvm/funcall.scm 14 */
							int BgL_index3793z00_2025;

							BgL_index3793z00_2025 = BgL_index3793z00_2024;
							((((BgL_indexedz00_bglt) CREF(BgL_new3794z00_2023))->
									BgL_indexz00) = ((int) BgL_index3793z00_2025), BUNSPEC);
							BgL_res4153z00_2026 = BgL_new3794z00_2023;
					}}
					BgL_auxz00_2512 = BgL_res4153z00_2026;
				}
				return (obj_t) (BgL_auxz00_2512);
			}
		}
	}



/* %allocate-indexed */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_z52allocatezd2indexedz80zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_globalz00_bglt BgL_new3797z00_2027;

				BgL_new3797z00_2027 =
					((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3797z00_2027),
					BGl_classzd2numzd2zz__objectz00(BGl_indexedz00zzsaw_jvm_funcallz00));
				{	/* SawJvm/funcall.scm 14 */
					BgL_objectz00_bglt BgL_auxz00_2521;

					BgL_auxz00_2521 = (BgL_objectz00_bglt) (BgL_new3797z00_2027);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2521, BFALSE);
				}
				return BgL_new3797z00_2027;
			}
		}
	}



/* _%allocate-indexed */
	obj_t BGl__z52allocatezd2indexedz80zzsaw_jvm_funcallz00(obj_t BgL_envz00_1969)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{	/* SawJvm/funcall.scm 14 */
				BgL_globalz00_bglt BgL_auxz00_2524;

				{	/* SawJvm/funcall.scm 14 */
					BgL_globalz00_bglt BgL_res4154z00_2031;

					{	/* SawJvm/funcall.scm 14 */
						BgL_globalz00_bglt BgL_new3797z00_2029;

						BgL_new3797z00_2029 =
							((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3797z00_2029),
							BGl_classzd2numzd2zz__objectz00
							(BGl_indexedz00zzsaw_jvm_funcallz00));
						{	/* SawJvm/funcall.scm 14 */
							BgL_objectz00_bglt BgL_auxz00_2529;

							BgL_auxz00_2529 = (BgL_objectz00_bglt) (BgL_new3797z00_2029);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2529, BFALSE);
						}
						BgL_res4154z00_2031 = BgL_new3797z00_2029;
					}
					BgL_auxz00_2524 = BgL_res4154z00_2031;
				}
				return (obj_t) (BgL_auxz00_2524);
			}
		}
	}



/* indexed-nil */
	BGL_EXPORTED_DEF BgL_indexedz00_bglt
		BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			if ((BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00 == BUNSPEC))
				{	/* SawJvm/funcall.scm 14 */
					{	/* SawJvm/funcall.scm 14 */
						BgL_globalz00_bglt BgL_res4127z00_1857;

						{	/* SawJvm/funcall.scm 14 */
							BgL_globalz00_bglt BgL_new1588z00_1853;

							BgL_new1588z00_1853 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1588z00_1853),
								BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00));
							{	/* SawJvm/funcall.scm 14 */
								BgL_objectz00_bglt BgL_auxz00_2539;

								BgL_auxz00_2539 = (BgL_objectz00_bglt) (BgL_new1588z00_1853);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2539, BFALSE);
							}
							BgL_res4127z00_1857 = BgL_new1588z00_1853;
						}
						BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00 =
							(obj_t) (BgL_res4127z00_1857);
					}
					{	/* SawJvm/funcall.scm 14 */
						obj_t BgL_arg4052z00_1275;

						BgL_typez00_bglt BgL_arg4053z00_1276;

						BgL_valuez00_bglt BgL_arg4054z00_1277;

						obj_t BgL_arg4056z00_1279;

						BgL_arg4052z00_1275 = CNST_TABLE_REF(((long) 25));
						BgL_arg4053z00_1276 = BGl_typezd2nilzd2zztype_typez00();
						BgL_arg4054z00_1277 = BGl_valuezd2nilzd2zzast_varz00();
						BgL_arg4056z00_1279 = CNST_TABLE_REF(((long) 25));
						{	/* SawJvm/funcall.scm 14 */
							BgL_globalz00_bglt BgL_res4128z00_1891;

							{	/* SawJvm/funcall.scm 14 */
								BgL_globalz00_bglt BgL_new1570z00_1858;

								BgL_new1570z00_1858 =
									(BgL_globalz00_bglt)
									(BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00);
								{	/* SawJvm/funcall.scm 14 */
									obj_t BgL_id1554z00_1875;

									obj_t BgL_name1555z00_1876;

									BgL_typez00_bglt BgL_type1556z00_1877;

									BgL_valuez00_bglt BgL_value1557z00_1878;

									obj_t BgL_access1558z00_1879;

									obj_t BgL_fastzd2alpha1559zd2_1880;

									obj_t BgL_removable1560z00_1881;

									long BgL_occurrence1561z00_1882;

									obj_t BgL_module1562z00_1883;

									obj_t BgL_import1563z00_1884;

									bool_t BgL_evaluablezf31564zf3_1885;

									obj_t BgL_library1565z00_1886;

									bool_t BgL_userzf31566zf3_1887;

									obj_t BgL_pragma1567z00_1888;

									obj_t BgL_src1568z00_1889;

									obj_t BgL_jvmzd2typezd2name1569z00_1890;

									BgL_id1554z00_1875 = BgL_arg4052z00_1275;
									BgL_name1555z00_1876 = BUNSPEC;
									BgL_type1556z00_1877 = BgL_arg4053z00_1276;
									BgL_value1557z00_1878 = BgL_arg4054z00_1277;
									BgL_access1558z00_1879 = BUNSPEC;
									BgL_fastzd2alpha1559zd2_1880 = BUNSPEC;
									BgL_removable1560z00_1881 = BUNSPEC;
									BgL_occurrence1561z00_1882 = ((long) 0);
									BgL_module1562z00_1883 = BgL_arg4056z00_1279;
									BgL_import1563z00_1884 = BUNSPEC;
									BgL_evaluablezf31564zf3_1885 = ((bool_t) 0);
									BgL_library1565z00_1886 = BUNSPEC;
									BgL_userzf31566zf3_1887 = ((bool_t) 0);
									BgL_pragma1567z00_1888 = BUNSPEC;
									BgL_src1568z00_1889 = BUNSPEC;
									BgL_jvmzd2typezd2name1569z00_1890 =
										BGl_string4146z00zzsaw_jvm_funcallz00;
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_idz00) = ((obj_t) BgL_id1554z00_1875), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_namez00) = ((obj_t) BgL_name1555z00_1876), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_type1556z00_1877), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_value1557z00_1878), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_accessz00) =
										((obj_t) BgL_access1558z00_1879), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_fastzd2alphazd2) =
										((obj_t) BgL_fastzd2alpha1559zd2_1880), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_removablez00) =
										((obj_t) BgL_removable1560z00_1881), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_occurrencez00) =
										((long) BgL_occurrence1561z00_1882), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_modulez00) =
										((obj_t) BgL_module1562z00_1883), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_importz00) =
										((obj_t) BgL_import1563z00_1884), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_evaluablezf3zf3) =
										((bool_t) BgL_evaluablezf31564zf3_1885), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_libraryz00) =
										((obj_t) BgL_library1565z00_1886), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_userzf3zf3) =
										((bool_t) BgL_userzf31566zf3_1887), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_pragmaz00) =
										((obj_t) BgL_pragma1567z00_1888), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_srcz00) = ((obj_t) BgL_src1568z00_1889), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1858))->
											BgL_jvmzd2typezd2namez00) =
										((obj_t) BgL_jvmzd2typezd2name1569z00_1890), BUNSPEC);
									BgL_res4128z00_1891 = BgL_new1570z00_1858;
							}} BgL_res4128z00_1891;
					}}
					{	/* SawJvm/funcall.scm 14 */
						long BgL_arg4058z00_1281;

						BgL_arg4058z00_1281 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_indexedz00zzsaw_jvm_funcallz00);
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00),
							BgL_arg4058z00_1281);
					}
					{	/* SawJvm/funcall.scm 14 */
						BgL_indexedz00_bglt BgL_arg4059z00_1282;

						{	/* SawJvm/funcall.scm 14 */
							BgL_indexedz00_bglt BgL_res4130z00_1900;

							{	/* SawJvm/funcall.scm 14 */
								int BgL_index3771z00_1894;

								BgL_index3771z00_1894 = (int) (((long) 0));
								{	/* SawJvm/funcall.scm 14 */
									BgL_indexedz00_bglt BgL_new3772z00_1895;

									BgL_new3772z00_1895 =
										((BgL_indexedz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_indexedz00_bgl))));
									{	/* SawJvm/funcall.scm 14 */
										BgL_indexedz00_bglt BgL_res4129z00_1899;

										{	/* SawJvm/funcall.scm 14 */
											BgL_indexedz00_bglt BgL_new3794z00_1896;

											BgL_new3794z00_1896 = BgL_new3772z00_1895;
											{	/* SawJvm/funcall.scm 14 */
												int BgL_index3793z00_1898;

												BgL_index3793z00_1898 = BgL_index3771z00_1894;
												((((BgL_indexedz00_bglt) CREF(BgL_new3794z00_1896))->
														BgL_indexz00) =
													((int) BgL_index3793z00_1898), BUNSPEC);
												BgL_res4129z00_1899 = BgL_new3794z00_1896;
										}} BgL_res4129z00_1899;
									}
									BgL_res4130z00_1900 = BgL_new3772z00_1895;
							}}
							BgL_arg4059z00_1282 = BgL_res4130z00_1900;
						}
						{	/* SawJvm/funcall.scm 14 */
							obj_t BgL_auxz00_2572;

							BgL_objectz00_bglt BgL_auxz00_2570;

							BgL_auxz00_2572 = (obj_t) (BgL_arg4059z00_1282);
							BgL_auxz00_2570 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2570, BgL_auxz00_2572);
				}}}
			else
				{	/* SawJvm/funcall.scm 14 */
					BFALSE;
				}
			return
				(BgL_indexedz00_bglt)
				(BGl_z52thezd2indexedzd2nilz52zzsaw_jvm_funcallz00);
		}
	}



/* _indexed-nil */
	obj_t BGl__indexedzd2nilzd2zzsaw_jvm_funcallz00(obj_t BgL_envz00_1970)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			return (obj_t) (BGl_indexedzd2nilzd2zzsaw_jvm_funcallz00());
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_indexedz00zzsaw_jvm_funcallz00,
				BGl_proc4147z00zzsaw_jvm_funcallz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_indexedz00zzsaw_jvm_funcallz00,
				BGl_proc4148z00zzsaw_jvm_funcallz00);
		}
	}



/* struct+object->objec3886 */
	obj_t BGl_structzb2objectzd2ze3objec3886z83zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_2003, obj_t BgL_oz00_2004, obj_t BgL_sz00_2005)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{
				BgL_indexedz00_bglt BgL_oz00_1735;

				obj_t BgL_sz00_1736;

				{	/* SawJvm/funcall.scm 14 */
					BgL_indexedz00_bglt BgL_auxz00_2580;

					BgL_oz00_1735 = (BgL_indexedz00_bglt) (BgL_oz00_2004);
					BgL_sz00_1736 = BgL_sz00_2005;
					{

						{	/* SawJvm/funcall.scm 14 */
							obj_t BgL_old3801z00_1739;

							obj_t BgL_aux3802z00_1740;

							{	/* SawJvm/funcall.scm 14 */
								obj_t BgL_nextzd2method3885zd2_1745;

								BgL_nextzd2method3885zd2_1745 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1735),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_indexedz00zzsaw_jvm_funcallz00);
								if (PROCEDUREP(BgL_nextzd2method3885zd2_1745))
									{	/* SawJvm/funcall.scm 14 */
										BgL_old3801z00_1739 =
											PROCEDURE_ENTRY(BgL_nextzd2method3885zd2_1745)
											(BgL_nextzd2method3885zd2_1745, (obj_t) (BgL_oz00_1735),
											BgL_sz00_1736, BEOA);
									}
								else
									{	/* SawJvm/funcall.scm 14 */
										BgL_old3801z00_1739 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1735), BgL_sz00_1736));
									}
							}
							BgL_aux3802z00_1740 =
								STRUCT_REF(BgL_sz00_1736, (int) (((long) 0)));
							{	/* SawJvm/funcall.scm 14 */
								BgL_indexedz00_bglt BgL_new3803z00_1741;

								BgL_new3803z00_1741 =
									((BgL_indexedz00_bglt) (BgL_old3801z00_1739));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new3803z00_1741),
									BGl_classzd2numzd2zz__objectz00
									(BGl_indexedz00zzsaw_jvm_funcallz00));
								{	/* SawJvm/funcall.scm 14 */
									BgL_indexedz00_bglt BgL_arg4119z00_1743;

									{	/* SawJvm/funcall.scm 14 */
										obj_t BgL_arg4120z00_1744;

										BgL_arg4120z00_1744 =
											STRUCT_REF(BgL_aux3802z00_1740, (int) (((long) 0)));
										{	/* SawJvm/funcall.scm 14 */
											BgL_indexedz00_bglt BgL_res4133z00_1950;

											{	/* SawJvm/funcall.scm 14 */
												int BgL_index3771z00_1944;

												BgL_index3771z00_1944 = CINT(BgL_arg4120z00_1744);
												{	/* SawJvm/funcall.scm 14 */
													BgL_indexedz00_bglt BgL_new3772z00_1945;

													BgL_new3772z00_1945 =
														((BgL_indexedz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_indexedz00_bgl))));
													{	/* SawJvm/funcall.scm 14 */
														BgL_indexedz00_bglt BgL_res4132z00_1949;

														{	/* SawJvm/funcall.scm 14 */
															BgL_indexedz00_bglt BgL_new3794z00_1946;

															BgL_new3794z00_1946 = BgL_new3772z00_1945;
															{	/* SawJvm/funcall.scm 14 */
																int BgL_index3793z00_1948;

																BgL_index3793z00_1948 = BgL_index3771z00_1944;
																((((BgL_indexedz00_bglt)
																			CREF(BgL_new3794z00_1946))->
																		BgL_indexz00) =
																	((int) BgL_index3793z00_1948), BUNSPEC);
																BgL_res4132z00_1949 = BgL_new3794z00_1946;
														}} BgL_res4132z00_1949;
													}
													BgL_res4133z00_1950 = BgL_new3772z00_1945;
											}}
											BgL_arg4119z00_1743 = BgL_res4133z00_1950;
									}}
									{	/* SawJvm/funcall.scm 14 */
										obj_t BgL_auxz00_2604;

										BgL_objectz00_bglt BgL_auxz00_2602;

										BgL_auxz00_2604 = (obj_t) (BgL_arg4119z00_1743);
										BgL_auxz00_2602 =
											(BgL_objectz00_bglt) (BgL_new3803z00_1741);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2602, BgL_auxz00_2604);
								}}
								BgL_auxz00_2580 = BgL_new3803z00_1741;
					}}}
					return (obj_t) (BgL_auxz00_2580);
				}
			}
		}
	}



/* object->struct-index3884 */
	obj_t BGl_objectzd2ze3structzd2index3884ze3zzsaw_jvm_funcallz00(obj_t
		BgL_envz00_2006, obj_t BgL_obj3798z00_2007)
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 14 */
			{
				BgL_indexedz00_bglt BgL_obj3798z00_1725;

				BgL_obj3798z00_1725 = (BgL_indexedz00_bglt) (BgL_obj3798z00_2007);
				{

					{	/* SawJvm/funcall.scm 14 */
						obj_t BgL_res3799z00_1728;

						{	/* SawJvm/funcall.scm 14 */
							obj_t BgL_nextzd2method3883zd2_1733;

							BgL_nextzd2method3883zd2_1733 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3798z00_1725),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_indexedz00zzsaw_jvm_funcallz00);
							if (PROCEDUREP(BgL_nextzd2method3883zd2_1733))
								{	/* SawJvm/funcall.scm 14 */
									BgL_res3799z00_1728 =
										PROCEDURE_ENTRY(BgL_nextzd2method3883zd2_1733)
										(BgL_nextzd2method3883zd2_1733,
										(obj_t) (BgL_obj3798z00_1725), BEOA);
								}
							else
								{	/* SawJvm/funcall.scm 14 */
									BgL_res3799z00_1728 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3798z00_1725));
								}
						}
						{	/* SawJvm/funcall.scm 14 */
							obj_t BgL_aux3800z00_1729;

							{	/* SawJvm/funcall.scm 14 */
								obj_t BgL_keyz00_1921;

								BgL_keyz00_1921 = CNST_TABLE_REF(((long) 24));
								BgL_aux3800z00_1729 =
									make_struct(BgL_keyz00_1921, (int) (((long) 1)), BUNSPEC);
							}
							{	/* SawJvm/funcall.scm 14 */
								int BgL_arg4115z00_1731;

								{
									obj_t BgL_auxz00_2621;

									{	/* SawJvm/funcall.scm 14 */
										BgL_objectz00_bglt BgL_auxz00_2622;

										BgL_auxz00_2622 =
											(BgL_objectz00_bglt) (BgL_obj3798z00_1725);
										BgL_auxz00_2621 = BGL_OBJECT_WIDENING(BgL_auxz00_2622);
									}
									BgL_arg4115z00_1731 =
										(((BgL_indexedz00_bglt) CREF(BgL_auxz00_2621))->
										BgL_indexz00);
								}
								{	/* SawJvm/funcall.scm 14 */
									obj_t BgL_auxz00_2628;

									int BgL_auxz00_2626;

									BgL_auxz00_2628 = BINT(BgL_arg4115z00_1731);
									BgL_auxz00_2626 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3800z00_1729, BgL_auxz00_2626,
										BgL_auxz00_2628);
							}}
							{	/* SawJvm/funcall.scm 14 */
								int BgL_auxz00_2631;

								BgL_auxz00_2631 = (int) (((long) 0));
								STRUCT_SET(BgL_res3799z00_1728, BgL_auxz00_2631,
									BgL_aux3800z00_1729);
							}
							{	/* SawJvm/funcall.scm 14 */
								obj_t BgL_auxz00_2634;

								BgL_auxz00_2634 = STRUCT_KEY(BgL_res3799z00_1728);
								STRUCT_KEY_SET(BgL_aux3800z00_1729, BgL_auxz00_2634);
							}
							{	/* SawJvm/funcall.scm 14 */
								obj_t BgL_kz00_1936;

								BgL_kz00_1936 = CNST_TABLE_REF(((long) 24));
								STRUCT_KEY_SET(BgL_res3799z00_1728, BgL_kz00_1936);
							}
							return BgL_res3799z00_1728;
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_funcallz00()
	{
		AN_OBJECT;
		{	/* SawJvm/funcall.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 71067807),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 52967775),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_libz00(((long) 256265790),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 254412896),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			BGl_modulezd2initializa7ationz75zzsaw_proceduresz00(((long) 3755867),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(((long) 71277553),
				BSTRING_TO_STRING(BGl_string4149z00zzsaw_jvm_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
