/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;


	static obj_t BGl_zc3anonymousza33737ze3z83zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza33204ze3z83zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33205ze3z83zzast_sexpz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_liipz00zzast_sexpz00(obj_t);
	static obj_t BGl_zc3exitza33201ze3z83zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl__ifzd2symzd2zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl__locationzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t BGl__definezd2primopzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern BgL_sequencez00_bglt BGl_makezd2sequencezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_to_bstring(char *);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	static obj_t BGl_loopz00zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	extern BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_selectz00_bglt BGl_makezd2selectzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	static obj_t BGl__usezd2variablez12zc0zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern bool_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	extern BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	extern BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	static obj_t BGl__makezd2anonymouszd2namez00zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__errorz00(obj_t);
	extern BgL_conditionalz00_bglt BGl_makezd2conditionalzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt,
		BgL_nodez00_bglt);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl__errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_privatezd2ze3nodez31zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl__definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl__sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_lookupz00zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl__topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT char *BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_typeofzd2atomzd2zztype_typeofz00(obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t __cnst[40];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl__ifza7d2symza7d2za7za7as4078z00, BGl__ifzd2symzd2zzast_sexpz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4045z00zzast_sexpz00,
		BgL_bgl_string4045za700za7za7a4079za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string4046z00zzast_sexpz00,
		BgL_bgl_string4046za700za7za7a4080za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string4047z00zzast_sexpz00,
		BgL_bgl_string4047za700za7za7a4081za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string4048z00zzast_sexpz00,
		BgL_bgl_string4048za700za7za7a4082za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string4050z00zzast_sexpz00,
		BgL_bgl_string4050za700za7za7a4083za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string4049z00zzast_sexpz00,
		BgL_bgl_string4049za700za7za7a4084za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string4051z00zzast_sexpz00,
		BgL_bgl_string4051za700za7za7a4085za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string4052z00zzast_sexpz00,
		BgL_bgl_string4052za700za7za7a4086za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string4053z00zzast_sexpz00,
		BgL_bgl_string4053za700za7za7a4087za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string4054z00zzast_sexpz00,
		BgL_bgl_string4054za700za7za7a4088za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string4055z00zzast_sexpz00,
		BgL_bgl_string4055za700za7za7a4089za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string4056z00zzast_sexpz00,
		BgL_bgl_string4056za700za7za7a4090za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string4057z00zzast_sexpz00,
		BgL_bgl_string4057za700za7za7a4091za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string4058z00zzast_sexpz00,
		BgL_bgl_string4058za700za7za7a4092za7,
		"This backend (~a) does not support external first class value functions",
		71);
	      DEFINE_STRING(BGl_string4060z00zzast_sexpz00,
		BgL_bgl_string4060za700za7za7a4093za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string4059z00zzast_sexpz00,
		BgL_bgl_string4059za700za7za7a4094za7, "Illegal atom", 12);
	      DEFINE_STRING(BGl_string4061z00zzast_sexpz00,
		BgL_bgl_string4061za700za7za7a4095za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string4062z00zzast_sexpz00,
		BgL_bgl_string4062za700za7za7a4096za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string4063z00zzast_sexpz00,
		BgL_bgl_string4063za700za7za7a4097za7, "Illegal `pragma/effect' form", 28);
	      DEFINE_STRING(BGl_string4064z00zzast_sexpz00,
		BgL_bgl_string4064za700za7za7a4098za7, "Illegal `free-pragma/effect' form",
		33);
	      DEFINE_STRING(BGl_string4065z00zzast_sexpz00,
		BgL_bgl_string4065za700za7za7a4099za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string4066z00zzast_sexpz00,
		BgL_bgl_string4066za700za7za7a4100za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string4067z00zzast_sexpz00,
		BgL_bgl_string4067za700za7za7a4101za7, "($1)", 4);
	      DEFINE_STRING(BGl_string4068z00zzast_sexpz00,
		BgL_bgl_string4068za700za7za7a4102za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string4070z00zzast_sexpz00,
		BgL_bgl_string4070za700za7za7a4103za7, ":", 1);
	      DEFINE_STRING(BGl_string4069z00zzast_sexpz00,
		BgL_bgl_string4069za700za7za7a4104za7, "<", 1);
	      DEFINE_STRING(BGl_string4071z00zzast_sexpz00,
		BgL_bgl_string4071za700za7za7a4105za7, "./", 2);
	      DEFINE_STRING(BGl_string4072z00zzast_sexpz00,
		BgL_bgl_string4072za700za7za7a4106za7, ">", 1);
	      DEFINE_STRING(BGl_string4073z00zzast_sexpz00,
		BgL_bgl_string4073za700za7za7a4107za7, "-", 1);
	      DEFINE_STRING(BGl_string4074z00zzast_sexpz00,
		BgL_bgl_string4074za700za7za7a4108za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string4075z00zzast_sexpz00,
		BgL_bgl_string4075za700za7za7a4109za7,
		"> bdb pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write exp car cons (quote ()) jump-exit set-exit case failure free-pragma/effect free-pragma pragma/effect labels letrec let lambda define begin __r4_control_features_6_9 apply quote @ app eval not ::bool test location set! pragma else value if (value apply app set!) ",
		376);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl__errorza7d2sexpza7d24110z00,
		BGl__errorzd2sexpzd2ze3nodeze3zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl__defineza7d2primop4111za7,
		BGl__definezd2primopzd2ze3nodeze3zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl__sexpza7d2za7e3nodeza74112za7, BGl__sexpzd2ze3nodez31zzast_sexpz00,
		0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl__locationza7d2za7e3n4113z00,
		BGl__locationzd2ze3nodez31zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl__useza7d2variableza74114z00, BGl__usezd2variablez12zc0zzast_sexpz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl__sexpza7a2za7d2za7e3no4115za7,
		BGl__sexpza2zd2ze3nodez93zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl__makeza7d2anonymou4116za7, va_generic_entry,
		BGl__makezd2anonymouszd2namez00zzast_sexpz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl__topza7d2levelza7d2s4117z00,
		BGl__topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl__defineza7d2primop4118za7,
		BGl__definezd2primopzd2refzd2ze3nodez31zzast_sexpz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_2885, char *BgL_fromz00_2886)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					BGl_toplevelzd2initzd2zzast_sexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_2877;

				BgL_cportz00_2877 =
					bgl_open_input_string(BGl_string4075z00zzast_sexpz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2878;

					BgL_iz00_2878 = ((long) 39);
				BgL_loopz00_2879:
					if ((BgL_iz00_2878 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg4077z00_2881;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_2883;

										BgL_locationz00_2883 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg4077z00_2881 =
												BGl_readz00zz__readerz00(BgL_cportz00_2877,
												BgL_locationz00_2883);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_auxz00_2911;

									BgL_auxz00_2911 = (int) (BgL_iz00_2878);
									CNST_TABLE_SET(BgL_auxz00_2911, BgL_arg4077z00_2881);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_2884;

								BgL_auxz00_2884 = (int) ((BgL_iz00_2878 - ((long) 1)));
								{
									long BgL_iz00_2916;

									BgL_iz00_2916 = (long) (BgL_auxz00_2884);
									BgL_iz00_2878 = BgL_iz00_2916;
									goto BgL_loopz00_2879;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_15,
		obj_t BgL_locz00_16)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 59 */
			return
				(BgL_nodez00_bglt) (BGl_zc3exitza33201ze3z83zzast_sexpz00(BgL_locz00_16,
					BgL_expz00_15));
		}
	}



/* <exit:3201> */
	obj_t BGl_zc3exitza33201ze3z83zzast_sexpz00(obj_t BgL_locz00_2875,
		obj_t BgL_expz00_2874)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 60 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit3163z00_865;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit3163z00_865))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit3163z00_865 = (void *) jmpbuf;
						{	/* Ast/sexp.scm 60 */

							PUSH_EXIT(BgL_an_exit3163z00_865, ((long) 1));
							{	/* Ast/sexp.scm 60 */
								obj_t BgL_an_exitd3164z00_866;

								BgL_an_exitd3164z00_866 = BGL_EXITD_TOP();
								{	/* Ast/sexp.scm 63 */
									obj_t BgL_res3166z00_869;

									{	/* Ast/sexp.scm 63 */
										obj_t BgL_zc3anonymousza33205ze3z83_2826;

										obj_t BgL_zc3anonymousza33204ze3z83_2827;

										BgL_zc3anonymousza33205ze3z83_2826 =
											make_fx_procedure
											(BGl_zc3anonymousza33205ze3z83zzast_sexpz00,
											(int) (((long) 0)), (int) (((long) 2)));
										BgL_zc3anonymousza33204ze3z83_2827 =
											make_fx_procedure
											(BGl_zc3anonymousza33204ze3z83zzast_sexpz00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza33205ze3z83_2826,
											(int) (((long) 0)), BgL_expz00_2874);
										PROCEDURE_SET(BgL_zc3anonymousza33205ze3z83_2826,
											(int) (((long) 1)), BgL_locz00_2875);
										PROCEDURE_SET(BgL_zc3anonymousza33204ze3z83_2827,
											(int) (((long) 0)), BgL_an_exitd3164z00_866);
										BgL_res3166z00_869 =
											BGl_withzd2exceptionzd2handlerz00zz__errorz00
											(BgL_zc3anonymousza33204ze3z83_2827,
											BgL_zc3anonymousza33205ze3z83_2826);
									}
									POP_EXIT();
									return BgL_res3166z00_869;
								}
							}
						}
					}
			}
		}
	}



/* _top-level-sexp->node */
	obj_t BGl__topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_envz00_2828,
		obj_t BgL_expz00_2829, obj_t BgL_locz00_2830)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 59 */
			return
				(obj_t) (BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
				(BgL_expz00_2829, BgL_locz00_2830));
		}
	}



/* <anonymous:3205> */
	obj_t BGl_zc3anonymousza33205ze3z83zzast_sexpz00(obj_t BgL_envz00_2831)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 65 */
			{	/* Ast/sexp.scm 66 */
				obj_t BgL_expz00_2832;

				obj_t BgL_locz00_2833;

				BgL_expz00_2832 = PROCEDURE_REF(BgL_envz00_2831, (int) (((long) 0)));
				BgL_locz00_2833 = PROCEDURE_REF(BgL_envz00_2831, (int) (((long) 1)));
				{

					{	/* Ast/sexp.scm 66 */
						BgL_nodez00_bglt BgL_auxz00_2947;

						BgL_auxz00_2947 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_2832, BNIL,
							BgL_locz00_2833, CNST_TABLE_REF(((long) 2)));
						return (obj_t) (BgL_auxz00_2947);
					}
				}
			}
		}
	}



/* <anonymous:3204> */
	obj_t BGl_zc3anonymousza33204ze3z83zzast_sexpz00(obj_t BgL_envz00_2834,
		obj_t BgL_ez00_2836)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			{	/* Ast/sexp.scm 63 */
				obj_t BgL_an_exitd3164z00_2835;

				BgL_an_exitd3164z00_2835 =
					PROCEDURE_REF(BgL_envz00_2834, (int) (((long) 0)));
				{
					obj_t BgL_ez00_872;

					BgL_ez00_872 = BgL_ez00_2836;
					BGl_exceptionzd2notifyzd2zz__errorz00(BgL_ez00_872);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd3164z00_2835,
						BUNSPEC);
				}
			}
		}
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 81 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* _if-sym */
	obj_t BGl__ifzd2symzd2zzast_sexpz00(obj_t BgL_envz00_2837)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 81 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_18, obj_t BgL_stackz00_19, obj_t BgL_locz00_20,
		obj_t BgL_sitez00_21)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 98 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_879;

				obj_t BgL_bodyz00_885;

				obj_t BgL_bodyz00_890;

				obj_t BgL_argsz00_891;

				obj_t BgL_varsz00_895;

				obj_t BgL_bodyz00_896;

				obj_t BgL_argsz00_897;

				obj_t BgL_effectz00_901;

				obj_t BgL_restz00_902;

				obj_t BgL_effectz00_905;

				obj_t BgL_restz00_906;

				if (NULLP(BgL_expz00_18))
					{	/* Ast/sexp.scm 103 */
						return
							BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string4060z00zzast_sexpz00, BgL_expz00_18, BgL_locz00_20);
					}
				else
					{	/* Ast/sexp.scm 103 */
						if (BGl_iszd2azf3z21zz__objectz00(BgL_expz00_18,
								BGl_nodez00zzast_nodez00))
							{	/* Ast/sexp.scm 103 */
								return (BgL_nodez00_bglt) (BgL_expz00_18);
							}
						else
							{	/* Ast/sexp.scm 103 */
								if (PAIRP(BgL_expz00_18))
									{	/* Ast/sexp.scm 103 */
										obj_t BgL_carzd21519zd2_920;

										BgL_carzd21519zd2_920 = CAR(BgL_expz00_18);
										if (SYMBOLP(BgL_carzd21519zd2_920))
											{	/* Ast/sexp.scm 103 */
												bool_t BgL_testz00_2966;

												{	/* Ast/sexp.scm 103 */
													obj_t BgL__ortest_3187z00_1070;

													BgL__ortest_3187z00_1070 =
														BGl_lookupz00zzast_sexpz00(BgL_carzd21519zd2_920,
														BgL_stackz00_19);
													if (CBOOL(BgL__ortest_3187z00_1070))
														{	/* Ast/sexp.scm 103 */
															BgL_testz00_2966 =
																CBOOL(BgL__ortest_3187z00_1070);
														}
													else
														{	/* Ast/sexp.scm 103 */
															obj_t BgL_gz00_1071;

															BgL_gz00_1071 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_carzd21519zd2_920, BNIL);
															if (CBOOL(BgL_gz00_1071))
																{	/* Ast/sexp.scm 103 */
																	bool_t BgL_testz00_2974;

																	{	/* Ast/sexp.scm 103 */
																		obj_t BgL_auxz00_2975;

																		{
																			BgL_globalz00_bglt BgL_auxz00_2976;

																			BgL_auxz00_2976 =
																				(BgL_globalz00_bglt) (BgL_gz00_1071);
																			BgL_auxz00_2975 =
																				(((BgL_globalz00_bglt)
																					CREF(BgL_auxz00_2976))->
																				BgL_modulez00);
																		}
																		BgL_testz00_2974 =
																			(BgL_auxz00_2975 ==
																			CNST_TABLE_REF(((long) 15)));
																	}
																	if (BgL_testz00_2974)
																		{	/* Ast/sexp.scm 103 */
																			BgL_testz00_2966 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/sexp.scm 103 */
																			BgL_testz00_2966 = ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/sexp.scm 103 */
																	BgL_testz00_2966 = ((bool_t) 0);
																}
														}
												}
												if (BgL_testz00_2966)
													{	/* Ast/sexp.scm 103 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_18,
															BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
													}
												else
													{	/* Ast/sexp.scm 103 */
														if (
															(CAR(BgL_expz00_18) ==
																CNST_TABLE_REF(((long) 12))))
															{	/* Ast/sexp.scm 103 */
																obj_t BgL_auxz00_2986;

															BgL_tagzd21467zd2_883:
																{	/* Ast/sexp.scm 187 */
																	obj_t BgL_locz00_1272;

																	BgL_locz00_1272 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_18, BgL_locz00_20);
																	{
																		obj_t BgL_namez00_1273;

																		obj_t BgL_modulez00_1274;

																		if (PAIRP(BgL_expz00_18))
																			{	/* Ast/sexp.scm 188 */
																				obj_t BgL_cdrzd22253zd2_1279;

																				BgL_cdrzd22253zd2_1279 =
																					CDR(BgL_expz00_18);
																				if (
																					(CAR(BgL_expz00_18) ==
																						CNST_TABLE_REF(((long) 12))))
																					{	/* Ast/sexp.scm 188 */
																						if (PAIRP(BgL_cdrzd22253zd2_1279))
																							{	/* Ast/sexp.scm 188 */
																								obj_t BgL_carzd22256zd2_1282;

																								obj_t BgL_cdrzd22257zd2_1283;

																								BgL_carzd22256zd2_1282 =
																									CAR(BgL_cdrzd22253zd2_1279);
																								BgL_cdrzd22257zd2_1283 =
																									CDR(BgL_cdrzd22253zd2_1279);
																								if (SYMBOLP
																									(BgL_carzd22256zd2_1282))
																									{	/* Ast/sexp.scm 188 */
																										if (PAIRP
																											(BgL_cdrzd22257zd2_1283))
																											{	/* Ast/sexp.scm 188 */
																												obj_t
																													BgL_carzd22262zd2_1286;
																												BgL_carzd22262zd2_1286 =
																													CAR
																													(BgL_cdrzd22257zd2_1283);
																												if (SYMBOLP
																													(BgL_carzd22262zd2_1286))
																													{	/* Ast/sexp.scm 188 */
																														if (NULLP(CDR
																																(BgL_cdrzd22257zd2_1283)))
																															{	/* Ast/sexp.scm 188 */
																																BgL_namez00_1273
																																	=
																																	BgL_carzd22256zd2_1282;
																																BgL_modulez00_1274
																																	=
																																	BgL_carzd22262zd2_1286;
																																{	/* Ast/sexp.scm 190 */
																																	obj_t
																																		BgL_globalz00_1292;
																																	BgL_globalz00_1292
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_1273,
																																		BgL_modulez00_1274);
																																	if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1292, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 194 */
																																			bool_t
																																				BgL_testz00_3012;
																																			{	/* Ast/sexp.scm 194 */
																																				obj_t
																																					BgL_auxz00_3013;
																																				{
																																					BgL_globalz00_bglt
																																						BgL_auxz00_3014;
																																					BgL_auxz00_3014
																																						=
																																						(BgL_globalz00_bglt)
																																						(BgL_globalz00_1292);
																																					BgL_auxz00_3013
																																						=
																																						(((BgL_globalz00_bglt) CREF(BgL_auxz00_3014))->BgL_importz00);
																																				}
																																				BgL_testz00_3012
																																					=
																																					(BgL_auxz00_3013
																																					==
																																					CNST_TABLE_REF
																																					(((long) 10)));
																																			}
																																			if (BgL_testz00_3012)
																																				{	/* Ast/sexp.scm 195 */
																																					obj_t
																																						BgL_arg3536z00_1295;
																																					{	/* Ast/sexp.scm 195 */
																																						obj_t
																																							BgL_arg3537z00_1296;
																																						obj_t
																																							BgL_arg3538z00_1297;
																																						BgL_arg3537z00_1296
																																							=
																																							CNST_TABLE_REF
																																							(((long) 10));
																																						{	/* Ast/sexp.scm 195 */
																																							obj_t
																																								BgL_list3539z00_1298;
																																							BgL_list3539z00_1298
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_arg3538z00_1297
																																								=
																																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																								(BGl_atomz00zzast_nodez00,
																																								BgL_list3539z00_1298);
																																						}
																																						BgL_arg3536z00_1295
																																							=
																																							MAKE_PAIR
																																							(BgL_arg3537z00_1296,
																																							BgL_arg3538z00_1297);
																																					}
																																					BgL_auxz00_2986
																																						=
																																						(obj_t)
																																						(BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(BgL_arg3536z00_1295,
																																							BgL_stackz00_19,
																																							BgL_locz00_1272,
																																							BgL_sitez00_21));
																																				}
																																			else
																																				{	/* Ast/sexp.scm 194 */
																																					BGl_usezd2variablez12zc0zzast_sexpz00
																																						(
																																						(BgL_variablez00_bglt)
																																						(BgL_globalz00_1292),
																																						BgL_locz00_1272,
																																						BgL_sitez00_21);
																																					{	/* Ast/sexp.scm 198 */
																																						bool_t
																																							BgL_testz00_3027;
																																						if (
																																							(BgL_sitez00_21
																																								==
																																								CNST_TABLE_REF
																																								(((long) 11))))
																																							{	/* Ast/sexp.scm 198 */
																																								BgL_testz00_3027
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 199 */
																																								BgL_valuez00_bglt
																																									BgL_arg3544z00_1303;
																																								{
																																									BgL_variablez00_bglt
																																										BgL_auxz00_3031;
																																									BgL_auxz00_3031
																																										=
																																										(BgL_variablez00_bglt)
																																										(BgL_globalz00_1292);
																																									BgL_arg3544z00_1303
																																										=
																																										(
																																										((BgL_variablez00_bglt) CREF(BgL_auxz00_3031))->BgL_valuez00);
																																								}
																																								{	/* Ast/sexp.scm 199 */
																																									obj_t
																																										BgL_obj1773z00_2489;
																																									BgL_obj1773z00_2489
																																										=
																																										(obj_t)
																																										(BgL_arg3544z00_1303);
																																									BgL_testz00_3027
																																										=
																																										BGl_iszd2azf3z21zz__objectz00
																																										(BgL_obj1773z00_2489,
																																										BGl_funz00zzast_varz00);
																																								}
																																							}
																																						if (BgL_testz00_3027)
																																							{	/* Ast/sexp.scm 201 */
																																								BgL_typez00_bglt
																																									BgL_arg3541z00_1300;
																																								{
																																									BgL_variablez00_bglt
																																										BgL_auxz00_3036;
																																									BgL_auxz00_3036
																																										=
																																										(BgL_variablez00_bglt)
																																										(BgL_globalz00_1292);
																																									BgL_arg3541z00_1300
																																										=
																																										(
																																										((BgL_variablez00_bglt) CREF(BgL_auxz00_3036))->BgL_typez00);
																																								}
																																								BgL_auxz00_2986
																																									=
																																									(obj_t)
																																									(BGl_makezd2closurezd2zzast_nodez00
																																									(BgL_locz00_1272,
																																										BgL_arg3541z00_1300,
																																										(BgL_variablez00_bglt)
																																										(BgL_globalz00_1292)));
																																							}
																																						else
																																							{	/* Ast/sexp.scm 204 */
																																								BgL_typez00_bglt
																																									BgL_arg3542z00_1301;
																																								{
																																									BgL_variablez00_bglt
																																										BgL_auxz00_3042;
																																									BgL_auxz00_3042
																																										=
																																										(BgL_variablez00_bglt)
																																										(BgL_globalz00_1292);
																																									BgL_arg3542z00_1301
																																										=
																																										(
																																										((BgL_variablez00_bglt) CREF(BgL_auxz00_3042))->BgL_typez00);
																																								}
																																								BgL_auxz00_2986
																																									=
																																									(obj_t)
																																									(BGl_makezd2varzd2zzast_nodez00
																																									(BgL_locz00_1272,
																																										BgL_arg3542z00_1301,
																																										(BgL_variablez00_bglt)
																																										(BgL_globalz00_1292)));
																																							}
																																					}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 192 */
																																			BgL_auxz00_2986
																																				=
																																				(obj_t)
																																				(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																				(BGl_string4057z00zzast_sexpz00,
																																					BgL_expz00_18,
																																					BgL_locz00_1272));
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 188 */
																																BgL_nodez00_bglt
																																	BgL_auxz00_3050;
																															BgL_tagzd22246zd2_1276:
																																BgL_auxz00_3050
																																	=
																																	BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																	(BGl_string4056z00zzast_sexpz00,
																																	BgL_expz00_18,
																																	BgL_locz00_1272);
																																BgL_auxz00_2986
																																	=
																																	(obj_t)
																																	(BgL_auxz00_3050);
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 188 */
																														BgL_nodez00_bglt
																															BgL_auxz00_3053;
																														goto
																															BgL_tagzd22246zd2_1276;
																														BgL_auxz00_2986 =
																															(obj_t)
																															(BgL_auxz00_3053);
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 188 */
																												BgL_nodez00_bglt
																													BgL_auxz00_3055;
																												goto
																													BgL_tagzd22246zd2_1276;
																												BgL_auxz00_2986 =
																													(obj_t)
																													(BgL_auxz00_3055);
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 188 */
																										BgL_nodez00_bglt
																											BgL_auxz00_3057;
																										goto BgL_tagzd22246zd2_1276;
																										BgL_auxz00_2986 =
																											(obj_t) (BgL_auxz00_3057);
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 188 */
																								BgL_nodez00_bglt
																									BgL_auxz00_3059;
																								goto BgL_tagzd22246zd2_1276;
																								BgL_auxz00_2986 =
																									(obj_t) (BgL_auxz00_3059);
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 188 */
																						BgL_nodez00_bglt BgL_auxz00_3061;

																						goto BgL_tagzd22246zd2_1276;
																						BgL_auxz00_2986 =
																							(obj_t) (BgL_auxz00_3061);
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 188 */
																				BgL_nodez00_bglt BgL_auxz00_3063;

																				goto BgL_tagzd22246zd2_1276;
																				BgL_auxz00_2986 =
																					(obj_t) (BgL_auxz00_3063);
																			}
																	}
																}
																return (BgL_nodez00_bglt) (BgL_auxz00_2986);
															}
														else
															{	/* Ast/sexp.scm 103 */
																if (
																	(CAR(BgL_expz00_18) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* Ast/sexp.scm 103 */
																		obj_t BgL_auxz00_3070;

																	BgL_tagzd21468zd2_884:
																		{
																			obj_t BgL_valuez00_1306;

																			if (PAIRP(BgL_expz00_18))
																				{	/* Ast/sexp.scm 103 */
																					obj_t BgL_cdrzd22273zd2_1311;

																					BgL_cdrzd22273zd2_1311 =
																						CDR(BgL_expz00_18);
																					if (PAIRP(BgL_cdrzd22273zd2_1311))
																						{	/* Ast/sexp.scm 103 */
																							if (NULLP(CDR
																									(BgL_cdrzd22273zd2_1311)))
																								{	/* Ast/sexp.scm 103 */
																									BgL_valuez00_1306 =
																										CAR(BgL_cdrzd22273zd2_1311);
																									{	/* Ast/sexp.scm 212 */
																										obj_t BgL_locz00_1316;

																										BgL_locz00_1316 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_18,
																											BgL_locz00_20);
																										if (NULLP
																											(BgL_valuez00_1306))
																											{	/* Ast/sexp.scm 214 */
																												BgL_auxz00_3070 =
																													(obj_t)
																													(BGl_makezd2atomzd2zzast_nodez00
																													(BgL_locz00_1316,
																														(BgL_typez00_bglt)
																														(BGl_za2bnilza2z00zztype_cachez00),
																														BNIL));
																											}
																										else
																											{	/* Ast/sexp.scm 218 */
																												bool_t BgL_testz00_3085;

																												if (PAIRP
																													(BgL_valuez00_1306))
																													{	/* Ast/sexp.scm 218 */
																														BgL_testz00_3085 =
																															((bool_t) 1);
																													}
																												else
																													{	/* Ast/sexp.scm 218 */
																														if (VECTORP
																															(BgL_valuez00_1306))
																															{	/* Ast/sexp.scm 219 */
																																BgL_testz00_3085
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 219 */
																																if (BGL_HVECTORP
																																	(BgL_valuez00_1306))
																																	{	/* Ast/sexp.scm 220 */
																																		BgL_testz00_3085
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 220 */
																																		if (STRUCTP
																																			(BgL_valuez00_1306))
																																			{	/* Ast/sexp.scm 221 */
																																				BgL_testz00_3085
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 221 */
																																				if (SYMBOLP(BgL_valuez00_1306))
																																					{	/* Ast/sexp.scm 222 */
																																						BgL_testz00_3085
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 222 */
																																						BgL_testz00_3085
																																							=
																																							KEYWORDP
																																							(BgL_valuez00_1306);
																																					}
																																			}
																																	}
																															}
																													}
																												if (BgL_testz00_3085)
																													{	/* Ast/sexp.scm 218 */
																														BgL_auxz00_3070 =
																															(obj_t)
																															(BGl_makezd2kwotezd2zzast_nodez00
																															(BgL_locz00_1316,
																																(BgL_typez00_bglt)
																																(BGl_za2_za2z00zztype_cachez00),
																																BgL_valuez00_1306));
																													}
																												else
																													{	/* Ast/sexp.scm 227 */
																														bool_t
																															BgL_testz00_3100;
																														{	/* Ast/sexp.scm 227 */
																															bool_t
																																BgL_testz00_3101;
																															if (INTEGERP
																																(BgL_valuez00_1306))
																																{	/* Ast/sexp.scm 227 */
																																	BgL_testz00_3101
																																		=
																																		((bool_t)
																																		1);
																																}
																															else
																																{	/* Ast/sexp.scm 227 */
																																	if (REALP
																																		(BgL_valuez00_1306))
																																		{	/* Ast/sexp.scm 227 */
																																			BgL_testz00_3101
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 227 */
																																			if (ELONGP
																																				(BgL_valuez00_1306))
																																				{	/* Ast/sexp.scm 227 */
																																					BgL_testz00_3101
																																						=
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 227 */
																																					if (LLONGP(BgL_valuez00_1306))
																																						{	/* Ast/sexp.scm 227 */
																																							BgL_testz00_3101
																																								=
																																								(
																																								(bool_t)
																																								1);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 227 */
																																							BgL_testz00_3101
																																								=
																																								BIGNUMP
																																								(BgL_valuez00_1306);
																																						}
																																				}
																																		}
																																}
																															if (BgL_testz00_3101)
																																{	/* Ast/sexp.scm 227 */
																																	BgL_testz00_3100
																																		=
																																		((bool_t)
																																		1);
																																}
																															else
																																{	/* Ast/sexp.scm 227 */
																																	if (STRINGP
																																		(BgL_valuez00_1306))
																																		{	/* Ast/sexp.scm 228 */
																																			BgL_testz00_3100
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 228 */
																																			if (CNSTP
																																				(BgL_valuez00_1306))
																																				{	/* Ast/sexp.scm 229 */
																																					BgL_testz00_3100
																																						=
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 229 */
																																					if (CHARP(BgL_valuez00_1306))
																																						{	/* Ast/sexp.scm 233 */
																																							BgL_testz00_3100
																																								=
																																								(
																																								(bool_t)
																																								1);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 233 */
																																							BgL_testz00_3100
																																								=
																																								BOOLEANP
																																								(BgL_valuez00_1306);
																																						}
																																				}
																																		}
																																}
																														}
																														if (BgL_testz00_3100)
																															{	/* Ast/sexp.scm 227 */
																																BgL_auxz00_3070
																																	=
																																	(obj_t)
																																	(BGl_sexpzd2ze3nodez31zzast_sexpz00
																																	(BgL_valuez00_1306,
																																		BgL_stackz00_19,
																																		BgL_locz00_1316,
																																		BgL_sitez00_21));
																															}
																														else
																															{	/* Ast/sexp.scm 227 */
																																BgL_auxz00_3070
																																	=
																																	(obj_t)
																																	(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																	(BGl_string4055z00zzast_sexpz00,
																																		BgL_expz00_18,
																																		BgL_locz00_1316));
																															}
																													}
																											}
																									}
																								}
																							else
																								{	/* Ast/sexp.scm 103 */
																									BgL_nodez00_bglt
																										BgL_auxz00_3123;
																								BgL_tagzd22268zd2_1308:
																									BgL_auxz00_3123 =
																										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																										(BGl_string4055z00zzast_sexpz00,
																										BgL_expz00_18,
																										BgL_locz00_20);
																									BgL_auxz00_3070 =
																										(obj_t) (BgL_auxz00_3123);
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 103 */
																							BgL_nodez00_bglt BgL_auxz00_3126;

																							goto BgL_tagzd22268zd2_1308;
																							BgL_auxz00_3070 =
																								(obj_t) (BgL_auxz00_3126);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 103 */
																					BgL_nodez00_bglt BgL_auxz00_3128;

																					goto BgL_tagzd22268zd2_1308;
																					BgL_auxz00_3070 =
																						(obj_t) (BgL_auxz00_3128);
																				}
																		}
																		return (BgL_nodez00_bglt) (BgL_auxz00_3070);
																	}
																else
																	{	/* Ast/sexp.scm 103 */
																		if (
																			(CAR(BgL_expz00_18) ==
																				CNST_TABLE_REF(((long) 16))))
																			{	/* Ast/sexp.scm 103 */
																				obj_t BgL_arg3215z00_927;

																				BgL_arg3215z00_927 = CDR(BgL_expz00_18);
																				{	/* Ast/sexp.scm 103 */
																					BgL_sequencez00_bglt BgL_auxz00_3136;

																					BgL_bodyz00_885 = BgL_arg3215z00_927;
																				BgL_tagzd21469zd2_886:
																					{	/* Ast/sexp.scm 242 */
																						obj_t BgL_bodyz00_1329;

																						if (NULLP(BgL_bodyz00_885))
																							{	/* Ast/sexp.scm 243 */
																								obj_t BgL_list3567z00_1333;

																								BgL_list3567z00_1333 =
																									MAKE_PAIR(BUNSPEC, BNIL);
																								BgL_bodyz00_1329 =
																									BgL_list3567z00_1333;
																							}
																						else
																							{	/* Ast/sexp.scm 242 */
																								BgL_bodyz00_1329 =
																									BgL_bodyz00_885;
																							}
																						{	/* Ast/sexp.scm 245 */
																							obj_t BgL_locz00_1330;

																							BgL_locz00_1330 =
																								BGl_findzd2locationzf2locz20zztools_locationz00
																								(BgL_expz00_18, BgL_locz00_20);
																							{	/* Ast/sexp.scm 245 */
																								obj_t BgL_nodesz00_1331;

																								BgL_nodesz00_1331 =
																									BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																									(BgL_bodyz00_1329,
																									BgL_stackz00_19,
																									BgL_locz00_1330,
																									BgL_sitez00_21);
																								{	/* Ast/sexp.scm 246 */

																									BgL_auxz00_3136 =
																										BGl_makezd2sequencezd2zzast_nodez00
																										(BgL_locz00_1330,
																										(BgL_typez00_bglt)
																										(BGl_za2_za2z00zztype_cachez00),
																										BUNSPEC, BINT(((long) -1)),
																										BgL_nodesz00_1331);
																					}}}}
																					return
																						(BgL_nodez00_bglt)
																						(BgL_auxz00_3136);
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 103 */
																				obj_t BgL_carzd21550zd2_928;

																				BgL_carzd21550zd2_928 =
																					CAR(BgL_expz00_18);
																				if (
																					(BgL_carzd21550zd2_928 ==
																						CNST_TABLE_REF(((long) 1))))
																					{	/* Ast/sexp.scm 103 */
																						obj_t BgL_auxz00_3150;

																					BgL_tagzd21470zd2_887:
																						{
																							obj_t BgL_siz00_1334;

																							obj_t BgL_alorsz00_1335;

																							obj_t BgL_sinonz00_1336;

																							obj_t BgL_siz00_1338;

																							obj_t BgL_alorsz00_1339;

																							if (PAIRP(BgL_expz00_18))
																								{	/* Ast/sexp.scm 103 */
																									obj_t BgL_cdrzd22289zd2_1344;

																									BgL_cdrzd22289zd2_1344 =
																										CDR(BgL_expz00_18);
																									if (PAIRP
																										(BgL_cdrzd22289zd2_1344))
																										{	/* Ast/sexp.scm 103 */
																											obj_t
																												BgL_cdrzd22294zd2_1346;
																											BgL_cdrzd22294zd2_1346 =
																												CDR
																												(BgL_cdrzd22289zd2_1344);
																											if (PAIRP
																												(BgL_cdrzd22294zd2_1346))
																												{	/* Ast/sexp.scm 103 */
																													obj_t
																														BgL_cdrzd22299zd2_1348;
																													BgL_cdrzd22299zd2_1348
																														=
																														CDR
																														(BgL_cdrzd22294zd2_1346);
																													if (PAIRP
																														(BgL_cdrzd22299zd2_1348))
																														{	/* Ast/sexp.scm 103 */
																															if (NULLP(CDR
																																	(BgL_cdrzd22299zd2_1348)))
																																{	/* Ast/sexp.scm 103 */
																																	BgL_siz00_1334
																																		=
																																		CAR
																																		(BgL_cdrzd22289zd2_1344);
																																	BgL_alorsz00_1335
																																		=
																																		CAR
																																		(BgL_cdrzd22294zd2_1346);
																																	BgL_sinonz00_1336
																																		=
																																		CAR
																																		(BgL_cdrzd22299zd2_1348);
																																	{
																																		obj_t
																																			BgL_siz00_1361;
																																		if (PAIRP
																																			(BgL_siz00_1334))
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_cdrzd22354zd2_1366;
																																				BgL_cdrzd22354zd2_1366
																																					=
																																					CDR
																																					(BgL_siz00_1334);
																																				if ((CAR
																																						(BgL_siz00_1334)
																																						==
																																						CNST_TABLE_REF
																																						(((long) 1))))
																																					{	/* Ast/sexp.scm 103 */
																																						if (PAIRP(BgL_cdrzd22354zd2_1366))
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_cdrzd22357zd2_1369;
																																								BgL_cdrzd22357zd2_1369
																																									=
																																									CDR
																																									(BgL_cdrzd22354zd2_1366);
																																								if (PAIRP(BgL_cdrzd22357zd2_1369))
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_cdrzd22360zd2_1371;
																																										BgL_cdrzd22360zd2_1371
																																											=
																																											CDR
																																											(BgL_cdrzd22357zd2_1369);
																																										if ((CAR(BgL_cdrzd22357zd2_1369) == BFALSE))
																																											{	/* Ast/sexp.scm 103 */
																																												if (PAIRP(BgL_cdrzd22360zd2_1371))
																																													{	/* Ast/sexp.scm 103 */
																																														if ((CAR(BgL_cdrzd22360zd2_1371) == BTRUE))
																																															{	/* Ast/sexp.scm 103 */
																																																if (NULLP(CDR(BgL_cdrzd22360zd2_1371)))
																																																	{	/* Ast/sexp.scm 103 */
																																																		obj_t
																																																			BgL_arg3589z00_1376;
																																																		BgL_arg3589z00_1376
																																																			=
																																																			CAR
																																																			(BgL_cdrzd22354zd2_1366);
																																																		{	/* Ast/sexp.scm 103 */
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_3190;
																																																			BgL_siz00_1361
																																																				=
																																																				BgL_arg3589z00_1376;
																																																		BgL_tagzd22346zd2_1362:
																																																			{	/* Ast/sexp.scm 256 */
																																																				obj_t
																																																					BgL_auxz00_3191;
																																																				BgL_auxz00_3191
																																																					=
																																																					CDR
																																																					(BgL_expz00_18);
																																																				SET_CAR
																																																					(BgL_auxz00_3191,
																																																					BgL_siz00_1361);
																																																			}
																																																			{	/* Ast/sexp.scm 257 */
																																																				obj_t
																																																					BgL_arg3605z00_1393;
																																																				{	/* Ast/sexp.scm 257 */
																																																					obj_t
																																																						BgL_pairz00_2563;
																																																					BgL_pairz00_2563
																																																						=
																																																						BgL_expz00_18;
																																																					BgL_arg3605z00_1393
																																																						=
																																																						CDR
																																																						(CDR
																																																						(BgL_pairz00_2563));
																																																				}
																																																				SET_CAR
																																																					(BgL_arg3605z00_1393,
																																																					BgL_sinonz00_1336);
																																																			}
																																																			{	/* Ast/sexp.scm 258 */
																																																				obj_t
																																																					BgL_arg3606z00_1394;
																																																				{	/* Ast/sexp.scm 258 */
																																																					obj_t
																																																						BgL_pairz00_2569;
																																																					BgL_pairz00_2569
																																																						=
																																																						BgL_expz00_18;
																																																					BgL_arg3606z00_1394
																																																						=
																																																						CDR
																																																						(CDR
																																																						(CDR
																																																							(BgL_pairz00_2569)));
																																																				}
																																																				SET_CAR
																																																					(BgL_arg3606z00_1394,
																																																					BgL_alorsz00_1335);
																																																			}
																																																			BgL_auxz00_3190
																																																				=
																																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																				(BgL_expz00_18,
																																																				BgL_stackz00_19,
																																																				BgL_locz00_20,
																																																				BgL_sitez00_21);
																																																			BgL_auxz00_3150
																																																				=
																																																				(obj_t)
																																																				(BgL_auxz00_3190);
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																	BgL_tagzd22347zd2_1363:
																																																		{	/* Ast/sexp.scm 261 */
																																																			bool_t
																																																				BgL_testz00_3203;
																																																			if (SYMBOLP(BgL_siz00_1334))
																																																				{	/* Ast/sexp.scm 261 */
																																																					BgL_testz00_3203
																																																						=
																																																						(
																																																						(bool_t)
																																																						1);
																																																				}
																																																			else
																																																				{	/* Ast/sexp.scm 261 */
																																																					BgL_testz00_3203
																																																						=
																																																						BGl_iszd2azf3z21zz__objectz00
																																																						(BgL_siz00_1334,
																																																						BGl_atomz00zzast_nodez00);
																																																				}
																																																			if (BgL_testz00_3203)
																																																				{	/* Ast/sexp.scm 262 */
																																																					obj_t
																																																						BgL_olocz00_1396;
																																																					BgL_olocz00_1396
																																																						=
																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																						(BgL_expz00_18,
																																																						BgL_locz00_20);
																																																					{	/* Ast/sexp.scm 262 */
																																																						obj_t
																																																							BgL_cdlocz00_1397;
																																																						BgL_cdlocz00_1397
																																																							=
																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																							(CDR
																																																							(BgL_expz00_18),
																																																							BgL_locz00_20);
																																																						{	/* Ast/sexp.scm 263 */
																																																							obj_t
																																																								BgL_cddlocz00_1398;
																																																							{	/* Ast/sexp.scm 264 */
																																																								obj_t
																																																									BgL_arg3611z00_1411;
																																																								{	/* Ast/sexp.scm 264 */
																																																									obj_t
																																																										BgL_pairz00_2580;
																																																									BgL_pairz00_2580
																																																										=
																																																										BgL_expz00_18;
																																																									BgL_arg3611z00_1411
																																																										=
																																																										CDR
																																																										(CDR
																																																										(BgL_pairz00_2580));
																																																								}
																																																								BgL_cddlocz00_1398
																																																									=
																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																									(BgL_arg3611z00_1411,
																																																									BgL_locz00_20);
																																																							}
																																																							{	/* Ast/sexp.scm 264 */
																																																								obj_t
																																																									BgL_cdddlocz00_1399;
																																																								{	/* Ast/sexp.scm 265 */
																																																									obj_t
																																																										BgL_arg3610z00_1410;
																																																									{	/* Ast/sexp.scm 265 */
																																																										obj_t
																																																											BgL_pairz00_2584;
																																																										BgL_pairz00_2584
																																																											=
																																																											BgL_expz00_18;
																																																										BgL_arg3610z00_1410
																																																											=
																																																											CDR
																																																											(CDR
																																																											(CDR
																																																												(BgL_pairz00_2584)));
																																																									}
																																																									BgL_cdddlocz00_1399
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_arg3610z00_1410,
																																																										BgL_locz00_20);
																																																								}
																																																								{	/* Ast/sexp.scm 265 */
																																																									obj_t
																																																										BgL_lzd2sizd2_1400;
																																																									BgL_lzd2sizd2_1400
																																																										=
																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																										(BgL_siz00_1334,
																																																										BgL_cdlocz00_1397);
																																																									{	/* Ast/sexp.scm 266 */
																																																										obj_t
																																																											BgL_lzd2alorszd2_1401;
																																																										BgL_lzd2alorszd2_1401
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_alorsz00_1335,
																																																											BgL_cddlocz00_1398);
																																																										{	/* Ast/sexp.scm 267 */
																																																											obj_t
																																																												BgL_lzd2sinonzd2_1402;
																																																											BgL_lzd2sinonzd2_1402
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_sinonz00_1336,
																																																												BgL_cdddlocz00_1399);
																																																											{	/* Ast/sexp.scm 268 */
																																																												BgL_nodez00_bglt
																																																													BgL_siz00_1403;
																																																												BgL_siz00_1403
																																																													=
																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																													(BgL_siz00_1334,
																																																													BgL_stackz00_19,
																																																													BgL_lzd2sizd2_1400,
																																																													CNST_TABLE_REF
																																																													(((long) 2)));
																																																												{	/* Ast/sexp.scm 269 */
																																																													BgL_nodez00_bglt
																																																														BgL_alorsz00_1404;
																																																													BgL_alorsz00_1404
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(BgL_alorsz00_1335,
																																																														BgL_stackz00_19,
																																																														BgL_lzd2alorszd2_1401,
																																																														CNST_TABLE_REF
																																																														(((long) 2)));
																																																													{	/* Ast/sexp.scm 270 */
																																																														BgL_nodez00_bglt
																																																															BgL_sinonz00_1405;
																																																														BgL_sinonz00_1405
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_sinonz00_1336,
																																																															BgL_stackz00_19,
																																																															BgL_lzd2sinonzd2_1402,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														{	/* Ast/sexp.scm 271 */
																																																															obj_t
																																																																BgL_locz00_1406;
																																																															{	/* Ast/sexp.scm 272 */
																																																																obj_t
																																																																	BgL_locz00_1407;
																																																																{	/* Ast/sexp.scm 274 */
																																																																	obj_t
																																																																		BgL_arg3609z00_1409;
																																																																	BgL_arg3609z00_1409
																																																																		=
																																																																		(
																																																																		((BgL_nodez00_bglt) CREF(BgL_siz00_1403))->BgL_locz00);
																																																																	BgL_locz00_1407
																																																																		=
																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																		(BgL_expz00_18,
																																																																		BgL_arg3609z00_1409);
																																																																}
																																																																{	/* Ast/sexp.scm 275 */
																																																																	bool_t
																																																																		BgL_testz00_3228;
																																																																	if (STRUCTP(BgL_locz00_1407))
																																																																		{	/* Ast/sexp.scm 275 */
																																																																			BgL_testz00_3228
																																																																				=
																																																																				(STRUCT_KEY
																																																																				(BgL_locz00_1407)
																																																																				==
																																																																				CNST_TABLE_REF
																																																																				(((long) 6)));
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 275 */
																																																																			BgL_testz00_3228
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																	if (BgL_testz00_3228)
																																																																		{	/* Ast/sexp.scm 275 */
																																																																			BgL_locz00_1406
																																																																				=
																																																																				BgL_locz00_1407;
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 275 */
																																																																			BgL_locz00_1406
																																																																				=
																																																																				BgL_olocz00_1396;
																																																																		}
																																																																}
																																																															}
																																																															{	/* Ast/sexp.scm 272 */

																																																																BgL_auxz00_3150
																																																																	=
																																																																	(obj_t)
																																																																	(BGl_makezd2conditionalzd2zzast_nodez00
																																																																	(BgL_locz00_1406,
																																																																		(BgL_typez00_bglt)
																																																																		(BGl_za2_za2z00zztype_cachez00),
																																																																		BUNSPEC,
																																																																		BINT
																																																																		(((long) -1)), BgL_siz00_1403, BgL_alorsz00_1404, BgL_sinonz00_1405));
																																																				}}}}}}}}}}}}
																																																			else
																																																				{	/* Ast/sexp.scm 283 */
																																																					obj_t
																																																						BgL_testz00_1413;
																																																					BgL_testz00_1413
																																																						=
																																																						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																						(BGl_gensymz00zz__r4_symbols_6_4z00
																																																						(CNST_TABLE_REF
																																																							(((long) 7))));
																																																					{	/* Ast/sexp.scm 285 */
																																																						obj_t
																																																							BgL_arg3613z00_1414;
																																																						{	/* Ast/sexp.scm 285 */
																																																							obj_t
																																																								BgL_arg3614z00_1415;
																																																							obj_t
																																																								BgL_arg3615z00_1416;
																																																							BgL_arg3614z00_1415
																																																								=
																																																								BGl_letzd2symzd2zzast_letz00
																																																								();
																																																							{	/* Ast/sexp.scm 285 */
																																																								obj_t
																																																									BgL_arg3616z00_1417;
																																																								obj_t
																																																									BgL_arg3617z00_1418;
																																																								{	/* Ast/sexp.scm 285 */
																																																									obj_t
																																																										BgL_arg3621z00_1422;
																																																									{	/* Ast/sexp.scm 285 */
																																																										obj_t
																																																											BgL_arg3623z00_1424;
																																																										obj_t
																																																											BgL_arg3624z00_1425;
																																																										{	/* Ast/sexp.scm 285 */
																																																											obj_t
																																																												BgL_arg3625z00_1426;
																																																											{	/* Ast/sexp.scm 285 */
																																																												obj_t
																																																													BgL_arg3626z00_1427;
																																																												obj_t
																																																													BgL_arg3627z00_1428;
																																																												BgL_arg3626z00_1427
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_testz00_1413);
																																																												{	/* Ast/sexp.scm 285 */
																																																													obj_t
																																																														BgL_symbolz00_2599;
																																																													BgL_symbolz00_2599
																																																														=
																																																														CNST_TABLE_REF
																																																														(
																																																														((long) 8));
																																																													BgL_arg3627z00_1428
																																																														=
																																																														SYMBOL_TO_STRING
																																																														(BgL_symbolz00_2599);
																																																												}
																																																												{	/* Ast/sexp.scm 285 */
																																																													obj_t
																																																														BgL_list3628z00_1429;
																																																													{	/* Ast/sexp.scm 285 */
																																																														obj_t
																																																															BgL_arg3629z00_1430;
																																																														BgL_arg3629z00_1430
																																																															=
																																																															MAKE_PAIR
																																																															(BgL_arg3627z00_1428,
																																																															BNIL);
																																																														BgL_list3628z00_1429
																																																															=
																																																															MAKE_PAIR
																																																															(BgL_arg3626z00_1427,
																																																															BgL_arg3629z00_1430);
																																																													}
																																																													BgL_arg3625z00_1426
																																																														=
																																																														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																																														(BgL_list3628z00_1429);
																																																											}}
																																																											BgL_arg3623z00_1424
																																																												=
																																																												string_to_symbol
																																																												(BSTRING_TO_STRING
																																																												(BgL_arg3625z00_1426));
																																																										}
																																																										{	/* Ast/sexp.scm 285 */
																																																											obj_t
																																																												BgL_list3630z00_1431;
																																																											BgL_list3630z00_1431
																																																												=
																																																												MAKE_PAIR
																																																												(BNIL,
																																																												BNIL);
																																																											BgL_arg3624z00_1425
																																																												=
																																																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																												(BgL_siz00_1334,
																																																												BgL_list3630z00_1431);
																																																										}
																																																										BgL_arg3621z00_1422
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_arg3623z00_1424,
																																																											BgL_arg3624z00_1425);
																																																									}
																																																									BgL_arg3616z00_1417
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_arg3621z00_1422,
																																																										BNIL);
																																																								}
																																																								{	/* Ast/sexp.scm 286 */
																																																									obj_t
																																																										BgL_arg3631z00_1432;
																																																									{	/* Ast/sexp.scm 286 */
																																																										obj_t
																																																											BgL_arg3632z00_1433;
																																																										obj_t
																																																											BgL_arg3633z00_1434;
																																																										BgL_arg3632z00_1433
																																																											=
																																																											CNST_TABLE_REF
																																																											(
																																																											((long) 1));
																																																										{	/* Ast/sexp.scm 286 */
																																																											obj_t
																																																												BgL_list3634z00_1435;
																																																											{	/* Ast/sexp.scm 286 */
																																																												obj_t
																																																													BgL_arg3635z00_1436;
																																																												{	/* Ast/sexp.scm 286 */
																																																													obj_t
																																																														BgL_arg3636z00_1437;
																																																													BgL_arg3636z00_1437
																																																														=
																																																														MAKE_PAIR
																																																														(BNIL,
																																																														BNIL);
																																																													BgL_arg3635z00_1436
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_sinonz00_1336,
																																																														BgL_arg3636z00_1437);
																																																												}
																																																												BgL_list3634z00_1435
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_alorsz00_1335,
																																																													BgL_arg3635z00_1436);
																																																											}
																																																											BgL_arg3633z00_1434
																																																												=
																																																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																												(BgL_testz00_1413,
																																																												BgL_list3634z00_1435);
																																																										}
																																																										BgL_arg3631z00_1432
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_arg3632z00_1433,
																																																											BgL_arg3633z00_1434);
																																																									}
																																																									BgL_arg3617z00_1418
																																																										=
																																																										BGl_epairifyzd2reczd2zztools_miscz00
																																																										(BgL_arg3631z00_1432,
																																																										BgL_expz00_18);
																																																								}
																																																								{	/* Ast/sexp.scm 285 */
																																																									obj_t
																																																										BgL_list3619z00_1420;
																																																									{	/* Ast/sexp.scm 285 */
																																																										obj_t
																																																											BgL_arg3620z00_1421;
																																																										BgL_arg3620z00_1421
																																																											=
																																																											MAKE_PAIR
																																																											(BNIL,
																																																											BNIL);
																																																										BgL_list3619z00_1420
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_arg3617z00_1418,
																																																											BgL_arg3620z00_1421);
																																																									}
																																																									BgL_arg3615z00_1416
																																																										=
																																																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																										(BgL_arg3616z00_1417,
																																																										BgL_list3619z00_1420);
																																																							}}
																																																							BgL_arg3613z00_1414
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_arg3614z00_1415,
																																																								BgL_arg3615z00_1416);
																																																						}
																																																						BGl_replacez12z12zztools_miscz00
																																																							(BgL_expz00_18,
																																																							BgL_arg3613z00_1414);
																																																					}
																																																					BgL_auxz00_3150
																																																						=
																																																						(obj_t)
																																																						(BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																						(BgL_expz00_18,
																																																							BgL_stackz00_19,
																																																							BgL_locz00_20,
																																																							BgL_sitez00_21));
																																															}}}}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																goto
																																																	BgL_tagzd22347zd2_1363;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														goto
																																															BgL_tagzd22347zd2_1363;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												goto
																																													BgL_tagzd22347zd2_1363;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										goto
																																											BgL_tagzd22347zd2_1363;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 103 */
																																								goto
																																									BgL_tagzd22347zd2_1363;
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 103 */
																																						if (
																																							(CAR
																																								(BgL_siz00_1334)
																																								==
																																								CNST_TABLE_REF
																																								(((long) 9))))
																																							{	/* Ast/sexp.scm 103 */
																																								if (PAIRP(BgL_cdrzd22354zd2_1366))
																																									{	/* Ast/sexp.scm 103 */
																																										if (NULLP(CDR(BgL_cdrzd22354zd2_1366)))
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_arg3598z00_1386;
																																												BgL_arg3598z00_1386
																																													=
																																													CAR
																																													(BgL_cdrzd22354zd2_1366);
																																												{	/* Ast/sexp.scm 103 */
																																													BgL_nodez00_bglt
																																														BgL_auxz00_3278;
																																													{
																																														obj_t
																																															BgL_siz00_3279;
																																														BgL_siz00_3279
																																															=
																																															BgL_arg3598z00_1386;
																																														BgL_siz00_1361
																																															=
																																															BgL_siz00_3279;
																																														goto
																																															BgL_tagzd22346zd2_1362;
																																													}
																																													BgL_auxz00_3150
																																														=
																																														(obj_t)
																																														(BgL_auxz00_3278);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												goto
																																													BgL_tagzd22347zd2_1363;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										goto
																																											BgL_tagzd22347zd2_1363;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 103 */
																																								goto
																																									BgL_tagzd22347zd2_1363;
																																							}
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 103 */
																																				goto
																																					BgL_tagzd22347zd2_1363;
																																			}
																																	}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	BgL_nodez00_bglt
																																		BgL_auxz00_3284;
																																BgL_tagzd22280zd2_1341:
																																	BgL_auxz00_3284 = BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4054z00zzast_sexpz00, BgL_expz00_18, BgL_locz00_20);
																																	BgL_auxz00_3150
																																		=
																																		(obj_t)
																																		(BgL_auxz00_3284);
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 103 */
																															obj_t
																																BgL_cdrzd22324zd2_1356;
																															BgL_cdrzd22324zd2_1356
																																=
																																CDR
																																(BgL_cdrzd22289zd2_1344);
																															if (NULLP(CDR
																																	(BgL_cdrzd22324zd2_1356)))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_arg3578z00_1358;
																																	obj_t
																																		BgL_arg3579z00_1359;
																																	BgL_arg3578z00_1358
																																		=
																																		CAR
																																		(BgL_cdrzd22289zd2_1344);
																																	BgL_arg3579z00_1359
																																		=
																																		CAR
																																		(BgL_cdrzd22324zd2_1356);
																																	{	/* Ast/sexp.scm 103 */
																																		BgL_nodez00_bglt
																																			BgL_auxz00_3293;
																																		BgL_siz00_1338
																																			=
																																			BgL_arg3578z00_1358;
																																		BgL_alorsz00_1339
																																			=
																																			BgL_arg3579z00_1359;
																																		{	/* Ast/sexp.scm 290 */
																																			obj_t
																																				BgL_arg3639z00_1440;
																																			obj_t
																																				BgL_arg3640z00_1441;
																																			{	/* Ast/sexp.scm 290 */
																																				obj_t
																																					BgL_pairz00_2601;
																																				BgL_pairz00_2601
																																					=
																																					BgL_expz00_18;
																																				BgL_arg3639z00_1440
																																					=
																																					CDR
																																					(CDR
																																					(BgL_pairz00_2601));
																																			}
																																			{	/* Ast/sexp.scm 290 */
																																				obj_t
																																					BgL_list3641z00_1442;
																																				BgL_list3641z00_1442
																																					=
																																					MAKE_PAIR
																																					(BUNSPEC,
																																					BNIL);
																																				BgL_arg3640z00_1441
																																					=
																																					BgL_list3641z00_1442;
																																			}
																																			SET_CDR
																																				(BgL_arg3639z00_1440,
																																				BgL_arg3640z00_1441);
																																		}
																																		BgL_auxz00_3293
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(BgL_expz00_18,
																																			BgL_stackz00_19,
																																			BgL_locz00_20,
																																			BgL_sitez00_21);
																																		BgL_auxz00_3150
																																			=
																																			(obj_t)
																																			(BgL_auxz00_3293);
																																	}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	BgL_nodez00_bglt
																																		BgL_auxz00_3300;
																																	goto
																																		BgL_tagzd22280zd2_1341;
																																	BgL_auxz00_3150
																																		=
																																		(obj_t)
																																		(BgL_auxz00_3300);
																																}
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 103 */
																													BgL_nodez00_bglt
																														BgL_auxz00_3302;
																													goto
																														BgL_tagzd22280zd2_1341;
																													BgL_auxz00_3150 =
																														(obj_t)
																														(BgL_auxz00_3302);
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 103 */
																											BgL_nodez00_bglt
																												BgL_auxz00_3304;
																											goto
																												BgL_tagzd22280zd2_1341;
																											BgL_auxz00_3150 =
																												(obj_t)
																												(BgL_auxz00_3304);
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 103 */
																									BgL_nodez00_bglt
																										BgL_auxz00_3306;
																									goto BgL_tagzd22280zd2_1341;
																									BgL_auxz00_3150 =
																										(obj_t) (BgL_auxz00_3306);
																								}
																						}
																						return
																							(BgL_nodez00_bglt)
																							(BgL_auxz00_3150);
																					}
																				else
																					{	/* Ast/sexp.scm 103 */
																						if (
																							(BgL_carzd21550zd2_928 ==
																								BGl_za2ifza2z00zzast_sexpz00))
																							{	/* Ast/sexp.scm 103 */
																								obj_t BgL_auxz00_3311;

																								goto BgL_tagzd21470zd2_887;
																								return
																									(BgL_nodez00_bglt)
																									(BgL_auxz00_3311);
																							}
																						else
																							{	/* Ast/sexp.scm 103 */
																								if (
																									(CAR(BgL_expz00_18) ==
																										CNST_TABLE_REF(((long) 5))))
																									{	/* Ast/sexp.scm 103 */
																										obj_t BgL_auxz00_3317;

																									BgL_tagzd21471zd2_888:
																										{
																											obj_t BgL_varz00_1443;

																											obj_t BgL_valz00_1444;

																											if (PAIRP(BgL_expz00_18))
																												{	/* Ast/sexp.scm 103 */
																													obj_t
																														BgL_cdrzd22385zd2_1449;
																													BgL_cdrzd22385zd2_1449
																														=
																														CDR(BgL_expz00_18);
																													if (PAIRP
																														(BgL_cdrzd22385zd2_1449))
																														{	/* Ast/sexp.scm 103 */
																															obj_t
																																BgL_cdrzd22389zd2_1451;
																															BgL_cdrzd22389zd2_1451
																																=
																																CDR
																																(BgL_cdrzd22385zd2_1449);
																															if (PAIRP
																																(BgL_cdrzd22389zd2_1451))
																																{	/* Ast/sexp.scm 103 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd22389zd2_1451)))
																																		{	/* Ast/sexp.scm 103 */
																																			BgL_varz00_1443
																																				=
																																				CAR
																																				(BgL_cdrzd22385zd2_1449);
																																			BgL_valz00_1444
																																				=
																																				CAR
																																				(BgL_cdrzd22389zd2_1451);
																																			{	/* Ast/sexp.scm 298 */
																																				obj_t
																																					BgL_locz00_1457;
																																				BgL_locz00_1457
																																					=
																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																					(BgL_expz00_18,
																																					BgL_locz00_20);
																																				{	/* Ast/sexp.scm 298 */
																																					obj_t
																																						BgL_cdlocz00_1458;
																																					BgL_cdlocz00_1458
																																						=
																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																						(CDR
																																						(BgL_expz00_18),
																																						BgL_locz00_1457);
																																					{	/* Ast/sexp.scm 299 */
																																						obj_t
																																							BgL_cddlocz00_1459;
																																						{	/* Ast/sexp.scm 300 */
																																							obj_t
																																								BgL_arg3654z00_1469;
																																							{	/* Ast/sexp.scm 300 */
																																								obj_t
																																									BgL_pairz00_2619;
																																								BgL_pairz00_2619
																																									=
																																									BgL_expz00_18;
																																								BgL_arg3654z00_1469
																																									=
																																									CDR
																																									(CDR
																																									(BgL_pairz00_2619));
																																							}
																																							BgL_cddlocz00_1459
																																								=
																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																								(BgL_arg3654z00_1469,
																																								BgL_locz00_1457);
																																						}
																																						{	/* Ast/sexp.scm 300 */
																																							obj_t
																																								BgL_valzd2loczd2_1460;
																																							BgL_valzd2loczd2_1460
																																								=
																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																								(BgL_valz00_1444,
																																								BgL_cddlocz00_1459);
																																							{	/* Ast/sexp.scm 301 */
																																								BgL_nodez00_bglt
																																									BgL_valz00_1461;
																																								BgL_valz00_1461
																																									=
																																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																																									(BgL_valz00_1444,
																																									BgL_stackz00_19,
																																									BgL_valzd2loczd2_1460,
																																									CNST_TABLE_REF
																																									(((long) 2)));
																																								{	/* Ast/sexp.scm 302 */

																																									{	/* Ast/sexp.scm 303 */
																																										BgL_nodez00_bglt
																																											BgL_astz00_1462;
																																										BgL_astz00_1462
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(BgL_varz00_1443,
																																											BgL_stackz00_19,
																																											BgL_cdlocz00_1458,
																																											CNST_TABLE_REF
																																											(((long) 5)));
																																										{	/* Ast/sexp.scm 304 */
																																											bool_t
																																												BgL_testz00_3340;
																																											{	/* Ast/sexp.scm 304 */
																																												obj_t
																																													BgL_obj2085z00_2623;
																																												BgL_obj2085z00_2623
																																													=
																																													(obj_t)
																																													(BgL_astz00_1462);
																																												BgL_testz00_3340
																																													=
																																													BGl_iszd2azf3z21zz__objectz00
																																													(BgL_obj2085z00_2623,
																																													BGl_varz00zzast_nodez00);
																																											}
																																											if (BgL_testz00_3340)
																																												{	/* Ast/sexp.scm 306 */
																																													bool_t
																																														BgL_testz00_3343;
																																													{	/* Ast/sexp.scm 306 */
																																														bool_t
																																															BgL_testz00_3344;
																																														{	/* Ast/sexp.scm 306 */
																																															BgL_variablez00_bglt
																																																BgL_arg3653z00_1468;
																																															{
																																																BgL_varz00_bglt
																																																	BgL_auxz00_3345;
																																																BgL_auxz00_3345
																																																	=
																																																	(BgL_varz00_bglt)
																																																	(BgL_astz00_1462);
																																																BgL_arg3653z00_1468
																																																	=
																																																	(
																																																	((BgL_varz00_bglt) CREF(BgL_auxz00_3345))->BgL_variablez00);
																																															}
																																															{	/* Ast/sexp.scm 306 */
																																																obj_t
																																																	BgL_obj1668z00_2625;
																																																BgL_obj1668z00_2625
																																																	=
																																																	(obj_t)
																																																	(BgL_arg3653z00_1468);
																																																BgL_testz00_3344
																																																	=
																																																	BGl_iszd2azf3z21zz__objectz00
																																																	(BgL_obj1668z00_2625,
																																																	BGl_globalz00zzast_varz00);
																																															}
																																														}
																																														if (BgL_testz00_3344)
																																															{	/* Ast/sexp.scm 307 */
																																																BgL_variablez00_bglt
																																																	BgL_arg3652z00_1467;
																																																{
																																																	BgL_varz00_bglt
																																																		BgL_auxz00_3350;
																																																	BgL_auxz00_3350
																																																		=
																																																		(BgL_varz00_bglt)
																																																		(BgL_astz00_1462);
																																																	BgL_arg3652z00_1467
																																																		=
																																																		(
																																																		((BgL_varz00_bglt) CREF(BgL_auxz00_3350))->BgL_variablez00);
																																																}
																																																BgL_testz00_3343
																																																	=
																																																	BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																	(
																																																	(BgL_globalz00_bglt)
																																																	(BgL_arg3652z00_1467));
																																															}
																																														else
																																															{	/* Ast/sexp.scm 306 */
																																																BgL_testz00_3343
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																													if (BgL_testz00_3343)
																																														{	/* Ast/sexp.scm 306 */
																																															BgL_auxz00_3317
																																																=
																																																(obj_t)
																																																(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																(BGl_string4052z00zzast_sexpz00,
																																																	BgL_expz00_18,
																																																	BgL_cdlocz00_1458));
																																														}
																																													else
																																														{	/* Ast/sexp.scm 306 */
																																															BgL_auxz00_3317
																																																=
																																																(obj_t)
																																																(BGl_makezd2setqzd2zzast_nodez00
																																																(BgL_locz00_1457,
																																																	(BgL_typez00_bglt)
																																																	(BGl_za2unspecza2z00zztype_cachez00),
																																																	(BgL_varz00_bglt)
																																																	(BgL_astz00_1462),
																																																	BgL_valz00_1461));
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 304 */
																																													BgL_auxz00_3317
																																														=
																																														(obj_t)
																																														(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																														(BGl_string4053z00zzast_sexpz00,
																																															BgL_expz00_18,
																																															BgL_locz00_1457));
																																												}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			BgL_nodez00_bglt
																																				BgL_auxz00_3365;
																																		BgL_tagzd22378zd2_1446:
																																			BgL_auxz00_3365 = BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4051z00zzast_sexpz00, BgL_expz00_18, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_18, BgL_locz00_20));
																																			BgL_auxz00_3317
																																				=
																																				(obj_t)
																																				(BgL_auxz00_3365);
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	BgL_nodez00_bglt
																																		BgL_auxz00_3369;
																																	goto
																																		BgL_tagzd22378zd2_1446;
																																	BgL_auxz00_3317
																																		=
																																		(obj_t)
																																		(BgL_auxz00_3369);
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 103 */
																															BgL_nodez00_bglt
																																BgL_auxz00_3371;
																															goto
																																BgL_tagzd22378zd2_1446;
																															BgL_auxz00_3317 =
																																(obj_t)
																																(BgL_auxz00_3371);
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 103 */
																													BgL_nodez00_bglt
																														BgL_auxz00_3373;
																													goto
																														BgL_tagzd22378zd2_1446;
																													BgL_auxz00_3317 =
																														(obj_t)
																														(BgL_auxz00_3373);
																												}
																										}
																										return
																											(BgL_nodez00_bglt)
																											(BgL_auxz00_3317);
																									}
																								else
																									{	/* Ast/sexp.scm 103 */
																										if (
																											(CAR(BgL_expz00_18) ==
																												CNST_TABLE_REF(((long)
																														17))))
																											{	/* Ast/sexp.scm 103 */
																												obj_t BgL_auxz00_3380;

																											BgL_tagzd21472zd2_889:
																												{
																													obj_t BgL_varz00_1473;

																													obj_t BgL_valz00_1474;

																													if (PAIRP
																														(BgL_expz00_18))
																														{	/* Ast/sexp.scm 103 */
																															obj_t
																																BgL_cdrzd22403zd2_1479;
																															BgL_cdrzd22403zd2_1479
																																=
																																CDR
																																(BgL_expz00_18);
																															if (PAIRP
																																(BgL_cdrzd22403zd2_1479))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_cdrzd22407zd2_1481;
																																	BgL_cdrzd22407zd2_1481
																																		=
																																		CDR
																																		(BgL_cdrzd22403zd2_1479);
																																	if (PAIRP
																																		(BgL_cdrzd22407zd2_1481))
																																		{	/* Ast/sexp.scm 103 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd22407zd2_1481)))
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_varz00_1473
																																						=
																																						CAR
																																						(BgL_cdrzd22403zd2_1479);
																																					BgL_valz00_1474
																																						=
																																						CAR
																																						(BgL_cdrzd22407zd2_1481);
																																					{	/* Ast/sexp.scm 329 */
																																						obj_t
																																							BgL_locz00_1487;
																																						BgL_locz00_1487
																																							=
																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																							(BgL_expz00_18,
																																							BgL_locz00_20);
																																						{	/* Ast/sexp.scm 329 */
																																							obj_t
																																								BgL_cdlocz00_1488;
																																							BgL_cdlocz00_1488
																																								=
																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																								(CDR
																																								(BgL_expz00_18),
																																								BgL_locz00_1487);
																																							{	/* Ast/sexp.scm 330 */
																																								obj_t
																																									BgL_cddlocz00_1489;
																																								{	/* Ast/sexp.scm 331 */
																																									obj_t
																																										BgL_arg3669z00_1497;
																																									{	/* Ast/sexp.scm 331 */
																																										obj_t
																																											BgL_pairz00_2637;
																																										BgL_pairz00_2637
																																											=
																																											BgL_expz00_18;
																																										BgL_arg3669z00_1497
																																											=
																																											CDR
																																											(CDR
																																											(BgL_pairz00_2637));
																																									}
																																									BgL_cddlocz00_1489
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(BgL_arg3669z00_1497,
																																										BgL_locz00_1487);
																																								}
																																								{	/* Ast/sexp.scm 331 */
																																									obj_t
																																										BgL_valzd2loczd2_1490;
																																									BgL_valzd2loczd2_1490
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(BgL_valz00_1474,
																																										BgL_cddlocz00_1489);
																																									{	/* Ast/sexp.scm 332 */
																																										BgL_nodez00_bglt
																																											BgL_valz00_1491;
																																										BgL_valz00_1491
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(BgL_valz00_1474,
																																											BgL_stackz00_19,
																																											BgL_valzd2loczd2_1490,
																																											CNST_TABLE_REF
																																											(((long) 2)));
																																										{	/* Ast/sexp.scm 333 */

																																											{	/* Ast/sexp.scm 334 */
																																												BgL_nodez00_bglt
																																													BgL_astz00_1492;
																																												BgL_astz00_1492
																																													=
																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																													(BgL_varz00_1473,
																																													BgL_stackz00_19,
																																													BgL_cdlocz00_1488,
																																													CNST_TABLE_REF
																																													(((long) 2)));
																																												{	/* Ast/sexp.scm 335 */
																																													bool_t
																																														BgL_testz00_3403;
																																													{	/* Ast/sexp.scm 335 */
																																														bool_t
																																															BgL_testz00_3404;
																																														{	/* Ast/sexp.scm 335 */
																																															obj_t
																																																BgL_obj2085z00_2641;
																																															BgL_obj2085z00_2641
																																																=
																																																(obj_t)
																																																(BgL_astz00_1492);
																																															BgL_testz00_3404
																																																=
																																																BGl_iszd2azf3z21zz__objectz00
																																																(BgL_obj2085z00_2641,
																																																BGl_varz00zzast_nodez00);
																																														}
																																														if (BgL_testz00_3404)
																																															{	/* Ast/sexp.scm 335 */
																																																BgL_variablez00_bglt
																																																	BgL_arg3668z00_1496;
																																																{
																																																	BgL_varz00_bglt
																																																		BgL_auxz00_3407;
																																																	BgL_auxz00_3407
																																																		=
																																																		(BgL_varz00_bglt)
																																																		(BgL_astz00_1492);
																																																	BgL_arg3668z00_1496
																																																		=
																																																		(
																																																		((BgL_varz00_bglt) CREF(BgL_auxz00_3407))->BgL_variablez00);
																																																}
																																																{	/* Ast/sexp.scm 335 */
																																																	obj_t
																																																		BgL_obj1668z00_2643;
																																																	BgL_obj1668z00_2643
																																																		=
																																																		(obj_t)
																																																		(BgL_arg3668z00_1496);
																																																	BgL_testz00_3403
																																																		=
																																																		BGl_iszd2azf3z21zz__objectz00
																																																		(BgL_obj1668z00_2643,
																																																		BGl_globalz00zzast_varz00);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 335 */
																																																BgL_testz00_3403
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																													if (BgL_testz00_3403)
																																														{	/* Ast/sexp.scm 335 */
																																															{	/* Ast/sexp.scm 337 */
																																																BgL_variablez00_bglt
																																																	BgL_arg3666z00_1494;
																																																{
																																																	BgL_varz00_bglt
																																																		BgL_auxz00_3412;
																																																	BgL_auxz00_3412
																																																		=
																																																		(BgL_varz00_bglt)
																																																		(BgL_astz00_1492);
																																																	BgL_arg3666z00_1494
																																																		=
																																																		(
																																																		((BgL_varz00_bglt) CREF(BgL_auxz00_3412))->BgL_variablez00);
																																																}
																																																{
																																																	obj_t
																																																		BgL_auxz00_3417;
																																																	BgL_globalz00_bglt
																																																		BgL_auxz00_3415;
																																																	BgL_auxz00_3417
																																																		=
																																																		(obj_t)
																																																		(BgL_valz00_1491);
																																																	BgL_auxz00_3415
																																																		=
																																																		(BgL_globalz00_bglt)
																																																		(BgL_arg3666z00_1494);
																																																	((((BgL_globalz00_bglt) CREF(BgL_auxz00_3415))->BgL_srcz00) = ((obj_t) BgL_auxz00_3417), BUNSPEC);
																																																}
																																															}
																																															BgL_auxz00_3380
																																																=
																																																(obj_t)
																																																(BGl_makezd2setqzd2zzast_nodez00
																																																(BgL_locz00_1487,
																																																	(BgL_typez00_bglt)
																																																	(BGl_za2unspecza2z00zztype_cachez00),
																																																	(BgL_varz00_bglt)
																																																	(BgL_astz00_1492),
																																																	BgL_valz00_1491));
																																														}
																																													else
																																														{	/* Ast/sexp.scm 335 */
																																															BgL_auxz00_3380
																																																=
																																																(obj_t)
																																																(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																(BGl_string4050z00zzast_sexpz00,
																																																	BgL_expz00_18,
																																																	BgL_locz00_1487));
																																														}
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_nodez00_bglt
																																						BgL_auxz00_3428;
																																				BgL_tagzd22396zd2_1476:
																																					BgL_auxz00_3428 = BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4049z00zzast_sexpz00, BgL_expz00_18, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_18, BgL_locz00_20));
																																					BgL_auxz00_3380
																																						=
																																						(obj_t)
																																						(BgL_auxz00_3428);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			BgL_nodez00_bglt
																																				BgL_auxz00_3432;
																																			goto
																																				BgL_tagzd22396zd2_1476;
																																			BgL_auxz00_3380
																																				=
																																				(obj_t)
																																				(BgL_auxz00_3432);
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	BgL_nodez00_bglt
																																		BgL_auxz00_3434;
																																	goto
																																		BgL_tagzd22396zd2_1476;
																																	BgL_auxz00_3380
																																		=
																																		(obj_t)
																																		(BgL_auxz00_3434);
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 103 */
																															BgL_nodez00_bglt
																																BgL_auxz00_3436;
																															goto
																																BgL_tagzd22396zd2_1476;
																															BgL_auxz00_3380 =
																																(obj_t)
																																(BgL_auxz00_3436);
																														}
																												}
																												return
																													(BgL_nodez00_bglt)
																													(BgL_auxz00_3380);
																											}
																										else
																											{	/* Ast/sexp.scm 103 */
																												obj_t
																													BgL_carzd21574zd2_933;
																												BgL_carzd21574zd2_933 =
																													CAR(BgL_expz00_18);
																												if (PAIRP
																													(BgL_carzd21574zd2_933))
																													{	/* Ast/sexp.scm 103 */
																														obj_t
																															BgL_carzd21577zd2_935;
																														obj_t
																															BgL_cdrzd21578zd2_936;
																														BgL_carzd21577zd2_935
																															=
																															CAR
																															(BgL_carzd21574zd2_933);
																														BgL_cdrzd21578zd2_936
																															=
																															CDR
																															(BgL_carzd21574zd2_933);
																														{

																															if (
																																(BgL_carzd21577zd2_935
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			19))))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_auxz00_3447;
																																BgL_kapzd21579zd2_937:
																																	if (PAIRP
																																		(BgL_cdrzd21578zd2_936))
																																		{	/* Ast/sexp.scm 103 */
																																			obj_t
																																				BgL_cdrzd21582zd2_959;
																																			BgL_cdrzd21582zd2_959
																																				=
																																				CDR
																																				(BgL_cdrzd21578zd2_936);
																																			if (PAIRP
																																				(BgL_cdrzd21582zd2_959))
																																				{	/* Ast/sexp.scm 103 */
																																					if (NULLP(CDR(BgL_cdrzd21582zd2_959)))
																																						{	/* Ast/sexp.scm 103 */
																																							obj_t
																																								BgL_arg3243z00_962;
																																							obj_t
																																								BgL_arg3244z00_963;
																																							BgL_arg3243z00_962
																																								=
																																								CAR
																																								(BgL_cdrzd21582zd2_959);
																																							BgL_arg3244z00_963
																																								=
																																								CDR
																																								(BgL_expz00_18);
																																							{	/* Ast/sexp.scm 103 */
																																								BgL_nodez00_bglt
																																									BgL_auxz00_3458;
																																								BgL_bodyz00_890
																																									=
																																									BgL_arg3243z00_962;
																																								BgL_argsz00_891
																																									=
																																									BgL_arg3244z00_963;
																																							BgL_tagzd21473zd2_892:
																																								{	/* Ast/sexp.scm 352 */
																																									obj_t
																																										BgL_letzd2partzd2_1501;
																																									BgL_letzd2partzd2_1501
																																										=
																																										CAR
																																										(BgL_expz00_18);
																																									{	/* Ast/sexp.scm 352 */
																																										obj_t
																																											BgL_nexpz00_1502;
																																										{	/* Ast/sexp.scm 353 */
																																											obj_t
																																												BgL_arg3673z00_1503;
																																											obj_t
																																												BgL_arg3674z00_1504;
																																											BgL_arg3673z00_1503
																																												=
																																												CAR
																																												(BgL_letzd2partzd2_1501);
																																											{	/* Ast/sexp.scm 353 */
																																												obj_t
																																													BgL_arg3675z00_1505;
																																												obj_t
																																													BgL_arg3676z00_1506;
																																												{	/* Ast/sexp.scm 353 */
																																													obj_t
																																														BgL_pairz00_2649;
																																													BgL_pairz00_2649
																																														=
																																														BgL_letzd2partzd2_1501;
																																													BgL_arg3675z00_1505
																																														=
																																														CAR
																																														(CDR
																																														(BgL_pairz00_2649));
																																												}
																																												BgL_arg3676z00_1506
																																													=
																																													MAKE_PAIR
																																													(BgL_bodyz00_890,
																																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																													(BgL_argsz00_891,
																																														BNIL));
																																												{	/* Ast/sexp.scm 353 */
																																													obj_t
																																														BgL_list3678z00_1508;
																																													{	/* Ast/sexp.scm 353 */
																																														obj_t
																																															BgL_arg3679z00_1509;
																																														BgL_arg3679z00_1509
																																															=
																																															MAKE_PAIR
																																															(BNIL,
																																															BNIL);
																																														BgL_list3678z00_1508
																																															=
																																															MAKE_PAIR
																																															(BgL_arg3676z00_1506,
																																															BgL_arg3679z00_1509);
																																													}
																																													BgL_arg3674z00_1504
																																														=
																																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																														(BgL_arg3675z00_1505,
																																														BgL_list3678z00_1508);
																																												}
																																											}
																																											BgL_nexpz00_1502
																																												=
																																												MAKE_PAIR
																																												(BgL_arg3673z00_1503,
																																												BgL_arg3674z00_1504);
																																										}
																																										{	/* Ast/sexp.scm 353 */

																																											BgL_auxz00_3458
																																												=
																																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																																												(BgL_nexpz00_1502,
																																												BgL_stackz00_19,
																																												BgL_locz00_20,
																																												BgL_sitez00_21);
																																										}
																																									}
																																								}
																																								BgL_auxz00_3447
																																									=
																																									(obj_t)
																																									(BgL_auxz00_3458);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							bool_t
																																								BgL_testz00_3471;
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_arg3256z00_976;
																																								BgL_arg3256z00_976
																																									=
																																									CAR
																																									(BgL_expz00_18);
																																								BgL_testz00_3471
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg3256z00_976));
																																							}
																																							if (BgL_testz00_3471)
																																								{	/* Ast/sexp.scm 103 */
																																									BgL_nodez00_bglt
																																										BgL_auxz00_3475;
																																								BgL_tagzd21474zd2_893:
																																									BgL_auxz00_3475 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, CNST_TABLE_REF(((long) 2)));
																																									BgL_auxz00_3447
																																										=
																																										(obj_t)
																																										(BgL_auxz00_3475);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									bool_t
																																										BgL_testz00_3479;
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_arg3255z00_975;
																																										BgL_arg3255z00_975
																																											=
																																											CAR
																																											(BgL_expz00_18);
																																										BgL_testz00_3479
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg3255z00_975));
																																									}
																																									if (BgL_testz00_3479)
																																										{	/* Ast/sexp.scm 103 */
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_3483;
																																										BgL_tagzd21475zd2_894:
																																											BgL_auxz00_3483 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, CNST_TABLE_REF(((long) 2)));
																																											BgL_auxz00_3447
																																												=
																																												(obj_t)
																																												(BgL_auxz00_3483);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 103 */
																																											obj_t
																																												BgL_carzd21613zd2_966;
																																											BgL_carzd21613zd2_966
																																												=
																																												CAR
																																												(BgL_expz00_18);
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_cdrzd21618zd2_967;
																																												BgL_cdrzd21618zd2_967
																																													=
																																													CDR
																																													(BgL_carzd21613zd2_966);
																																												if ((CAR(BgL_carzd21613zd2_966) == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 103 */
																																														obj_t
																																															BgL_arg3248z00_969;
																																														obj_t
																																															BgL_arg3249z00_970;
																																														obj_t
																																															BgL_arg3251z00_971;
																																														BgL_arg3248z00_969
																																															=
																																															CAR
																																															(BgL_cdrzd21618zd2_967);
																																														BgL_arg3249z00_970
																																															=
																																															CDR
																																															(BgL_cdrzd21618zd2_967);
																																														BgL_arg3251z00_971
																																															=
																																															CDR
																																															(BgL_expz00_18);
																																														{	/* Ast/sexp.scm 103 */
																																															BgL_nodez00_bglt
																																																BgL_auxz00_3496;
																																															BgL_varsz00_895
																																																=
																																																BgL_arg3248z00_969;
																																															BgL_bodyz00_896
																																																=
																																																BgL_arg3249z00_970;
																																															BgL_argsz00_897
																																																=
																																																BgL_arg3251z00_971;
																																														BgL_tagzd21476zd2_898:
																																															{	/* Ast/sexp.scm 363 */
																																																obj_t
																																																	BgL_locz00_1511;
																																																obj_t
																																																	BgL_nexpz00_1512;
																																																BgL_locz00_1511
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_18,
																																																	BgL_locz00_20);
																																																{	/* Ast/sexp.scm 364 */
																																																	obj_t
																																																		BgL_arg3681z00_1513;
																																																	obj_t
																																																		BgL_arg3682z00_1514;
																																																	BgL_arg3681z00_1513
																																																		=
																																																		BGl_letzd2symzd2zzast_letz00
																																																		();
																																																	{	/* Ast/sexp.scm 367 */
																																																		obj_t
																																																			BgL_arg3683z00_1515;
																																																		obj_t
																																																			BgL_arg3684z00_1516;
																																																		BgL_arg3683z00_1515
																																																			=
																																																			BGl_loopz00zzast_sexpz00
																																																			(BgL_expz00_18,
																																																			BgL_locz00_20,
																																																			BgL_varsz00_895,
																																																			BgL_argsz00_897);
																																																		{	/* Ast/sexp.scm 406 */
																																																			obj_t
																																																				BgL_arg3733z00_1573;
																																																			obj_t
																																																				BgL_arg3734z00_1574;
																																																			BgL_arg3733z00_1573
																																																				=
																																																				BGl_shapez00zztools_shapez00
																																																				(BGl_currentzd2functionzd2zztools_errorz00
																																																				());
																																																			BgL_arg3734z00_1574
																																																				=
																																																				BGl_normaliza7ezd2prognz75zztools_prognz00
																																																				(BgL_bodyz00_896);
																																																			{	/* Ast/sexp.scm 410 */
																																																				obj_t
																																																					BgL_zc3anonymousza33737ze3z83_2838;
																																																				BgL_zc3anonymousza33737ze3z83_2838
																																																					=
																																																					make_fx_procedure
																																																					(BGl_zc3anonymousza33737ze3z83zzast_sexpz00,
																																																					(int)
																																																					(((long) 3)), (int) (((long) 1)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33737ze3z83_2838,
																																																					(int)
																																																					(((long) 0)), BgL_locz00_20);
																																																				BgL_arg3684z00_1516
																																																					=
																																																					BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																					(BgL_arg3733z00_1573,
																																																					BgL_varsz00_895,
																																																					BgL_arg3734z00_1574,
																																																					BgL_zc3anonymousza33737ze3z83_2838);
																																																		}}
																																																		{	/* Ast/sexp.scm 364 */
																																																			obj_t
																																																				BgL_list3686z00_1518;
																																																			{	/* Ast/sexp.scm 364 */
																																																				obj_t
																																																					BgL_arg3687z00_1519;
																																																				BgL_arg3687z00_1519
																																																					=
																																																					MAKE_PAIR
																																																					(BNIL,
																																																					BNIL);
																																																				BgL_list3686z00_1518
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg3684z00_1516,
																																																					BgL_arg3687z00_1519);
																																																			}
																																																			BgL_arg3682z00_1514
																																																				=
																																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																				(BgL_arg3683z00_1515,
																																																				BgL_list3686z00_1518);
																																																	}}
																																																	BgL_nexpz00_1512
																																																		=
																																																		MAKE_PAIR
																																																		(BgL_arg3681z00_1513,
																																																		BgL_arg3682z00_1514);
																																																}
																																																BgL_auxz00_3496
																																																	=
																																																	BGl_letzd2ze3nodez31zzast_letz00
																																																	(BgL_nexpz00_1512,
																																																	BgL_stackz00_19,
																																																	BgL_locz00_1511,
																																																	BgL_sitez00_21);
																																															}
																																															BgL_auxz00_3447
																																																=
																																																(obj_t)
																																																(BgL_auxz00_3496);
																																													}}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																															{	/* Ast/sexp.scm 103 */
																																															BgL_tagzd21488zd2_914:
																																																BgL_auxz00_3447 = BGl_privatezd2ze3nodez31zzast_privatez00(BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_3518;
																																															BgL_tagzd21489zd2_915:
																																																BgL_auxz00_3518 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																																BgL_auxz00_3447
																																																	=
																																																	(obj_t)
																																																	(BgL_auxz00_3518);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					bool_t
																																						BgL_testz00_3521;
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_arg3268z00_990;
																																						BgL_arg3268z00_990
																																							=
																																							CAR
																																							(BgL_expz00_18);
																																						BgL_testz00_3521
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg3268z00_990));
																																					}
																																					if (BgL_testz00_3521)
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_nodez00_bglt
																																								BgL_auxz00_3525;
																																							goto
																																								BgL_tagzd21474zd2_893;
																																							BgL_auxz00_3447
																																								=
																																								(obj_t)
																																								(BgL_auxz00_3525);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							bool_t
																																								BgL_testz00_3527;
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_arg3267z00_989;
																																								BgL_arg3267z00_989
																																									=
																																									CAR
																																									(BgL_expz00_18);
																																								BgL_testz00_3527
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg3267z00_989));
																																							}
																																							if (BgL_testz00_3527)
																																								{	/* Ast/sexp.scm 103 */
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_3531;
																																									goto
																																										BgL_tagzd21475zd2_894;
																																									BgL_auxz00_3447
																																										=
																																										(obj_t)
																																										(BgL_auxz00_3531);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									obj_t
																																										BgL_carzd21665zd2_980;
																																									BgL_carzd21665zd2_980
																																										=
																																										CAR
																																										(BgL_expz00_18);
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_cdrzd21670zd2_981;
																																										BgL_cdrzd21670zd2_981
																																											=
																																											CDR
																																											(BgL_carzd21665zd2_980);
																																										if ((CAR(BgL_carzd21665zd2_980) == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_arg3261z00_983;
																																												obj_t
																																													BgL_arg3262z00_984;
																																												obj_t
																																													BgL_arg3263z00_985;
																																												BgL_arg3261z00_983
																																													=
																																													CAR
																																													(BgL_cdrzd21670zd2_981);
																																												BgL_arg3262z00_984
																																													=
																																													CDR
																																													(BgL_cdrzd21670zd2_981);
																																												BgL_arg3263z00_985
																																													=
																																													CDR
																																													(BgL_expz00_18);
																																												{	/* Ast/sexp.scm 103 */
																																													BgL_nodez00_bglt
																																														BgL_auxz00_3542;
																																													{
																																														obj_t
																																															BgL_argsz00_3545;
																																														obj_t
																																															BgL_bodyz00_3544;
																																														obj_t
																																															BgL_varsz00_3543;
																																														BgL_varsz00_3543
																																															=
																																															BgL_arg3261z00_983;
																																														BgL_bodyz00_3544
																																															=
																																															BgL_arg3262z00_984;
																																														BgL_argsz00_3545
																																															=
																																															BgL_arg3263z00_985;
																																														BgL_argsz00_897
																																															=
																																															BgL_argsz00_3545;
																																														BgL_bodyz00_896
																																															=
																																															BgL_bodyz00_3544;
																																														BgL_varsz00_895
																																															=
																																															BgL_varsz00_3543;
																																														goto
																																															BgL_tagzd21476zd2_898;
																																													}
																																													BgL_auxz00_3447
																																														=
																																														(obj_t)
																																														(BgL_auxz00_3542);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																													{	/* Ast/sexp.scm 103 */
																																														goto
																																															BgL_tagzd21488zd2_914;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														BgL_nodez00_bglt
																																															BgL_auxz00_3549;
																																														goto
																																															BgL_tagzd21489zd2_915;
																																														BgL_auxz00_3447
																																															=
																																															(obj_t)
																																															(BgL_auxz00_3549);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			bool_t
																																				BgL_testz00_3551;
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_arg3273z00_995;
																																				BgL_arg3273z00_995
																																					=
																																					CAR
																																					(BgL_expz00_18);
																																				BgL_testz00_3551
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg3273z00_995));
																																			}
																																			if (BgL_testz00_3551)
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_nodez00_bglt
																																						BgL_auxz00_3555;
																																					goto
																																						BgL_tagzd21474zd2_893;
																																					BgL_auxz00_3447
																																						=
																																						(obj_t)
																																						(BgL_auxz00_3555);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					bool_t
																																						BgL_testz00_3557;
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_arg3272z00_994;
																																						BgL_arg3272z00_994
																																							=
																																							CAR
																																							(BgL_expz00_18);
																																						BgL_testz00_3557
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg3272z00_994));
																																					}
																																					if (BgL_testz00_3557)
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_3561;
																																							goto
																																								BgL_tagzd21475zd2_894;
																																							BgL_auxz00_3447
																																								=
																																								(obj_t)
																																								(BgL_auxz00_3561);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																								{	/* Ast/sexp.scm 103 */
																																									goto
																																										BgL_tagzd21488zd2_914;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									BgL_nodez00_bglt
																																										BgL_auxz00_3565;
																																									goto
																																										BgL_tagzd21489zd2_915;
																																									BgL_auxz00_3447
																																										=
																																										(obj_t)
																																										(BgL_auxz00_3565);
																																								}
																																						}
																																				}
																																		}
																																	return
																																		(BgL_nodez00_bglt)
																																		(BgL_auxz00_3447);
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	if (CBOOL
																																		(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_carzd21577zd2_935)))
																																		{	/* Ast/sexp.scm 103 */
																																			obj_t
																																				BgL_auxz00_3571;
																																			goto
																																				BgL_kapzd21579zd2_937;
																																			return
																																				(BgL_nodez00_bglt)
																																				(BgL_auxz00_3571);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			if (
																																				(BgL_carzd21577zd2_935
																																					==
																																					CNST_TABLE_REF
																																					(((long) 20))))
																																				{	/* Ast/sexp.scm 103 */
																																					obj_t
																																						BgL_auxz00_3576;
																																					goto
																																						BgL_kapzd21579zd2_937;
																																					return
																																						(BgL_nodez00_bglt)
																																						(BgL_auxz00_3576);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					if (
																																						(BgL_carzd21577zd2_935
																																							==
																																							CNST_TABLE_REF
																																							(((long) 21))))
																																						{	/* Ast/sexp.scm 103 */
																																							obj_t
																																								BgL_auxz00_3581;
																																							goto
																																								BgL_kapzd21579zd2_937;
																																							return
																																								(BgL_nodez00_bglt)
																																								(BgL_auxz00_3581);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21577zd2_935)))
																																								{	/* Ast/sexp.scm 103 */
																																									obj_t
																																										BgL_auxz00_3586;
																																									goto
																																										BgL_kapzd21579zd2_937;
																																									return
																																										(BgL_nodez00_bglt)
																																										(BgL_auxz00_3586);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									bool_t
																																										BgL_testz00_3588;
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_arg3239z00_957;
																																										BgL_arg3239z00_957
																																											=
																																											CAR
																																											(BgL_expz00_18);
																																										BgL_testz00_3588
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg3239z00_957));
																																									}
																																									if (BgL_testz00_3588)
																																										{	/* Ast/sexp.scm 103 */
																																											goto
																																												BgL_tagzd21474zd2_893;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 103 */
																																											bool_t
																																												BgL_testz00_3592;
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_arg3238z00_956;
																																												BgL_arg3238z00_956
																																													=
																																													CAR
																																													(BgL_expz00_18);
																																												BgL_testz00_3592
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg3238z00_956));
																																											}
																																											if (BgL_testz00_3592)
																																												{	/* Ast/sexp.scm 103 */
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_3596;
																																													goto
																																														BgL_tagzd21475zd2_894;
																																													return
																																														(BgL_nodez00_bglt)
																																														(BgL_auxz00_3596);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 103 */
																																													obj_t
																																														BgL_carzd21759zd2_945;
																																													BgL_carzd21759zd2_945
																																														=
																																														CAR
																																														(BgL_expz00_18);
																																													{	/* Ast/sexp.scm 103 */
																																														obj_t
																																															BgL_cdrzd21764zd2_946;
																																														BgL_cdrzd21764zd2_946
																																															=
																																															CDR
																																															(BgL_carzd21759zd2_945);
																																														if ((CAR(BgL_carzd21759zd2_945) == CNST_TABLE_REF(((long) 18))))
																																															{	/* Ast/sexp.scm 103 */
																																																if (PAIRP(BgL_cdrzd21764zd2_946))
																																																	{
																																																		obj_t
																																																			BgL_argsz00_3610;
																																																		obj_t
																																																			BgL_bodyz00_3608;
																																																		obj_t
																																																			BgL_varsz00_3606;
																																																		BgL_varsz00_3606
																																																			=
																																																			CAR
																																																			(BgL_cdrzd21764zd2_946);
																																																		BgL_bodyz00_3608
																																																			=
																																																			CDR
																																																			(BgL_cdrzd21764zd2_946);
																																																		BgL_argsz00_3610
																																																			=
																																																			CDR
																																																			(BgL_expz00_18);
																																																		BgL_argsz00_897
																																																			=
																																																			BgL_argsz00_3610;
																																																		BgL_bodyz00_896
																																																			=
																																																			BgL_bodyz00_3608;
																																																		BgL_varsz00_895
																																																			=
																																																			BgL_varsz00_3606;
																																																		goto
																																																			BgL_tagzd21476zd2_898;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																			{	/* Ast/sexp.scm 103 */
																																																				obj_t
																																																					BgL_auxz00_3614;
																																																				goto
																																																					BgL_tagzd21488zd2_914;
																																																				return
																																																					(BgL_nodez00_bglt)
																																																					(BgL_auxz00_3614);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				goto
																																																					BgL_tagzd21489zd2_915;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																	{	/* Ast/sexp.scm 103 */
																																																		obj_t
																																																			BgL_auxz00_3618;
																																																		goto
																																																			BgL_tagzd21488zd2_914;
																																																		return
																																																			(BgL_nodez00_bglt)
																																																			(BgL_auxz00_3618);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		goto
																																																			BgL_tagzd21489zd2_915;
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 103 */
																														if (
																															(BgL_carzd21574zd2_933
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		19))))
																															{	/* Ast/sexp.scm 103 */
																																goto
																																	BgL_tagzd21474zd2_893;
																															}
																														else
																															{	/* Ast/sexp.scm 103 */
																																if (CBOOL
																																	(BGl_letzd2symzf3z21zzast_letz00
																																		(BgL_carzd21574zd2_933)))
																																	{	/* Ast/sexp.scm 103 */
																																		goto
																																			BgL_tagzd21474zd2_893;
																																	}
																																else
																																	{	/* Ast/sexp.scm 103 */
																																		if (
																																			(BgL_carzd21574zd2_933
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						20))))
																																			{	/* Ast/sexp.scm 103 */
																																				goto
																																					BgL_tagzd21474zd2_893;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_carzd21814zd2_1000;
																																				BgL_carzd21814zd2_1000
																																					=
																																					CAR
																																					(BgL_expz00_18);
																																				if (
																																					(BgL_carzd21814zd2_1000
																																						==
																																						CNST_TABLE_REF
																																						(((long) 21))))
																																					{	/* Ast/sexp.scm 103 */
																																						BgL_letzd2funzd2_bglt
																																							BgL_auxz00_3633;
																																						goto
																																							BgL_tagzd21475zd2_894;
																																						return
																																							(BgL_nodez00_bglt)
																																							(BgL_auxz00_3633);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 103 */
																																						if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21814zd2_1000)))
																																							{	/* Ast/sexp.scm 103 */
																																								BgL_letzd2funzd2_bglt
																																									BgL_auxz00_3638;
																																								goto
																																									BgL_tagzd21475zd2_894;
																																								return
																																									(BgL_nodez00_bglt)
																																									(BgL_auxz00_3638);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 103 */
																																								if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 103 */
																																									BgL_tagzd21477zd2_899:
																																										{
																																											obj_t
																																												BgL_argsz00_1583;
																																											obj_t
																																												BgL_bodyz00_1584;
																																											if (PAIRP(BgL_expz00_18))
																																												{	/* Ast/sexp.scm 103 */
																																													obj_t
																																														BgL_cdrzd22421zd2_1589;
																																													BgL_cdrzd22421zd2_1589
																																														=
																																														CDR
																																														(BgL_expz00_18);
																																													if (PAIRP(BgL_cdrzd22421zd2_1589))
																																														{	/* Ast/sexp.scm 103 */
																																															BgL_argsz00_1583
																																																=
																																																CAR
																																																(BgL_cdrzd22421zd2_1589);
																																															BgL_bodyz00_1584
																																																=
																																																CDR
																																																(BgL_cdrzd22421zd2_1589);
																																															{	/* Ast/sexp.scm 416 */
																																																obj_t
																																																	BgL_locz00_1593;
																																																obj_t
																																																	BgL_funz00_1594;
																																																BgL_locz00_1593
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_18,
																																																	BgL_locz00_20);
																																																BgL_funz00_1594
																																																	=
																																																	BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																	(BgL_locz00_20,
																																																	BNIL);
																																																{	/* Ast/sexp.scm 418 */
																																																	obj_t
																																																		BgL_arg3743z00_1595;
																																																	{	/* Ast/sexp.scm 418 */
																																																		obj_t
																																																			BgL_arg3745z00_1596;
																																																		obj_t
																																																			BgL_arg3746z00_1597;
																																																		BgL_arg3745z00_1596
																																																			=
																																																			BGl_labelszd2symzd2zzast_labelsz00
																																																			();
																																																		{	/* Ast/sexp.scm 418 */
																																																			obj_t
																																																				BgL_arg3747z00_1598;
																																																			{	/* Ast/sexp.scm 418 */
																																																				obj_t
																																																					BgL_arg3751z00_1602;
																																																				{	/* Ast/sexp.scm 418 */
																																																					obj_t
																																																						BgL_arg3753z00_1604;
																																																					{	/* Ast/sexp.scm 418 */
																																																						obj_t
																																																							BgL_arg3754z00_1605;
																																																						BgL_arg3754z00_1605
																																																							=
																																																							BGl_normaliza7ezd2prognz75zztools_prognz00
																																																							(BgL_bodyz00_1584);
																																																						{	/* Ast/sexp.scm 418 */
																																																							obj_t
																																																								BgL_list3756z00_1607;
																																																							{	/* Ast/sexp.scm 418 */
																																																								obj_t
																																																									BgL_arg3757z00_1608;
																																																								BgL_arg3757z00_1608
																																																									=
																																																									MAKE_PAIR
																																																									(BNIL,
																																																									BNIL);
																																																								BgL_list3756z00_1607
																																																									=
																																																									MAKE_PAIR
																																																									(BgL_arg3754z00_1605,
																																																									BgL_arg3757z00_1608);
																																																							}
																																																							BgL_arg3753z00_1604
																																																								=
																																																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																								(BgL_argsz00_1583,
																																																								BgL_list3756z00_1607);
																																																						}
																																																					}
																																																					BgL_arg3751z00_1602
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_funz00_1594,
																																																						BgL_arg3753z00_1604);
																																																				}
																																																				BgL_arg3747z00_1598
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg3751z00_1602,
																																																					BNIL);
																																																			}
																																																			{	/* Ast/sexp.scm 418 */
																																																				obj_t
																																																					BgL_list3749z00_1600;
																																																				{	/* Ast/sexp.scm 418 */
																																																					obj_t
																																																						BgL_arg3750z00_1601;
																																																					BgL_arg3750z00_1601
																																																						=
																																																						MAKE_PAIR
																																																						(BNIL,
																																																						BNIL);
																																																					BgL_list3749z00_1600
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_funz00_1594,
																																																						BgL_arg3750z00_1601);
																																																				}
																																																				BgL_arg3746z00_1597
																																																					=
																																																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																					(BgL_arg3747z00_1598,
																																																					BgL_list3749z00_1600);
																																																			}
																																																		}
																																																		BgL_arg3743z00_1595
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg3745z00_1596,
																																																			BgL_arg3746z00_1597);
																																																	}
																																																	{
																																																		obj_t
																																																			BgL_locz00_3663;
																																																		obj_t
																																																			BgL_expz00_3662;
																																																		BgL_expz00_3662
																																																			=
																																																			BgL_arg3743z00_1595;
																																																		BgL_locz00_3663
																																																			=
																																																			BgL_locz00_1593;
																																																		BgL_locz00_20
																																																			=
																																																			BgL_locz00_3663;
																																																		BgL_expz00_18
																																																			=
																																																			BgL_expz00_3662;
																																																		goto
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																	}
																																																}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 103 */
																																														BgL_tagzd22414zd2_1586:
																																															return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4048z00zzast_sexpz00, BgL_expz00_18, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_18, BgL_locz00_20));
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 103 */
																																													goto
																																														BgL_tagzd22414zd2_1586;
																																												}
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 4))))
																																											{	/* Ast/sexp.scm 103 */
																																											BgL_tagzd21478zd2_900:
																																												return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, (BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_cdrzd21838zd2_1005;
																																												BgL_cdrzd21838zd2_1005
																																													=
																																													CDR
																																													(BgL_expz00_18);
																																												if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 22))))
																																													{	/* Ast/sexp.scm 103 */
																																														if (PAIRP(BgL_cdrzd21838zd2_1005))
																																															{	/* Ast/sexp.scm 103 */
																																																BgL_effectz00_901
																																																	=
																																																	CAR
																																																	(BgL_cdrzd21838zd2_1005);
																																																BgL_restz00_902
																																																	=
																																																	CDR
																																																	(BgL_cdrzd21838zd2_1005);
																																															BgL_tagzd21479zd2_903:
																																																{	/* Ast/sexp.scm 432 */
																																																	BgL_feffectz00_bglt
																																																		BgL_arg3761z00_1612;
																																																	obj_t
																																																		BgL_arg3762z00_1613;
																																																	BgL_arg3761z00_1612
																																																		=
																																																		BGl_parsezd2effectzd2zzeffect_feffectz00
																																																		(BgL_effectz00_901);
																																																	{	/* Ast/sexp.scm 433 */
																																																		obj_t
																																																			BgL_arg3763z00_1614;
																																																		obj_t
																																																			BgL_arg3764z00_1615;
																																																		BgL_arg3763z00_1614
																																																			=
																																																			CNST_TABLE_REF
																																																			(
																																																			((long) 4));
																																																		BgL_arg3764z00_1615
																																																			=
																																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																			(BgL_restz00_902,
																																																			BNIL);
																																																		BgL_arg3762z00_1613
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg3763z00_1614,
																																																			BgL_arg3764z00_1615);
																																																	}
																																																	return
																																																		BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																		(
																																																		((bool_t) 0), (obj_t) (BgL_arg3761z00_1612), (BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00), BgL_arg3762z00_1613, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																																}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																	{	/* Ast/sexp.scm 103 */
																																																		obj_t
																																																			BgL_auxz00_3692;
																																																		goto
																																																			BgL_tagzd21488zd2_914;
																																																		return
																																																			(BgL_nodez00_bglt)
																																																			(BgL_auxz00_3692);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		goto
																																																			BgL_tagzd21489zd2_915;
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 23))))
																																															{	/* Ast/sexp.scm 103 */
																																															BgL_tagzd21480zd2_904:
																																																return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, (BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 24))))
																																																	{	/* Ast/sexp.scm 103 */
																																																		if (PAIRP(BgL_cdrzd21838zd2_1005))
																																																			{	/* Ast/sexp.scm 103 */
																																																				BgL_effectz00_905
																																																					=
																																																					CAR
																																																					(BgL_cdrzd21838zd2_1005);
																																																				BgL_restz00_906
																																																					=
																																																					CDR
																																																					(BgL_cdrzd21838zd2_1005);
																																																			BgL_tagzd21481zd2_907:
																																																				{	/* Ast/sexp.scm 440 */
																																																					BgL_feffectz00_bglt
																																																						BgL_arg3765z00_1616;
																																																					obj_t
																																																						BgL_arg3766z00_1617;
																																																					BgL_arg3765z00_1616
																																																						=
																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																						(BgL_effectz00_905);
																																																					{	/* Ast/sexp.scm 441 */
																																																						obj_t
																																																							BgL_arg3767z00_1618;
																																																						obj_t
																																																							BgL_arg3768z00_1619;
																																																						BgL_arg3767z00_1618
																																																							=
																																																							CNST_TABLE_REF
																																																							(
																																																							((long) 4));
																																																						BgL_arg3768z00_1619
																																																							=
																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																							(BgL_restz00_906,
																																																							BNIL);
																																																						BgL_arg3766z00_1617
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg3767z00_1618,
																																																							BgL_arg3768z00_1619);
																																																					}
																																																					return
																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																						(
																																																						((bool_t) 1), (obj_t) (BgL_arg3765z00_1616), (BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00), BgL_arg3766z00_1617, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																					{	/* Ast/sexp.scm 103 */
																																																						obj_t
																																																							BgL_auxz00_3717;
																																																						goto
																																																							BgL_tagzd21488zd2_914;
																																																						return
																																																							(BgL_nodez00_bglt)
																																																							(BgL_auxz00_3717);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 103 */
																																																						goto
																																																							BgL_tagzd21489zd2_915;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 25))))
																																																			{	/* Ast/sexp.scm 103 */
																																																				obj_t
																																																					BgL_auxz00_3723;
																																																			BgL_tagzd21482zd2_908:
																																																				{
																																																					obj_t
																																																						BgL_procz00_1620;
																																																					obj_t
																																																						BgL_msgz00_1621;
																																																					obj_t
																																																						BgL_objz00_1622;
																																																					if (PAIRP(BgL_expz00_18))
																																																						{	/* Ast/sexp.scm 103 */
																																																							obj_t
																																																								BgL_cdrzd22438zd2_1627;
																																																							BgL_cdrzd22438zd2_1627
																																																								=
																																																								CDR
																																																								(BgL_expz00_18);
																																																							if (PAIRP(BgL_cdrzd22438zd2_1627))
																																																								{	/* Ast/sexp.scm 103 */
																																																									obj_t
																																																										BgL_cdrzd22443zd2_1629;
																																																									BgL_cdrzd22443zd2_1629
																																																										=
																																																										CDR
																																																										(BgL_cdrzd22438zd2_1627);
																																																									if (PAIRP(BgL_cdrzd22443zd2_1629))
																																																										{	/* Ast/sexp.scm 103 */
																																																											obj_t
																																																												BgL_cdrzd22448zd2_1631;
																																																											BgL_cdrzd22448zd2_1631
																																																												=
																																																												CDR
																																																												(BgL_cdrzd22443zd2_1629);
																																																											if (PAIRP(BgL_cdrzd22448zd2_1631))
																																																												{	/* Ast/sexp.scm 103 */
																																																													if (NULLP(CDR(BgL_cdrzd22448zd2_1631)))
																																																														{	/* Ast/sexp.scm 103 */
																																																															obj_t
																																																																BgL_arg3774z00_1634;
																																																															obj_t
																																																																BgL_arg3775z00_1635;
																																																															obj_t
																																																																BgL_arg3776z00_1636;
																																																															BgL_arg3774z00_1634
																																																																=
																																																																CAR
																																																																(BgL_cdrzd22438zd2_1627);
																																																															BgL_arg3775z00_1635
																																																																=
																																																																CAR
																																																																(BgL_cdrzd22443zd2_1629);
																																																															BgL_arg3776z00_1636
																																																																=
																																																																CAR
																																																																(BgL_cdrzd22448zd2_1631);
																																																															{	/* Ast/sexp.scm 103 */
																																																																BgL_failz00_bglt
																																																																	BgL_auxz00_3741;
																																																																BgL_procz00_1620
																																																																	=
																																																																	BgL_arg3774z00_1634;
																																																																BgL_msgz00_1621
																																																																	=
																																																																	BgL_arg3775z00_1635;
																																																																BgL_objz00_1622
																																																																	=
																																																																	BgL_arg3776z00_1636;
																																																																{	/* Ast/sexp.scm 446 */
																																																																	obj_t
																																																																		BgL_locz00_1638;
																																																																	BgL_locz00_1638
																																																																		=
																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																		(BgL_expz00_18,
																																																																		BgL_locz00_20);
																																																																	{	/* Ast/sexp.scm 446 */
																																																																		obj_t
																																																																			BgL_cdlocz00_1639;
																																																																		BgL_cdlocz00_1639
																																																																			=
																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																			(CDR
																																																																			(BgL_expz00_18),
																																																																			BgL_locz00_1638);
																																																																		{	/* Ast/sexp.scm 447 */
																																																																			obj_t
																																																																				BgL_cddlocz00_1640;
																																																																			{	/* Ast/sexp.scm 448 */
																																																																				obj_t
																																																																					BgL_arg3779z00_1649;
																																																																				{	/* Ast/sexp.scm 448 */
																																																																					obj_t
																																																																						BgL_pairz00_2693;
																																																																					BgL_pairz00_2693
																																																																						=
																																																																						BgL_expz00_18;
																																																																					BgL_arg3779z00_1649
																																																																						=
																																																																						CDR
																																																																						(CDR
																																																																						(BgL_pairz00_2693));
																																																																				}
																																																																				BgL_cddlocz00_1640
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_arg3779z00_1649,
																																																																					BgL_locz00_1638);
																																																																			}
																																																																			{	/* Ast/sexp.scm 448 */
																																																																				obj_t
																																																																					BgL_cdddlocz00_1641;
																																																																				{	/* Ast/sexp.scm 449 */
																																																																					obj_t
																																																																						BgL_arg3778z00_1648;
																																																																					{	/* Ast/sexp.scm 449 */
																																																																						obj_t
																																																																							BgL_pairz00_2697;
																																																																						BgL_pairz00_2697
																																																																							=
																																																																							BgL_expz00_18;
																																																																						BgL_arg3778z00_1648
																																																																							=
																																																																							CDR
																																																																							(CDR
																																																																							(CDR
																																																																								(BgL_pairz00_2697)));
																																																																					}
																																																																					BgL_cdddlocz00_1641
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_arg3778z00_1648,
																																																																						BgL_locz00_1638);
																																																																				}
																																																																				{	/* Ast/sexp.scm 449 */
																																																																					obj_t
																																																																						BgL_loczd2proczd2_1642;
																																																																					BgL_loczd2proczd2_1642
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_procz00_1620,
																																																																						BgL_cdlocz00_1639);
																																																																					{	/* Ast/sexp.scm 450 */
																																																																						obj_t
																																																																							BgL_loczd2msgzd2_1643;
																																																																						BgL_loczd2msgzd2_1643
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_msgz00_1621,
																																																																							BgL_cddlocz00_1640);
																																																																						{	/* Ast/sexp.scm 451 */
																																																																							obj_t
																																																																								BgL_loczd2objzd2_1644;
																																																																							BgL_loczd2objzd2_1644
																																																																								=
																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																								(BgL_objz00_1622,
																																																																								BgL_cdddlocz00_1641);
																																																																							{	/* Ast/sexp.scm 452 */
																																																																								BgL_nodez00_bglt
																																																																									BgL_procz00_1645;
																																																																								BgL_procz00_1645
																																																																									=
																																																																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																									(BgL_procz00_1620,
																																																																									BgL_stackz00_19,
																																																																									BgL_loczd2proczd2_1642,
																																																																									CNST_TABLE_REF
																																																																									(((long) 2)));
																																																																								{	/* Ast/sexp.scm 453 */
																																																																									BgL_nodez00_bglt
																																																																										BgL_msgz00_1646;
																																																																									BgL_msgz00_1646
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_msgz00_1621,
																																																																										BgL_stackz00_19,
																																																																										BgL_loczd2msgzd2_1643,
																																																																										CNST_TABLE_REF
																																																																										(((long) 2)));
																																																																									{	/* Ast/sexp.scm 454 */
																																																																										BgL_nodez00_bglt
																																																																											BgL_objz00_1647;
																																																																										BgL_objz00_1647
																																																																											=
																																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																											(BgL_objz00_1622,
																																																																											BgL_stackz00_19,
																																																																											BgL_loczd2objzd2_1644,
																																																																											CNST_TABLE_REF
																																																																											(((long) 2)));
																																																																										{	/* Ast/sexp.scm 455 */

																																																																											BgL_auxz00_3741
																																																																												=
																																																																												BGl_makezd2failzd2zzast_nodez00
																																																																												(BgL_locz00_1638,
																																																																												(BgL_typez00_bglt)
																																																																												(BGl_za2magicza2z00zztype_cachez00),
																																																																												BgL_procz00_1645,
																																																																												BgL_msgz00_1646,
																																																																												BgL_objz00_1647);
																																																																}}}}}}}}}}}
																																																																BgL_auxz00_3723
																																																																	=
																																																																	(obj_t)
																																																																	(BgL_auxz00_3741);
																																																														}}
																																																													else
																																																														{	/* Ast/sexp.scm 103 */
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_3764;
																																																														BgL_tagzd22429zd2_1624:
																																																															BgL_auxz00_3764 = BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4047z00zzast_sexpz00, BgL_expz00_18, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_18, BgL_locz00_20));
																																																															BgL_auxz00_3723
																																																																=
																																																																(obj_t)
																																																																(BgL_auxz00_3764);
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 103 */
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_3768;
																																																													goto
																																																														BgL_tagzd22429zd2_1624;
																																																													BgL_auxz00_3723
																																																														=
																																																														(obj_t)
																																																														(BgL_auxz00_3768);
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 103 */
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_3770;
																																																											goto
																																																												BgL_tagzd22429zd2_1624;
																																																											BgL_auxz00_3723
																																																												=
																																																												(obj_t)
																																																												(BgL_auxz00_3770);
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 103 */
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_3772;
																																																									goto
																																																										BgL_tagzd22429zd2_1624;
																																																									BgL_auxz00_3723
																																																										=
																																																										(obj_t)
																																																										(BgL_auxz00_3772);
																																																								}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 103 */
																																																							BgL_nodez00_bglt
																																																								BgL_auxz00_3774;
																																																							goto
																																																								BgL_tagzd22429zd2_1624;
																																																							BgL_auxz00_3723
																																																								=
																																																								(obj_t)
																																																								(BgL_auxz00_3774);
																																																						}
																																																				}
																																																				return
																																																					(BgL_nodez00_bglt)
																																																					(BgL_auxz00_3723);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 26))))
																																																					{	/* Ast/sexp.scm 103 */
																																																						obj_t
																																																							BgL_auxz00_3781;
																																																					BgL_tagzd21483zd2_909:
																																																						{
																																																							obj_t
																																																								BgL_testz00_1653;
																																																							obj_t
																																																								BgL_clausesz00_1654;
																																																							if (PAIRP(BgL_expz00_18))
																																																								{	/* Ast/sexp.scm 103 */
																																																									obj_t
																																																										BgL_cdrzd22462zd2_1659;
																																																									BgL_cdrzd22462zd2_1659
																																																										=
																																																										CDR
																																																										(BgL_expz00_18);
																																																									if (PAIRP(BgL_cdrzd22462zd2_1659))
																																																										{	/* Ast/sexp.scm 103 */
																																																											BgL_testz00_1653
																																																												=
																																																												CAR
																																																												(BgL_cdrzd22462zd2_1659);
																																																											BgL_clausesz00_1654
																																																												=
																																																												CDR
																																																												(BgL_cdrzd22462zd2_1659);
																																																											{	/* Ast/sexp.scm 475 */
																																																												obj_t
																																																													BgL_locz00_1663;
																																																												BgL_locz00_1663
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_expz00_18,
																																																													BgL_locz00_20);
																																																												{	/* Ast/sexp.scm 475 */
																																																													obj_t
																																																														BgL_cdlocz00_1664;
																																																													BgL_cdlocz00_1664
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(CDR
																																																														(BgL_expz00_18),
																																																														BgL_locz00_1663);
																																																													{	/* Ast/sexp.scm 476 */
																																																														obj_t
																																																															BgL_cddlocz00_1665;
																																																														BgL_cddlocz00_1665
																																																															=
																																																															BGl_findzd2locationzf2locz20zztools_locationz00
																																																															(CDR
																																																															(BgL_expz00_18),
																																																															BgL_locz00_1663);
																																																														{	/* Ast/sexp.scm 477 */
																																																															BgL_nodez00_bglt
																																																																BgL_testz00_1666;
																																																															{	/* Ast/sexp.scm 480 */
																																																																obj_t
																																																																	BgL_arg3812z00_1699;
																																																																obj_t
																																																																	BgL_arg3813z00_1700;
																																																																BgL_arg3812z00_1699
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_testz00_1653,
																																																																	BgL_cdlocz00_1664);
																																																																BgL_arg3813z00_1700
																																																																	=
																																																																	CNST_TABLE_REF
																																																																	(
																																																																	((long) 2));
																																																																BgL_testz00_1666
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_testz00_1653,
																																																																	BgL_stackz00_19,
																																																																	BgL_arg3812z00_1699,
																																																																	BgL_arg3813z00_1700);
																																																															}
																																																															{	/* Ast/sexp.scm 478 */

																																																																{
																																																																	obj_t
																																																																		BgL_clsz00_1669;
																																																																	obj_t
																																																																		BgL_nclausesz00_1670;
																																																																	BgL_clsz00_1669
																																																																		=
																																																																		BgL_clausesz00_1654;
																																																																	BgL_nclausesz00_1670
																																																																		=
																																																																		BNIL;
																																																																BgL_zc3anonymousza33787ze3z83_1671:
																																																																	if (NULLP(BgL_clsz00_1669))
																																																																		{	/* Ast/sexp.scm 485 */
																																																																			obj_t
																																																																				BgL_arg3790z00_1674;
																																																																			BgL_typez00_bglt
																																																																				BgL_arg3791z00_1675;
																																																																			BgL_arg3790z00_1674
																																																																				=
																																																																				bgl_reverse_bang
																																																																				(BgL_nclausesz00_1670);
																																																																			BgL_arg3791z00_1675
																																																																				=
																																																																				BGl_typeofzd2atomzd2zztype_typeofz00
																																																																				(CAR
																																																																				(CAR
																																																																					(CAR
																																																																						(BgL_clausesz00_1654))));
																																																																			BgL_auxz00_3781
																																																																				=
																																																																				(obj_t)
																																																																				(BGl_makezd2selectzd2zzast_nodez00
																																																																				(BgL_locz00_1663,
																																																																					(BgL_typez00_bglt)
																																																																					(BGl_za2_za2z00zztype_cachez00),
																																																																					BUNSPEC,
																																																																					BINT
																																																																					(((long) -1)), BgL_testz00_1666, BgL_arg3790z00_1674, BgL_arg3791z00_1675));
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 491 */
																																																																			obj_t
																																																																				BgL_clausez00_1679;
																																																																			BgL_clausez00_1679
																																																																				=
																																																																				CAR
																																																																				(BgL_clsz00_1669);
																																																																			{	/* Ast/sexp.scm 491 */
																																																																				BgL_nodez00_bglt
																																																																					BgL_bodyz00_1680;
																																																																				{	/* Ast/sexp.scm 492 */
																																																																					obj_t
																																																																						BgL_arg3808z00_1694;
																																																																					obj_t
																																																																						BgL_arg3809z00_1695;
																																																																					obj_t
																																																																						BgL_arg3810z00_1696;
																																																																					BgL_arg3808z00_1694
																																																																						=
																																																																						BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																						(CDR
																																																																						(BgL_clausez00_1679));
																																																																					BgL_arg3809z00_1695
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_clausez00_1679,
																																																																						BgL_cddlocz00_1665);
																																																																					BgL_arg3810z00_1696
																																																																						=
																																																																						CNST_TABLE_REF
																																																																						(
																																																																						((long) 2));
																																																																					BgL_bodyz00_1680
																																																																						=
																																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																						(BgL_arg3808z00_1694,
																																																																						BgL_stackz00_19,
																																																																						BgL_arg3809z00_1695,
																																																																						BgL_arg3810z00_1696);
																																																																				}
																																																																				{	/* Ast/sexp.scm 492 */
																																																																					obj_t
																																																																						BgL_nclausez00_1681;
																																																																					BgL_nclausez00_1681
																																																																						=
																																																																						MAKE_PAIR
																																																																						(CAR
																																																																						(BgL_clausez00_1679),
																																																																						(obj_t)
																																																																						(BgL_bodyz00_1680));
																																																																					{	/* Ast/sexp.scm 496 */

																																																																						{	/* Ast/sexp.scm 498 */
																																																																							bool_t
																																																																								BgL_testz00_3815;
																																																																							if ((CAR(BgL_clausez00_1679) == CNST_TABLE_REF(((long) 3))))
																																																																								{	/* Ast/sexp.scm 498 */
																																																																									if (NULLP(CDR(BgL_clsz00_1669)))
																																																																										{	/* Ast/sexp.scm 499 */
																																																																											BgL_testz00_3815
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												0);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 499 */
																																																																											BgL_testz00_3815
																																																																												=
																																																																												(
																																																																												(bool_t)
																																																																												1);
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 498 */
																																																																									BgL_testz00_3815
																																																																										=
																																																																										(
																																																																										(bool_t)
																																																																										0);
																																																																								}
																																																																							if (BgL_testz00_3815)
																																																																								{	/* Ast/sexp.scm 500 */
																																																																									obj_t
																																																																										BgL_arg3798z00_1684;
																																																																									BgL_arg3798z00_1684
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_expz00_18,
																																																																										BgL_locz00_1663);
																																																																									BgL_auxz00_3781
																																																																										=
																																																																										(obj_t)
																																																																										(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																																																																										(BGl_string4046z00zzast_sexpz00,
																																																																											BgL_expz00_18,
																																																																											BgL_arg3798z00_1684));
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 503 */
																																																																									obj_t
																																																																										BgL_arg3799z00_1685;
																																																																									obj_t
																																																																										BgL_arg3800z00_1686;
																																																																									BgL_arg3799z00_1685
																																																																										=
																																																																										CDR
																																																																										(BgL_clsz00_1669);
																																																																									BgL_arg3800z00_1686
																																																																										=
																																																																										MAKE_PAIR
																																																																										(BGl_epairifyz00zztools_miscz00
																																																																										(BgL_nclausez00_1681,
																																																																											BgL_clausez00_1679),
																																																																										BgL_nclausesz00_1670);
																																																																									{
																																																																										obj_t
																																																																											BgL_nclausesz00_3830;
																																																																										obj_t
																																																																											BgL_clsz00_3829;
																																																																										BgL_clsz00_3829
																																																																											=
																																																																											BgL_arg3799z00_1685;
																																																																										BgL_nclausesz00_3830
																																																																											=
																																																																											BgL_arg3800z00_1686;
																																																																										BgL_nclausesz00_1670
																																																																											=
																																																																											BgL_nclausesz00_3830;
																																																																										BgL_clsz00_1669
																																																																											=
																																																																											BgL_clsz00_3829;
																																																																										goto
																																																																											BgL_zc3anonymousza33787ze3z83_1671;
																																																																									}
																																																																								}
																																																																						}
																																																																					}
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 103 */
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_3833;
																																																										BgL_tagzd22455zd2_1656:
																																																											BgL_auxz00_3833 = BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4046z00zzast_sexpz00, BgL_expz00_18, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_18, BgL_locz00_20));
																																																											BgL_auxz00_3781
																																																												=
																																																												(obj_t)
																																																												(BgL_auxz00_3833);
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 103 */
																																																									BgL_nodez00_bglt
																																																										BgL_auxz00_3837;
																																																									goto
																																																										BgL_tagzd22455zd2_1656;
																																																									BgL_auxz00_3781
																																																										=
																																																										(obj_t)
																																																										(BgL_auxz00_3837);
																																																								}
																																																						}
																																																						return
																																																							(BgL_nodez00_bglt)
																																																							(BgL_auxz00_3781);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 103 */
																																																						if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 27))))
																																																							{	/* Ast/sexp.scm 103 */
																																																								BgL_letzd2funzd2_bglt
																																																									BgL_auxz00_3844;
																																																							BgL_tagzd21484zd2_910:
																																																								BgL_auxz00_3844 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																																								return
																																																									(BgL_nodez00_bglt)
																																																									(BgL_auxz00_3844);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 103 */
																																																								if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 28))))
																																																									{	/* Ast/sexp.scm 103 */
																																																										BgL_jumpzd2exzd2itz00_bglt
																																																											BgL_auxz00_3851;
																																																									BgL_tagzd21485zd2_911:
																																																										BgL_auxz00_3851 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																																										return
																																																											(BgL_nodez00_bglt)
																																																											(BgL_auxz00_3851);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 103 */
																																																										obj_t
																																																											BgL_cdrzd21876zd2_1022;
																																																										BgL_cdrzd21876zd2_1022
																																																											=
																																																											CDR
																																																											(BgL_expz00_18);
																																																										if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 14))))
																																																											{	/* Ast/sexp.scm 103 */
																																																												if (PAIRP(BgL_cdrzd21876zd2_1022))
																																																													{	/* Ast/sexp.scm 103 */
																																																														obj_t
																																																															BgL_cdrzd21878zd2_1025;
																																																														BgL_cdrzd21878zd2_1025
																																																															=
																																																															CDR
																																																															(BgL_cdrzd21876zd2_1022);
																																																														if (PAIRP(BgL_cdrzd21878zd2_1025))
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (NULLP(CDR(BgL_cdrzd21878zd2_1025)))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																	BgL_tagzd21486zd2_912:
																																																																		return BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_18, BgL_stackz00_19, BgL_locz00_20, BgL_sitez00_21);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				obj_t
																																																																					BgL_auxz00_3870;
																																																																				goto
																																																																					BgL_tagzd21488zd2_914;
																																																																				return
																																																																					(BgL_nodez00_bglt)
																																																																					(BgL_auxz00_3870);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 103 */
																																																																				goto
																																																																					BgL_tagzd21489zd2_915;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		obj_t
																																																																			BgL_auxz00_3874;
																																																																		goto
																																																																			BgL_tagzd21488zd2_914;
																																																																		return
																																																																			(BgL_nodez00_bglt)
																																																																			(BgL_auxz00_3874);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		goto
																																																																			BgL_tagzd21489zd2_915;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																															{	/* Ast/sexp.scm 103 */
																																																																obj_t
																																																																	BgL_auxz00_3878;
																																																																goto
																																																																	BgL_tagzd21488zd2_914;
																																																																return
																																																																	(BgL_nodez00_bglt)
																																																																	(BgL_auxz00_3878);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																goto
																																																																	BgL_tagzd21489zd2_915;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 103 */
																																																												if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_18), BUNSPEC))
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (NULLP(BgL_cdrzd21876zd2_1022))
																																																															{	/* Ast/sexp.scm 103 */
																																																															BgL_tagzd21487zd2_913:
																																																																return BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BGl_string4045z00zzast_sexpz00, BgL_expz00_18, BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_18, BgL_locz00_20));
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		obj_t
																																																																			BgL_auxz00_3889;
																																																																		goto
																																																																			BgL_tagzd21488zd2_914;
																																																																		return
																																																																			(BgL_nodez00_bglt)
																																																																			(BgL_auxz00_3889);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		goto
																																																																			BgL_tagzd21489zd2_915;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																															{	/* Ast/sexp.scm 103 */
																																																																obj_t
																																																																	BgL_auxz00_3893;
																																																																goto
																																																																	BgL_tagzd21488zd2_914;
																																																																return
																																																																	(BgL_nodez00_bglt)
																																																																	(BgL_auxz00_3893);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																goto
																																																																	BgL_tagzd21489zd2_915;
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 103 */
												if (
													(BgL_carzd21519zd2_920 ==
														CNST_TABLE_REF(((long) 12))))
													{	/* Ast/sexp.scm 103 */
														obj_t BgL_auxz00_3898;

														goto BgL_tagzd21467zd2_883;
														return (BgL_nodez00_bglt) (BgL_auxz00_3898);
													}
												else
													{	/* Ast/sexp.scm 103 */
														if (
															(CAR(BgL_expz00_18) ==
																CNST_TABLE_REF(((long) 13))))
															{	/* Ast/sexp.scm 103 */
																obj_t BgL_auxz00_3904;

																goto BgL_tagzd21468zd2_884;
																return (BgL_nodez00_bglt) (BgL_auxz00_3904);
															}
														else
															{	/* Ast/sexp.scm 103 */
																if (
																	(CAR(BgL_expz00_18) ==
																		CNST_TABLE_REF(((long) 16))))
																	{	/* Ast/sexp.scm 103 */
																		obj_t BgL_arg3348z00_1079;

																		BgL_arg3348z00_1079 = CDR(BgL_expz00_18);
																		{	/* Ast/sexp.scm 103 */
																			BgL_sequencez00_bglt BgL_auxz00_3911;

																			{
																				obj_t BgL_bodyz00_3912;

																				BgL_bodyz00_3912 = BgL_arg3348z00_1079;
																				BgL_bodyz00_885 = BgL_bodyz00_3912;
																				goto BgL_tagzd21469zd2_886;
																			}
																			return
																				(BgL_nodez00_bglt) (BgL_auxz00_3911);
																		}
																	}
																else
																	{	/* Ast/sexp.scm 103 */
																		obj_t BgL_carzd21911zd2_1080;

																		BgL_carzd21911zd2_1080 = CAR(BgL_expz00_18);
																		if (
																			(BgL_carzd21911zd2_1080 ==
																				CNST_TABLE_REF(((long) 1))))
																			{	/* Ast/sexp.scm 103 */
																				obj_t BgL_auxz00_3918;

																				goto BgL_tagzd21470zd2_887;
																				return
																					(BgL_nodez00_bglt) (BgL_auxz00_3918);
																			}
																		else
																			{	/* Ast/sexp.scm 103 */
																				if (
																					(BgL_carzd21911zd2_1080 ==
																						BGl_za2ifza2z00zzast_sexpz00))
																					{	/* Ast/sexp.scm 103 */
																						obj_t BgL_auxz00_3922;

																						goto BgL_tagzd21470zd2_887;
																						return
																							(BgL_nodez00_bglt)
																							(BgL_auxz00_3922);
																					}
																				else
																					{	/* Ast/sexp.scm 103 */
																						if (
																							(CAR(BgL_expz00_18) ==
																								CNST_TABLE_REF(((long) 5))))
																							{	/* Ast/sexp.scm 103 */
																								obj_t BgL_auxz00_3928;

																								goto BgL_tagzd21471zd2_888;
																								return
																									(BgL_nodez00_bglt)
																									(BgL_auxz00_3928);
																							}
																						else
																							{	/* Ast/sexp.scm 103 */
																								if (
																									(CAR(BgL_expz00_18) ==
																										CNST_TABLE_REF(((long)
																												17))))
																									{	/* Ast/sexp.scm 103 */
																										obj_t BgL_auxz00_3934;

																										goto BgL_tagzd21472zd2_889;
																										return
																											(BgL_nodez00_bglt)
																											(BgL_auxz00_3934);
																									}
																								else
																									{	/* Ast/sexp.scm 103 */
																										obj_t
																											BgL_carzd21935zd2_1085;
																										BgL_carzd21935zd2_1085 =
																											CAR(BgL_expz00_18);
																										if (PAIRP
																											(BgL_carzd21935zd2_1085))
																											{	/* Ast/sexp.scm 103 */
																												obj_t
																													BgL_carzd21938zd2_1087;
																												obj_t
																													BgL_cdrzd21939zd2_1088;
																												BgL_carzd21938zd2_1087 =
																													CAR
																													(BgL_carzd21935zd2_1085);
																												BgL_cdrzd21939zd2_1088 =
																													CDR
																													(BgL_carzd21935zd2_1085);
																												{

																													if (
																														(BgL_carzd21938zd2_1087
																															==
																															CNST_TABLE_REF((
																																	(long) 19))))
																														{	/* Ast/sexp.scm 103 */
																															obj_t
																																BgL_auxz00_3944;
																														BgL_kapzd21940zd2_1089:
																															if (PAIRP
																																(BgL_cdrzd21939zd2_1088))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_cdrzd21943zd2_1111;
																																	BgL_cdrzd21943zd2_1111
																																		=
																																		CDR
																																		(BgL_cdrzd21939zd2_1088);
																																	if (PAIRP
																																		(BgL_cdrzd21943zd2_1111))
																																		{	/* Ast/sexp.scm 103 */
																																			if (NULLP
																																				(CDR
																																					(BgL_cdrzd21943zd2_1111)))
																																				{	/* Ast/sexp.scm 103 */
																																					obj_t
																																						BgL_arg3376z00_1114;
																																					obj_t
																																						BgL_arg3377z00_1115;
																																					BgL_arg3376z00_1114
																																						=
																																						CAR
																																						(BgL_cdrzd21943zd2_1111);
																																					BgL_arg3377z00_1115
																																						=
																																						CDR
																																						(BgL_expz00_18);
																																					{	/* Ast/sexp.scm 103 */
																																						BgL_nodez00_bglt
																																							BgL_auxz00_3955;
																																						{
																																							obj_t
																																								BgL_argsz00_3957;
																																							obj_t
																																								BgL_bodyz00_3956;
																																							BgL_bodyz00_3956
																																								=
																																								BgL_arg3376z00_1114;
																																							BgL_argsz00_3957
																																								=
																																								BgL_arg3377z00_1115;
																																							BgL_argsz00_891
																																								=
																																								BgL_argsz00_3957;
																																							BgL_bodyz00_890
																																								=
																																								BgL_bodyz00_3956;
																																							goto
																																								BgL_tagzd21473zd2_892;
																																						}
																																						BgL_auxz00_3944
																																							=
																																							(obj_t)
																																							(BgL_auxz00_3955);
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					bool_t
																																						BgL_testz00_3959;
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_arg3388z00_1128;
																																						BgL_arg3388z00_1128
																																							=
																																							CAR
																																							(BgL_expz00_18);
																																						BgL_testz00_3959
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg3388z00_1128));
																																					}
																																					if (BgL_testz00_3959)
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_nodez00_bglt
																																								BgL_auxz00_3963;
																																							goto
																																								BgL_tagzd21474zd2_893;
																																							BgL_auxz00_3944
																																								=
																																								(obj_t)
																																								(BgL_auxz00_3963);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							bool_t
																																								BgL_testz00_3965;
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_arg3387z00_1127;
																																								BgL_arg3387z00_1127
																																									=
																																									CAR
																																									(BgL_expz00_18);
																																								BgL_testz00_3965
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg3387z00_1127));
																																							}
																																							if (BgL_testz00_3965)
																																								{	/* Ast/sexp.scm 103 */
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_3969;
																																									goto
																																										BgL_tagzd21475zd2_894;
																																									BgL_auxz00_3944
																																										=
																																										(obj_t)
																																										(BgL_auxz00_3969);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									obj_t
																																										BgL_carzd21974zd2_1118;
																																									BgL_carzd21974zd2_1118
																																										=
																																										CAR
																																										(BgL_expz00_18);
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_cdrzd21979zd2_1119;
																																										BgL_cdrzd21979zd2_1119
																																											=
																																											CDR
																																											(BgL_carzd21974zd2_1118);
																																										if ((CAR(BgL_carzd21974zd2_1118) == CNST_TABLE_REF(((long) 18))))
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_arg3381z00_1121;
																																												obj_t
																																													BgL_arg3382z00_1122;
																																												obj_t
																																													BgL_arg3383z00_1123;
																																												BgL_arg3381z00_1121
																																													=
																																													CAR
																																													(BgL_cdrzd21979zd2_1119);
																																												BgL_arg3382z00_1122
																																													=
																																													CDR
																																													(BgL_cdrzd21979zd2_1119);
																																												BgL_arg3383z00_1123
																																													=
																																													CDR
																																													(BgL_expz00_18);
																																												{	/* Ast/sexp.scm 103 */
																																													BgL_nodez00_bglt
																																														BgL_auxz00_3980;
																																													{
																																														obj_t
																																															BgL_argsz00_3983;
																																														obj_t
																																															BgL_bodyz00_3982;
																																														obj_t
																																															BgL_varsz00_3981;
																																														BgL_varsz00_3981
																																															=
																																															BgL_arg3381z00_1121;
																																														BgL_bodyz00_3982
																																															=
																																															BgL_arg3382z00_1122;
																																														BgL_argsz00_3983
																																															=
																																															BgL_arg3383z00_1123;
																																														BgL_argsz00_897
																																															=
																																															BgL_argsz00_3983;
																																														BgL_bodyz00_896
																																															=
																																															BgL_bodyz00_3982;
																																														BgL_varsz00_895
																																															=
																																															BgL_varsz00_3981;
																																														goto
																																															BgL_tagzd21476zd2_898;
																																													}
																																													BgL_auxz00_3944
																																														=
																																														(obj_t)
																																														(BgL_auxz00_3980);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																													{	/* Ast/sexp.scm 103 */
																																														goto
																																															BgL_tagzd21488zd2_914;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														BgL_nodez00_bglt
																																															BgL_auxz00_3987;
																																														goto
																																															BgL_tagzd21489zd2_915;
																																														BgL_auxz00_3944
																																															=
																																															(obj_t)
																																															(BgL_auxz00_3987);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			bool_t
																																				BgL_testz00_3989;
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_arg3400z00_1142;
																																				BgL_arg3400z00_1142
																																					=
																																					CAR
																																					(BgL_expz00_18);
																																				BgL_testz00_3989
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg3400z00_1142));
																																			}
																																			if (BgL_testz00_3989)
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_nodez00_bglt
																																						BgL_auxz00_3993;
																																					goto
																																						BgL_tagzd21474zd2_893;
																																					BgL_auxz00_3944
																																						=
																																						(obj_t)
																																						(BgL_auxz00_3993);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					bool_t
																																						BgL_testz00_3995;
																																					{	/* Ast/sexp.scm 103 */
																																						obj_t
																																							BgL_arg3399z00_1141;
																																						BgL_arg3399z00_1141
																																							=
																																							CAR
																																							(BgL_expz00_18);
																																						BgL_testz00_3995
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg3399z00_1141));
																																					}
																																					if (BgL_testz00_3995)
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_3999;
																																							goto
																																								BgL_tagzd21475zd2_894;
																																							BgL_auxz00_3944
																																								=
																																								(obj_t)
																																								(BgL_auxz00_3999);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							obj_t
																																								BgL_carzd22026zd2_1132;
																																							BgL_carzd22026zd2_1132
																																								=
																																								CAR
																																								(BgL_expz00_18);
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_cdrzd22031zd2_1133;
																																								BgL_cdrzd22031zd2_1133
																																									=
																																									CDR
																																									(BgL_carzd22026zd2_1132);
																																								if ((CAR(BgL_carzd22026zd2_1132) == CNST_TABLE_REF(((long) 18))))
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_arg3393z00_1135;
																																										obj_t
																																											BgL_arg3394z00_1136;
																																										obj_t
																																											BgL_arg3395z00_1137;
																																										BgL_arg3393z00_1135
																																											=
																																											CAR
																																											(BgL_cdrzd22031zd2_1133);
																																										BgL_arg3394z00_1136
																																											=
																																											CDR
																																											(BgL_cdrzd22031zd2_1133);
																																										BgL_arg3395z00_1137
																																											=
																																											CDR
																																											(BgL_expz00_18);
																																										{	/* Ast/sexp.scm 103 */
																																											BgL_nodez00_bglt
																																												BgL_auxz00_4010;
																																											{
																																												obj_t
																																													BgL_argsz00_4013;
																																												obj_t
																																													BgL_bodyz00_4012;
																																												obj_t
																																													BgL_varsz00_4011;
																																												BgL_varsz00_4011
																																													=
																																													BgL_arg3393z00_1135;
																																												BgL_bodyz00_4012
																																													=
																																													BgL_arg3394z00_1136;
																																												BgL_argsz00_4013
																																													=
																																													BgL_arg3395z00_1137;
																																												BgL_argsz00_897
																																													=
																																													BgL_argsz00_4013;
																																												BgL_bodyz00_896
																																													=
																																													BgL_bodyz00_4012;
																																												BgL_varsz00_895
																																													=
																																													BgL_varsz00_4011;
																																												goto
																																													BgL_tagzd21476zd2_898;
																																											}
																																											BgL_auxz00_3944
																																												=
																																												(obj_t)
																																												(BgL_auxz00_4010);
																																										}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																											{	/* Ast/sexp.scm 103 */
																																												goto
																																													BgL_tagzd21488zd2_914;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												BgL_nodez00_bglt
																																													BgL_auxz00_4017;
																																												goto
																																													BgL_tagzd21489zd2_915;
																																												BgL_auxz00_3944
																																													=
																																													(obj_t)
																																													(BgL_auxz00_4017);
																																											}
																																									}
																																							}
																																						}
																																				}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	bool_t
																																		BgL_testz00_4019;
																																	{	/* Ast/sexp.scm 103 */
																																		obj_t
																																			BgL_arg3405z00_1147;
																																		BgL_arg3405z00_1147
																																			=
																																			CAR
																																			(BgL_expz00_18);
																																		BgL_testz00_4019
																																			=
																																			CBOOL
																																			(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_arg3405z00_1147));
																																	}
																																	if (BgL_testz00_4019)
																																		{	/* Ast/sexp.scm 103 */
																																			BgL_nodez00_bglt
																																				BgL_auxz00_4023;
																																			goto
																																				BgL_tagzd21474zd2_893;
																																			BgL_auxz00_3944
																																				=
																																				(obj_t)
																																				(BgL_auxz00_4023);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			bool_t
																																				BgL_testz00_4025;
																																			{	/* Ast/sexp.scm 103 */
																																				obj_t
																																					BgL_arg3404z00_1146;
																																				BgL_arg3404z00_1146
																																					=
																																					CAR
																																					(BgL_expz00_18);
																																				BgL_testz00_4025
																																					=
																																					CBOOL
																																					(BGl_labelszd2symzf3z21zzast_labelsz00
																																					(BgL_arg3404z00_1146));
																																			}
																																			if (BgL_testz00_4025)
																																				{	/* Ast/sexp.scm 103 */
																																					BgL_letzd2funzd2_bglt
																																						BgL_auxz00_4029;
																																					goto
																																						BgL_tagzd21475zd2_894;
																																					BgL_auxz00_3944
																																						=
																																						(obj_t)
																																						(BgL_auxz00_4029);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																						{	/* Ast/sexp.scm 103 */
																																							goto
																																								BgL_tagzd21488zd2_914;
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							BgL_nodez00_bglt
																																								BgL_auxz00_4033;
																																							goto
																																								BgL_tagzd21489zd2_915;
																																							BgL_auxz00_3944
																																								=
																																								(obj_t)
																																								(BgL_auxz00_4033);
																																						}
																																				}
																																		}
																																}
																															return
																																(BgL_nodez00_bglt)
																																(BgL_auxz00_3944);
																														}
																													else
																														{	/* Ast/sexp.scm 103 */
																															if (CBOOL
																																(BGl_letzd2symzf3z21zzast_letz00
																																	(BgL_carzd21938zd2_1087)))
																																{	/* Ast/sexp.scm 103 */
																																	obj_t
																																		BgL_auxz00_4039;
																																	goto
																																		BgL_kapzd21940zd2_1089;
																																	return
																																		(BgL_nodez00_bglt)
																																		(BgL_auxz00_4039);
																																}
																															else
																																{	/* Ast/sexp.scm 103 */
																																	if (
																																		(BgL_carzd21938zd2_1087
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					20))))
																																		{	/* Ast/sexp.scm 103 */
																																			obj_t
																																				BgL_auxz00_4044;
																																			goto
																																				BgL_kapzd21940zd2_1089;
																																			return
																																				(BgL_nodez00_bglt)
																																				(BgL_auxz00_4044);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 103 */
																																			if (
																																				(BgL_carzd21938zd2_1087
																																					==
																																					CNST_TABLE_REF
																																					(((long) 21))))
																																				{	/* Ast/sexp.scm 103 */
																																					obj_t
																																						BgL_auxz00_4049;
																																					goto
																																						BgL_kapzd21940zd2_1089;
																																					return
																																						(BgL_nodez00_bglt)
																																						(BgL_auxz00_4049);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 103 */
																																					if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd21938zd2_1087)))
																																						{	/* Ast/sexp.scm 103 */
																																							obj_t
																																								BgL_auxz00_4054;
																																							goto
																																								BgL_kapzd21940zd2_1089;
																																							return
																																								(BgL_nodez00_bglt)
																																								(BgL_auxz00_4054);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 103 */
																																							bool_t
																																								BgL_testz00_4056;
																																							{	/* Ast/sexp.scm 103 */
																																								obj_t
																																									BgL_arg3372z00_1109;
																																								BgL_arg3372z00_1109
																																									=
																																									CAR
																																									(BgL_expz00_18);
																																								BgL_testz00_4056
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg3372z00_1109));
																																							}
																																							if (BgL_testz00_4056)
																																								{	/* Ast/sexp.scm 103 */
																																									goto
																																										BgL_tagzd21474zd2_893;
																																								}
																																							else
																																								{	/* Ast/sexp.scm 103 */
																																									bool_t
																																										BgL_testz00_4060;
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_arg3371z00_1108;
																																										BgL_arg3371z00_1108
																																											=
																																											CAR
																																											(BgL_expz00_18);
																																										BgL_testz00_4060
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg3371z00_1108));
																																									}
																																									if (BgL_testz00_4060)
																																										{	/* Ast/sexp.scm 103 */
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_4064;
																																											goto
																																												BgL_tagzd21475zd2_894;
																																											return
																																												(BgL_nodez00_bglt)
																																												(BgL_auxz00_4064);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 103 */
																																											obj_t
																																												BgL_carzd22120zd2_1097;
																																											BgL_carzd22120zd2_1097
																																												=
																																												CAR
																																												(BgL_expz00_18);
																																											{	/* Ast/sexp.scm 103 */
																																												obj_t
																																													BgL_cdrzd22125zd2_1098;
																																												BgL_cdrzd22125zd2_1098
																																													=
																																													CDR
																																													(BgL_carzd22120zd2_1097);
																																												if ((CAR(BgL_carzd22120zd2_1097) == CNST_TABLE_REF(((long) 18))))
																																													{	/* Ast/sexp.scm 103 */
																																														if (PAIRP(BgL_cdrzd22125zd2_1098))
																																															{
																																																obj_t
																																																	BgL_argsz00_4078;
																																																obj_t
																																																	BgL_bodyz00_4076;
																																																obj_t
																																																	BgL_varsz00_4074;
																																																BgL_varsz00_4074
																																																	=
																																																	CAR
																																																	(BgL_cdrzd22125zd2_1098);
																																																BgL_bodyz00_4076
																																																	=
																																																	CDR
																																																	(BgL_cdrzd22125zd2_1098);
																																																BgL_argsz00_4078
																																																	=
																																																	CDR
																																																	(BgL_expz00_18);
																																																BgL_argsz00_897
																																																	=
																																																	BgL_argsz00_4078;
																																																BgL_bodyz00_896
																																																	=
																																																	BgL_bodyz00_4076;
																																																BgL_varsz00_895
																																																	=
																																																	BgL_varsz00_4074;
																																																goto
																																																	BgL_tagzd21476zd2_898;
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																	{	/* Ast/sexp.scm 103 */
																																																		obj_t
																																																			BgL_auxz00_4082;
																																																		goto
																																																			BgL_tagzd21488zd2_914;
																																																		return
																																																			(BgL_nodez00_bglt)
																																																			(BgL_auxz00_4082);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		goto
																																																			BgL_tagzd21489zd2_915;
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																															{	/* Ast/sexp.scm 103 */
																																																obj_t
																																																	BgL_auxz00_4086;
																																																goto
																																																	BgL_tagzd21488zd2_914;
																																																return
																																																	(BgL_nodez00_bglt)
																																																	(BgL_auxz00_4086);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																goto
																																																	BgL_tagzd21489zd2_915;
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											}
																										else
																											{	/* Ast/sexp.scm 103 */
																												if (
																													(BgL_carzd21935zd2_1085
																														==
																														CNST_TABLE_REF((
																																(long) 19))))
																													{	/* Ast/sexp.scm 103 */
																														goto
																															BgL_tagzd21474zd2_893;
																													}
																												else
																													{	/* Ast/sexp.scm 103 */
																														if (CBOOL
																															(BGl_letzd2symzf3z21zzast_letz00
																																(BgL_carzd21935zd2_1085)))
																															{	/* Ast/sexp.scm 103 */
																																goto
																																	BgL_tagzd21474zd2_893;
																															}
																														else
																															{	/* Ast/sexp.scm 103 */
																																if (
																																	(BgL_carzd21935zd2_1085
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				20))))
																																	{	/* Ast/sexp.scm 103 */
																																		goto
																																			BgL_tagzd21474zd2_893;
																																	}
																																else
																																	{	/* Ast/sexp.scm 103 */
																																		obj_t
																																			BgL_carzd22175zd2_1152;
																																		BgL_carzd22175zd2_1152
																																			=
																																			CAR
																																			(BgL_expz00_18);
																																		if (
																																			(BgL_carzd22175zd2_1152
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						21))))
																																			{	/* Ast/sexp.scm 103 */
																																				BgL_letzd2funzd2_bglt
																																					BgL_auxz00_4101;
																																				goto
																																					BgL_tagzd21475zd2_894;
																																				return
																																					(BgL_nodez00_bglt)
																																					(BgL_auxz00_4101);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 103 */
																																				if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd22175zd2_1152)))
																																					{	/* Ast/sexp.scm 103 */
																																						BgL_letzd2funzd2_bglt
																																							BgL_auxz00_4106;
																																						goto
																																							BgL_tagzd21475zd2_894;
																																						return
																																							(BgL_nodez00_bglt)
																																							(BgL_auxz00_4106);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 103 */
																																						if (
																																							(CAR
																																								(BgL_expz00_18)
																																								==
																																								CNST_TABLE_REF
																																								(((long) 18))))
																																							{	/* Ast/sexp.scm 103 */
																																								goto
																																									BgL_tagzd21477zd2_899;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 103 */
																																								if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 4))))
																																									{	/* Ast/sexp.scm 103 */
																																										goto
																																											BgL_tagzd21478zd2_900;
																																									}
																																								else
																																									{	/* Ast/sexp.scm 103 */
																																										obj_t
																																											BgL_cdrzd22199zd2_1157;
																																										BgL_cdrzd22199zd2_1157
																																											=
																																											CDR
																																											(BgL_expz00_18);
																																										if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 22))))
																																											{	/* Ast/sexp.scm 103 */
																																												if (PAIRP(BgL_cdrzd22199zd2_1157))
																																													{
																																														obj_t
																																															BgL_restz00_4125;
																																														obj_t
																																															BgL_effectz00_4123;
																																														BgL_effectz00_4123
																																															=
																																															CAR
																																															(BgL_cdrzd22199zd2_1157);
																																														BgL_restz00_4125
																																															=
																																															CDR
																																															(BgL_cdrzd22199zd2_1157);
																																														BgL_restz00_902
																																															=
																																															BgL_restz00_4125;
																																														BgL_effectz00_901
																																															=
																																															BgL_effectz00_4123;
																																														goto
																																															BgL_tagzd21479zd2_903;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																															{	/* Ast/sexp.scm 103 */
																																																obj_t
																																																	BgL_auxz00_4129;
																																																goto
																																																	BgL_tagzd21488zd2_914;
																																																return
																																																	(BgL_nodez00_bglt)
																																																	(BgL_auxz00_4129);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																goto
																																																	BgL_tagzd21489zd2_915;
																																															}
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 103 */
																																												if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 23))))
																																													{	/* Ast/sexp.scm 103 */
																																														goto
																																															BgL_tagzd21480zd2_904;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 103 */
																																														if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 24))))
																																															{	/* Ast/sexp.scm 103 */
																																																if (PAIRP(BgL_cdrzd22199zd2_1157))
																																																	{
																																																		obj_t
																																																			BgL_restz00_4143;
																																																		obj_t
																																																			BgL_effectz00_4141;
																																																		BgL_effectz00_4141
																																																			=
																																																			CAR
																																																			(BgL_cdrzd22199zd2_1157);
																																																		BgL_restz00_4143
																																																			=
																																																			CDR
																																																			(BgL_cdrzd22199zd2_1157);
																																																		BgL_restz00_906
																																																			=
																																																			BgL_restz00_4143;
																																																		BgL_effectz00_905
																																																			=
																																																			BgL_effectz00_4141;
																																																		goto
																																																			BgL_tagzd21481zd2_907;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																			{	/* Ast/sexp.scm 103 */
																																																				obj_t
																																																					BgL_auxz00_4147;
																																																				goto
																																																					BgL_tagzd21488zd2_914;
																																																				return
																																																					(BgL_nodez00_bglt)
																																																					(BgL_auxz00_4147);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				goto
																																																					BgL_tagzd21489zd2_915;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 103 */
																																																if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 25))))
																																																	{	/* Ast/sexp.scm 103 */
																																																		obj_t
																																																			BgL_auxz00_4153;
																																																		goto
																																																			BgL_tagzd21482zd2_908;
																																																		return
																																																			(BgL_nodez00_bglt)
																																																			(BgL_auxz00_4153);
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 103 */
																																																		if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 26))))
																																																			{	/* Ast/sexp.scm 103 */
																																																				obj_t
																																																					BgL_auxz00_4159;
																																																				goto
																																																					BgL_tagzd21483zd2_909;
																																																				return
																																																					(BgL_nodez00_bglt)
																																																					(BgL_auxz00_4159);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 103 */
																																																				if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 27))))
																																																					{	/* Ast/sexp.scm 103 */
																																																						BgL_letzd2funzd2_bglt
																																																							BgL_auxz00_4165;
																																																						goto
																																																							BgL_tagzd21484zd2_910;
																																																						return
																																																							(BgL_nodez00_bglt)
																																																							(BgL_auxz00_4165);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 103 */
																																																						if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 28))))
																																																							{	/* Ast/sexp.scm 103 */
																																																								BgL_jumpzd2exzd2itz00_bglt
																																																									BgL_auxz00_4171;
																																																								goto
																																																									BgL_tagzd21485zd2_911;
																																																								return
																																																									(BgL_nodez00_bglt)
																																																									(BgL_auxz00_4171);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 103 */
																																																								obj_t
																																																									BgL_cdrzd22237zd2_1174;
																																																								BgL_cdrzd22237zd2_1174
																																																									=
																																																									CDR
																																																									(BgL_expz00_18);
																																																								if ((CAR(BgL_expz00_18) == CNST_TABLE_REF(((long) 14))))
																																																									{	/* Ast/sexp.scm 103 */
																																																										if (PAIRP(BgL_cdrzd22237zd2_1174))
																																																											{	/* Ast/sexp.scm 103 */
																																																												obj_t
																																																													BgL_cdrzd22239zd2_1177;
																																																												BgL_cdrzd22239zd2_1177
																																																													=
																																																													CDR
																																																													(BgL_cdrzd22237zd2_1174);
																																																												if (PAIRP(BgL_cdrzd22239zd2_1177))
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (NULLP(CDR(BgL_cdrzd22239zd2_1177)))
																																																															{	/* Ast/sexp.scm 103 */
																																																																goto
																																																																	BgL_tagzd21486zd2_912;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		obj_t
																																																																			BgL_auxz00_4188;
																																																																		goto
																																																																			BgL_tagzd21488zd2_914;
																																																																		return
																																																																			(BgL_nodez00_bglt)
																																																																			(BgL_auxz00_4188);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 103 */
																																																																		goto
																																																																			BgL_tagzd21489zd2_915;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																															{	/* Ast/sexp.scm 103 */
																																																																obj_t
																																																																	BgL_auxz00_4192;
																																																																goto
																																																																	BgL_tagzd21488zd2_914;
																																																																return
																																																																	(BgL_nodez00_bglt)
																																																																	(BgL_auxz00_4192);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																goto
																																																																	BgL_tagzd21489zd2_915;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 103 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																													{	/* Ast/sexp.scm 103 */
																																																														obj_t
																																																															BgL_auxz00_4196;
																																																														goto
																																																															BgL_tagzd21488zd2_914;
																																																														return
																																																															(BgL_nodez00_bglt)
																																																															(BgL_auxz00_4196);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														goto
																																																															BgL_tagzd21489zd2_915;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 103 */
																																																										if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_18), BUNSPEC))
																																																											{	/* Ast/sexp.scm 103 */
																																																												if (NULLP(BgL_cdrzd22237zd2_1174))
																																																													{	/* Ast/sexp.scm 103 */
																																																														goto
																																																															BgL_tagzd21487zd2_913;
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																															{	/* Ast/sexp.scm 103 */
																																																																obj_t
																																																																	BgL_auxz00_4205;
																																																																goto
																																																																	BgL_tagzd21488zd2_914;
																																																																return
																																																																	(BgL_nodez00_bglt)
																																																																	(BgL_auxz00_4205);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 103 */
																																																																goto
																																																																	BgL_tagzd21489zd2_915;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 103 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_18))
																																																													{	/* Ast/sexp.scm 103 */
																																																														obj_t
																																																															BgL_auxz00_4209;
																																																														goto
																																																															BgL_tagzd21488zd2_914;
																																																														return
																																																															(BgL_nodez00_bglt)
																																																															(BgL_auxz00_4209);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 103 */
																																																														goto
																																																															BgL_tagzd21489zd2_915;
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 103 */
										obj_t BgL_auxz00_4211;

										BgL_atomz00_879 = BgL_expz00_18;
										if (SYMBOLP(BgL_atomz00_879))
											{	/* Ast/sexp.scm 113 */
												if (CBOOL(BGl_lookupz00zzast_sexpz00(BgL_atomz00_879,
															BgL_stackz00_19)))
													{	/* Ast/sexp.scm 136 */
														obj_t BgL_localz00_1223;

														BgL_localz00_1223 =
															BGl_lookupz00zzast_sexpz00(BgL_atomz00_879,
															BgL_stackz00_19);
														{	/* Ast/sexp.scm 136 */
															obj_t BgL_varz00_1224;

															{	/* Ast/sexp.scm 137 */
																bool_t BgL_testz00_4218;

																if (
																	(BgL_sitez00_21 ==
																		CNST_TABLE_REF(((long) 11))))
																	{	/* Ast/sexp.scm 137 */
																		BgL_testz00_4218 = ((bool_t) 0);
																	}
																else
																	{	/* Ast/sexp.scm 138 */
																		BgL_valuez00_bglt BgL_arg3480z00_1229;

																		{
																			BgL_variablez00_bglt BgL_auxz00_4222;

																			BgL_auxz00_4222 =
																				(BgL_variablez00_bglt)
																				(BgL_localz00_1223);
																			BgL_arg3480z00_1229 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_4222))->BgL_valuez00);
																		}
																		{	/* Ast/sexp.scm 138 */
																			obj_t BgL_obj1773z00_2452;

																			BgL_obj1773z00_2452 =
																				(obj_t) (BgL_arg3480z00_1229);
																			BgL_testz00_4218 =
																				BGl_iszd2azf3z21zz__objectz00
																				(BgL_obj1773z00_2452,
																				BGl_funz00zzast_varz00);
																		}
																	}
																if (BgL_testz00_4218)
																	{	/* Ast/sexp.scm 141 */
																		BgL_typez00_bglt BgL_arg3477z00_1226;

																		{
																			BgL_variablez00_bglt BgL_auxz00_4227;

																			BgL_auxz00_4227 =
																				(BgL_variablez00_bglt)
																				(BgL_localz00_1223);
																			BgL_arg3477z00_1226 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_4227))->BgL_typez00);
																		}
																		BgL_varz00_1224 =
																			(obj_t)
																			(BGl_makezd2closurezd2zzast_nodez00
																			(BgL_locz00_20, BgL_arg3477z00_1226,
																				(BgL_variablez00_bglt)
																				(BgL_localz00_1223)));
																	}
																else
																	{	/* Ast/sexp.scm 145 */
																		BgL_typez00_bglt BgL_arg3478z00_1227;

																		{
																			BgL_variablez00_bglt BgL_auxz00_4233;

																			BgL_auxz00_4233 =
																				(BgL_variablez00_bglt)
																				(BgL_localz00_1223);
																			BgL_arg3478z00_1227 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_4233))->BgL_typez00);
																		}
																		BgL_varz00_1224 =
																			(obj_t) (BGl_makezd2varzd2zzast_nodez00
																			(BgL_locz00_20, BgL_arg3478z00_1227,
																				(BgL_variablez00_bglt)
																				(BgL_localz00_1223)));
																	}
															}
															{	/* Ast/sexp.scm 137 */

																BGl_usezd2variablez12zc0zzast_sexpz00(
																	(BgL_variablez00_bglt) (BgL_localz00_1223),
																	BgL_locz00_20, BgL_sitez00_21);
																BgL_auxz00_4211 = BgL_varz00_1224;
															}
														}
													}
												else
													{	/* Ast/sexp.scm 150 */
														obj_t BgL_globalz00_1230;

														BgL_globalz00_1230 =
															BGl_findzd2globalzd2zzast_envz00(BgL_atomz00_879,
															BNIL);
														if (BGl_iszd2azf3z21zz__objectz00
															(BgL_globalz00_1230, BGl_globalz00zzast_varz00))
															{	/* Ast/sexp.scm 154 */
																bool_t BgL_testz00_4244;

																{	/* Ast/sexp.scm 154 */
																	obj_t BgL_auxz00_4245;

																	{
																		BgL_globalz00_bglt BgL_auxz00_4246;

																		BgL_auxz00_4246 =
																			(BgL_globalz00_bglt) (BgL_globalz00_1230);
																		BgL_auxz00_4245 =
																			(((BgL_globalz00_bglt)
																				CREF(BgL_auxz00_4246))->BgL_importz00);
																	}
																	BgL_testz00_4244 =
																		(BgL_auxz00_4245 ==
																		CNST_TABLE_REF(((long) 10)));
																}
																if (BgL_testz00_4244)
																	{	/* Ast/sexp.scm 155 */
																		obj_t BgL_arg3483z00_1233;

																		{	/* Ast/sexp.scm 155 */
																			obj_t BgL_arg3484z00_1234;

																			obj_t BgL_arg3485z00_1235;

																			BgL_arg3484z00_1234 =
																				CNST_TABLE_REF(((long) 10));
																			{	/* Ast/sexp.scm 155 */
																				obj_t BgL_arg3486z00_1236;

																				{	/* Ast/sexp.scm 155 */
																					obj_t BgL_arg3489z00_1239;

																					obj_t BgL_arg3490z00_1240;

																					BgL_arg3489z00_1239 =
																						CNST_TABLE_REF(((long) 13));
																					{	/* Ast/sexp.scm 155 */
																						obj_t BgL_list3491z00_1241;

																						BgL_list3491z00_1241 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg3490z00_1240 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_atomz00_879,
																							BgL_list3491z00_1241);
																					}
																					BgL_arg3486z00_1236 =
																						MAKE_PAIR(BgL_arg3489z00_1239,
																						BgL_arg3490z00_1240);
																				}
																				{	/* Ast/sexp.scm 155 */
																					obj_t BgL_list3488z00_1238;

																					BgL_list3488z00_1238 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg3485z00_1235 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg3486z00_1236,
																						BgL_list3488z00_1238);
																			}}
																			BgL_arg3483z00_1233 =
																				MAKE_PAIR(BgL_arg3484z00_1234,
																				BgL_arg3485z00_1235);
																		}
																		BgL_auxz00_4211 =
																			(obj_t)
																			(BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_arg3483z00_1233, BgL_stackz00_19,
																				BgL_locz00_20, BgL_sitez00_21));
																	}
																else
																	{	/* Ast/sexp.scm 154 */
																		BGl_usezd2variablez12zc0zzast_sexpz00(
																			(BgL_variablez00_bglt)
																			(BgL_globalz00_1230), BgL_locz00_20,
																			BgL_sitez00_21);
																		{	/* Ast/sexp.scm 158 */
																			bool_t BgL_testz00_4263;

																			if (
																				(BgL_sitez00_21 ==
																					CNST_TABLE_REF(((long) 11))))
																				{	/* Ast/sexp.scm 158 */
																					BgL_testz00_4263 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/sexp.scm 158 */
																					BgL_valuez00_bglt BgL_arg3507z00_1257;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_4267;
																						BgL_auxz00_4267 =
																							(BgL_variablez00_bglt)
																							(BgL_globalz00_1230);
																						BgL_arg3507z00_1257 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_4267))->
																							BgL_valuez00);
																					}
																					{	/* Ast/sexp.scm 158 */
																						obj_t BgL_obj1773z00_2458;

																						BgL_obj1773z00_2458 =
																							(obj_t) (BgL_arg3507z00_1257);
																						BgL_testz00_4263 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_obj1773z00_2458,
																							BGl_funz00zzast_varz00);
																					}
																				}
																			if (BgL_testz00_4263)
																				{	/* Ast/sexp.scm 159 */
																					bool_t BgL_testz00_4272;

																					{	/* Ast/sexp.scm 159 */
																						bool_t BgL_testz00_4273;

																						{	/* Ast/sexp.scm 159 */
																							BgL_valuez00_bglt
																								BgL_arg3504z00_1254;
																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_4274;
																								BgL_auxz00_4274 =
																									(BgL_variablez00_bglt)
																									(BgL_globalz00_1230);
																								BgL_arg3504z00_1254 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_4274))->
																									BgL_valuez00);
																							}
																							{	/* Ast/sexp.scm 159 */
																								obj_t BgL_obj1935z00_2460;

																								BgL_obj1935z00_2460 =
																									(obj_t) (BgL_arg3504z00_1254);
																								BgL_testz00_4273 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1935z00_2460,
																									BGl_cfunz00zzast_varz00);
																							}
																						}
																						if (BgL_testz00_4273)
																							{	/* Ast/sexp.scm 160 */
																								bool_t BgL_testz00_4279;

																								{	/* Ast/sexp.scm 160 */
																									obj_t BgL_arg3503z00_1253;

																									BgL_arg3503z00_1253 =
																										BGl_thezd2backendzd2zzbackend_backendz00
																										();
																									{
																										BgL_backendz00_bglt
																											BgL_auxz00_4281;
																										BgL_auxz00_4281 =
																											(BgL_backendz00_bglt)
																											(BgL_arg3503z00_1253);
																										BgL_testz00_4279 =
																											(((BgL_backendz00_bglt)
																												CREF(BgL_auxz00_4281))->
																											BgL_foreignzd2closurezd2);
																									}
																								}
																								if (BgL_testz00_4279)
																									{	/* Ast/sexp.scm 160 */
																										BgL_testz00_4272 =
																											((bool_t) 0);
																									}
																								else
																									{	/* Ast/sexp.scm 160 */
																										if (
																											(BgL_sitez00_21 ==
																												CNST_TABLE_REF(((long)
																														14))))
																											{	/* Ast/sexp.scm 161 */
																												BgL_testz00_4272 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Ast/sexp.scm 161 */
																												BgL_testz00_4272 =
																													((bool_t) 1);
																											}
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 159 */
																								BgL_testz00_4272 = ((bool_t) 0);
																							}
																					}
																					if (BgL_testz00_4272)
																						{	/* Ast/sexp.scm 163 */
																							obj_t BgL_arg3494z00_1244;

																							{	/* Ast/sexp.scm 163 */
																								obj_t BgL_arg3496z00_1246;

																								{	/* Ast/sexp.scm 163 */
																									obj_t BgL_arg3498z00_1248;

																									BgL_arg3498z00_1248 =
																										BGl_thezd2backendzd2zzbackend_backendz00
																										();
																									{
																										BgL_backendz00_bglt
																											BgL_auxz00_4288;
																										BgL_auxz00_4288 =
																											(BgL_backendz00_bglt)
																											(BgL_arg3498z00_1248);
																										BgL_arg3496z00_1246 =
																											(((BgL_backendz00_bglt)
																												CREF(BgL_auxz00_4288))->
																											BgL_namez00);
																									}
																								}
																								{	/* Ast/sexp.scm 163 */
																									obj_t BgL_list3497z00_1247;

																									BgL_list3497z00_1247 =
																										MAKE_PAIR
																										(BgL_arg3496z00_1246, BNIL);
																									BgL_arg3494z00_1244 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string4058z00zzast_sexpz00,
																										BgL_list3497z00_1247);
																								}
																							}
																							BgL_auxz00_4211 =
																								(obj_t)
																								(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																								(BgL_arg3494z00_1244,
																									BgL_expz00_18,
																									BgL_locz00_20));
																						}
																					else
																						{	/* Ast/sexp.scm 167 */
																							BgL_typez00_bglt
																								BgL_arg3499z00_1249;
																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_4295;
																								BgL_auxz00_4295 =
																									(BgL_variablez00_bglt)
																									(BgL_globalz00_1230);
																								BgL_arg3499z00_1249 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_4295))->
																									BgL_typez00);
																							}
																							BgL_auxz00_4211 =
																								(obj_t)
																								(BGl_makezd2closurezd2zzast_nodez00
																								(BgL_locz00_20,
																									BgL_arg3499z00_1249,
																									(BgL_variablez00_bglt)
																									(BgL_globalz00_1230)));
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 171 */
																					BgL_typez00_bglt BgL_arg3505z00_1255;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_4301;
																						BgL_auxz00_4301 =
																							(BgL_variablez00_bglt)
																							(BgL_globalz00_1230);
																						BgL_arg3505z00_1255 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_4301))->
																							BgL_typez00);
																					}
																					BgL_auxz00_4211 =
																						(obj_t)
																						(BGl_makezd2varzd2zzast_nodez00
																						(BgL_locz00_20, BgL_arg3505z00_1255,
																							(BgL_variablez00_bglt)
																							(BgL_globalz00_1230)));
																				}
																		}
																	}
															}
														else
															{	/* Ast/sexp.scm 152 */
																BgL_auxz00_4211 =
																	(obj_t)
																	(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																	(BGl_string4057z00zzast_sexpz00,
																		BgL_expz00_18, BgL_locz00_20));
															}
													}
											}
										else
											{	/* Ast/sexp.scm 115 */
												bool_t BgL_testz00_4309;

												if (BGl_iszd2azf3z21zz__objectz00(BgL_atomz00_879,
														BGl_localz00zzast_varz00))
													{	/* Ast/sexp.scm 115 */
														BgL_testz00_4309 = ((bool_t) 1);
													}
												else
													{	/* Ast/sexp.scm 115 */
														BgL_testz00_4309 =
															BGl_iszd2azf3z21zz__objectz00(BgL_atomz00_879,
															BGl_globalz00zzast_varz00);
													}
												if (BgL_testz00_4309)
													{	/* Ast/sexp.scm 115 */
														BGl_usezd2variablez12zc0zzast_sexpz00(
															(BgL_variablez00_bglt) (BgL_atomz00_879),
															BgL_locz00_20, BgL_sitez00_21);
														{	/* Ast/sexp.scm 117 */
															bool_t BgL_testz00_4315;

															if (
																(BgL_sitez00_21 == CNST_TABLE_REF(((long) 11))))
																{	/* Ast/sexp.scm 117 */
																	BgL_testz00_4315 = ((bool_t) 0);
																}
															else
																{	/* Ast/sexp.scm 117 */
																	BgL_valuez00_bglt BgL_arg3518z00_1266;

																	{
																		BgL_variablez00_bglt BgL_auxz00_4319;

																		BgL_auxz00_4319 =
																			(BgL_variablez00_bglt) (BgL_atomz00_879);
																		BgL_arg3518z00_1266 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_4319))->BgL_valuez00);
																	}
																	{	/* Ast/sexp.scm 117 */
																		obj_t BgL_obj1773z00_2468;

																		BgL_obj1773z00_2468 =
																			(obj_t) (BgL_arg3518z00_1266);
																		BgL_testz00_4315 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj1773z00_2468,
																			BGl_funz00zzast_varz00);
																	}
																}
															if (BgL_testz00_4315)
																{	/* Ast/sexp.scm 120 */
																	BgL_typez00_bglt BgL_arg3513z00_1263;

																	{
																		BgL_variablez00_bglt BgL_auxz00_4324;

																		BgL_auxz00_4324 =
																			(BgL_variablez00_bglt) (BgL_atomz00_879);
																		BgL_arg3513z00_1263 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_4324))->BgL_typez00);
																	}
																	BgL_auxz00_4211 =
																		(obj_t) (BGl_makezd2closurezd2zzast_nodez00
																		(BgL_locz00_20, BgL_arg3513z00_1263,
																			(BgL_variablez00_bglt)
																			(BgL_atomz00_879)));
																}
															else
																{	/* Ast/sexp.scm 124 */
																	BgL_typez00_bglt BgL_arg3514z00_1264;

																	{
																		BgL_variablez00_bglt BgL_auxz00_4330;

																		BgL_auxz00_4330 =
																			(BgL_variablez00_bglt) (BgL_atomz00_879);
																		BgL_arg3514z00_1264 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_4330))->BgL_typez00);
																	}
																	BgL_auxz00_4211 =
																		(obj_t) (BGl_makezd2varzd2zzast_nodez00
																		(BgL_locz00_20, BgL_arg3514z00_1264,
																			(BgL_variablez00_bglt)
																			(BgL_atomz00_879)));
																}
														}
													}
												else
													{	/* Ast/sexp.scm 126 */
														bool_t BgL_testz00_4336;

														if (STRUCTP(BgL_atomz00_879))
															{	/* Ast/sexp.scm 126 */
																BgL_testz00_4336 = ((bool_t) 1);
															}
														else
															{	/* Ast/sexp.scm 126 */
																if (VECTORP(BgL_atomz00_879))
																	{	/* Ast/sexp.scm 127 */
																		BgL_testz00_4336 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/sexp.scm 127 */
																		BgL_testz00_4336 =
																			BGL_OBJECTP(BgL_atomz00_879);
																	}
															}
														if (BgL_testz00_4336)
															{	/* Ast/sexp.scm 126 */
																BgL_auxz00_4211 =
																	(obj_t)
																	(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																	(BGl_string4059z00zzast_sexpz00,
																		BgL_expz00_18, BgL_locz00_20));
															}
														else
															{	/* Ast/sexp.scm 133 */
																BgL_typez00_bglt BgL_arg3520z00_1268;

																BgL_arg3520z00_1268 =
																	BGl_typeofzd2atomzd2zztype_typeofz00
																	(BgL_atomz00_879);
																BgL_auxz00_4211 =
																	(obj_t) (BGl_makezd2atomzd2zzast_nodez00
																	(BgL_locz00_20, BgL_arg3520z00_1268,
																		BgL_atomz00_879));
															}
													}
											}
										return (BgL_nodez00_bglt) (BgL_auxz00_4211);
									}
							}
					}
			}
		}
	}



/* liip */
	obj_t BGl_liipz00zzast_sexpz00(obj_t BgL_argsz00_1560)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 379 */
			if (NULLP(BgL_argsz00_1560))
				{	/* Ast/sexp.scm 380 */
					return CNST_TABLE_REF(((long) 29));
				}
			else
				{	/* Ast/sexp.scm 382 */
					obj_t BgL_arg3725z00_1563;

					obj_t BgL_arg3726z00_1564;

					BgL_arg3725z00_1563 = CNST_TABLE_REF(((long) 30));
					{	/* Ast/sexp.scm 382 */
						obj_t BgL_arg3727z00_1565;

						obj_t BgL_arg3728z00_1566;

						BgL_arg3727z00_1565 = CAR(BgL_argsz00_1560);
						BgL_arg3728z00_1566 =
							BGl_liipz00zzast_sexpz00(CDR(BgL_argsz00_1560));
						{	/* Ast/sexp.scm 382 */
							obj_t BgL_list3730z00_1568;

							{	/* Ast/sexp.scm 382 */
								obj_t BgL_arg3731z00_1569;

								BgL_arg3731z00_1569 = MAKE_PAIR(BNIL, BNIL);
								BgL_list3730z00_1568 =
									MAKE_PAIR(BgL_arg3728z00_1566, BgL_arg3731z00_1569);
							}
							BgL_arg3726z00_1564 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg3727z00_1565,
								BgL_list3730z00_1568);
					}}
					return MAKE_PAIR(BgL_arg3725z00_1563, BgL_arg3726z00_1564);
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zzast_sexpz00(obj_t BgL_expz00_2873, obj_t BgL_locz00_2872,
		obj_t BgL_varsz00_1521, obj_t BgL_argsz00_1522)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 364 */
		BGl_loopz00zzast_sexpz00:
			if (NULLP(BgL_varsz00_1521))
				{	/* Ast/sexp.scm 367 */
					if (NULLP(BgL_argsz00_1522))
						{	/* Ast/sexp.scm 368 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 368 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_2872,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string4061z00zzast_sexpz00, BgL_expz00_2873, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 367 */
					if (PAIRP(BgL_varsz00_1521))
						{	/* Ast/sexp.scm 375 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(CAR
									(BgL_varsz00_1521)))
								{	/* Ast/sexp.scm 385 */
									obj_t BgL_argz00_1532;

									BgL_argz00_1532 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_1521));
									if (CBOOL(BgL_argz00_1532))
										{
											obj_t BgL_varsz00_4375;

											BgL_varsz00_4375 = BgL_argz00_1532;
											BgL_varsz00_1521 = BgL_varsz00_4375;
											goto BGl_loopz00zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_4376;

											BgL_varsz00_4376 = BNIL;
											BgL_varsz00_1521 = BgL_varsz00_4376;
											goto BGl_loopz00zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 390 */
									bool_t BgL_testz00_4377;

									{	/* Ast/sexp.scm 390 */
										obj_t BgL_auxz00_4378;

										BgL_auxz00_4378 = CAR(BgL_varsz00_1521);
										BgL_testz00_4377 = SYMBOLP(BgL_auxz00_4378);
									}
									if (BgL_testz00_4377)
										{	/* Ast/sexp.scm 390 */
											if (NULLP(BgL_argsz00_1522))
												{	/* Ast/sexp.scm 396 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_2872,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string4061z00zzast_sexpz00, BgL_expz00_2873,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 403 */
													obj_t BgL_arg3704z00_1540;

													obj_t BgL_arg3705z00_1541;

													{	/* Ast/sexp.scm 403 */
														obj_t BgL_arg3706z00_1542;

														obj_t BgL_arg3707z00_1543;

														BgL_arg3706z00_1542 = CAR(BgL_varsz00_1521);
														BgL_arg3707z00_1543 = CAR(BgL_argsz00_1522);
														{	/* Ast/sexp.scm 403 */
															obj_t BgL_list3708z00_1544;

															{	/* Ast/sexp.scm 403 */
																obj_t BgL_arg3709z00_1545;

																BgL_arg3709z00_1545 =
																	MAKE_PAIR(BgL_arg3707z00_1543, BNIL);
																BgL_list3708z00_1544 =
																	MAKE_PAIR(BgL_arg3706z00_1542,
																	BgL_arg3709z00_1545);
															}
															BgL_arg3704z00_1540 = BgL_list3708z00_1544;
														}
													}
													BgL_arg3705z00_1541 =
														BGl_loopz00zzast_sexpz00(BgL_expz00_2873,
														BgL_locz00_2872, CDR(BgL_varsz00_1521),
														CDR(BgL_argsz00_1522));
													return MAKE_PAIR(BgL_arg3704z00_1540,
														BgL_arg3705z00_1541);
												}
										}
									else
										{	/* Ast/sexp.scm 390 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_2872,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string4062z00zzast_sexpz00, BgL_expz00_2873, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 380 */
							obj_t BgL_arg3718z00_1554;

							{	/* Ast/sexp.scm 380 */
								obj_t BgL_arg3720z00_1556;

								BgL_arg3720z00_1556 =
									BGl_liipz00zzast_sexpz00(BgL_argsz00_1522);
								{	/* Ast/sexp.scm 377 */
									obj_t BgL_list3721z00_1557;

									{	/* Ast/sexp.scm 377 */
										obj_t BgL_arg3722z00_1558;

										BgL_arg3722z00_1558 = MAKE_PAIR(BgL_arg3720z00_1556, BNIL);
										BgL_list3721z00_1557 =
											MAKE_PAIR(BgL_varsz00_1521, BgL_arg3722z00_1558);
									}
									BgL_arg3718z00_1554 = BgL_list3721z00_1557;
								}
							}
							{	/* Ast/sexp.scm 376 */
								obj_t BgL_list3719z00_1555;

								BgL_list3719z00_1555 = MAKE_PAIR(BgL_arg3718z00_1554, BNIL);
								return BgL_list3719z00_1555;
							}
						}
				}
		}
	}



/* _sexp->node */
	obj_t BGl__sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_envz00_2839,
		obj_t BgL_expz00_2840, obj_t BgL_stackz00_2841, obj_t BgL_locz00_2842,
		obj_t BgL_sitez00_2843)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 98 */
			return
				(obj_t) (BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_2840,
					BgL_stackz00_2841, BgL_locz00_2842, BgL_sitez00_2843));
		}
	}



/* <anonymous:3737> */
	obj_t BGl_zc3anonymousza33737ze3z83zzast_sexpz00(obj_t BgL_envz00_2844,
		obj_t BgL_objz00_2846, obj_t BgL_procz00_2847, obj_t BgL_msgz00_2848)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 409 */
			{	/* Ast/sexp.scm 410 */
				obj_t BgL_locz00_2845;

				BgL_locz00_2845 = PROCEDURE_REF(BgL_envz00_2844, (int) (((long) 0)));
				{
					obj_t BgL_objz00_1577;

					obj_t BgL_procz00_1578;

					obj_t BgL_msgz00_1579;

					BgL_objz00_1577 = BgL_objz00_2846;
					BgL_procz00_1578 = BgL_procz00_2847;
					BgL_msgz00_1579 = BgL_msgz00_2848;
					return
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_2845,
						BgL_objz00_1577, BgL_procz00_1578, BgL_msgz00_1579, BNIL);
				}
			}
		}
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_22,
		obj_t BgL_stackz00_23, obj_t BgL_locz00_24, obj_t BgL_sitez00_25)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 538 */
			{	/* Ast/sexp.scm 539 */
				obj_t BgL_callerz00_1707;

				obj_t BgL_locz00_1708;

				BgL_callerz00_1707 = CAR(BgL_expz00_22);
				BgL_locz00_1708 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_22,
					BgL_locz00_24);
				if (SYMBOLP(BgL_callerz00_1707))
					{	/* Ast/sexp.scm 543 */
						obj_t BgL_pidz00_1710;

						BgL_pidz00_1710 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_1707,
							BgL_locz00_1708);
						{	/* Ast/sexp.scm 543 */
							obj_t BgL_idz00_1711;

							BgL_idz00_1711 = CAR(BgL_pidz00_1710);
							{	/* Ast/sexp.scm 544 */
								obj_t BgL_typez00_1712;

								BgL_typez00_1712 = CDR(BgL_pidz00_1710);
								{	/* Ast/sexp.scm 545 */

									if ((BgL_idz00_1711 == CNST_TABLE_REF(((long) 4))))
										{	/* Ast/sexp.scm 546 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, (BgL_typez00_bglt) (BgL_typez00_1712),
												BgL_expz00_22, BgL_stackz00_23, BgL_locz00_1708,
												BgL_sitez00_25);
										}
									else
										{	/* Ast/sexp.scm 546 */
											if ((BgL_idz00_1711 == CNST_TABLE_REF(((long) 22))))
												{	/* Ast/sexp.scm 550 */
													bool_t BgL_testz00_4421;

													{	/* Ast/sexp.scm 550 */
														obj_t BgL_auxz00_4422;

														BgL_auxz00_4422 = CDR(BgL_expz00_22);
														BgL_testz00_4421 = PAIRP(BgL_auxz00_4422);
													}
													if (BgL_testz00_4421)
														{	/* Ast/sexp.scm 554 */
															BgL_feffectz00_bglt BgL_arg3824z00_1717;

															obj_t BgL_arg3825z00_1718;

															{	/* Ast/sexp.scm 554 */
																obj_t BgL_arg3826z00_1719;

																{	/* Ast/sexp.scm 554 */
																	obj_t BgL_pairz00_2731;

																	BgL_pairz00_2731 = BgL_expz00_22;
																	BgL_arg3826z00_1719 =
																		CAR(CDR(BgL_pairz00_2731));
																}
																BgL_arg3824z00_1717 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg3826z00_1719);
															}
															{	/* Ast/sexp.scm 555 */
																obj_t BgL_arg3827z00_1720;

																obj_t BgL_arg3829z00_1721;

																{	/* Ast/sexp.scm 555 */
																	obj_t BgL_arg3830z00_1722;

																	obj_t BgL_arg3831z00_1723;

																	BgL_arg3830z00_1722 =
																		CNST_TABLE_REF(((long) 31));
																	{	/* Ast/sexp.scm 555 */
																		obj_t BgL_list3832z00_1724;

																		BgL_list3832z00_1724 =
																			MAKE_PAIR(BNIL, BNIL);
																		BgL_arg3831z00_1723 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(CNST_TABLE_REF(((long) 32)),
																			BgL_list3832z00_1724);
																	}
																	BgL_arg3827z00_1720 =
																		MAKE_PAIR(BgL_arg3830z00_1722,
																		BgL_arg3831z00_1723);
																}
																{	/* Ast/sexp.scm 555 */
																	obj_t BgL_auxz00_4433;

																	{	/* Ast/sexp.scm 555 */
																		obj_t BgL_pairz00_2735;

																		BgL_pairz00_2735 = BgL_expz00_22;
																		BgL_auxz00_4433 =
																			CDR(CDR(BgL_pairz00_2735));
																	}
																	BgL_arg3829z00_1721 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_4433, BNIL);
																}
																BgL_arg3825z00_1718 =
																	MAKE_PAIR(BgL_arg3827z00_1720,
																	BgL_arg3829z00_1721);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), (obj_t) (BgL_arg3824z00_1717),
																(BgL_typez00_bglt) (BgL_typez00_1712),
																BgL_arg3825z00_1718, BgL_stackz00_23,
																BgL_locz00_1708, BgL_sitez00_25);
														}
													else
														{	/* Ast/sexp.scm 550 */
															return
																BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																(BGl_string4063z00zzast_sexpz00, BgL_expz00_22,
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_22, BgL_locz00_1708));
														}
												}
											else
												{	/* Ast/sexp.scm 546 */
													if ((BgL_idz00_1711 == CNST_TABLE_REF(((long) 23))))
														{	/* Ast/sexp.scm 546 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																(BgL_typez00_bglt) (BgL_typez00_1712),
																BgL_expz00_22, BgL_stackz00_23, BgL_locz00_1708,
																BgL_sitez00_25);
														}
													else
														{	/* Ast/sexp.scm 546 */
															if (
																(BgL_idz00_1711 == CNST_TABLE_REF(((long) 24))))
																{	/* Ast/sexp.scm 560 */
																	bool_t BgL_testz00_4451;

																	{	/* Ast/sexp.scm 560 */
																		obj_t BgL_auxz00_4452;

																		BgL_auxz00_4452 = CDR(BgL_expz00_22);
																		BgL_testz00_4451 = PAIRP(BgL_auxz00_4452);
																	}
																	if (BgL_testz00_4451)
																		{	/* Ast/sexp.scm 564 */
																			BgL_feffectz00_bglt BgL_arg3841z00_1733;

																			obj_t BgL_arg3842z00_1734;

																			{	/* Ast/sexp.scm 564 */
																				obj_t BgL_arg3843z00_1735;

																				{	/* Ast/sexp.scm 564 */
																					obj_t BgL_pairz00_2745;

																					BgL_pairz00_2745 = BgL_expz00_22;
																					BgL_arg3843z00_1735 =
																						CAR(CDR(BgL_pairz00_2745));
																				}
																				BgL_arg3841z00_1733 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg3843z00_1735);
																			}
																			{	/* Ast/sexp.scm 565 */
																				obj_t BgL_arg3844z00_1736;

																				obj_t BgL_arg3845z00_1737;

																				{	/* Ast/sexp.scm 565 */
																					obj_t BgL_arg3846z00_1738;

																					obj_t BgL_arg3847z00_1739;

																					BgL_arg3846z00_1738 =
																						CNST_TABLE_REF(((long) 31));
																					{	/* Ast/sexp.scm 565 */
																						obj_t BgL_list3848z00_1740;

																						BgL_list3848z00_1740 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg3847z00_1739 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(CNST_TABLE_REF(((long) 32)),
																							BgL_list3848z00_1740);
																					}
																					BgL_arg3844z00_1736 =
																						MAKE_PAIR(BgL_arg3846z00_1738,
																						BgL_arg3847z00_1739);
																				}
																				{	/* Ast/sexp.scm 565 */
																					obj_t BgL_auxz00_4463;

																					{	/* Ast/sexp.scm 565 */
																						obj_t BgL_pairz00_2749;

																						BgL_pairz00_2749 = BgL_expz00_22;
																						BgL_auxz00_4463 =
																							CDR(CDR(BgL_pairz00_2749));
																					}
																					BgL_arg3845z00_1737 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_4463, BNIL);
																				}
																				BgL_arg3842z00_1734 =
																					MAKE_PAIR(BgL_arg3844z00_1736,
																					BgL_arg3845z00_1737);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				(obj_t) (BgL_arg3841z00_1733),
																				(BgL_typez00_bglt) (BgL_typez00_1712),
																				BgL_arg3842z00_1734, BgL_stackz00_23,
																				BgL_locz00_1708, BgL_sitez00_25);
																		}
																	else
																		{	/* Ast/sexp.scm 560 */
																			return
																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																				(BGl_string4064z00zzast_sexpz00,
																				BgL_expz00_22,
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_22, BgL_locz00_1708));
																		}
																}
															else
																{	/* Ast/sexp.scm 546 */
																	if (
																		(BgL_idz00_1711 ==
																			CNST_TABLE_REF(((long) 18))))
																		{
																			obj_t BgL_argsz00_1747;

																			obj_t BgL_bodyz00_1748;

																			if (PAIRP(BgL_expz00_22))
																				{	/* Ast/sexp.scm 568 */
																					obj_t BgL_cdrzd22477zd2_1753;

																					BgL_cdrzd22477zd2_1753 =
																						CDR(BgL_expz00_22);
																					if (PAIRP(BgL_cdrzd22477zd2_1753))
																						{	/* Ast/sexp.scm 568 */
																							BgL_argsz00_1747 =
																								CAR(BgL_cdrzd22477zd2_1753);
																							BgL_bodyz00_1748 =
																								CDR(BgL_cdrzd22477zd2_1753);
																							{	/* Ast/sexp.scm 570 */
																								obj_t BgL_locz00_1757;

																								BgL_locz00_1757 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_22,
																									BgL_locz00_1708);
																								{	/* Ast/sexp.scm 570 */
																									obj_t BgL_funz00_1758;

																									BgL_funz00_1758 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													18))));
																									{	/* Ast/sexp.scm 571 */
																										obj_t BgL_tfunz00_1759;

																										{	/* Ast/sexp.scm 572 */
																											obj_t BgL_arg3873z00_1774;

																											{
																												BgL_typez00_bglt
																													BgL_auxz00_4485;
																												BgL_auxz00_4485 =
																													(BgL_typez00_bglt)
																													(BgL_typez00_1712);
																												BgL_arg3873z00_1774 =
																													(((BgL_typez00_bglt)
																														CREF
																														(BgL_auxz00_4485))->
																													BgL_idz00);
																											}
																											BgL_tfunz00_1759 =
																												BGl_makezd2typedzd2identz00zzast_identz00
																												(BgL_funz00_1758,
																												BgL_arg3873z00_1774);
																										}
																										{	/* Ast/sexp.scm 572 */

																											{	/* Ast/sexp.scm 574 */
																												obj_t
																													BgL_arg3859z00_1760;
																												{	/* Ast/sexp.scm 574 */
																													obj_t
																														BgL_arg3860z00_1761;
																													obj_t
																														BgL_arg3861z00_1762;
																													BgL_arg3860z00_1761 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 574 */
																														obj_t
																															BgL_arg3862z00_1763;
																														{	/* Ast/sexp.scm 574 */
																															obj_t
																																BgL_arg3866z00_1767;
																															{	/* Ast/sexp.scm 574 */
																																obj_t
																																	BgL_arg3868z00_1769;
																																{	/* Ast/sexp.scm 574 */
																																	obj_t
																																		BgL_arg3869z00_1770;
																																	BgL_arg3869z00_1770
																																		=
																																		BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_1748);
																																	{	/* Ast/sexp.scm 574 */
																																		obj_t
																																			BgL_list3871z00_1772;
																																		{	/* Ast/sexp.scm 574 */
																																			obj_t
																																				BgL_arg3872z00_1773;
																																			BgL_arg3872z00_1773
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_list3871z00_1772
																																				=
																																				MAKE_PAIR
																																				(BgL_arg3869z00_1770,
																																				BgL_arg3872z00_1773);
																																		}
																																		BgL_arg3868z00_1769
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_argsz00_1747,
																																			BgL_list3871z00_1772);
																																}}
																																BgL_arg3866z00_1767
																																	=
																																	MAKE_PAIR
																																	(BgL_tfunz00_1759,
																																	BgL_arg3868z00_1769);
																															}
																															BgL_arg3862z00_1763
																																=
																																MAKE_PAIR
																																(BgL_arg3866z00_1767,
																																BNIL);
																														}
																														{	/* Ast/sexp.scm 574 */
																															obj_t
																																BgL_list3864z00_1765;
																															{	/* Ast/sexp.scm 574 */
																																obj_t
																																	BgL_arg3865z00_1766;
																																BgL_arg3865z00_1766
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_list3864z00_1765
																																	=
																																	MAKE_PAIR
																																	(BgL_funz00_1758,
																																	BgL_arg3865z00_1766);
																															}
																															BgL_arg3861z00_1762
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg3862z00_1763,
																																BgL_list3864z00_1765);
																													}}
																													BgL_arg3859z00_1760 =
																														MAKE_PAIR
																														(BgL_arg3860z00_1761,
																														BgL_arg3861z00_1762);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg3859z00_1760,
																													BgL_stackz00_23,
																													BgL_locz00_1757,
																													BgL_sitez00_25);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 568 */
																						BgL_tagzd22470zd2_1750:
																							return
																								BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																								(BGl_string4048z00zzast_sexpz00,
																								BgL_expz00_22, BgL_locz00_1708);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 568 */
																					goto BgL_tagzd22470zd2_1750;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 546 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_22, BgL_stackz00_23,
																				BgL_locz00_1708, BgL_sitez00_25);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 541 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_22,
							BgL_stackz00_23, BgL_locz00_1708, BgL_sitez00_25);
					}
			}
		}
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_26, obj_t BgL_stackz00_27, obj_t BgL_locz00_28,
		obj_t BgL_sitez00_29)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 588 */
			{
				obj_t BgL_expsz00_1778;

				obj_t BgL_resz00_1779;

				obj_t BgL_locz00_1780;

				BgL_expsz00_1778 = BgL_expza2za2_26;
				BgL_resz00_1779 = BNIL;
				BgL_locz00_1780 = BgL_locz00_28;
			BgL_zc3anonymousza33875ze3z83_1781:
				if (NULLP(BgL_expsz00_1778))
					{	/* Ast/sexp.scm 593 */
						return
							(obj_t) (BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string4065z00zzast_sexpz00, BgL_expsz00_1778,
								BgL_locz00_1780));
					}
				else
					{	/* Ast/sexp.scm 593 */
						if (NULLP(CDR(BgL_expsz00_1778)))
							{	/* Ast/sexp.scm 596 */
								obj_t BgL_locz00_1784;

								obj_t BgL_nsitez00_1785;

								BgL_locz00_1784 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_1778),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_1778, BgL_locz00_1780));
								if ((BgL_sitez00_29 == CNST_TABLE_REF(((long) 11))))
									{	/* Ast/sexp.scm 598 */
										BgL_nsitez00_1785 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 598 */
										BgL_nsitez00_1785 = BgL_sitez00_29;
									}
								{	/* Ast/sexp.scm 599 */
									obj_t BgL_arg3878z00_1786;

									{	/* Ast/sexp.scm 599 */
										BgL_nodez00_bglt BgL_arg3879z00_1787;

										BgL_arg3879z00_1787 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_expsz00_1778),
											BgL_stackz00_27, BgL_locz00_1784, BgL_nsitez00_1785);
										BgL_arg3878z00_1786 =
											MAKE_PAIR((obj_t) (BgL_arg3879z00_1787), BgL_resz00_1779);
									}
									return bgl_reverse_bang(BgL_arg3878z00_1786);
								}
							}
						else
							{	/* Ast/sexp.scm 601 */
								obj_t BgL_locz00_1792;

								BgL_locz00_1792 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_1778),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_1778, BgL_locz00_1780));
								{	/* Ast/sexp.scm 603 */
									obj_t BgL_arg3884z00_1793;

									obj_t BgL_arg3885z00_1794;

									BgL_arg3884z00_1793 = CDR(BgL_expsz00_1778);
									{	/* Ast/sexp.scm 604 */
										BgL_nodez00_bglt BgL_arg3886z00_1795;

										{	/* Ast/sexp.scm 604 */
											obj_t BgL_arg3887z00_1796;

											obj_t BgL_arg3888z00_1797;

											BgL_arg3887z00_1796 = CAR(BgL_expsz00_1778);
											BgL_arg3888z00_1797 = CNST_TABLE_REF(((long) 2));
											BgL_arg3886z00_1795 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3887z00_1796,
												BgL_stackz00_27, BgL_locz00_1792, BgL_arg3888z00_1797);
										}
										BgL_arg3885z00_1794 =
											MAKE_PAIR((obj_t) (BgL_arg3886z00_1795), BgL_resz00_1779);
									}
									{
										obj_t BgL_locz00_4536;

										obj_t BgL_resz00_4535;

										obj_t BgL_expsz00_4534;

										BgL_expsz00_4534 = BgL_arg3884z00_1793;
										BgL_resz00_4535 = BgL_arg3885z00_1794;
										BgL_locz00_4536 = BgL_locz00_1792;
										BgL_locz00_1780 = BgL_locz00_4536;
										BgL_resz00_1779 = BgL_resz00_4535;
										BgL_expsz00_1778 = BgL_expsz00_4534;
										goto BgL_zc3anonymousza33875ze3z83_1781;
									}
								}
							}
					}
			}
		}
	}



/* _sexp*->node */
	obj_t BGl__sexpza2zd2ze3nodez93zzast_sexpz00(obj_t BgL_envz00_2849,
		obj_t BgL_expza2za2_2850, obj_t BgL_stackz00_2851, obj_t BgL_locz00_2852,
		obj_t BgL_sitez00_2853)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 588 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_2850,
				BgL_stackz00_2851, BgL_locz00_2852, BgL_sitez00_2853);
		}
	}



/* lookup */
	obj_t BGl_lookupz00zzast_sexpz00(obj_t BgL_namez00_30, obj_t BgL_stackz00_31)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 617 */
			{	/* Ast/sexp.scm 618 */
				bool_t BgL_testz00_4538;

				if ((BgL_namez00_30 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 618 */
						BgL_testz00_4538 =
							(BgL_stackz00_31 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 618 */
						BgL_testz00_4538 = ((bool_t) 0);
					}
				if (BgL_testz00_4538)
					{	/* Ast/sexp.scm 618 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 618 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_30;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_31;
						{
							obj_t BgL_stackz00_1804;

							BgL_stackz00_1804 = BgL_stackz00_31;
						BgL_zc3anonymousza33893ze3z83_1805:
							if (NULLP(BgL_stackz00_1804))
								{	/* Ast/sexp.scm 626 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 629 */
									bool_t BgL_testz00_4544;

									{	/* Ast/sexp.scm 629 */
										obj_t BgL_auxz00_4545;

										{	/* Ast/sexp.scm 629 */
											BgL_variablez00_bglt BgL_obj1521z00_2771;

											{	/* Ast/sexp.scm 629 */
												obj_t BgL_pairz00_2770;

												BgL_pairz00_2770 = BgL_stackz00_1804;
												BgL_obj1521z00_2771 =
													(BgL_variablez00_bglt) (CAR(BgL_pairz00_2770));
											}
											BgL_auxz00_4545 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1521z00_2771))->
												BgL_idz00);
										}
										BgL_testz00_4544 = (BgL_auxz00_4545 == BgL_namez00_30);
									}
									if (BgL_testz00_4544)
										{	/* Ast/sexp.scm 629 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(BgL_stackz00_1804);
											return CAR(BgL_stackz00_1804);
										}
									else
										{
											obj_t BgL_stackz00_4552;

											BgL_stackz00_4552 = CDR(BgL_stackz00_1804);
											BgL_stackz00_1804 = BgL_stackz00_4552;
											goto BgL_zc3anonymousza33893ze3z83_1805;
										}
								}
						}
					}
			}
		}
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_32,
		obj_t BgL_locz00_33, obj_t BgL_sitez00_34)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 638 */
			if ((BgL_sitez00_34 == CNST_TABLE_REF(((long) 5))))
				{	/* Ast/sexp.scm 641 */
					BgL_variablez00_bglt BgL_obj1533z00_2775;

					obj_t BgL_val1532z00_2776;

					BgL_obj1533z00_2775 = BgL_varz00_32;
					BgL_val1532z00_2776 = CNST_TABLE_REF(((long) 33));
					((((BgL_variablez00_bglt) CREF(BgL_obj1533z00_2775))->BgL_accessz00) =
						((obj_t) BgL_val1532z00_2776), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 640 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 642 */
				BgL_valuez00_bglt BgL_valz00_1814;

				BgL_valz00_1814 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_32))->BgL_valuez00);
				{	/* Ast/sexp.scm 643 */
					bool_t BgL_testz00_4560;

					if ((BgL_sitez00_34 == CNST_TABLE_REF(((long) 5))))
						{	/* Ast/sexp.scm 643 */
							obj_t BgL_obj1773z00_2778;

							BgL_obj1773z00_2778 = (obj_t) (BgL_valz00_1814);
							BgL_testz00_4560 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj1773z00_2778,
								BGl_funz00zzast_varz00);
						}
					else
						{	/* Ast/sexp.scm 643 */
							BgL_testz00_4560 = ((bool_t) 0);
						}
					if (BgL_testz00_4560)
						{	/* Ast/sexp.scm 644 */
							obj_t BgL_arg3903z00_1817;

							BgL_arg3903z00_1817 =
								BGl_shapez00zztools_shapez00((obj_t) (BgL_varz00_32));
							return
								(obj_t) (BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
								(BGl_string4066z00zzast_sexpz00, BgL_arg3903z00_1817,
									BgL_locz00_33));
						}
					else
						{	/* Ast/sexp.scm 643 */
							return BFALSE;
						}
				}
			}
		}
	}



/* _use-variable! */
	obj_t BGl__usezd2variablez12zc0zzast_sexpz00(obj_t BgL_envz00_2854,
		obj_t BgL_varz00_2855, obj_t BgL_locz00_2856, obj_t BgL_sitez00_2857)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 638 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				(BgL_variablez00_bglt) (BgL_varz00_2855), BgL_locz00_2856,
				BgL_sitez00_2857);
		}
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_35,
		obj_t BgL_expz00_36, obj_t BgL_locz00_37)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 649 */
			{	/* Ast/sexp.scm 651 */
				obj_t BgL_arg3905z00_1819;

				BgL_nodez00_bglt BgL_arg3906z00_1820;

				BgL_arg3905z00_1819 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg3906z00_1820 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 29)), BNIL,
					BgL_locz00_37, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 650 */
					obj_t BgL_list3907z00_1821;

					BgL_list3907z00_1821 = MAKE_PAIR((obj_t) (BgL_arg3906z00_1820), BNIL);
					return
						(BgL_nodez00_bglt) (BGl_userzd2errorzf2locationz20zztools_errorz00
						(BgL_locz00_37, BgL_arg3905z00_1819, BgL_msgz00_35, BgL_expz00_36,
							BgL_list3907z00_1821));
				}
			}
		}
	}



/* _error-sexp->node */
	obj_t BGl__errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_envz00_2858,
		obj_t BgL_msgz00_2859, obj_t BgL_expz00_2860, obj_t BgL_locz00_2861)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 649 */
			return
				(obj_t) (BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_2859,
					BgL_expz00_2860, BgL_locz00_2861));
		}
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_38, BgL_nodez00_bglt BgL_refz00_39)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 659 */
			{	/* Ast/sexp.scm 660 */
				BgL_nodez00_bglt BgL_funz00_1823;

				BgL_funz00_1823 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 34)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 11)));
				{	/* Ast/sexp.scm 661 */
					bool_t BgL_testz00_4586;

					{	/* Ast/sexp.scm 661 */
						obj_t BgL_obj2085z00_2779;

						BgL_obj2085z00_2779 = (obj_t) (BgL_funz00_1823);
						BgL_testz00_4586 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj2085z00_2779,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_4586)
						{	/* Ast/sexp.scm 662 */
							obj_t BgL_arg3911z00_1826;

							{	/* Ast/sexp.scm 664 */
								BgL_nodez00_bglt BgL_arg3912z00_1827;

								{	/* Ast/sexp.scm 664 */
									obj_t BgL_arg3915z00_1830;

									obj_t BgL_arg3917z00_1832;

									{	/* Ast/sexp.scm 664 */
										obj_t BgL_arg3918z00_1833;

										obj_t BgL_arg3919z00_1834;

										BgL_arg3918z00_1833 = CNST_TABLE_REF(((long) 13));
										{	/* Ast/sexp.scm 664 */
											obj_t BgL_arg3920z00_1835;

											{
												BgL_variablez00_bglt BgL_auxz00_4590;

												BgL_auxz00_4590 =
													(BgL_variablez00_bglt) (BgL_globalz00_38);
												BgL_arg3920z00_1835 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_4590))->
													BgL_idz00);
											}
											{	/* Ast/sexp.scm 664 */
												obj_t BgL_list3922z00_1837;

												BgL_list3922z00_1837 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3919z00_1834 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3920z00_1835, BgL_list3922z00_1837);
										}}
										BgL_arg3915z00_1830 =
											MAKE_PAIR(BgL_arg3918z00_1833, BgL_arg3919z00_1834);
									}
									BgL_arg3917z00_1832 = CNST_TABLE_REF(((long) 2));
									BgL_arg3912z00_1827 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3915z00_1830,
										BNIL, BFALSE, BgL_arg3917z00_1832);
								}
								{	/* Ast/sexp.scm 664 */
									obj_t BgL_list3913z00_1828;

									{	/* Ast/sexp.scm 664 */
										obj_t BgL_arg3914z00_1829;

										BgL_arg3914z00_1829 =
											MAKE_PAIR((obj_t) (BgL_refz00_39), BNIL);
										BgL_list3913z00_1828 =
											MAKE_PAIR(
											(obj_t) (BgL_arg3912z00_1827), BgL_arg3914z00_1829);
									}
									BgL_arg3911z00_1826 = BgL_list3913z00_1828;
							}}
							return
								(BgL_nodez00_bglt) (BGl_makezd2appzd2zzast_nodez00(BFALSE,
									(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00), BUNSPEC,
									BINT(((long) -1)),
									(BgL_varz00_bglt) (BgL_funz00_1823), BgL_arg3911z00_1826));
						}
					else
						{	/* Ast/sexp.scm 661 */
							return BgL_funz00_1823;
						}
				}
			}
		}
	}



/* _define-primop-ref->node */
	obj_t BGl__definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_envz00_2862, obj_t BgL_globalz00_2863, obj_t BgL_refz00_2864)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 659 */
			return
				(obj_t) (BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
					(BgL_globalz00_bglt) (BgL_globalz00_2863),
					(BgL_nodez00_bglt) (BgL_refz00_2864)));
		}
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_40)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 674 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				(BgL_variablez00_bglt) (BgL_globalz00_40), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 676 */
				BgL_nodez00_bglt BgL_funz00_1838;

				BgL_funz00_1838 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 35)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 11)));
				{	/* Ast/sexp.scm 677 */
					bool_t BgL_testz00_4617;

					{	/* Ast/sexp.scm 677 */
						obj_t BgL_obj2085z00_2783;

						BgL_obj2085z00_2783 = (obj_t) (BgL_funz00_1838);
						BgL_testz00_4617 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj2085z00_2783,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_4617)
						{	/* Ast/sexp.scm 678 */
							obj_t BgL_arg3925z00_1841;

							{	/* Ast/sexp.scm 680 */
								BgL_nodez00_bglt BgL_arg3926z00_1842;

								BgL_nodez00_bglt BgL_arg3927z00_1843;

								{	/* Ast/sexp.scm 680 */
									obj_t BgL_arg3930z00_1846;

									obj_t BgL_arg3932z00_1848;

									{	/* Ast/sexp.scm 680 */
										obj_t BgL_arg3933z00_1849;

										obj_t BgL_arg3934z00_1850;

										BgL_arg3933z00_1849 = CNST_TABLE_REF(((long) 13));
										{	/* Ast/sexp.scm 680 */
											obj_t BgL_arg3935z00_1851;

											{
												BgL_variablez00_bglt BgL_auxz00_4621;

												BgL_auxz00_4621 =
													(BgL_variablez00_bglt) (BgL_globalz00_40);
												BgL_arg3935z00_1851 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_4621))->
													BgL_idz00);
											}
											{	/* Ast/sexp.scm 680 */
												obj_t BgL_list3937z00_1853;

												BgL_list3937z00_1853 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3934z00_1850 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3935z00_1851, BgL_list3937z00_1853);
										}}
										BgL_arg3930z00_1846 =
											MAKE_PAIR(BgL_arg3933z00_1849, BgL_arg3934z00_1850);
									}
									BgL_arg3932z00_1848 = CNST_TABLE_REF(((long) 2));
									BgL_arg3926z00_1842 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3930z00_1846,
										BNIL, BFALSE, BgL_arg3932z00_1848);
								}
								BgL_arg3927z00_1843 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(
									(obj_t) (BgL_globalz00_40), BNIL, BFALSE,
									CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 680 */
									obj_t BgL_list3928z00_1844;

									{	/* Ast/sexp.scm 680 */
										obj_t BgL_arg3929z00_1845;

										BgL_arg3929z00_1845 =
											MAKE_PAIR((obj_t) (BgL_arg3927z00_1843), BNIL);
										BgL_list3928z00_1844 =
											MAKE_PAIR(
											(obj_t) (BgL_arg3926z00_1842), BgL_arg3929z00_1845);
									}
									BgL_arg3925z00_1841 = BgL_list3928z00_1844;
							}}
							return
								(BgL_nodez00_bglt) (BGl_makezd2appzd2zzast_nodez00(BFALSE,
									(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00), BUNSPEC,
									BINT(((long) -1)),
									(BgL_varz00_bglt) (BgL_funz00_1838), BgL_arg3925z00_1841));
						}
					else
						{	/* Ast/sexp.scm 677 */
							return BgL_funz00_1838;
						}
				}
			}
		}
	}



/* _define-primop->node */
	obj_t BGl__definezd2primopzd2ze3nodeze3zzast_sexpz00(obj_t BgL_envz00_2865,
		obj_t BgL_globalz00_2866)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 674 */
			return
				(obj_t) (BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
					(BgL_globalz00_bglt) (BgL_globalz00_2866)));
		}
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_41)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 693 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				(BgL_variablez00_bglt) (BgL_globalz00_41), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 695 */
				BgL_nodez00_bglt BgL_funz00_1854;

				BgL_funz00_1854 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 36)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 11)));
				{	/* Ast/sexp.scm 696 */
					bool_t BgL_testz00_4650;

					{	/* Ast/sexp.scm 696 */
						obj_t BgL_obj2085z00_2787;

						BgL_obj2085z00_2787 = (obj_t) (BgL_funz00_1854);
						BgL_testz00_4650 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj2085z00_2787,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_4650)
						{	/* Ast/sexp.scm 697 */
							obj_t BgL_exprz00_1856;

							{	/* Ast/sexp.scm 697 */
								bool_t BgL_testz00_4653;

								{	/* Ast/sexp.scm 697 */
									obj_t BgL_arg3948z00_1866;

									BgL_arg3948z00_1866 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									{
										BgL_backendz00_bglt BgL_auxz00_4655;

										BgL_auxz00_4655 =
											(BgL_backendz00_bglt) (BgL_arg3948z00_1866);
										BgL_testz00_4653 =
											(((BgL_backendz00_bglt) CREF(BgL_auxz00_4655))->
											BgL_pragmazd2supportzd2);
									}
								}
								if (BgL_testz00_4653)
									{	/* Ast/sexp.scm 698 */
										obj_t BgL_arg3944z00_1862;

										obj_t BgL_arg3945z00_1863;

										BgL_arg3944z00_1862 = CNST_TABLE_REF(((long) 37));
										{	/* Ast/sexp.scm 698 */
											obj_t BgL_list3946z00_1864;

											{	/* Ast/sexp.scm 698 */
												obj_t BgL_arg3947z00_1865;

												BgL_arg3947z00_1865 = MAKE_PAIR(BNIL, BNIL);
												BgL_list3946z00_1864 =
													MAKE_PAIR(
													(obj_t) (BgL_globalz00_41), BgL_arg3947z00_1865);
											}
											BgL_arg3945z00_1863 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BGl_string4067z00zzast_sexpz00, BgL_list3946z00_1864);
										}
										BgL_exprz00_1856 =
											MAKE_PAIR(BgL_arg3944z00_1862, BgL_arg3945z00_1863);
									}
								else
									{	/* Ast/sexp.scm 697 */
										BgL_exprz00_1856 = (obj_t) (BgL_globalz00_41);
									}
							}
							{	/* Ast/sexp.scm 700 */
								obj_t BgL_arg3940z00_1858;

								{	/* Ast/sexp.scm 702 */
									BgL_nodez00_bglt BgL_arg3941z00_1859;

									BgL_arg3941z00_1859 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_1856, BNIL,
										BFALSE, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 702 */
										obj_t BgL_list3942z00_1860;

										BgL_list3942z00_1860 =
											MAKE_PAIR((obj_t) (BgL_arg3941z00_1859), BNIL);
										BgL_arg3940z00_1858 = BgL_list3942z00_1860;
								}}
								return
									(BgL_nodez00_bglt) (BGl_makezd2appzd2zzast_nodez00(BFALSE,
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
										BUNSPEC, BINT(((long) -1)),
										(BgL_varz00_bglt) (BgL_funz00_1854), BgL_arg3940z00_1858));
						}}
					else
						{	/* Ast/sexp.scm 696 */
							return BgL_funz00_1854;
						}
				}
			}
		}
	}



/* _location->node */
	obj_t BGl__locationzd2ze3nodez31zzast_sexpz00(obj_t BgL_envz00_2867,
		obj_t BgL_globalz00_2868)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 693 */
			return
				(obj_t) (BGl_locationzd2ze3nodez31zzast_sexpz00(
					(BgL_globalz00_bglt) (BgL_globalz00_2868)));
		}
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_42, obj_t BgL_prefz00_43)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 708 */
			{	/* Ast/sexp.scm 709 */
				obj_t BgL_prefz00_1867;

				{	/* Ast/sexp.scm 709 */
					bool_t BgL_testz00_4677;

					if (PAIRP(BgL_prefz00_43))
						{	/* Ast/sexp.scm 709 */
							obj_t BgL_auxz00_4680;

							BgL_auxz00_4680 = CAR(BgL_prefz00_43);
							BgL_testz00_4677 = STRINGP(BgL_auxz00_4680);
						}
					else
						{	/* Ast/sexp.scm 709 */
							BgL_testz00_4677 = ((bool_t) 0);
						}
					if (BgL_testz00_4677)
						{	/* Ast/sexp.scm 709 */
							BgL_prefz00_1867 = CAR(BgL_prefz00_43);
						}
					else
						{	/* Ast/sexp.scm 709 */
							BgL_prefz00_1867 = BGl_string4068z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 712 */
					bool_t BgL_testz00_4684;

					if (STRUCTP(BgL_locz00_42))
						{	/* Ast/sexp.scm 712 */
							BgL_testz00_4684 =
								(STRUCT_KEY(BgL_locz00_42) == CNST_TABLE_REF(((long) 6)));
						}
					else
						{	/* Ast/sexp.scm 712 */
							BgL_testz00_4684 = ((bool_t) 0);
						}
					if (BgL_testz00_4684)
						{	/* Ast/sexp.scm 713 */
							obj_t BgL_filez00_1869;

							obj_t BgL_linez00_1870;

							obj_t BgL_basez00_1871;

							BgL_filez00_1869 = STRUCT_REF(BgL_locz00_42, (int) (((long) 0)));
							BgL_linez00_1870 = STRUCT_REF(BgL_locz00_42, (int) (((long) 2)));
							BgL_basez00_1871 =
								SYMBOL_TO_STRING(BGl_gensymz00zz__r4_symbols_6_4z00
								(string_append_3(BGl_string4069z00zzast_sexpz00,
										BgL_prefz00_1867, BGl_string4070z00zzast_sexpz00)));
							{	/* Ast/sexp.scm 717 */
								bool_t BgL_testz00_4697;

								{	/* Ast/sexp.scm 717 */
									bool_t BgL_testz00_4698;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 718 */
											obj_t BgL_arg3968z00_1893;

											obj_t BgL_arg3969z00_1894;

											BgL_arg3968z00_1893 = CNST_TABLE_REF(((long) 38));
											{	/* Ast/sexp.scm 718 */
												obj_t BgL_arg3970z00_1895;

												BgL_arg3970z00_1895 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{
													BgL_backendz00_bglt BgL_auxz00_4704;

													BgL_auxz00_4704 =
														(BgL_backendz00_bglt) (BgL_arg3970z00_1895);
													BgL_arg3969z00_1894 =
														(((BgL_backendz00_bglt) CREF(BgL_auxz00_4704))->
														BgL_debugzd2supportzd2);
											}}
											BgL_testz00_4698 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_arg3968z00_1893, BgL_arg3969z00_1894));
										}
									else
										{	/* Ast/sexp.scm 717 */
											BgL_testz00_4698 = ((bool_t) 0);
										}
									if (BgL_testz00_4698)
										{	/* Ast/sexp.scm 717 */
											BgL_testz00_4697 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 717 */
											BgL_testz00_4697 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_4697)
									{	/* Ast/sexp.scm 720 */
										obj_t BgL_filez00_1873;

										if (bigloo_strncmp(BgL_filez00_1869,
												BGl_string4071z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 720 */
												BgL_filez00_1873 =
													c_substring(BgL_filez00_1869, ((long) 2),
													STRING_LENGTH(BgL_filez00_1869));
											}
										else
											{	/* Ast/sexp.scm 720 */
												BgL_filez00_1873 = BgL_filez00_1869;
											}
										{	/* Ast/sexp.scm 724 */
											obj_t BgL_arg3951z00_1874;

											{	/* Ast/sexp.scm 724 */
												char *BgL_arg3954z00_1877;

												{	/* Ast/sexp.scm 725 */

													BgL_arg3954z00_1877 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_1870, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 724 */
													obj_t BgL_list3956z00_1879;

													{	/* Ast/sexp.scm 724 */
														obj_t BgL_arg3957z00_1880;

														{	/* Ast/sexp.scm 724 */
															obj_t BgL_arg3958z00_1881;

															{	/* Ast/sexp.scm 724 */
																obj_t BgL_arg3959z00_1882;

																{	/* Ast/sexp.scm 724 */
																	obj_t BgL_arg3960z00_1883;

																	{	/* Ast/sexp.scm 724 */
																		obj_t BgL_arg3961z00_1884;

																		BgL_arg3961z00_1884 =
																			MAKE_PAIR(BGl_string4072z00zzast_sexpz00,
																			BNIL);
																		BgL_arg3960z00_1883 =
																			MAKE_PAIR(string_to_bstring
																			(BgL_arg3954z00_1877),
																			BgL_arg3961z00_1884);
																	}
																	BgL_arg3959z00_1882 =
																		MAKE_PAIR(BGl_string4070z00zzast_sexpz00,
																		BgL_arg3960z00_1883);
																}
																BgL_arg3958z00_1881 =
																	MAKE_PAIR(BgL_filez00_1873,
																	BgL_arg3959z00_1882);
															}
															BgL_arg3957z00_1880 =
																MAKE_PAIR(BGl_string4070z00zzast_sexpz00,
																BgL_arg3958z00_1881);
														}
														BgL_list3956z00_1879 =
															MAKE_PAIR(BgL_basez00_1871, BgL_arg3957z00_1880);
													}
													BgL_arg3951z00_1874 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list3956z00_1879);
											}}
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg3951z00_1874));
										}
									}
								else
									{	/* Ast/sexp.scm 728 */
										obj_t BgL_arg3965z00_1890;

										BgL_arg3965z00_1890 =
											string_append(BgL_basez00_1871,
											BGl_string4072z00zzast_sexpz00);
										return
											string_to_symbol(BSTRING_TO_STRING(BgL_arg3965z00_1890));
									}
							}
						}
					else
						{	/* Ast/sexp.scm 729 */
							obj_t BgL_arg3973z00_1898;

							{	/* Ast/sexp.scm 729 */
								obj_t BgL_arg3974z00_1899;

								obj_t BgL_arg3975z00_1900;

								BgL_arg3974z00_1899 =
									SYMBOL_TO_STRING(BGl_gensymz00zz__r4_symbols_6_4z00
									(string_append_3(BGl_string4069z00zzast_sexpz00,
											BgL_prefz00_1867, BGl_string4073z00zzast_sexpz00)));
								{	/* Ast/sexp.scm 729 */
									obj_t BgL_symbolz00_2824;

									BgL_symbolz00_2824 = CNST_TABLE_REF(((long) 39));
									BgL_arg3975z00_1900 = SYMBOL_TO_STRING(BgL_symbolz00_2824);
								}
								{	/* Ast/sexp.scm 729 */
									obj_t BgL_list3976z00_1901;

									{	/* Ast/sexp.scm 729 */
										obj_t BgL_arg3977z00_1902;

										BgL_arg3977z00_1902 = MAKE_PAIR(BgL_arg3975z00_1900, BNIL);
										BgL_list3976z00_1901 =
											MAKE_PAIR(BgL_arg3974z00_1899, BgL_arg3977z00_1902);
									}
									BgL_arg3973z00_1898 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list3976z00_1901);
							}}
							return string_to_symbol(BSTRING_TO_STRING(BgL_arg3973z00_1898));
						}
				}
			}
		}
	}



/* _make-anonymous-name */
	obj_t BGl__makezd2anonymouszd2namez00zzast_sexpz00(obj_t BgL_envz00_2869,
		obj_t BgL_locz00_2870, obj_t BgL_prefz00_2871)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 708 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_2870,
				BgL_prefz00_2871);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 315458190),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 46924743),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 292906466),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 365507801),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 352861756),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 341189244),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 271227279),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 121557513),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 53594424),
				BSTRING_TO_STRING(BGl_string4074z00zzast_sexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
