/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_shrinkzd2nodez12zd2default3113z12zzast_shrinkifyz00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zd2cast3132z12zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_shrinkzd2nodez12zd2funcall3128z12zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__shrinkzd2variablez12zd2def3111z12zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zd2setq3134z12zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_shrinkzd2nodez12zd2conditi3136z12zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zd2extern3130z12zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zd2appzd2ly3126zc0zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_shrinkzd2nodez12zd2boxzd2ref3144zc0zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl__shrinkzd2nodez12zd2default3113z12zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_shrinkzd2nodez12zd2fail3138z12zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	static obj_t BGl_shrinkzd2nodez12zd2app3124z12zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	static obj_t
		BGl_shrinkzd2nodez12zd2setzd2exzd23152z12zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	static obj_t BGl_shrinkzd2nodez12zd2kwote3120z12zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zd2select3140z12zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zd2letzd2fun3148zc0zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl__shrinkifyz12z12zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl__shrinkzd2variablez12zc0zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_shrinkzd2nodez12zd2letzd2var3150zc0zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_shrinkzd2nodez12zd2jumpzd2ex3154zc0zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_shrinkzd2nodez12zd2var3118z12zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_shrinkzd2nodez12zd2boxzd2set3146zc0zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zd2sequenc3122z12zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_shrinkzd2nodez12zd2atom3116z12zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_shrinkzd2variablez12zd2def3111z12zzast_shrinkifyz00
		(BgL_variablez00_bglt);
	static obj_t BGl_shrinkzd2nodez12zd2makezd2bo3142zc0zzast_shrinkifyz00(obj_t,
		obj_t);
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl__shrinkzd2nodez12zc0zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl__shrinkza7d2variab3454za7,
		BGl__shrinkzd2variablez12zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3430z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123455z00,
		BGl_shrinkzd2nodez12zd2atom3116z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3431z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123456z00,
		BGl_shrinkzd2nodez12zd2var3118z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3432z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123457z00,
		BGl_shrinkzd2nodez12zd2kwote3120z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3433z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123458z00,
		BGl_shrinkzd2nodez12zd2sequenc3122z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3434z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123459z00,
		BGl_shrinkzd2nodez12zd2app3124z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3435z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123460z00,
		BGl_shrinkzd2nodez12zd2appzd2ly3126zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3436z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123461z00,
		BGl_shrinkzd2nodez12zd2funcall3128z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3437z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123462z00,
		BGl_shrinkzd2nodez12zd2extern3130z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3438z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123463z00,
		BGl_shrinkzd2nodez12zd2cast3132z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3440z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123464z00,
		BGl_shrinkzd2nodez12zd2conditi3136z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3439z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123465z00,
		BGl_shrinkzd2nodez12zd2setq3134z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3441z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123466z00,
		BGl_shrinkzd2nodez12zd2fail3138z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3442z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123467z00,
		BGl_shrinkzd2nodez12zd2select3140z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3443z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123468z00,
		BGl_shrinkzd2nodez12zd2makezd2bo3142zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3444z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123469z00,
		BGl_shrinkzd2nodez12zd2boxzd2ref3144zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3445z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123470z00,
		BGl_shrinkzd2nodez12zd2boxzd2set3146zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3446z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123471z00,
		BGl_shrinkzd2nodez12zd2letzd2fun3148zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3447z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123472z00,
		BGl_shrinkzd2nodez12zd2letzd2var3150zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3448z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123473z00,
		BGl_shrinkzd2nodez12zd2setzd2exzd23152z12zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3449z00zzast_shrinkifyz00,
		BgL_bgl_shrinkza7d2nodeza7123474z00,
		BGl_shrinkzd2nodez12zd2jumpzd2ex3154zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_shrinkzd2variablez12zd2def3111zd2envzc0zzast_shrinkifyz00,
		BgL_bgl__shrinkza7d2variab3475za7,
		BGl__shrinkzd2variablez12zd2def3111z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl__shrinkifyza712za7123476z00, BGl__shrinkifyz12z12zzast_shrinkifyz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3429z00zzast_shrinkifyz00,
		BgL_bgl_string3429za700za7za7a3477za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3450z00zzast_shrinkifyz00,
		BgL_bgl_string3450za700za7za7a3478za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string3451z00zzast_shrinkifyz00,
		BgL_bgl_string3451za700za7za7a3479za7, "shrink-node!-default3113 ", 25);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_shrinkzd2nodez12zd2default3113zd2envzc0zzast_shrinkifyz00,
		BgL_bgl__shrinkza7d2nodeza713480z00,
		BGl__shrinkzd2nodez12zd2default3113z12zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl__shrinkza7d2nodeza713481z00,
		BGl__shrinkzd2nodez12zc0zzast_shrinkifyz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2575, char *BgL_fromz00_2576)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2564;

				BgL_cportz00_2564 =
					bgl_open_input_string(BGl_string3451z00zzast_shrinkifyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2565;

					BgL_iz00_2565 = ((long) 0);
				BgL_loopz00_2566:
					if ((BgL_iz00_2565 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg3453z00_2568;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2570;

										BgL_locationz00_2570 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg3453z00_2568 =
												BGl_readz00zz__readerz00(BgL_cportz00_2564,
												BgL_locationz00_2570);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_auxz00_2594;

									BgL_auxz00_2594 = (int) (BgL_iz00_2565);
									CNST_TABLE_SET(BgL_auxz00_2594, BgL_arg3453z00_2568);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2571;

								BgL_auxz00_2571 = (int) ((BgL_iz00_2565 - ((long) 1)));
								{
									long BgL_iz00_2599;

									BgL_iz00_2599 = (long) (BgL_auxz00_2571);
									BgL_iz00_2565 = BgL_iz00_2599;
									goto BgL_loopz00_2566;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l3095z00_760;

				BgL_l3095z00_760 = BgL_globalsz00_1;
			BgL_zc3anonymousza33156ze3z83_761:
				if (PAIRP(BgL_l3095z00_760))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_763;

							BgL_globalz00_763 = CAR(BgL_l3095z00_760);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_764;

								{
									BgL_variablez00_bglt BgL_auxz00_2605;

									BgL_auxz00_2605 = (BgL_variablez00_bglt) (BgL_globalz00_763);
									BgL_sfunz00_764 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_2605))->
										BgL_valuez00);
								}
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g3094z00_765;

									{
										BgL_sfunz00_bglt BgL_auxz00_2608;

										BgL_auxz00_2608 = (BgL_sfunz00_bglt) (BgL_sfunz00_764);
										BgL_g3094z00_765 =
											(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2608))->BgL_argsz00);
									}
									{
										obj_t BgL_l3092z00_767;

										BgL_l3092z00_767 = BgL_g3094z00_765;
									BgL_zc3anonymousza33158ze3z83_768:
										if (PAIRP(BgL_l3092z00_767))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg3160z00_770;

													BgL_arg3160z00_770 = CAR(BgL_l3092z00_767);
													{	/* Ast/shrinkify.scm 29 */
														BgL_variablez00_bglt BgL_variablez00_1377;

														BgL_variablez00_1377 =
															(BgL_variablez00_bglt) (BgL_arg3160z00_770);
														{	/* Ast/shrinkify.scm 29 */
															obj_t BgL_method3112z00_1378;

															{	/* Ast/shrinkify.scm 29 */
																BgL_objectz00_bglt BgL_objz00_1379;

																BgL_objz00_1379 =
																	(BgL_objectz00_bglt) (BgL_variablez00_1377);
																{	/* Ast/shrinkify.scm 29 */
																	long BgL_objzd2classzd2numz00_1380;

																	BgL_objzd2classzd2numz00_1380 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_1379);
																	{	/* Ast/shrinkify.scm 29 */
																		obj_t BgL_arg2422z00_1381;

																		BgL_arg2422z00_1381 =
																			PROCEDURE_REF
																			(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
																			(int) (((long) 1)));
																		{	/* Ast/shrinkify.scm 29 */
																			obj_t BgL_arrayz00_1383;

																			int BgL_offsetz00_1384;

																			BgL_arrayz00_1383 = BgL_arg2422z00_1381;
																			BgL_offsetz00_1384 =
																				(int) (BgL_objzd2classzd2numz00_1380);
																			{	/* Ast/shrinkify.scm 29 */
																				long BgL_offsetz00_1385;

																				BgL_offsetz00_1385 =
																					(
																					(long) (BgL_offsetz00_1384) -
																					OBJECT_TYPE);
																				{	/* Ast/shrinkify.scm 29 */
																					long BgL_modz00_1386;

																					{	/* Ast/shrinkify.scm 29 */
																						int BgL_arg2424z00_1387;

																						BgL_arg2424z00_1387 =
																							(int) (((long) 8));
																						{	/* Ast/shrinkify.scm 29 */
																							long BgL_auxz00_2623;

																							BgL_auxz00_2623 =
																								(long) (BgL_arg2424z00_1387);
																							BgL_modz00_1386 =
																								(BgL_offsetz00_1385 /
																								BgL_auxz00_2623);
																					}}
																					{	/* Ast/shrinkify.scm 29 */
																						long BgL_restz00_1388;

																						{	/* Ast/shrinkify.scm 29 */
																							int BgL_arg2423z00_1389;

																							BgL_arg2423z00_1389 =
																								(int) (((long) 8));
																							{	/* Ast/shrinkify.scm 29 */
																								long BgL_auxz00_2627;

																								BgL_auxz00_2627 =
																									(long) (BgL_arg2423z00_1389);
																								BgL_restz00_1388 =
																									(BgL_offsetz00_1385 %
																									BgL_auxz00_2627);
																						}}
																						{	/* Ast/shrinkify.scm 29 */

																							BgL_method3112z00_1378 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_1383,
																									(int) (BgL_modz00_1386)),
																								(int) (BgL_restz00_1388));
															}}}}}}}}
															PROCEDURE_ENTRY(BgL_method3112z00_1378)
																(BgL_method3112z00_1378,
																(obj_t) (BgL_variablez00_1377), BEOA);
												}}}
												{
													obj_t BgL_l3092z00_2637;

													BgL_l3092z00_2637 = CDR(BgL_l3092z00_767);
													BgL_l3092z00_767 = BgL_l3092z00_2637;
													goto BgL_zc3anonymousza33158ze3z83_768;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg3162z00_773;

									{	/* Ast/shrinkify.scm 30 */
										BgL_sfunz00_bglt BgL_obj1720z00_1405;

										{	/* Ast/shrinkify.scm 30 */
											BgL_variablez00_bglt BgL_obj1449z00_1404;

											BgL_obj1449z00_1404 =
												(BgL_variablez00_bglt) (BgL_globalz00_763);
											BgL_obj1720z00_1405 =
												(BgL_sfunz00_bglt) (
												(((BgL_variablez00_bglt) CREF(BgL_obj1449z00_1404))->
													BgL_valuez00));
										}
										BgL_arg3162z00_773 =
											(((BgL_sfunz00_bglt) CREF(BgL_obj1720z00_1405))->
											BgL_bodyz00);
									}
									{	/* Ast/shrinkify.scm 30 */
										obj_t BgL_res3328z00_1432;

										{	/* Ast/shrinkify.scm 30 */
											BgL_nodez00_bglt BgL_nodez00_1406;

											BgL_nodez00_1406 =
												(BgL_nodez00_bglt) (BgL_arg3162z00_773);
											{	/* Ast/shrinkify.scm 30 */
												obj_t BgL_method3114z00_1407;

												{	/* Ast/shrinkify.scm 30 */
													BgL_objectz00_bglt BgL_objz00_1408;

													BgL_objz00_1408 =
														(BgL_objectz00_bglt) (BgL_nodez00_1406);
													{	/* Ast/shrinkify.scm 30 */
														long BgL_objzd2classzd2numz00_1409;

														BgL_objzd2classzd2numz00_1409 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1408);
														{	/* Ast/shrinkify.scm 30 */
															obj_t BgL_arg2422z00_1410;

															BgL_arg2422z00_1410 =
																PROCEDURE_REF
																(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
																(int) (((long) 1)));
															{	/* Ast/shrinkify.scm 30 */
																obj_t BgL_arrayz00_1412;

																int BgL_offsetz00_1413;

																BgL_arrayz00_1412 = BgL_arg2422z00_1410;
																BgL_offsetz00_1413 =
																	(int) (BgL_objzd2classzd2numz00_1409);
																{	/* Ast/shrinkify.scm 30 */
																	long BgL_offsetz00_1414;

																	BgL_offsetz00_1414 =
																		((long) (BgL_offsetz00_1413) - OBJECT_TYPE);
																	{	/* Ast/shrinkify.scm 30 */
																		long BgL_modz00_1415;

																		{	/* Ast/shrinkify.scm 30 */
																			int BgL_arg2424z00_1416;

																			BgL_arg2424z00_1416 = (int) (((long) 8));
																			{	/* Ast/shrinkify.scm 30 */
																				long BgL_auxz00_2652;

																				BgL_auxz00_2652 =
																					(long) (BgL_arg2424z00_1416);
																				BgL_modz00_1415 =
																					(BgL_offsetz00_1414 /
																					BgL_auxz00_2652);
																		}}
																		{	/* Ast/shrinkify.scm 30 */
																			long BgL_restz00_1417;

																			{	/* Ast/shrinkify.scm 30 */
																				int BgL_arg2423z00_1418;

																				BgL_arg2423z00_1418 =
																					(int) (((long) 8));
																				{	/* Ast/shrinkify.scm 30 */
																					long BgL_auxz00_2656;

																					BgL_auxz00_2656 =
																						(long) (BgL_arg2423z00_1418);
																					BgL_restz00_1417 =
																						(BgL_offsetz00_1414 %
																						BgL_auxz00_2656);
																			}}
																			{	/* Ast/shrinkify.scm 30 */

																				BgL_method3114z00_1407 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1412,
																						(int) (BgL_modz00_1415)),
																					(int) (BgL_restz00_1417));
												}}}}}}}}
												{	/* Ast/shrinkify.scm 30 */
													obj_t BgL_xz00_2534;

													BgL_xz00_2534 =
														PROCEDURE_ENTRY(BgL_method3114z00_1407)
														(BgL_method3114z00_1407, (obj_t) (BgL_nodez00_1406),
														BEOA);
													BgL_res3328z00_1432 = BUNSPEC;
										}}} BgL_res3328z00_1432;
						}}}}
						{
							obj_t BgL_l3095z00_2666;

							BgL_l3095z00_2666 = CDR(BgL_l3095z00_760);
							BgL_l3095z00_760 = BgL_l3095z00_2666;
							goto BgL_zc3anonymousza33156ze3z83_761;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_1;
		}
	}



/* _shrinkify! */
	obj_t BGl__shrinkifyz12z12zzast_shrinkifyz00(obj_t BgL_envz00_2464,
		obj_t BgL_globalsz00_2465)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_2465);
		}
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_26)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 221 */
			{
				obj_t BgL_l3109z00_778;

				BgL_l3109z00_778 = BgL_nodeza2za2_26;
			BgL_zc3anonymousza33165ze3z83_779:
				if (PAIRP(BgL_l3109z00_778))
					{	/* Ast/shrinkify.scm 222 */
						{	/* Ast/shrinkify.scm 222 */
							obj_t BgL_arg3167z00_781;

							BgL_arg3167z00_781 = CAR(BgL_l3109z00_778);
							{	/* Ast/shrinkify.scm 222 */
								obj_t BgL_res3331z00_1462;

								{	/* Ast/shrinkify.scm 222 */
									BgL_nodez00_bglt BgL_nodez00_1436;

									BgL_nodez00_1436 = (BgL_nodez00_bglt) (BgL_arg3167z00_781);
									{	/* Ast/shrinkify.scm 222 */
										obj_t BgL_method3114z00_1437;

										{	/* Ast/shrinkify.scm 222 */
											BgL_objectz00_bglt BgL_objz00_1438;

											BgL_objz00_1438 = (BgL_objectz00_bglt) (BgL_nodez00_1436);
											{	/* Ast/shrinkify.scm 222 */
												long BgL_objzd2classzd2numz00_1439;

												BgL_objzd2classzd2numz00_1439 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1438);
												{	/* Ast/shrinkify.scm 222 */
													obj_t BgL_arg2422z00_1440;

													BgL_arg2422z00_1440 =
														PROCEDURE_REF
														(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
														(int) (((long) 1)));
													{	/* Ast/shrinkify.scm 222 */
														obj_t BgL_arrayz00_1442;

														int BgL_offsetz00_1443;

														BgL_arrayz00_1442 = BgL_arg2422z00_1440;
														BgL_offsetz00_1443 =
															(int) (BgL_objzd2classzd2numz00_1439);
														{	/* Ast/shrinkify.scm 222 */
															long BgL_offsetz00_1444;

															BgL_offsetz00_1444 =
																((long) (BgL_offsetz00_1443) - OBJECT_TYPE);
															{	/* Ast/shrinkify.scm 222 */
																long BgL_modz00_1445;

																{	/* Ast/shrinkify.scm 222 */
																	int BgL_arg2424z00_1446;

																	BgL_arg2424z00_1446 = (int) (((long) 8));
																	{	/* Ast/shrinkify.scm 222 */
																		long BgL_auxz00_2681;

																		BgL_auxz00_2681 =
																			(long) (BgL_arg2424z00_1446);
																		BgL_modz00_1445 =
																			(BgL_offsetz00_1444 / BgL_auxz00_2681);
																}}
																{	/* Ast/shrinkify.scm 222 */
																	long BgL_restz00_1447;

																	{	/* Ast/shrinkify.scm 222 */
																		int BgL_arg2423z00_1448;

																		BgL_arg2423z00_1448 = (int) (((long) 8));
																		{	/* Ast/shrinkify.scm 222 */
																			long BgL_auxz00_2685;

																			BgL_auxz00_2685 =
																				(long) (BgL_arg2423z00_1448);
																			BgL_restz00_1447 =
																				(BgL_offsetz00_1444 % BgL_auxz00_2685);
																	}}
																	{	/* Ast/shrinkify.scm 222 */

																		BgL_method3114z00_1437 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1442,
																				(int) (BgL_modz00_1445)),
																			(int) (BgL_restz00_1447));
										}}}}}}}}
										{	/* Ast/shrinkify.scm 222 */
											obj_t BgL_xz00_2535;

											BgL_xz00_2535 =
												PROCEDURE_ENTRY(BgL_method3114z00_1437)
												(BgL_method3114z00_1437, (obj_t) (BgL_nodez00_1436),
												BEOA);
											BgL_res3331z00_1462 = BUNSPEC;
								}}} BgL_res3331z00_1462;
						}}
						{
							obj_t BgL_l3109z00_2695;

							BgL_l3109z00_2695 = CDR(BgL_l3109z00_778);
							BgL_l3109z00_778 = BgL_l3109z00_2695;
							goto BgL_zc3anonymousza33165ze3z83_779;
						}
					}
				else
					{	/* Ast/shrinkify.scm 222 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_shrinkzd2variablez12zd2def3111zd2envzc0zzast_shrinkifyz00);
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_shrinkzd2nodez12zd2default3113zd2envzc0zzast_shrinkifyz00);
		}
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_2)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method3112z00_1464;

				{	/* Ast/shrinkify.scm 37 */
					BgL_objectz00_bglt BgL_objz00_1465;

					BgL_objz00_1465 = (BgL_objectz00_bglt) (BgL_variablez00_2);
					{	/* Ast/shrinkify.scm 37 */
						long BgL_objzd2classzd2numz00_1466;

						BgL_objzd2classzd2numz00_1466 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1465);
						{	/* Ast/shrinkify.scm 37 */
							obj_t BgL_arg2422z00_1467;

							BgL_arg2422z00_1467 =
								PROCEDURE_REF
								(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 37 */
								obj_t BgL_arrayz00_1469;

								int BgL_offsetz00_1470;

								BgL_arrayz00_1469 = BgL_arg2422z00_1467;
								BgL_offsetz00_1470 = (int) (BgL_objzd2classzd2numz00_1466);
								{	/* Ast/shrinkify.scm 37 */
									long BgL_offsetz00_1471;

									BgL_offsetz00_1471 =
										((long) (BgL_offsetz00_1470) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_modz00_1472;

										{	/* Ast/shrinkify.scm 37 */
											int BgL_arg2424z00_1473;

											BgL_arg2424z00_1473 = (int) (((long) 8));
											{	/* Ast/shrinkify.scm 37 */
												long BgL_auxz00_2707;

												BgL_auxz00_2707 = (long) (BgL_arg2424z00_1473);
												BgL_modz00_1472 =
													(BgL_offsetz00_1471 / BgL_auxz00_2707);
										}}
										{	/* Ast/shrinkify.scm 37 */
											long BgL_restz00_1474;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg2423z00_1475;

												BgL_arg2423z00_1475 = (int) (((long) 8));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_auxz00_2711;

													BgL_auxz00_2711 = (long) (BgL_arg2423z00_1475);
													BgL_restz00_1474 =
														(BgL_offsetz00_1471 % BgL_auxz00_2711);
											}}
											{	/* Ast/shrinkify.scm 37 */

												BgL_method3112z00_1464 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1469,
														(int) (BgL_modz00_1472)), (int) (BgL_restz00_1474));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3112z00_1464) (BgL_method3112z00_1464,
					(obj_t) (BgL_variablez00_2), BEOA);
			}
		}
	}



/* _shrink-variable! */
	obj_t BGl__shrinkzd2variablez12zc0zzast_shrinkifyz00(obj_t BgL_envz00_2466,
		obj_t BgL_variablez00_2467)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				(BgL_variablez00_bglt) (BgL_variablez00_2467));
		}
	}



/* shrink-variable!-def3111 */
	obj_t
		BGl_shrinkzd2variablez12zd2def3111z12zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_3)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 38 */
				bool_t BgL_testz00_2723;

				{	/* Ast/shrinkify.scm 38 */
					bool_t BgL_testz00_2724;

					{	/* Ast/shrinkify.scm 38 */
						obj_t BgL_auxz00_2725;

						{	/* Ast/shrinkify.scm 38 */
							BgL_objectz00_bglt BgL_auxz00_2726;

							BgL_auxz00_2726 = (BgL_objectz00_bglt) (BgL_variablez00_3);
							BgL_auxz00_2725 = BGL_OBJECT_WIDENING(BgL_auxz00_2726);
						}
						BgL_testz00_2724 = CBOOL(BgL_auxz00_2725);
					}
					if (BgL_testz00_2724)
						{	/* Ast/shrinkify.scm 38 */
							BgL_testz00_2723 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 38 */
							BgL_testz00_2723 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2723)
					{	/* Ast/shrinkify.scm 38 */
						{	/* Ast/shrinkify.scm 39 */
							long BgL_arg3219z00_1159;

							{	/* Ast/shrinkify.scm 39 */
								obj_t BgL_arg3220z00_1160;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg3221z00_1161;

									{	/* Ast/shrinkify.scm 39 */
										BgL_objectz00_bglt BgL_objectz00_1492;

										BgL_objectz00_1492 =
											(BgL_objectz00_bglt) (BgL_variablez00_3);
										{	/* Ast/shrinkify.scm 39 */
											long BgL_arg2425z00_1493;

											{	/* Ast/shrinkify.scm 39 */
												long BgL_arg2426z00_1494;

												BgL_arg2426z00_1494 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_1492);
												BgL_arg2425z00_1493 =
													(BgL_arg2426z00_1494 - OBJECT_TYPE);
											}
											BgL_arg3221z00_1161 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg2425z00_1493));
									}}
									BgL_arg3220z00_1160 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg3221z00_1161);
								}
								BgL_arg3219z00_1159 =
									BGl_classzd2numzd2zz__objectz00(BgL_arg3220z00_1160);
							}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_variablez00_3), BgL_arg3219z00_1159);
						}
						{	/* Ast/shrinkify.scm 39 */
							BgL_objectz00_bglt BgL_auxz00_2739;

							BgL_auxz00_2739 = (BgL_objectz00_bglt) (BgL_variablez00_3);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2739, BFALSE);
						}
						(obj_t) (BgL_variablez00_3);
					}
				else
					{	/* Ast/shrinkify.scm 38 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 40 */
				bool_t BgL_testz00_2743;

				{	/* Ast/shrinkify.scm 40 */
					bool_t BgL_testz00_2744;

					{	/* Ast/shrinkify.scm 40 */
						obj_t BgL_auxz00_2745;

						{	/* Ast/shrinkify.scm 40 */
							BgL_objectz00_bglt BgL_auxz00_2746;

							BgL_auxz00_2746 =
								(BgL_objectz00_bglt) (
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->
									BgL_valuez00));
							BgL_auxz00_2745 = BGL_OBJECT_WIDENING(BgL_auxz00_2746);
						}
						BgL_testz00_2744 = CBOOL(BgL_auxz00_2745);
					}
					if (BgL_testz00_2744)
						{	/* Ast/shrinkify.scm 40 */
							BgL_testz00_2743 = ((bool_t) 1);
						}
					else
						{	/* Ast/shrinkify.scm 40 */
							BgL_testz00_2743 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2743)
					{	/* Ast/shrinkify.scm 41 */
						BgL_valuez00_bglt BgL_o3078z00_1163;

						BgL_o3078z00_1163 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_valuez00);
						{	/* Ast/shrinkify.scm 41 */
							long BgL_arg3223z00_1164;

							{	/* Ast/shrinkify.scm 41 */
								obj_t BgL_arg3224z00_1165;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg3225z00_1166;

									{	/* Ast/shrinkify.scm 41 */
										BgL_objectz00_bglt BgL_objectz00_1507;

										BgL_objectz00_1507 =
											(BgL_objectz00_bglt) (BgL_o3078z00_1163);
										{	/* Ast/shrinkify.scm 41 */
											long BgL_arg2425z00_1508;

											{	/* Ast/shrinkify.scm 41 */
												long BgL_arg2426z00_1509;

												BgL_arg2426z00_1509 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_1507);
												BgL_arg2425z00_1508 =
													(BgL_arg2426z00_1509 - OBJECT_TYPE);
											}
											BgL_arg3225z00_1166 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg2425z00_1508));
									}}
									BgL_arg3224z00_1165 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg3225z00_1166);
								}
								BgL_arg3223z00_1164 =
									BGl_classzd2numzd2zz__objectz00(BgL_arg3224z00_1165);
							}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_o3078z00_1163), BgL_arg3223z00_1164);
						}
						{	/* Ast/shrinkify.scm 41 */
							BgL_objectz00_bglt BgL_auxz00_2761;

							BgL_auxz00_2761 = (BgL_objectz00_bglt) (BgL_o3078z00_1163);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2761, BFALSE);
						}
						return (obj_t) (BgL_o3078z00_1163);
					}
				else
					{	/* Ast/shrinkify.scm 40 */
						return BFALSE;
					}
			}
		}
	}



/* _shrink-variable!-def3111 */
	obj_t BGl__shrinkzd2variablez12zd2def3111z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2470, obj_t BgL_variablez00_2471)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return
				BGl_shrinkzd2variablez12zd2def3111z12zzast_shrinkifyz00(
				(BgL_variablez00_bglt) (BgL_variablez00_2471));
		}
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method3114z00_1517;

				{	/* Ast/shrinkify.scm 46 */
					BgL_objectz00_bglt BgL_objz00_1518;

					BgL_objz00_1518 = (BgL_objectz00_bglt) (BgL_nodez00_4);
					{	/* Ast/shrinkify.scm 46 */
						long BgL_objzd2classzd2numz00_1519;

						BgL_objzd2classzd2numz00_1519 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1518);
						{	/* Ast/shrinkify.scm 46 */
							obj_t BgL_arg2422z00_1520;

							BgL_arg2422z00_1520 =
								PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 46 */
								obj_t BgL_arrayz00_1522;

								int BgL_offsetz00_1523;

								BgL_arrayz00_1522 = BgL_arg2422z00_1520;
								BgL_offsetz00_1523 = (int) (BgL_objzd2classzd2numz00_1519);
								{	/* Ast/shrinkify.scm 46 */
									long BgL_offsetz00_1524;

									BgL_offsetz00_1524 =
										((long) (BgL_offsetz00_1523) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_modz00_1525;

										{	/* Ast/shrinkify.scm 46 */
											int BgL_arg2424z00_1526;

											BgL_arg2424z00_1526 = (int) (((long) 8));
											{	/* Ast/shrinkify.scm 46 */
												long BgL_auxz00_2775;

												BgL_auxz00_2775 = (long) (BgL_arg2424z00_1526);
												BgL_modz00_1525 =
													(BgL_offsetz00_1524 / BgL_auxz00_2775);
										}}
										{	/* Ast/shrinkify.scm 46 */
											long BgL_restz00_1527;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg2423z00_1528;

												BgL_arg2423z00_1528 = (int) (((long) 8));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_auxz00_2779;

													BgL_auxz00_2779 = (long) (BgL_arg2423z00_1528);
													BgL_restz00_1527 =
														(BgL_offsetz00_1524 % BgL_auxz00_2779);
											}}
											{	/* Ast/shrinkify.scm 46 */

												BgL_method3114z00_1517 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1522,
														(int) (BgL_modz00_1525)), (int) (BgL_restz00_1527));
				}}}}}}}}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_2536;

					BgL_xz00_2536 =
						PROCEDURE_ENTRY(BgL_method3114z00_1517) (BgL_method3114z00_1517,
						(obj_t) (BgL_nodez00_4), BEOA);
					return BUNSPEC;
				}
			}
		}
	}



/* _shrink-node! */
	obj_t BGl__shrinkzd2nodez12zc0zzast_shrinkifyz00(obj_t BgL_envz00_2468,
		obj_t BgL_nodez00_2469)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(BgL_nodez00_bglt) (BgL_nodez00_2469));
		}
	}



/* shrink-node!-default3113 */
	obj_t BGl_shrinkzd2nodez12zd2default3113z12zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_xz00_2537;

				BgL_xz00_2537 =
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string3429z00zzast_shrinkifyz00, (obj_t) (BgL_nodez00_5));
				return BUNSPEC;
			}
		}
	}



/* _shrink-node!-default3113 */
	obj_t BGl__shrinkzd2nodez12zd2default3113z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2472, obj_t BgL_nodez00_2473)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return
				BGl_shrinkzd2nodez12zd2default3113z12zzast_shrinkifyz00(
				(BgL_nodez00_bglt) (BgL_nodez00_2473));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc3430z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc3431z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc3432z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3433z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc3434z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3435z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3436z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc3437z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc3438z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc3439z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3440z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc3441z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_selectz00zzast_nodez00, BGl_proc3442z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3443z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3444z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3445z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3446z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3447z00zzast_shrinkifyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3448z00zzast_shrinkifyz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3449z00zzast_shrinkifyz00);
		}
	}



/* shrink-node!-jump-ex3154 */
	obj_t BGl_shrinkzd2nodez12zd2jumpzd2ex3154zc0zzast_shrinkifyz00(obj_t
		BgL_envz00_2494, obj_t BgL_nodez00_2495)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 213 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1364;

				BgL_nodez00_1364 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2495);
				{	/* Ast/shrinkify.scm 214 */
					BgL_nodez00_bglt BgL_arg3321z00_1367;

					BgL_arg3321z00_1367 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1364))->
						BgL_exitz00);
					{	/* Ast/shrinkify.scm 214 */
						obj_t BgL_res3425z00_2435;

						{	/* Ast/shrinkify.scm 214 */
							obj_t BgL_method3114z00_2410;

							{	/* Ast/shrinkify.scm 214 */
								BgL_objectz00_bglt BgL_objz00_2411;

								BgL_objz00_2411 = (BgL_objectz00_bglt) (BgL_arg3321z00_1367);
								{	/* Ast/shrinkify.scm 214 */
									long BgL_objzd2classzd2numz00_2412;

									BgL_objzd2classzd2numz00_2412 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2411);
									{	/* Ast/shrinkify.scm 214 */
										obj_t BgL_arg2422z00_2413;

										BgL_arg2422z00_2413 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 214 */
											obj_t BgL_arrayz00_2415;

											int BgL_offsetz00_2416;

											BgL_arrayz00_2415 = BgL_arg2422z00_2413;
											BgL_offsetz00_2416 =
												(int) (BgL_objzd2classzd2numz00_2412);
											{	/* Ast/shrinkify.scm 214 */
												long BgL_offsetz00_2417;

												BgL_offsetz00_2417 =
													((long) (BgL_offsetz00_2416) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 214 */
													long BgL_modz00_2418;

													{	/* Ast/shrinkify.scm 214 */
														int BgL_arg2424z00_2419;

														BgL_arg2424z00_2419 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 214 */
															long BgL_auxz00_2825;

															BgL_auxz00_2825 = (long) (BgL_arg2424z00_2419);
															BgL_modz00_2418 =
																(BgL_offsetz00_2417 / BgL_auxz00_2825);
													}}
													{	/* Ast/shrinkify.scm 214 */
														long BgL_restz00_2420;

														{	/* Ast/shrinkify.scm 214 */
															int BgL_arg2423z00_2421;

															BgL_arg2423z00_2421 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 214 */
																long BgL_auxz00_2829;

																BgL_auxz00_2829 = (long) (BgL_arg2423z00_2421);
																BgL_restz00_2420 =
																	(BgL_offsetz00_2417 % BgL_auxz00_2829);
														}}
														{	/* Ast/shrinkify.scm 214 */

															BgL_method3114z00_2410 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2415,
																	(int) (BgL_modz00_2418)),
																(int) (BgL_restz00_2420));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 214 */
								obj_t BgL_xz00_2538;

								BgL_xz00_2538 =
									PROCEDURE_ENTRY(BgL_method3114z00_2410)
									(BgL_method3114z00_2410, (obj_t) (BgL_arg3321z00_1367), BEOA);
								BgL_res3425z00_2435 = BUNSPEC;
						}} BgL_res3425z00_2435;
				}}
				{	/* Ast/shrinkify.scm 215 */
					BgL_nodez00_bglt BgL_arg3322z00_1368;

					BgL_arg3322z00_1368 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1364))->
						BgL_valuez00);
					{	/* Ast/shrinkify.scm 215 */
						obj_t BgL_res3428z00_2463;

						{	/* Ast/shrinkify.scm 215 */
							obj_t BgL_method3114z00_2438;

							{	/* Ast/shrinkify.scm 215 */
								BgL_objectz00_bglt BgL_objz00_2439;

								BgL_objz00_2439 = (BgL_objectz00_bglt) (BgL_arg3322z00_1368);
								{	/* Ast/shrinkify.scm 215 */
									long BgL_objzd2classzd2numz00_2440;

									BgL_objzd2classzd2numz00_2440 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2439);
									{	/* Ast/shrinkify.scm 215 */
										obj_t BgL_arg2422z00_2441;

										BgL_arg2422z00_2441 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 215 */
											obj_t BgL_arrayz00_2443;

											int BgL_offsetz00_2444;

											BgL_arrayz00_2443 = BgL_arg2422z00_2441;
											BgL_offsetz00_2444 =
												(int) (BgL_objzd2classzd2numz00_2440);
											{	/* Ast/shrinkify.scm 215 */
												long BgL_offsetz00_2445;

												BgL_offsetz00_2445 =
													((long) (BgL_offsetz00_2444) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 215 */
													long BgL_modz00_2446;

													{	/* Ast/shrinkify.scm 215 */
														int BgL_arg2424z00_2447;

														BgL_arg2424z00_2447 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 215 */
															long BgL_auxz00_2848;

															BgL_auxz00_2848 = (long) (BgL_arg2424z00_2447);
															BgL_modz00_2446 =
																(BgL_offsetz00_2445 / BgL_auxz00_2848);
													}}
													{	/* Ast/shrinkify.scm 215 */
														long BgL_restz00_2448;

														{	/* Ast/shrinkify.scm 215 */
															int BgL_arg2423z00_2449;

															BgL_arg2423z00_2449 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 215 */
																long BgL_auxz00_2852;

																BgL_auxz00_2852 = (long) (BgL_arg2423z00_2449);
																BgL_restz00_2448 =
																	(BgL_offsetz00_2445 % BgL_auxz00_2852);
														}}
														{	/* Ast/shrinkify.scm 215 */

															BgL_method3114z00_2438 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2443,
																	(int) (BgL_modz00_2446)),
																(int) (BgL_restz00_2448));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 215 */
								obj_t BgL_xz00_2539;

								BgL_xz00_2539 =
									PROCEDURE_ENTRY(BgL_method3114z00_2438)
									(BgL_method3114z00_2438, (obj_t) (BgL_arg3322z00_1368), BEOA);
								BgL_res3428z00_2463 = BUNSPEC;
						}} BgL_res3428z00_2463;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-set-ex-3152 */
	obj_t BGl_shrinkzd2nodez12zd2setzd2exzd23152z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2496, obj_t BgL_nodez00_2497)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 204 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1356;

				BgL_nodez00_1356 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2497);
				{	/* Ast/shrinkify.scm 206 */
					BgL_varz00_bglt BgL_arg3318z00_1360;

					BgL_arg3318z00_1360 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1356))->BgL_varz00);
					{	/* Ast/shrinkify.scm 206 */
						obj_t BgL_res3419z00_2379;

						{	/* Ast/shrinkify.scm 206 */
							BgL_nodez00_bglt BgL_nodez00_2353;

							BgL_nodez00_2353 = (BgL_nodez00_bglt) (BgL_arg3318z00_1360);
							{	/* Ast/shrinkify.scm 206 */
								obj_t BgL_method3114z00_2354;

								{	/* Ast/shrinkify.scm 206 */
									BgL_objectz00_bglt BgL_objz00_2355;

									BgL_objz00_2355 = (BgL_objectz00_bglt) (BgL_nodez00_2353);
									{	/* Ast/shrinkify.scm 206 */
										long BgL_objzd2classzd2numz00_2356;

										BgL_objzd2classzd2numz00_2356 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2355);
										{	/* Ast/shrinkify.scm 206 */
											obj_t BgL_arg2422z00_2357;

											BgL_arg2422z00_2357 =
												PROCEDURE_REF
												(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
												(int) (((long) 1)));
											{	/* Ast/shrinkify.scm 206 */
												obj_t BgL_arrayz00_2359;

												int BgL_offsetz00_2360;

												BgL_arrayz00_2359 = BgL_arg2422z00_2357;
												BgL_offsetz00_2360 =
													(int) (BgL_objzd2classzd2numz00_2356);
												{	/* Ast/shrinkify.scm 206 */
													long BgL_offsetz00_2361;

													BgL_offsetz00_2361 =
														((long) (BgL_offsetz00_2360) - OBJECT_TYPE);
													{	/* Ast/shrinkify.scm 206 */
														long BgL_modz00_2362;

														{	/* Ast/shrinkify.scm 206 */
															int BgL_arg2424z00_2363;

															BgL_arg2424z00_2363 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 206 */
																long BgL_auxz00_2873;

																BgL_auxz00_2873 = (long) (BgL_arg2424z00_2363);
																BgL_modz00_2362 =
																	(BgL_offsetz00_2361 / BgL_auxz00_2873);
														}}
														{	/* Ast/shrinkify.scm 206 */
															long BgL_restz00_2364;

															{	/* Ast/shrinkify.scm 206 */
																int BgL_arg2423z00_2365;

																BgL_arg2423z00_2365 = (int) (((long) 8));
																{	/* Ast/shrinkify.scm 206 */
																	long BgL_auxz00_2877;

																	BgL_auxz00_2877 =
																		(long) (BgL_arg2423z00_2365);
																	BgL_restz00_2364 =
																		(BgL_offsetz00_2361 % BgL_auxz00_2877);
															}}
															{	/* Ast/shrinkify.scm 206 */

																BgL_method3114z00_2354 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2359,
																		(int) (BgL_modz00_2362)),
																	(int) (BgL_restz00_2364));
								}}}}}}}}
								{	/* Ast/shrinkify.scm 206 */
									obj_t BgL_xz00_2540;

									BgL_xz00_2540 =
										PROCEDURE_ENTRY(BgL_method3114z00_2354)
										(BgL_method3114z00_2354, (obj_t) (BgL_nodez00_2353), BEOA);
									BgL_res3419z00_2379 = BUNSPEC;
						}}} BgL_res3419z00_2379;
				}}
				{	/* Ast/shrinkify.scm 207 */
					BgL_nodez00_bglt BgL_arg3319z00_1361;

					BgL_arg3319z00_1361 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1356))->BgL_bodyz00);
					{	/* Ast/shrinkify.scm 207 */
						obj_t BgL_res3422z00_2407;

						{	/* Ast/shrinkify.scm 207 */
							obj_t BgL_method3114z00_2382;

							{	/* Ast/shrinkify.scm 207 */
								BgL_objectz00_bglt BgL_objz00_2383;

								BgL_objz00_2383 = (BgL_objectz00_bglt) (BgL_arg3319z00_1361);
								{	/* Ast/shrinkify.scm 207 */
									long BgL_objzd2classzd2numz00_2384;

									BgL_objzd2classzd2numz00_2384 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2383);
									{	/* Ast/shrinkify.scm 207 */
										obj_t BgL_arg2422z00_2385;

										BgL_arg2422z00_2385 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 207 */
											obj_t BgL_arrayz00_2387;

											int BgL_offsetz00_2388;

											BgL_arrayz00_2387 = BgL_arg2422z00_2385;
											BgL_offsetz00_2388 =
												(int) (BgL_objzd2classzd2numz00_2384);
											{	/* Ast/shrinkify.scm 207 */
												long BgL_offsetz00_2389;

												BgL_offsetz00_2389 =
													((long) (BgL_offsetz00_2388) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 207 */
													long BgL_modz00_2390;

													{	/* Ast/shrinkify.scm 207 */
														int BgL_arg2424z00_2391;

														BgL_arg2424z00_2391 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 207 */
															long BgL_auxz00_2896;

															BgL_auxz00_2896 = (long) (BgL_arg2424z00_2391);
															BgL_modz00_2390 =
																(BgL_offsetz00_2389 / BgL_auxz00_2896);
													}}
													{	/* Ast/shrinkify.scm 207 */
														long BgL_restz00_2392;

														{	/* Ast/shrinkify.scm 207 */
															int BgL_arg2423z00_2393;

															BgL_arg2423z00_2393 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 207 */
																long BgL_auxz00_2900;

																BgL_auxz00_2900 = (long) (BgL_arg2423z00_2393);
																BgL_restz00_2392 =
																	(BgL_offsetz00_2389 % BgL_auxz00_2900);
														}}
														{	/* Ast/shrinkify.scm 207 */

															BgL_method3114z00_2382 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2387,
																	(int) (BgL_modz00_2390)),
																(int) (BgL_restz00_2392));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 207 */
								obj_t BgL_xz00_2541;

								BgL_xz00_2541 =
									PROCEDURE_ENTRY(BgL_method3114z00_2382)
									(BgL_method3114z00_2382, (obj_t) (BgL_arg3319z00_1361), BEOA);
								BgL_res3422z00_2407 = BUNSPEC;
						}} BgL_res3422z00_2407;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-let-var3150 */
	obj_t BGl_shrinkzd2nodez12zd2letzd2var3150zc0zzast_shrinkifyz00(obj_t
		BgL_envz00_2498, obj_t BgL_nodez00_2499)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 192 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1339;

				BgL_nodez00_1339 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2499);
				{	/* Ast/shrinkify.scm 194 */
					BgL_nodez00_bglt BgL_arg3311z00_1343;

					BgL_arg3311z00_1343 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1339))->BgL_bodyz00);
					{	/* Ast/shrinkify.scm 194 */
						obj_t BgL_res3411z00_2292;

						{	/* Ast/shrinkify.scm 194 */
							obj_t BgL_method3114z00_2267;

							{	/* Ast/shrinkify.scm 194 */
								BgL_objectz00_bglt BgL_objz00_2268;

								BgL_objz00_2268 = (BgL_objectz00_bglt) (BgL_arg3311z00_1343);
								{	/* Ast/shrinkify.scm 194 */
									long BgL_objzd2classzd2numz00_2269;

									BgL_objzd2classzd2numz00_2269 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2268);
									{	/* Ast/shrinkify.scm 194 */
										obj_t BgL_arg2422z00_2270;

										BgL_arg2422z00_2270 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 194 */
											obj_t BgL_arrayz00_2272;

											int BgL_offsetz00_2273;

											BgL_arrayz00_2272 = BgL_arg2422z00_2270;
											BgL_offsetz00_2273 =
												(int) (BgL_objzd2classzd2numz00_2269);
											{	/* Ast/shrinkify.scm 194 */
												long BgL_offsetz00_2274;

												BgL_offsetz00_2274 =
													((long) (BgL_offsetz00_2273) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 194 */
													long BgL_modz00_2275;

													{	/* Ast/shrinkify.scm 194 */
														int BgL_arg2424z00_2276;

														BgL_arg2424z00_2276 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 194 */
															long BgL_auxz00_2920;

															BgL_auxz00_2920 = (long) (BgL_arg2424z00_2276);
															BgL_modz00_2275 =
																(BgL_offsetz00_2274 / BgL_auxz00_2920);
													}}
													{	/* Ast/shrinkify.scm 194 */
														long BgL_restz00_2277;

														{	/* Ast/shrinkify.scm 194 */
															int BgL_arg2423z00_2278;

															BgL_arg2423z00_2278 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 194 */
																long BgL_auxz00_2924;

																BgL_auxz00_2924 = (long) (BgL_arg2423z00_2278);
																BgL_restz00_2277 =
																	(BgL_offsetz00_2274 % BgL_auxz00_2924);
														}}
														{	/* Ast/shrinkify.scm 194 */

															BgL_method3114z00_2267 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2272,
																	(int) (BgL_modz00_2275)),
																(int) (BgL_restz00_2277));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 194 */
								obj_t BgL_xz00_2542;

								BgL_xz00_2542 =
									PROCEDURE_ENTRY(BgL_method3114z00_2267)
									(BgL_method3114z00_2267, (obj_t) (BgL_arg3311z00_1343), BEOA);
								BgL_res3411z00_2292 = BUNSPEC;
						}} BgL_res3411z00_2292;
				}}
				{	/* Ast/shrinkify.scm 195 */
					obj_t BgL_g3108z00_1344;

					BgL_g3108z00_1344 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1339))->BgL_bindingsz00);
					{
						obj_t BgL_l3106z00_1346;

						BgL_l3106z00_1346 = BgL_g3108z00_1344;
					BgL_zc3anonymousza33312ze3z83_1347:
						if (PAIRP(BgL_l3106z00_1346))
							{	/* Ast/shrinkify.scm 195 */
								{	/* Ast/shrinkify.scm 197 */
									obj_t BgL_bindingz00_1349;

									BgL_bindingz00_1349 = CAR(BgL_l3106z00_1346);
									{	/* Ast/shrinkify.scm 196 */
										obj_t BgL_arg3314z00_1350;

										BgL_arg3314z00_1350 = CAR(BgL_bindingz00_1349);
										{	/* Ast/shrinkify.scm 196 */
											BgL_variablez00_bglt BgL_variablez00_2297;

											BgL_variablez00_2297 =
												(BgL_variablez00_bglt) (BgL_arg3314z00_1350);
											{	/* Ast/shrinkify.scm 196 */
												obj_t BgL_method3112z00_2298;

												{	/* Ast/shrinkify.scm 196 */
													BgL_objectz00_bglt BgL_objz00_2299;

													BgL_objz00_2299 =
														(BgL_objectz00_bglt) (BgL_variablez00_2297);
													{	/* Ast/shrinkify.scm 196 */
														long BgL_objzd2classzd2numz00_2300;

														BgL_objzd2classzd2numz00_2300 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_2299);
														{	/* Ast/shrinkify.scm 196 */
															obj_t BgL_arg2422z00_2301;

															BgL_arg2422z00_2301 =
																PROCEDURE_REF
																(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
																(int) (((long) 1)));
															{	/* Ast/shrinkify.scm 196 */
																obj_t BgL_arrayz00_2303;

																int BgL_offsetz00_2304;

																BgL_arrayz00_2303 = BgL_arg2422z00_2301;
																BgL_offsetz00_2304 =
																	(int) (BgL_objzd2classzd2numz00_2300);
																{	/* Ast/shrinkify.scm 196 */
																	long BgL_offsetz00_2305;

																	BgL_offsetz00_2305 =
																		((long) (BgL_offsetz00_2304) - OBJECT_TYPE);
																	{	/* Ast/shrinkify.scm 196 */
																		long BgL_modz00_2306;

																		{	/* Ast/shrinkify.scm 196 */
																			int BgL_arg2424z00_2307;

																			BgL_arg2424z00_2307 = (int) (((long) 8));
																			{	/* Ast/shrinkify.scm 196 */
																				long BgL_auxz00_2948;

																				BgL_auxz00_2948 =
																					(long) (BgL_arg2424z00_2307);
																				BgL_modz00_2306 =
																					(BgL_offsetz00_2305 /
																					BgL_auxz00_2948);
																		}}
																		{	/* Ast/shrinkify.scm 196 */
																			long BgL_restz00_2308;

																			{	/* Ast/shrinkify.scm 196 */
																				int BgL_arg2423z00_2309;

																				BgL_arg2423z00_2309 =
																					(int) (((long) 8));
																				{	/* Ast/shrinkify.scm 196 */
																					long BgL_auxz00_2952;

																					BgL_auxz00_2952 =
																						(long) (BgL_arg2423z00_2309);
																					BgL_restz00_2308 =
																						(BgL_offsetz00_2305 %
																						BgL_auxz00_2952);
																			}}
																			{	/* Ast/shrinkify.scm 196 */

																				BgL_method3112z00_2298 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_2303,
																						(int) (BgL_modz00_2306)),
																					(int) (BgL_restz00_2308));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3112z00_2298)
													(BgL_method3112z00_2298,
													(obj_t) (BgL_variablez00_2297), BEOA);
									}}}
									{	/* Ast/shrinkify.scm 197 */
										obj_t BgL_arg3315z00_1351;

										BgL_arg3315z00_1351 = CDR(BgL_bindingz00_1349);
										{	/* Ast/shrinkify.scm 197 */
											obj_t BgL_res3416z00_2350;

											{	/* Ast/shrinkify.scm 197 */
												BgL_nodez00_bglt BgL_nodez00_2324;

												BgL_nodez00_2324 =
													(BgL_nodez00_bglt) (BgL_arg3315z00_1351);
												{	/* Ast/shrinkify.scm 197 */
													obj_t BgL_method3114z00_2325;

													{	/* Ast/shrinkify.scm 197 */
														BgL_objectz00_bglt BgL_objz00_2326;

														BgL_objz00_2326 =
															(BgL_objectz00_bglt) (BgL_nodez00_2324);
														{	/* Ast/shrinkify.scm 197 */
															long BgL_objzd2classzd2numz00_2327;

															BgL_objzd2classzd2numz00_2327 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_2326);
															{	/* Ast/shrinkify.scm 197 */
																obj_t BgL_arg2422z00_2328;

																BgL_arg2422z00_2328 =
																	PROCEDURE_REF
																	(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
																	(int) (((long) 1)));
																{	/* Ast/shrinkify.scm 197 */
																	obj_t BgL_arrayz00_2330;

																	int BgL_offsetz00_2331;

																	BgL_arrayz00_2330 = BgL_arg2422z00_2328;
																	BgL_offsetz00_2331 =
																		(int) (BgL_objzd2classzd2numz00_2327);
																	{	/* Ast/shrinkify.scm 197 */
																		long BgL_offsetz00_2332;

																		BgL_offsetz00_2332 =
																			(
																			(long) (BgL_offsetz00_2331) -
																			OBJECT_TYPE);
																		{	/* Ast/shrinkify.scm 197 */
																			long BgL_modz00_2333;

																			{	/* Ast/shrinkify.scm 197 */
																				int BgL_arg2424z00_2334;

																				BgL_arg2424z00_2334 =
																					(int) (((long) 8));
																				{	/* Ast/shrinkify.scm 197 */
																					long BgL_auxz00_2972;

																					BgL_auxz00_2972 =
																						(long) (BgL_arg2424z00_2334);
																					BgL_modz00_2333 =
																						(BgL_offsetz00_2332 /
																						BgL_auxz00_2972);
																			}}
																			{	/* Ast/shrinkify.scm 197 */
																				long BgL_restz00_2335;

																				{	/* Ast/shrinkify.scm 197 */
																					int BgL_arg2423z00_2336;

																					BgL_arg2423z00_2336 =
																						(int) (((long) 8));
																					{	/* Ast/shrinkify.scm 197 */
																						long BgL_auxz00_2976;

																						BgL_auxz00_2976 =
																							(long) (BgL_arg2423z00_2336);
																						BgL_restz00_2335 =
																							(BgL_offsetz00_2332 %
																							BgL_auxz00_2976);
																				}}
																				{	/* Ast/shrinkify.scm 197 */

																					BgL_method3114z00_2325 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_2330,
																							(int) (BgL_modz00_2333)),
																						(int) (BgL_restz00_2335));
													}}}}}}}}
													{	/* Ast/shrinkify.scm 197 */
														obj_t BgL_xz00_2543;

														BgL_xz00_2543 =
															PROCEDURE_ENTRY(BgL_method3114z00_2325)
															(BgL_method3114z00_2325,
															(obj_t) (BgL_nodez00_2324), BEOA);
														BgL_res3416z00_2350 = BUNSPEC;
											}}} BgL_res3416z00_2350;
								}}}
								{
									obj_t BgL_l3106z00_2986;

									BgL_l3106z00_2986 = CDR(BgL_l3106z00_1346);
									BgL_l3106z00_1346 = BgL_l3106z00_2986;
									goto BgL_zc3anonymousza33312ze3z83_1347;
								}
							}
						else
							{	/* Ast/shrinkify.scm 195 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-let-fun3148 */
	obj_t BGl_shrinkzd2nodez12zd2letzd2fun3148zc0zzast_shrinkifyz00(obj_t
		BgL_envz00_2500, obj_t BgL_nodez00_2501)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 178 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1314;

				BgL_nodez00_1314 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2501);
				{	/* Ast/shrinkify.scm 180 */
					BgL_nodez00_bglt BgL_arg3301z00_1318;

					BgL_arg3301z00_1318 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1314))->BgL_bodyz00);
					{	/* Ast/shrinkify.scm 180 */
						obj_t BgL_res3401z00_2175;

						{	/* Ast/shrinkify.scm 180 */
							obj_t BgL_method3114z00_2150;

							{	/* Ast/shrinkify.scm 180 */
								BgL_objectz00_bglt BgL_objz00_2151;

								BgL_objz00_2151 = (BgL_objectz00_bglt) (BgL_arg3301z00_1318);
								{	/* Ast/shrinkify.scm 180 */
									long BgL_objzd2classzd2numz00_2152;

									BgL_objzd2classzd2numz00_2152 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2151);
									{	/* Ast/shrinkify.scm 180 */
										obj_t BgL_arg2422z00_2153;

										BgL_arg2422z00_2153 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 180 */
											obj_t BgL_arrayz00_2155;

											int BgL_offsetz00_2156;

											BgL_arrayz00_2155 = BgL_arg2422z00_2153;
											BgL_offsetz00_2156 =
												(int) (BgL_objzd2classzd2numz00_2152);
											{	/* Ast/shrinkify.scm 180 */
												long BgL_offsetz00_2157;

												BgL_offsetz00_2157 =
													((long) (BgL_offsetz00_2156) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 180 */
													long BgL_modz00_2158;

													{	/* Ast/shrinkify.scm 180 */
														int BgL_arg2424z00_2159;

														BgL_arg2424z00_2159 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 180 */
															long BgL_auxz00_2998;

															BgL_auxz00_2998 = (long) (BgL_arg2424z00_2159);
															BgL_modz00_2158 =
																(BgL_offsetz00_2157 / BgL_auxz00_2998);
													}}
													{	/* Ast/shrinkify.scm 180 */
														long BgL_restz00_2160;

														{	/* Ast/shrinkify.scm 180 */
															int BgL_arg2423z00_2161;

															BgL_arg2423z00_2161 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 180 */
																long BgL_auxz00_3002;

																BgL_auxz00_3002 = (long) (BgL_arg2423z00_2161);
																BgL_restz00_2160 =
																	(BgL_offsetz00_2157 % BgL_auxz00_3002);
														}}
														{	/* Ast/shrinkify.scm 180 */

															BgL_method3114z00_2150 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2155,
																	(int) (BgL_modz00_2158)),
																(int) (BgL_restz00_2160));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 180 */
								obj_t BgL_xz00_2544;

								BgL_xz00_2544 =
									PROCEDURE_ENTRY(BgL_method3114z00_2150)
									(BgL_method3114z00_2150, (obj_t) (BgL_arg3301z00_1318), BEOA);
								BgL_res3401z00_2175 = BUNSPEC;
						}} BgL_res3401z00_2175;
				}}
				{	/* Ast/shrinkify.scm 181 */
					obj_t BgL_g3105z00_1319;

					BgL_g3105z00_1319 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1314))->BgL_localsz00);
					{
						obj_t BgL_l3103z00_1321;

						BgL_l3103z00_1321 = BgL_g3105z00_1319;
					BgL_zc3anonymousza33302ze3z83_1322:
						if (PAIRP(BgL_l3103z00_1321))
							{	/* Ast/shrinkify.scm 181 */
								{	/* Ast/shrinkify.scm 182 */
									obj_t BgL_localz00_1324;

									BgL_localz00_1324 = CAR(BgL_l3103z00_1321);
									{	/* Ast/shrinkify.scm 182 */
										BgL_valuez00_bglt BgL_sfunz00_1325;

										{
											BgL_variablez00_bglt BgL_auxz00_3016;

											BgL_auxz00_3016 =
												(BgL_variablez00_bglt) (BgL_localz00_1324);
											BgL_sfunz00_1325 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_3016))->
												BgL_valuez00);
										}
										{	/* Ast/shrinkify.scm 183 */
											BgL_variablez00_bglt BgL_variablez00_2180;

											BgL_variablez00_2180 =
												(BgL_variablez00_bglt) (BgL_localz00_1324);
											{	/* Ast/shrinkify.scm 183 */
												obj_t BgL_method3112z00_2181;

												{	/* Ast/shrinkify.scm 183 */
													BgL_objectz00_bglt BgL_objz00_2182;

													BgL_objz00_2182 =
														(BgL_objectz00_bglt) (BgL_variablez00_2180);
													{	/* Ast/shrinkify.scm 183 */
														long BgL_objzd2classzd2numz00_2183;

														BgL_objzd2classzd2numz00_2183 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_2182);
														{	/* Ast/shrinkify.scm 183 */
															obj_t BgL_arg2422z00_2184;

															BgL_arg2422z00_2184 =
																PROCEDURE_REF
																(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
																(int) (((long) 1)));
															{	/* Ast/shrinkify.scm 183 */
																obj_t BgL_arrayz00_2186;

																int BgL_offsetz00_2187;

																BgL_arrayz00_2186 = BgL_arg2422z00_2184;
																BgL_offsetz00_2187 =
																	(int) (BgL_objzd2classzd2numz00_2183);
																{	/* Ast/shrinkify.scm 183 */
																	long BgL_offsetz00_2188;

																	BgL_offsetz00_2188 =
																		((long) (BgL_offsetz00_2187) - OBJECT_TYPE);
																	{	/* Ast/shrinkify.scm 183 */
																		long BgL_modz00_2189;

																		{	/* Ast/shrinkify.scm 183 */
																			int BgL_arg2424z00_2190;

																			BgL_arg2424z00_2190 = (int) (((long) 8));
																			{	/* Ast/shrinkify.scm 183 */
																				long BgL_auxz00_3028;

																				BgL_auxz00_3028 =
																					(long) (BgL_arg2424z00_2190);
																				BgL_modz00_2189 =
																					(BgL_offsetz00_2188 /
																					BgL_auxz00_3028);
																		}}
																		{	/* Ast/shrinkify.scm 183 */
																			long BgL_restz00_2191;

																			{	/* Ast/shrinkify.scm 183 */
																				int BgL_arg2423z00_2192;

																				BgL_arg2423z00_2192 =
																					(int) (((long) 8));
																				{	/* Ast/shrinkify.scm 183 */
																					long BgL_auxz00_3032;

																					BgL_auxz00_3032 =
																						(long) (BgL_arg2423z00_2192);
																					BgL_restz00_2191 =
																						(BgL_offsetz00_2188 %
																						BgL_auxz00_3032);
																			}}
																			{	/* Ast/shrinkify.scm 183 */

																				BgL_method3112z00_2181 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_2186,
																						(int) (BgL_modz00_2189)),
																					(int) (BgL_restz00_2191));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3112z00_2181)
													(BgL_method3112z00_2181,
													(obj_t) (BgL_variablez00_2180), BEOA);
										}}
										{	/* Ast/shrinkify.scm 184 */
											obj_t BgL_g3102z00_1326;

											{
												BgL_sfunz00_bglt BgL_auxz00_3042;

												BgL_auxz00_3042 = (BgL_sfunz00_bglt) (BgL_sfunz00_1325);
												BgL_g3102z00_1326 =
													(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3042))->
													BgL_argsz00);
											}
											{
												obj_t BgL_l3100z00_1328;

												BgL_l3100z00_1328 = BgL_g3102z00_1326;
											BgL_zc3anonymousza33304ze3z83_1329:
												if (PAIRP(BgL_l3100z00_1328))
													{	/* Ast/shrinkify.scm 184 */
														{	/* Ast/shrinkify.scm 184 */
															obj_t BgL_arg3306z00_1331;

															BgL_arg3306z00_1331 = CAR(BgL_l3100z00_1328);
															{	/* Ast/shrinkify.scm 184 */
																BgL_variablez00_bglt BgL_variablez00_2209;

																BgL_variablez00_2209 =
																	(BgL_variablez00_bglt) (BgL_arg3306z00_1331);
																{	/* Ast/shrinkify.scm 184 */
																	obj_t BgL_method3112z00_2210;

																	{	/* Ast/shrinkify.scm 184 */
																		BgL_objectz00_bglt BgL_objz00_2211;

																		BgL_objz00_2211 =
																			(BgL_objectz00_bglt)
																			(BgL_variablez00_2209);
																		{	/* Ast/shrinkify.scm 184 */
																			long BgL_objzd2classzd2numz00_2212;

																			BgL_objzd2classzd2numz00_2212 =
																				BGL_OBJECT_CLASS_NUM(BgL_objz00_2211);
																			{	/* Ast/shrinkify.scm 184 */
																				obj_t BgL_arg2422z00_2213;

																				BgL_arg2422z00_2213 =
																					PROCEDURE_REF
																					(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
																					(int) (((long) 1)));
																				{	/* Ast/shrinkify.scm 184 */
																					obj_t BgL_arrayz00_2215;

																					int BgL_offsetz00_2216;

																					BgL_arrayz00_2215 =
																						BgL_arg2422z00_2213;
																					BgL_offsetz00_2216 =
																						(int)
																						(BgL_objzd2classzd2numz00_2212);
																					{	/* Ast/shrinkify.scm 184 */
																						long BgL_offsetz00_2217;

																						BgL_offsetz00_2217 =
																							(
																							(long) (BgL_offsetz00_2216) -
																							OBJECT_TYPE);
																						{	/* Ast/shrinkify.scm 184 */
																							long BgL_modz00_2218;

																							{	/* Ast/shrinkify.scm 184 */
																								int BgL_arg2424z00_2219;

																								BgL_arg2424z00_2219 =
																									(int) (((long) 8));
																								{	/* Ast/shrinkify.scm 184 */
																									long BgL_auxz00_3057;

																									BgL_auxz00_3057 =
																										(long)
																										(BgL_arg2424z00_2219);
																									BgL_modz00_2218 =
																										(BgL_offsetz00_2217 /
																										BgL_auxz00_3057);
																							}}
																							{	/* Ast/shrinkify.scm 184 */
																								long BgL_restz00_2220;

																								{	/* Ast/shrinkify.scm 184 */
																									int BgL_arg2423z00_2221;

																									BgL_arg2423z00_2221 =
																										(int) (((long) 8));
																									{	/* Ast/shrinkify.scm 184 */
																										long BgL_auxz00_3061;

																										BgL_auxz00_3061 =
																											(long)
																											(BgL_arg2423z00_2221);
																										BgL_restz00_2220 =
																											(BgL_offsetz00_2217 %
																											BgL_auxz00_3061);
																								}}
																								{	/* Ast/shrinkify.scm 184 */

																									BgL_method3112z00_2210 =
																										VECTOR_REF(VECTOR_REF
																										(BgL_arrayz00_2215,
																											(int) (BgL_modz00_2218)),
																										(int) (BgL_restz00_2220));
																	}}}}}}}}
																	PROCEDURE_ENTRY(BgL_method3112z00_2210)
																		(BgL_method3112z00_2210,
																		(obj_t) (BgL_variablez00_2209), BEOA);
														}}}
														{
															obj_t BgL_l3100z00_3071;

															BgL_l3100z00_3071 = CDR(BgL_l3100z00_1328);
															BgL_l3100z00_1328 = BgL_l3100z00_3071;
															goto BgL_zc3anonymousza33304ze3z83_1329;
														}
													}
												else
													{	/* Ast/shrinkify.scm 184 */
														((bool_t) 1);
													}
											}
										}
										{	/* Ast/shrinkify.scm 185 */
											obj_t BgL_arg3308z00_1334;

											{
												BgL_sfunz00_bglt BgL_auxz00_3073;

												BgL_auxz00_3073 = (BgL_sfunz00_bglt) (BgL_sfunz00_1325);
												BgL_arg3308z00_1334 =
													(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3073))->
													BgL_bodyz00);
											}
											{	/* Ast/shrinkify.scm 185 */
												obj_t BgL_res3408z00_2263;

												{	/* Ast/shrinkify.scm 185 */
													BgL_nodez00_bglt BgL_nodez00_2237;

													BgL_nodez00_2237 =
														(BgL_nodez00_bglt) (BgL_arg3308z00_1334);
													{	/* Ast/shrinkify.scm 185 */
														obj_t BgL_method3114z00_2238;

														{	/* Ast/shrinkify.scm 185 */
															BgL_objectz00_bglt BgL_objz00_2239;

															BgL_objz00_2239 =
																(BgL_objectz00_bglt) (BgL_nodez00_2237);
															{	/* Ast/shrinkify.scm 185 */
																long BgL_objzd2classzd2numz00_2240;

																BgL_objzd2classzd2numz00_2240 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_2239);
																{	/* Ast/shrinkify.scm 185 */
																	obj_t BgL_arg2422z00_2241;

																	BgL_arg2422z00_2241 =
																		PROCEDURE_REF
																		(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
																		(int) (((long) 1)));
																	{	/* Ast/shrinkify.scm 185 */
																		obj_t BgL_arrayz00_2243;

																		int BgL_offsetz00_2244;

																		BgL_arrayz00_2243 = BgL_arg2422z00_2241;
																		BgL_offsetz00_2244 =
																			(int) (BgL_objzd2classzd2numz00_2240);
																		{	/* Ast/shrinkify.scm 185 */
																			long BgL_offsetz00_2245;

																			BgL_offsetz00_2245 =
																				(
																				(long) (BgL_offsetz00_2244) -
																				OBJECT_TYPE);
																			{	/* Ast/shrinkify.scm 185 */
																				long BgL_modz00_2246;

																				{	/* Ast/shrinkify.scm 185 */
																					int BgL_arg2424z00_2247;

																					BgL_arg2424z00_2247 =
																						(int) (((long) 8));
																					{	/* Ast/shrinkify.scm 185 */
																						long BgL_auxz00_3085;

																						BgL_auxz00_3085 =
																							(long) (BgL_arg2424z00_2247);
																						BgL_modz00_2246 =
																							(BgL_offsetz00_2245 /
																							BgL_auxz00_3085);
																				}}
																				{	/* Ast/shrinkify.scm 185 */
																					long BgL_restz00_2248;

																					{	/* Ast/shrinkify.scm 185 */
																						int BgL_arg2423z00_2249;

																						BgL_arg2423z00_2249 =
																							(int) (((long) 8));
																						{	/* Ast/shrinkify.scm 185 */
																							long BgL_auxz00_3089;

																							BgL_auxz00_3089 =
																								(long) (BgL_arg2423z00_2249);
																							BgL_restz00_2248 =
																								(BgL_offsetz00_2245 %
																								BgL_auxz00_3089);
																					}}
																					{	/* Ast/shrinkify.scm 185 */

																						BgL_method3114z00_2238 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_2243,
																								(int) (BgL_modz00_2246)),
																							(int) (BgL_restz00_2248));
														}}}}}}}}
														{	/* Ast/shrinkify.scm 185 */
															obj_t BgL_xz00_2545;

															BgL_xz00_2545 =
																PROCEDURE_ENTRY(BgL_method3114z00_2238)
																(BgL_method3114z00_2238,
																(obj_t) (BgL_nodez00_2237), BEOA);
															BgL_res3408z00_2263 = BUNSPEC;
												}}} BgL_res3408z00_2263;
								}}}}
								{
									obj_t BgL_l3103z00_3099;

									BgL_l3103z00_3099 = CDR(BgL_l3103z00_1321);
									BgL_l3103z00_1321 = BgL_l3103z00_3099;
									goto BgL_zc3anonymousza33302ze3z83_1322;
								}
							}
						else
							{	/* Ast/shrinkify.scm 181 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-box-set3146 */
	obj_t BGl_shrinkzd2nodez12zd2boxzd2set3146zc0zzast_shrinkifyz00(obj_t
		BgL_envz00_2502, obj_t BgL_nodez00_2503)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 169 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1302;

				BgL_nodez00_1302 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2503);
				{	/* Ast/shrinkify.scm 170 */
					bool_t BgL_testz00_3102;

					{	/* Ast/shrinkify.scm 170 */
						bool_t BgL_testz00_3103;

						{	/* Ast/shrinkify.scm 170 */
							obj_t BgL_auxz00_3104;

							{	/* Ast/shrinkify.scm 170 */
								BgL_objectz00_bglt BgL_auxz00_3105;

								BgL_auxz00_3105 = (BgL_objectz00_bglt) (BgL_nodez00_1302);
								BgL_auxz00_3104 = BGL_OBJECT_WIDENING(BgL_auxz00_3105);
							}
							BgL_testz00_3103 = CBOOL(BgL_auxz00_3104);
						}
						if (BgL_testz00_3103)
							{	/* Ast/shrinkify.scm 170 */
								BgL_testz00_3102 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 170 */
								BgL_testz00_3102 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3102)
						{	/* Ast/shrinkify.scm 170 */
							{	/* Ast/shrinkify.scm 170 */
								long BgL_arg3295z00_1307;

								{	/* Ast/shrinkify.scm 170 */
									obj_t BgL_arg3296z00_1308;

									{	/* Ast/shrinkify.scm 170 */
										obj_t BgL_arg3297z00_1309;

										{	/* Ast/shrinkify.scm 170 */
											BgL_objectz00_bglt BgL_objectz00_2082;

											BgL_objectz00_2082 =
												(BgL_objectz00_bglt) (BgL_nodez00_1302);
											{	/* Ast/shrinkify.scm 170 */
												long BgL_arg2425z00_2083;

												{	/* Ast/shrinkify.scm 170 */
													long BgL_arg2426z00_2084;

													BgL_arg2426z00_2084 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_2082);
													BgL_arg2425z00_2083 =
														(BgL_arg2426z00_2084 - OBJECT_TYPE);
												}
												BgL_arg3297z00_1309 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2425z00_2083));
										}}
										BgL_arg3296z00_1308 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3297z00_1309);
									}
									BgL_arg3295z00_1307 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3296z00_1308);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_nodez00_1302), BgL_arg3295z00_1307);
							}
							{	/* Ast/shrinkify.scm 170 */
								BgL_objectz00_bglt BgL_auxz00_3118;

								BgL_auxz00_3118 = (BgL_objectz00_bglt) (BgL_nodez00_1302);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3118, BFALSE);
							}
							(obj_t) (BgL_nodez00_1302);
						}
					else
						{	/* Ast/shrinkify.scm 170 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 171 */
					BgL_varz00_bglt BgL_arg3298z00_1310;

					BgL_arg3298z00_1310 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1302))->BgL_varz00);
					{	/* Ast/shrinkify.scm 171 */
						obj_t BgL_res3395z00_2119;

						{	/* Ast/shrinkify.scm 171 */
							BgL_nodez00_bglt BgL_nodez00_2093;

							BgL_nodez00_2093 = (BgL_nodez00_bglt) (BgL_arg3298z00_1310);
							{	/* Ast/shrinkify.scm 171 */
								obj_t BgL_method3114z00_2094;

								{	/* Ast/shrinkify.scm 171 */
									BgL_objectz00_bglt BgL_objz00_2095;

									BgL_objz00_2095 = (BgL_objectz00_bglt) (BgL_nodez00_2093);
									{	/* Ast/shrinkify.scm 171 */
										long BgL_objzd2classzd2numz00_2096;

										BgL_objzd2classzd2numz00_2096 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2095);
										{	/* Ast/shrinkify.scm 171 */
											obj_t BgL_arg2422z00_2097;

											BgL_arg2422z00_2097 =
												PROCEDURE_REF
												(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
												(int) (((long) 1)));
											{	/* Ast/shrinkify.scm 171 */
												obj_t BgL_arrayz00_2099;

												int BgL_offsetz00_2100;

												BgL_arrayz00_2099 = BgL_arg2422z00_2097;
												BgL_offsetz00_2100 =
													(int) (BgL_objzd2classzd2numz00_2096);
												{	/* Ast/shrinkify.scm 171 */
													long BgL_offsetz00_2101;

													BgL_offsetz00_2101 =
														((long) (BgL_offsetz00_2100) - OBJECT_TYPE);
													{	/* Ast/shrinkify.scm 171 */
														long BgL_modz00_2102;

														{	/* Ast/shrinkify.scm 171 */
															int BgL_arg2424z00_2103;

															BgL_arg2424z00_2103 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 171 */
																long BgL_auxz00_3132;

																BgL_auxz00_3132 = (long) (BgL_arg2424z00_2103);
																BgL_modz00_2102 =
																	(BgL_offsetz00_2101 / BgL_auxz00_3132);
														}}
														{	/* Ast/shrinkify.scm 171 */
															long BgL_restz00_2104;

															{	/* Ast/shrinkify.scm 171 */
																int BgL_arg2423z00_2105;

																BgL_arg2423z00_2105 = (int) (((long) 8));
																{	/* Ast/shrinkify.scm 171 */
																	long BgL_auxz00_3136;

																	BgL_auxz00_3136 =
																		(long) (BgL_arg2423z00_2105);
																	BgL_restz00_2104 =
																		(BgL_offsetz00_2101 % BgL_auxz00_3136);
															}}
															{	/* Ast/shrinkify.scm 171 */

																BgL_method3114z00_2094 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2099,
																		(int) (BgL_modz00_2102)),
																	(int) (BgL_restz00_2104));
								}}}}}}}}
								{	/* Ast/shrinkify.scm 171 */
									obj_t BgL_xz00_2546;

									BgL_xz00_2546 =
										PROCEDURE_ENTRY(BgL_method3114z00_2094)
										(BgL_method3114z00_2094, (obj_t) (BgL_nodez00_2093), BEOA);
									BgL_res3395z00_2119 = BUNSPEC;
						}}} BgL_res3395z00_2119;
				}}
				{	/* Ast/shrinkify.scm 172 */
					BgL_nodez00_bglt BgL_arg3299z00_1311;

					BgL_arg3299z00_1311 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1302))->BgL_valuez00);
					{	/* Ast/shrinkify.scm 172 */
						obj_t BgL_res3398z00_2147;

						{	/* Ast/shrinkify.scm 172 */
							obj_t BgL_method3114z00_2122;

							{	/* Ast/shrinkify.scm 172 */
								BgL_objectz00_bglt BgL_objz00_2123;

								BgL_objz00_2123 = (BgL_objectz00_bglt) (BgL_arg3299z00_1311);
								{	/* Ast/shrinkify.scm 172 */
									long BgL_objzd2classzd2numz00_2124;

									BgL_objzd2classzd2numz00_2124 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2123);
									{	/* Ast/shrinkify.scm 172 */
										obj_t BgL_arg2422z00_2125;

										BgL_arg2422z00_2125 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 172 */
											obj_t BgL_arrayz00_2127;

											int BgL_offsetz00_2128;

											BgL_arrayz00_2127 = BgL_arg2422z00_2125;
											BgL_offsetz00_2128 =
												(int) (BgL_objzd2classzd2numz00_2124);
											{	/* Ast/shrinkify.scm 172 */
												long BgL_offsetz00_2129;

												BgL_offsetz00_2129 =
													((long) (BgL_offsetz00_2128) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 172 */
													long BgL_modz00_2130;

													{	/* Ast/shrinkify.scm 172 */
														int BgL_arg2424z00_2131;

														BgL_arg2424z00_2131 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 172 */
															long BgL_auxz00_3155;

															BgL_auxz00_3155 = (long) (BgL_arg2424z00_2131);
															BgL_modz00_2130 =
																(BgL_offsetz00_2129 / BgL_auxz00_3155);
													}}
													{	/* Ast/shrinkify.scm 172 */
														long BgL_restz00_2132;

														{	/* Ast/shrinkify.scm 172 */
															int BgL_arg2423z00_2133;

															BgL_arg2423z00_2133 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 172 */
																long BgL_auxz00_3159;

																BgL_auxz00_3159 = (long) (BgL_arg2423z00_2133);
																BgL_restz00_2132 =
																	(BgL_offsetz00_2129 % BgL_auxz00_3159);
														}}
														{	/* Ast/shrinkify.scm 172 */

															BgL_method3114z00_2122 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2127,
																	(int) (BgL_modz00_2130)),
																(int) (BgL_restz00_2132));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 172 */
								obj_t BgL_xz00_2547;

								BgL_xz00_2547 =
									PROCEDURE_ENTRY(BgL_method3114z00_2122)
									(BgL_method3114z00_2122, (obj_t) (BgL_arg3299z00_1311), BEOA);
								BgL_res3398z00_2147 = BUNSPEC;
						}} BgL_res3398z00_2147;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-box-ref3144 */
	obj_t BGl_shrinkzd2nodez12zd2boxzd2ref3144zc0zzast_shrinkifyz00(obj_t
		BgL_envz00_2504, obj_t BgL_nodez00_2505)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 161 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1291;

				BgL_nodez00_1291 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2505);
				{	/* Ast/shrinkify.scm 162 */
					bool_t BgL_testz00_3170;

					{	/* Ast/shrinkify.scm 162 */
						bool_t BgL_testz00_3171;

						{	/* Ast/shrinkify.scm 162 */
							obj_t BgL_auxz00_3172;

							{	/* Ast/shrinkify.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_3173;

								BgL_auxz00_3173 = (BgL_objectz00_bglt) (BgL_nodez00_1291);
								BgL_auxz00_3172 = BGL_OBJECT_WIDENING(BgL_auxz00_3173);
							}
							BgL_testz00_3171 = CBOOL(BgL_auxz00_3172);
						}
						if (BgL_testz00_3171)
							{	/* Ast/shrinkify.scm 162 */
								BgL_testz00_3170 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 162 */
								BgL_testz00_3170 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3170)
						{	/* Ast/shrinkify.scm 162 */
							{	/* Ast/shrinkify.scm 162 */
								long BgL_arg3289z00_1296;

								{	/* Ast/shrinkify.scm 162 */
									obj_t BgL_arg3290z00_1297;

									{	/* Ast/shrinkify.scm 162 */
										obj_t BgL_arg3291z00_1298;

										{	/* Ast/shrinkify.scm 162 */
											BgL_objectz00_bglt BgL_objectz00_2041;

											BgL_objectz00_2041 =
												(BgL_objectz00_bglt) (BgL_nodez00_1291);
											{	/* Ast/shrinkify.scm 162 */
												long BgL_arg2425z00_2042;

												{	/* Ast/shrinkify.scm 162 */
													long BgL_arg2426z00_2043;

													BgL_arg2426z00_2043 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_2041);
													BgL_arg2425z00_2042 =
														(BgL_arg2426z00_2043 - OBJECT_TYPE);
												}
												BgL_arg3291z00_1298 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2425z00_2042));
										}}
										BgL_arg3290z00_1297 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3291z00_1298);
									}
									BgL_arg3289z00_1296 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3290z00_1297);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_nodez00_1291), BgL_arg3289z00_1296);
							}
							{	/* Ast/shrinkify.scm 162 */
								BgL_objectz00_bglt BgL_auxz00_3186;

								BgL_auxz00_3186 = (BgL_objectz00_bglt) (BgL_nodez00_1291);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3186, BFALSE);
							}
							(obj_t) (BgL_nodez00_1291);
						}
					else
						{	/* Ast/shrinkify.scm 162 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 163 */
					BgL_varz00_bglt BgL_arg3292z00_1299;

					BgL_arg3292z00_1299 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1291))->BgL_varz00);
					{	/* Ast/shrinkify.scm 163 */
						obj_t BgL_res3391z00_2078;

						{	/* Ast/shrinkify.scm 163 */
							BgL_nodez00_bglt BgL_nodez00_2052;

							BgL_nodez00_2052 = (BgL_nodez00_bglt) (BgL_arg3292z00_1299);
							{	/* Ast/shrinkify.scm 163 */
								obj_t BgL_method3114z00_2053;

								{	/* Ast/shrinkify.scm 163 */
									BgL_objectz00_bglt BgL_objz00_2054;

									BgL_objz00_2054 = (BgL_objectz00_bglt) (BgL_nodez00_2052);
									{	/* Ast/shrinkify.scm 163 */
										long BgL_objzd2classzd2numz00_2055;

										BgL_objzd2classzd2numz00_2055 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2054);
										{	/* Ast/shrinkify.scm 163 */
											obj_t BgL_arg2422z00_2056;

											BgL_arg2422z00_2056 =
												PROCEDURE_REF
												(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
												(int) (((long) 1)));
											{	/* Ast/shrinkify.scm 163 */
												obj_t BgL_arrayz00_2058;

												int BgL_offsetz00_2059;

												BgL_arrayz00_2058 = BgL_arg2422z00_2056;
												BgL_offsetz00_2059 =
													(int) (BgL_objzd2classzd2numz00_2055);
												{	/* Ast/shrinkify.scm 163 */
													long BgL_offsetz00_2060;

													BgL_offsetz00_2060 =
														((long) (BgL_offsetz00_2059) - OBJECT_TYPE);
													{	/* Ast/shrinkify.scm 163 */
														long BgL_modz00_2061;

														{	/* Ast/shrinkify.scm 163 */
															int BgL_arg2424z00_2062;

															BgL_arg2424z00_2062 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 163 */
																long BgL_auxz00_3200;

																BgL_auxz00_3200 = (long) (BgL_arg2424z00_2062);
																BgL_modz00_2061 =
																	(BgL_offsetz00_2060 / BgL_auxz00_3200);
														}}
														{	/* Ast/shrinkify.scm 163 */
															long BgL_restz00_2063;

															{	/* Ast/shrinkify.scm 163 */
																int BgL_arg2423z00_2064;

																BgL_arg2423z00_2064 = (int) (((long) 8));
																{	/* Ast/shrinkify.scm 163 */
																	long BgL_auxz00_3204;

																	BgL_auxz00_3204 =
																		(long) (BgL_arg2423z00_2064);
																	BgL_restz00_2063 =
																		(BgL_offsetz00_2060 % BgL_auxz00_3204);
															}}
															{	/* Ast/shrinkify.scm 163 */

																BgL_method3114z00_2053 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2058,
																		(int) (BgL_modz00_2061)),
																	(int) (BgL_restz00_2063));
								}}}}}}}}
								{	/* Ast/shrinkify.scm 163 */
									obj_t BgL_xz00_2548;

									BgL_xz00_2548 =
										PROCEDURE_ENTRY(BgL_method3114z00_2053)
										(BgL_method3114z00_2053, (obj_t) (BgL_nodez00_2052), BEOA);
									BgL_res3391z00_2078 = BUNSPEC;
						}}} BgL_res3391z00_2078;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-make-bo3142 */
	obj_t BGl_shrinkzd2nodez12zd2makezd2bo3142zc0zzast_shrinkifyz00(obj_t
		BgL_envz00_2506, obj_t BgL_nodez00_2507)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 153 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1280;

				BgL_nodez00_1280 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2507);
				{	/* Ast/shrinkify.scm 154 */
					bool_t BgL_testz00_3215;

					{	/* Ast/shrinkify.scm 154 */
						bool_t BgL_testz00_3216;

						{	/* Ast/shrinkify.scm 154 */
							obj_t BgL_auxz00_3217;

							{	/* Ast/shrinkify.scm 154 */
								BgL_objectz00_bglt BgL_auxz00_3218;

								BgL_auxz00_3218 = (BgL_objectz00_bglt) (BgL_nodez00_1280);
								BgL_auxz00_3217 = BGL_OBJECT_WIDENING(BgL_auxz00_3218);
							}
							BgL_testz00_3216 = CBOOL(BgL_auxz00_3217);
						}
						if (BgL_testz00_3216)
							{	/* Ast/shrinkify.scm 154 */
								BgL_testz00_3215 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 154 */
								BgL_testz00_3215 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3215)
						{	/* Ast/shrinkify.scm 154 */
							{	/* Ast/shrinkify.scm 154 */
								long BgL_arg3283z00_1285;

								{	/* Ast/shrinkify.scm 154 */
									obj_t BgL_arg3284z00_1286;

									{	/* Ast/shrinkify.scm 154 */
										obj_t BgL_arg3285z00_1287;

										{	/* Ast/shrinkify.scm 154 */
											BgL_objectz00_bglt BgL_objectz00_2000;

											BgL_objectz00_2000 =
												(BgL_objectz00_bglt) (BgL_nodez00_1280);
											{	/* Ast/shrinkify.scm 154 */
												long BgL_arg2425z00_2001;

												{	/* Ast/shrinkify.scm 154 */
													long BgL_arg2426z00_2002;

													BgL_arg2426z00_2002 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_2000);
													BgL_arg2425z00_2001 =
														(BgL_arg2426z00_2002 - OBJECT_TYPE);
												}
												BgL_arg3285z00_1287 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2425z00_2001));
										}}
										BgL_arg3284z00_1286 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3285z00_1287);
									}
									BgL_arg3283z00_1285 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3284z00_1286);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_nodez00_1280), BgL_arg3283z00_1285);
							}
							{	/* Ast/shrinkify.scm 154 */
								BgL_objectz00_bglt BgL_auxz00_3231;

								BgL_auxz00_3231 = (BgL_objectz00_bglt) (BgL_nodez00_1280);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3231, BFALSE);
							}
							(obj_t) (BgL_nodez00_1280);
						}
					else
						{	/* Ast/shrinkify.scm 154 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 155 */
					BgL_nodez00_bglt BgL_arg3286z00_1288;

					BgL_arg3286z00_1288 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1280))->BgL_valuez00);
					{	/* Ast/shrinkify.scm 155 */
						obj_t BgL_res3387z00_2037;

						{	/* Ast/shrinkify.scm 155 */
							obj_t BgL_method3114z00_2012;

							{	/* Ast/shrinkify.scm 155 */
								BgL_objectz00_bglt BgL_objz00_2013;

								BgL_objz00_2013 = (BgL_objectz00_bglt) (BgL_arg3286z00_1288);
								{	/* Ast/shrinkify.scm 155 */
									long BgL_objzd2classzd2numz00_2014;

									BgL_objzd2classzd2numz00_2014 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2013);
									{	/* Ast/shrinkify.scm 155 */
										obj_t BgL_arg2422z00_2015;

										BgL_arg2422z00_2015 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 155 */
											obj_t BgL_arrayz00_2017;

											int BgL_offsetz00_2018;

											BgL_arrayz00_2017 = BgL_arg2422z00_2015;
											BgL_offsetz00_2018 =
												(int) (BgL_objzd2classzd2numz00_2014);
											{	/* Ast/shrinkify.scm 155 */
												long BgL_offsetz00_2019;

												BgL_offsetz00_2019 =
													((long) (BgL_offsetz00_2018) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 155 */
													long BgL_modz00_2020;

													{	/* Ast/shrinkify.scm 155 */
														int BgL_arg2424z00_2021;

														BgL_arg2424z00_2021 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 155 */
															long BgL_auxz00_3244;

															BgL_auxz00_3244 = (long) (BgL_arg2424z00_2021);
															BgL_modz00_2020 =
																(BgL_offsetz00_2019 / BgL_auxz00_3244);
													}}
													{	/* Ast/shrinkify.scm 155 */
														long BgL_restz00_2022;

														{	/* Ast/shrinkify.scm 155 */
															int BgL_arg2423z00_2023;

															BgL_arg2423z00_2023 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 155 */
																long BgL_auxz00_3248;

																BgL_auxz00_3248 = (long) (BgL_arg2423z00_2023);
																BgL_restz00_2022 =
																	(BgL_offsetz00_2019 % BgL_auxz00_3248);
														}}
														{	/* Ast/shrinkify.scm 155 */

															BgL_method3114z00_2012 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2017,
																	(int) (BgL_modz00_2020)),
																(int) (BgL_restz00_2022));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 155 */
								obj_t BgL_xz00_2549;

								BgL_xz00_2549 =
									PROCEDURE_ENTRY(BgL_method3114z00_2012)
									(BgL_method3114z00_2012, (obj_t) (BgL_arg3286z00_1288), BEOA);
								BgL_res3387z00_2037 = BUNSPEC;
						}} BgL_res3387z00_2037;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-select3140 */
	obj_t BGl_shrinkzd2nodez12zd2select3140z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2508, obj_t BgL_nodez00_2509)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 143 */
			{
				BgL_selectz00_bglt BgL_nodez00_1265;

				BgL_nodez00_1265 = (BgL_selectz00_bglt) (BgL_nodez00_2509);
				{	/* Ast/shrinkify.scm 144 */
					BgL_nodez00_bglt BgL_arg3276z00_1268;

					BgL_arg3276z00_1268 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1265))->BgL_testz00);
					{	/* Ast/shrinkify.scm 144 */
						obj_t BgL_res3380z00_1964;

						{	/* Ast/shrinkify.scm 144 */
							obj_t BgL_method3114z00_1939;

							{	/* Ast/shrinkify.scm 144 */
								BgL_objectz00_bglt BgL_objz00_1940;

								BgL_objz00_1940 = (BgL_objectz00_bglt) (BgL_arg3276z00_1268);
								{	/* Ast/shrinkify.scm 144 */
									long BgL_objzd2classzd2numz00_1941;

									BgL_objzd2classzd2numz00_1941 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1940);
									{	/* Ast/shrinkify.scm 144 */
										obj_t BgL_arg2422z00_1942;

										BgL_arg2422z00_1942 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 144 */
											obj_t BgL_arrayz00_1944;

											int BgL_offsetz00_1945;

											BgL_arrayz00_1944 = BgL_arg2422z00_1942;
											BgL_offsetz00_1945 =
												(int) (BgL_objzd2classzd2numz00_1941);
											{	/* Ast/shrinkify.scm 144 */
												long BgL_offsetz00_1946;

												BgL_offsetz00_1946 =
													((long) (BgL_offsetz00_1945) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 144 */
													long BgL_modz00_1947;

													{	/* Ast/shrinkify.scm 144 */
														int BgL_arg2424z00_1948;

														BgL_arg2424z00_1948 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 144 */
															long BgL_auxz00_3268;

															BgL_auxz00_3268 = (long) (BgL_arg2424z00_1948);
															BgL_modz00_1947 =
																(BgL_offsetz00_1946 / BgL_auxz00_3268);
													}}
													{	/* Ast/shrinkify.scm 144 */
														long BgL_restz00_1949;

														{	/* Ast/shrinkify.scm 144 */
															int BgL_arg2423z00_1950;

															BgL_arg2423z00_1950 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 144 */
																long BgL_auxz00_3272;

																BgL_auxz00_3272 = (long) (BgL_arg2423z00_1950);
																BgL_restz00_1949 =
																	(BgL_offsetz00_1946 % BgL_auxz00_3272);
														}}
														{	/* Ast/shrinkify.scm 144 */

															BgL_method3114z00_1939 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1944,
																	(int) (BgL_modz00_1947)),
																(int) (BgL_restz00_1949));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 144 */
								obj_t BgL_xz00_2550;

								BgL_xz00_2550 =
									PROCEDURE_ENTRY(BgL_method3114z00_1939)
									(BgL_method3114z00_1939, (obj_t) (BgL_arg3276z00_1268), BEOA);
								BgL_res3380z00_1964 = BUNSPEC;
						}} BgL_res3380z00_1964;
				}}
				{	/* Ast/shrinkify.scm 145 */
					obj_t BgL_g3099z00_1269;

					BgL_g3099z00_1269 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1265))->BgL_clausesz00);
					{
						obj_t BgL_l3097z00_1271;

						BgL_l3097z00_1271 = BgL_g3099z00_1269;
					BgL_zc3anonymousza33277ze3z83_1272:
						if (PAIRP(BgL_l3097z00_1271))
							{	/* Ast/shrinkify.scm 147 */
								{	/* Ast/shrinkify.scm 146 */
									obj_t BgL_clausez00_1274;

									BgL_clausez00_1274 = CAR(BgL_l3097z00_1271);
									{	/* Ast/shrinkify.scm 146 */
										obj_t BgL_arg3279z00_1275;

										BgL_arg3279z00_1275 = CDR(BgL_clausez00_1274);
										{	/* Ast/shrinkify.scm 146 */
											obj_t BgL_res3383z00_1995;

											{	/* Ast/shrinkify.scm 146 */
												BgL_nodez00_bglt BgL_nodez00_1969;

												BgL_nodez00_1969 =
													(BgL_nodez00_bglt) (BgL_arg3279z00_1275);
												{	/* Ast/shrinkify.scm 146 */
													obj_t BgL_method3114z00_1970;

													{	/* Ast/shrinkify.scm 146 */
														BgL_objectz00_bglt BgL_objz00_1971;

														BgL_objz00_1971 =
															(BgL_objectz00_bglt) (BgL_nodez00_1969);
														{	/* Ast/shrinkify.scm 146 */
															long BgL_objzd2classzd2numz00_1972;

															BgL_objzd2classzd2numz00_1972 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1971);
															{	/* Ast/shrinkify.scm 146 */
																obj_t BgL_arg2422z00_1973;

																BgL_arg2422z00_1973 =
																	PROCEDURE_REF
																	(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
																	(int) (((long) 1)));
																{	/* Ast/shrinkify.scm 146 */
																	obj_t BgL_arrayz00_1975;

																	int BgL_offsetz00_1976;

																	BgL_arrayz00_1975 = BgL_arg2422z00_1973;
																	BgL_offsetz00_1976 =
																		(int) (BgL_objzd2classzd2numz00_1972);
																	{	/* Ast/shrinkify.scm 146 */
																		long BgL_offsetz00_1977;

																		BgL_offsetz00_1977 =
																			(
																			(long) (BgL_offsetz00_1976) -
																			OBJECT_TYPE);
																		{	/* Ast/shrinkify.scm 146 */
																			long BgL_modz00_1978;

																			{	/* Ast/shrinkify.scm 146 */
																				int BgL_arg2424z00_1979;

																				BgL_arg2424z00_1979 =
																					(int) (((long) 8));
																				{	/* Ast/shrinkify.scm 146 */
																					long BgL_auxz00_3296;

																					BgL_auxz00_3296 =
																						(long) (BgL_arg2424z00_1979);
																					BgL_modz00_1978 =
																						(BgL_offsetz00_1977 /
																						BgL_auxz00_3296);
																			}}
																			{	/* Ast/shrinkify.scm 146 */
																				long BgL_restz00_1980;

																				{	/* Ast/shrinkify.scm 146 */
																					int BgL_arg2423z00_1981;

																					BgL_arg2423z00_1981 =
																						(int) (((long) 8));
																					{	/* Ast/shrinkify.scm 146 */
																						long BgL_auxz00_3300;

																						BgL_auxz00_3300 =
																							(long) (BgL_arg2423z00_1981);
																						BgL_restz00_1980 =
																							(BgL_offsetz00_1977 %
																							BgL_auxz00_3300);
																				}}
																				{	/* Ast/shrinkify.scm 146 */

																					BgL_method3114z00_1970 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1975,
																							(int) (BgL_modz00_1978)),
																						(int) (BgL_restz00_1980));
													}}}}}}}}
													{	/* Ast/shrinkify.scm 146 */
														obj_t BgL_xz00_2551;

														BgL_xz00_2551 =
															PROCEDURE_ENTRY(BgL_method3114z00_1970)
															(BgL_method3114z00_1970,
															(obj_t) (BgL_nodez00_1969), BEOA);
														BgL_res3383z00_1995 = BUNSPEC;
											}}} BgL_res3383z00_1995;
								}}}
								{
									obj_t BgL_l3097z00_3310;

									BgL_l3097z00_3310 = CDR(BgL_l3097z00_1271);
									BgL_l3097z00_1271 = BgL_l3097z00_3310;
									goto BgL_zc3anonymousza33277ze3z83_1272;
								}
							}
						else
							{	/* Ast/shrinkify.scm 147 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-fail3138 */
	obj_t BGl_shrinkzd2nodez12zd2fail3138z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2510, obj_t BgL_nodez00_2511)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 134 */
			{
				BgL_failz00_bglt BgL_nodez00_1257;

				BgL_nodez00_1257 = (BgL_failz00_bglt) (BgL_nodez00_2511);
				{	/* Ast/shrinkify.scm 135 */
					BgL_nodez00_bglt BgL_arg3272z00_1260;

					BgL_arg3272z00_1260 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1257))->BgL_procz00);
					{	/* Ast/shrinkify.scm 135 */
						obj_t BgL_res3371z00_1880;

						{	/* Ast/shrinkify.scm 135 */
							obj_t BgL_method3114z00_1855;

							{	/* Ast/shrinkify.scm 135 */
								BgL_objectz00_bglt BgL_objz00_1856;

								BgL_objz00_1856 = (BgL_objectz00_bglt) (BgL_arg3272z00_1260);
								{	/* Ast/shrinkify.scm 135 */
									long BgL_objzd2classzd2numz00_1857;

									BgL_objzd2classzd2numz00_1857 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1856);
									{	/* Ast/shrinkify.scm 135 */
										obj_t BgL_arg2422z00_1858;

										BgL_arg2422z00_1858 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 135 */
											obj_t BgL_arrayz00_1860;

											int BgL_offsetz00_1861;

											BgL_arrayz00_1860 = BgL_arg2422z00_1858;
											BgL_offsetz00_1861 =
												(int) (BgL_objzd2classzd2numz00_1857);
											{	/* Ast/shrinkify.scm 135 */
												long BgL_offsetz00_1862;

												BgL_offsetz00_1862 =
													((long) (BgL_offsetz00_1861) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 135 */
													long BgL_modz00_1863;

													{	/* Ast/shrinkify.scm 135 */
														int BgL_arg2424z00_1864;

														BgL_arg2424z00_1864 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 135 */
															long BgL_auxz00_3322;

															BgL_auxz00_3322 = (long) (BgL_arg2424z00_1864);
															BgL_modz00_1863 =
																(BgL_offsetz00_1862 / BgL_auxz00_3322);
													}}
													{	/* Ast/shrinkify.scm 135 */
														long BgL_restz00_1865;

														{	/* Ast/shrinkify.scm 135 */
															int BgL_arg2423z00_1866;

															BgL_arg2423z00_1866 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 135 */
																long BgL_auxz00_3326;

																BgL_auxz00_3326 = (long) (BgL_arg2423z00_1866);
																BgL_restz00_1865 =
																	(BgL_offsetz00_1862 % BgL_auxz00_3326);
														}}
														{	/* Ast/shrinkify.scm 135 */

															BgL_method3114z00_1855 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1860,
																	(int) (BgL_modz00_1863)),
																(int) (BgL_restz00_1865));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 135 */
								obj_t BgL_xz00_2552;

								BgL_xz00_2552 =
									PROCEDURE_ENTRY(BgL_method3114z00_1855)
									(BgL_method3114z00_1855, (obj_t) (BgL_arg3272z00_1260), BEOA);
								BgL_res3371z00_1880 = BUNSPEC;
						}} BgL_res3371z00_1880;
				}}
				{	/* Ast/shrinkify.scm 136 */
					BgL_nodez00_bglt BgL_arg3273z00_1261;

					BgL_arg3273z00_1261 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1257))->BgL_msgz00);
					{	/* Ast/shrinkify.scm 136 */
						obj_t BgL_res3374z00_1908;

						{	/* Ast/shrinkify.scm 136 */
							obj_t BgL_method3114z00_1883;

							{	/* Ast/shrinkify.scm 136 */
								BgL_objectz00_bglt BgL_objz00_1884;

								BgL_objz00_1884 = (BgL_objectz00_bglt) (BgL_arg3273z00_1261);
								{	/* Ast/shrinkify.scm 136 */
									long BgL_objzd2classzd2numz00_1885;

									BgL_objzd2classzd2numz00_1885 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1884);
									{	/* Ast/shrinkify.scm 136 */
										obj_t BgL_arg2422z00_1886;

										BgL_arg2422z00_1886 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 136 */
											obj_t BgL_arrayz00_1888;

											int BgL_offsetz00_1889;

											BgL_arrayz00_1888 = BgL_arg2422z00_1886;
											BgL_offsetz00_1889 =
												(int) (BgL_objzd2classzd2numz00_1885);
											{	/* Ast/shrinkify.scm 136 */
												long BgL_offsetz00_1890;

												BgL_offsetz00_1890 =
													((long) (BgL_offsetz00_1889) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 136 */
													long BgL_modz00_1891;

													{	/* Ast/shrinkify.scm 136 */
														int BgL_arg2424z00_1892;

														BgL_arg2424z00_1892 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 136 */
															long BgL_auxz00_3345;

															BgL_auxz00_3345 = (long) (BgL_arg2424z00_1892);
															BgL_modz00_1891 =
																(BgL_offsetz00_1890 / BgL_auxz00_3345);
													}}
													{	/* Ast/shrinkify.scm 136 */
														long BgL_restz00_1893;

														{	/* Ast/shrinkify.scm 136 */
															int BgL_arg2423z00_1894;

															BgL_arg2423z00_1894 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 136 */
																long BgL_auxz00_3349;

																BgL_auxz00_3349 = (long) (BgL_arg2423z00_1894);
																BgL_restz00_1893 =
																	(BgL_offsetz00_1890 % BgL_auxz00_3349);
														}}
														{	/* Ast/shrinkify.scm 136 */

															BgL_method3114z00_1883 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1888,
																	(int) (BgL_modz00_1891)),
																(int) (BgL_restz00_1893));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 136 */
								obj_t BgL_xz00_2553;

								BgL_xz00_2553 =
									PROCEDURE_ENTRY(BgL_method3114z00_1883)
									(BgL_method3114z00_1883, (obj_t) (BgL_arg3273z00_1261), BEOA);
								BgL_res3374z00_1908 = BUNSPEC;
						}} BgL_res3374z00_1908;
				}}
				{	/* Ast/shrinkify.scm 137 */
					BgL_nodez00_bglt BgL_arg3274z00_1262;

					BgL_arg3274z00_1262 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1257))->BgL_objz00);
					{	/* Ast/shrinkify.scm 137 */
						obj_t BgL_res3377z00_1936;

						{	/* Ast/shrinkify.scm 137 */
							obj_t BgL_method3114z00_1911;

							{	/* Ast/shrinkify.scm 137 */
								BgL_objectz00_bglt BgL_objz00_1912;

								BgL_objz00_1912 = (BgL_objectz00_bglt) (BgL_arg3274z00_1262);
								{	/* Ast/shrinkify.scm 137 */
									long BgL_objzd2classzd2numz00_1913;

									BgL_objzd2classzd2numz00_1913 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1912);
									{	/* Ast/shrinkify.scm 137 */
										obj_t BgL_arg2422z00_1914;

										BgL_arg2422z00_1914 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 137 */
											obj_t BgL_arrayz00_1916;

											int BgL_offsetz00_1917;

											BgL_arrayz00_1916 = BgL_arg2422z00_1914;
											BgL_offsetz00_1917 =
												(int) (BgL_objzd2classzd2numz00_1913);
											{	/* Ast/shrinkify.scm 137 */
												long BgL_offsetz00_1918;

												BgL_offsetz00_1918 =
													((long) (BgL_offsetz00_1917) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 137 */
													long BgL_modz00_1919;

													{	/* Ast/shrinkify.scm 137 */
														int BgL_arg2424z00_1920;

														BgL_arg2424z00_1920 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 137 */
															long BgL_auxz00_3368;

															BgL_auxz00_3368 = (long) (BgL_arg2424z00_1920);
															BgL_modz00_1919 =
																(BgL_offsetz00_1918 / BgL_auxz00_3368);
													}}
													{	/* Ast/shrinkify.scm 137 */
														long BgL_restz00_1921;

														{	/* Ast/shrinkify.scm 137 */
															int BgL_arg2423z00_1922;

															BgL_arg2423z00_1922 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 137 */
																long BgL_auxz00_3372;

																BgL_auxz00_3372 = (long) (BgL_arg2423z00_1922);
																BgL_restz00_1921 =
																	(BgL_offsetz00_1918 % BgL_auxz00_3372);
														}}
														{	/* Ast/shrinkify.scm 137 */

															BgL_method3114z00_1911 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1916,
																	(int) (BgL_modz00_1919)),
																(int) (BgL_restz00_1921));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 137 */
								obj_t BgL_xz00_2554;

								BgL_xz00_2554 =
									PROCEDURE_ENTRY(BgL_method3114z00_1911)
									(BgL_method3114z00_1911, (obj_t) (BgL_arg3274z00_1262), BEOA);
								BgL_res3377z00_1936 = BUNSPEC;
						}} BgL_res3377z00_1936;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-conditi3136 */
	obj_t BGl_shrinkzd2nodez12zd2conditi3136z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2512, obj_t BgL_nodez00_2513)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 125 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1249;

				BgL_nodez00_1249 = (BgL_conditionalz00_bglt) (BgL_nodez00_2513);
				{	/* Ast/shrinkify.scm 126 */
					BgL_nodez00_bglt BgL_arg3268z00_1252;

					BgL_arg3268z00_1252 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1249))->BgL_testz00);
					{	/* Ast/shrinkify.scm 126 */
						obj_t BgL_res3362z00_1796;

						{	/* Ast/shrinkify.scm 126 */
							obj_t BgL_method3114z00_1771;

							{	/* Ast/shrinkify.scm 126 */
								BgL_objectz00_bglt BgL_objz00_1772;

								BgL_objz00_1772 = (BgL_objectz00_bglt) (BgL_arg3268z00_1252);
								{	/* Ast/shrinkify.scm 126 */
									long BgL_objzd2classzd2numz00_1773;

									BgL_objzd2classzd2numz00_1773 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1772);
									{	/* Ast/shrinkify.scm 126 */
										obj_t BgL_arg2422z00_1774;

										BgL_arg2422z00_1774 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 126 */
											obj_t BgL_arrayz00_1776;

											int BgL_offsetz00_1777;

											BgL_arrayz00_1776 = BgL_arg2422z00_1774;
											BgL_offsetz00_1777 =
												(int) (BgL_objzd2classzd2numz00_1773);
											{	/* Ast/shrinkify.scm 126 */
												long BgL_offsetz00_1778;

												BgL_offsetz00_1778 =
													((long) (BgL_offsetz00_1777) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 126 */
													long BgL_modz00_1779;

													{	/* Ast/shrinkify.scm 126 */
														int BgL_arg2424z00_1780;

														BgL_arg2424z00_1780 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 126 */
															long BgL_auxz00_3392;

															BgL_auxz00_3392 = (long) (BgL_arg2424z00_1780);
															BgL_modz00_1779 =
																(BgL_offsetz00_1778 / BgL_auxz00_3392);
													}}
													{	/* Ast/shrinkify.scm 126 */
														long BgL_restz00_1781;

														{	/* Ast/shrinkify.scm 126 */
															int BgL_arg2423z00_1782;

															BgL_arg2423z00_1782 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 126 */
																long BgL_auxz00_3396;

																BgL_auxz00_3396 = (long) (BgL_arg2423z00_1782);
																BgL_restz00_1781 =
																	(BgL_offsetz00_1778 % BgL_auxz00_3396);
														}}
														{	/* Ast/shrinkify.scm 126 */

															BgL_method3114z00_1771 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1776,
																	(int) (BgL_modz00_1779)),
																(int) (BgL_restz00_1781));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 126 */
								obj_t BgL_xz00_2555;

								BgL_xz00_2555 =
									PROCEDURE_ENTRY(BgL_method3114z00_1771)
									(BgL_method3114z00_1771, (obj_t) (BgL_arg3268z00_1252), BEOA);
								BgL_res3362z00_1796 = BUNSPEC;
						}} BgL_res3362z00_1796;
				}}
				{	/* Ast/shrinkify.scm 127 */
					BgL_nodez00_bglt BgL_arg3269z00_1253;

					BgL_arg3269z00_1253 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1249))->BgL_truez00);
					{	/* Ast/shrinkify.scm 127 */
						obj_t BgL_res3365z00_1824;

						{	/* Ast/shrinkify.scm 127 */
							obj_t BgL_method3114z00_1799;

							{	/* Ast/shrinkify.scm 127 */
								BgL_objectz00_bglt BgL_objz00_1800;

								BgL_objz00_1800 = (BgL_objectz00_bglt) (BgL_arg3269z00_1253);
								{	/* Ast/shrinkify.scm 127 */
									long BgL_objzd2classzd2numz00_1801;

									BgL_objzd2classzd2numz00_1801 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1800);
									{	/* Ast/shrinkify.scm 127 */
										obj_t BgL_arg2422z00_1802;

										BgL_arg2422z00_1802 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 127 */
											obj_t BgL_arrayz00_1804;

											int BgL_offsetz00_1805;

											BgL_arrayz00_1804 = BgL_arg2422z00_1802;
											BgL_offsetz00_1805 =
												(int) (BgL_objzd2classzd2numz00_1801);
											{	/* Ast/shrinkify.scm 127 */
												long BgL_offsetz00_1806;

												BgL_offsetz00_1806 =
													((long) (BgL_offsetz00_1805) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 127 */
													long BgL_modz00_1807;

													{	/* Ast/shrinkify.scm 127 */
														int BgL_arg2424z00_1808;

														BgL_arg2424z00_1808 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 127 */
															long BgL_auxz00_3415;

															BgL_auxz00_3415 = (long) (BgL_arg2424z00_1808);
															BgL_modz00_1807 =
																(BgL_offsetz00_1806 / BgL_auxz00_3415);
													}}
													{	/* Ast/shrinkify.scm 127 */
														long BgL_restz00_1809;

														{	/* Ast/shrinkify.scm 127 */
															int BgL_arg2423z00_1810;

															BgL_arg2423z00_1810 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 127 */
																long BgL_auxz00_3419;

																BgL_auxz00_3419 = (long) (BgL_arg2423z00_1810);
																BgL_restz00_1809 =
																	(BgL_offsetz00_1806 % BgL_auxz00_3419);
														}}
														{	/* Ast/shrinkify.scm 127 */

															BgL_method3114z00_1799 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1804,
																	(int) (BgL_modz00_1807)),
																(int) (BgL_restz00_1809));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 127 */
								obj_t BgL_xz00_2556;

								BgL_xz00_2556 =
									PROCEDURE_ENTRY(BgL_method3114z00_1799)
									(BgL_method3114z00_1799, (obj_t) (BgL_arg3269z00_1253), BEOA);
								BgL_res3365z00_1824 = BUNSPEC;
						}} BgL_res3365z00_1824;
				}}
				{	/* Ast/shrinkify.scm 128 */
					BgL_nodez00_bglt BgL_arg3270z00_1254;

					BgL_arg3270z00_1254 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1249))->BgL_falsez00);
					{	/* Ast/shrinkify.scm 128 */
						obj_t BgL_res3368z00_1852;

						{	/* Ast/shrinkify.scm 128 */
							obj_t BgL_method3114z00_1827;

							{	/* Ast/shrinkify.scm 128 */
								BgL_objectz00_bglt BgL_objz00_1828;

								BgL_objz00_1828 = (BgL_objectz00_bglt) (BgL_arg3270z00_1254);
								{	/* Ast/shrinkify.scm 128 */
									long BgL_objzd2classzd2numz00_1829;

									BgL_objzd2classzd2numz00_1829 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1828);
									{	/* Ast/shrinkify.scm 128 */
										obj_t BgL_arg2422z00_1830;

										BgL_arg2422z00_1830 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 128 */
											obj_t BgL_arrayz00_1832;

											int BgL_offsetz00_1833;

											BgL_arrayz00_1832 = BgL_arg2422z00_1830;
											BgL_offsetz00_1833 =
												(int) (BgL_objzd2classzd2numz00_1829);
											{	/* Ast/shrinkify.scm 128 */
												long BgL_offsetz00_1834;

												BgL_offsetz00_1834 =
													((long) (BgL_offsetz00_1833) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 128 */
													long BgL_modz00_1835;

													{	/* Ast/shrinkify.scm 128 */
														int BgL_arg2424z00_1836;

														BgL_arg2424z00_1836 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 128 */
															long BgL_auxz00_3438;

															BgL_auxz00_3438 = (long) (BgL_arg2424z00_1836);
															BgL_modz00_1835 =
																(BgL_offsetz00_1834 / BgL_auxz00_3438);
													}}
													{	/* Ast/shrinkify.scm 128 */
														long BgL_restz00_1837;

														{	/* Ast/shrinkify.scm 128 */
															int BgL_arg2423z00_1838;

															BgL_arg2423z00_1838 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 128 */
																long BgL_auxz00_3442;

																BgL_auxz00_3442 = (long) (BgL_arg2423z00_1838);
																BgL_restz00_1837 =
																	(BgL_offsetz00_1834 % BgL_auxz00_3442);
														}}
														{	/* Ast/shrinkify.scm 128 */

															BgL_method3114z00_1827 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1832,
																	(int) (BgL_modz00_1835)),
																(int) (BgL_restz00_1837));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 128 */
								obj_t BgL_xz00_2557;

								BgL_xz00_2557 =
									PROCEDURE_ENTRY(BgL_method3114z00_1827)
									(BgL_method3114z00_1827, (obj_t) (BgL_arg3270z00_1254), BEOA);
								BgL_res3368z00_1852 = BUNSPEC;
						}} BgL_res3368z00_1852;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-setq3134 */
	obj_t BGl_shrinkzd2nodez12zd2setq3134z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2514, obj_t BgL_nodez00_2515)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 118 */
			{
				BgL_setqz00_bglt BgL_nodez00_1243;

				BgL_nodez00_1243 = (BgL_setqz00_bglt) (BgL_nodez00_2515);
				{	/* Ast/shrinkify.scm 119 */
					BgL_nodez00_bglt BgL_arg3266z00_1740;

					BgL_arg3266z00_1740 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1243))->BgL_valuez00);
					{	/* Ast/shrinkify.scm 119 */
						obj_t BgL_res3359z00_1768;

						{	/* Ast/shrinkify.scm 119 */
							obj_t BgL_method3114z00_1743;

							{	/* Ast/shrinkify.scm 119 */
								BgL_objectz00_bglt BgL_objz00_1744;

								BgL_objz00_1744 = (BgL_objectz00_bglt) (BgL_arg3266z00_1740);
								{	/* Ast/shrinkify.scm 119 */
									long BgL_objzd2classzd2numz00_1745;

									BgL_objzd2classzd2numz00_1745 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1744);
									{	/* Ast/shrinkify.scm 119 */
										obj_t BgL_arg2422z00_1746;

										BgL_arg2422z00_1746 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 119 */
											obj_t BgL_arrayz00_1748;

											int BgL_offsetz00_1749;

											BgL_arrayz00_1748 = BgL_arg2422z00_1746;
											BgL_offsetz00_1749 =
												(int) (BgL_objzd2classzd2numz00_1745);
											{	/* Ast/shrinkify.scm 119 */
												long BgL_offsetz00_1750;

												BgL_offsetz00_1750 =
													((long) (BgL_offsetz00_1749) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 119 */
													long BgL_modz00_1751;

													{	/* Ast/shrinkify.scm 119 */
														int BgL_arg2424z00_1752;

														BgL_arg2424z00_1752 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 119 */
															long BgL_auxz00_3462;

															BgL_auxz00_3462 = (long) (BgL_arg2424z00_1752);
															BgL_modz00_1751 =
																(BgL_offsetz00_1750 / BgL_auxz00_3462);
													}}
													{	/* Ast/shrinkify.scm 119 */
														long BgL_restz00_1753;

														{	/* Ast/shrinkify.scm 119 */
															int BgL_arg2423z00_1754;

															BgL_arg2423z00_1754 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 119 */
																long BgL_auxz00_3466;

																BgL_auxz00_3466 = (long) (BgL_arg2423z00_1754);
																BgL_restz00_1753 =
																	(BgL_offsetz00_1750 % BgL_auxz00_3466);
														}}
														{	/* Ast/shrinkify.scm 119 */

															BgL_method3114z00_1743 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1748,
																	(int) (BgL_modz00_1751)),
																(int) (BgL_restz00_1753));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 119 */
								obj_t BgL_xz00_2558;

								BgL_xz00_2558 =
									PROCEDURE_ENTRY(BgL_method3114z00_1743)
									(BgL_method3114z00_1743, (obj_t) (BgL_arg3266z00_1740), BEOA);
								BgL_res3359z00_1768 = BUNSPEC;
						}} BgL_res3359z00_1768;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-cast3132 */
	obj_t BGl_shrinkzd2nodez12zd2cast3132z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2516, obj_t BgL_nodez00_2517)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 111 */
			{
				BgL_castz00_bglt BgL_nodez00_1237;

				{	/* Ast/shrinkify.scm 112 */
					BgL_castz00_bglt BgL_auxz00_3477;

					BgL_nodez00_1237 = (BgL_castz00_bglt) (BgL_nodez00_2517);
					{	/* Ast/shrinkify.scm 112 */
						BgL_nodez00_bglt BgL_arg3264z00_1711;

						BgL_arg3264z00_1711 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1237))->BgL_argz00);
						{	/* Ast/shrinkify.scm 112 */
							obj_t BgL_res3356z00_1739;

							{	/* Ast/shrinkify.scm 112 */
								obj_t BgL_method3114z00_1714;

								{	/* Ast/shrinkify.scm 112 */
									BgL_objectz00_bglt BgL_objz00_1715;

									BgL_objz00_1715 = (BgL_objectz00_bglt) (BgL_arg3264z00_1711);
									{	/* Ast/shrinkify.scm 112 */
										long BgL_objzd2classzd2numz00_1716;

										BgL_objzd2classzd2numz00_1716 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1715);
										{	/* Ast/shrinkify.scm 112 */
											obj_t BgL_arg2422z00_1717;

											BgL_arg2422z00_1717 =
												PROCEDURE_REF
												(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
												(int) (((long) 1)));
											{	/* Ast/shrinkify.scm 112 */
												obj_t BgL_arrayz00_1719;

												int BgL_offsetz00_1720;

												BgL_arrayz00_1719 = BgL_arg2422z00_1717;
												BgL_offsetz00_1720 =
													(int) (BgL_objzd2classzd2numz00_1716);
												{	/* Ast/shrinkify.scm 112 */
													long BgL_offsetz00_1721;

													BgL_offsetz00_1721 =
														((long) (BgL_offsetz00_1720) - OBJECT_TYPE);
													{	/* Ast/shrinkify.scm 112 */
														long BgL_modz00_1722;

														{	/* Ast/shrinkify.scm 112 */
															int BgL_arg2424z00_1723;

															BgL_arg2424z00_1723 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 112 */
																long BgL_auxz00_3487;

																BgL_auxz00_3487 = (long) (BgL_arg2424z00_1723);
																BgL_modz00_1722 =
																	(BgL_offsetz00_1721 / BgL_auxz00_3487);
														}}
														{	/* Ast/shrinkify.scm 112 */
															long BgL_restz00_1724;

															{	/* Ast/shrinkify.scm 112 */
																int BgL_arg2423z00_1725;

																BgL_arg2423z00_1725 = (int) (((long) 8));
																{	/* Ast/shrinkify.scm 112 */
																	long BgL_auxz00_3491;

																	BgL_auxz00_3491 =
																		(long) (BgL_arg2423z00_1725);
																	BgL_restz00_1724 =
																		(BgL_offsetz00_1721 % BgL_auxz00_3491);
															}}
															{	/* Ast/shrinkify.scm 112 */

																BgL_method3114z00_1714 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1719,
																		(int) (BgL_modz00_1722)),
																	(int) (BgL_restz00_1724));
								}}}}}}}}
								{	/* Ast/shrinkify.scm 112 */
									obj_t BgL_xz00_2559;

									BgL_xz00_2559 =
										PROCEDURE_ENTRY(BgL_method3114z00_1714)
										(BgL_method3114z00_1714, (obj_t) (BgL_arg3264z00_1711),
										BEOA);
									BgL_res3356z00_1739 = BUNSPEC;
							}} BgL_res3356z00_1739;
					}}
					BgL_auxz00_3477 = BgL_nodez00_1237;
					return (obj_t) (BgL_auxz00_3477);
				}
			}
		}
	}



/* shrink-node!-extern3130 */
	obj_t BGl_shrinkzd2nodez12zd2extern3130z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2518, obj_t BgL_nodez00_2519)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 103 */
			{
				BgL_externz00_bglt BgL_nodez00_1226;

				{	/* Ast/shrinkify.scm 104 */
					BgL_externz00_bglt BgL_auxz00_3503;

					BgL_nodez00_1226 = (BgL_externz00_bglt) (BgL_nodez00_2519);
					{	/* Ast/shrinkify.scm 104 */
						bool_t BgL_testz00_3504;

						{	/* Ast/shrinkify.scm 104 */
							bool_t BgL_testz00_3505;

							{	/* Ast/shrinkify.scm 104 */
								obj_t BgL_auxz00_3506;

								{	/* Ast/shrinkify.scm 104 */
									BgL_objectz00_bglt BgL_auxz00_3507;

									BgL_auxz00_3507 = (BgL_objectz00_bglt) (BgL_nodez00_1226);
									BgL_auxz00_3506 = BGL_OBJECT_WIDENING(BgL_auxz00_3507);
								}
								BgL_testz00_3505 = CBOOL(BgL_auxz00_3506);
							}
							if (BgL_testz00_3505)
								{	/* Ast/shrinkify.scm 104 */
									BgL_testz00_3504 = ((bool_t) 1);
								}
							else
								{	/* Ast/shrinkify.scm 104 */
									BgL_testz00_3504 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3504)
							{	/* Ast/shrinkify.scm 104 */
								{	/* Ast/shrinkify.scm 104 */
									long BgL_arg3259z00_1231;

									{	/* Ast/shrinkify.scm 104 */
										obj_t BgL_arg3260z00_1232;

										{	/* Ast/shrinkify.scm 104 */
											obj_t BgL_arg3261z00_1233;

											{	/* Ast/shrinkify.scm 104 */
												BgL_objectz00_bglt BgL_objectz00_1700;

												BgL_objectz00_1700 =
													(BgL_objectz00_bglt) (BgL_nodez00_1226);
												{	/* Ast/shrinkify.scm 104 */
													long BgL_arg2425z00_1701;

													{	/* Ast/shrinkify.scm 104 */
														long BgL_arg2426z00_1702;

														BgL_arg2426z00_1702 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1700);
														BgL_arg2425z00_1701 =
															(BgL_arg2426z00_1702 - OBJECT_TYPE);
													}
													BgL_arg3261z00_1233 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg2425z00_1701));
											}}
											BgL_arg3260z00_1232 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg3261z00_1233);
										}
										BgL_arg3259z00_1231 =
											BGl_classzd2numzd2zz__objectz00(BgL_arg3260z00_1232);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										(BgL_objectz00_bglt) (BgL_nodez00_1226),
										BgL_arg3259z00_1231);
								}
								{	/* Ast/shrinkify.scm 104 */
									BgL_objectz00_bglt BgL_auxz00_3520;

									BgL_auxz00_3520 = (BgL_objectz00_bglt) (BgL_nodez00_1226);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3520, BFALSE);
								}
								(obj_t) (BgL_nodez00_1226);
							}
						else
							{	/* Ast/shrinkify.scm 104 */
								BFALSE;
							}
					}
					{	/* Ast/shrinkify.scm 105 */
						obj_t BgL_arg3262z00_1234;

						BgL_arg3262z00_1234 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1226))->BgL_exprza2za2);
						BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(BgL_arg3262z00_1234);
					}
					BgL_auxz00_3503 = BgL_nodez00_1226;
					return (obj_t) (BgL_auxz00_3503);
				}
			}
		}
	}



/* shrink-node!-funcall3128 */
	obj_t BGl_shrinkzd2nodez12zd2funcall3128z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2520, obj_t BgL_nodez00_2521)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 94 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1214;

				BgL_nodez00_1214 = (BgL_funcallz00_bglt) (BgL_nodez00_2521);
				{	/* Ast/shrinkify.scm 95 */
					bool_t BgL_testz00_3528;

					{	/* Ast/shrinkify.scm 95 */
						bool_t BgL_testz00_3529;

						{	/* Ast/shrinkify.scm 95 */
							obj_t BgL_auxz00_3530;

							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_3531;

								BgL_auxz00_3531 = (BgL_objectz00_bglt) (BgL_nodez00_1214);
								BgL_auxz00_3530 = BGL_OBJECT_WIDENING(BgL_auxz00_3531);
							}
							BgL_testz00_3529 = CBOOL(BgL_auxz00_3530);
						}
						if (BgL_testz00_3529)
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_3528 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_3528 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3528)
						{	/* Ast/shrinkify.scm 95 */
							{	/* Ast/shrinkify.scm 95 */
								long BgL_arg3251z00_1219;

								{	/* Ast/shrinkify.scm 95 */
									obj_t BgL_arg3253z00_1220;

									{	/* Ast/shrinkify.scm 95 */
										obj_t BgL_arg3254z00_1221;

										{	/* Ast/shrinkify.scm 95 */
											BgL_objectz00_bglt BgL_objectz00_1658;

											BgL_objectz00_1658 =
												(BgL_objectz00_bglt) (BgL_nodez00_1214);
											{	/* Ast/shrinkify.scm 95 */
												long BgL_arg2425z00_1659;

												{	/* Ast/shrinkify.scm 95 */
													long BgL_arg2426z00_1660;

													BgL_arg2426z00_1660 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_1658);
													BgL_arg2425z00_1659 =
														(BgL_arg2426z00_1660 - OBJECT_TYPE);
												}
												BgL_arg3254z00_1221 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2425z00_1659));
										}}
										BgL_arg3253z00_1220 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3254z00_1221);
									}
									BgL_arg3251z00_1219 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3253z00_1220);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_nodez00_1214), BgL_arg3251z00_1219);
							}
							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_3544;

								BgL_auxz00_3544 = (BgL_objectz00_bglt) (BgL_nodez00_1214);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3544, BFALSE);
							}
							(obj_t) (BgL_nodez00_1214);
						}
					else
						{	/* Ast/shrinkify.scm 95 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 96 */
					BgL_nodez00_bglt BgL_arg3255z00_1222;

					BgL_arg3255z00_1222 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1214))->BgL_funz00);
					{	/* Ast/shrinkify.scm 96 */
						obj_t BgL_res3352z00_1695;

						{	/* Ast/shrinkify.scm 96 */
							obj_t BgL_method3114z00_1670;

							{	/* Ast/shrinkify.scm 96 */
								BgL_objectz00_bglt BgL_objz00_1671;

								BgL_objz00_1671 = (BgL_objectz00_bglt) (BgL_arg3255z00_1222);
								{	/* Ast/shrinkify.scm 96 */
									long BgL_objzd2classzd2numz00_1672;

									BgL_objzd2classzd2numz00_1672 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1671);
									{	/* Ast/shrinkify.scm 96 */
										obj_t BgL_arg2422z00_1673;

										BgL_arg2422z00_1673 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 96 */
											obj_t BgL_arrayz00_1675;

											int BgL_offsetz00_1676;

											BgL_arrayz00_1675 = BgL_arg2422z00_1673;
											BgL_offsetz00_1676 =
												(int) (BgL_objzd2classzd2numz00_1672);
											{	/* Ast/shrinkify.scm 96 */
												long BgL_offsetz00_1677;

												BgL_offsetz00_1677 =
													((long) (BgL_offsetz00_1676) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 96 */
													long BgL_modz00_1678;

													{	/* Ast/shrinkify.scm 96 */
														int BgL_arg2424z00_1679;

														BgL_arg2424z00_1679 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 96 */
															long BgL_auxz00_3557;

															BgL_auxz00_3557 = (long) (BgL_arg2424z00_1679);
															BgL_modz00_1678 =
																(BgL_offsetz00_1677 / BgL_auxz00_3557);
													}}
													{	/* Ast/shrinkify.scm 96 */
														long BgL_restz00_1680;

														{	/* Ast/shrinkify.scm 96 */
															int BgL_arg2423z00_1681;

															BgL_arg2423z00_1681 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 96 */
																long BgL_auxz00_3561;

																BgL_auxz00_3561 = (long) (BgL_arg2423z00_1681);
																BgL_restz00_1680 =
																	(BgL_offsetz00_1677 % BgL_auxz00_3561);
														}}
														{	/* Ast/shrinkify.scm 96 */

															BgL_method3114z00_1670 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1675,
																	(int) (BgL_modz00_1678)),
																(int) (BgL_restz00_1680));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 96 */
								obj_t BgL_xz00_2560;

								BgL_xz00_2560 =
									PROCEDURE_ENTRY(BgL_method3114z00_1670)
									(BgL_method3114z00_1670, (obj_t) (BgL_arg3255z00_1222), BEOA);
								BgL_res3352z00_1695 = BUNSPEC;
						}} BgL_res3352z00_1695;
				}}
				{	/* Ast/shrinkify.scm 97 */
					obj_t BgL_arg3256z00_1223;

					BgL_arg3256z00_1223 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1214))->BgL_argsz00);
					BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(BgL_arg3256z00_1223);
				}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-app-ly3126 */
	obj_t BGl_shrinkzd2nodez12zd2appzd2ly3126zc0zzast_shrinkifyz00(obj_t
		BgL_envz00_2522, obj_t BgL_nodez00_2523)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 85 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1202;

				BgL_nodez00_1202 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2523);
				{	/* Ast/shrinkify.scm 86 */
					bool_t BgL_testz00_3574;

					{	/* Ast/shrinkify.scm 86 */
						bool_t BgL_testz00_3575;

						{	/* Ast/shrinkify.scm 86 */
							obj_t BgL_auxz00_3576;

							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_3577;

								BgL_auxz00_3577 = (BgL_objectz00_bglt) (BgL_nodez00_1202);
								BgL_auxz00_3576 = BGL_OBJECT_WIDENING(BgL_auxz00_3577);
							}
							BgL_testz00_3575 = CBOOL(BgL_auxz00_3576);
						}
						if (BgL_testz00_3575)
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_3574 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_3574 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3574)
						{	/* Ast/shrinkify.scm 86 */
							{	/* Ast/shrinkify.scm 86 */
								long BgL_arg3243z00_1207;

								{	/* Ast/shrinkify.scm 86 */
									obj_t BgL_arg3244z00_1208;

									{	/* Ast/shrinkify.scm 86 */
										obj_t BgL_arg3245z00_1209;

										{	/* Ast/shrinkify.scm 86 */
											BgL_objectz00_bglt BgL_objectz00_1589;

											BgL_objectz00_1589 =
												(BgL_objectz00_bglt) (BgL_nodez00_1202);
											{	/* Ast/shrinkify.scm 86 */
												long BgL_arg2425z00_1590;

												{	/* Ast/shrinkify.scm 86 */
													long BgL_arg2426z00_1591;

													BgL_arg2426z00_1591 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_1589);
													BgL_arg2425z00_1590 =
														(BgL_arg2426z00_1591 - OBJECT_TYPE);
												}
												BgL_arg3245z00_1209 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2425z00_1590));
										}}
										BgL_arg3244z00_1208 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3245z00_1209);
									}
									BgL_arg3243z00_1207 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3244z00_1208);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_nodez00_1202), BgL_arg3243z00_1207);
							}
							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_3590;

								BgL_auxz00_3590 = (BgL_objectz00_bglt) (BgL_nodez00_1202);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3590, BFALSE);
							}
							(obj_t) (BgL_nodez00_1202);
						}
					else
						{	/* Ast/shrinkify.scm 86 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 87 */
					BgL_nodez00_bglt BgL_arg3246z00_1210;

					BgL_arg3246z00_1210 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1202))->BgL_funz00);
					{	/* Ast/shrinkify.scm 87 */
						obj_t BgL_res3345z00_1626;

						{	/* Ast/shrinkify.scm 87 */
							obj_t BgL_method3114z00_1601;

							{	/* Ast/shrinkify.scm 87 */
								BgL_objectz00_bglt BgL_objz00_1602;

								BgL_objz00_1602 = (BgL_objectz00_bglt) (BgL_arg3246z00_1210);
								{	/* Ast/shrinkify.scm 87 */
									long BgL_objzd2classzd2numz00_1603;

									BgL_objzd2classzd2numz00_1603 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1602);
									{	/* Ast/shrinkify.scm 87 */
										obj_t BgL_arg2422z00_1604;

										BgL_arg2422z00_1604 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 87 */
											obj_t BgL_arrayz00_1606;

											int BgL_offsetz00_1607;

											BgL_arrayz00_1606 = BgL_arg2422z00_1604;
											BgL_offsetz00_1607 =
												(int) (BgL_objzd2classzd2numz00_1603);
											{	/* Ast/shrinkify.scm 87 */
												long BgL_offsetz00_1608;

												BgL_offsetz00_1608 =
													((long) (BgL_offsetz00_1607) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 87 */
													long BgL_modz00_1609;

													{	/* Ast/shrinkify.scm 87 */
														int BgL_arg2424z00_1610;

														BgL_arg2424z00_1610 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 87 */
															long BgL_auxz00_3603;

															BgL_auxz00_3603 = (long) (BgL_arg2424z00_1610);
															BgL_modz00_1609 =
																(BgL_offsetz00_1608 / BgL_auxz00_3603);
													}}
													{	/* Ast/shrinkify.scm 87 */
														long BgL_restz00_1611;

														{	/* Ast/shrinkify.scm 87 */
															int BgL_arg2423z00_1612;

															BgL_arg2423z00_1612 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 87 */
																long BgL_auxz00_3607;

																BgL_auxz00_3607 = (long) (BgL_arg2423z00_1612);
																BgL_restz00_1611 =
																	(BgL_offsetz00_1608 % BgL_auxz00_3607);
														}}
														{	/* Ast/shrinkify.scm 87 */

															BgL_method3114z00_1601 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1606,
																	(int) (BgL_modz00_1609)),
																(int) (BgL_restz00_1611));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 87 */
								obj_t BgL_xz00_2561;

								BgL_xz00_2561 =
									PROCEDURE_ENTRY(BgL_method3114z00_1601)
									(BgL_method3114z00_1601, (obj_t) (BgL_arg3246z00_1210), BEOA);
								BgL_res3345z00_1626 = BUNSPEC;
						}} BgL_res3345z00_1626;
				}}
				{	/* Ast/shrinkify.scm 88 */
					BgL_nodez00_bglt BgL_arg3247z00_1211;

					BgL_arg3247z00_1211 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1202))->BgL_argz00);
					{	/* Ast/shrinkify.scm 88 */
						obj_t BgL_res3348z00_1654;

						{	/* Ast/shrinkify.scm 88 */
							obj_t BgL_method3114z00_1629;

							{	/* Ast/shrinkify.scm 88 */
								BgL_objectz00_bglt BgL_objz00_1630;

								BgL_objz00_1630 = (BgL_objectz00_bglt) (BgL_arg3247z00_1211);
								{	/* Ast/shrinkify.scm 88 */
									long BgL_objzd2classzd2numz00_1631;

									BgL_objzd2classzd2numz00_1631 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1630);
									{	/* Ast/shrinkify.scm 88 */
										obj_t BgL_arg2422z00_1632;

										BgL_arg2422z00_1632 =
											PROCEDURE_REF
											(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
											(int) (((long) 1)));
										{	/* Ast/shrinkify.scm 88 */
											obj_t BgL_arrayz00_1634;

											int BgL_offsetz00_1635;

											BgL_arrayz00_1634 = BgL_arg2422z00_1632;
											BgL_offsetz00_1635 =
												(int) (BgL_objzd2classzd2numz00_1631);
											{	/* Ast/shrinkify.scm 88 */
												long BgL_offsetz00_1636;

												BgL_offsetz00_1636 =
													((long) (BgL_offsetz00_1635) - OBJECT_TYPE);
												{	/* Ast/shrinkify.scm 88 */
													long BgL_modz00_1637;

													{	/* Ast/shrinkify.scm 88 */
														int BgL_arg2424z00_1638;

														BgL_arg2424z00_1638 = (int) (((long) 8));
														{	/* Ast/shrinkify.scm 88 */
															long BgL_auxz00_3626;

															BgL_auxz00_3626 = (long) (BgL_arg2424z00_1638);
															BgL_modz00_1637 =
																(BgL_offsetz00_1636 / BgL_auxz00_3626);
													}}
													{	/* Ast/shrinkify.scm 88 */
														long BgL_restz00_1639;

														{	/* Ast/shrinkify.scm 88 */
															int BgL_arg2423z00_1640;

															BgL_arg2423z00_1640 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 88 */
																long BgL_auxz00_3630;

																BgL_auxz00_3630 = (long) (BgL_arg2423z00_1640);
																BgL_restz00_1639 =
																	(BgL_offsetz00_1636 % BgL_auxz00_3630);
														}}
														{	/* Ast/shrinkify.scm 88 */

															BgL_method3114z00_1629 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1634,
																	(int) (BgL_modz00_1637)),
																(int) (BgL_restz00_1639));
							}}}}}}}}
							{	/* Ast/shrinkify.scm 88 */
								obj_t BgL_xz00_2562;

								BgL_xz00_2562 =
									PROCEDURE_ENTRY(BgL_method3114z00_1629)
									(BgL_method3114z00_1629, (obj_t) (BgL_arg3247z00_1211), BEOA);
								BgL_res3348z00_1654 = BUNSPEC;
						}} BgL_res3348z00_1654;
				}}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-app3124 */
	obj_t BGl_shrinkzd2nodez12zd2app3124z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2524, obj_t BgL_nodez00_2525)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 76 */
			{
				BgL_appz00_bglt BgL_nodez00_1190;

				BgL_nodez00_1190 = (BgL_appz00_bglt) (BgL_nodez00_2525);
				{	/* Ast/shrinkify.scm 77 */
					bool_t BgL_testz00_3641;

					{	/* Ast/shrinkify.scm 77 */
						bool_t BgL_testz00_3642;

						{	/* Ast/shrinkify.scm 77 */
							obj_t BgL_auxz00_3643;

							{	/* Ast/shrinkify.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_3644;

								BgL_auxz00_3644 = (BgL_objectz00_bglt) (BgL_nodez00_1190);
								BgL_auxz00_3643 = BGL_OBJECT_WIDENING(BgL_auxz00_3644);
							}
							BgL_testz00_3642 = CBOOL(BgL_auxz00_3643);
						}
						if (BgL_testz00_3642)
							{	/* Ast/shrinkify.scm 77 */
								BgL_testz00_3641 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 77 */
								BgL_testz00_3641 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3641)
						{	/* Ast/shrinkify.scm 77 */
							{	/* Ast/shrinkify.scm 77 */
								long BgL_arg3236z00_1195;

								{	/* Ast/shrinkify.scm 77 */
									obj_t BgL_arg3237z00_1196;

									{	/* Ast/shrinkify.scm 77 */
										obj_t BgL_arg3238z00_1197;

										{	/* Ast/shrinkify.scm 77 */
											BgL_objectz00_bglt BgL_objectz00_1547;

											BgL_objectz00_1547 =
												(BgL_objectz00_bglt) (BgL_nodez00_1190);
											{	/* Ast/shrinkify.scm 77 */
												long BgL_arg2425z00_1548;

												{	/* Ast/shrinkify.scm 77 */
													long BgL_arg2426z00_1549;

													BgL_arg2426z00_1549 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_1547);
													BgL_arg2425z00_1548 =
														(BgL_arg2426z00_1549 - OBJECT_TYPE);
												}
												BgL_arg3238z00_1197 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2425z00_1548));
										}}
										BgL_arg3237z00_1196 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3238z00_1197);
									}
									BgL_arg3236z00_1195 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3237z00_1196);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_nodez00_1190), BgL_arg3236z00_1195);
							}
							{	/* Ast/shrinkify.scm 77 */
								BgL_objectz00_bglt BgL_auxz00_3657;

								BgL_auxz00_3657 = (BgL_objectz00_bglt) (BgL_nodez00_1190);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3657, BFALSE);
							}
							(obj_t) (BgL_nodez00_1190);
						}
					else
						{	/* Ast/shrinkify.scm 77 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 78 */
					BgL_varz00_bglt BgL_arg3239z00_1198;

					BgL_arg3239z00_1198 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1190))->BgL_funz00);
					{	/* Ast/shrinkify.scm 78 */
						obj_t BgL_res3341z00_1584;

						{	/* Ast/shrinkify.scm 78 */
							BgL_nodez00_bglt BgL_nodez00_1558;

							BgL_nodez00_1558 = (BgL_nodez00_bglt) (BgL_arg3239z00_1198);
							{	/* Ast/shrinkify.scm 78 */
								obj_t BgL_method3114z00_1559;

								{	/* Ast/shrinkify.scm 78 */
									BgL_objectz00_bglt BgL_objz00_1560;

									BgL_objz00_1560 = (BgL_objectz00_bglt) (BgL_nodez00_1558);
									{	/* Ast/shrinkify.scm 78 */
										long BgL_objzd2classzd2numz00_1561;

										BgL_objzd2classzd2numz00_1561 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1560);
										{	/* Ast/shrinkify.scm 78 */
											obj_t BgL_arg2422z00_1562;

											BgL_arg2422z00_1562 =
												PROCEDURE_REF
												(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
												(int) (((long) 1)));
											{	/* Ast/shrinkify.scm 78 */
												obj_t BgL_arrayz00_1564;

												int BgL_offsetz00_1565;

												BgL_arrayz00_1564 = BgL_arg2422z00_1562;
												BgL_offsetz00_1565 =
													(int) (BgL_objzd2classzd2numz00_1561);
												{	/* Ast/shrinkify.scm 78 */
													long BgL_offsetz00_1566;

													BgL_offsetz00_1566 =
														((long) (BgL_offsetz00_1565) - OBJECT_TYPE);
													{	/* Ast/shrinkify.scm 78 */
														long BgL_modz00_1567;

														{	/* Ast/shrinkify.scm 78 */
															int BgL_arg2424z00_1568;

															BgL_arg2424z00_1568 = (int) (((long) 8));
															{	/* Ast/shrinkify.scm 78 */
																long BgL_auxz00_3671;

																BgL_auxz00_3671 = (long) (BgL_arg2424z00_1568);
																BgL_modz00_1567 =
																	(BgL_offsetz00_1566 / BgL_auxz00_3671);
														}}
														{	/* Ast/shrinkify.scm 78 */
															long BgL_restz00_1569;

															{	/* Ast/shrinkify.scm 78 */
																int BgL_arg2423z00_1570;

																BgL_arg2423z00_1570 = (int) (((long) 8));
																{	/* Ast/shrinkify.scm 78 */
																	long BgL_auxz00_3675;

																	BgL_auxz00_3675 =
																		(long) (BgL_arg2423z00_1570);
																	BgL_restz00_1569 =
																		(BgL_offsetz00_1566 % BgL_auxz00_3675);
															}}
															{	/* Ast/shrinkify.scm 78 */

																BgL_method3114z00_1559 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1564,
																		(int) (BgL_modz00_1567)),
																	(int) (BgL_restz00_1569));
								}}}}}}}}
								{	/* Ast/shrinkify.scm 78 */
									obj_t BgL_xz00_2563;

									BgL_xz00_2563 =
										PROCEDURE_ENTRY(BgL_method3114z00_1559)
										(BgL_method3114z00_1559, (obj_t) (BgL_nodez00_1558), BEOA);
									BgL_res3341z00_1584 = BUNSPEC;
						}}} BgL_res3341z00_1584;
				}}
				{	/* Ast/shrinkify.scm 79 */
					obj_t BgL_arg3240z00_1199;

					BgL_arg3240z00_1199 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1190))->BgL_argsz00);
					BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(BgL_arg3240z00_1199);
				}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-sequenc3122 */
	obj_t BGl_shrinkzd2nodez12zd2sequenc3122z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2526, obj_t BgL_nodez00_2527)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 69 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1184;

				BgL_nodez00_1184 = (BgL_sequencez00_bglt) (BgL_nodez00_2527);
				{	/* Ast/shrinkify.scm 70 */
					obj_t BgL_arg3231z00_1542;

					BgL_arg3231z00_1542 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1184))->BgL_nodesz00);
					BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(BgL_arg3231z00_1542);
				}
				return BUNSPEC;
			}
		}
	}



/* shrink-node!-kwote3120 */
	obj_t BGl_shrinkzd2nodez12zd2kwote3120z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2528, obj_t BgL_nodez00_2529)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
	}



/* shrink-node!-var3118 */
	obj_t BGl_shrinkzd2nodez12zd2var3118z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2530, obj_t BgL_nodez00_2531)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
	}



/* shrink-node!-atom3116 */
	obj_t BGl_shrinkzd2nodez12zd2atom3116z12zzast_shrinkifyz00(obj_t
		BgL_envz00_2532, obj_t BgL_nodez00_2533)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3450z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3450z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3450z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string3450z00zzast_shrinkifyz00));
		}
	}

#ifdef __cplusplus
}
#endif
