/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/substitute.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_dozd2substitutez12zd2setq3136z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_dozd2substitutez12zd2jumpzd23150zc0zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_dozd2substitutez12zd2boxzd2s3156zc0zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_substitutez00();
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_dozd2substitutez12zd2exter3132z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_dozd2substitutez12zd2fail3140z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_dozd2substitutez12zd2letzd2f3144zc0zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_substitutez00();
	extern BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	static obj_t BGl_dozd2substitutez12zd2appzd2l3128zc0zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_dozd2substitutez12zd2app3126z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_dozd2substitutez12zd2setzd2e3148zc0zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zd2defau3115z12zzast_substitutez00(BgL_nodez00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_substitutez00();
	static obj_t BGl_dozd2substitutez12zd2letzd2v3146zc0zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_dozd2substitutez12zd2kwote3122z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_substitutez00();
	static obj_t BGl_dozd2substitutez12zd2var3120z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_dozd2substitutez12zd2atom3118z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_dozd2substitutez12zd2selec3142z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_dozd2substitutez12zd2funca3130z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl__dozd2substitutez12zc0zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__dozd2substitutez12zd2defau3115z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_dozd2substitutez12zd2seque3124z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_dozd2substitutez12zd2condi3138z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_dozd2substitutez12zd2cast3134z12zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__substitutez12z12zzast_substitutez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_dozd2substitutez12zd2boxzd2r3154zc0zzast_substitutez00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_dozd2substitutez12zd2makezd23152zc0zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
		BgL_bgl__doza7d2substitute3501za7,
		BGl__dozd2substitutez12zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutez12zd2envzc0zzast_substitutez00,
		BgL_bgl__substituteza712za713502z00,
		BGl__substitutez12z12zzast_substitutez00, 0L, BUNSPEC, 4);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_dozd2substitutez12zd2defau3115zd2envzc0zzast_substitutez00,
		BgL_bgl__doza7d2substitute3503za7,
		BGl__dozd2substitutez12zd2defau3115z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3473z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73504z00,
		BGl_dozd2substitutez12zd2atom3118z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3474z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73505z00,
		BGl_dozd2substitutez12zd2var3120z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3475z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73506z00,
		BGl_dozd2substitutez12zd2kwote3122z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3476z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73507z00,
		BGl_dozd2substitutez12zd2seque3124z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3477z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73508z00,
		BGl_dozd2substitutez12zd2app3126z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3478z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73509z00,
		BGl_dozd2substitutez12zd2appzd2l3128zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3480z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73510z00,
		BGl_dozd2substitutez12zd2exter3132z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3479z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73511z00,
		BGl_dozd2substitutez12zd2funca3130z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3481z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73512z00,
		BGl_dozd2substitutez12zd2cast3134z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3482z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73513z00,
		BGl_dozd2substitutez12zd2setq3136z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3483z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73514z00,
		BGl_dozd2substitutez12zd2condi3138z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3484z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73515z00,
		BGl_dozd2substitutez12zd2fail3140z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3485z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73516z00,
		BGl_dozd2substitutez12zd2selec3142z12zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3486z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73517z00,
		BGl_dozd2substitutez12zd2letzd2f3144zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3487z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73518z00,
		BGl_dozd2substitutez12zd2letzd2v3146zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3488z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73519z00,
		BGl_dozd2substitutez12zd2setzd2e3148zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3490z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73520z00,
		BGl_dozd2substitutez12zd2makezd23152zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3489z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73521z00,
		BGl_dozd2substitutez12zd2jumpzd23150zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3491z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73522z00,
		BGl_dozd2substitutez12zd2boxzd2r3154zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3492z00zzast_substitutez00,
		BgL_bgl_doza7d2substituteza73523z00,
		BGl_dozd2substitutez12zd2boxzd2s3156zc0zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3472z00zzast_substitutez00,
		BgL_bgl_string3472za700za7za7a3524za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3493z00zzast_substitutez00,
		BgL_bgl_string3493za700za7za7a3525za7, "Illegal application", 19);
	      DEFINE_STRING(BGl_string3494z00zzast_substitutez00,
		BgL_bgl_string3494za700za7za7a3526za7, "wrong number of argument(s)", 27);
	      DEFINE_STRING(BGl_string3495z00zzast_substitutez00,
		BgL_bgl_string3495za700za7za7a3527za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string3496z00zzast_substitutez00,
		BgL_bgl_string3496za700za7za7a3528za7, "Illegal substitution", 20);
	      DEFINE_STRING(BGl_string3497z00zzast_substitutez00,
		BgL_bgl_string3497za700za7za7a3529za7, "ast_substitute", 14);
	      DEFINE_STRING(BGl_string3498z00zzast_substitutez00,
		BgL_bgl_string3498za700za7za7a3530za7,
		"apply funcall set! app do-substitute!-defau3115 value done ", 59);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long
		BgL_checksumz00_2611, char *BgL_fromz00_2612)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
				{
					BGl_requirezd2initializa7ationz75zzast_substitutez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
					BGl_cnstzd2initzd2zzast_substitutez00();
					BGl_importedzd2moduleszd2initz00zzast_substitutez00();
					BGl_genericzd2initzd2zzast_substitutez00();
					BGl_methodzd2initzd2zzast_substitutez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_substitute");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			{	/* Ast/substitute.scm 14 */
				obj_t BgL_cportz00_2599;

				BgL_cportz00_2599 =
					bgl_open_input_string(BGl_string3498z00zzast_substitutez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2600;

					BgL_iz00_2600 = ((long) 6);
				BgL_loopz00_2601:
					if ((BgL_iz00_2600 == ((long) -1)))
						{	/* Ast/substitute.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/substitute.scm 14 */
							{	/* Ast/substitute.scm 14 */
								obj_t BgL_arg3500z00_2603;

								{	/* Ast/substitute.scm 14 */

									{	/* Ast/substitute.scm 14 */
										obj_t BgL_locationz00_2605;

										BgL_locationz00_2605 = BBOOL(((bool_t) 0));
										{	/* Ast/substitute.scm 14 */

											BgL_arg3500z00_2603 =
												BGl_readz00zz__readerz00(BgL_cportz00_2599,
												BgL_locationz00_2605);
										}
									}
								}
								{	/* Ast/substitute.scm 14 */
									int BgL_auxz00_2630;

									BgL_auxz00_2630 = (int) (BgL_iz00_2600);
									CNST_TABLE_SET(BgL_auxz00_2630, BgL_arg3500z00_2603);
							}}
							{	/* Ast/substitute.scm 14 */
								int BgL_auxz00_2606;

								BgL_auxz00_2606 = (int) ((BgL_iz00_2600 - ((long) 1)));
								{
									long BgL_iz00_2635;

									BgL_iz00_2635 = (long) (BgL_auxz00_2606);
									BgL_iz00_2600 = BgL_iz00_2635;
									goto BgL_loopz00_2601;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}
	}



/* substitute! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_1,
		obj_t BgL_byza2za2_2, BgL_nodez00_bglt BgL_nodez00_3, obj_t BgL_sitez00_4)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 34 */
			{
				obj_t BgL_ll3096z00_783;

				obj_t BgL_ll3097z00_784;

				BgL_ll3096z00_783 = BgL_whatza2za2_1;
				BgL_ll3097z00_784 = BgL_byza2za2_2;
			BgL_zc3anonymousza33157ze3z83_785:
				if (NULLP(BgL_ll3096z00_783))
					{	/* Ast/substitute.scm 37 */
						((bool_t) 1);
					}
				else
					{	/* Ast/substitute.scm 37 */
						{	/* Ast/substitute.scm 39 */
							obj_t BgL_whatz00_787;

							obj_t BgL_byz00_788;

							BgL_whatz00_787 = CAR(BgL_ll3096z00_783);
							BgL_byz00_788 = CAR(BgL_ll3097z00_784);
							{
								BgL_variablez00_bglt BgL_auxz00_2641;

								BgL_auxz00_2641 = (BgL_variablez00_bglt) (BgL_whatz00_787);
								((((BgL_variablez00_bglt) CREF(BgL_auxz00_2641))->
										BgL_fastzd2alphazd2) = ((obj_t) BgL_byz00_788), BUNSPEC);
							}
						}
						{
							obj_t BgL_ll3097z00_2646;

							obj_t BgL_ll3096z00_2644;

							BgL_ll3096z00_2644 = CDR(BgL_ll3096z00_783);
							BgL_ll3097z00_2646 = CDR(BgL_ll3097z00_784);
							BgL_ll3097z00_784 = BgL_ll3097z00_2646;
							BgL_ll3096z00_783 = BgL_ll3096z00_2644;
							goto BgL_zc3anonymousza33157ze3z83_785;
						}
					}
			}
			{	/* Ast/substitute.scm 42 */
				BgL_nodez00_bglt BgL_resz00_792;

				{	/* Ast/substitute.scm 42 */
					BgL_nodez00_bglt BgL_res3382z00_1508;

					{	/* Ast/substitute.scm 42 */
						obj_t BgL_method3116z00_1483;

						{	/* Ast/substitute.scm 42 */
							BgL_objectz00_bglt BgL_objz00_1484;

							BgL_objz00_1484 = (BgL_objectz00_bglt) (BgL_nodez00_3);
							{	/* Ast/substitute.scm 42 */
								long BgL_objzd2classzd2numz00_1485;

								BgL_objzd2classzd2numz00_1485 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1484);
								{	/* Ast/substitute.scm 42 */
									obj_t BgL_arg2422z00_1486;

									BgL_arg2422z00_1486 =
										PROCEDURE_REF
										(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
										(int) (((long) 1)));
									{	/* Ast/substitute.scm 42 */
										obj_t BgL_arrayz00_1488;

										int BgL_offsetz00_1489;

										BgL_arrayz00_1488 = BgL_arg2422z00_1486;
										BgL_offsetz00_1489 = (int) (BgL_objzd2classzd2numz00_1485);
										{	/* Ast/substitute.scm 42 */
											long BgL_offsetz00_1490;

											BgL_offsetz00_1490 =
												((long) (BgL_offsetz00_1489) - OBJECT_TYPE);
											{	/* Ast/substitute.scm 42 */
												long BgL_modz00_1491;

												{	/* Ast/substitute.scm 42 */
													int BgL_arg2424z00_1492;

													BgL_arg2424z00_1492 = (int) (((long) 8));
													{	/* Ast/substitute.scm 42 */
														long BgL_auxz00_2656;

														BgL_auxz00_2656 = (long) (BgL_arg2424z00_1492);
														BgL_modz00_1491 =
															(BgL_offsetz00_1490 / BgL_auxz00_2656);
												}}
												{	/* Ast/substitute.scm 42 */
													long BgL_restz00_1493;

													{	/* Ast/substitute.scm 42 */
														int BgL_arg2423z00_1494;

														BgL_arg2423z00_1494 = (int) (((long) 8));
														{	/* Ast/substitute.scm 42 */
															long BgL_auxz00_2660;

															BgL_auxz00_2660 = (long) (BgL_arg2423z00_1494);
															BgL_restz00_1493 =
																(BgL_offsetz00_1490 % BgL_auxz00_2660);
													}}
													{	/* Ast/substitute.scm 42 */

														BgL_method3116z00_1483 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1488,
																(int) (BgL_modz00_1491)),
															(int) (BgL_restz00_1493));
						}}}}}}}}
						BgL_res3382z00_1508 =
							(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1483)
							(BgL_method3116z00_1483, (obj_t) (BgL_nodez00_3), BgL_sitez00_4,
								BEOA));
					}
					BgL_resz00_792 = BgL_res3382z00_1508;
				}
				{
					obj_t BgL_l3099z00_794;

					BgL_l3099z00_794 = BgL_whatza2za2_1;
				BgL_zc3anonymousza33161ze3z83_795:
					if (PAIRP(BgL_l3099z00_794))
						{	/* Ast/substitute.scm 44 */
							{	/* Ast/substitute.scm 45 */
								obj_t BgL_whatz00_797;

								BgL_whatz00_797 = CAR(BgL_l3099z00_794);
								{
									BgL_variablez00_bglt BgL_auxz00_2674;

									BgL_auxz00_2674 = (BgL_variablez00_bglt) (BgL_whatz00_797);
									((((BgL_variablez00_bglt) CREF(BgL_auxz00_2674))->
											BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
								}
							}
							{
								obj_t BgL_l3099z00_2677;

								BgL_l3099z00_2677 = CDR(BgL_l3099z00_794);
								BgL_l3099z00_794 = BgL_l3099z00_2677;
								goto BgL_zc3anonymousza33161ze3z83_795;
							}
						}
					else
						{	/* Ast/substitute.scm 44 */
							((bool_t) 1);
						}
				}
				return BgL_resz00_792;
			}
		}
	}



/* _substitute! */
	obj_t BGl__substitutez12z12zzast_substitutez00(obj_t BgL_envz00_2508,
		obj_t BgL_whatza2za2_2509, obj_t BgL_byza2za2_2510, obj_t BgL_nodez00_2511,
		obj_t BgL_sitez00_2512)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 34 */
			return
				(obj_t) (BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_2509,
					BgL_byza2za2_2510, (BgL_nodez00_bglt) (BgL_nodez00_2511),
					BgL_sitez00_2512));
		}
	}



/* do-substitute*! */
	obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_49,
		obj_t BgL_sitez00_50)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 271 */
		BGl_dozd2substituteza2z12z62zzast_substitutez00:
			if (NULLP(BgL_nodeza2za2_49))
				{	/* Ast/substitute.scm 273 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Ast/substitute.scm 273 */
					if (NULLP(CDR(BgL_nodeza2za2_49)))
						{	/* Ast/substitute.scm 275 */
							{	/* Ast/substitute.scm 276 */
								BgL_nodez00_bglt BgL_arg3166z00_802;

								{	/* Ast/substitute.scm 276 */
									obj_t BgL_arg3167z00_803;

									BgL_arg3167z00_803 = CAR(BgL_nodeza2za2_49);
									{	/* Ast/substitute.scm 276 */
										BgL_nodez00_bglt BgL_res3385z00_1545;

										{	/* Ast/substitute.scm 276 */
											BgL_nodez00_bglt BgL_nodez00_1518;

											BgL_nodez00_1518 =
												(BgL_nodez00_bglt) (BgL_arg3167z00_803);
											{	/* Ast/substitute.scm 276 */
												obj_t BgL_method3116z00_1520;

												{	/* Ast/substitute.scm 276 */
													BgL_objectz00_bglt BgL_objz00_1521;

													BgL_objz00_1521 =
														(BgL_objectz00_bglt) (BgL_nodez00_1518);
													{	/* Ast/substitute.scm 276 */
														long BgL_objzd2classzd2numz00_1522;

														BgL_objzd2classzd2numz00_1522 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1521);
														{	/* Ast/substitute.scm 276 */
															obj_t BgL_arg2422z00_1523;

															BgL_arg2422z00_1523 =
																PROCEDURE_REF
																(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
																(int) (((long) 1)));
															{	/* Ast/substitute.scm 276 */
																obj_t BgL_arrayz00_1525;

																int BgL_offsetz00_1526;

																BgL_arrayz00_1525 = BgL_arg2422z00_1523;
																BgL_offsetz00_1526 =
																	(int) (BgL_objzd2classzd2numz00_1522);
																{	/* Ast/substitute.scm 276 */
																	long BgL_offsetz00_1527;

																	BgL_offsetz00_1527 =
																		((long) (BgL_offsetz00_1526) - OBJECT_TYPE);
																	{	/* Ast/substitute.scm 276 */
																		long BgL_modz00_1528;

																		{	/* Ast/substitute.scm 276 */
																			int BgL_arg2424z00_1529;

																			BgL_arg2424z00_1529 = (int) (((long) 8));
																			{	/* Ast/substitute.scm 276 */
																				long BgL_auxz00_2698;

																				BgL_auxz00_2698 =
																					(long) (BgL_arg2424z00_1529);
																				BgL_modz00_1528 =
																					(BgL_offsetz00_1527 /
																					BgL_auxz00_2698);
																		}}
																		{	/* Ast/substitute.scm 276 */
																			long BgL_restz00_1530;

																			{	/* Ast/substitute.scm 276 */
																				int BgL_arg2423z00_1531;

																				BgL_arg2423z00_1531 =
																					(int) (((long) 8));
																				{	/* Ast/substitute.scm 276 */
																					long BgL_auxz00_2702;

																					BgL_auxz00_2702 =
																						(long) (BgL_arg2423z00_1531);
																					BgL_restz00_1530 =
																						(BgL_offsetz00_1527 %
																						BgL_auxz00_2702);
																			}}
																			{	/* Ast/substitute.scm 276 */

																				BgL_method3116z00_1520 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1525,
																						(int) (BgL_modz00_1528)),
																					(int) (BgL_restz00_1530));
												}}}}}}}}
												BgL_res3385z00_1545 =
													(BgL_nodez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3116z00_1520) (BgL_method3116z00_1520,
														(obj_t) (BgL_nodez00_1518), BgL_sitez00_50, BEOA));
										}}
										BgL_arg3166z00_802 = BgL_res3385z00_1545;
								}}
								{	/* Ast/substitute.scm 276 */
									obj_t BgL_auxz00_2713;

									BgL_auxz00_2713 = (obj_t) (BgL_arg3166z00_802);
									SET_CAR(BgL_nodeza2za2_49, BgL_auxz00_2713);
							}}
							return CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Ast/substitute.scm 275 */
							{	/* Ast/substitute.scm 279 */
								BgL_nodez00_bglt BgL_arg3170z00_804;

								{	/* Ast/substitute.scm 279 */
									obj_t BgL_arg3171z00_805;

									obj_t BgL_arg3172z00_806;

									BgL_arg3171z00_805 = CAR(BgL_nodeza2za2_49);
									BgL_arg3172z00_806 = CNST_TABLE_REF(((long) 1));
									{	/* Ast/substitute.scm 279 */
										BgL_nodez00_bglt BgL_res3388z00_1576;

										{	/* Ast/substitute.scm 279 */
											BgL_nodez00_bglt BgL_nodez00_1549;

											BgL_nodez00_1549 =
												(BgL_nodez00_bglt) (BgL_arg3171z00_805);
											{	/* Ast/substitute.scm 279 */
												obj_t BgL_method3116z00_1551;

												{	/* Ast/substitute.scm 279 */
													BgL_objectz00_bglt BgL_objz00_1552;

													BgL_objz00_1552 =
														(BgL_objectz00_bglt) (BgL_nodez00_1549);
													{	/* Ast/substitute.scm 279 */
														long BgL_objzd2classzd2numz00_1553;

														BgL_objzd2classzd2numz00_1553 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1552);
														{	/* Ast/substitute.scm 279 */
															obj_t BgL_arg2422z00_1554;

															BgL_arg2422z00_1554 =
																PROCEDURE_REF
																(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
																(int) (((long) 1)));
															{	/* Ast/substitute.scm 279 */
																obj_t BgL_arrayz00_1556;

																int BgL_offsetz00_1557;

																BgL_arrayz00_1556 = BgL_arg2422z00_1554;
																BgL_offsetz00_1557 =
																	(int) (BgL_objzd2classzd2numz00_1553);
																{	/* Ast/substitute.scm 279 */
																	long BgL_offsetz00_1558;

																	BgL_offsetz00_1558 =
																		((long) (BgL_offsetz00_1557) - OBJECT_TYPE);
																	{	/* Ast/substitute.scm 279 */
																		long BgL_modz00_1559;

																		{	/* Ast/substitute.scm 279 */
																			int BgL_arg2424z00_1560;

																			BgL_arg2424z00_1560 = (int) (((long) 8));
																			{	/* Ast/substitute.scm 279 */
																				long BgL_auxz00_2728;

																				BgL_auxz00_2728 =
																					(long) (BgL_arg2424z00_1560);
																				BgL_modz00_1559 =
																					(BgL_offsetz00_1558 /
																					BgL_auxz00_2728);
																		}}
																		{	/* Ast/substitute.scm 279 */
																			long BgL_restz00_1561;

																			{	/* Ast/substitute.scm 279 */
																				int BgL_arg2423z00_1562;

																				BgL_arg2423z00_1562 =
																					(int) (((long) 8));
																				{	/* Ast/substitute.scm 279 */
																					long BgL_auxz00_2732;

																					BgL_auxz00_2732 =
																						(long) (BgL_arg2423z00_1562);
																					BgL_restz00_1561 =
																						(BgL_offsetz00_1558 %
																						BgL_auxz00_2732);
																			}}
																			{	/* Ast/substitute.scm 279 */

																				BgL_method3116z00_1551 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1556,
																						(int) (BgL_modz00_1559)),
																					(int) (BgL_restz00_1561));
												}}}}}}}}
												BgL_res3388z00_1576 =
													(BgL_nodez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3116z00_1551) (BgL_method3116z00_1551,
														(obj_t) (BgL_nodez00_1549), BgL_arg3172z00_806,
														BEOA));
										}}
										BgL_arg3170z00_804 = BgL_res3388z00_1576;
								}}
								{	/* Ast/substitute.scm 279 */
									obj_t BgL_auxz00_2743;

									BgL_auxz00_2743 = (obj_t) (BgL_arg3170z00_804);
									SET_CAR(BgL_nodeza2za2_49, BgL_auxz00_2743);
							}}
							{
								obj_t BgL_nodeza2za2_2746;

								BgL_nodeza2za2_2746 = CDR(BgL_nodeza2za2_49);
								BgL_nodeza2za2_49 = BgL_nodeza2za2_2746;
								goto BGl_dozd2substituteza2z12z62zzast_substitutez00;
							}
						}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_dozd2substitutez12zd2defau3115zd2envzc0zzast_substitutez00);
		}
	}



/* do-substitute! */
	BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_5, obj_t BgL_sitez00_6)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			{	/* Ast/substitute.scm 52 */
				obj_t BgL_method3116z00_1580;

				{	/* Ast/substitute.scm 52 */
					BgL_objectz00_bglt BgL_objz00_1581;

					BgL_objz00_1581 = (BgL_objectz00_bglt) (BgL_nodez00_5);
					{	/* Ast/substitute.scm 52 */
						long BgL_objzd2classzd2numz00_1582;

						BgL_objzd2classzd2numz00_1582 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1581);
						{	/* Ast/substitute.scm 52 */
							obj_t BgL_arg2422z00_1583;

							BgL_arg2422z00_1583 =
								PROCEDURE_REF
								(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
								(int) (((long) 1)));
							{	/* Ast/substitute.scm 52 */
								obj_t BgL_arrayz00_1585;

								int BgL_offsetz00_1586;

								BgL_arrayz00_1585 = BgL_arg2422z00_1583;
								BgL_offsetz00_1586 = (int) (BgL_objzd2classzd2numz00_1582);
								{	/* Ast/substitute.scm 52 */
									long BgL_offsetz00_1587;

									BgL_offsetz00_1587 =
										((long) (BgL_offsetz00_1586) - OBJECT_TYPE);
									{	/* Ast/substitute.scm 52 */
										long BgL_modz00_1588;

										{	/* Ast/substitute.scm 52 */
											int BgL_arg2424z00_1589;

											BgL_arg2424z00_1589 = (int) (((long) 8));
											{	/* Ast/substitute.scm 52 */
												long BgL_auxz00_2757;

												BgL_auxz00_2757 = (long) (BgL_arg2424z00_1589);
												BgL_modz00_1588 =
													(BgL_offsetz00_1587 / BgL_auxz00_2757);
										}}
										{	/* Ast/substitute.scm 52 */
											long BgL_restz00_1590;

											{	/* Ast/substitute.scm 52 */
												int BgL_arg2423z00_1591;

												BgL_arg2423z00_1591 = (int) (((long) 8));
												{	/* Ast/substitute.scm 52 */
													long BgL_auxz00_2761;

													BgL_auxz00_2761 = (long) (BgL_arg2423z00_1591);
													BgL_restz00_1590 =
														(BgL_offsetz00_1587 % BgL_auxz00_2761);
											}}
											{	/* Ast/substitute.scm 52 */

												BgL_method3116z00_1580 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1585,
														(int) (BgL_modz00_1588)), (int) (BgL_restz00_1590));
				}}}}}}}}
				return
					(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1580)
					(BgL_method3116z00_1580, (obj_t) (BgL_nodez00_5), BgL_sitez00_6,
						BEOA));
			}
		}
	}



/* _do-substitute! */
	obj_t BGl__dozd2substitutez12zc0zzast_substitutez00(obj_t BgL_envz00_2513,
		obj_t BgL_nodez00_2514, obj_t BgL_sitez00_2515)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			return
				(obj_t) (BGl_dozd2substitutez12zc0zzast_substitutez00(
					(BgL_nodez00_bglt) (BgL_nodez00_2514), BgL_sitez00_2515));
		}
	}



/* do-substitute!-defau3115 */
	BgL_nodez00_bglt
		BGl_dozd2substitutez12zd2defau3115z12zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_sitez00_8)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return
				(BgL_nodez00_bglt) (BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string3472z00zzast_substitutez00, (obj_t) (BgL_nodez00_7)));
		}
	}



/* _do-substitute!-defau3115 */
	obj_t BGl__dozd2substitutez12zd2defau3115z12zzast_substitutez00(obj_t
		BgL_envz00_2516, obj_t BgL_nodez00_2517, obj_t BgL_sitez00_2518)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return
				(obj_t) (BGl_dozd2substitutez12zd2defau3115z12zzast_substitutez00(
					(BgL_nodez00_bglt) (BgL_nodez00_2517), BgL_sitez00_2518));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_atomz00zzast_nodez00, BGl_proc3473z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_varz00zzast_nodez00, BGl_proc3474z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_kwotez00zzast_nodez00, BGl_proc3475z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3476z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appz00zzast_nodez00, BGl_proc3477z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3478z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3479z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_externz00zzast_nodez00, BGl_proc3480z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_castz00zzast_nodez00, BGl_proc3481z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setqz00zzast_nodez00, BGl_proc3482z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3483z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_failz00zzast_nodez00, BGl_proc3484z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_selectz00zzast_nodez00, BGl_proc3485z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3486z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3487z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3488z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3489z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3490z00zzast_substitutez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3491z00zzast_substitutez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3492z00zzast_substitutez00);
		}
	}



/* do-substitute!-box-s3156 */
	obj_t BGl_dozd2substitutez12zd2boxzd2s3156zc0zzast_substitutez00(obj_t
		BgL_envz00_2539, obj_t BgL_nodez00_2540, obj_t BgL_sitez00_2541)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 263 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1462;

				obj_t BgL_sitez00_1463;

				{	/* Ast/substitute.scm 264 */
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_2802;

					BgL_nodez00_1462 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2540);
					BgL_sitez00_1463 = BgL_sitez00_2541;
					{	/* Ast/substitute.scm 264 */
						BgL_nodez00_bglt BgL_arg3373z00_1466;

						{	/* Ast/substitute.scm 264 */
							BgL_varz00_bglt BgL_arg3374z00_1467;

							obj_t BgL_arg3375z00_1468;

							BgL_arg3374z00_1467 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1462))->
								BgL_varz00);
							BgL_arg3375z00_1468 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 264 */
								BgL_nodez00_bglt BgL_res3468z00_2474;

								{	/* Ast/substitute.scm 264 */
									BgL_nodez00_bglt BgL_nodez00_2447;

									BgL_nodez00_2447 = (BgL_nodez00_bglt) (BgL_arg3374z00_1467);
									{	/* Ast/substitute.scm 264 */
										obj_t BgL_method3116z00_2449;

										{	/* Ast/substitute.scm 264 */
											BgL_objectz00_bglt BgL_objz00_2450;

											BgL_objz00_2450 = (BgL_objectz00_bglt) (BgL_nodez00_2447);
											{	/* Ast/substitute.scm 264 */
												long BgL_objzd2classzd2numz00_2451;

												BgL_objzd2classzd2numz00_2451 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2450);
												{	/* Ast/substitute.scm 264 */
													obj_t BgL_arg2422z00_2452;

													BgL_arg2422z00_2452 =
														PROCEDURE_REF
														(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
														(int) (((long) 1)));
													{	/* Ast/substitute.scm 264 */
														obj_t BgL_arrayz00_2454;

														int BgL_offsetz00_2455;

														BgL_arrayz00_2454 = BgL_arg2422z00_2452;
														BgL_offsetz00_2455 =
															(int) (BgL_objzd2classzd2numz00_2451);
														{	/* Ast/substitute.scm 264 */
															long BgL_offsetz00_2456;

															BgL_offsetz00_2456 =
																((long) (BgL_offsetz00_2455) - OBJECT_TYPE);
															{	/* Ast/substitute.scm 264 */
																long BgL_modz00_2457;

																{	/* Ast/substitute.scm 264 */
																	int BgL_arg2424z00_2458;

																	BgL_arg2424z00_2458 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 264 */
																		long BgL_auxz00_2814;

																		BgL_auxz00_2814 =
																			(long) (BgL_arg2424z00_2458);
																		BgL_modz00_2457 =
																			(BgL_offsetz00_2456 / BgL_auxz00_2814);
																}}
																{	/* Ast/substitute.scm 264 */
																	long BgL_restz00_2459;

																	{	/* Ast/substitute.scm 264 */
																		int BgL_arg2423z00_2460;

																		BgL_arg2423z00_2460 = (int) (((long) 8));
																		{	/* Ast/substitute.scm 264 */
																			long BgL_auxz00_2818;

																			BgL_auxz00_2818 =
																				(long) (BgL_arg2423z00_2460);
																			BgL_restz00_2459 =
																				(BgL_offsetz00_2456 % BgL_auxz00_2818);
																	}}
																	{	/* Ast/substitute.scm 264 */

																		BgL_method3116z00_2449 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2454,
																				(int) (BgL_modz00_2457)),
																			(int) (BgL_restz00_2459));
										}}}}}}}}
										BgL_res3468z00_2474 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3116z00_2449) (BgL_method3116z00_2449,
												(obj_t) (BgL_nodez00_2447), BgL_arg3375z00_1468, BEOA));
								}}
								BgL_arg3373z00_1466 = BgL_res3468z00_2474;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_2829;

							BgL_auxz00_2829 = (BgL_varz00_bglt) (BgL_arg3373z00_1466);
							((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1462))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_2829), BUNSPEC);
					}}
					{	/* Ast/substitute.scm 265 */
						BgL_nodez00_bglt BgL_arg3376z00_1469;

						{	/* Ast/substitute.scm 265 */
							BgL_nodez00_bglt BgL_arg3377z00_1470;

							obj_t BgL_arg3378z00_1471;

							BgL_arg3377z00_1470 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1462))->
								BgL_valuez00);
							BgL_arg3378z00_1471 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 265 */
								BgL_nodez00_bglt BgL_res3471z00_2505;

								{	/* Ast/substitute.scm 265 */
									obj_t BgL_method3116z00_2480;

									{	/* Ast/substitute.scm 265 */
										BgL_objectz00_bglt BgL_objz00_2481;

										BgL_objz00_2481 =
											(BgL_objectz00_bglt) (BgL_arg3377z00_1470);
										{	/* Ast/substitute.scm 265 */
											long BgL_objzd2classzd2numz00_2482;

											BgL_objzd2classzd2numz00_2482 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2481);
											{	/* Ast/substitute.scm 265 */
												obj_t BgL_arg2422z00_2483;

												BgL_arg2422z00_2483 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 265 */
													obj_t BgL_arrayz00_2485;

													int BgL_offsetz00_2486;

													BgL_arrayz00_2485 = BgL_arg2422z00_2483;
													BgL_offsetz00_2486 =
														(int) (BgL_objzd2classzd2numz00_2482);
													{	/* Ast/substitute.scm 265 */
														long BgL_offsetz00_2487;

														BgL_offsetz00_2487 =
															((long) (BgL_offsetz00_2486) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 265 */
															long BgL_modz00_2488;

															{	/* Ast/substitute.scm 265 */
																int BgL_arg2424z00_2489;

																BgL_arg2424z00_2489 = (int) (((long) 8));
																{	/* Ast/substitute.scm 265 */
																	long BgL_auxz00_2842;

																	BgL_auxz00_2842 =
																		(long) (BgL_arg2424z00_2489);
																	BgL_modz00_2488 =
																		(BgL_offsetz00_2487 / BgL_auxz00_2842);
															}}
															{	/* Ast/substitute.scm 265 */
																long BgL_restz00_2490;

																{	/* Ast/substitute.scm 265 */
																	int BgL_arg2423z00_2491;

																	BgL_arg2423z00_2491 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 265 */
																		long BgL_auxz00_2846;

																		BgL_auxz00_2846 =
																			(long) (BgL_arg2423z00_2491);
																		BgL_restz00_2490 =
																			(BgL_offsetz00_2487 % BgL_auxz00_2846);
																}}
																{	/* Ast/substitute.scm 265 */

																	BgL_method3116z00_2480 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2485,
																			(int) (BgL_modz00_2488)),
																		(int) (BgL_restz00_2490));
									}}}}}}}}
									BgL_res3471z00_2505 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2480)
										(BgL_method3116z00_2480, (obj_t) (BgL_arg3377z00_1470),
											BgL_arg3378z00_1471, BEOA));
								}
								BgL_arg3376z00_1469 = BgL_res3471z00_2505;
						}}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1462))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3376z00_1469), BUNSPEC);
					}
					BgL_auxz00_2802 = BgL_nodez00_1462;
					return (obj_t) (BgL_auxz00_2802);
				}
			}
		}
	}



/* do-substitute!-box-r3154 */
	obj_t BGl_dozd2substitutez12zd2boxzd2r3154zc0zzast_substitutez00(obj_t
		BgL_envz00_2542, obj_t BgL_nodez00_2543, obj_t BgL_sitez00_2544)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 256 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1453;

				obj_t BgL_sitez00_1454;

				{	/* Ast/substitute.scm 257 */
					BgL_boxzd2refzd2_bglt BgL_auxz00_2860;

					BgL_nodez00_1453 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2543);
					BgL_sitez00_1454 = BgL_sitez00_2544;
					{	/* Ast/substitute.scm 257 */
						BgL_nodez00_bglt BgL_arg3369z00_2412;

						{	/* Ast/substitute.scm 257 */
							BgL_varz00_bglt BgL_arg3370z00_2413;

							obj_t BgL_arg3371z00_2414;

							BgL_arg3370z00_2413 =
								(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1453))->BgL_varz00);
							BgL_arg3371z00_2414 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 257 */
								BgL_nodez00_bglt BgL_res3465z00_2443;

								{	/* Ast/substitute.scm 257 */
									BgL_nodez00_bglt BgL_nodez00_2416;

									BgL_nodez00_2416 = (BgL_nodez00_bglt) (BgL_arg3370z00_2413);
									{	/* Ast/substitute.scm 257 */
										obj_t BgL_method3116z00_2418;

										{	/* Ast/substitute.scm 257 */
											BgL_objectz00_bglt BgL_objz00_2419;

											BgL_objz00_2419 = (BgL_objectz00_bglt) (BgL_nodez00_2416);
											{	/* Ast/substitute.scm 257 */
												long BgL_objzd2classzd2numz00_2420;

												BgL_objzd2classzd2numz00_2420 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2419);
												{	/* Ast/substitute.scm 257 */
													obj_t BgL_arg2422z00_2421;

													BgL_arg2422z00_2421 =
														PROCEDURE_REF
														(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
														(int) (((long) 1)));
													{	/* Ast/substitute.scm 257 */
														obj_t BgL_arrayz00_2423;

														int BgL_offsetz00_2424;

														BgL_arrayz00_2423 = BgL_arg2422z00_2421;
														BgL_offsetz00_2424 =
															(int) (BgL_objzd2classzd2numz00_2420);
														{	/* Ast/substitute.scm 257 */
															long BgL_offsetz00_2425;

															BgL_offsetz00_2425 =
																((long) (BgL_offsetz00_2424) - OBJECT_TYPE);
															{	/* Ast/substitute.scm 257 */
																long BgL_modz00_2426;

																{	/* Ast/substitute.scm 257 */
																	int BgL_arg2424z00_2427;

																	BgL_arg2424z00_2427 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 257 */
																		long BgL_auxz00_2872;

																		BgL_auxz00_2872 =
																			(long) (BgL_arg2424z00_2427);
																		BgL_modz00_2426 =
																			(BgL_offsetz00_2425 / BgL_auxz00_2872);
																}}
																{	/* Ast/substitute.scm 257 */
																	long BgL_restz00_2428;

																	{	/* Ast/substitute.scm 257 */
																		int BgL_arg2423z00_2429;

																		BgL_arg2423z00_2429 = (int) (((long) 8));
																		{	/* Ast/substitute.scm 257 */
																			long BgL_auxz00_2876;

																			BgL_auxz00_2876 =
																				(long) (BgL_arg2423z00_2429);
																			BgL_restz00_2428 =
																				(BgL_offsetz00_2425 % BgL_auxz00_2876);
																	}}
																	{	/* Ast/substitute.scm 257 */

																		BgL_method3116z00_2418 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2423,
																				(int) (BgL_modz00_2426)),
																			(int) (BgL_restz00_2428));
										}}}}}}}}
										BgL_res3465z00_2443 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3116z00_2418) (BgL_method3116z00_2418,
												(obj_t) (BgL_nodez00_2416), BgL_arg3371z00_2414, BEOA));
								}}
								BgL_arg3369z00_2412 = BgL_res3465z00_2443;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_2887;

							BgL_auxz00_2887 = (BgL_varz00_bglt) (BgL_arg3369z00_2412);
							((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1453))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_2887), BUNSPEC);
					}}
					BgL_auxz00_2860 = BgL_nodez00_1453;
					return (obj_t) (BgL_auxz00_2860);
				}
			}
		}
	}



/* do-substitute!-make-3152 */
	obj_t BGl_dozd2substitutez12zd2makezd23152zc0zzast_substitutez00(obj_t
		BgL_envz00_2545, obj_t BgL_nodez00_2546, obj_t BgL_sitez00_2547)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 249 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1444;

				obj_t BgL_sitez00_1445;

				{	/* Ast/substitute.scm 250 */
					BgL_makezd2boxzd2_bglt BgL_auxz00_2892;

					BgL_nodez00_1444 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2546);
					BgL_sitez00_1445 = BgL_sitez00_2547;
					{	/* Ast/substitute.scm 250 */
						BgL_nodez00_bglt BgL_arg3364z00_2378;

						{	/* Ast/substitute.scm 250 */
							BgL_nodez00_bglt BgL_arg3366z00_2379;

							obj_t BgL_arg3367z00_2380;

							BgL_arg3366z00_2379 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1444))->
								BgL_valuez00);
							BgL_arg3367z00_2380 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 250 */
								BgL_nodez00_bglt BgL_res3462z00_2409;

								{	/* Ast/substitute.scm 250 */
									obj_t BgL_method3116z00_2384;

									{	/* Ast/substitute.scm 250 */
										BgL_objectz00_bglt BgL_objz00_2385;

										BgL_objz00_2385 =
											(BgL_objectz00_bglt) (BgL_arg3366z00_2379);
										{	/* Ast/substitute.scm 250 */
											long BgL_objzd2classzd2numz00_2386;

											BgL_objzd2classzd2numz00_2386 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2385);
											{	/* Ast/substitute.scm 250 */
												obj_t BgL_arg2422z00_2387;

												BgL_arg2422z00_2387 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 250 */
													obj_t BgL_arrayz00_2389;

													int BgL_offsetz00_2390;

													BgL_arrayz00_2389 = BgL_arg2422z00_2387;
													BgL_offsetz00_2390 =
														(int) (BgL_objzd2classzd2numz00_2386);
													{	/* Ast/substitute.scm 250 */
														long BgL_offsetz00_2391;

														BgL_offsetz00_2391 =
															((long) (BgL_offsetz00_2390) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 250 */
															long BgL_modz00_2392;

															{	/* Ast/substitute.scm 250 */
																int BgL_arg2424z00_2393;

																BgL_arg2424z00_2393 = (int) (((long) 8));
																{	/* Ast/substitute.scm 250 */
																	long BgL_auxz00_2903;

																	BgL_auxz00_2903 =
																		(long) (BgL_arg2424z00_2393);
																	BgL_modz00_2392 =
																		(BgL_offsetz00_2391 / BgL_auxz00_2903);
															}}
															{	/* Ast/substitute.scm 250 */
																long BgL_restz00_2394;

																{	/* Ast/substitute.scm 250 */
																	int BgL_arg2423z00_2395;

																	BgL_arg2423z00_2395 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 250 */
																		long BgL_auxz00_2907;

																		BgL_auxz00_2907 =
																			(long) (BgL_arg2423z00_2395);
																		BgL_restz00_2394 =
																			(BgL_offsetz00_2391 % BgL_auxz00_2907);
																}}
																{	/* Ast/substitute.scm 250 */

																	BgL_method3116z00_2384 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2389,
																			(int) (BgL_modz00_2392)),
																		(int) (BgL_restz00_2394));
									}}}}}}}}
									BgL_res3462z00_2409 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2384)
										(BgL_method3116z00_2384, (obj_t) (BgL_arg3366z00_2379),
											BgL_arg3367z00_2380, BEOA));
								}
								BgL_arg3364z00_2378 = BgL_res3462z00_2409;
						}}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1444))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3364z00_2378), BUNSPEC);
					}
					BgL_auxz00_2892 = BgL_nodez00_1444;
					return (obj_t) (BgL_auxz00_2892);
				}
			}
		}
	}



/* do-substitute!-jump-3150 */
	obj_t BGl_dozd2substitutez12zd2jumpzd23150zc0zzast_substitutez00(obj_t
		BgL_envz00_2548, obj_t BgL_nodez00_2549, obj_t BgL_sitez00_2550)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 241 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1432;

				obj_t BgL_sitez00_1433;

				{	/* Ast/substitute.scm 242 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_2921;

					BgL_nodez00_1432 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2549);
					BgL_sitez00_1433 = BgL_sitez00_2550;
					{	/* Ast/substitute.scm 242 */
						BgL_nodez00_bglt BgL_arg3357z00_1436;

						{	/* Ast/substitute.scm 242 */
							BgL_nodez00_bglt BgL_arg3358z00_1437;

							obj_t BgL_arg3359z00_1438;

							BgL_arg3358z00_1437 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1432))->
								BgL_exitz00);
							BgL_arg3359z00_1438 = CNST_TABLE_REF(((long) 3));
							{	/* Ast/substitute.scm 242 */
								BgL_nodez00_bglt BgL_res3456z00_2344;

								{	/* Ast/substitute.scm 242 */
									obj_t BgL_method3116z00_2319;

									{	/* Ast/substitute.scm 242 */
										BgL_objectz00_bglt BgL_objz00_2320;

										BgL_objz00_2320 =
											(BgL_objectz00_bglt) (BgL_arg3358z00_1437);
										{	/* Ast/substitute.scm 242 */
											long BgL_objzd2classzd2numz00_2321;

											BgL_objzd2classzd2numz00_2321 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2320);
											{	/* Ast/substitute.scm 242 */
												obj_t BgL_arg2422z00_2322;

												BgL_arg2422z00_2322 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 242 */
													obj_t BgL_arrayz00_2324;

													int BgL_offsetz00_2325;

													BgL_arrayz00_2324 = BgL_arg2422z00_2322;
													BgL_offsetz00_2325 =
														(int) (BgL_objzd2classzd2numz00_2321);
													{	/* Ast/substitute.scm 242 */
														long BgL_offsetz00_2326;

														BgL_offsetz00_2326 =
															((long) (BgL_offsetz00_2325) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 242 */
															long BgL_modz00_2327;

															{	/* Ast/substitute.scm 242 */
																int BgL_arg2424z00_2328;

																BgL_arg2424z00_2328 = (int) (((long) 8));
																{	/* Ast/substitute.scm 242 */
																	long BgL_auxz00_2932;

																	BgL_auxz00_2932 =
																		(long) (BgL_arg2424z00_2328);
																	BgL_modz00_2327 =
																		(BgL_offsetz00_2326 / BgL_auxz00_2932);
															}}
															{	/* Ast/substitute.scm 242 */
																long BgL_restz00_2329;

																{	/* Ast/substitute.scm 242 */
																	int BgL_arg2423z00_2330;

																	BgL_arg2423z00_2330 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 242 */
																		long BgL_auxz00_2936;

																		BgL_auxz00_2936 =
																			(long) (BgL_arg2423z00_2330);
																		BgL_restz00_2329 =
																			(BgL_offsetz00_2326 % BgL_auxz00_2936);
																}}
																{	/* Ast/substitute.scm 242 */

																	BgL_method3116z00_2319 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2324,
																			(int) (BgL_modz00_2327)),
																		(int) (BgL_restz00_2329));
									}}}}}}}}
									BgL_res3456z00_2344 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2319)
										(BgL_method3116z00_2319, (obj_t) (BgL_arg3358z00_1437),
											BgL_arg3359z00_1438, BEOA));
								}
								BgL_arg3357z00_1436 = BgL_res3456z00_2344;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1432))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) BgL_arg3357z00_1436), BUNSPEC);
					}
					{	/* Ast/substitute.scm 243 */
						BgL_nodez00_bglt BgL_arg3360z00_1439;

						{	/* Ast/substitute.scm 243 */
							BgL_nodez00_bglt BgL_arg3361z00_1440;

							obj_t BgL_arg3362z00_1441;

							BgL_arg3361z00_1440 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1432))->
								BgL_valuez00);
							BgL_arg3362z00_1441 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 243 */
								BgL_nodez00_bglt BgL_res3459z00_2375;

								{	/* Ast/substitute.scm 243 */
									obj_t BgL_method3116z00_2350;

									{	/* Ast/substitute.scm 243 */
										BgL_objectz00_bglt BgL_objz00_2351;

										BgL_objz00_2351 =
											(BgL_objectz00_bglt) (BgL_arg3361z00_1440);
										{	/* Ast/substitute.scm 243 */
											long BgL_objzd2classzd2numz00_2352;

											BgL_objzd2classzd2numz00_2352 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2351);
											{	/* Ast/substitute.scm 243 */
												obj_t BgL_arg2422z00_2353;

												BgL_arg2422z00_2353 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 243 */
													obj_t BgL_arrayz00_2355;

													int BgL_offsetz00_2356;

													BgL_arrayz00_2355 = BgL_arg2422z00_2353;
													BgL_offsetz00_2356 =
														(int) (BgL_objzd2classzd2numz00_2352);
													{	/* Ast/substitute.scm 243 */
														long BgL_offsetz00_2357;

														BgL_offsetz00_2357 =
															((long) (BgL_offsetz00_2356) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 243 */
															long BgL_modz00_2358;

															{	/* Ast/substitute.scm 243 */
																int BgL_arg2424z00_2359;

																BgL_arg2424z00_2359 = (int) (((long) 8));
																{	/* Ast/substitute.scm 243 */
																	long BgL_auxz00_2958;

																	BgL_auxz00_2958 =
																		(long) (BgL_arg2424z00_2359);
																	BgL_modz00_2358 =
																		(BgL_offsetz00_2357 / BgL_auxz00_2958);
															}}
															{	/* Ast/substitute.scm 243 */
																long BgL_restz00_2360;

																{	/* Ast/substitute.scm 243 */
																	int BgL_arg2423z00_2361;

																	BgL_arg2423z00_2361 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 243 */
																		long BgL_auxz00_2962;

																		BgL_auxz00_2962 =
																			(long) (BgL_arg2423z00_2361);
																		BgL_restz00_2360 =
																			(BgL_offsetz00_2357 % BgL_auxz00_2962);
																}}
																{	/* Ast/substitute.scm 243 */

																	BgL_method3116z00_2350 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2355,
																			(int) (BgL_modz00_2358)),
																		(int) (BgL_restz00_2360));
									}}}}}}}}
									BgL_res3459z00_2375 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2350)
										(BgL_method3116z00_2350, (obj_t) (BgL_arg3361z00_1440),
											BgL_arg3362z00_1441, BEOA));
								}
								BgL_arg3360z00_1439 = BgL_res3459z00_2375;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1432))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3360z00_1439), BUNSPEC);
					}
					BgL_auxz00_2921 = BgL_nodez00_1432;
					return (obj_t) (BgL_auxz00_2921);
				}
			}
		}
	}



/* do-substitute!-set-e3148 */
	obj_t BGl_dozd2substitutez12zd2setzd2e3148zc0zzast_substitutez00(obj_t
		BgL_envz00_2551, obj_t BgL_nodez00_2552, obj_t BgL_sitez00_2553)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 234 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1424;

				obj_t BgL_sitez00_1425;

				{	/* Ast/substitute.scm 235 */
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_2976;

					BgL_nodez00_1424 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2552);
					BgL_sitez00_1425 = BgL_sitez00_2553;
					{	/* Ast/substitute.scm 235 */
						BgL_nodez00_bglt BgL_arg3354z00_2283;

						{	/* Ast/substitute.scm 235 */
							BgL_nodez00_bglt BgL_arg3355z00_2284;

							BgL_arg3355z00_2284 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1424))->
								BgL_bodyz00);
							{	/* Ast/substitute.scm 235 */
								BgL_nodez00_bglt BgL_res3453z00_2313;

								{	/* Ast/substitute.scm 235 */
									obj_t BgL_method3116z00_2288;

									{	/* Ast/substitute.scm 235 */
										BgL_objectz00_bglt BgL_objz00_2289;

										BgL_objz00_2289 =
											(BgL_objectz00_bglt) (BgL_arg3355z00_2284);
										{	/* Ast/substitute.scm 235 */
											long BgL_objzd2classzd2numz00_2290;

											BgL_objzd2classzd2numz00_2290 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2289);
											{	/* Ast/substitute.scm 235 */
												obj_t BgL_arg2422z00_2291;

												BgL_arg2422z00_2291 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 235 */
													obj_t BgL_arrayz00_2293;

													int BgL_offsetz00_2294;

													BgL_arrayz00_2293 = BgL_arg2422z00_2291;
													BgL_offsetz00_2294 =
														(int) (BgL_objzd2classzd2numz00_2290);
													{	/* Ast/substitute.scm 235 */
														long BgL_offsetz00_2295;

														BgL_offsetz00_2295 =
															((long) (BgL_offsetz00_2294) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 235 */
															long BgL_modz00_2296;

															{	/* Ast/substitute.scm 235 */
																int BgL_arg2424z00_2297;

																BgL_arg2424z00_2297 = (int) (((long) 8));
																{	/* Ast/substitute.scm 235 */
																	long BgL_auxz00_2986;

																	BgL_auxz00_2986 =
																		(long) (BgL_arg2424z00_2297);
																	BgL_modz00_2296 =
																		(BgL_offsetz00_2295 / BgL_auxz00_2986);
															}}
															{	/* Ast/substitute.scm 235 */
																long BgL_restz00_2298;

																{	/* Ast/substitute.scm 235 */
																	int BgL_arg2423z00_2299;

																	BgL_arg2423z00_2299 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 235 */
																		long BgL_auxz00_2990;

																		BgL_auxz00_2990 =
																			(long) (BgL_arg2423z00_2299);
																		BgL_restz00_2298 =
																			(BgL_offsetz00_2295 % BgL_auxz00_2990);
																}}
																{	/* Ast/substitute.scm 235 */

																	BgL_method3116z00_2288 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2293,
																			(int) (BgL_modz00_2296)),
																		(int) (BgL_restz00_2298));
									}}}}}}}}
									BgL_res3453z00_2313 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2288)
										(BgL_method3116z00_2288, (obj_t) (BgL_arg3355z00_2284),
											BgL_sitez00_1425, BEOA));
								}
								BgL_arg3354z00_2283 = BgL_res3453z00_2313;
						}}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1424))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3354z00_2283), BUNSPEC);
					}
					BgL_auxz00_2976 = BgL_nodez00_1424;
					return (obj_t) (BgL_auxz00_2976);
				}
			}
		}
	}



/* do-substitute!-let-v3146 */
	obj_t BGl_dozd2substitutez12zd2letzd2v3146zc0zzast_substitutez00(obj_t
		BgL_envz00_2554, obj_t BgL_nodez00_2555, obj_t BgL_sitez00_2556)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 224 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1405;

				obj_t BgL_sitez00_1406;

				{	/* Ast/substitute.scm 225 */
					BgL_letzd2varzd2_bglt BgL_auxz00_3004;

					BgL_nodez00_1405 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2555);
					BgL_sitez00_1406 = BgL_sitez00_2556;
					{	/* Ast/substitute.scm 225 */
						obj_t BgL_g3114z00_1409;

						BgL_g3114z00_1409 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1405))->
							BgL_bindingsz00);
						{
							obj_t BgL_l3112z00_1411;

							BgL_l3112z00_1411 = BgL_g3114z00_1409;
						BgL_zc3anonymousza33345ze3z83_1412:
							if (PAIRP(BgL_l3112z00_1411))
								{	/* Ast/substitute.scm 227 */
									{	/* Ast/substitute.scm 226 */
										obj_t BgL_bindingz00_1414;

										BgL_bindingz00_1414 = CAR(BgL_l3112z00_1411);
										{	/* Ast/substitute.scm 226 */
											BgL_nodez00_bglt BgL_arg3347z00_1415;

											{	/* Ast/substitute.scm 226 */
												obj_t BgL_arg3348z00_1416;

												obj_t BgL_arg3349z00_1417;

												BgL_arg3348z00_1416 = CDR(BgL_bindingz00_1414);
												BgL_arg3349z00_1417 = CNST_TABLE_REF(((long) 1));
												{	/* Ast/substitute.scm 226 */
													BgL_nodez00_bglt BgL_res3447z00_2248;

													{	/* Ast/substitute.scm 226 */
														BgL_nodez00_bglt BgL_nodez00_2221;

														BgL_nodez00_2221 =
															(BgL_nodez00_bglt) (BgL_arg3348z00_1416);
														{	/* Ast/substitute.scm 226 */
															obj_t BgL_method3116z00_2223;

															{	/* Ast/substitute.scm 226 */
																BgL_objectz00_bglt BgL_objz00_2224;

																BgL_objz00_2224 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2221);
																{	/* Ast/substitute.scm 226 */
																	long BgL_objzd2classzd2numz00_2225;

																	BgL_objzd2classzd2numz00_2225 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2224);
																	{	/* Ast/substitute.scm 226 */
																		obj_t BgL_arg2422z00_2226;

																		BgL_arg2422z00_2226 =
																			PROCEDURE_REF
																			(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
																			(int) (((long) 1)));
																		{	/* Ast/substitute.scm 226 */
																			obj_t BgL_arrayz00_2228;

																			int BgL_offsetz00_2229;

																			BgL_arrayz00_2228 = BgL_arg2422z00_2226;
																			BgL_offsetz00_2229 =
																				(int) (BgL_objzd2classzd2numz00_2225);
																			{	/* Ast/substitute.scm 226 */
																				long BgL_offsetz00_2230;

																				BgL_offsetz00_2230 =
																					(
																					(long) (BgL_offsetz00_2229) -
																					OBJECT_TYPE);
																				{	/* Ast/substitute.scm 226 */
																					long BgL_modz00_2231;

																					{	/* Ast/substitute.scm 226 */
																						int BgL_arg2424z00_2232;

																						BgL_arg2424z00_2232 =
																							(int) (((long) 8));
																						{	/* Ast/substitute.scm 226 */
																							long BgL_auxz00_3020;

																							BgL_auxz00_3020 =
																								(long) (BgL_arg2424z00_2232);
																							BgL_modz00_2231 =
																								(BgL_offsetz00_2230 /
																								BgL_auxz00_3020);
																					}}
																					{	/* Ast/substitute.scm 226 */
																						long BgL_restz00_2233;

																						{	/* Ast/substitute.scm 226 */
																							int BgL_arg2423z00_2234;

																							BgL_arg2423z00_2234 =
																								(int) (((long) 8));
																							{	/* Ast/substitute.scm 226 */
																								long BgL_auxz00_3024;

																								BgL_auxz00_3024 =
																									(long) (BgL_arg2423z00_2234);
																								BgL_restz00_2233 =
																									(BgL_offsetz00_2230 %
																									BgL_auxz00_3024);
																						}}
																						{	/* Ast/substitute.scm 226 */

																							BgL_method3116z00_2223 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2228,
																									(int) (BgL_modz00_2231)),
																								(int) (BgL_restz00_2233));
															}}}}}}}}
															BgL_res3447z00_2248 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3116z00_2223)
																(BgL_method3116z00_2223,
																	(obj_t) (BgL_nodez00_2221),
																	BgL_arg3349z00_1417, BEOA));
													}}
													BgL_arg3347z00_1415 = BgL_res3447z00_2248;
											}}
											{	/* Ast/substitute.scm 226 */
												obj_t BgL_auxz00_3035;

												BgL_auxz00_3035 = (obj_t) (BgL_arg3347z00_1415);
												SET_CDR(BgL_bindingz00_1414, BgL_auxz00_3035);
									}}}
									{
										obj_t BgL_l3112z00_3038;

										BgL_l3112z00_3038 = CDR(BgL_l3112z00_1411);
										BgL_l3112z00_1411 = BgL_l3112z00_3038;
										goto BgL_zc3anonymousza33345ze3z83_1412;
									}
								}
							else
								{	/* Ast/substitute.scm 227 */
									((bool_t) 1);
								}
						}
					}
					{	/* Ast/substitute.scm 228 */
						BgL_nodez00_bglt BgL_arg3351z00_1420;

						{	/* Ast/substitute.scm 228 */
							BgL_nodez00_bglt BgL_arg3352z00_1421;

							BgL_arg3352z00_1421 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1405))->BgL_bodyz00);
							{	/* Ast/substitute.scm 228 */
								BgL_nodez00_bglt BgL_res3450z00_2280;

								{	/* Ast/substitute.scm 228 */
									obj_t BgL_method3116z00_2255;

									{	/* Ast/substitute.scm 228 */
										BgL_objectz00_bglt BgL_objz00_2256;

										BgL_objz00_2256 =
											(BgL_objectz00_bglt) (BgL_arg3352z00_1421);
										{	/* Ast/substitute.scm 228 */
											long BgL_objzd2classzd2numz00_2257;

											BgL_objzd2classzd2numz00_2257 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2256);
											{	/* Ast/substitute.scm 228 */
												obj_t BgL_arg2422z00_2258;

												BgL_arg2422z00_2258 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 228 */
													obj_t BgL_arrayz00_2260;

													int BgL_offsetz00_2261;

													BgL_arrayz00_2260 = BgL_arg2422z00_2258;
													BgL_offsetz00_2261 =
														(int) (BgL_objzd2classzd2numz00_2257);
													{	/* Ast/substitute.scm 228 */
														long BgL_offsetz00_2262;

														BgL_offsetz00_2262 =
															((long) (BgL_offsetz00_2261) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 228 */
															long BgL_modz00_2263;

															{	/* Ast/substitute.scm 228 */
																int BgL_arg2424z00_2264;

																BgL_arg2424z00_2264 = (int) (((long) 8));
																{	/* Ast/substitute.scm 228 */
																	long BgL_auxz00_3049;

																	BgL_auxz00_3049 =
																		(long) (BgL_arg2424z00_2264);
																	BgL_modz00_2263 =
																		(BgL_offsetz00_2262 / BgL_auxz00_3049);
															}}
															{	/* Ast/substitute.scm 228 */
																long BgL_restz00_2265;

																{	/* Ast/substitute.scm 228 */
																	int BgL_arg2423z00_2266;

																	BgL_arg2423z00_2266 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 228 */
																		long BgL_auxz00_3053;

																		BgL_auxz00_3053 =
																			(long) (BgL_arg2423z00_2266);
																		BgL_restz00_2265 =
																			(BgL_offsetz00_2262 % BgL_auxz00_3053);
																}}
																{	/* Ast/substitute.scm 228 */

																	BgL_method3116z00_2255 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2260,
																			(int) (BgL_modz00_2263)),
																		(int) (BgL_restz00_2265));
									}}}}}}}}
									BgL_res3450z00_2280 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2255)
										(BgL_method3116z00_2255, (obj_t) (BgL_arg3352z00_1421),
											BgL_sitez00_1406, BEOA));
								}
								BgL_arg3351z00_1420 = BgL_res3450z00_2280;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1405))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3351z00_1420), BUNSPEC);
					}
					BgL_auxz00_3004 = BgL_nodez00_1405;
					return (obj_t) (BgL_auxz00_3004);
				}
			}
		}
	}



/* do-substitute!-let-f3144 */
	obj_t BGl_dozd2substitutez12zd2letzd2f3144zc0zzast_substitutez00(obj_t
		BgL_envz00_2557, obj_t BgL_nodez00_2558, obj_t BgL_sitez00_2559)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 212 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1385;

				obj_t BgL_sitez00_1386;

				{	/* Ast/substitute.scm 213 */
					BgL_letzd2funzd2_bglt BgL_auxz00_3067;

					BgL_nodez00_1385 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2558);
					BgL_sitez00_1386 = BgL_sitez00_2559;
					{	/* Ast/substitute.scm 213 */
						obj_t BgL_g3111z00_1389;

						BgL_g3111z00_1389 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1385))->BgL_localsz00);
						{
							obj_t BgL_l3109z00_1391;

							BgL_l3109z00_1391 = BgL_g3111z00_1389;
						BgL_zc3anonymousza33336ze3z83_1392:
							if (PAIRP(BgL_l3109z00_1391))
								{	/* Ast/substitute.scm 217 */
									{	/* Ast/substitute.scm 214 */
										obj_t BgL_localz00_1394;

										BgL_localz00_1394 = CAR(BgL_l3109z00_1391);
										{	/* Ast/substitute.scm 214 */
											BgL_valuez00_bglt BgL_funz00_1395;

											{
												BgL_variablez00_bglt BgL_auxz00_3072;

												BgL_auxz00_3072 =
													(BgL_variablez00_bglt) (BgL_localz00_1394);
												BgL_funz00_1395 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3072))->
													BgL_valuez00);
											}
											{	/* Ast/substitute.scm 215 */
												BgL_nodez00_bglt BgL_arg3338z00_1396;

												{	/* Ast/substitute.scm 215 */
													obj_t BgL_arg3339z00_1397;

													obj_t BgL_arg3340z00_1398;

													{
														BgL_sfunz00_bglt BgL_auxz00_3075;

														BgL_auxz00_3075 =
															(BgL_sfunz00_bglt) (BgL_funz00_1395);
														BgL_arg3339z00_1397 =
															(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3075))->
															BgL_bodyz00);
													}
													BgL_arg3340z00_1398 = CNST_TABLE_REF(((long) 1));
													{	/* Ast/substitute.scm 215 */
														BgL_nodez00_bglt BgL_res3441z00_2182;

														{	/* Ast/substitute.scm 215 */
															BgL_nodez00_bglt BgL_nodez00_2155;

															BgL_nodez00_2155 =
																(BgL_nodez00_bglt) (BgL_arg3339z00_1397);
															{	/* Ast/substitute.scm 215 */
																obj_t BgL_method3116z00_2157;

																{	/* Ast/substitute.scm 215 */
																	BgL_objectz00_bglt BgL_objz00_2158;

																	BgL_objz00_2158 =
																		(BgL_objectz00_bglt) (BgL_nodez00_2155);
																	{	/* Ast/substitute.scm 215 */
																		long BgL_objzd2classzd2numz00_2159;

																		BgL_objzd2classzd2numz00_2159 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_2158);
																		{	/* Ast/substitute.scm 215 */
																			obj_t BgL_arg2422z00_2160;

																			BgL_arg2422z00_2160 =
																				PROCEDURE_REF
																				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
																				(int) (((long) 1)));
																			{	/* Ast/substitute.scm 215 */
																				obj_t BgL_arrayz00_2162;

																				int BgL_offsetz00_2163;

																				BgL_arrayz00_2162 = BgL_arg2422z00_2160;
																				BgL_offsetz00_2163 =
																					(int) (BgL_objzd2classzd2numz00_2159);
																				{	/* Ast/substitute.scm 215 */
																					long BgL_offsetz00_2164;

																					BgL_offsetz00_2164 =
																						(
																						(long) (BgL_offsetz00_2163) -
																						OBJECT_TYPE);
																					{	/* Ast/substitute.scm 215 */
																						long BgL_modz00_2165;

																						{	/* Ast/substitute.scm 215 */
																							int BgL_arg2424z00_2166;

																							BgL_arg2424z00_2166 =
																								(int) (((long) 8));
																							{	/* Ast/substitute.scm 215 */
																								long BgL_auxz00_3088;

																								BgL_auxz00_3088 =
																									(long) (BgL_arg2424z00_2166);
																								BgL_modz00_2165 =
																									(BgL_offsetz00_2164 /
																									BgL_auxz00_3088);
																						}}
																						{	/* Ast/substitute.scm 215 */
																							long BgL_restz00_2167;

																							{	/* Ast/substitute.scm 215 */
																								int BgL_arg2423z00_2168;

																								BgL_arg2423z00_2168 =
																									(int) (((long) 8));
																								{	/* Ast/substitute.scm 215 */
																									long BgL_auxz00_3092;

																									BgL_auxz00_3092 =
																										(long)
																										(BgL_arg2423z00_2168);
																									BgL_restz00_2167 =
																										(BgL_offsetz00_2164 %
																										BgL_auxz00_3092);
																							}}
																							{	/* Ast/substitute.scm 215 */

																								BgL_method3116z00_2157 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_2162,
																										(int) (BgL_modz00_2165)),
																									(int) (BgL_restz00_2167));
																}}}}}}}}
																BgL_res3441z00_2182 =
																	(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																	(BgL_method3116z00_2157)
																	(BgL_method3116z00_2157,
																		(obj_t) (BgL_nodez00_2155),
																		BgL_arg3340z00_1398, BEOA));
														}}
														BgL_arg3338z00_1396 = BgL_res3441z00_2182;
												}}
												{
													obj_t BgL_auxz00_3105;

													BgL_sfunz00_bglt BgL_auxz00_3103;

													BgL_auxz00_3105 = (obj_t) (BgL_arg3338z00_1396);
													BgL_auxz00_3103 =
														(BgL_sfunz00_bglt) (BgL_funz00_1395);
													((((BgL_sfunz00_bglt) CREF(BgL_auxz00_3103))->
															BgL_bodyz00) =
														((obj_t) BgL_auxz00_3105), BUNSPEC);
									}}}}
									{
										obj_t BgL_l3109z00_3108;

										BgL_l3109z00_3108 = CDR(BgL_l3109z00_1391);
										BgL_l3109z00_1391 = BgL_l3109z00_3108;
										goto BgL_zc3anonymousza33336ze3z83_1392;
									}
								}
							else
								{	/* Ast/substitute.scm 217 */
									((bool_t) 1);
								}
						}
					}
					{	/* Ast/substitute.scm 218 */
						BgL_nodez00_bglt BgL_arg3342z00_1401;

						{	/* Ast/substitute.scm 218 */
							BgL_nodez00_bglt BgL_arg3343z00_1402;

							BgL_arg3343z00_1402 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1385))->BgL_bodyz00);
							{	/* Ast/substitute.scm 218 */
								BgL_nodez00_bglt BgL_res3444z00_2214;

								{	/* Ast/substitute.scm 218 */
									obj_t BgL_method3116z00_2189;

									{	/* Ast/substitute.scm 218 */
										BgL_objectz00_bglt BgL_objz00_2190;

										BgL_objz00_2190 =
											(BgL_objectz00_bglt) (BgL_arg3343z00_1402);
										{	/* Ast/substitute.scm 218 */
											long BgL_objzd2classzd2numz00_2191;

											BgL_objzd2classzd2numz00_2191 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2190);
											{	/* Ast/substitute.scm 218 */
												obj_t BgL_arg2422z00_2192;

												BgL_arg2422z00_2192 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 218 */
													obj_t BgL_arrayz00_2194;

													int BgL_offsetz00_2195;

													BgL_arrayz00_2194 = BgL_arg2422z00_2192;
													BgL_offsetz00_2195 =
														(int) (BgL_objzd2classzd2numz00_2191);
													{	/* Ast/substitute.scm 218 */
														long BgL_offsetz00_2196;

														BgL_offsetz00_2196 =
															((long) (BgL_offsetz00_2195) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 218 */
															long BgL_modz00_2197;

															{	/* Ast/substitute.scm 218 */
																int BgL_arg2424z00_2198;

																BgL_arg2424z00_2198 = (int) (((long) 8));
																{	/* Ast/substitute.scm 218 */
																	long BgL_auxz00_3119;

																	BgL_auxz00_3119 =
																		(long) (BgL_arg2424z00_2198);
																	BgL_modz00_2197 =
																		(BgL_offsetz00_2196 / BgL_auxz00_3119);
															}}
															{	/* Ast/substitute.scm 218 */
																long BgL_restz00_2199;

																{	/* Ast/substitute.scm 218 */
																	int BgL_arg2423z00_2200;

																	BgL_arg2423z00_2200 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 218 */
																		long BgL_auxz00_3123;

																		BgL_auxz00_3123 =
																			(long) (BgL_arg2423z00_2200);
																		BgL_restz00_2199 =
																			(BgL_offsetz00_2196 % BgL_auxz00_3123);
																}}
																{	/* Ast/substitute.scm 218 */

																	BgL_method3116z00_2189 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2194,
																			(int) (BgL_modz00_2197)),
																		(int) (BgL_restz00_2199));
									}}}}}}}}
									BgL_res3444z00_2214 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2189)
										(BgL_method3116z00_2189, (obj_t) (BgL_arg3343z00_1402),
											BgL_sitez00_1386, BEOA));
								}
								BgL_arg3342z00_1401 = BgL_res3444z00_2214;
						}}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1385))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3342z00_1401), BUNSPEC);
					}
					BgL_auxz00_3067 = BgL_nodez00_1385;
					return (obj_t) (BgL_auxz00_3067);
				}
			}
		}
	}



/* do-substitute!-selec3142 */
	obj_t BGl_dozd2substitutez12zd2selec3142z12zzast_substitutez00(obj_t
		BgL_envz00_2560, obj_t BgL_nodez00_2561, obj_t BgL_sitez00_2562)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 202 */
			{
				BgL_selectz00_bglt BgL_nodez00_1366;

				obj_t BgL_sitez00_1367;

				{	/* Ast/substitute.scm 203 */
					BgL_selectz00_bglt BgL_auxz00_3137;

					BgL_nodez00_1366 = (BgL_selectz00_bglt) (BgL_nodez00_2561);
					BgL_sitez00_1367 = BgL_sitez00_2562;
					{	/* Ast/substitute.scm 203 */
						BgL_nodez00_bglt BgL_arg3327z00_1370;

						{	/* Ast/substitute.scm 203 */
							BgL_nodez00_bglt BgL_arg3328z00_1371;

							obj_t BgL_arg3329z00_1372;

							BgL_arg3328z00_1371 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1366))->BgL_testz00);
							BgL_arg3329z00_1372 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 203 */
								BgL_nodez00_bglt BgL_res3435z00_2112;

								{	/* Ast/substitute.scm 203 */
									obj_t BgL_method3116z00_2087;

									{	/* Ast/substitute.scm 203 */
										BgL_objectz00_bglt BgL_objz00_2088;

										BgL_objz00_2088 =
											(BgL_objectz00_bglt) (BgL_arg3328z00_1371);
										{	/* Ast/substitute.scm 203 */
											long BgL_objzd2classzd2numz00_2089;

											BgL_objzd2classzd2numz00_2089 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2088);
											{	/* Ast/substitute.scm 203 */
												obj_t BgL_arg2422z00_2090;

												BgL_arg2422z00_2090 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 203 */
													obj_t BgL_arrayz00_2092;

													int BgL_offsetz00_2093;

													BgL_arrayz00_2092 = BgL_arg2422z00_2090;
													BgL_offsetz00_2093 =
														(int) (BgL_objzd2classzd2numz00_2089);
													{	/* Ast/substitute.scm 203 */
														long BgL_offsetz00_2094;

														BgL_offsetz00_2094 =
															((long) (BgL_offsetz00_2093) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 203 */
															long BgL_modz00_2095;

															{	/* Ast/substitute.scm 203 */
																int BgL_arg2424z00_2096;

																BgL_arg2424z00_2096 = (int) (((long) 8));
																{	/* Ast/substitute.scm 203 */
																	long BgL_auxz00_3148;

																	BgL_auxz00_3148 =
																		(long) (BgL_arg2424z00_2096);
																	BgL_modz00_2095 =
																		(BgL_offsetz00_2094 / BgL_auxz00_3148);
															}}
															{	/* Ast/substitute.scm 203 */
																long BgL_restz00_2097;

																{	/* Ast/substitute.scm 203 */
																	int BgL_arg2423z00_2098;

																	BgL_arg2423z00_2098 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 203 */
																		long BgL_auxz00_3152;

																		BgL_auxz00_3152 =
																			(long) (BgL_arg2423z00_2098);
																		BgL_restz00_2097 =
																			(BgL_offsetz00_2094 % BgL_auxz00_3152);
																}}
																{	/* Ast/substitute.scm 203 */

																	BgL_method3116z00_2087 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2092,
																			(int) (BgL_modz00_2095)),
																		(int) (BgL_restz00_2097));
									}}}}}}}}
									BgL_res3435z00_2112 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2087)
										(BgL_method3116z00_2087, (obj_t) (BgL_arg3328z00_1371),
											BgL_arg3329z00_1372, BEOA));
								}
								BgL_arg3327z00_1370 = BgL_res3435z00_2112;
						}}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1366))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3327z00_1370), BUNSPEC);
					}
					{	/* Ast/substitute.scm 204 */
						obj_t BgL_g3108z00_1373;

						BgL_g3108z00_1373 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1366))->BgL_clausesz00);
						{
							obj_t BgL_l3106z00_1375;

							BgL_l3106z00_1375 = BgL_g3108z00_1373;
						BgL_zc3anonymousza33330ze3z83_1376:
							if (PAIRP(BgL_l3106z00_1375))
								{	/* Ast/substitute.scm 206 */
									{	/* Ast/substitute.scm 205 */
										obj_t BgL_clausez00_1378;

										BgL_clausez00_1378 = CAR(BgL_l3106z00_1375);
										{	/* Ast/substitute.scm 205 */
											BgL_nodez00_bglt BgL_arg3332z00_1379;

											{	/* Ast/substitute.scm 205 */
												obj_t BgL_arg3333z00_1380;

												BgL_arg3333z00_1380 = CDR(BgL_clausez00_1378);
												{	/* Ast/substitute.scm 205 */
													BgL_nodez00_bglt BgL_res3438z00_2146;

													{	/* Ast/substitute.scm 205 */
														BgL_nodez00_bglt BgL_nodez00_2119;

														BgL_nodez00_2119 =
															(BgL_nodez00_bglt) (BgL_arg3333z00_1380);
														{	/* Ast/substitute.scm 205 */
															obj_t BgL_method3116z00_2121;

															{	/* Ast/substitute.scm 205 */
																BgL_objectz00_bglt BgL_objz00_2122;

																BgL_objz00_2122 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2119);
																{	/* Ast/substitute.scm 205 */
																	long BgL_objzd2classzd2numz00_2123;

																	BgL_objzd2classzd2numz00_2123 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2122);
																	{	/* Ast/substitute.scm 205 */
																		obj_t BgL_arg2422z00_2124;

																		BgL_arg2422z00_2124 =
																			PROCEDURE_REF
																			(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
																			(int) (((long) 1)));
																		{	/* Ast/substitute.scm 205 */
																			obj_t BgL_arrayz00_2126;

																			int BgL_offsetz00_2127;

																			BgL_arrayz00_2126 = BgL_arg2422z00_2124;
																			BgL_offsetz00_2127 =
																				(int) (BgL_objzd2classzd2numz00_2123);
																			{	/* Ast/substitute.scm 205 */
																				long BgL_offsetz00_2128;

																				BgL_offsetz00_2128 =
																					(
																					(long) (BgL_offsetz00_2127) -
																					OBJECT_TYPE);
																				{	/* Ast/substitute.scm 205 */
																					long BgL_modz00_2129;

																					{	/* Ast/substitute.scm 205 */
																						int BgL_arg2424z00_2130;

																						BgL_arg2424z00_2130 =
																							(int) (((long) 8));
																						{	/* Ast/substitute.scm 205 */
																							long BgL_auxz00_3178;

																							BgL_auxz00_3178 =
																								(long) (BgL_arg2424z00_2130);
																							BgL_modz00_2129 =
																								(BgL_offsetz00_2128 /
																								BgL_auxz00_3178);
																					}}
																					{	/* Ast/substitute.scm 205 */
																						long BgL_restz00_2131;

																						{	/* Ast/substitute.scm 205 */
																							int BgL_arg2423z00_2132;

																							BgL_arg2423z00_2132 =
																								(int) (((long) 8));
																							{	/* Ast/substitute.scm 205 */
																								long BgL_auxz00_3182;

																								BgL_auxz00_3182 =
																									(long) (BgL_arg2423z00_2132);
																								BgL_restz00_2131 =
																									(BgL_offsetz00_2128 %
																									BgL_auxz00_3182);
																						}}
																						{	/* Ast/substitute.scm 205 */

																							BgL_method3116z00_2121 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2126,
																									(int) (BgL_modz00_2129)),
																								(int) (BgL_restz00_2131));
															}}}}}}}}
															BgL_res3438z00_2146 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3116z00_2121)
																(BgL_method3116z00_2121,
																	(obj_t) (BgL_nodez00_2119), BgL_sitez00_1367,
																	BEOA));
													}}
													BgL_arg3332z00_1379 = BgL_res3438z00_2146;
											}}
											{	/* Ast/substitute.scm 205 */
												obj_t BgL_auxz00_3193;

												BgL_auxz00_3193 = (obj_t) (BgL_arg3332z00_1379);
												SET_CDR(BgL_clausez00_1378, BgL_auxz00_3193);
									}}}
									{
										obj_t BgL_l3106z00_3196;

										BgL_l3106z00_3196 = CDR(BgL_l3106z00_1375);
										BgL_l3106z00_1375 = BgL_l3106z00_3196;
										goto BgL_zc3anonymousza33330ze3z83_1376;
									}
								}
							else
								{	/* Ast/substitute.scm 206 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_3137 = BgL_nodez00_1366;
					return (obj_t) (BgL_auxz00_3137);
				}
			}
		}
	}



/* do-substitute!-fail3140 */
	obj_t BGl_dozd2substitutez12zd2fail3140z12zzast_substitutez00(obj_t
		BgL_envz00_2563, obj_t BgL_nodez00_2564, obj_t BgL_sitez00_2565)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 192 */
			{
				BgL_failz00_bglt BgL_nodez00_1350;

				obj_t BgL_sitez00_1351;

				{	/* Ast/substitute.scm 193 */
					BgL_failz00_bglt BgL_auxz00_3200;

					BgL_nodez00_1350 = (BgL_failz00_bglt) (BgL_nodez00_2564);
					BgL_sitez00_1351 = BgL_sitez00_2565;
					{	/* Ast/substitute.scm 194 */
						BgL_nodez00_bglt BgL_arg3317z00_1355;

						{	/* Ast/substitute.scm 194 */
							BgL_nodez00_bglt BgL_arg3318z00_1356;

							obj_t BgL_arg3319z00_1357;

							BgL_arg3318z00_1356 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_procz00);
							BgL_arg3319z00_1357 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 194 */
								BgL_nodez00_bglt BgL_res3426z00_2019;

								{	/* Ast/substitute.scm 194 */
									obj_t BgL_method3116z00_1994;

									{	/* Ast/substitute.scm 194 */
										BgL_objectz00_bglt BgL_objz00_1995;

										BgL_objz00_1995 =
											(BgL_objectz00_bglt) (BgL_arg3318z00_1356);
										{	/* Ast/substitute.scm 194 */
											long BgL_objzd2classzd2numz00_1996;

											BgL_objzd2classzd2numz00_1996 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1995);
											{	/* Ast/substitute.scm 194 */
												obj_t BgL_arg2422z00_1997;

												BgL_arg2422z00_1997 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 194 */
													obj_t BgL_arrayz00_1999;

													int BgL_offsetz00_2000;

													BgL_arrayz00_1999 = BgL_arg2422z00_1997;
													BgL_offsetz00_2000 =
														(int) (BgL_objzd2classzd2numz00_1996);
													{	/* Ast/substitute.scm 194 */
														long BgL_offsetz00_2001;

														BgL_offsetz00_2001 =
															((long) (BgL_offsetz00_2000) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 194 */
															long BgL_modz00_2002;

															{	/* Ast/substitute.scm 194 */
																int BgL_arg2424z00_2003;

																BgL_arg2424z00_2003 = (int) (((long) 8));
																{	/* Ast/substitute.scm 194 */
																	long BgL_auxz00_3211;

																	BgL_auxz00_3211 =
																		(long) (BgL_arg2424z00_2003);
																	BgL_modz00_2002 =
																		(BgL_offsetz00_2001 / BgL_auxz00_3211);
															}}
															{	/* Ast/substitute.scm 194 */
																long BgL_restz00_2004;

																{	/* Ast/substitute.scm 194 */
																	int BgL_arg2423z00_2005;

																	BgL_arg2423z00_2005 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 194 */
																		long BgL_auxz00_3215;

																		BgL_auxz00_3215 =
																			(long) (BgL_arg2423z00_2005);
																		BgL_restz00_2004 =
																			(BgL_offsetz00_2001 % BgL_auxz00_3215);
																}}
																{	/* Ast/substitute.scm 194 */

																	BgL_method3116z00_1994 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1999,
																			(int) (BgL_modz00_2002)),
																		(int) (BgL_restz00_2004));
									}}}}}}}}
									BgL_res3426z00_2019 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1994)
										(BgL_method3116z00_1994, (obj_t) (BgL_arg3318z00_1356),
											BgL_arg3319z00_1357, BEOA));
								}
								BgL_arg3317z00_1355 = BgL_res3426z00_2019;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_arg3317z00_1355), BUNSPEC);
					}
					{	/* Ast/substitute.scm 195 */
						BgL_nodez00_bglt BgL_arg3320z00_1358;

						{	/* Ast/substitute.scm 195 */
							BgL_nodez00_bglt BgL_arg3321z00_1359;

							obj_t BgL_arg3322z00_1360;

							BgL_arg3321z00_1359 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_msgz00);
							BgL_arg3322z00_1360 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 195 */
								BgL_nodez00_bglt BgL_res3429z00_2050;

								{	/* Ast/substitute.scm 195 */
									obj_t BgL_method3116z00_2025;

									{	/* Ast/substitute.scm 195 */
										BgL_objectz00_bglt BgL_objz00_2026;

										BgL_objz00_2026 =
											(BgL_objectz00_bglt) (BgL_arg3321z00_1359);
										{	/* Ast/substitute.scm 195 */
											long BgL_objzd2classzd2numz00_2027;

											BgL_objzd2classzd2numz00_2027 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2026);
											{	/* Ast/substitute.scm 195 */
												obj_t BgL_arg2422z00_2028;

												BgL_arg2422z00_2028 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 195 */
													obj_t BgL_arrayz00_2030;

													int BgL_offsetz00_2031;

													BgL_arrayz00_2030 = BgL_arg2422z00_2028;
													BgL_offsetz00_2031 =
														(int) (BgL_objzd2classzd2numz00_2027);
													{	/* Ast/substitute.scm 195 */
														long BgL_offsetz00_2032;

														BgL_offsetz00_2032 =
															((long) (BgL_offsetz00_2031) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 195 */
															long BgL_modz00_2033;

															{	/* Ast/substitute.scm 195 */
																int BgL_arg2424z00_2034;

																BgL_arg2424z00_2034 = (int) (((long) 8));
																{	/* Ast/substitute.scm 195 */
																	long BgL_auxz00_3237;

																	BgL_auxz00_3237 =
																		(long) (BgL_arg2424z00_2034);
																	BgL_modz00_2033 =
																		(BgL_offsetz00_2032 / BgL_auxz00_3237);
															}}
															{	/* Ast/substitute.scm 195 */
																long BgL_restz00_2035;

																{	/* Ast/substitute.scm 195 */
																	int BgL_arg2423z00_2036;

																	BgL_arg2423z00_2036 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 195 */
																		long BgL_auxz00_3241;

																		BgL_auxz00_3241 =
																			(long) (BgL_arg2423z00_2036);
																		BgL_restz00_2035 =
																			(BgL_offsetz00_2032 % BgL_auxz00_3241);
																}}
																{	/* Ast/substitute.scm 195 */

																	BgL_method3116z00_2025 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2030,
																			(int) (BgL_modz00_2033)),
																		(int) (BgL_restz00_2035));
									}}}}}}}}
									BgL_res3429z00_2050 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2025)
										(BgL_method3116z00_2025, (obj_t) (BgL_arg3321z00_1359),
											BgL_arg3322z00_1360, BEOA));
								}
								BgL_arg3320z00_1358 = BgL_res3429z00_2050;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_arg3320z00_1358), BUNSPEC);
					}
					{	/* Ast/substitute.scm 196 */
						BgL_nodez00_bglt BgL_arg3323z00_1361;

						{	/* Ast/substitute.scm 196 */
							BgL_nodez00_bglt BgL_arg3324z00_1362;

							obj_t BgL_arg3325z00_1363;

							BgL_arg3324z00_1362 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_objz00);
							BgL_arg3325z00_1363 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 196 */
								BgL_nodez00_bglt BgL_res3432z00_2081;

								{	/* Ast/substitute.scm 196 */
									obj_t BgL_method3116z00_2056;

									{	/* Ast/substitute.scm 196 */
										BgL_objectz00_bglt BgL_objz00_2057;

										BgL_objz00_2057 =
											(BgL_objectz00_bglt) (BgL_arg3324z00_1362);
										{	/* Ast/substitute.scm 196 */
											long BgL_objzd2classzd2numz00_2058;

											BgL_objzd2classzd2numz00_2058 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2057);
											{	/* Ast/substitute.scm 196 */
												obj_t BgL_arg2422z00_2059;

												BgL_arg2422z00_2059 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 196 */
													obj_t BgL_arrayz00_2061;

													int BgL_offsetz00_2062;

													BgL_arrayz00_2061 = BgL_arg2422z00_2059;
													BgL_offsetz00_2062 =
														(int) (BgL_objzd2classzd2numz00_2058);
													{	/* Ast/substitute.scm 196 */
														long BgL_offsetz00_2063;

														BgL_offsetz00_2063 =
															((long) (BgL_offsetz00_2062) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 196 */
															long BgL_modz00_2064;

															{	/* Ast/substitute.scm 196 */
																int BgL_arg2424z00_2065;

																BgL_arg2424z00_2065 = (int) (((long) 8));
																{	/* Ast/substitute.scm 196 */
																	long BgL_auxz00_3263;

																	BgL_auxz00_3263 =
																		(long) (BgL_arg2424z00_2065);
																	BgL_modz00_2064 =
																		(BgL_offsetz00_2063 / BgL_auxz00_3263);
															}}
															{	/* Ast/substitute.scm 196 */
																long BgL_restz00_2066;

																{	/* Ast/substitute.scm 196 */
																	int BgL_arg2423z00_2067;

																	BgL_arg2423z00_2067 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 196 */
																		long BgL_auxz00_3267;

																		BgL_auxz00_3267 =
																			(long) (BgL_arg2423z00_2067);
																		BgL_restz00_2066 =
																			(BgL_offsetz00_2063 % BgL_auxz00_3267);
																}}
																{	/* Ast/substitute.scm 196 */

																	BgL_method3116z00_2056 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2061,
																			(int) (BgL_modz00_2064)),
																		(int) (BgL_restz00_2066));
									}}}}}}}}
									BgL_res3432z00_2081 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_2056)
										(BgL_method3116z00_2056, (obj_t) (BgL_arg3324z00_1362),
											BgL_arg3325z00_1363, BEOA));
								}
								BgL_arg3323z00_1361 = BgL_res3432z00_2081;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_arg3323z00_1361), BUNSPEC);
					}
					BgL_auxz00_3200 = BgL_nodez00_1350;
					return (obj_t) (BgL_auxz00_3200);
				}
			}
		}
	}



/* do-substitute!-condi3138 */
	obj_t BGl_dozd2substitutez12zd2condi3138z12zzast_substitutez00(obj_t
		BgL_envz00_2566, obj_t BgL_nodez00_2567, obj_t BgL_sitez00_2568)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 182 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1336;

				obj_t BgL_sitez00_1337;

				{	/* Ast/substitute.scm 183 */
					BgL_conditionalz00_bglt BgL_auxz00_3281;

					BgL_nodez00_1336 = (BgL_conditionalz00_bglt) (BgL_nodez00_2567);
					BgL_sitez00_1337 = BgL_sitez00_2568;
					{	/* Ast/substitute.scm 184 */
						BgL_nodez00_bglt BgL_arg3309z00_1341;

						{	/* Ast/substitute.scm 184 */
							BgL_nodez00_bglt BgL_arg3310z00_1342;

							obj_t BgL_arg3311z00_1343;

							BgL_arg3310z00_1342 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1336))->
								BgL_testz00);
							BgL_arg3311z00_1343 = CNST_TABLE_REF(((long) 1));
							{	/* Ast/substitute.scm 184 */
								BgL_nodez00_bglt BgL_res3417z00_1926;

								{	/* Ast/substitute.scm 184 */
									obj_t BgL_method3116z00_1901;

									{	/* Ast/substitute.scm 184 */
										BgL_objectz00_bglt BgL_objz00_1902;

										BgL_objz00_1902 =
											(BgL_objectz00_bglt) (BgL_arg3310z00_1342);
										{	/* Ast/substitute.scm 184 */
											long BgL_objzd2classzd2numz00_1903;

											BgL_objzd2classzd2numz00_1903 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1902);
											{	/* Ast/substitute.scm 184 */
												obj_t BgL_arg2422z00_1904;

												BgL_arg2422z00_1904 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 184 */
													obj_t BgL_arrayz00_1906;

													int BgL_offsetz00_1907;

													BgL_arrayz00_1906 = BgL_arg2422z00_1904;
													BgL_offsetz00_1907 =
														(int) (BgL_objzd2classzd2numz00_1903);
													{	/* Ast/substitute.scm 184 */
														long BgL_offsetz00_1908;

														BgL_offsetz00_1908 =
															((long) (BgL_offsetz00_1907) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 184 */
															long BgL_modz00_1909;

															{	/* Ast/substitute.scm 184 */
																int BgL_arg2424z00_1910;

																BgL_arg2424z00_1910 = (int) (((long) 8));
																{	/* Ast/substitute.scm 184 */
																	long BgL_auxz00_3292;

																	BgL_auxz00_3292 =
																		(long) (BgL_arg2424z00_1910);
																	BgL_modz00_1909 =
																		(BgL_offsetz00_1908 / BgL_auxz00_3292);
															}}
															{	/* Ast/substitute.scm 184 */
																long BgL_restz00_1911;

																{	/* Ast/substitute.scm 184 */
																	int BgL_arg2423z00_1912;

																	BgL_arg2423z00_1912 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 184 */
																		long BgL_auxz00_3296;

																		BgL_auxz00_3296 =
																			(long) (BgL_arg2423z00_1912);
																		BgL_restz00_1911 =
																			(BgL_offsetz00_1908 % BgL_auxz00_3296);
																}}
																{	/* Ast/substitute.scm 184 */

																	BgL_method3116z00_1901 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1906,
																			(int) (BgL_modz00_1909)),
																		(int) (BgL_restz00_1911));
									}}}}}}}}
									BgL_res3417z00_1926 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1901)
										(BgL_method3116z00_1901, (obj_t) (BgL_arg3310z00_1342),
											BgL_arg3311z00_1343, BEOA));
								}
								BgL_arg3309z00_1341 = BgL_res3417z00_1926;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1336))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3309z00_1341), BUNSPEC);
					}
					{	/* Ast/substitute.scm 185 */
						BgL_nodez00_bglt BgL_arg3312z00_1344;

						{	/* Ast/substitute.scm 185 */
							BgL_nodez00_bglt BgL_arg3313z00_1345;

							BgL_arg3313z00_1345 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1336))->
								BgL_truez00);
							{	/* Ast/substitute.scm 185 */
								BgL_nodez00_bglt BgL_res3420z00_1957;

								{	/* Ast/substitute.scm 185 */
									obj_t BgL_method3116z00_1932;

									{	/* Ast/substitute.scm 185 */
										BgL_objectz00_bglt BgL_objz00_1933;

										BgL_objz00_1933 =
											(BgL_objectz00_bglt) (BgL_arg3313z00_1345);
										{	/* Ast/substitute.scm 185 */
											long BgL_objzd2classzd2numz00_1934;

											BgL_objzd2classzd2numz00_1934 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1933);
											{	/* Ast/substitute.scm 185 */
												obj_t BgL_arg2422z00_1935;

												BgL_arg2422z00_1935 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 185 */
													obj_t BgL_arrayz00_1937;

													int BgL_offsetz00_1938;

													BgL_arrayz00_1937 = BgL_arg2422z00_1935;
													BgL_offsetz00_1938 =
														(int) (BgL_objzd2classzd2numz00_1934);
													{	/* Ast/substitute.scm 185 */
														long BgL_offsetz00_1939;

														BgL_offsetz00_1939 =
															((long) (BgL_offsetz00_1938) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 185 */
															long BgL_modz00_1940;

															{	/* Ast/substitute.scm 185 */
																int BgL_arg2424z00_1941;

																BgL_arg2424z00_1941 = (int) (((long) 8));
																{	/* Ast/substitute.scm 185 */
																	long BgL_auxz00_3317;

																	BgL_auxz00_3317 =
																		(long) (BgL_arg2424z00_1941);
																	BgL_modz00_1940 =
																		(BgL_offsetz00_1939 / BgL_auxz00_3317);
															}}
															{	/* Ast/substitute.scm 185 */
																long BgL_restz00_1942;

																{	/* Ast/substitute.scm 185 */
																	int BgL_arg2423z00_1943;

																	BgL_arg2423z00_1943 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 185 */
																		long BgL_auxz00_3321;

																		BgL_auxz00_3321 =
																			(long) (BgL_arg2423z00_1943);
																		BgL_restz00_1942 =
																			(BgL_offsetz00_1939 % BgL_auxz00_3321);
																}}
																{	/* Ast/substitute.scm 185 */

																	BgL_method3116z00_1932 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1937,
																			(int) (BgL_modz00_1940)),
																		(int) (BgL_restz00_1942));
									}}}}}}}}
									BgL_res3420z00_1957 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1932)
										(BgL_method3116z00_1932, (obj_t) (BgL_arg3313z00_1345),
											BgL_sitez00_1337, BEOA));
								}
								BgL_arg3312z00_1344 = BgL_res3420z00_1957;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1336))->BgL_truez00) =
							((BgL_nodez00_bglt) BgL_arg3312z00_1344), BUNSPEC);
					}
					{	/* Ast/substitute.scm 186 */
						BgL_nodez00_bglt BgL_arg3314z00_1346;

						{	/* Ast/substitute.scm 186 */
							BgL_nodez00_bglt BgL_arg3315z00_1347;

							BgL_arg3315z00_1347 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1336))->
								BgL_falsez00);
							{	/* Ast/substitute.scm 186 */
								BgL_nodez00_bglt BgL_res3423z00_1988;

								{	/* Ast/substitute.scm 186 */
									obj_t BgL_method3116z00_1963;

									{	/* Ast/substitute.scm 186 */
										BgL_objectz00_bglt BgL_objz00_1964;

										BgL_objz00_1964 =
											(BgL_objectz00_bglt) (BgL_arg3315z00_1347);
										{	/* Ast/substitute.scm 186 */
											long BgL_objzd2classzd2numz00_1965;

											BgL_objzd2classzd2numz00_1965 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1964);
											{	/* Ast/substitute.scm 186 */
												obj_t BgL_arg2422z00_1966;

												BgL_arg2422z00_1966 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 186 */
													obj_t BgL_arrayz00_1968;

													int BgL_offsetz00_1969;

													BgL_arrayz00_1968 = BgL_arg2422z00_1966;
													BgL_offsetz00_1969 =
														(int) (BgL_objzd2classzd2numz00_1965);
													{	/* Ast/substitute.scm 186 */
														long BgL_offsetz00_1970;

														BgL_offsetz00_1970 =
															((long) (BgL_offsetz00_1969) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 186 */
															long BgL_modz00_1971;

															{	/* Ast/substitute.scm 186 */
																int BgL_arg2424z00_1972;

																BgL_arg2424z00_1972 = (int) (((long) 8));
																{	/* Ast/substitute.scm 186 */
																	long BgL_auxz00_3342;

																	BgL_auxz00_3342 =
																		(long) (BgL_arg2424z00_1972);
																	BgL_modz00_1971 =
																		(BgL_offsetz00_1970 / BgL_auxz00_3342);
															}}
															{	/* Ast/substitute.scm 186 */
																long BgL_restz00_1973;

																{	/* Ast/substitute.scm 186 */
																	int BgL_arg2423z00_1974;

																	BgL_arg2423z00_1974 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 186 */
																		long BgL_auxz00_3346;

																		BgL_auxz00_3346 =
																			(long) (BgL_arg2423z00_1974);
																		BgL_restz00_1973 =
																			(BgL_offsetz00_1970 % BgL_auxz00_3346);
																}}
																{	/* Ast/substitute.scm 186 */

																	BgL_method3116z00_1963 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1968,
																			(int) (BgL_modz00_1971)),
																		(int) (BgL_restz00_1973));
									}}}}}}}}
									BgL_res3423z00_1988 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1963)
										(BgL_method3116z00_1963, (obj_t) (BgL_arg3315z00_1347),
											BgL_sitez00_1337, BEOA));
								}
								BgL_arg3314z00_1346 = BgL_res3423z00_1988;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1336))->
								BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_arg3314z00_1346), BUNSPEC);
					}
					BgL_auxz00_3281 = BgL_nodez00_1336;
					return (obj_t) (BgL_auxz00_3281);
				}
			}
		}
	}



/* do-substitute!-setq3136 */
	obj_t BGl_dozd2substitutez12zd2setq3136z12zzast_substitutez00(obj_t
		BgL_envz00_2569, obj_t BgL_nodez00_2570, obj_t BgL_sitez00_2571)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 173 */
			{
				BgL_setqz00_bglt BgL_nodez00_1324;

				obj_t BgL_sitez00_1325;

				{	/* Ast/substitute.scm 174 */
					BgL_setqz00_bglt BgL_auxz00_3360;

					BgL_nodez00_1324 = (BgL_setqz00_bglt) (BgL_nodez00_2570);
					BgL_sitez00_1325 = BgL_sitez00_2571;
					{	/* Ast/substitute.scm 175 */
						BgL_nodez00_bglt BgL_arg3303z00_1329;

						{	/* Ast/substitute.scm 175 */
							BgL_varz00_bglt BgL_arg3304z00_1330;

							obj_t BgL_arg3305z00_1331;

							BgL_arg3304z00_1330 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1324))->BgL_varz00);
							BgL_arg3305z00_1331 = CNST_TABLE_REF(((long) 4));
							{	/* Ast/substitute.scm 175 */
								BgL_nodez00_bglt BgL_res3411z00_1864;

								{	/* Ast/substitute.scm 175 */
									BgL_nodez00_bglt BgL_nodez00_1837;

									BgL_nodez00_1837 = (BgL_nodez00_bglt) (BgL_arg3304z00_1330);
									{	/* Ast/substitute.scm 175 */
										obj_t BgL_method3116z00_1839;

										{	/* Ast/substitute.scm 175 */
											BgL_objectz00_bglt BgL_objz00_1840;

											BgL_objz00_1840 = (BgL_objectz00_bglt) (BgL_nodez00_1837);
											{	/* Ast/substitute.scm 175 */
												long BgL_objzd2classzd2numz00_1841;

												BgL_objzd2classzd2numz00_1841 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1840);
												{	/* Ast/substitute.scm 175 */
													obj_t BgL_arg2422z00_1842;

													BgL_arg2422z00_1842 =
														PROCEDURE_REF
														(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
														(int) (((long) 1)));
													{	/* Ast/substitute.scm 175 */
														obj_t BgL_arrayz00_1844;

														int BgL_offsetz00_1845;

														BgL_arrayz00_1844 = BgL_arg2422z00_1842;
														BgL_offsetz00_1845 =
															(int) (BgL_objzd2classzd2numz00_1841);
														{	/* Ast/substitute.scm 175 */
															long BgL_offsetz00_1846;

															BgL_offsetz00_1846 =
																((long) (BgL_offsetz00_1845) - OBJECT_TYPE);
															{	/* Ast/substitute.scm 175 */
																long BgL_modz00_1847;

																{	/* Ast/substitute.scm 175 */
																	int BgL_arg2424z00_1848;

																	BgL_arg2424z00_1848 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 175 */
																		long BgL_auxz00_3372;

																		BgL_auxz00_3372 =
																			(long) (BgL_arg2424z00_1848);
																		BgL_modz00_1847 =
																			(BgL_offsetz00_1846 / BgL_auxz00_3372);
																}}
																{	/* Ast/substitute.scm 175 */
																	long BgL_restz00_1849;

																	{	/* Ast/substitute.scm 175 */
																		int BgL_arg2423z00_1850;

																		BgL_arg2423z00_1850 = (int) (((long) 8));
																		{	/* Ast/substitute.scm 175 */
																			long BgL_auxz00_3376;

																			BgL_auxz00_3376 =
																				(long) (BgL_arg2423z00_1850);
																			BgL_restz00_1849 =
																				(BgL_offsetz00_1846 % BgL_auxz00_3376);
																	}}
																	{	/* Ast/substitute.scm 175 */

																		BgL_method3116z00_1839 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1844,
																				(int) (BgL_modz00_1847)),
																			(int) (BgL_restz00_1849));
										}}}}}}}}
										BgL_res3411z00_1864 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3116z00_1839) (BgL_method3116z00_1839,
												(obj_t) (BgL_nodez00_1837), BgL_arg3305z00_1331, BEOA));
								}}
								BgL_arg3303z00_1329 = BgL_res3411z00_1864;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3387;

							BgL_auxz00_3387 = (BgL_varz00_bglt) (BgL_arg3303z00_1329);
							((((BgL_setqz00_bglt) CREF(BgL_nodez00_1324))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_3387), BUNSPEC);
					}}
					{	/* Ast/substitute.scm 176 */
						BgL_nodez00_bglt BgL_arg3306z00_1332;

						{	/* Ast/substitute.scm 176 */
							BgL_nodez00_bglt BgL_arg3307z00_1333;

							BgL_arg3307z00_1333 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1324))->BgL_valuez00);
							{	/* Ast/substitute.scm 176 */
								BgL_nodez00_bglt BgL_res3414z00_1895;

								{	/* Ast/substitute.scm 176 */
									obj_t BgL_method3116z00_1870;

									{	/* Ast/substitute.scm 176 */
										BgL_objectz00_bglt BgL_objz00_1871;

										BgL_objz00_1871 =
											(BgL_objectz00_bglt) (BgL_arg3307z00_1333);
										{	/* Ast/substitute.scm 176 */
											long BgL_objzd2classzd2numz00_1872;

											BgL_objzd2classzd2numz00_1872 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1871);
											{	/* Ast/substitute.scm 176 */
												obj_t BgL_arg2422z00_1873;

												BgL_arg2422z00_1873 =
													PROCEDURE_REF
													(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
													(int) (((long) 1)));
												{	/* Ast/substitute.scm 176 */
													obj_t BgL_arrayz00_1875;

													int BgL_offsetz00_1876;

													BgL_arrayz00_1875 = BgL_arg2422z00_1873;
													BgL_offsetz00_1876 =
														(int) (BgL_objzd2classzd2numz00_1872);
													{	/* Ast/substitute.scm 176 */
														long BgL_offsetz00_1877;

														BgL_offsetz00_1877 =
															((long) (BgL_offsetz00_1876) - OBJECT_TYPE);
														{	/* Ast/substitute.scm 176 */
															long BgL_modz00_1878;

															{	/* Ast/substitute.scm 176 */
																int BgL_arg2424z00_1879;

																BgL_arg2424z00_1879 = (int) (((long) 8));
																{	/* Ast/substitute.scm 176 */
																	long BgL_auxz00_3399;

																	BgL_auxz00_3399 =
																		(long) (BgL_arg2424z00_1879);
																	BgL_modz00_1878 =
																		(BgL_offsetz00_1877 / BgL_auxz00_3399);
															}}
															{	/* Ast/substitute.scm 176 */
																long BgL_restz00_1880;

																{	/* Ast/substitute.scm 176 */
																	int BgL_arg2423z00_1881;

																	BgL_arg2423z00_1881 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 176 */
																		long BgL_auxz00_3403;

																		BgL_auxz00_3403 =
																			(long) (BgL_arg2423z00_1881);
																		BgL_restz00_1880 =
																			(BgL_offsetz00_1877 % BgL_auxz00_3403);
																}}
																{	/* Ast/substitute.scm 176 */

																	BgL_method3116z00_1870 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1875,
																			(int) (BgL_modz00_1878)),
																		(int) (BgL_restz00_1880));
									}}}}}}}}
									BgL_res3414z00_1895 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1870)
										(BgL_method3116z00_1870, (obj_t) (BgL_arg3307z00_1333),
											BgL_sitez00_1325, BEOA));
								}
								BgL_arg3306z00_1332 = BgL_res3414z00_1895;
						}}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1324))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3306z00_1332), BUNSPEC);
					}
					BgL_auxz00_3360 = BgL_nodez00_1324;
					return (obj_t) (BgL_auxz00_3360);
				}
			}
		}
	}



/* do-substitute!-cast3134 */
	obj_t BGl_dozd2substitutez12zd2cast3134z12zzast_substitutez00(obj_t
		BgL_envz00_2572, obj_t BgL_nodez00_2573, obj_t BgL_sitez00_2574)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 166 */
			{
				BgL_castz00_bglt BgL_nodez00_1317;

				obj_t BgL_sitez00_1318;

				{	/* Ast/substitute.scm 167 */
					BgL_castz00_bglt BgL_auxz00_3417;

					BgL_nodez00_1317 = (BgL_castz00_bglt) (BgL_nodez00_2573);
					BgL_sitez00_1318 = BgL_sitez00_2574;
					{	/* Ast/substitute.scm 167 */
						BgL_nodez00_bglt BgL_arg3301z00_1806;

						BgL_arg3301z00_1806 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1317))->BgL_argz00);
						{	/* Ast/substitute.scm 167 */
							BgL_nodez00_bglt BgL_res3408z00_1835;

							{	/* Ast/substitute.scm 167 */
								obj_t BgL_method3116z00_1810;

								{	/* Ast/substitute.scm 167 */
									BgL_objectz00_bglt BgL_objz00_1811;

									BgL_objz00_1811 = (BgL_objectz00_bglt) (BgL_arg3301z00_1806);
									{	/* Ast/substitute.scm 167 */
										long BgL_objzd2classzd2numz00_1812;

										BgL_objzd2classzd2numz00_1812 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1811);
										{	/* Ast/substitute.scm 167 */
											obj_t BgL_arg2422z00_1813;

											BgL_arg2422z00_1813 =
												PROCEDURE_REF
												(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
												(int) (((long) 1)));
											{	/* Ast/substitute.scm 167 */
												obj_t BgL_arrayz00_1815;

												int BgL_offsetz00_1816;

												BgL_arrayz00_1815 = BgL_arg2422z00_1813;
												BgL_offsetz00_1816 =
													(int) (BgL_objzd2classzd2numz00_1812);
												{	/* Ast/substitute.scm 167 */
													long BgL_offsetz00_1817;

													BgL_offsetz00_1817 =
														((long) (BgL_offsetz00_1816) - OBJECT_TYPE);
													{	/* Ast/substitute.scm 167 */
														long BgL_modz00_1818;

														{	/* Ast/substitute.scm 167 */
															int BgL_arg2424z00_1819;

															BgL_arg2424z00_1819 = (int) (((long) 8));
															{	/* Ast/substitute.scm 167 */
																long BgL_auxz00_3427;

																BgL_auxz00_3427 = (long) (BgL_arg2424z00_1819);
																BgL_modz00_1818 =
																	(BgL_offsetz00_1817 / BgL_auxz00_3427);
														}}
														{	/* Ast/substitute.scm 167 */
															long BgL_restz00_1820;

															{	/* Ast/substitute.scm 167 */
																int BgL_arg2423z00_1821;

																BgL_arg2423z00_1821 = (int) (((long) 8));
																{	/* Ast/substitute.scm 167 */
																	long BgL_auxz00_3431;

																	BgL_auxz00_3431 =
																		(long) (BgL_arg2423z00_1821);
																	BgL_restz00_1820 =
																		(BgL_offsetz00_1817 % BgL_auxz00_3431);
															}}
															{	/* Ast/substitute.scm 167 */

																BgL_method3116z00_1810 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1815,
																		(int) (BgL_modz00_1818)),
																	(int) (BgL_restz00_1820));
								}}}}}}}}
								BgL_res3408z00_1835 =
									(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1810)
									(BgL_method3116z00_1810, (obj_t) (BgL_arg3301z00_1806),
										BgL_sitez00_1318, BEOA));
							} BgL_res3408z00_1835;
					}}
					BgL_auxz00_3417 = BgL_nodez00_1317;
					return (obj_t) (BgL_auxz00_3417);
				}
			}
		}
	}



/* do-substitute!-exter3132 */
	obj_t BGl_dozd2substitutez12zd2exter3132z12zzast_substitutez00(obj_t
		BgL_envz00_2575, obj_t BgL_nodez00_2576, obj_t BgL_sitez00_2577)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 159 */
			{
				BgL_externz00_bglt BgL_nodez00_1310;

				obj_t BgL_sitez00_1311;

				{	/* Ast/substitute.scm 160 */
					BgL_externz00_bglt BgL_auxz00_3444;

					BgL_nodez00_1310 = (BgL_externz00_bglt) (BgL_nodez00_2576);
					BgL_sitez00_1311 = BgL_sitez00_2577;
					{	/* Ast/substitute.scm 160 */
						obj_t BgL_arg3299z00_1804;

						BgL_arg3299z00_1804 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1310))->BgL_exprza2za2);
						BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg3299z00_1804,
							BgL_sitez00_1311);
					}
					BgL_auxz00_3444 = BgL_nodez00_1310;
					return (obj_t) (BgL_auxz00_3444);
				}
			}
		}
	}



/* do-substitute!-funca3130 */
	obj_t BGl_dozd2substitutez12zd2funca3130z12zzast_substitutez00(obj_t
		BgL_envz00_2578, obj_t BgL_nodez00_2579, obj_t BgL_sitez00_2580)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 133 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1268;

				obj_t BgL_sitez00_1269;

				BgL_nodez00_1268 = (BgL_funcallz00_bglt) (BgL_nodez00_2579);
				BgL_sitez00_1269 = BgL_sitez00_2580;
				{	/* Ast/substitute.scm 135 */
					BgL_nodez00_bglt BgL_nfunz00_1273;

					obj_t BgL_nargsz00_1274;

					{	/* Ast/substitute.scm 135 */
						BgL_nodez00_bglt BgL_arg3290z00_1292;

						obj_t BgL_arg3291z00_1293;

						BgL_arg3290z00_1292 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1268))->BgL_funz00);
						BgL_arg3291z00_1293 = CNST_TABLE_REF(((long) 1));
						{	/* Ast/substitute.scm 135 */
							BgL_nodez00_bglt BgL_res3402z00_1749;

							{	/* Ast/substitute.scm 135 */
								obj_t BgL_method3116z00_1724;

								{	/* Ast/substitute.scm 135 */
									BgL_objectz00_bglt BgL_objz00_1725;

									BgL_objz00_1725 = (BgL_objectz00_bglt) (BgL_arg3290z00_1292);
									{	/* Ast/substitute.scm 135 */
										long BgL_objzd2classzd2numz00_1726;

										BgL_objzd2classzd2numz00_1726 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1725);
										{	/* Ast/substitute.scm 135 */
											obj_t BgL_arg2422z00_1727;

											BgL_arg2422z00_1727 =
												PROCEDURE_REF
												(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
												(int) (((long) 1)));
											{	/* Ast/substitute.scm 135 */
												obj_t BgL_arrayz00_1729;

												int BgL_offsetz00_1730;

												BgL_arrayz00_1729 = BgL_arg2422z00_1727;
												BgL_offsetz00_1730 =
													(int) (BgL_objzd2classzd2numz00_1726);
												{	/* Ast/substitute.scm 135 */
													long BgL_offsetz00_1731;

													BgL_offsetz00_1731 =
														((long) (BgL_offsetz00_1730) - OBJECT_TYPE);
													{	/* Ast/substitute.scm 135 */
														long BgL_modz00_1732;

														{	/* Ast/substitute.scm 135 */
															int BgL_arg2424z00_1733;

															BgL_arg2424z00_1733 = (int) (((long) 8));
															{	/* Ast/substitute.scm 135 */
																long BgL_auxz00_3459;

																BgL_auxz00_3459 = (long) (BgL_arg2424z00_1733);
																BgL_modz00_1732 =
																	(BgL_offsetz00_1731 / BgL_auxz00_3459);
														}}
														{	/* Ast/substitute.scm 135 */
															long BgL_restz00_1734;

															{	/* Ast/substitute.scm 135 */
																int BgL_arg2423z00_1735;

																BgL_arg2423z00_1735 = (int) (((long) 8));
																{	/* Ast/substitute.scm 135 */
																	long BgL_auxz00_3463;

																	BgL_auxz00_3463 =
																		(long) (BgL_arg2423z00_1735);
																	BgL_restz00_1734 =
																		(BgL_offsetz00_1731 % BgL_auxz00_3463);
															}}
															{	/* Ast/substitute.scm 135 */

																BgL_method3116z00_1724 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1729,
																		(int) (BgL_modz00_1732)),
																	(int) (BgL_restz00_1734));
								}}}}}}}}
								BgL_res3402z00_1749 =
									(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1724)
									(BgL_method3116z00_1724, (obj_t) (BgL_arg3290z00_1292),
										BgL_arg3291z00_1293, BEOA));
							}
							BgL_nfunz00_1273 = BgL_res3402z00_1749;
					}}
					{	/* Ast/substitute.scm 136 */
						obj_t BgL_l3101z00_1294;

						BgL_l3101z00_1294 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1268))->BgL_argsz00);
						if (NULLP(BgL_l3101z00_1294))
							{	/* Ast/substitute.scm 136 */
								BgL_nargsz00_1274 = BNIL;
							}
						else
							{	/* Ast/substitute.scm 136 */
								obj_t BgL_head3103z00_1296;

								BgL_head3103z00_1296 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l3101z00_1298;

									obj_t BgL_tail3104z00_1299;

									BgL_l3101z00_1298 = BgL_l3101z00_1294;
									BgL_tail3104z00_1299 = BgL_head3103z00_1296;
								BgL_zc3anonymousza33293ze3z83_1300:
									if (NULLP(BgL_l3101z00_1298))
										{	/* Ast/substitute.scm 136 */
											BgL_nargsz00_1274 = CDR(BgL_head3103z00_1296);
										}
									else
										{	/* Ast/substitute.scm 136 */
											obj_t BgL_newtail3105z00_1302;

											{	/* Ast/substitute.scm 136 */
												BgL_nodez00_bglt BgL_arg3296z00_1304;

												{	/* Ast/substitute.scm 136 */
													obj_t BgL_az00_1306;

													BgL_az00_1306 = CAR(BgL_l3101z00_1298);
													{	/* Ast/substitute.scm 136 */
														BgL_nodez00_bglt BgL_res3405z00_1784;

														{	/* Ast/substitute.scm 136 */
															BgL_nodez00_bglt BgL_nodez00_1757;

															obj_t BgL_sitez00_1758;

															BgL_nodez00_1757 =
																(BgL_nodez00_bglt) (BgL_az00_1306);
															BgL_sitez00_1758 = CNST_TABLE_REF(((long) 1));
															{	/* Ast/substitute.scm 136 */
																obj_t BgL_method3116z00_1759;

																{	/* Ast/substitute.scm 136 */
																	BgL_objectz00_bglt BgL_objz00_1760;

																	BgL_objz00_1760 =
																		(BgL_objectz00_bglt) (BgL_nodez00_1757);
																	{	/* Ast/substitute.scm 136 */
																		long BgL_objzd2classzd2numz00_1761;

																		BgL_objzd2classzd2numz00_1761 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_1760);
																		{	/* Ast/substitute.scm 136 */
																			obj_t BgL_arg2422z00_1762;

																			BgL_arg2422z00_1762 =
																				PROCEDURE_REF
																				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
																				(int) (((long) 1)));
																			{	/* Ast/substitute.scm 136 */
																				obj_t BgL_arrayz00_1764;

																				int BgL_offsetz00_1765;

																				BgL_arrayz00_1764 = BgL_arg2422z00_1762;
																				BgL_offsetz00_1765 =
																					(int) (BgL_objzd2classzd2numz00_1761);
																				{	/* Ast/substitute.scm 136 */
																					long BgL_offsetz00_1766;

																					BgL_offsetz00_1766 =
																						(
																						(long) (BgL_offsetz00_1765) -
																						OBJECT_TYPE);
																					{	/* Ast/substitute.scm 136 */
																						long BgL_modz00_1767;

																						{	/* Ast/substitute.scm 136 */
																							int BgL_arg2424z00_1768;

																							BgL_arg2424z00_1768 =
																								(int) (((long) 8));
																							{	/* Ast/substitute.scm 136 */
																								long BgL_auxz00_3492;

																								BgL_auxz00_3492 =
																									(long) (BgL_arg2424z00_1768);
																								BgL_modz00_1767 =
																									(BgL_offsetz00_1766 /
																									BgL_auxz00_3492);
																						}}
																						{	/* Ast/substitute.scm 136 */
																							long BgL_restz00_1769;

																							{	/* Ast/substitute.scm 136 */
																								int BgL_arg2423z00_1770;

																								BgL_arg2423z00_1770 =
																									(int) (((long) 8));
																								{	/* Ast/substitute.scm 136 */
																									long BgL_auxz00_3496;

																									BgL_auxz00_3496 =
																										(long)
																										(BgL_arg2423z00_1770);
																									BgL_restz00_1769 =
																										(BgL_offsetz00_1766 %
																										BgL_auxz00_3496);
																							}}
																							{	/* Ast/substitute.scm 136 */

																								BgL_method3116z00_1759 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_1764,
																										(int) (BgL_modz00_1767)),
																									(int) (BgL_restz00_1769));
																}}}}}}}}
																BgL_res3405z00_1784 =
																	(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																	(BgL_method3116z00_1759)
																	(BgL_method3116z00_1759,
																		(obj_t) (BgL_nodez00_1757),
																		BgL_sitez00_1758, BEOA));
														}}
														BgL_arg3296z00_1304 = BgL_res3405z00_1784;
												}}
												BgL_newtail3105z00_1302 =
													MAKE_PAIR((obj_t) (BgL_arg3296z00_1304), BNIL);
											}
											SET_CDR(BgL_tail3104z00_1299, BgL_newtail3105z00_1302);
											{
												obj_t BgL_tail3104z00_3512;

												obj_t BgL_l3101z00_3510;

												BgL_l3101z00_3510 = CDR(BgL_l3101z00_1298);
												BgL_tail3104z00_3512 = BgL_newtail3105z00_1302;
												BgL_tail3104z00_1299 = BgL_tail3104z00_3512;
												BgL_l3101z00_1298 = BgL_l3101z00_3510;
												goto BgL_zc3anonymousza33293ze3z83_1300;
											}
										}
								}
							}
					}
					{	/* Ast/substitute.scm 137 */
						bool_t BgL_testz00_3513;

						{	/* Ast/substitute.scm 137 */
							bool_t BgL_testz00_3514;

							{	/* Ast/substitute.scm 137 */
								obj_t BgL_obj2028z00_1790;

								BgL_obj2028z00_1790 = (obj_t) (BgL_nfunz00_1273);
								BgL_testz00_3514 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2028z00_1790,
									BGl_closurez00zzast_nodez00);
							}
							if (BgL_testz00_3514)
								{	/* Ast/substitute.scm 137 */
									BgL_testz00_3513 = ((bool_t) 1);
								}
							else
								{	/* Ast/substitute.scm 138 */
									bool_t BgL_testz00_3517;

									{	/* Ast/substitute.scm 138 */
										obj_t BgL_obj2008z00_1791;

										BgL_obj2008z00_1791 = (obj_t) (BgL_nfunz00_1273);
										BgL_testz00_3517 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj2008z00_1791,
											BGl_varz00zzast_nodez00);
									}
									if (BgL_testz00_3517)
										{	/* Ast/substitute.scm 139 */
											BgL_valuez00_bglt BgL_arg3288z00_1290;

											{	/* Ast/substitute.scm 139 */
												BgL_variablez00_bglt BgL_obj1449z00_1793;

												{
													BgL_varz00_bglt BgL_auxz00_3520;

													BgL_auxz00_3520 =
														(BgL_varz00_bglt) (BgL_nfunz00_1273);
													BgL_obj1449z00_1793 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_3520))->
														BgL_variablez00);
												}
												BgL_arg3288z00_1290 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1449z00_1793))->
													BgL_valuez00);
											}
											{	/* Ast/substitute.scm 139 */
												obj_t BgL_obj1693z00_1794;

												BgL_obj1693z00_1794 = (obj_t) (BgL_arg3288z00_1290);
												BgL_testz00_3513 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1693z00_1794,
													BGl_funz00zzast_varz00);
											}
										}
									else
										{	/* Ast/substitute.scm 138 */
											BgL_testz00_3513 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_3513)
							{	/* Ast/substitute.scm 140 */
								bool_t BgL_testz00_3526;

								{	/* Ast/substitute.scm 140 */
									BgL_variablez00_bglt BgL_arg3285z00_1286;

									obj_t BgL_arg3286z00_1287;

									{
										BgL_varz00_bglt BgL_auxz00_3527;

										BgL_auxz00_3527 = (BgL_varz00_bglt) (BgL_nfunz00_1273);
										BgL_arg3285z00_1286 =
											(((BgL_varz00_bglt) CREF(BgL_auxz00_3527))->
											BgL_variablez00);
									}
									BgL_arg3286z00_1287 = CDR(BgL_nargsz00_1274);
									BgL_testz00_3526 =
										BGl_correctzd2arityzd2appzf3zf3zzast_appz00
										(BgL_arg3285z00_1286, BgL_arg3286z00_1287);
								}
								if (BgL_testz00_3526)
									{	/* Ast/substitute.scm 142 */
										obj_t BgL_arg3277z00_1278;

										obj_t BgL_arg3278z00_1279;

										obj_t BgL_arg3279z00_1280;

										{
											BgL_nodez00_bglt BgL_auxz00_3532;

											BgL_auxz00_3532 = (BgL_nodez00_bglt) (BgL_nodez00_1268);
											BgL_arg3277z00_1278 =
												(((BgL_nodez00_bglt) CREF(BgL_auxz00_3532))->
												BgL_locz00);
										}
										BgL_arg3278z00_1279 = CNST_TABLE_REF(((long) 5));
										BgL_arg3279z00_1280 = CDR(BgL_nargsz00_1274);
										return
											(obj_t) (BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
												BgL_arg3277z00_1278, BgL_arg3278z00_1279,
												(BgL_varz00_bglt) (BgL_nfunz00_1273),
												BgL_arg3279z00_1280));
									}
								else
									{	/* Ast/substitute.scm 147 */
										obj_t BgL_arg3280z00_1281;

										obj_t BgL_arg3283z00_1284;

										{
											BgL_nodez00_bglt BgL_auxz00_3540;

											BgL_auxz00_3540 = (BgL_nodez00_bglt) (BgL_nodez00_1268);
											BgL_arg3280z00_1281 =
												(((BgL_nodez00_bglt) CREF(BgL_auxz00_3540))->
												BgL_locz00);
										}
										BgL_arg3283z00_1284 =
											BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1268));
										return
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_arg3280z00_1281,
											BGl_string3493z00zzast_substitutez00,
											BGl_string3494z00zzast_substitutez00, BgL_arg3283z00_1284,
											BNIL);
									}
							}
						else
							{	/* Ast/substitute.scm 137 */
								((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1268))->BgL_funz00) =
									((BgL_nodez00_bglt) BgL_nfunz00_1273), BUNSPEC);
								((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1268))->BgL_argsz00) =
									((obj_t) BgL_nargsz00_1274), BUNSPEC);
								return (obj_t) (BgL_nodez00_1268);
							}
					}
				}
			}
		}
	}



/* do-substitute!-app-l3128 */
	obj_t BGl_dozd2substitutez12zd2appzd2l3128zc0zzast_substitutez00(obj_t
		BgL_envz00_2581, obj_t BgL_nodez00_2582, obj_t BgL_sitez00_2583)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 114 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1241;

				obj_t BgL_sitez00_1242;

				BgL_nodez00_1241 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2582);
				BgL_sitez00_1242 = BgL_sitez00_2583;
				{	/* Ast/substitute.scm 116 */
					BgL_nodez00_bglt BgL_nfunz00_1246;

					BgL_nodez00_bglt BgL_nargz00_1247;

					{	/* Ast/substitute.scm 116 */
						BgL_nodez00_bglt BgL_arg3269z00_1262;

						obj_t BgL_arg3270z00_1263;

						BgL_arg3269z00_1262 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1241))->BgL_funz00);
						BgL_arg3270z00_1263 = CNST_TABLE_REF(((long) 6));
						{	/* Ast/substitute.scm 116 */
							BgL_nodez00_bglt BgL_res3396z00_1680;

							{	/* Ast/substitute.scm 116 */
								obj_t BgL_method3116z00_1655;

								{	/* Ast/substitute.scm 116 */
									BgL_objectz00_bglt BgL_objz00_1656;

									BgL_objz00_1656 = (BgL_objectz00_bglt) (BgL_arg3269z00_1262);
									{	/* Ast/substitute.scm 116 */
										long BgL_objzd2classzd2numz00_1657;

										BgL_objzd2classzd2numz00_1657 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1656);
										{	/* Ast/substitute.scm 116 */
											obj_t BgL_arg2422z00_1658;

											BgL_arg2422z00_1658 =
												PROCEDURE_REF
												(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
												(int) (((long) 1)));
											{	/* Ast/substitute.scm 116 */
												obj_t BgL_arrayz00_1660;

												int BgL_offsetz00_1661;

												BgL_arrayz00_1660 = BgL_arg2422z00_1658;
												BgL_offsetz00_1661 =
													(int) (BgL_objzd2classzd2numz00_1657);
												{	/* Ast/substitute.scm 116 */
													long BgL_offsetz00_1662;

													BgL_offsetz00_1662 =
														((long) (BgL_offsetz00_1661) - OBJECT_TYPE);
													{	/* Ast/substitute.scm 116 */
														long BgL_modz00_1663;

														{	/* Ast/substitute.scm 116 */
															int BgL_arg2424z00_1664;

															BgL_arg2424z00_1664 = (int) (((long) 8));
															{	/* Ast/substitute.scm 116 */
																long BgL_auxz00_3560;

																BgL_auxz00_3560 = (long) (BgL_arg2424z00_1664);
																BgL_modz00_1663 =
																	(BgL_offsetz00_1662 / BgL_auxz00_3560);
														}}
														{	/* Ast/substitute.scm 116 */
															long BgL_restz00_1665;

															{	/* Ast/substitute.scm 116 */
																int BgL_arg2423z00_1666;

																BgL_arg2423z00_1666 = (int) (((long) 8));
																{	/* Ast/substitute.scm 116 */
																	long BgL_auxz00_3564;

																	BgL_auxz00_3564 =
																		(long) (BgL_arg2423z00_1666);
																	BgL_restz00_1665 =
																		(BgL_offsetz00_1662 % BgL_auxz00_3564);
															}}
															{	/* Ast/substitute.scm 116 */

																BgL_method3116z00_1655 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1660,
																		(int) (BgL_modz00_1663)),
																	(int) (BgL_restz00_1665));
								}}}}}}}}
								BgL_res3396z00_1680 =
									(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1655)
									(BgL_method3116z00_1655, (obj_t) (BgL_arg3269z00_1262),
										BgL_arg3270z00_1263, BEOA));
							}
							BgL_nfunz00_1246 = BgL_res3396z00_1680;
					}}
					{	/* Ast/substitute.scm 117 */
						BgL_nodez00_bglt BgL_arg3271z00_1264;

						obj_t BgL_arg3272z00_1265;

						BgL_arg3271z00_1264 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1241))->BgL_argz00);
						BgL_arg3272z00_1265 = CNST_TABLE_REF(((long) 1));
						{	/* Ast/substitute.scm 117 */
							BgL_nodez00_bglt BgL_res3399z00_1709;

							{	/* Ast/substitute.scm 117 */
								obj_t BgL_method3116z00_1684;

								{	/* Ast/substitute.scm 117 */
									BgL_objectz00_bglt BgL_objz00_1685;

									BgL_objz00_1685 = (BgL_objectz00_bglt) (BgL_arg3271z00_1264);
									{	/* Ast/substitute.scm 117 */
										long BgL_objzd2classzd2numz00_1686;

										BgL_objzd2classzd2numz00_1686 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1685);
										{	/* Ast/substitute.scm 117 */
											obj_t BgL_arg2422z00_1687;

											BgL_arg2422z00_1687 =
												PROCEDURE_REF
												(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
												(int) (((long) 1)));
											{	/* Ast/substitute.scm 117 */
												obj_t BgL_arrayz00_1689;

												int BgL_offsetz00_1690;

												BgL_arrayz00_1689 = BgL_arg2422z00_1687;
												BgL_offsetz00_1690 =
													(int) (BgL_objzd2classzd2numz00_1686);
												{	/* Ast/substitute.scm 117 */
													long BgL_offsetz00_1691;

													BgL_offsetz00_1691 =
														((long) (BgL_offsetz00_1690) - OBJECT_TYPE);
													{	/* Ast/substitute.scm 117 */
														long BgL_modz00_1692;

														{	/* Ast/substitute.scm 117 */
															int BgL_arg2424z00_1693;

															BgL_arg2424z00_1693 = (int) (((long) 8));
															{	/* Ast/substitute.scm 117 */
																long BgL_auxz00_3585;

																BgL_auxz00_3585 = (long) (BgL_arg2424z00_1693);
																BgL_modz00_1692 =
																	(BgL_offsetz00_1691 / BgL_auxz00_3585);
														}}
														{	/* Ast/substitute.scm 117 */
															long BgL_restz00_1694;

															{	/* Ast/substitute.scm 117 */
																int BgL_arg2423z00_1695;

																BgL_arg2423z00_1695 = (int) (((long) 8));
																{	/* Ast/substitute.scm 117 */
																	long BgL_auxz00_3589;

																	BgL_auxz00_3589 =
																		(long) (BgL_arg2423z00_1695);
																	BgL_restz00_1694 =
																		(BgL_offsetz00_1691 % BgL_auxz00_3589);
															}}
															{	/* Ast/substitute.scm 117 */

																BgL_method3116z00_1684 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1689,
																		(int) (BgL_modz00_1692)),
																	(int) (BgL_restz00_1694));
								}}}}}}}}
								BgL_res3399z00_1709 =
									(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3116z00_1684)
									(BgL_method3116z00_1684, (obj_t) (BgL_arg3271z00_1264),
										BgL_arg3272z00_1265, BEOA));
							}
							BgL_nargz00_1247 = BgL_res3399z00_1709;
					}}
					{	/* Ast/substitute.scm 118 */
						bool_t BgL_testz00_3600;

						{	/* Ast/substitute.scm 118 */
							bool_t BgL_testz00_3601;

							{	/* Ast/substitute.scm 118 */
								obj_t BgL_obj2028z00_1710;

								BgL_obj2028z00_1710 = (obj_t) (BgL_nfunz00_1246);
								BgL_testz00_3601 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2028z00_1710,
									BGl_closurez00zzast_nodez00);
							}
							if (BgL_testz00_3601)
								{	/* Ast/substitute.scm 119 */
									bool_t BgL_testz00_3604;

									{	/* Ast/substitute.scm 119 */
										BgL_variablez00_bglt BgL_arg3268z00_1261;

										{
											BgL_varz00_bglt BgL_auxz00_3605;

											BgL_auxz00_3605 = (BgL_varz00_bglt) (BgL_nfunz00_1246);
											BgL_arg3268z00_1261 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_3605))->
												BgL_variablez00);
										}
										BgL_testz00_3604 =
											BGl_globalzd2optionalzf3z21zzast_varz00(
											(obj_t) (BgL_arg3268z00_1261));
									}
									if (BgL_testz00_3604)
										{	/* Ast/substitute.scm 119 */
											BgL_testz00_3600 = ((bool_t) 0);
										}
									else
										{	/* Ast/substitute.scm 120 */
											bool_t BgL_testz00_3610;

											{	/* Ast/substitute.scm 120 */
												BgL_variablez00_bglt BgL_arg3267z00_1260;

												{
													BgL_varz00_bglt BgL_auxz00_3611;

													BgL_auxz00_3611 =
														(BgL_varz00_bglt) (BgL_nfunz00_1246);
													BgL_arg3267z00_1260 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_3611))->
														BgL_variablez00);
												}
												BgL_testz00_3610 =
													BGl_globalzd2keyzf3z21zzast_varz00(
													(obj_t) (BgL_arg3267z00_1260));
											}
											if (BgL_testz00_3610)
												{	/* Ast/substitute.scm 120 */
													BgL_testz00_3600 = ((bool_t) 0);
												}
											else
												{	/* Ast/substitute.scm 120 */
													BgL_testz00_3600 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Ast/substitute.scm 118 */
									BgL_testz00_3600 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3600)
							{	/* Ast/substitute.scm 121 */
								obj_t BgL_arg3259z00_1250;

								BgL_varz00_bglt BgL_arg3260z00_1251;

								{
									BgL_nodez00_bglt BgL_auxz00_3616;

									BgL_auxz00_3616 = (BgL_nodez00_bglt) (BgL_nodez00_1241);
									BgL_arg3259z00_1250 =
										(((BgL_nodez00_bglt) CREF(BgL_auxz00_3616))->BgL_locz00);
								}
								{	/* Ast/substitute.scm 121 */
									BgL_varz00_bglt BgL_duplicated3085z00_1252;

									BgL_duplicated3085z00_1252 =
										(BgL_varz00_bglt) (BgL_nfunz00_1246);
									{	/* Ast/substitute.scm 121 */
										BgL_varz00_bglt BgL_new3086z00_1253;

										{	/* Ast/substitute.scm 121 */
											obj_t BgL_arg3261z00_1254;

											BgL_typez00_bglt BgL_arg3262z00_1255;

											BgL_variablez00_bglt BgL_arg3263z00_1256;

											{
												BgL_nodez00_bglt BgL_auxz00_3620;

												BgL_auxz00_3620 =
													(BgL_nodez00_bglt) (BgL_duplicated3085z00_1252);
												BgL_arg3261z00_1254 =
													(((BgL_nodez00_bglt) CREF(BgL_auxz00_3620))->
													BgL_locz00);
											}
											{
												BgL_nodez00_bglt BgL_auxz00_3623;

												BgL_auxz00_3623 =
													(BgL_nodez00_bglt) (BgL_duplicated3085z00_1252);
												BgL_arg3262z00_1255 =
													(((BgL_nodez00_bglt) CREF(BgL_auxz00_3623))->
													BgL_typez00);
											}
											BgL_arg3263z00_1256 =
												(((BgL_varz00_bglt) CREF(BgL_duplicated3085z00_1252))->
												BgL_variablez00);
											BgL_new3086z00_1253 =
												BGl_makezd2varzd2zzast_nodez00(BgL_arg3261z00_1254,
												BgL_arg3262z00_1255, BgL_arg3263z00_1256);
										}
										{	/* Ast/substitute.scm 121 */

											BgL_arg3260z00_1251 = BgL_new3086z00_1253;
										}
									}
								}
								return
									(obj_t) (BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL,
										BgL_arg3259z00_1250,
										(BgL_nodez00_bglt) (BgL_arg3260z00_1251), BgL_nargz00_1247,
										BgL_sitez00_1242));
							}
						else
							{	/* Ast/substitute.scm 118 */
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1241))->BgL_funz00) =
									((BgL_nodez00_bglt) BgL_nfunz00_1246), BUNSPEC);
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1241))->BgL_argz00) =
									((BgL_nodez00_bglt) BgL_nargz00_1247), BUNSPEC);
								return (obj_t) (BgL_nodez00_1241);
							}
					}
				}
			}
		}
	}



/* do-substitute!-app3126 */
	obj_t BGl_dozd2substitutez12zd2app3126z12zzast_substitutez00(obj_t
		BgL_envz00_2584, obj_t BgL_nodez00_2585, obj_t BgL_sitez00_2586)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 106 */
			{
				BgL_appz00_bglt BgL_nodez00_1230;

				obj_t BgL_sitez00_1231;

				{	/* Ast/substitute.scm 107 */
					BgL_appz00_bglt BgL_auxz00_3635;

					BgL_nodez00_1230 = (BgL_appz00_bglt) (BgL_nodez00_2585);
					BgL_sitez00_1231 = BgL_sitez00_2586;
					{	/* Ast/substitute.scm 107 */
						BgL_nodez00_bglt BgL_arg3249z00_1234;

						{	/* Ast/substitute.scm 107 */
							BgL_varz00_bglt BgL_arg3251z00_1235;

							obj_t BgL_arg3253z00_1236;

							BgL_arg3251z00_1235 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1230))->BgL_funz00);
							BgL_arg3253z00_1236 = CNST_TABLE_REF(((long) 3));
							{	/* Ast/substitute.scm 107 */
								BgL_nodez00_bglt BgL_res3393z00_1648;

								{	/* Ast/substitute.scm 107 */
									BgL_nodez00_bglt BgL_nodez00_1621;

									BgL_nodez00_1621 = (BgL_nodez00_bglt) (BgL_arg3251z00_1235);
									{	/* Ast/substitute.scm 107 */
										obj_t BgL_method3116z00_1623;

										{	/* Ast/substitute.scm 107 */
											BgL_objectz00_bglt BgL_objz00_1624;

											BgL_objz00_1624 = (BgL_objectz00_bglt) (BgL_nodez00_1621);
											{	/* Ast/substitute.scm 107 */
												long BgL_objzd2classzd2numz00_1625;

												BgL_objzd2classzd2numz00_1625 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1624);
												{	/* Ast/substitute.scm 107 */
													obj_t BgL_arg2422z00_1626;

													BgL_arg2422z00_1626 =
														PROCEDURE_REF
														(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
														(int) (((long) 1)));
													{	/* Ast/substitute.scm 107 */
														obj_t BgL_arrayz00_1628;

														int BgL_offsetz00_1629;

														BgL_arrayz00_1628 = BgL_arg2422z00_1626;
														BgL_offsetz00_1629 =
															(int) (BgL_objzd2classzd2numz00_1625);
														{	/* Ast/substitute.scm 107 */
															long BgL_offsetz00_1630;

															BgL_offsetz00_1630 =
																((long) (BgL_offsetz00_1629) - OBJECT_TYPE);
															{	/* Ast/substitute.scm 107 */
																long BgL_modz00_1631;

																{	/* Ast/substitute.scm 107 */
																	int BgL_arg2424z00_1632;

																	BgL_arg2424z00_1632 = (int) (((long) 8));
																	{	/* Ast/substitute.scm 107 */
																		long BgL_auxz00_3647;

																		BgL_auxz00_3647 =
																			(long) (BgL_arg2424z00_1632);
																		BgL_modz00_1631 =
																			(BgL_offsetz00_1630 / BgL_auxz00_3647);
																}}
																{	/* Ast/substitute.scm 107 */
																	long BgL_restz00_1633;

																	{	/* Ast/substitute.scm 107 */
																		int BgL_arg2423z00_1634;

																		BgL_arg2423z00_1634 = (int) (((long) 8));
																		{	/* Ast/substitute.scm 107 */
																			long BgL_auxz00_3651;

																			BgL_auxz00_3651 =
																				(long) (BgL_arg2423z00_1634);
																			BgL_restz00_1633 =
																				(BgL_offsetz00_1630 % BgL_auxz00_3651);
																	}}
																	{	/* Ast/substitute.scm 107 */

																		BgL_method3116z00_1623 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1628,
																				(int) (BgL_modz00_1631)),
																			(int) (BgL_restz00_1633));
										}}}}}}}}
										BgL_res3393z00_1648 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3116z00_1623) (BgL_method3116z00_1623,
												(obj_t) (BgL_nodez00_1621), BgL_arg3253z00_1236, BEOA));
								}}
								BgL_arg3249z00_1234 = BgL_res3393z00_1648;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3662;

							BgL_auxz00_3662 = (BgL_varz00_bglt) (BgL_arg3249z00_1234);
							((((BgL_appz00_bglt) CREF(BgL_nodez00_1230))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_3662), BUNSPEC);
					}}
					{	/* Ast/substitute.scm 108 */
						obj_t BgL_arg3254z00_1237;

						obj_t BgL_arg3255z00_1238;

						BgL_arg3254z00_1237 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1230))->BgL_argsz00);
						BgL_arg3255z00_1238 = CNST_TABLE_REF(((long) 1));
						BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg3254z00_1237,
							BgL_arg3255z00_1238);
					}
					BgL_auxz00_3635 = BgL_nodez00_1230;
					return (obj_t) (BgL_auxz00_3635);
				}
			}
		}
	}



/* do-substitute!-seque3124 */
	obj_t BGl_dozd2substitutez12zd2seque3124z12zzast_substitutez00(obj_t
		BgL_envz00_2587, obj_t BgL_nodez00_2588, obj_t BgL_sitez00_2589)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 99 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1223;

				obj_t BgL_sitez00_1224;

				{	/* Ast/substitute.scm 100 */
					BgL_sequencez00_bglt BgL_auxz00_3670;

					BgL_nodez00_1223 = (BgL_sequencez00_bglt) (BgL_nodez00_2588);
					BgL_sitez00_1224 = BgL_sitez00_2589;
					{	/* Ast/substitute.scm 100 */
						obj_t BgL_arg3247z00_1618;

						BgL_arg3247z00_1618 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1223))->BgL_nodesz00);
						BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg3247z00_1618,
							BgL_sitez00_1224);
					}
					BgL_auxz00_3670 = BgL_nodez00_1223;
					return (obj_t) (BgL_auxz00_3670);
				}
			}
		}
	}



/* do-substitute!-kwote3122 */
	obj_t BGl_dozd2substitutez12zd2kwote3122z12zzast_substitutez00(obj_t
		BgL_envz00_2590, obj_t BgL_nodez00_2591, obj_t BgL_sitez00_2592)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 93 */
			return (obj_t) ((BgL_kwotez00_bglt) (BgL_nodez00_2591));
		}
	}



/* do-substitute!-var3120 */
	obj_t BGl_dozd2substitutez12zd2var3120z12zzast_substitutez00(obj_t
		BgL_envz00_2593, obj_t BgL_nodez00_2594, obj_t BgL_sitez00_2595)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 63 */
			{
				BgL_varz00_bglt BgL_nodez00_1188;

				obj_t BgL_sitez00_1189;

				BgL_nodez00_1188 = (BgL_varz00_bglt) (BgL_nodez00_2594);
				BgL_sitez00_1189 = BgL_sitez00_2595;
				{	/* Ast/substitute.scm 64 */
					BgL_variablez00_bglt BgL_varz00_1192;

					BgL_varz00_1192 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1188))->BgL_variablez00);
					{	/* Ast/substitute.scm 64 */
						obj_t BgL_alphaz00_1193;

						BgL_alphaz00_1193 =
							(((BgL_variablez00_bglt) CREF(BgL_varz00_1192))->
							BgL_fastzd2alphazd2);
						{	/* Ast/substitute.scm 65 */

							{
								obj_t BgL_alphaz00_1195;

								BgL_alphaz00_1195 = BgL_alphaz00_1193;
							BgL_zc3anonymousza33223ze3z83_1196:
								if ((BgL_alphaz00_1195 == BUNSPEC))
									{	/* Ast/substitute.scm 68 */
										return (obj_t) (BgL_nodez00_1188);
									}
								else
									{	/* Ast/substitute.scm 68 */
										if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1195,
												BGl_varz00zzast_nodez00))
											{	/* Ast/substitute.scm 71 */
												BgL_variablez00_bglt BgL_arg3226z00_1199;

												{
													BgL_varz00_bglt BgL_auxz00_3684;

													BgL_auxz00_3684 =
														(BgL_varz00_bglt) (BgL_alphaz00_1195);
													BgL_arg3226z00_1199 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_3684))->
														BgL_variablez00);
												}
												{
													obj_t BgL_alphaz00_3687;

													BgL_alphaz00_3687 = (obj_t) (BgL_arg3226z00_1199);
													BgL_alphaz00_1195 = BgL_alphaz00_3687;
													goto BgL_zc3anonymousza33223ze3z83_1196;
												}
											}
										else
											{	/* Ast/substitute.scm 70 */
												if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1195,
														BGl_variablez00zzast_varz00))
													{	/* Ast/substitute.scm 72 */
														{	/* Ast/substitute.scm 73 */
															obj_t BgL_arg3228z00_1201;

															{
																BgL_nodez00_bglt BgL_auxz00_3691;

																BgL_auxz00_3691 =
																	(BgL_nodez00_bglt) (BgL_nodez00_1188);
																BgL_arg3228z00_1201 =
																	(((BgL_nodez00_bglt) CREF(BgL_auxz00_3691))->
																	BgL_locz00);
															}
															BGl_usezd2variablez12zc0zzast_sexpz00(
																(BgL_variablez00_bglt) (BgL_alphaz00_1195),
																BgL_arg3228z00_1201, BgL_sitez00_1189);
														}
														{	/* Ast/substitute.scm 74 */
															bool_t BgL_testz00_3696;

															{	/* Ast/substitute.scm 74 */
																bool_t BgL_testz00_3697;

																{	/* Ast/substitute.scm 74 */
																	BgL_valuez00_bglt BgL_arg3239z00_1209;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3698;

																		BgL_auxz00_3698 =
																			(BgL_variablez00_bglt)
																			(BgL_alphaz00_1195);
																		BgL_arg3239z00_1209 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_3698))->BgL_valuez00);
																	}
																	{	/* Ast/substitute.scm 74 */
																		obj_t BgL_obj1693z00_1612;

																		BgL_obj1693z00_1612 =
																			(obj_t) (BgL_arg3239z00_1209);
																		BgL_testz00_3697 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj1693z00_1612,
																			BGl_funz00zzast_varz00);
																	}
																}
																if (BgL_testz00_3697)
																	{	/* Ast/substitute.scm 74 */
																		if (
																			(BgL_sitez00_1189 ==
																				CNST_TABLE_REF(((long) 3))))
																			{	/* Ast/substitute.scm 74 */
																				BgL_testz00_3696 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/substitute.scm 74 */
																				BgL_testz00_3696 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/substitute.scm 74 */
																		BgL_testz00_3696 = ((bool_t) 0);
																	}
															}
															if (BgL_testz00_3696)
																{	/* Ast/substitute.scm 76 */
																	obj_t BgL_arg3231z00_1203;

																	BgL_typez00_bglt BgL_arg3232z00_1204;

																	{
																		BgL_nodez00_bglt BgL_auxz00_3706;

																		BgL_auxz00_3706 =
																			(BgL_nodez00_bglt) (BgL_nodez00_1188);
																		BgL_arg3231z00_1203 =
																			(((BgL_nodez00_bglt)
																				CREF(BgL_auxz00_3706))->BgL_locz00);
																	}
																	{
																		BgL_nodez00_bglt BgL_auxz00_3709;

																		BgL_auxz00_3709 =
																			(BgL_nodez00_bglt) (BgL_nodez00_1188);
																		BgL_arg3232z00_1204 =
																			(((BgL_nodez00_bglt)
																				CREF(BgL_auxz00_3709))->BgL_typez00);
																	}
																	return
																		(obj_t) (BGl_makezd2closurezd2zzast_nodez00
																		(BgL_arg3231z00_1203, BgL_arg3232z00_1204,
																			(BgL_variablez00_bglt)
																			(BgL_alphaz00_1195)));
																}
															else
																{	/* Ast/substitute.scm 80 */
																	obj_t BgL_arg3233z00_1205;

																	BgL_typez00_bglt BgL_arg3236z00_1206;

																	{
																		BgL_nodez00_bglt BgL_auxz00_3715;

																		BgL_auxz00_3715 =
																			(BgL_nodez00_bglt) (BgL_nodez00_1188);
																		BgL_arg3233z00_1205 =
																			(((BgL_nodez00_bglt)
																				CREF(BgL_auxz00_3715))->BgL_locz00);
																	}
																	{
																		BgL_nodez00_bglt BgL_auxz00_3718;

																		BgL_auxz00_3718 =
																			(BgL_nodez00_bglt) (BgL_nodez00_1188);
																		BgL_arg3236z00_1206 =
																			(((BgL_nodez00_bglt)
																				CREF(BgL_auxz00_3718))->BgL_typez00);
																	}
																	return
																		(obj_t) (BGl_makezd2varzd2zzast_nodez00
																		(BgL_arg3233z00_1205, BgL_arg3236z00_1206,
																			(BgL_variablez00_bglt)
																			(BgL_alphaz00_1195)));
																}
														}
													}
												else
													{	/* Ast/substitute.scm 72 */
														if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1195,
																BGl_atomz00zzast_nodez00))
															{	/* Ast/substitute.scm 83 */
																return BgL_alphaz00_1195;
															}
														else
															{	/* Ast/substitute.scm 83 */
																return
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string3495z00zzast_substitutez00,
																	BGl_string3496z00zzast_substitutez00,
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_nodez00_1188)));
															}
													}
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* do-substitute!-atom3118 */
	obj_t BGl_dozd2substitutez12zd2atom3118z12zzast_substitutez00(obj_t
		BgL_envz00_2596, obj_t BgL_nodez00_2597, obj_t BgL_sitez00_2598)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 57 */
			return (obj_t) ((BgL_atomz00_bglt) (BgL_nodez00_2597));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 121557513),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 271227279),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 80496154),
				BSTRING_TO_STRING(BGl_string3497z00zzast_substitutez00));
		}
	}

#ifdef __cplusplus
}
#endif
