/*===========================================================================*/
/*   (Beta/walk.scm)                                                         */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Beta/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_nodezd2betaz12zd2extern3118z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2betaz12zd2appzd2ly3114zc0zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33183ze3z83zzbeta_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_nodezd2betaz12zd2funcall3116z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_nodezd2betaz12zd2setq3122z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_mapz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzbeta_walkz00();
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_zc3anonymousza33241ze3z83zzbeta_walkz00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl__nodezd2betaz12zc0zzbeta_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzbeta_walkz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_nodezd2betaz12zd2boxzd2ref3132zc0zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2betaz12zd2select3128z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_nodezd2betaz12zd2app3112z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2betaz12zd2fail3126z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbeta_walkz00();
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_nodezd2betaz12zd2letzd2fun3136zc0zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BUNSPEC;
	static obj_t BGl_nodezd2betaz12zd2jumpzd2exzd2i3142z12zzbeta_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_nodezd2betaz12zd2sequence3110z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzbeta_walkz00();
	static obj_t BGl_nodezd2betaz12zd2letzd2var3138zc0zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2betaz12zd2boxzd2setz123134zd2zzbeta_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00();
	static bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t);
	static obj_t BGl_nodezd2betaz12zd2condition3124z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__betazd2walkz12zc0zzbeta_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_nodezd2betaz12zd2makezd2box3130zc0zzbeta_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl__nodezd2betaz12zd2default3107z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2betaz12zd2setzd2exzd2it3140z12zzbeta_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00();
	static obj_t BGl_nodezd2betaz12zd2cast3120z12zzbeta_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_nodezd2betaz12zd2default3107zd2envzc0zzbeta_walkz00,
		BgL_bgl__nodeza7d2betaza712za73452za7,
		BGl__nodezd2betaz12zd2default3107z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
		BgL_bgl__nodeza7d2betaza712za73453za7, BGl__nodezd2betaz12zc0zzbeta_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_betazd2walkz12zd2envz12zzbeta_walkz00,
		BgL_bgl__betaza7d2walkza712za73454za7, BGl__betazd2walkz12zc0zzbeta_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3431z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3455za7,
		BGl_nodezd2betaz12zd2sequence3110z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3432z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3456za7,
		BGl_nodezd2betaz12zd2app3112z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3433z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3457za7,
		BGl_nodezd2betaz12zd2appzd2ly3114zc0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3434z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3458za7,
		BGl_nodezd2betaz12zd2funcall3116z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3435z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3459za7,
		BGl_nodezd2betaz12zd2extern3118z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3436z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3460za7,
		BGl_nodezd2betaz12zd2cast3120z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3437z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3461za7,
		BGl_nodezd2betaz12zd2setq3122z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3438z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3462za7,
		BGl_nodezd2betaz12zd2condition3124z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3440z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3463za7,
		BGl_nodezd2betaz12zd2select3128z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3439z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3464za7,
		BGl_nodezd2betaz12zd2fail3126z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3441z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3465za7,
		BGl_nodezd2betaz12zd2makezd2box3130zc0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3442z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3466za7,
		BGl_nodezd2betaz12zd2boxzd2ref3132zc0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3443z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3467za7,
		BGl_nodezd2betaz12zd2boxzd2setz123134zd2zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3444z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3468za7,
		BGl_nodezd2betaz12zd2letzd2fun3136zc0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3445z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3469za7,
		BGl_nodezd2betaz12zd2letzd2var3138zc0zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3446z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3470za7,
		BGl_nodezd2betaz12zd2setzd2exzd2it3140z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3447z00zzbeta_walkz00,
		BgL_bgl_nodeza7d2betaza712za7d3471za7,
		BGl_nodezd2betaz12zd2jumpzd2exzd2i3142z12zzbeta_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3423z00zzbeta_walkz00,
		BgL_bgl_string3423za700za7za7b3472za7, "Constant Beta", 13);
	      DEFINE_STRING(BGl_string3424z00zzbeta_walkz00,
		BgL_bgl_string3424za700za7za7b3473za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3425z00zzbeta_walkz00,
		BgL_bgl_string3425za700za7za7b3474za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3426z00zzbeta_walkz00,
		BgL_bgl_string3426za700za7za7b3475za7, " error", 6);
	      DEFINE_STRING(BGl_string3427z00zzbeta_walkz00,
		BgL_bgl_string3427za700za7za7b3476za7, "s", 1);
	      DEFINE_STRING(BGl_string3428z00zzbeta_walkz00,
		BgL_bgl_string3428za700za7za7b3477za7, "", 0);
	      DEFINE_STRING(BGl_string3430z00zzbeta_walkz00,
		BgL_bgl_string3430za700za7za7b3478za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3429z00zzbeta_walkz00,
		BgL_bgl_string3429za700za7za7b3479za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3448z00zzbeta_walkz00,
		BgL_bgl_string3448za700za7za7b3480za7, "beta_walk", 9);
	      DEFINE_STRING(BGl_string3449z00zzbeta_walkz00,
		BgL_bgl_string3449za700za7za7b3481za7, "read beta pass-started ", 23);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long
		BgL_checksumz00_2479, char *BgL_fromz00_2480)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbeta_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzbeta_walkz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbeta_walkz00();
					BGl_cnstzd2initzd2zzbeta_walkz00();
					BGl_importedzd2moduleszd2initz00zzbeta_walkz00();
					BGl_genericzd2initzd2zzbeta_walkz00();
					BGl_methodzd2initzd2zzbeta_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbeta_walkz00()
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"beta_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"beta_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbeta_walkz00()
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 18 */
			{	/* Beta/walk.scm 18 */
				obj_t BgL_cportz00_2469;

				BgL_cportz00_2469 =
					bgl_open_input_string(BGl_string3449z00zzbeta_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2470;

					BgL_iz00_2470 = ((long) 2);
				BgL_loopz00_2471:
					if ((BgL_iz00_2470 == ((long) -1)))
						{	/* Beta/walk.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Beta/walk.scm 18 */
							{	/* Beta/walk.scm 18 */
								obj_t BgL_arg3451z00_2473;

								{	/* Beta/walk.scm 18 */

									{	/* Beta/walk.scm 18 */
										obj_t BgL_locationz00_2475;

										BgL_locationz00_2475 = BBOOL(((bool_t) 0));
										{	/* Beta/walk.scm 18 */

											BgL_arg3451z00_2473 =
												BGl_readz00zz__readerz00(BgL_cportz00_2469,
												BgL_locationz00_2475);
										}
									}
								}
								{	/* Beta/walk.scm 18 */
									int BgL_auxz00_2503;

									BgL_auxz00_2503 = (int) (BgL_iz00_2470);
									CNST_TABLE_SET(BgL_auxz00_2503, BgL_arg3451z00_2473);
							}}
							{	/* Beta/walk.scm 18 */
								int BgL_auxz00_2476;

								BgL_auxz00_2476 = (int) ((BgL_iz00_2470 - ((long) 1)));
								{
									long BgL_iz00_2508;

									BgL_iz00_2508 = (long) (BgL_auxz00_2476);
									BgL_iz00_2470 = BgL_iz00_2508;
									goto BgL_loopz00_2471;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbeta_walkz00()
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 18 */
			return BUNSPEC;
		}
	}



/* beta-walk! */
	BGL_EXPORTED_DEF obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 34 */
			{	/* Beta/walk.scm 35 */
				obj_t BgL_list3143z00_774;

				{	/* Beta/walk.scm 35 */
					obj_t BgL_arg3145z00_776;

					{	/* Beta/walk.scm 35 */
						obj_t BgL_arg3147z00_778;

						BgL_arg3147z00_778 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3145z00_776 =
							MAKE_PAIR(BGl_string3423z00zzbeta_walkz00, BgL_arg3147z00_778);
					}
					BgL_list3143z00_774 =
						MAKE_PAIR(BGl_string3424z00zzbeta_walkz00, BgL_arg3145z00_776);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3143z00_774);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3423z00zzbeta_walkz00;
			{
				obj_t BgL_hooksz00_782;

				obj_t BgL_hnamesz00_783;

				BgL_hooksz00_782 = BNIL;
				BgL_hnamesz00_783 = BNIL;
			BgL_zc3anonymousza33148ze3z83_784:
				if (NULLP(BgL_hooksz00_782))
					{	/* Beta/walk.scm 35 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Beta/walk.scm 35 */
						bool_t BgL_testz00_2520;

						{	/* Beta/walk.scm 35 */
							obj_t BgL_fun3157z00_792;

							BgL_fun3157z00_792 = CAR(BgL_hooksz00_782);
							BgL_testz00_2520 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3157z00_792) (BgL_fun3157z00_792,
									BEOA));
						}
						if (BgL_testz00_2520)
							{
								obj_t BgL_hnamesz00_2527;

								obj_t BgL_hooksz00_2525;

								BgL_hooksz00_2525 = CDR(BgL_hooksz00_782);
								BgL_hnamesz00_2527 = CDR(BgL_hnamesz00_783);
								BgL_hnamesz00_783 = BgL_hnamesz00_2527;
								BgL_hooksz00_782 = BgL_hooksz00_2525;
								goto BgL_zc3anonymousza33148ze3z83_784;
							}
						else
							{	/* Beta/walk.scm 35 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3423z00zzbeta_walkz00,
									BGl_string3425z00zzbeta_walkz00, CAR(BgL_hnamesz00_783));
							}
					}
			}
			BGl_betazd2globalsz12zc0zzbeta_walkz00(BgL_globalsz00_1);
			{	/* Beta/walk.scm 37 */
				obj_t BgL_valuez00_795;

				BgL_valuez00_795 =
					BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 1)),
					BgL_globalsz00_1);
				if (((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						((long) 0)))
					{	/* Beta/walk.scm 37 */
						{	/* Beta/walk.scm 37 */
							obj_t BgL_port3098z00_797;

							{	/* Beta/walk.scm 37 */
								obj_t BgL_res3334z00_1427;

								{	/* Beta/walk.scm 37 */
									obj_t BgL_auxz00_2537;

									BgL_auxz00_2537 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res3334z00_1427 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2537);
								}
								BgL_port3098z00_797 = BgL_res3334z00_1427;
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port3098z00_797);
							bgl_display_string(BGl_string3426z00zzbeta_walkz00,
								BgL_port3098z00_797);
							{	/* Beta/walk.scm 37 */
								obj_t BgL_arg3160z00_798;

								{	/* Beta/walk.scm 37 */
									bool_t BgL_testz00_2542;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Beta/walk.scm 37 */
											BgL_testz00_2542 =
												BGl_2ze3ze3zz__r4_numbers_6_5z00
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
												BINT(((long) 1)));
										}
									else
										{	/* Beta/walk.scm 37 */
											BgL_testz00_2542 = ((bool_t) 0);
										}
									if (BgL_testz00_2542)
										{	/* Beta/walk.scm 37 */
											BgL_arg3160z00_798 = BGl_string3427z00zzbeta_walkz00;
										}
									else
										{	/* Beta/walk.scm 37 */
											BgL_arg3160z00_798 = BGl_string3428z00zzbeta_walkz00;
										}
								}
								bgl_display_obj(BgL_arg3160z00_798, BgL_port3098z00_797);
							}
							bgl_display_string(BGl_string3429z00zzbeta_walkz00,
								BgL_port3098z00_797);
							bgl_display_char(((unsigned char) '\n'), BgL_port3098z00_797);
						}
						{	/* Beta/walk.scm 37 */
							obj_t BgL_list3163z00_801;

							BgL_list3163z00_801 = MAKE_PAIR(BINT(((long) -1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list3163z00_801);
						}
					}
				else
					{
						obj_t BgL_hooksz00_805;

						obj_t BgL_hnamesz00_806;

						BgL_hooksz00_805 = BNIL;
						BgL_hnamesz00_806 = BNIL;
					BgL_zc3anonymousza33164ze3z83_807:
						if (NULLP(BgL_hooksz00_805))
							{	/* Beta/walk.scm 37 */
								return BgL_valuez00_795;
							}
						else
							{	/* Beta/walk.scm 37 */
								bool_t BgL_testz00_2555;

								{	/* Beta/walk.scm 37 */
									obj_t BgL_fun3173z00_814;

									BgL_fun3173z00_814 = CAR(BgL_hooksz00_805);
									BgL_testz00_2555 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun3173z00_814)
										(BgL_fun3173z00_814, BEOA));
								}
								if (BgL_testz00_2555)
									{
										obj_t BgL_hnamesz00_2562;

										obj_t BgL_hooksz00_2560;

										BgL_hooksz00_2560 = CDR(BgL_hooksz00_805);
										BgL_hnamesz00_2562 = CDR(BgL_hnamesz00_806);
										BgL_hnamesz00_806 = BgL_hnamesz00_2562;
										BgL_hooksz00_805 = BgL_hooksz00_2560;
										goto BgL_zc3anonymousza33164ze3z83_807;
									}
								else
									{	/* Beta/walk.scm 37 */
										obj_t BgL_arg3172z00_813;

										BgL_arg3172z00_813 = CAR(BgL_hnamesz00_806);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string3430z00zzbeta_walkz00, BgL_arg3172z00_813);
									}
							}
					}
			}
		}
	}



/* _beta-walk! */
	obj_t BGl__betazd2walkz12zc0zzbeta_walkz00(obj_t BgL_envz00_2385,
		obj_t BgL_globalsz00_2386)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 34 */
			return BGl_betazd2walkz12zc0zzbeta_walkz00(BgL_globalsz00_2386);
		}
	}



/* beta-globals! */
	bool_t BGl_betazd2globalsz12zc0zzbeta_walkz00(obj_t BgL_globalsz00_2)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 42 */
			{
				obj_t BgL_l3099z00_818;

				BgL_l3099z00_818 = BgL_globalsz00_2;
			BgL_zc3anonymousza33175ze3z83_819:
				if (PAIRP(BgL_l3099z00_818))
					{	/* Beta/walk.scm 43 */
						{	/* Beta/walk.scm 44 */
							obj_t BgL_globalz00_821;

							BgL_globalz00_821 = CAR(BgL_l3099z00_818);
							{	/* Beta/walk.scm 44 */
								BgL_valuez00_bglt BgL_sfunz00_822;

								{
									BgL_variablez00_bglt BgL_auxz00_2570;

									BgL_auxz00_2570 = (BgL_variablez00_bglt) (BgL_globalz00_821);
									BgL_sfunz00_822 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_2570))->
										BgL_valuez00);
								}
								{	/* Beta/walk.scm 45 */
									BgL_nodez00_bglt BgL_arg3177z00_823;

									{	/* Beta/walk.scm 45 */
										obj_t BgL_arg3178z00_824;

										{
											BgL_sfunz00_bglt BgL_auxz00_2573;

											BgL_auxz00_2573 = (BgL_sfunz00_bglt) (BgL_sfunz00_822);
											BgL_arg3178z00_824 =
												(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2573))->
												BgL_bodyz00);
										}
										{	/* Beta/walk.scm 45 */
											BgL_nodez00_bglt BgL_res3338z00_1471;

											{	/* Beta/walk.scm 45 */
												BgL_nodez00_bglt BgL_nodez00_1444;

												BgL_nodez00_1444 =
													(BgL_nodez00_bglt) (BgL_arg3178z00_824);
												{	/* Beta/walk.scm 45 */
													obj_t BgL_method3108z00_1446;

													{	/* Beta/walk.scm 45 */
														BgL_objectz00_bglt BgL_objz00_1447;

														BgL_objz00_1447 =
															(BgL_objectz00_bglt) (BgL_nodez00_1444);
														{	/* Beta/walk.scm 45 */
															long BgL_objzd2classzd2numz00_1448;

															BgL_objzd2classzd2numz00_1448 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1447);
															{	/* Beta/walk.scm 45 */
																obj_t BgL_arg2422z00_1449;

																BgL_arg2422z00_1449 =
																	PROCEDURE_REF
																	(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
																	(int) (((long) 1)));
																{	/* Beta/walk.scm 45 */
																	obj_t BgL_arrayz00_1451;

																	int BgL_offsetz00_1452;

																	BgL_arrayz00_1451 = BgL_arg2422z00_1449;
																	BgL_offsetz00_1452 =
																		(int) (BgL_objzd2classzd2numz00_1448);
																	{	/* Beta/walk.scm 45 */
																		long BgL_offsetz00_1453;

																		BgL_offsetz00_1453 =
																			(
																			(long) (BgL_offsetz00_1452) -
																			OBJECT_TYPE);
																		{	/* Beta/walk.scm 45 */
																			long BgL_modz00_1454;

																			{	/* Beta/walk.scm 45 */
																				int BgL_arg2424z00_1455;

																				BgL_arg2424z00_1455 =
																					(int) (((long) 8));
																				{	/* Beta/walk.scm 45 */
																					long BgL_auxz00_2585;

																					BgL_auxz00_2585 =
																						(long) (BgL_arg2424z00_1455);
																					BgL_modz00_1454 =
																						(BgL_offsetz00_1453 /
																						BgL_auxz00_2585);
																			}}
																			{	/* Beta/walk.scm 45 */
																				long BgL_restz00_1456;

																				{	/* Beta/walk.scm 45 */
																					int BgL_arg2423z00_1457;

																					BgL_arg2423z00_1457 =
																						(int) (((long) 8));
																					{	/* Beta/walk.scm 45 */
																						long BgL_auxz00_2589;

																						BgL_auxz00_2589 =
																							(long) (BgL_arg2423z00_1457);
																						BgL_restz00_1456 =
																							(BgL_offsetz00_1453 %
																							BgL_auxz00_2589);
																				}}
																				{	/* Beta/walk.scm 45 */

																					BgL_method3108z00_1446 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1451,
																							(int) (BgL_modz00_1454)),
																						(int) (BgL_restz00_1456));
													}}}}}}}}
													BgL_res3338z00_1471 =
														(BgL_nodez00_bglt) (PROCEDURE_ENTRY
														(BgL_method3108z00_1446) (BgL_method3108z00_1446,
															(obj_t) (BgL_nodez00_1444), BNIL, BEOA));
											}}
											BgL_arg3177z00_823 = BgL_res3338z00_1471;
									}}
									{
										obj_t BgL_auxz00_2602;

										BgL_sfunz00_bglt BgL_auxz00_2600;

										BgL_auxz00_2602 = (obj_t) (BgL_arg3177z00_823);
										BgL_auxz00_2600 = (BgL_sfunz00_bglt) (BgL_sfunz00_822);
										((((BgL_sfunz00_bglt) CREF(BgL_auxz00_2600))->BgL_bodyz00) =
											((obj_t) BgL_auxz00_2602), BUNSPEC);
						}}}}
						{
							obj_t BgL_l3099z00_2605;

							BgL_l3099z00_2605 = CDR(BgL_l3099z00_818);
							BgL_l3099z00_818 = BgL_l3099z00_2605;
							goto BgL_zc3anonymousza33175ze3z83_819;
						}
					}
				else
					{	/* Beta/walk.scm 43 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* node-beta*! */
	obj_t BGl_nodezd2betaza2z12z62zzbeta_walkz00(obj_t BgL_nodeza2za2_41,
		obj_t BgL_stackz00_42)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 219 */
			{	/* Beta/walk.scm 220 */
				obj_t BgL_zc3anonymousza33183ze3z83_2390;

				BgL_zc3anonymousza33183ze3z83_2390 =
					make_fx_procedure(BGl_zc3anonymousza33183ze3z83zzbeta_walkz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_2390,
					(int) (((long) 0)), BgL_stackz00_42);
				{	/* Beta/walk.scm 220 */
					obj_t BgL_list3182z00_829;

					BgL_list3182z00_829 = MAKE_PAIR(BgL_nodeza2za2_41, BNIL);
					BGl_mapz12z12zz__r4_control_features_6_9z00
						(BgL_zc3anonymousza33183ze3z83_2390, BgL_list3182z00_829);
			}}
			return BgL_nodeza2za2_41;
		}
	}



/* <anonymous:3183> */
	obj_t BGl_zc3anonymousza33183ze3z83zzbeta_walkz00(obj_t BgL_envz00_2391,
		obj_t BgL_nodez00_2393)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 220 */
			{	/* Beta/walk.scm 220 */
				obj_t BgL_stackz00_2392;

				BgL_stackz00_2392 = PROCEDURE_REF(BgL_envz00_2391, (int) (((long) 0)));
				{
					obj_t BgL_nodez00_830;

					{	/* Beta/walk.scm 220 */
						BgL_nodez00_bglt BgL_auxz00_2616;

						BgL_nodez00_830 = BgL_nodez00_2393;
						{	/* Beta/walk.scm 220 */
							BgL_nodez00_bglt BgL_res3341z00_1502;

							{	/* Beta/walk.scm 220 */
								BgL_nodez00_bglt BgL_nodez00_1475;

								BgL_nodez00_1475 = (BgL_nodez00_bglt) (BgL_nodez00_830);
								{	/* Beta/walk.scm 220 */
									obj_t BgL_method3108z00_1477;

									{	/* Beta/walk.scm 220 */
										BgL_objectz00_bglt BgL_objz00_1478;

										BgL_objz00_1478 = (BgL_objectz00_bglt) (BgL_nodez00_1475);
										{	/* Beta/walk.scm 220 */
											long BgL_objzd2classzd2numz00_1479;

											BgL_objzd2classzd2numz00_1479 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1478);
											{	/* Beta/walk.scm 220 */
												obj_t BgL_arg2422z00_1480;

												BgL_arg2422z00_1480 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 220 */
													obj_t BgL_arrayz00_1482;

													int BgL_offsetz00_1483;

													BgL_arrayz00_1482 = BgL_arg2422z00_1480;
													BgL_offsetz00_1483 =
														(int) (BgL_objzd2classzd2numz00_1479);
													{	/* Beta/walk.scm 220 */
														long BgL_offsetz00_1484;

														BgL_offsetz00_1484 =
															((long) (BgL_offsetz00_1483) - OBJECT_TYPE);
														{	/* Beta/walk.scm 220 */
															long BgL_modz00_1485;

															{	/* Beta/walk.scm 220 */
																int BgL_arg2424z00_1486;

																BgL_arg2424z00_1486 = (int) (((long) 8));
																{	/* Beta/walk.scm 220 */
																	long BgL_auxz00_2626;

																	BgL_auxz00_2626 =
																		(long) (BgL_arg2424z00_1486);
																	BgL_modz00_1485 =
																		(BgL_offsetz00_1484 / BgL_auxz00_2626);
															}}
															{	/* Beta/walk.scm 220 */
																long BgL_restz00_1487;

																{	/* Beta/walk.scm 220 */
																	int BgL_arg2423z00_1488;

																	BgL_arg2423z00_1488 = (int) (((long) 8));
																	{	/* Beta/walk.scm 220 */
																		long BgL_auxz00_2630;

																		BgL_auxz00_2630 =
																			(long) (BgL_arg2423z00_1488);
																		BgL_restz00_1487 =
																			(BgL_offsetz00_1484 % BgL_auxz00_2630);
																}}
																{	/* Beta/walk.scm 220 */

																	BgL_method3108z00_1477 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1482,
																			(int) (BgL_modz00_1485)),
																		(int) (BgL_restz00_1487));
									}}}}}}}}
									BgL_res3341z00_1502 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1477)
										(BgL_method3108z00_1477, (obj_t) (BgL_nodez00_1475),
											BgL_stackz00_2392, BEOA));
							}}
							BgL_auxz00_2616 = BgL_res3341z00_1502;
						}
						return (obj_t) (BgL_auxz00_2616);
					}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbeta_walkz00()
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 18 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_nodezd2betaz12zd2default3107zd2envzc0zzbeta_walkz00);
		}
	}



/* node-beta! */
	BgL_nodez00_bglt BGl_nodezd2betaz12zc0zzbeta_walkz00(BgL_nodez00_bglt
		BgL_nodez00_3, obj_t BgL_stackz00_4)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 51 */
			{	/* Beta/walk.scm 51 */
				obj_t BgL_method3108z00_1503;

				{	/* Beta/walk.scm 51 */
					BgL_objectz00_bglt BgL_objz00_1504;

					BgL_objz00_1504 = (BgL_objectz00_bglt) (BgL_nodez00_3);
					{	/* Beta/walk.scm 51 */
						long BgL_objzd2classzd2numz00_1505;

						BgL_objzd2classzd2numz00_1505 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1504);
						{	/* Beta/walk.scm 51 */
							obj_t BgL_arg2422z00_1506;

							BgL_arg2422z00_1506 =
								PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
								(int) (((long) 1)));
							{	/* Beta/walk.scm 51 */
								obj_t BgL_arrayz00_1508;

								int BgL_offsetz00_1509;

								BgL_arrayz00_1508 = BgL_arg2422z00_1506;
								BgL_offsetz00_1509 = (int) (BgL_objzd2classzd2numz00_1505);
								{	/* Beta/walk.scm 51 */
									long BgL_offsetz00_1510;

									BgL_offsetz00_1510 =
										((long) (BgL_offsetz00_1509) - OBJECT_TYPE);
									{	/* Beta/walk.scm 51 */
										long BgL_modz00_1511;

										{	/* Beta/walk.scm 51 */
											int BgL_arg2424z00_1512;

											BgL_arg2424z00_1512 = (int) (((long) 8));
											{	/* Beta/walk.scm 51 */
												long BgL_auxz00_2651;

												BgL_auxz00_2651 = (long) (BgL_arg2424z00_1512);
												BgL_modz00_1511 =
													(BgL_offsetz00_1510 / BgL_auxz00_2651);
										}}
										{	/* Beta/walk.scm 51 */
											long BgL_restz00_1513;

											{	/* Beta/walk.scm 51 */
												int BgL_arg2423z00_1514;

												BgL_arg2423z00_1514 = (int) (((long) 8));
												{	/* Beta/walk.scm 51 */
													long BgL_auxz00_2655;

													BgL_auxz00_2655 = (long) (BgL_arg2423z00_1514);
													BgL_restz00_1513 =
														(BgL_offsetz00_1510 % BgL_auxz00_2655);
											}}
											{	/* Beta/walk.scm 51 */

												BgL_method3108z00_1503 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1508,
														(int) (BgL_modz00_1511)), (int) (BgL_restz00_1513));
				}}}}}}}}
				return
					(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1503)
					(BgL_method3108z00_1503, (obj_t) (BgL_nodez00_3), BgL_stackz00_4,
						BEOA));
			}
		}
	}



/* _node-beta! */
	obj_t BGl__nodezd2betaz12zc0zzbeta_walkz00(obj_t BgL_envz00_2387,
		obj_t BgL_nodez00_2388, obj_t BgL_stackz00_2389)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 51 */
			return
				(obj_t) (BGl_nodezd2betaz12zc0zzbeta_walkz00(
					(BgL_nodez00_bglt) (BgL_nodez00_2388), BgL_stackz00_2389));
		}
	}



/* _node-beta!-default3107 */
	obj_t BGl__nodezd2betaz12zd2default3107z12zzbeta_walkz00(obj_t
		BgL_envz00_2394, obj_t BgL_nodez00_2395, obj_t BgL_stackz00_2396)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 18 */
			return (obj_t) ((BgL_nodez00_bglt) (BgL_nodez00_2395));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbeta_walkz00()
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 18 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3431z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3432z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3433z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3434z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3435z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3436z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3437z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3438z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3439z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc3440z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3441z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3442z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3443z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3444z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3445z00zzbeta_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3446z00zzbeta_walkz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3447z00zzbeta_walkz00);
		}
	}



/* node-beta!-jump-ex-i3142 */
	obj_t BGl_nodezd2betaz12zd2jumpzd2exzd2i3142z12zzbeta_walkz00(obj_t
		BgL_envz00_2415, obj_t BgL_nodez00_2416, obj_t BgL_stackz00_2417)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 211 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1407;

				obj_t BgL_stackz00_1408;

				{	/* Beta/walk.scm 212 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_2688;

					BgL_nodez00_1407 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2416);
					BgL_stackz00_1408 = BgL_stackz00_2417;
					{	/* Beta/walk.scm 212 */
						BgL_nodez00_bglt BgL_arg3328z00_1411;

						{	/* Beta/walk.scm 212 */
							BgL_nodez00_bglt BgL_arg3329z00_1412;

							BgL_arg3329z00_1412 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1407))->
								BgL_exitz00);
							{	/* Beta/walk.scm 212 */
								BgL_nodez00_bglt BgL_res3419z00_2351;

								{	/* Beta/walk.scm 212 */
									obj_t BgL_method3108z00_2326;

									{	/* Beta/walk.scm 212 */
										BgL_objectz00_bglt BgL_objz00_2327;

										BgL_objz00_2327 =
											(BgL_objectz00_bglt) (BgL_arg3329z00_1412);
										{	/* Beta/walk.scm 212 */
											long BgL_objzd2classzd2numz00_2328;

											BgL_objzd2classzd2numz00_2328 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2327);
											{	/* Beta/walk.scm 212 */
												obj_t BgL_arg2422z00_2329;

												BgL_arg2422z00_2329 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 212 */
													obj_t BgL_arrayz00_2331;

													int BgL_offsetz00_2332;

													BgL_arrayz00_2331 = BgL_arg2422z00_2329;
													BgL_offsetz00_2332 =
														(int) (BgL_objzd2classzd2numz00_2328);
													{	/* Beta/walk.scm 212 */
														long BgL_offsetz00_2333;

														BgL_offsetz00_2333 =
															((long) (BgL_offsetz00_2332) - OBJECT_TYPE);
														{	/* Beta/walk.scm 212 */
															long BgL_modz00_2334;

															{	/* Beta/walk.scm 212 */
																int BgL_arg2424z00_2335;

																BgL_arg2424z00_2335 = (int) (((long) 8));
																{	/* Beta/walk.scm 212 */
																	long BgL_auxz00_2698;

																	BgL_auxz00_2698 =
																		(long) (BgL_arg2424z00_2335);
																	BgL_modz00_2334 =
																		(BgL_offsetz00_2333 / BgL_auxz00_2698);
															}}
															{	/* Beta/walk.scm 212 */
																long BgL_restz00_2336;

																{	/* Beta/walk.scm 212 */
																	int BgL_arg2423z00_2337;

																	BgL_arg2423z00_2337 = (int) (((long) 8));
																	{	/* Beta/walk.scm 212 */
																		long BgL_auxz00_2702;

																		BgL_auxz00_2702 =
																			(long) (BgL_arg2423z00_2337);
																		BgL_restz00_2336 =
																			(BgL_offsetz00_2333 % BgL_auxz00_2702);
																}}
																{	/* Beta/walk.scm 212 */

																	BgL_method3108z00_2326 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2331,
																			(int) (BgL_modz00_2334)),
																		(int) (BgL_restz00_2336));
									}}}}}}}}
									BgL_res3419z00_2351 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_2326)
										(BgL_method3108z00_2326, (obj_t) (BgL_arg3329z00_1412),
											BgL_stackz00_1408, BEOA));
								}
								BgL_arg3328z00_1411 = BgL_res3419z00_2351;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1407))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) BgL_arg3328z00_1411), BUNSPEC);
					}
					{	/* Beta/walk.scm 213 */
						BgL_nodez00_bglt BgL_arg3330z00_1413;

						{	/* Beta/walk.scm 213 */
							BgL_nodez00_bglt BgL_arg3331z00_1414;

							BgL_arg3331z00_1414 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1407))->
								BgL_valuez00);
							{	/* Beta/walk.scm 213 */
								BgL_nodez00_bglt BgL_res3422z00_2382;

								{	/* Beta/walk.scm 213 */
									obj_t BgL_method3108z00_2357;

									{	/* Beta/walk.scm 213 */
										BgL_objectz00_bglt BgL_objz00_2358;

										BgL_objz00_2358 =
											(BgL_objectz00_bglt) (BgL_arg3331z00_1414);
										{	/* Beta/walk.scm 213 */
											long BgL_objzd2classzd2numz00_2359;

											BgL_objzd2classzd2numz00_2359 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2358);
											{	/* Beta/walk.scm 213 */
												obj_t BgL_arg2422z00_2360;

												BgL_arg2422z00_2360 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 213 */
													obj_t BgL_arrayz00_2362;

													int BgL_offsetz00_2363;

													BgL_arrayz00_2362 = BgL_arg2422z00_2360;
													BgL_offsetz00_2363 =
														(int) (BgL_objzd2classzd2numz00_2359);
													{	/* Beta/walk.scm 213 */
														long BgL_offsetz00_2364;

														BgL_offsetz00_2364 =
															((long) (BgL_offsetz00_2363) - OBJECT_TYPE);
														{	/* Beta/walk.scm 213 */
															long BgL_modz00_2365;

															{	/* Beta/walk.scm 213 */
																int BgL_arg2424z00_2366;

																BgL_arg2424z00_2366 = (int) (((long) 8));
																{	/* Beta/walk.scm 213 */
																	long BgL_auxz00_2723;

																	BgL_auxz00_2723 =
																		(long) (BgL_arg2424z00_2366);
																	BgL_modz00_2365 =
																		(BgL_offsetz00_2364 / BgL_auxz00_2723);
															}}
															{	/* Beta/walk.scm 213 */
																long BgL_restz00_2367;

																{	/* Beta/walk.scm 213 */
																	int BgL_arg2423z00_2368;

																	BgL_arg2423z00_2368 = (int) (((long) 8));
																	{	/* Beta/walk.scm 213 */
																		long BgL_auxz00_2727;

																		BgL_auxz00_2727 =
																			(long) (BgL_arg2423z00_2368);
																		BgL_restz00_2367 =
																			(BgL_offsetz00_2364 % BgL_auxz00_2727);
																}}
																{	/* Beta/walk.scm 213 */

																	BgL_method3108z00_2357 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2362,
																			(int) (BgL_modz00_2365)),
																		(int) (BgL_restz00_2367));
									}}}}}}}}
									BgL_res3422z00_2382 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_2357)
										(BgL_method3108z00_2357, (obj_t) (BgL_arg3331z00_1414),
											BgL_stackz00_1408, BEOA));
								}
								BgL_arg3330z00_1413 = BgL_res3422z00_2382;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1407))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3330z00_1413), BUNSPEC);
					}
					BgL_auxz00_2688 = BgL_nodez00_1407;
					return (obj_t) (BgL_auxz00_2688);
				}
			}
		}
	}



/* node-beta!-set-ex-it3140 */
	obj_t BGl_nodezd2betaz12zd2setzd2exzd2it3140z12zzbeta_walkz00(obj_t
		BgL_envz00_2418, obj_t BgL_nodez00_2419, obj_t BgL_stackz00_2420)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 204 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1399;

				obj_t BgL_stackz00_1400;

				{	/* Beta/walk.scm 205 */
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_2741;

					BgL_nodez00_1399 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2419);
					BgL_stackz00_1400 = BgL_stackz00_2420;
					{	/* Beta/walk.scm 205 */
						BgL_nodez00_bglt BgL_arg3325z00_2290;

						{	/* Beta/walk.scm 205 */
							BgL_nodez00_bglt BgL_arg3326z00_2291;

							BgL_arg3326z00_2291 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1399))->
								BgL_bodyz00);
							{	/* Beta/walk.scm 205 */
								BgL_nodez00_bglt BgL_res3416z00_2320;

								{	/* Beta/walk.scm 205 */
									obj_t BgL_method3108z00_2295;

									{	/* Beta/walk.scm 205 */
										BgL_objectz00_bglt BgL_objz00_2296;

										BgL_objz00_2296 =
											(BgL_objectz00_bglt) (BgL_arg3326z00_2291);
										{	/* Beta/walk.scm 205 */
											long BgL_objzd2classzd2numz00_2297;

											BgL_objzd2classzd2numz00_2297 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2296);
											{	/* Beta/walk.scm 205 */
												obj_t BgL_arg2422z00_2298;

												BgL_arg2422z00_2298 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 205 */
													obj_t BgL_arrayz00_2300;

													int BgL_offsetz00_2301;

													BgL_arrayz00_2300 = BgL_arg2422z00_2298;
													BgL_offsetz00_2301 =
														(int) (BgL_objzd2classzd2numz00_2297);
													{	/* Beta/walk.scm 205 */
														long BgL_offsetz00_2302;

														BgL_offsetz00_2302 =
															((long) (BgL_offsetz00_2301) - OBJECT_TYPE);
														{	/* Beta/walk.scm 205 */
															long BgL_modz00_2303;

															{	/* Beta/walk.scm 205 */
																int BgL_arg2424z00_2304;

																BgL_arg2424z00_2304 = (int) (((long) 8));
																{	/* Beta/walk.scm 205 */
																	long BgL_auxz00_2751;

																	BgL_auxz00_2751 =
																		(long) (BgL_arg2424z00_2304);
																	BgL_modz00_2303 =
																		(BgL_offsetz00_2302 / BgL_auxz00_2751);
															}}
															{	/* Beta/walk.scm 205 */
																long BgL_restz00_2305;

																{	/* Beta/walk.scm 205 */
																	int BgL_arg2423z00_2306;

																	BgL_arg2423z00_2306 = (int) (((long) 8));
																	{	/* Beta/walk.scm 205 */
																		long BgL_auxz00_2755;

																		BgL_auxz00_2755 =
																			(long) (BgL_arg2423z00_2306);
																		BgL_restz00_2305 =
																			(BgL_offsetz00_2302 % BgL_auxz00_2755);
																}}
																{	/* Beta/walk.scm 205 */

																	BgL_method3108z00_2295 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2300,
																			(int) (BgL_modz00_2303)),
																		(int) (BgL_restz00_2305));
									}}}}}}}}
									BgL_res3416z00_2320 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_2295)
										(BgL_method3108z00_2295, (obj_t) (BgL_arg3326z00_2291),
											BgL_stackz00_1400, BEOA));
								}
								BgL_arg3325z00_2290 = BgL_res3416z00_2320;
						}}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1399))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3325z00_2290), BUNSPEC);
					}
					BgL_auxz00_2741 = BgL_nodez00_1399;
					return (obj_t) (BgL_auxz00_2741);
				}
			}
		}
	}



/* node-beta!-let-var3138 */
	obj_t BGl_nodezd2betaz12zd2letzd2var3138zc0zzbeta_walkz00(obj_t
		BgL_envz00_2421, obj_t BgL_nodez00_2422, obj_t BgL_stackz00_2423)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 178 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1362;

				obj_t BgL_stackz00_1363;

				{	/* Beta/walk.scm 179 */
					BgL_letzd2varzd2_bglt BgL_auxz00_2769;

					BgL_nodez00_1362 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2422);
					BgL_stackz00_1363 = BgL_stackz00_2423;
					{
						obj_t BgL_bindingsz00_1369;

						obj_t BgL_newzd2stackzd2_1370;

						{	/* Beta/walk.scm 180 */
							obj_t BgL_arg3307z00_1368;

							BgL_arg3307z00_1368 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1362))->
								BgL_bindingsz00);
							BgL_bindingsz00_1369 = BgL_arg3307z00_1368;
							BgL_newzd2stackzd2_1370 = BgL_stackz00_1363;
						BgL_zc3anonymousza33308ze3z83_1371:
							if (NULLP(BgL_bindingsz00_1369))
								{	/* Beta/walk.scm 182 */
									{	/* Beta/walk.scm 184 */
										BgL_nodez00_bglt BgL_arg3310z00_1373;

										{	/* Beta/walk.scm 184 */
											BgL_nodez00_bglt BgL_arg3311z00_1374;

											BgL_arg3311z00_1374 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1362))->
												BgL_bodyz00);
											{	/* Beta/walk.scm 184 */
												BgL_nodez00_bglt BgL_res3409z00_2232;

												{	/* Beta/walk.scm 184 */
													obj_t BgL_method3108z00_2207;

													{	/* Beta/walk.scm 184 */
														BgL_objectz00_bglt BgL_objz00_2208;

														BgL_objz00_2208 =
															(BgL_objectz00_bglt) (BgL_arg3311z00_1374);
														{	/* Beta/walk.scm 184 */
															long BgL_objzd2classzd2numz00_2209;

															BgL_objzd2classzd2numz00_2209 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_2208);
															{	/* Beta/walk.scm 184 */
																obj_t BgL_arg2422z00_2210;

																BgL_arg2422z00_2210 =
																	PROCEDURE_REF
																	(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
																	(int) (((long) 1)));
																{	/* Beta/walk.scm 184 */
																	obj_t BgL_arrayz00_2212;

																	int BgL_offsetz00_2213;

																	BgL_arrayz00_2212 = BgL_arg2422z00_2210;
																	BgL_offsetz00_2213 =
																		(int) (BgL_objzd2classzd2numz00_2209);
																	{	/* Beta/walk.scm 184 */
																		long BgL_offsetz00_2214;

																		BgL_offsetz00_2214 =
																			(
																			(long) (BgL_offsetz00_2213) -
																			OBJECT_TYPE);
																		{	/* Beta/walk.scm 184 */
																			long BgL_modz00_2215;

																			{	/* Beta/walk.scm 184 */
																				int BgL_arg2424z00_2216;

																				BgL_arg2424z00_2216 =
																					(int) (((long) 8));
																				{	/* Beta/walk.scm 184 */
																					long BgL_auxz00_2782;

																					BgL_auxz00_2782 =
																						(long) (BgL_arg2424z00_2216);
																					BgL_modz00_2215 =
																						(BgL_offsetz00_2214 /
																						BgL_auxz00_2782);
																			}}
																			{	/* Beta/walk.scm 184 */
																				long BgL_restz00_2217;

																				{	/* Beta/walk.scm 184 */
																					int BgL_arg2423z00_2218;

																					BgL_arg2423z00_2218 =
																						(int) (((long) 8));
																					{	/* Beta/walk.scm 184 */
																						long BgL_auxz00_2786;

																						BgL_auxz00_2786 =
																							(long) (BgL_arg2423z00_2218);
																						BgL_restz00_2217 =
																							(BgL_offsetz00_2214 %
																							BgL_auxz00_2786);
																				}}
																				{	/* Beta/walk.scm 184 */

																					BgL_method3108z00_2207 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_2212,
																							(int) (BgL_modz00_2215)),
																						(int) (BgL_restz00_2217));
													}}}}}}}}
													BgL_res3409z00_2232 =
														(BgL_nodez00_bglt) (PROCEDURE_ENTRY
														(BgL_method3108z00_2207) (BgL_method3108z00_2207,
															(obj_t) (BgL_arg3311z00_1374),
															BgL_newzd2stackzd2_1370, BEOA));
												}
												BgL_arg3310z00_1373 = BgL_res3409z00_2232;
										}}
										((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1362))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_arg3310z00_1373), BUNSPEC);
									}
									BgL_auxz00_2769 = BgL_nodez00_1362;
								}
							else
								{	/* Beta/walk.scm 186 */
									obj_t BgL_bindingz00_1375;

									BgL_bindingz00_1375 = CAR(BgL_bindingsz00_1369);
									{	/* Beta/walk.scm 187 */
										BgL_nodez00_bglt BgL_valz00_1377;

										{	/* Beta/walk.scm 188 */
											obj_t BgL_arg3323z00_1395;

											BgL_arg3323z00_1395 = CDR(BgL_bindingz00_1375);
											{	/* Beta/walk.scm 188 */
												BgL_nodez00_bglt BgL_res3412z00_2265;

												{	/* Beta/walk.scm 188 */
													BgL_nodez00_bglt BgL_nodez00_2238;

													BgL_nodez00_2238 =
														(BgL_nodez00_bglt) (BgL_arg3323z00_1395);
													{	/* Beta/walk.scm 188 */
														obj_t BgL_method3108z00_2240;

														{	/* Beta/walk.scm 188 */
															BgL_objectz00_bglt BgL_objz00_2241;

															BgL_objz00_2241 =
																(BgL_objectz00_bglt) (BgL_nodez00_2238);
															{	/* Beta/walk.scm 188 */
																long BgL_objzd2classzd2numz00_2242;

																BgL_objzd2classzd2numz00_2242 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_2241);
																{	/* Beta/walk.scm 188 */
																	obj_t BgL_arg2422z00_2243;

																	BgL_arg2422z00_2243 =
																		PROCEDURE_REF
																		(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
																		(int) (((long) 1)));
																	{	/* Beta/walk.scm 188 */
																		obj_t BgL_arrayz00_2245;

																		int BgL_offsetz00_2246;

																		BgL_arrayz00_2245 = BgL_arg2422z00_2243;
																		BgL_offsetz00_2246 =
																			(int) (BgL_objzd2classzd2numz00_2242);
																		{	/* Beta/walk.scm 188 */
																			long BgL_offsetz00_2247;

																			BgL_offsetz00_2247 =
																				(
																				(long) (BgL_offsetz00_2246) -
																				OBJECT_TYPE);
																			{	/* Beta/walk.scm 188 */
																				long BgL_modz00_2248;

																				{	/* Beta/walk.scm 188 */
																					int BgL_arg2424z00_2249;

																					BgL_arg2424z00_2249 =
																						(int) (((long) 8));
																					{	/* Beta/walk.scm 188 */
																						long BgL_auxz00_2809;

																						BgL_auxz00_2809 =
																							(long) (BgL_arg2424z00_2249);
																						BgL_modz00_2248 =
																							(BgL_offsetz00_2247 /
																							BgL_auxz00_2809);
																				}}
																				{	/* Beta/walk.scm 188 */
																					long BgL_restz00_2250;

																					{	/* Beta/walk.scm 188 */
																						int BgL_arg2423z00_2251;

																						BgL_arg2423z00_2251 =
																							(int) (((long) 8));
																						{	/* Beta/walk.scm 188 */
																							long BgL_auxz00_2813;

																							BgL_auxz00_2813 =
																								(long) (BgL_arg2423z00_2251);
																							BgL_restz00_2250 =
																								(BgL_offsetz00_2247 %
																								BgL_auxz00_2813);
																					}}
																					{	/* Beta/walk.scm 188 */

																						BgL_method3108z00_2240 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_2245,
																								(int) (BgL_modz00_2248)),
																							(int) (BgL_restz00_2250));
														}}}}}}}}
														BgL_res3412z00_2265 =
															(BgL_nodez00_bglt) (PROCEDURE_ENTRY
															(BgL_method3108z00_2240) (BgL_method3108z00_2240,
																(obj_t) (BgL_nodez00_2238), BgL_stackz00_1363,
																BEOA));
												}}
												BgL_valz00_1377 = BgL_res3412z00_2265;
										}}
										{	/* Beta/walk.scm 188 */

											{	/* Beta/walk.scm 189 */
												bool_t BgL_testz00_2824;

												{	/* Beta/walk.scm 189 */
													bool_t BgL_testz00_2825;

													{	/* Beta/walk.scm 189 */
														obj_t BgL_arg3322z00_1394;

														BgL_arg3322z00_1394 = CDR(BgL_bindingz00_1375);
														BgL_testz00_2825 =
															BGl_iszd2azf3z21zz__objectz00(BgL_arg3322z00_1394,
															BGl_atomz00zzast_nodez00);
													}
													if (BgL_testz00_2825)
														{	/* Beta/walk.scm 190 */
															bool_t BgL_testz00_2828;

															{	/* Beta/walk.scm 190 */
																obj_t BgL_auxz00_2829;

																{	/* Beta/walk.scm 190 */
																	BgL_variablez00_bglt BgL_obj1452z00_2269;

																	{	/* Beta/walk.scm 190 */
																		obj_t BgL_pairz00_2268;

																		BgL_pairz00_2268 = BgL_bindingz00_1375;
																		BgL_obj1452z00_2269 =
																			(BgL_variablez00_bglt) (CAR
																			(BgL_pairz00_2268));
																	}
																	BgL_auxz00_2829 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_obj1452z00_2269))->
																		BgL_accessz00);
																}
																BgL_testz00_2828 =
																	(BgL_auxz00_2829 ==
																	CNST_TABLE_REF(((long) 2)));
															}
															if (BgL_testz00_2828)
																{	/* Beta/walk.scm 191 */
																	obj_t BgL_valz00_1384;

																	{	/* Beta/walk.scm 191 */
																		BgL_atomz00_bglt BgL_obj1972z00_2271;

																		{	/* Beta/walk.scm 191 */
																			obj_t BgL_pairz00_2270;

																			BgL_pairz00_2270 = BgL_bindingz00_1375;
																			BgL_obj1972z00_2271 =
																				(BgL_atomz00_bglt) (CDR
																				(BgL_pairz00_2270));
																		}
																		BgL_valz00_1384 =
																			(((BgL_atomz00_bglt)
																				CREF(BgL_obj1972z00_2271))->
																			BgL_valuez00);
																	}
																	{	/* Beta/walk.scm 192 */
																		bool_t BgL__ortest_3093z00_1385;

																		if (INTEGERP(BgL_valz00_1384))
																			{	/* Beta/walk.scm 192 */
																				BgL__ortest_3093z00_1385 = ((bool_t) 1);
																			}
																		else
																			{	/* Beta/walk.scm 192 */
																				if (REALP(BgL_valz00_1384))
																					{	/* Beta/walk.scm 192 */
																						BgL__ortest_3093z00_1385 =
																							((bool_t) 1);
																					}
																				else
																					{	/* Beta/walk.scm 192 */
																						if (ELONGP(BgL_valz00_1384))
																							{	/* Beta/walk.scm 192 */
																								BgL__ortest_3093z00_1385 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Beta/walk.scm 192 */
																								if (LLONGP(BgL_valz00_1384))
																									{	/* Beta/walk.scm 192 */
																										BgL__ortest_3093z00_1385 =
																											((bool_t) 1);
																									}
																								else
																									{	/* Beta/walk.scm 192 */
																										BgL__ortest_3093z00_1385 =
																											BIGNUMP(BgL_valz00_1384);
																									}
																							}
																					}
																			}
																		if (BgL__ortest_3093z00_1385)
																			{	/* Beta/walk.scm 192 */
																				BgL_testz00_2824 =
																					BgL__ortest_3093z00_1385;
																			}
																		else
																			{	/* Beta/walk.scm 193 */
																				bool_t BgL__ortest_3094z00_1386;

																				BgL__ortest_3094z00_1386 =
																					BOOLEANP(BgL_valz00_1384);
																				if (BgL__ortest_3094z00_1386)
																					{	/* Beta/walk.scm 193 */
																						BgL_testz00_2824 =
																							BgL__ortest_3094z00_1386;
																					}
																				else
																					{	/* Beta/walk.scm 194 */
																						bool_t BgL__ortest_3095z00_1387;

																						BgL__ortest_3095z00_1387 =
																							CHARP(BgL_valz00_1384);
																						if (BgL__ortest_3095z00_1387)
																							{	/* Beta/walk.scm 194 */
																								BgL_testz00_2824 =
																									BgL__ortest_3095z00_1387;
																							}
																						else
																							{	/* Beta/walk.scm 195 */
																								bool_t BgL__ortest_3096z00_1388;

																								BgL__ortest_3096z00_1388 =
																									SYMBOLP(BgL_valz00_1384);
																								if (BgL__ortest_3096z00_1388)
																									{	/* Beta/walk.scm 195 */
																										BgL_testz00_2824 =
																											BgL__ortest_3096z00_1388;
																									}
																								else
																									{	/* Beta/walk.scm 196 */
																										bool_t
																											BgL__ortest_3097z00_1389;
																										BgL__ortest_3097z00_1389 =
																											KEYWORDP(BgL_valz00_1384);
																										if (BgL__ortest_3097z00_1389)
																											{	/* Beta/walk.scm 196 */
																												BgL_testz00_2824 =
																													BgL__ortest_3097z00_1389;
																											}
																										else
																											{	/* Beta/walk.scm 196 */
																												BgL_testz00_2824 =
																													CNSTP
																													(BgL_valz00_1384);
																											}
																									}
																							}
																					}
																			}
																	}
																}
															else
																{	/* Beta/walk.scm 190 */
																	BgL_testz00_2824 = ((bool_t) 0);
																}
														}
													else
														{	/* Beta/walk.scm 189 */
															BgL_testz00_2824 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_2824)
													{	/* Beta/walk.scm 198 */
														obj_t BgL_arg3313z00_1379;

														obj_t BgL_arg3314z00_1380;

														BgL_arg3313z00_1379 = CDR(BgL_bindingsz00_1369);
														BgL_arg3314z00_1380 =
															MAKE_PAIR(BgL_bindingz00_1375,
															BgL_newzd2stackzd2_1370);
														{
															obj_t BgL_newzd2stackzd2_2860;

															obj_t BgL_bindingsz00_2859;

															BgL_bindingsz00_2859 = BgL_arg3313z00_1379;
															BgL_newzd2stackzd2_2860 = BgL_arg3314z00_1380;
															BgL_newzd2stackzd2_1370 = BgL_newzd2stackzd2_2860;
															BgL_bindingsz00_1369 = BgL_bindingsz00_2859;
															goto BgL_zc3anonymousza33308ze3z83_1371;
														}
													}
												else
													{
														obj_t BgL_bindingsz00_2861;

														BgL_bindingsz00_2861 = CDR(BgL_bindingsz00_1369);
														BgL_bindingsz00_1369 = BgL_bindingsz00_2861;
														goto BgL_zc3anonymousza33308ze3z83_1371;
													}
											}
										}
									}
								}
						}
					}
					return (obj_t) (BgL_auxz00_2769);
				}
			}
		}
	}



/* node-beta!-let-fun3136 */
	obj_t BGl_nodezd2betaz12zd2letzd2fun3136zc0zzbeta_walkz00(obj_t
		BgL_envz00_2424, obj_t BgL_nodez00_2425, obj_t BgL_stackz00_2426)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 166 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1342;

				obj_t BgL_stackz00_1343;

				{	/* Beta/walk.scm 167 */
					BgL_letzd2funzd2_bglt BgL_auxz00_2865;

					BgL_nodez00_1342 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2425);
					BgL_stackz00_1343 = BgL_stackz00_2426;
					{	/* Beta/walk.scm 168 */
						BgL_nodez00_bglt BgL_arg3299z00_1347;

						{	/* Beta/walk.scm 168 */
							BgL_nodez00_bglt BgL_arg3300z00_1348;

							BgL_arg3300z00_1348 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1342))->BgL_bodyz00);
							{	/* Beta/walk.scm 168 */
								BgL_nodez00_bglt BgL_res3403z00_2163;

								{	/* Beta/walk.scm 168 */
									obj_t BgL_method3108z00_2138;

									{	/* Beta/walk.scm 168 */
										BgL_objectz00_bglt BgL_objz00_2139;

										BgL_objz00_2139 =
											(BgL_objectz00_bglt) (BgL_arg3300z00_1348);
										{	/* Beta/walk.scm 168 */
											long BgL_objzd2classzd2numz00_2140;

											BgL_objzd2classzd2numz00_2140 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2139);
											{	/* Beta/walk.scm 168 */
												obj_t BgL_arg2422z00_2141;

												BgL_arg2422z00_2141 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 168 */
													obj_t BgL_arrayz00_2143;

													int BgL_offsetz00_2144;

													BgL_arrayz00_2143 = BgL_arg2422z00_2141;
													BgL_offsetz00_2144 =
														(int) (BgL_objzd2classzd2numz00_2140);
													{	/* Beta/walk.scm 168 */
														long BgL_offsetz00_2145;

														BgL_offsetz00_2145 =
															((long) (BgL_offsetz00_2144) - OBJECT_TYPE);
														{	/* Beta/walk.scm 168 */
															long BgL_modz00_2146;

															{	/* Beta/walk.scm 168 */
																int BgL_arg2424z00_2147;

																BgL_arg2424z00_2147 = (int) (((long) 8));
																{	/* Beta/walk.scm 168 */
																	long BgL_auxz00_2875;

																	BgL_auxz00_2875 =
																		(long) (BgL_arg2424z00_2147);
																	BgL_modz00_2146 =
																		(BgL_offsetz00_2145 / BgL_auxz00_2875);
															}}
															{	/* Beta/walk.scm 168 */
																long BgL_restz00_2148;

																{	/* Beta/walk.scm 168 */
																	int BgL_arg2423z00_2149;

																	BgL_arg2423z00_2149 = (int) (((long) 8));
																	{	/* Beta/walk.scm 168 */
																		long BgL_auxz00_2879;

																		BgL_auxz00_2879 =
																			(long) (BgL_arg2423z00_2149);
																		BgL_restz00_2148 =
																			(BgL_offsetz00_2145 % BgL_auxz00_2879);
																}}
																{	/* Beta/walk.scm 168 */

																	BgL_method3108z00_2138 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2143,
																			(int) (BgL_modz00_2146)),
																		(int) (BgL_restz00_2148));
									}}}}}}}}
									BgL_res3403z00_2163 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_2138)
										(BgL_method3108z00_2138, (obj_t) (BgL_arg3300z00_1348),
											BgL_stackz00_1343, BEOA));
								}
								BgL_arg3299z00_1347 = BgL_res3403z00_2163;
						}}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1342))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3299z00_1347), BUNSPEC);
					}
					{	/* Beta/walk.scm 169 */
						obj_t BgL_g3106z00_1349;

						BgL_g3106z00_1349 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1342))->BgL_localsz00);
						{
							obj_t BgL_l3104z00_1351;

							BgL_l3104z00_1351 = BgL_g3106z00_1349;
						BgL_zc3anonymousza33301ze3z83_1352:
							if (PAIRP(BgL_l3104z00_1351))
								{	/* Beta/walk.scm 169 */
									{	/* Beta/walk.scm 170 */
										obj_t BgL_localz00_1354;

										BgL_localz00_1354 = CAR(BgL_l3104z00_1351);
										{	/* Beta/walk.scm 170 */
											BgL_valuez00_bglt BgL_funz00_1355;

											{
												BgL_variablez00_bglt BgL_auxz00_2895;

												BgL_auxz00_2895 =
													(BgL_variablez00_bglt) (BgL_localz00_1354);
												BgL_funz00_1355 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_2895))->
													BgL_valuez00);
											}
											{	/* Beta/walk.scm 171 */
												BgL_nodez00_bglt BgL_arg3303z00_1356;

												{	/* Beta/walk.scm 171 */
													obj_t BgL_arg3304z00_1357;

													{
														BgL_sfunz00_bglt BgL_auxz00_2898;

														BgL_auxz00_2898 =
															(BgL_sfunz00_bglt) (BgL_funz00_1355);
														BgL_arg3304z00_1357 =
															(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2898))->
															BgL_bodyz00);
													}
													{	/* Beta/walk.scm 171 */
														BgL_nodez00_bglt BgL_res3406z00_2198;

														{	/* Beta/walk.scm 171 */
															BgL_nodez00_bglt BgL_nodez00_2171;

															BgL_nodez00_2171 =
																(BgL_nodez00_bglt) (BgL_arg3304z00_1357);
															{	/* Beta/walk.scm 171 */
																obj_t BgL_method3108z00_2173;

																{	/* Beta/walk.scm 171 */
																	BgL_objectz00_bglt BgL_objz00_2174;

																	BgL_objz00_2174 =
																		(BgL_objectz00_bglt) (BgL_nodez00_2171);
																	{	/* Beta/walk.scm 171 */
																		long BgL_objzd2classzd2numz00_2175;

																		BgL_objzd2classzd2numz00_2175 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_2174);
																		{	/* Beta/walk.scm 171 */
																			obj_t BgL_arg2422z00_2176;

																			BgL_arg2422z00_2176 =
																				PROCEDURE_REF
																				(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
																				(int) (((long) 1)));
																			{	/* Beta/walk.scm 171 */
																				obj_t BgL_arrayz00_2178;

																				int BgL_offsetz00_2179;

																				BgL_arrayz00_2178 = BgL_arg2422z00_2176;
																				BgL_offsetz00_2179 =
																					(int) (BgL_objzd2classzd2numz00_2175);
																				{	/* Beta/walk.scm 171 */
																					long BgL_offsetz00_2180;

																					BgL_offsetz00_2180 =
																						(
																						(long) (BgL_offsetz00_2179) -
																						OBJECT_TYPE);
																					{	/* Beta/walk.scm 171 */
																						long BgL_modz00_2181;

																						{	/* Beta/walk.scm 171 */
																							int BgL_arg2424z00_2182;

																							BgL_arg2424z00_2182 =
																								(int) (((long) 8));
																							{	/* Beta/walk.scm 171 */
																								long BgL_auxz00_2910;

																								BgL_auxz00_2910 =
																									(long) (BgL_arg2424z00_2182);
																								BgL_modz00_2181 =
																									(BgL_offsetz00_2180 /
																									BgL_auxz00_2910);
																						}}
																						{	/* Beta/walk.scm 171 */
																							long BgL_restz00_2183;

																							{	/* Beta/walk.scm 171 */
																								int BgL_arg2423z00_2184;

																								BgL_arg2423z00_2184 =
																									(int) (((long) 8));
																								{	/* Beta/walk.scm 171 */
																									long BgL_auxz00_2914;

																									BgL_auxz00_2914 =
																										(long)
																										(BgL_arg2423z00_2184);
																									BgL_restz00_2183 =
																										(BgL_offsetz00_2180 %
																										BgL_auxz00_2914);
																							}}
																							{	/* Beta/walk.scm 171 */

																								BgL_method3108z00_2173 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_2178,
																										(int) (BgL_modz00_2181)),
																									(int) (BgL_restz00_2183));
																}}}}}}}}
																BgL_res3406z00_2198 =
																	(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																	(BgL_method3108z00_2173)
																	(BgL_method3108z00_2173,
																		(obj_t) (BgL_nodez00_2171),
																		BgL_stackz00_1343, BEOA));
														}}
														BgL_arg3303z00_1356 = BgL_res3406z00_2198;
												}}
												{
													obj_t BgL_auxz00_2927;

													BgL_sfunz00_bglt BgL_auxz00_2925;

													BgL_auxz00_2927 = (obj_t) (BgL_arg3303z00_1356);
													BgL_auxz00_2925 =
														(BgL_sfunz00_bglt) (BgL_funz00_1355);
													((((BgL_sfunz00_bglt) CREF(BgL_auxz00_2925))->
															BgL_bodyz00) =
														((obj_t) BgL_auxz00_2927), BUNSPEC);
									}}}}
									{
										obj_t BgL_l3104z00_2930;

										BgL_l3104z00_2930 = CDR(BgL_l3104z00_1351);
										BgL_l3104z00_1351 = BgL_l3104z00_2930;
										goto BgL_zc3anonymousza33301ze3z83_1352;
									}
								}
							else
								{	/* Beta/walk.scm 169 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_2865 = BgL_nodez00_1342;
					return (obj_t) (BgL_auxz00_2865);
				}
			}
		}
	}



/* node-beta!-box-set!3134 */
	obj_t BGl_nodezd2betaz12zd2boxzd2setz123134zd2zzbeta_walkz00(obj_t
		BgL_envz00_2427, obj_t BgL_nodez00_2428, obj_t BgL_stackz00_2429)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 158 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1332;

				obj_t BgL_stackz00_1333;

				{	/* Beta/walk.scm 159 */
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_2934;

					BgL_nodez00_1332 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2428);
					BgL_stackz00_1333 = BgL_stackz00_2429;
					{	/* Beta/walk.scm 159 */
						BgL_nodez00_bglt BgL_arg3294z00_1336;

						{	/* Beta/walk.scm 159 */
							BgL_varz00_bglt BgL_arg3295z00_1337;

							BgL_arg3295z00_1337 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1332))->
								BgL_varz00);
							{	/* Beta/walk.scm 159 */
								BgL_nodez00_bglt BgL_res3397z00_2101;

								{	/* Beta/walk.scm 159 */
									BgL_nodez00_bglt BgL_nodez00_2074;

									BgL_nodez00_2074 = (BgL_nodez00_bglt) (BgL_arg3295z00_1337);
									{	/* Beta/walk.scm 159 */
										obj_t BgL_method3108z00_2076;

										{	/* Beta/walk.scm 159 */
											BgL_objectz00_bglt BgL_objz00_2077;

											BgL_objz00_2077 = (BgL_objectz00_bglt) (BgL_nodez00_2074);
											{	/* Beta/walk.scm 159 */
												long BgL_objzd2classzd2numz00_2078;

												BgL_objzd2classzd2numz00_2078 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2077);
												{	/* Beta/walk.scm 159 */
													obj_t BgL_arg2422z00_2079;

													BgL_arg2422z00_2079 =
														PROCEDURE_REF
														(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
														(int) (((long) 1)));
													{	/* Beta/walk.scm 159 */
														obj_t BgL_arrayz00_2081;

														int BgL_offsetz00_2082;

														BgL_arrayz00_2081 = BgL_arg2422z00_2079;
														BgL_offsetz00_2082 =
															(int) (BgL_objzd2classzd2numz00_2078);
														{	/* Beta/walk.scm 159 */
															long BgL_offsetz00_2083;

															BgL_offsetz00_2083 =
																((long) (BgL_offsetz00_2082) - OBJECT_TYPE);
															{	/* Beta/walk.scm 159 */
																long BgL_modz00_2084;

																{	/* Beta/walk.scm 159 */
																	int BgL_arg2424z00_2085;

																	BgL_arg2424z00_2085 = (int) (((long) 8));
																	{	/* Beta/walk.scm 159 */
																		long BgL_auxz00_2945;

																		BgL_auxz00_2945 =
																			(long) (BgL_arg2424z00_2085);
																		BgL_modz00_2084 =
																			(BgL_offsetz00_2083 / BgL_auxz00_2945);
																}}
																{	/* Beta/walk.scm 159 */
																	long BgL_restz00_2086;

																	{	/* Beta/walk.scm 159 */
																		int BgL_arg2423z00_2087;

																		BgL_arg2423z00_2087 = (int) (((long) 8));
																		{	/* Beta/walk.scm 159 */
																			long BgL_auxz00_2949;

																			BgL_auxz00_2949 =
																				(long) (BgL_arg2423z00_2087);
																			BgL_restz00_2086 =
																				(BgL_offsetz00_2083 % BgL_auxz00_2949);
																	}}
																	{	/* Beta/walk.scm 159 */

																		BgL_method3108z00_2076 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2081,
																				(int) (BgL_modz00_2084)),
																			(int) (BgL_restz00_2086));
										}}}}}}}}
										BgL_res3397z00_2101 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3108z00_2076) (BgL_method3108z00_2076,
												(obj_t) (BgL_nodez00_2074), BgL_stackz00_1333, BEOA));
								}}
								BgL_arg3294z00_1336 = BgL_res3397z00_2101;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_2960;

							BgL_auxz00_2960 = (BgL_varz00_bglt) (BgL_arg3294z00_1336);
							((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1332))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_2960), BUNSPEC);
					}}
					{	/* Beta/walk.scm 160 */
						BgL_nodez00_bglt BgL_arg3296z00_1338;

						{	/* Beta/walk.scm 160 */
							BgL_nodez00_bglt BgL_arg3297z00_1339;

							BgL_arg3297z00_1339 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1332))->
								BgL_valuez00);
							{	/* Beta/walk.scm 160 */
								BgL_nodez00_bglt BgL_res3400z00_2132;

								{	/* Beta/walk.scm 160 */
									obj_t BgL_method3108z00_2107;

									{	/* Beta/walk.scm 160 */
										BgL_objectz00_bglt BgL_objz00_2108;

										BgL_objz00_2108 =
											(BgL_objectz00_bglt) (BgL_arg3297z00_1339);
										{	/* Beta/walk.scm 160 */
											long BgL_objzd2classzd2numz00_2109;

											BgL_objzd2classzd2numz00_2109 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2108);
											{	/* Beta/walk.scm 160 */
												obj_t BgL_arg2422z00_2110;

												BgL_arg2422z00_2110 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 160 */
													obj_t BgL_arrayz00_2112;

													int BgL_offsetz00_2113;

													BgL_arrayz00_2112 = BgL_arg2422z00_2110;
													BgL_offsetz00_2113 =
														(int) (BgL_objzd2classzd2numz00_2109);
													{	/* Beta/walk.scm 160 */
														long BgL_offsetz00_2114;

														BgL_offsetz00_2114 =
															((long) (BgL_offsetz00_2113) - OBJECT_TYPE);
														{	/* Beta/walk.scm 160 */
															long BgL_modz00_2115;

															{	/* Beta/walk.scm 160 */
																int BgL_arg2424z00_2116;

																BgL_arg2424z00_2116 = (int) (((long) 8));
																{	/* Beta/walk.scm 160 */
																	long BgL_auxz00_2972;

																	BgL_auxz00_2972 =
																		(long) (BgL_arg2424z00_2116);
																	BgL_modz00_2115 =
																		(BgL_offsetz00_2114 / BgL_auxz00_2972);
															}}
															{	/* Beta/walk.scm 160 */
																long BgL_restz00_2117;

																{	/* Beta/walk.scm 160 */
																	int BgL_arg2423z00_2118;

																	BgL_arg2423z00_2118 = (int) (((long) 8));
																	{	/* Beta/walk.scm 160 */
																		long BgL_auxz00_2976;

																		BgL_auxz00_2976 =
																			(long) (BgL_arg2423z00_2118);
																		BgL_restz00_2117 =
																			(BgL_offsetz00_2114 % BgL_auxz00_2976);
																}}
																{	/* Beta/walk.scm 160 */

																	BgL_method3108z00_2107 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2112,
																			(int) (BgL_modz00_2115)),
																		(int) (BgL_restz00_2117));
									}}}}}}}}
									BgL_res3400z00_2132 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_2107)
										(BgL_method3108z00_2107, (obj_t) (BgL_arg3297z00_1339),
											BgL_stackz00_1333, BEOA));
								}
								BgL_arg3296z00_1338 = BgL_res3400z00_2132;
						}}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1332))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3296z00_1338), BUNSPEC);
					}
					BgL_auxz00_2934 = BgL_nodez00_1332;
					return (obj_t) (BgL_auxz00_2934);
				}
			}
		}
	}



/* node-beta!-box-ref3132 */
	obj_t BGl_nodezd2betaz12zd2boxzd2ref3132zc0zzbeta_walkz00(obj_t
		BgL_envz00_2430, obj_t BgL_nodez00_2431, obj_t BgL_stackz00_2432)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 151 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1324;

				obj_t BgL_stackz00_1325;

				{	/* Beta/walk.scm 152 */
					BgL_boxzd2refzd2_bglt BgL_auxz00_2990;

					BgL_nodez00_1324 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2431);
					BgL_stackz00_1325 = BgL_stackz00_2432;
					{	/* Beta/walk.scm 152 */
						BgL_nodez00_bglt BgL_arg3291z00_2040;

						{	/* Beta/walk.scm 152 */
							BgL_varz00_bglt BgL_arg3292z00_2041;

							BgL_arg3292z00_2041 =
								(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1324))->BgL_varz00);
							{	/* Beta/walk.scm 152 */
								BgL_nodez00_bglt BgL_res3394z00_2070;

								{	/* Beta/walk.scm 152 */
									BgL_nodez00_bglt BgL_nodez00_2043;

									BgL_nodez00_2043 = (BgL_nodez00_bglt) (BgL_arg3292z00_2041);
									{	/* Beta/walk.scm 152 */
										obj_t BgL_method3108z00_2045;

										{	/* Beta/walk.scm 152 */
											BgL_objectz00_bglt BgL_objz00_2046;

											BgL_objz00_2046 = (BgL_objectz00_bglt) (BgL_nodez00_2043);
											{	/* Beta/walk.scm 152 */
												long BgL_objzd2classzd2numz00_2047;

												BgL_objzd2classzd2numz00_2047 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2046);
												{	/* Beta/walk.scm 152 */
													obj_t BgL_arg2422z00_2048;

													BgL_arg2422z00_2048 =
														PROCEDURE_REF
														(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
														(int) (((long) 1)));
													{	/* Beta/walk.scm 152 */
														obj_t BgL_arrayz00_2050;

														int BgL_offsetz00_2051;

														BgL_arrayz00_2050 = BgL_arg2422z00_2048;
														BgL_offsetz00_2051 =
															(int) (BgL_objzd2classzd2numz00_2047);
														{	/* Beta/walk.scm 152 */
															long BgL_offsetz00_2052;

															BgL_offsetz00_2052 =
																((long) (BgL_offsetz00_2051) - OBJECT_TYPE);
															{	/* Beta/walk.scm 152 */
																long BgL_modz00_2053;

																{	/* Beta/walk.scm 152 */
																	int BgL_arg2424z00_2054;

																	BgL_arg2424z00_2054 = (int) (((long) 8));
																	{	/* Beta/walk.scm 152 */
																		long BgL_auxz00_3001;

																		BgL_auxz00_3001 =
																			(long) (BgL_arg2424z00_2054);
																		BgL_modz00_2053 =
																			(BgL_offsetz00_2052 / BgL_auxz00_3001);
																}}
																{	/* Beta/walk.scm 152 */
																	long BgL_restz00_2055;

																	{	/* Beta/walk.scm 152 */
																		int BgL_arg2423z00_2056;

																		BgL_arg2423z00_2056 = (int) (((long) 8));
																		{	/* Beta/walk.scm 152 */
																			long BgL_auxz00_3005;

																			BgL_auxz00_3005 =
																				(long) (BgL_arg2423z00_2056);
																			BgL_restz00_2055 =
																				(BgL_offsetz00_2052 % BgL_auxz00_3005);
																	}}
																	{	/* Beta/walk.scm 152 */

																		BgL_method3108z00_2045 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2050,
																				(int) (BgL_modz00_2053)),
																			(int) (BgL_restz00_2055));
										}}}}}}}}
										BgL_res3394z00_2070 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3108z00_2045) (BgL_method3108z00_2045,
												(obj_t) (BgL_nodez00_2043), BgL_stackz00_1325, BEOA));
								}}
								BgL_arg3291z00_2040 = BgL_res3394z00_2070;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3016;

							BgL_auxz00_3016 = (BgL_varz00_bglt) (BgL_arg3291z00_2040);
							((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1324))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_3016), BUNSPEC);
					}}
					BgL_auxz00_2990 = BgL_nodez00_1324;
					return (obj_t) (BgL_auxz00_2990);
				}
			}
		}
	}



/* node-beta!-make-box3130 */
	obj_t BGl_nodezd2betaz12zd2makezd2box3130zc0zzbeta_walkz00(obj_t
		BgL_envz00_2433, obj_t BgL_nodez00_2434, obj_t BgL_stackz00_2435)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 144 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1316;

				obj_t BgL_stackz00_1317;

				{	/* Beta/walk.scm 145 */
					BgL_makezd2boxzd2_bglt BgL_auxz00_3021;

					BgL_nodez00_1316 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2434);
					BgL_stackz00_1317 = BgL_stackz00_2435;
					{	/* Beta/walk.scm 145 */
						BgL_nodez00_bglt BgL_arg3288z00_2007;

						{	/* Beta/walk.scm 145 */
							BgL_nodez00_bglt BgL_arg3289z00_2008;

							BgL_arg3289z00_2008 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1316))->
								BgL_valuez00);
							{	/* Beta/walk.scm 145 */
								BgL_nodez00_bglt BgL_res3391z00_2037;

								{	/* Beta/walk.scm 145 */
									obj_t BgL_method3108z00_2012;

									{	/* Beta/walk.scm 145 */
										BgL_objectz00_bglt BgL_objz00_2013;

										BgL_objz00_2013 =
											(BgL_objectz00_bglt) (BgL_arg3289z00_2008);
										{	/* Beta/walk.scm 145 */
											long BgL_objzd2classzd2numz00_2014;

											BgL_objzd2classzd2numz00_2014 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2013);
											{	/* Beta/walk.scm 145 */
												obj_t BgL_arg2422z00_2015;

												BgL_arg2422z00_2015 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 145 */
													obj_t BgL_arrayz00_2017;

													int BgL_offsetz00_2018;

													BgL_arrayz00_2017 = BgL_arg2422z00_2015;
													BgL_offsetz00_2018 =
														(int) (BgL_objzd2classzd2numz00_2014);
													{	/* Beta/walk.scm 145 */
														long BgL_offsetz00_2019;

														BgL_offsetz00_2019 =
															((long) (BgL_offsetz00_2018) - OBJECT_TYPE);
														{	/* Beta/walk.scm 145 */
															long BgL_modz00_2020;

															{	/* Beta/walk.scm 145 */
																int BgL_arg2424z00_2021;

																BgL_arg2424z00_2021 = (int) (((long) 8));
																{	/* Beta/walk.scm 145 */
																	long BgL_auxz00_3031;

																	BgL_auxz00_3031 =
																		(long) (BgL_arg2424z00_2021);
																	BgL_modz00_2020 =
																		(BgL_offsetz00_2019 / BgL_auxz00_3031);
															}}
															{	/* Beta/walk.scm 145 */
																long BgL_restz00_2022;

																{	/* Beta/walk.scm 145 */
																	int BgL_arg2423z00_2023;

																	BgL_arg2423z00_2023 = (int) (((long) 8));
																	{	/* Beta/walk.scm 145 */
																		long BgL_auxz00_3035;

																		BgL_auxz00_3035 =
																			(long) (BgL_arg2423z00_2023);
																		BgL_restz00_2022 =
																			(BgL_offsetz00_2019 % BgL_auxz00_3035);
																}}
																{	/* Beta/walk.scm 145 */

																	BgL_method3108z00_2012 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2017,
																			(int) (BgL_modz00_2020)),
																		(int) (BgL_restz00_2022));
									}}}}}}}}
									BgL_res3391z00_2037 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_2012)
										(BgL_method3108z00_2012, (obj_t) (BgL_arg3289z00_2008),
											BgL_stackz00_1317, BEOA));
								}
								BgL_arg3288z00_2007 = BgL_res3391z00_2037;
						}}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1316))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3288z00_2007), BUNSPEC);
					}
					BgL_auxz00_3021 = BgL_nodez00_1316;
					return (obj_t) (BgL_auxz00_3021);
				}
			}
		}
	}



/* node-beta!-select3128 */
	obj_t BGl_nodezd2betaz12zd2select3128z12zzbeta_walkz00(obj_t BgL_envz00_2436,
		obj_t BgL_nodez00_2437, obj_t BgL_stackz00_2438)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 134 */
			{
				BgL_selectz00_bglt BgL_nodez00_1298;

				obj_t BgL_stackz00_1299;

				{	/* Beta/walk.scm 135 */
					BgL_selectz00_bglt BgL_auxz00_3049;

					BgL_nodez00_1298 = (BgL_selectz00_bglt) (BgL_nodez00_2437);
					BgL_stackz00_1299 = BgL_stackz00_2438;
					{	/* Beta/walk.scm 135 */
						BgL_nodez00_bglt BgL_arg3280z00_1302;

						{	/* Beta/walk.scm 135 */
							BgL_nodez00_bglt BgL_arg3281z00_1303;

							BgL_arg3281z00_1303 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1298))->BgL_testz00);
							{	/* Beta/walk.scm 135 */
								BgL_nodez00_bglt BgL_res3385z00_1969;

								{	/* Beta/walk.scm 135 */
									obj_t BgL_method3108z00_1944;

									{	/* Beta/walk.scm 135 */
										BgL_objectz00_bglt BgL_objz00_1945;

										BgL_objz00_1945 =
											(BgL_objectz00_bglt) (BgL_arg3281z00_1303);
										{	/* Beta/walk.scm 135 */
											long BgL_objzd2classzd2numz00_1946;

											BgL_objzd2classzd2numz00_1946 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1945);
											{	/* Beta/walk.scm 135 */
												obj_t BgL_arg2422z00_1947;

												BgL_arg2422z00_1947 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 135 */
													obj_t BgL_arrayz00_1949;

													int BgL_offsetz00_1950;

													BgL_arrayz00_1949 = BgL_arg2422z00_1947;
													BgL_offsetz00_1950 =
														(int) (BgL_objzd2classzd2numz00_1946);
													{	/* Beta/walk.scm 135 */
														long BgL_offsetz00_1951;

														BgL_offsetz00_1951 =
															((long) (BgL_offsetz00_1950) - OBJECT_TYPE);
														{	/* Beta/walk.scm 135 */
															long BgL_modz00_1952;

															{	/* Beta/walk.scm 135 */
																int BgL_arg2424z00_1953;

																BgL_arg2424z00_1953 = (int) (((long) 8));
																{	/* Beta/walk.scm 135 */
																	long BgL_auxz00_3059;

																	BgL_auxz00_3059 =
																		(long) (BgL_arg2424z00_1953);
																	BgL_modz00_1952 =
																		(BgL_offsetz00_1951 / BgL_auxz00_3059);
															}}
															{	/* Beta/walk.scm 135 */
																long BgL_restz00_1954;

																{	/* Beta/walk.scm 135 */
																	int BgL_arg2423z00_1955;

																	BgL_arg2423z00_1955 = (int) (((long) 8));
																	{	/* Beta/walk.scm 135 */
																		long BgL_auxz00_3063;

																		BgL_auxz00_3063 =
																			(long) (BgL_arg2423z00_1955);
																		BgL_restz00_1954 =
																			(BgL_offsetz00_1951 % BgL_auxz00_3063);
																}}
																{	/* Beta/walk.scm 135 */

																	BgL_method3108z00_1944 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1949,
																			(int) (BgL_modz00_1952)),
																		(int) (BgL_restz00_1954));
									}}}}}}}}
									BgL_res3385z00_1969 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1944)
										(BgL_method3108z00_1944, (obj_t) (BgL_arg3281z00_1303),
											BgL_stackz00_1299, BEOA));
								}
								BgL_arg3280z00_1302 = BgL_res3385z00_1969;
						}}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1298))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3280z00_1302), BUNSPEC);
					}
					{	/* Beta/walk.scm 136 */
						obj_t BgL_g3103z00_1304;

						BgL_g3103z00_1304 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1298))->BgL_clausesz00);
						{
							obj_t BgL_l3101z00_1306;

							BgL_l3101z00_1306 = BgL_g3103z00_1304;
						BgL_zc3anonymousza33282ze3z83_1307:
							if (PAIRP(BgL_l3101z00_1306))
								{	/* Beta/walk.scm 138 */
									{	/* Beta/walk.scm 137 */
										obj_t BgL_clausez00_1309;

										BgL_clausez00_1309 = CAR(BgL_l3101z00_1306);
										{	/* Beta/walk.scm 137 */
											BgL_nodez00_bglt BgL_arg3284z00_1310;

											{	/* Beta/walk.scm 137 */
												obj_t BgL_arg3285z00_1311;

												BgL_arg3285z00_1311 = CDR(BgL_clausez00_1309);
												{	/* Beta/walk.scm 137 */
													BgL_nodez00_bglt BgL_res3388z00_2003;

													{	/* Beta/walk.scm 137 */
														BgL_nodez00_bglt BgL_nodez00_1976;

														BgL_nodez00_1976 =
															(BgL_nodez00_bglt) (BgL_arg3285z00_1311);
														{	/* Beta/walk.scm 137 */
															obj_t BgL_method3108z00_1978;

															{	/* Beta/walk.scm 137 */
																BgL_objectz00_bglt BgL_objz00_1979;

																BgL_objz00_1979 =
																	(BgL_objectz00_bglt) (BgL_nodez00_1976);
																{	/* Beta/walk.scm 137 */
																	long BgL_objzd2classzd2numz00_1980;

																	BgL_objzd2classzd2numz00_1980 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_1979);
																	{	/* Beta/walk.scm 137 */
																		obj_t BgL_arg2422z00_1981;

																		BgL_arg2422z00_1981 =
																			PROCEDURE_REF
																			(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
																			(int) (((long) 1)));
																		{	/* Beta/walk.scm 137 */
																			obj_t BgL_arrayz00_1983;

																			int BgL_offsetz00_1984;

																			BgL_arrayz00_1983 = BgL_arg2422z00_1981;
																			BgL_offsetz00_1984 =
																				(int) (BgL_objzd2classzd2numz00_1980);
																			{	/* Beta/walk.scm 137 */
																				long BgL_offsetz00_1985;

																				BgL_offsetz00_1985 =
																					(
																					(long) (BgL_offsetz00_1984) -
																					OBJECT_TYPE);
																				{	/* Beta/walk.scm 137 */
																					long BgL_modz00_1986;

																					{	/* Beta/walk.scm 137 */
																						int BgL_arg2424z00_1987;

																						BgL_arg2424z00_1987 =
																							(int) (((long) 8));
																						{	/* Beta/walk.scm 137 */
																							long BgL_auxz00_3089;

																							BgL_auxz00_3089 =
																								(long) (BgL_arg2424z00_1987);
																							BgL_modz00_1986 =
																								(BgL_offsetz00_1985 /
																								BgL_auxz00_3089);
																					}}
																					{	/* Beta/walk.scm 137 */
																						long BgL_restz00_1988;

																						{	/* Beta/walk.scm 137 */
																							int BgL_arg2423z00_1989;

																							BgL_arg2423z00_1989 =
																								(int) (((long) 8));
																							{	/* Beta/walk.scm 137 */
																								long BgL_auxz00_3093;

																								BgL_auxz00_3093 =
																									(long) (BgL_arg2423z00_1989);
																								BgL_restz00_1988 =
																									(BgL_offsetz00_1985 %
																									BgL_auxz00_3093);
																						}}
																						{	/* Beta/walk.scm 137 */

																							BgL_method3108z00_1978 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_1983,
																									(int) (BgL_modz00_1986)),
																								(int) (BgL_restz00_1988));
															}}}}}}}}
															BgL_res3388z00_2003 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3108z00_1978)
																(BgL_method3108z00_1978,
																	(obj_t) (BgL_nodez00_1976), BgL_stackz00_1299,
																	BEOA));
													}}
													BgL_arg3284z00_1310 = BgL_res3388z00_2003;
											}}
											{	/* Beta/walk.scm 137 */
												obj_t BgL_auxz00_3104;

												BgL_auxz00_3104 = (obj_t) (BgL_arg3284z00_1310);
												SET_CDR(BgL_clausez00_1309, BgL_auxz00_3104);
									}}}
									{
										obj_t BgL_l3101z00_3107;

										BgL_l3101z00_3107 = CDR(BgL_l3101z00_1306);
										BgL_l3101z00_1306 = BgL_l3101z00_3107;
										goto BgL_zc3anonymousza33282ze3z83_1307;
									}
								}
							else
								{	/* Beta/walk.scm 138 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_3049 = BgL_nodez00_1298;
					return (obj_t) (BgL_auxz00_3049);
				}
			}
		}
	}



/* node-beta!-fail3126 */
	obj_t BGl_nodezd2betaz12zd2fail3126z12zzbeta_walkz00(obj_t BgL_envz00_2439,
		obj_t BgL_nodez00_2440, obj_t BgL_stackz00_2441)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 125 */
			{
				BgL_failz00_bglt BgL_nodez00_1286;

				obj_t BgL_stackz00_1287;

				{	/* Beta/walk.scm 126 */
					BgL_failz00_bglt BgL_auxz00_3111;

					BgL_nodez00_1286 = (BgL_failz00_bglt) (BgL_nodez00_2440);
					BgL_stackz00_1287 = BgL_stackz00_2441;
					{	/* Beta/walk.scm 126 */
						BgL_nodez00_bglt BgL_arg3273z00_1290;

						{	/* Beta/walk.scm 126 */
							BgL_nodez00_bglt BgL_arg3274z00_1291;

							BgL_arg3274z00_1291 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1286))->BgL_procz00);
							{	/* Beta/walk.scm 126 */
								BgL_nodez00_bglt BgL_res3376z00_1876;

								{	/* Beta/walk.scm 126 */
									obj_t BgL_method3108z00_1851;

									{	/* Beta/walk.scm 126 */
										BgL_objectz00_bglt BgL_objz00_1852;

										BgL_objz00_1852 =
											(BgL_objectz00_bglt) (BgL_arg3274z00_1291);
										{	/* Beta/walk.scm 126 */
											long BgL_objzd2classzd2numz00_1853;

											BgL_objzd2classzd2numz00_1853 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1852);
											{	/* Beta/walk.scm 126 */
												obj_t BgL_arg2422z00_1854;

												BgL_arg2422z00_1854 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 126 */
													obj_t BgL_arrayz00_1856;

													int BgL_offsetz00_1857;

													BgL_arrayz00_1856 = BgL_arg2422z00_1854;
													BgL_offsetz00_1857 =
														(int) (BgL_objzd2classzd2numz00_1853);
													{	/* Beta/walk.scm 126 */
														long BgL_offsetz00_1858;

														BgL_offsetz00_1858 =
															((long) (BgL_offsetz00_1857) - OBJECT_TYPE);
														{	/* Beta/walk.scm 126 */
															long BgL_modz00_1859;

															{	/* Beta/walk.scm 126 */
																int BgL_arg2424z00_1860;

																BgL_arg2424z00_1860 = (int) (((long) 8));
																{	/* Beta/walk.scm 126 */
																	long BgL_auxz00_3121;

																	BgL_auxz00_3121 =
																		(long) (BgL_arg2424z00_1860);
																	BgL_modz00_1859 =
																		(BgL_offsetz00_1858 / BgL_auxz00_3121);
															}}
															{	/* Beta/walk.scm 126 */
																long BgL_restz00_1861;

																{	/* Beta/walk.scm 126 */
																	int BgL_arg2423z00_1862;

																	BgL_arg2423z00_1862 = (int) (((long) 8));
																	{	/* Beta/walk.scm 126 */
																		long BgL_auxz00_3125;

																		BgL_auxz00_3125 =
																			(long) (BgL_arg2423z00_1862);
																		BgL_restz00_1861 =
																			(BgL_offsetz00_1858 % BgL_auxz00_3125);
																}}
																{	/* Beta/walk.scm 126 */

																	BgL_method3108z00_1851 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1856,
																			(int) (BgL_modz00_1859)),
																		(int) (BgL_restz00_1861));
									}}}}}}}}
									BgL_res3376z00_1876 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1851)
										(BgL_method3108z00_1851, (obj_t) (BgL_arg3274z00_1291),
											BgL_stackz00_1287, BEOA));
								}
								BgL_arg3273z00_1290 = BgL_res3376z00_1876;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1286))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_arg3273z00_1290), BUNSPEC);
					}
					{	/* Beta/walk.scm 127 */
						BgL_nodez00_bglt BgL_arg3275z00_1292;

						{	/* Beta/walk.scm 127 */
							BgL_nodez00_bglt BgL_arg3276z00_1293;

							BgL_arg3276z00_1293 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1286))->BgL_msgz00);
							{	/* Beta/walk.scm 127 */
								BgL_nodez00_bglt BgL_res3379z00_1907;

								{	/* Beta/walk.scm 127 */
									obj_t BgL_method3108z00_1882;

									{	/* Beta/walk.scm 127 */
										BgL_objectz00_bglt BgL_objz00_1883;

										BgL_objz00_1883 =
											(BgL_objectz00_bglt) (BgL_arg3276z00_1293);
										{	/* Beta/walk.scm 127 */
											long BgL_objzd2classzd2numz00_1884;

											BgL_objzd2classzd2numz00_1884 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1883);
											{	/* Beta/walk.scm 127 */
												obj_t BgL_arg2422z00_1885;

												BgL_arg2422z00_1885 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 127 */
													obj_t BgL_arrayz00_1887;

													int BgL_offsetz00_1888;

													BgL_arrayz00_1887 = BgL_arg2422z00_1885;
													BgL_offsetz00_1888 =
														(int) (BgL_objzd2classzd2numz00_1884);
													{	/* Beta/walk.scm 127 */
														long BgL_offsetz00_1889;

														BgL_offsetz00_1889 =
															((long) (BgL_offsetz00_1888) - OBJECT_TYPE);
														{	/* Beta/walk.scm 127 */
															long BgL_modz00_1890;

															{	/* Beta/walk.scm 127 */
																int BgL_arg2424z00_1891;

																BgL_arg2424z00_1891 = (int) (((long) 8));
																{	/* Beta/walk.scm 127 */
																	long BgL_auxz00_3146;

																	BgL_auxz00_3146 =
																		(long) (BgL_arg2424z00_1891);
																	BgL_modz00_1890 =
																		(BgL_offsetz00_1889 / BgL_auxz00_3146);
															}}
															{	/* Beta/walk.scm 127 */
																long BgL_restz00_1892;

																{	/* Beta/walk.scm 127 */
																	int BgL_arg2423z00_1893;

																	BgL_arg2423z00_1893 = (int) (((long) 8));
																	{	/* Beta/walk.scm 127 */
																		long BgL_auxz00_3150;

																		BgL_auxz00_3150 =
																			(long) (BgL_arg2423z00_1893);
																		BgL_restz00_1892 =
																			(BgL_offsetz00_1889 % BgL_auxz00_3150);
																}}
																{	/* Beta/walk.scm 127 */

																	BgL_method3108z00_1882 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1887,
																			(int) (BgL_modz00_1890)),
																		(int) (BgL_restz00_1892));
									}}}}}}}}
									BgL_res3379z00_1907 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1882)
										(BgL_method3108z00_1882, (obj_t) (BgL_arg3276z00_1293),
											BgL_stackz00_1287, BEOA));
								}
								BgL_arg3275z00_1292 = BgL_res3379z00_1907;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1286))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_arg3275z00_1292), BUNSPEC);
					}
					{	/* Beta/walk.scm 128 */
						BgL_nodez00_bglt BgL_arg3277z00_1294;

						{	/* Beta/walk.scm 128 */
							BgL_nodez00_bglt BgL_arg3278z00_1295;

							BgL_arg3278z00_1295 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1286))->BgL_objz00);
							{	/* Beta/walk.scm 128 */
								BgL_nodez00_bglt BgL_res3382z00_1938;

								{	/* Beta/walk.scm 128 */
									obj_t BgL_method3108z00_1913;

									{	/* Beta/walk.scm 128 */
										BgL_objectz00_bglt BgL_objz00_1914;

										BgL_objz00_1914 =
											(BgL_objectz00_bglt) (BgL_arg3278z00_1295);
										{	/* Beta/walk.scm 128 */
											long BgL_objzd2classzd2numz00_1915;

											BgL_objzd2classzd2numz00_1915 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1914);
											{	/* Beta/walk.scm 128 */
												obj_t BgL_arg2422z00_1916;

												BgL_arg2422z00_1916 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 128 */
													obj_t BgL_arrayz00_1918;

													int BgL_offsetz00_1919;

													BgL_arrayz00_1918 = BgL_arg2422z00_1916;
													BgL_offsetz00_1919 =
														(int) (BgL_objzd2classzd2numz00_1915);
													{	/* Beta/walk.scm 128 */
														long BgL_offsetz00_1920;

														BgL_offsetz00_1920 =
															((long) (BgL_offsetz00_1919) - OBJECT_TYPE);
														{	/* Beta/walk.scm 128 */
															long BgL_modz00_1921;

															{	/* Beta/walk.scm 128 */
																int BgL_arg2424z00_1922;

																BgL_arg2424z00_1922 = (int) (((long) 8));
																{	/* Beta/walk.scm 128 */
																	long BgL_auxz00_3171;

																	BgL_auxz00_3171 =
																		(long) (BgL_arg2424z00_1922);
																	BgL_modz00_1921 =
																		(BgL_offsetz00_1920 / BgL_auxz00_3171);
															}}
															{	/* Beta/walk.scm 128 */
																long BgL_restz00_1923;

																{	/* Beta/walk.scm 128 */
																	int BgL_arg2423z00_1924;

																	BgL_arg2423z00_1924 = (int) (((long) 8));
																	{	/* Beta/walk.scm 128 */
																		long BgL_auxz00_3175;

																		BgL_auxz00_3175 =
																			(long) (BgL_arg2423z00_1924);
																		BgL_restz00_1923 =
																			(BgL_offsetz00_1920 % BgL_auxz00_3175);
																}}
																{	/* Beta/walk.scm 128 */

																	BgL_method3108z00_1913 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1918,
																			(int) (BgL_modz00_1921)),
																		(int) (BgL_restz00_1923));
									}}}}}}}}
									BgL_res3382z00_1938 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1913)
										(BgL_method3108z00_1913, (obj_t) (BgL_arg3278z00_1295),
											BgL_stackz00_1287, BEOA));
								}
								BgL_arg3277z00_1294 = BgL_res3382z00_1938;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1286))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_arg3277z00_1294), BUNSPEC);
					}
					BgL_auxz00_3111 = BgL_nodez00_1286;
					return (obj_t) (BgL_auxz00_3111);
				}
			}
		}
	}



/* node-beta!-condition3124 */
	obj_t BGl_nodezd2betaz12zd2condition3124z12zzbeta_walkz00(obj_t
		BgL_envz00_2442, obj_t BgL_nodez00_2443, obj_t BgL_stackz00_2444)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 116 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1274;

				obj_t BgL_stackz00_1275;

				{	/* Beta/walk.scm 117 */
					BgL_conditionalz00_bglt BgL_auxz00_3189;

					BgL_nodez00_1274 = (BgL_conditionalz00_bglt) (BgL_nodez00_2443);
					BgL_stackz00_1275 = BgL_stackz00_2444;
					{	/* Beta/walk.scm 117 */
						BgL_nodez00_bglt BgL_arg3266z00_1278;

						{	/* Beta/walk.scm 117 */
							BgL_nodez00_bglt BgL_arg3267z00_1279;

							BgL_arg3267z00_1279 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1274))->
								BgL_testz00);
							{	/* Beta/walk.scm 117 */
								BgL_nodez00_bglt BgL_res3367z00_1783;

								{	/* Beta/walk.scm 117 */
									obj_t BgL_method3108z00_1758;

									{	/* Beta/walk.scm 117 */
										BgL_objectz00_bglt BgL_objz00_1759;

										BgL_objz00_1759 =
											(BgL_objectz00_bglt) (BgL_arg3267z00_1279);
										{	/* Beta/walk.scm 117 */
											long BgL_objzd2classzd2numz00_1760;

											BgL_objzd2classzd2numz00_1760 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1759);
											{	/* Beta/walk.scm 117 */
												obj_t BgL_arg2422z00_1761;

												BgL_arg2422z00_1761 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 117 */
													obj_t BgL_arrayz00_1763;

													int BgL_offsetz00_1764;

													BgL_arrayz00_1763 = BgL_arg2422z00_1761;
													BgL_offsetz00_1764 =
														(int) (BgL_objzd2classzd2numz00_1760);
													{	/* Beta/walk.scm 117 */
														long BgL_offsetz00_1765;

														BgL_offsetz00_1765 =
															((long) (BgL_offsetz00_1764) - OBJECT_TYPE);
														{	/* Beta/walk.scm 117 */
															long BgL_modz00_1766;

															{	/* Beta/walk.scm 117 */
																int BgL_arg2424z00_1767;

																BgL_arg2424z00_1767 = (int) (((long) 8));
																{	/* Beta/walk.scm 117 */
																	long BgL_auxz00_3199;

																	BgL_auxz00_3199 =
																		(long) (BgL_arg2424z00_1767);
																	BgL_modz00_1766 =
																		(BgL_offsetz00_1765 / BgL_auxz00_3199);
															}}
															{	/* Beta/walk.scm 117 */
																long BgL_restz00_1768;

																{	/* Beta/walk.scm 117 */
																	int BgL_arg2423z00_1769;

																	BgL_arg2423z00_1769 = (int) (((long) 8));
																	{	/* Beta/walk.scm 117 */
																		long BgL_auxz00_3203;

																		BgL_auxz00_3203 =
																			(long) (BgL_arg2423z00_1769);
																		BgL_restz00_1768 =
																			(BgL_offsetz00_1765 % BgL_auxz00_3203);
																}}
																{	/* Beta/walk.scm 117 */

																	BgL_method3108z00_1758 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1763,
																			(int) (BgL_modz00_1766)),
																		(int) (BgL_restz00_1768));
									}}}}}}}}
									BgL_res3367z00_1783 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1758)
										(BgL_method3108z00_1758, (obj_t) (BgL_arg3267z00_1279),
											BgL_stackz00_1275, BEOA));
								}
								BgL_arg3266z00_1278 = BgL_res3367z00_1783;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1274))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3266z00_1278), BUNSPEC);
					}
					{	/* Beta/walk.scm 118 */
						BgL_nodez00_bglt BgL_arg3268z00_1280;

						{	/* Beta/walk.scm 118 */
							BgL_nodez00_bglt BgL_arg3269z00_1281;

							BgL_arg3269z00_1281 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1274))->
								BgL_truez00);
							{	/* Beta/walk.scm 118 */
								BgL_nodez00_bglt BgL_res3370z00_1814;

								{	/* Beta/walk.scm 118 */
									obj_t BgL_method3108z00_1789;

									{	/* Beta/walk.scm 118 */
										BgL_objectz00_bglt BgL_objz00_1790;

										BgL_objz00_1790 =
											(BgL_objectz00_bglt) (BgL_arg3269z00_1281);
										{	/* Beta/walk.scm 118 */
											long BgL_objzd2classzd2numz00_1791;

											BgL_objzd2classzd2numz00_1791 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1790);
											{	/* Beta/walk.scm 118 */
												obj_t BgL_arg2422z00_1792;

												BgL_arg2422z00_1792 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 118 */
													obj_t BgL_arrayz00_1794;

													int BgL_offsetz00_1795;

													BgL_arrayz00_1794 = BgL_arg2422z00_1792;
													BgL_offsetz00_1795 =
														(int) (BgL_objzd2classzd2numz00_1791);
													{	/* Beta/walk.scm 118 */
														long BgL_offsetz00_1796;

														BgL_offsetz00_1796 =
															((long) (BgL_offsetz00_1795) - OBJECT_TYPE);
														{	/* Beta/walk.scm 118 */
															long BgL_modz00_1797;

															{	/* Beta/walk.scm 118 */
																int BgL_arg2424z00_1798;

																BgL_arg2424z00_1798 = (int) (((long) 8));
																{	/* Beta/walk.scm 118 */
																	long BgL_auxz00_3224;

																	BgL_auxz00_3224 =
																		(long) (BgL_arg2424z00_1798);
																	BgL_modz00_1797 =
																		(BgL_offsetz00_1796 / BgL_auxz00_3224);
															}}
															{	/* Beta/walk.scm 118 */
																long BgL_restz00_1799;

																{	/* Beta/walk.scm 118 */
																	int BgL_arg2423z00_1800;

																	BgL_arg2423z00_1800 = (int) (((long) 8));
																	{	/* Beta/walk.scm 118 */
																		long BgL_auxz00_3228;

																		BgL_auxz00_3228 =
																			(long) (BgL_arg2423z00_1800);
																		BgL_restz00_1799 =
																			(BgL_offsetz00_1796 % BgL_auxz00_3228);
																}}
																{	/* Beta/walk.scm 118 */

																	BgL_method3108z00_1789 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1794,
																			(int) (BgL_modz00_1797)),
																		(int) (BgL_restz00_1799));
									}}}}}}}}
									BgL_res3370z00_1814 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1789)
										(BgL_method3108z00_1789, (obj_t) (BgL_arg3269z00_1281),
											BgL_stackz00_1275, BEOA));
								}
								BgL_arg3268z00_1280 = BgL_res3370z00_1814;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1274))->BgL_truez00) =
							((BgL_nodez00_bglt) BgL_arg3268z00_1280), BUNSPEC);
					}
					{	/* Beta/walk.scm 119 */
						BgL_nodez00_bglt BgL_arg3270z00_1282;

						{	/* Beta/walk.scm 119 */
							BgL_nodez00_bglt BgL_arg3271z00_1283;

							BgL_arg3271z00_1283 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1274))->
								BgL_falsez00);
							{	/* Beta/walk.scm 119 */
								BgL_nodez00_bglt BgL_res3373z00_1845;

								{	/* Beta/walk.scm 119 */
									obj_t BgL_method3108z00_1820;

									{	/* Beta/walk.scm 119 */
										BgL_objectz00_bglt BgL_objz00_1821;

										BgL_objz00_1821 =
											(BgL_objectz00_bglt) (BgL_arg3271z00_1283);
										{	/* Beta/walk.scm 119 */
											long BgL_objzd2classzd2numz00_1822;

											BgL_objzd2classzd2numz00_1822 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1821);
											{	/* Beta/walk.scm 119 */
												obj_t BgL_arg2422z00_1823;

												BgL_arg2422z00_1823 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 119 */
													obj_t BgL_arrayz00_1825;

													int BgL_offsetz00_1826;

													BgL_arrayz00_1825 = BgL_arg2422z00_1823;
													BgL_offsetz00_1826 =
														(int) (BgL_objzd2classzd2numz00_1822);
													{	/* Beta/walk.scm 119 */
														long BgL_offsetz00_1827;

														BgL_offsetz00_1827 =
															((long) (BgL_offsetz00_1826) - OBJECT_TYPE);
														{	/* Beta/walk.scm 119 */
															long BgL_modz00_1828;

															{	/* Beta/walk.scm 119 */
																int BgL_arg2424z00_1829;

																BgL_arg2424z00_1829 = (int) (((long) 8));
																{	/* Beta/walk.scm 119 */
																	long BgL_auxz00_3249;

																	BgL_auxz00_3249 =
																		(long) (BgL_arg2424z00_1829);
																	BgL_modz00_1828 =
																		(BgL_offsetz00_1827 / BgL_auxz00_3249);
															}}
															{	/* Beta/walk.scm 119 */
																long BgL_restz00_1830;

																{	/* Beta/walk.scm 119 */
																	int BgL_arg2423z00_1831;

																	BgL_arg2423z00_1831 = (int) (((long) 8));
																	{	/* Beta/walk.scm 119 */
																		long BgL_auxz00_3253;

																		BgL_auxz00_3253 =
																			(long) (BgL_arg2423z00_1831);
																		BgL_restz00_1830 =
																			(BgL_offsetz00_1827 % BgL_auxz00_3253);
																}}
																{	/* Beta/walk.scm 119 */

																	BgL_method3108z00_1820 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1825,
																			(int) (BgL_modz00_1828)),
																		(int) (BgL_restz00_1830));
									}}}}}}}}
									BgL_res3373z00_1845 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1820)
										(BgL_method3108z00_1820, (obj_t) (BgL_arg3271z00_1283),
											BgL_stackz00_1275, BEOA));
								}
								BgL_arg3270z00_1282 = BgL_res3373z00_1845;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1274))->
								BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_arg3270z00_1282), BUNSPEC);
					}
					BgL_auxz00_3189 = BgL_nodez00_1274;
					return (obj_t) (BgL_auxz00_3189);
				}
			}
		}
	}



/* node-beta!-setq3122 */
	obj_t BGl_nodezd2betaz12zd2setq3122z12zzbeta_walkz00(obj_t BgL_envz00_2445,
		obj_t BgL_nodez00_2446, obj_t BgL_stackz00_2447)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 109 */
			{
				BgL_setqz00_bglt BgL_nodez00_1266;

				obj_t BgL_stackz00_1267;

				{	/* Beta/walk.scm 110 */
					BgL_setqz00_bglt BgL_auxz00_3267;

					BgL_nodez00_1266 = (BgL_setqz00_bglt) (BgL_nodez00_2446);
					BgL_stackz00_1267 = BgL_stackz00_2447;
					{	/* Beta/walk.scm 110 */
						BgL_nodez00_bglt BgL_arg3263z00_1722;

						{	/* Beta/walk.scm 110 */
							BgL_nodez00_bglt BgL_arg3264z00_1723;

							BgL_arg3264z00_1723 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1266))->BgL_valuez00);
							{	/* Beta/walk.scm 110 */
								BgL_nodez00_bglt BgL_res3364z00_1752;

								{	/* Beta/walk.scm 110 */
									obj_t BgL_method3108z00_1727;

									{	/* Beta/walk.scm 110 */
										BgL_objectz00_bglt BgL_objz00_1728;

										BgL_objz00_1728 =
											(BgL_objectz00_bglt) (BgL_arg3264z00_1723);
										{	/* Beta/walk.scm 110 */
											long BgL_objzd2classzd2numz00_1729;

											BgL_objzd2classzd2numz00_1729 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1728);
											{	/* Beta/walk.scm 110 */
												obj_t BgL_arg2422z00_1730;

												BgL_arg2422z00_1730 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 110 */
													obj_t BgL_arrayz00_1732;

													int BgL_offsetz00_1733;

													BgL_arrayz00_1732 = BgL_arg2422z00_1730;
													BgL_offsetz00_1733 =
														(int) (BgL_objzd2classzd2numz00_1729);
													{	/* Beta/walk.scm 110 */
														long BgL_offsetz00_1734;

														BgL_offsetz00_1734 =
															((long) (BgL_offsetz00_1733) - OBJECT_TYPE);
														{	/* Beta/walk.scm 110 */
															long BgL_modz00_1735;

															{	/* Beta/walk.scm 110 */
																int BgL_arg2424z00_1736;

																BgL_arg2424z00_1736 = (int) (((long) 8));
																{	/* Beta/walk.scm 110 */
																	long BgL_auxz00_3277;

																	BgL_auxz00_3277 =
																		(long) (BgL_arg2424z00_1736);
																	BgL_modz00_1735 =
																		(BgL_offsetz00_1734 / BgL_auxz00_3277);
															}}
															{	/* Beta/walk.scm 110 */
																long BgL_restz00_1737;

																{	/* Beta/walk.scm 110 */
																	int BgL_arg2423z00_1738;

																	BgL_arg2423z00_1738 = (int) (((long) 8));
																	{	/* Beta/walk.scm 110 */
																		long BgL_auxz00_3281;

																		BgL_auxz00_3281 =
																			(long) (BgL_arg2423z00_1738);
																		BgL_restz00_1737 =
																			(BgL_offsetz00_1734 % BgL_auxz00_3281);
																}}
																{	/* Beta/walk.scm 110 */

																	BgL_method3108z00_1727 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1732,
																			(int) (BgL_modz00_1735)),
																		(int) (BgL_restz00_1737));
									}}}}}}}}
									BgL_res3364z00_1752 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1727)
										(BgL_method3108z00_1727, (obj_t) (BgL_arg3264z00_1723),
											BgL_stackz00_1267, BEOA));
								}
								BgL_arg3263z00_1722 = BgL_res3364z00_1752;
						}}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1266))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3263z00_1722), BUNSPEC);
					}
					BgL_auxz00_3267 = BgL_nodez00_1266;
					return (obj_t) (BgL_auxz00_3267);
				}
			}
		}
	}



/* node-beta!-cast3120 */
	obj_t BGl_nodezd2betaz12zd2cast3120z12zzbeta_walkz00(obj_t BgL_envz00_2448,
		obj_t BgL_nodez00_2449, obj_t BgL_stackz00_2450)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 102 */
			{
				BgL_castz00_bglt BgL_nodez00_1259;

				obj_t BgL_stackz00_1260;

				{	/* Beta/walk.scm 103 */
					BgL_castz00_bglt BgL_auxz00_3295;

					BgL_nodez00_1259 = (BgL_castz00_bglt) (BgL_nodez00_2449);
					BgL_stackz00_1260 = BgL_stackz00_2450;
					{	/* Beta/walk.scm 103 */
						BgL_nodez00_bglt BgL_arg3261z00_1692;

						BgL_arg3261z00_1692 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1259))->BgL_argz00);
						{	/* Beta/walk.scm 103 */
							BgL_nodez00_bglt BgL_res3361z00_1721;

							{	/* Beta/walk.scm 103 */
								obj_t BgL_method3108z00_1696;

								{	/* Beta/walk.scm 103 */
									BgL_objectz00_bglt BgL_objz00_1697;

									BgL_objz00_1697 = (BgL_objectz00_bglt) (BgL_arg3261z00_1692);
									{	/* Beta/walk.scm 103 */
										long BgL_objzd2classzd2numz00_1698;

										BgL_objzd2classzd2numz00_1698 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1697);
										{	/* Beta/walk.scm 103 */
											obj_t BgL_arg2422z00_1699;

											BgL_arg2422z00_1699 =
												PROCEDURE_REF(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
												(int) (((long) 1)));
											{	/* Beta/walk.scm 103 */
												obj_t BgL_arrayz00_1701;

												int BgL_offsetz00_1702;

												BgL_arrayz00_1701 = BgL_arg2422z00_1699;
												BgL_offsetz00_1702 =
													(int) (BgL_objzd2classzd2numz00_1698);
												{	/* Beta/walk.scm 103 */
													long BgL_offsetz00_1703;

													BgL_offsetz00_1703 =
														((long) (BgL_offsetz00_1702) - OBJECT_TYPE);
													{	/* Beta/walk.scm 103 */
														long BgL_modz00_1704;

														{	/* Beta/walk.scm 103 */
															int BgL_arg2424z00_1705;

															BgL_arg2424z00_1705 = (int) (((long) 8));
															{	/* Beta/walk.scm 103 */
																long BgL_auxz00_3305;

																BgL_auxz00_3305 = (long) (BgL_arg2424z00_1705);
																BgL_modz00_1704 =
																	(BgL_offsetz00_1703 / BgL_auxz00_3305);
														}}
														{	/* Beta/walk.scm 103 */
															long BgL_restz00_1706;

															{	/* Beta/walk.scm 103 */
																int BgL_arg2423z00_1707;

																BgL_arg2423z00_1707 = (int) (((long) 8));
																{	/* Beta/walk.scm 103 */
																	long BgL_auxz00_3309;

																	BgL_auxz00_3309 =
																		(long) (BgL_arg2423z00_1707);
																	BgL_restz00_1706 =
																		(BgL_offsetz00_1703 % BgL_auxz00_3309);
															}}
															{	/* Beta/walk.scm 103 */

																BgL_method3108z00_1696 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1701,
																		(int) (BgL_modz00_1704)),
																	(int) (BgL_restz00_1706));
								}}}}}}}}
								BgL_res3361z00_1721 =
									(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1696)
									(BgL_method3108z00_1696, (obj_t) (BgL_arg3261z00_1692),
										BgL_stackz00_1260, BEOA));
							} BgL_res3361z00_1721;
					}}
					BgL_auxz00_3295 = BgL_nodez00_1259;
					return (obj_t) (BgL_auxz00_3295);
				}
			}
		}
	}



/* node-beta!-extern3118 */
	obj_t BGl_nodezd2betaz12zd2extern3118z12zzbeta_walkz00(obj_t BgL_envz00_2451,
		obj_t BgL_nodez00_2452, obj_t BgL_stackz00_2453)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 95 */
			{
				BgL_externz00_bglt BgL_nodez00_1252;

				obj_t BgL_stackz00_1253;

				{	/* Beta/walk.scm 96 */
					BgL_externz00_bglt BgL_auxz00_3322;

					BgL_nodez00_1252 = (BgL_externz00_bglt) (BgL_nodez00_2452);
					BgL_stackz00_1253 = BgL_stackz00_2453;
					{	/* Beta/walk.scm 96 */
						obj_t BgL_arg3259z00_1690;

						BgL_arg3259z00_1690 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1252))->BgL_exprza2za2);
						BGl_nodezd2betaza2z12z62zzbeta_walkz00(BgL_arg3259z00_1690,
							BgL_stackz00_1253);
					}
					BgL_auxz00_3322 = BgL_nodez00_1252;
					return (obj_t) (BgL_auxz00_3322);
				}
			}
		}
	}



/* node-beta!-funcall3116 */
	obj_t BGl_nodezd2betaz12zd2funcall3116z12zzbeta_walkz00(obj_t BgL_envz00_2454,
		obj_t BgL_nodez00_2455, obj_t BgL_stackz00_2456)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 87 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1243;

				obj_t BgL_stackz00_1244;

				{	/* Beta/walk.scm 88 */
					BgL_funcallz00_bglt BgL_auxz00_3327;

					BgL_nodez00_1243 = (BgL_funcallz00_bglt) (BgL_nodez00_2455);
					BgL_stackz00_1244 = BgL_stackz00_2456;
					{	/* Beta/walk.scm 88 */
						BgL_nodez00_bglt BgL_arg3255z00_1247;

						{	/* Beta/walk.scm 88 */
							BgL_nodez00_bglt BgL_arg3256z00_1248;

							BgL_arg3256z00_1248 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1243))->BgL_funz00);
							{	/* Beta/walk.scm 88 */
								BgL_nodez00_bglt BgL_res3358z00_1686;

								{	/* Beta/walk.scm 88 */
									obj_t BgL_method3108z00_1661;

									{	/* Beta/walk.scm 88 */
										BgL_objectz00_bglt BgL_objz00_1662;

										BgL_objz00_1662 =
											(BgL_objectz00_bglt) (BgL_arg3256z00_1248);
										{	/* Beta/walk.scm 88 */
											long BgL_objzd2classzd2numz00_1663;

											BgL_objzd2classzd2numz00_1663 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1662);
											{	/* Beta/walk.scm 88 */
												obj_t BgL_arg2422z00_1664;

												BgL_arg2422z00_1664 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 88 */
													obj_t BgL_arrayz00_1666;

													int BgL_offsetz00_1667;

													BgL_arrayz00_1666 = BgL_arg2422z00_1664;
													BgL_offsetz00_1667 =
														(int) (BgL_objzd2classzd2numz00_1663);
													{	/* Beta/walk.scm 88 */
														long BgL_offsetz00_1668;

														BgL_offsetz00_1668 =
															((long) (BgL_offsetz00_1667) - OBJECT_TYPE);
														{	/* Beta/walk.scm 88 */
															long BgL_modz00_1669;

															{	/* Beta/walk.scm 88 */
																int BgL_arg2424z00_1670;

																BgL_arg2424z00_1670 = (int) (((long) 8));
																{	/* Beta/walk.scm 88 */
																	long BgL_auxz00_3337;

																	BgL_auxz00_3337 =
																		(long) (BgL_arg2424z00_1670);
																	BgL_modz00_1669 =
																		(BgL_offsetz00_1668 / BgL_auxz00_3337);
															}}
															{	/* Beta/walk.scm 88 */
																long BgL_restz00_1671;

																{	/* Beta/walk.scm 88 */
																	int BgL_arg2423z00_1672;

																	BgL_arg2423z00_1672 = (int) (((long) 8));
																	{	/* Beta/walk.scm 88 */
																		long BgL_auxz00_3341;

																		BgL_auxz00_3341 =
																			(long) (BgL_arg2423z00_1672);
																		BgL_restz00_1671 =
																			(BgL_offsetz00_1668 % BgL_auxz00_3341);
																}}
																{	/* Beta/walk.scm 88 */

																	BgL_method3108z00_1661 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1666,
																			(int) (BgL_modz00_1669)),
																		(int) (BgL_restz00_1671));
									}}}}}}}}
									BgL_res3358z00_1686 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1661)
										(BgL_method3108z00_1661, (obj_t) (BgL_arg3256z00_1248),
											BgL_stackz00_1244, BEOA));
								}
								BgL_arg3255z00_1247 = BgL_res3358z00_1686;
						}}
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1243))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3255z00_1247), BUNSPEC);
					}
					{	/* Beta/walk.scm 89 */
						obj_t BgL_arg3257z00_1249;

						BgL_arg3257z00_1249 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1243))->BgL_argsz00);
						BGl_nodezd2betaza2z12z62zzbeta_walkz00(BgL_arg3257z00_1249,
							BgL_stackz00_1244);
					}
					BgL_auxz00_3327 = BgL_nodez00_1243;
					return (obj_t) (BgL_auxz00_3327);
				}
			}
		}
	}



/* node-beta!-app-ly3114 */
	obj_t BGl_nodezd2betaz12zd2appzd2ly3114zc0zzbeta_walkz00(obj_t
		BgL_envz00_2457, obj_t BgL_nodez00_2458, obj_t BgL_stackz00_2459)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 79 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1233;

				obj_t BgL_stackz00_1234;

				{	/* Beta/walk.scm 80 */
					BgL_appzd2lyzd2_bglt BgL_auxz00_3357;

					BgL_nodez00_1233 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2458);
					BgL_stackz00_1234 = BgL_stackz00_2459;
					{	/* Beta/walk.scm 80 */
						BgL_nodez00_bglt BgL_arg3248z00_1237;

						{	/* Beta/walk.scm 80 */
							BgL_nodez00_bglt BgL_arg3249z00_1238;

							BgL_arg3249z00_1238 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1233))->BgL_funz00);
							{	/* Beta/walk.scm 80 */
								BgL_nodez00_bglt BgL_res3352z00_1624;

								{	/* Beta/walk.scm 80 */
									obj_t BgL_method3108z00_1599;

									{	/* Beta/walk.scm 80 */
										BgL_objectz00_bglt BgL_objz00_1600;

										BgL_objz00_1600 =
											(BgL_objectz00_bglt) (BgL_arg3249z00_1238);
										{	/* Beta/walk.scm 80 */
											long BgL_objzd2classzd2numz00_1601;

											BgL_objzd2classzd2numz00_1601 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1600);
											{	/* Beta/walk.scm 80 */
												obj_t BgL_arg2422z00_1602;

												BgL_arg2422z00_1602 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 80 */
													obj_t BgL_arrayz00_1604;

													int BgL_offsetz00_1605;

													BgL_arrayz00_1604 = BgL_arg2422z00_1602;
													BgL_offsetz00_1605 =
														(int) (BgL_objzd2classzd2numz00_1601);
													{	/* Beta/walk.scm 80 */
														long BgL_offsetz00_1606;

														BgL_offsetz00_1606 =
															((long) (BgL_offsetz00_1605) - OBJECT_TYPE);
														{	/* Beta/walk.scm 80 */
															long BgL_modz00_1607;

															{	/* Beta/walk.scm 80 */
																int BgL_arg2424z00_1608;

																BgL_arg2424z00_1608 = (int) (((long) 8));
																{	/* Beta/walk.scm 80 */
																	long BgL_auxz00_3367;

																	BgL_auxz00_3367 =
																		(long) (BgL_arg2424z00_1608);
																	BgL_modz00_1607 =
																		(BgL_offsetz00_1606 / BgL_auxz00_3367);
															}}
															{	/* Beta/walk.scm 80 */
																long BgL_restz00_1609;

																{	/* Beta/walk.scm 80 */
																	int BgL_arg2423z00_1610;

																	BgL_arg2423z00_1610 = (int) (((long) 8));
																	{	/* Beta/walk.scm 80 */
																		long BgL_auxz00_3371;

																		BgL_auxz00_3371 =
																			(long) (BgL_arg2423z00_1610);
																		BgL_restz00_1609 =
																			(BgL_offsetz00_1606 % BgL_auxz00_3371);
																}}
																{	/* Beta/walk.scm 80 */

																	BgL_method3108z00_1599 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1604,
																			(int) (BgL_modz00_1607)),
																		(int) (BgL_restz00_1609));
									}}}}}}}}
									BgL_res3352z00_1624 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1599)
										(BgL_method3108z00_1599, (obj_t) (BgL_arg3249z00_1238),
											BgL_stackz00_1234, BEOA));
								}
								BgL_arg3248z00_1237 = BgL_res3352z00_1624;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1233))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3248z00_1237), BUNSPEC);
					}
					{	/* Beta/walk.scm 81 */
						BgL_nodez00_bglt BgL_arg3251z00_1239;

						{	/* Beta/walk.scm 81 */
							BgL_nodez00_bglt BgL_arg3253z00_1240;

							BgL_arg3253z00_1240 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1233))->BgL_argz00);
							{	/* Beta/walk.scm 81 */
								BgL_nodez00_bglt BgL_res3355z00_1655;

								{	/* Beta/walk.scm 81 */
									obj_t BgL_method3108z00_1630;

									{	/* Beta/walk.scm 81 */
										BgL_objectz00_bglt BgL_objz00_1631;

										BgL_objz00_1631 =
											(BgL_objectz00_bglt) (BgL_arg3253z00_1240);
										{	/* Beta/walk.scm 81 */
											long BgL_objzd2classzd2numz00_1632;

											BgL_objzd2classzd2numz00_1632 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1631);
											{	/* Beta/walk.scm 81 */
												obj_t BgL_arg2422z00_1633;

												BgL_arg2422z00_1633 =
													PROCEDURE_REF
													(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
													(int) (((long) 1)));
												{	/* Beta/walk.scm 81 */
													obj_t BgL_arrayz00_1635;

													int BgL_offsetz00_1636;

													BgL_arrayz00_1635 = BgL_arg2422z00_1633;
													BgL_offsetz00_1636 =
														(int) (BgL_objzd2classzd2numz00_1632);
													{	/* Beta/walk.scm 81 */
														long BgL_offsetz00_1637;

														BgL_offsetz00_1637 =
															((long) (BgL_offsetz00_1636) - OBJECT_TYPE);
														{	/* Beta/walk.scm 81 */
															long BgL_modz00_1638;

															{	/* Beta/walk.scm 81 */
																int BgL_arg2424z00_1639;

																BgL_arg2424z00_1639 = (int) (((long) 8));
																{	/* Beta/walk.scm 81 */
																	long BgL_auxz00_3392;

																	BgL_auxz00_3392 =
																		(long) (BgL_arg2424z00_1639);
																	BgL_modz00_1638 =
																		(BgL_offsetz00_1637 / BgL_auxz00_3392);
															}}
															{	/* Beta/walk.scm 81 */
																long BgL_restz00_1640;

																{	/* Beta/walk.scm 81 */
																	int BgL_arg2423z00_1641;

																	BgL_arg2423z00_1641 = (int) (((long) 8));
																	{	/* Beta/walk.scm 81 */
																		long BgL_auxz00_3396;

																		BgL_auxz00_3396 =
																			(long) (BgL_arg2423z00_1641);
																		BgL_restz00_1640 =
																			(BgL_offsetz00_1637 % BgL_auxz00_3396);
																}}
																{	/* Beta/walk.scm 81 */

																	BgL_method3108z00_1630 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1635,
																			(int) (BgL_modz00_1638)),
																		(int) (BgL_restz00_1640));
									}}}}}}}}
									BgL_res3355z00_1655 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3108z00_1630)
										(BgL_method3108z00_1630, (obj_t) (BgL_arg3253z00_1240),
											BgL_stackz00_1234, BEOA));
								}
								BgL_arg3251z00_1239 = BgL_res3355z00_1655;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1233))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_arg3251z00_1239), BUNSPEC);
					}
					BgL_auxz00_3357 = BgL_nodez00_1233;
					return (obj_t) (BgL_auxz00_3357);
				}
			}
		}
	}



/* node-beta!-app3112 */
	obj_t BGl_nodezd2betaz12zd2app3112z12zzbeta_walkz00(obj_t BgL_envz00_2460,
		obj_t BgL_nodez00_2461, obj_t BgL_stackz00_2462)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 64 */
			{
				BgL_appz00_bglt BgL_nodez00_1213;

				obj_t BgL_stackz00_1214;

				{	/* Beta/walk.scm 65 */
					BgL_appz00_bglt BgL_auxz00_3410;

					BgL_nodez00_1213 = (BgL_appz00_bglt) (BgL_nodez00_2461);
					BgL_stackz00_1214 = BgL_stackz00_2462;
					{	/* Beta/walk.scm 65 */
						BgL_nodez00_bglt BgL_arg3236z00_1217;

						{	/* Beta/walk.scm 65 */
							BgL_varz00_bglt BgL_arg3237z00_1218;

							BgL_arg3237z00_1218 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1213))->BgL_funz00);
							{	/* Beta/walk.scm 65 */
								BgL_nodez00_bglt BgL_res3346z00_1558;

								{	/* Beta/walk.scm 65 */
									BgL_nodez00_bglt BgL_nodez00_1531;

									BgL_nodez00_1531 = (BgL_nodez00_bglt) (BgL_arg3237z00_1218);
									{	/* Beta/walk.scm 65 */
										obj_t BgL_method3108z00_1533;

										{	/* Beta/walk.scm 65 */
											BgL_objectz00_bglt BgL_objz00_1534;

											BgL_objz00_1534 = (BgL_objectz00_bglt) (BgL_nodez00_1531);
											{	/* Beta/walk.scm 65 */
												long BgL_objzd2classzd2numz00_1535;

												BgL_objzd2classzd2numz00_1535 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1534);
												{	/* Beta/walk.scm 65 */
													obj_t BgL_arg2422z00_1536;

													BgL_arg2422z00_1536 =
														PROCEDURE_REF
														(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
														(int) (((long) 1)));
													{	/* Beta/walk.scm 65 */
														obj_t BgL_arrayz00_1538;

														int BgL_offsetz00_1539;

														BgL_arrayz00_1538 = BgL_arg2422z00_1536;
														BgL_offsetz00_1539 =
															(int) (BgL_objzd2classzd2numz00_1535);
														{	/* Beta/walk.scm 65 */
															long BgL_offsetz00_1540;

															BgL_offsetz00_1540 =
																((long) (BgL_offsetz00_1539) - OBJECT_TYPE);
															{	/* Beta/walk.scm 65 */
																long BgL_modz00_1541;

																{	/* Beta/walk.scm 65 */
																	int BgL_arg2424z00_1542;

																	BgL_arg2424z00_1542 = (int) (((long) 8));
																	{	/* Beta/walk.scm 65 */
																		long BgL_auxz00_3421;

																		BgL_auxz00_3421 =
																			(long) (BgL_arg2424z00_1542);
																		BgL_modz00_1541 =
																			(BgL_offsetz00_1540 / BgL_auxz00_3421);
																}}
																{	/* Beta/walk.scm 65 */
																	long BgL_restz00_1543;

																	{	/* Beta/walk.scm 65 */
																		int BgL_arg2423z00_1544;

																		BgL_arg2423z00_1544 = (int) (((long) 8));
																		{	/* Beta/walk.scm 65 */
																			long BgL_auxz00_3425;

																			BgL_auxz00_3425 =
																				(long) (BgL_arg2423z00_1544);
																			BgL_restz00_1543 =
																				(BgL_offsetz00_1540 % BgL_auxz00_3425);
																	}}
																	{	/* Beta/walk.scm 65 */

																		BgL_method3108z00_1533 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1538,
																				(int) (BgL_modz00_1541)),
																			(int) (BgL_restz00_1543));
										}}}}}}}}
										BgL_res3346z00_1558 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3108z00_1533) (BgL_method3108z00_1533,
												(obj_t) (BgL_nodez00_1531), BgL_stackz00_1214, BEOA));
								}}
								BgL_arg3236z00_1217 = BgL_res3346z00_1558;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3436;

							BgL_auxz00_3436 = (BgL_varz00_bglt) (BgL_arg3236z00_1217);
							((((BgL_appz00_bglt) CREF(BgL_nodez00_1213))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_3436), BUNSPEC);
					}}
					{	/* Beta/walk.scm 66 */
						obj_t BgL_arg3239z00_1220;

						BgL_arg3239z00_1220 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1213))->BgL_argsz00);
						{	/* Beta/walk.scm 67 */
							obj_t BgL_zc3anonymousza33241ze3z83_2412;

							BgL_zc3anonymousza33241ze3z83_2412 =
								make_fx_procedure(BGl_zc3anonymousza33241ze3z83zzbeta_walkz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_2412,
								(int) (((long) 0)), BgL_stackz00_1214);
							{	/* Beta/walk.scm 66 */
								obj_t BgL_list3240z00_1221;

								BgL_list3240z00_1221 = MAKE_PAIR(BgL_arg3239z00_1220, BNIL);
								BGl_mapz12z12zz__r4_control_features_6_9z00
									(BgL_zc3anonymousza33241ze3z83_2412, BgL_list3240z00_1221);
					}}}
					BgL_auxz00_3410 = BgL_nodez00_1213;
					return (obj_t) (BgL_auxz00_3410);
				}
			}
		}
	}



/* <anonymous:3241> */
	obj_t BGl_zc3anonymousza33241ze3z83zzbeta_walkz00(obj_t BgL_envz00_2463,
		obj_t BgL_nz00_2465)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 66 */
			{	/* Beta/walk.scm 67 */
				obj_t BgL_stackz00_2464;

				BgL_stackz00_2464 = PROCEDURE_REF(BgL_envz00_2463, (int) (((long) 0)));
				{
					obj_t BgL_nz00_1222;

					BgL_nz00_1222 = BgL_nz00_2465;
					{	/* Beta/walk.scm 67 */
						bool_t BgL_testz00_3451;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_nz00_1222,
								BGl_varz00zzast_nodez00))
							{	/* Beta/walk.scm 67 */
								BgL_variablez00_bglt BgL_arg3246z00_1229;

								{
									BgL_varz00_bglt BgL_auxz00_3454;

									BgL_auxz00_3454 = (BgL_varz00_bglt) (BgL_nz00_1222);
									BgL_arg3246z00_1229 =
										(((BgL_varz00_bglt) CREF(BgL_auxz00_3454))->
										BgL_variablez00);
								}
								{	/* Beta/walk.scm 67 */
									obj_t BgL_obj1649z00_1564;

									BgL_obj1649z00_1564 = (obj_t) (BgL_arg3246z00_1229);
									BgL_testz00_3451 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1649z00_1564,
										BGl_localz00zzast_varz00);
								}
							}
						else
							{	/* Beta/walk.scm 67 */
								BgL_testz00_3451 = ((bool_t) 0);
							}
						if (BgL_testz00_3451)
							{	/* Beta/walk.scm 68 */
								obj_t BgL_redz00_1225;

								{	/* Beta/walk.scm 68 */
									obj_t BgL_auxz00_3459;

									{	/* Beta/walk.scm 68 */
										BgL_variablez00_bglt BgL_auxz00_3460;

										{
											BgL_varz00_bglt BgL_auxz00_3461;

											BgL_auxz00_3461 = (BgL_varz00_bglt) (BgL_nz00_1222);
											BgL_auxz00_3460 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_3461))->
												BgL_variablez00);
										}
										BgL_auxz00_3459 = (obj_t) (BgL_auxz00_3460);
									}
									BgL_redz00_1225 =
										BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3459,
										BgL_stackz00_2464);
								}
								if (PAIRP(BgL_redz00_1225))
									{	/* Beta/walk.scm 69 */
										return CDR(BgL_redz00_1225);
									}
								else
									{	/* Beta/walk.scm 69 */
										return BgL_nz00_1222;
									}
							}
						else
							{	/* Beta/walk.scm 72 */
								BgL_nodez00_bglt BgL_res3349z00_1595;

								{	/* Beta/walk.scm 72 */
									BgL_nodez00_bglt BgL_nodez00_1568;

									BgL_nodez00_1568 = (BgL_nodez00_bglt) (BgL_nz00_1222);
									{	/* Beta/walk.scm 72 */
										obj_t BgL_method3108z00_1570;

										{	/* Beta/walk.scm 72 */
											BgL_objectz00_bglt BgL_objz00_1571;

											BgL_objz00_1571 = (BgL_objectz00_bglt) (BgL_nodez00_1568);
											{	/* Beta/walk.scm 72 */
												long BgL_objzd2classzd2numz00_1572;

												BgL_objzd2classzd2numz00_1572 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1571);
												{	/* Beta/walk.scm 72 */
													obj_t BgL_arg2422z00_1573;

													BgL_arg2422z00_1573 =
														PROCEDURE_REF
														(BGl_nodezd2betaz12zd2envz12zzbeta_walkz00,
														(int) (((long) 1)));
													{	/* Beta/walk.scm 72 */
														obj_t BgL_arrayz00_1575;

														int BgL_offsetz00_1576;

														BgL_arrayz00_1575 = BgL_arg2422z00_1573;
														BgL_offsetz00_1576 =
															(int) (BgL_objzd2classzd2numz00_1572);
														{	/* Beta/walk.scm 72 */
															long BgL_offsetz00_1577;

															BgL_offsetz00_1577 =
																((long) (BgL_offsetz00_1576) - OBJECT_TYPE);
															{	/* Beta/walk.scm 72 */
																long BgL_modz00_1578;

																{	/* Beta/walk.scm 72 */
																	int BgL_arg2424z00_1579;

																	BgL_arg2424z00_1579 = (int) (((long) 8));
																	{	/* Beta/walk.scm 72 */
																		long BgL_auxz00_3478;

																		BgL_auxz00_3478 =
																			(long) (BgL_arg2424z00_1579);
																		BgL_modz00_1578 =
																			(BgL_offsetz00_1577 / BgL_auxz00_3478);
																}}
																{	/* Beta/walk.scm 72 */
																	long BgL_restz00_1580;

																	{	/* Beta/walk.scm 72 */
																		int BgL_arg2423z00_1581;

																		BgL_arg2423z00_1581 = (int) (((long) 8));
																		{	/* Beta/walk.scm 72 */
																			long BgL_auxz00_3482;

																			BgL_auxz00_3482 =
																				(long) (BgL_arg2423z00_1581);
																			BgL_restz00_1580 =
																				(BgL_offsetz00_1577 % BgL_auxz00_3482);
																	}}
																	{	/* Beta/walk.scm 72 */

																		BgL_method3108z00_1570 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1575,
																				(int) (BgL_modz00_1578)),
																			(int) (BgL_restz00_1580));
										}}}}}}}}
										BgL_res3349z00_1595 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3108z00_1570) (BgL_method3108z00_1570,
												(obj_t) (BgL_nodez00_1568), BgL_stackz00_2464, BEOA));
								}}
								return (obj_t) (BgL_res3349z00_1595);
							}
					}
				}
			}
		}
	}



/* node-beta!-sequence3110 */
	obj_t BGl_nodezd2betaz12zd2sequence3110z12zzbeta_walkz00(obj_t
		BgL_envz00_2466, obj_t BgL_nodez00_2467, obj_t BgL_stackz00_2468)
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 57 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1206;

				obj_t BgL_stackz00_1207;

				{	/* Beta/walk.scm 58 */
					BgL_sequencez00_bglt BgL_auxz00_3494;

					BgL_nodez00_1206 = (BgL_sequencez00_bglt) (BgL_nodez00_2467);
					BgL_stackz00_1207 = BgL_stackz00_2468;
					{	/* Beta/walk.scm 58 */
						obj_t BgL_arg3232z00_1528;

						BgL_arg3232z00_1528 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1206))->BgL_nodesz00);
						BGl_nodezd2betaza2z12z62zzbeta_walkz00(BgL_arg3232z00_1528,
							BgL_stackz00_1207);
					}
					BgL_auxz00_3494 = BgL_nodez00_1206;
					return (obj_t) (BgL_auxz00_3494);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbeta_walkz00()
	{
		AN_OBJECT;
		{	/* Beta/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 470955713),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 335751924),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_removez00(((long) 52292466),
				BSTRING_TO_STRING(BGl_string3448z00zzbeta_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
