/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_patchz12zd2kwote3397zc0zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_patchz12zd2select3420zc0zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	static obj_t BGl__specializa7ez12zb5zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	static obj_t BGl_patchz12zd2boxzd2ref3434z12zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl__specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_specializa7edzd2globalz75_bglt
		BGl_specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7();
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_patchz12zd2atom3395zc0zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_patchz12zd2jumpzd2exzd2it3428zc0zzcfa_specializa7eza7(obj_t,
		obj_t);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_patchz12zd2app3437zc0zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchz12zd2letzd2fun3422z12zzcfa_specializa7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl__arithmeticzd2speczd2typ3871z00zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_patchz12zd2closure3401zc0zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_patchz12zd2setzd2exzd2it3426zc0zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_patchz12zd2letzd2var3424z12zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl__patchz12z12zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7
		= BUNSPEC;
	static obj_t BGl_patchz12zd2cast3411zc0zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_typez00_bglt BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_patchz12zd2sequence3403zc0zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl__arithmeticzd2operator3870zd2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_patchz12zd2var3399zc0zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_patchz12zd2boxzd2setz123432z00zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_patchz12zd2setq3413zc0zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_objectzd2ze3structzd2speci3439ze3zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_patchz12zd2extern3409zc0zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__specializa7edzd2globalzf3z86zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_patchz12zd2appzd2ly3405z12zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl__patchz12zd2default3391zc0zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_patchz12zd2conditional3415zc0zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t
		BGl_patchz12zd2default3391zc0zzcfa_specializa7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_normaliza7ezd2typeofz75zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t
		BGl__z52allocatezd2specializa7edzd2globalzf5zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_patchz12zd2fail3418zc0zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_patchz12zd2makezd2box3430z12zzcfa_specializa7eza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_patchz12zd2funcall3407zc0zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_structzb2objectzd2ze3objec3441z83zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2specializa7edzd2globalzd2envz27zzcfa_specializa7eza7,
		BgL_bgl__za752allocateza7d2s3923z00,
		BGl__z52allocatezd2specializa7edzd2globalzf5zzcfa_specializa7eza7, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3877z00zzcfa_specializa7eza7,
		BgL_bgl_string3877za700za7za7c3924za7, "arithmetic-spec-types", 21);
	      DEFINE_STRING(BGl_string3878z00zzcfa_specializa7eza7,
		BgL_bgl_string3878za700za7za7c3925za7, "Null specification for", 22);
	      DEFINE_STRING(BGl_string3880z00zzcfa_specializa7eza7,
		BgL_bgl_string3880za700za7za7c3926za7, ")\n", 2);
	      DEFINE_STRING(BGl_string3879z00zzcfa_specializa7eza7,
		BgL_bgl_string3879za700za7za7c3927za7, "   . specializing", 17);
	      DEFINE_STRING(BGl_string3881z00zzcfa_specializa7eza7,
		BgL_bgl_string3881za700za7za7c3928za7, ": ", 2);
	      DEFINE_STRING(BGl_string3882z00zzcfa_specializa7eza7,
		BgL_bgl_string3882za700za7za7c3929za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string3883z00zzcfa_specializa7eza7,
		BgL_bgl_string3883za700za7za7c3930za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string3884z00zzcfa_specializa7eza7,
		BgL_bgl_string3884za700za7za7c3931za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string3885z00zzcfa_specializa7eza7,
		BgL_bgl_string3885za700za7za7c3932za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string3886z00zzcfa_specializa7eza7,
		BgL_bgl_string3886za700za7za7c3933za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string3887z00zzcfa_specializa7eza7,
		BgL_bgl_string3887za700za7za7c3934za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string3888z00zzcfa_specializa7eza7,
		BgL_bgl_string3888za700za7za7c3935za7, " -- ", 4);
	      DEFINE_STRING(BGl_string3890z00zzcfa_specializa7eza7,
		BgL_bgl_string3890za700za7za7c3936za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string3889z00zzcfa_specializa7eza7,
		BgL_bgl_string3889za700za7za7c3937za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string3891z00zzcfa_specializa7eza7,
		BgL_bgl_string3891za700za7za7c3938za7, "", 0);
	      DEFINE_STRING(BGl_string3892z00zzcfa_specializa7eza7,
		BgL_bgl_string3892za700za7za7c3939za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3916z00zzcfa_specializa7eza7,
		BgL_bgl_string3916za700za7za7c3940za7, "patch!", 6);
	      DEFINE_STRING(BGl_string3917z00zzcfa_specializa7eza7,
		BgL_bgl_string3917za700za7za7c3941za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3918z00zzcfa_specializa7eza7,
		BgL_bgl_string3918za700za7za7c3942za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string3919z00zzcfa_specializa7eza7,
		BgL_bgl_string3919za700za7za7c3943za7,
		"patch!-default3391 _ specialized-global done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) (<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (2+ (2+ __r4_numbers_6_5) (+fx __r4_number"
		"s_6_5_fixnum) (+fl __r4_numbers_6_5_flonum)) (2- (2- __r4_numbers_6_5) (-fx __r4_numbers_6_5_fixnum) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fx __r4_numbers_6_5_fixnum) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfx __r4_numbers_6_5_fixnum) (absfl __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numbers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		1955);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl__arithmeticza7d2op3944za7,
		BGl__arithmeticzd2operator3870zd2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_specializa7edzd2globalzd2nilzd2envz75zzcfa_specializa7eza7,
		BgL_bgl__specializa7a7edza7d3945z00,
		BGl__specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_specializa7edzd2globalzf3zd2envz54zzcfa_specializa7eza7,
		BgL_bgl__specializa7a7edza7d3946z00,
		BGl__specializa7edzd2globalzf3z86zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl__arithmeticza7d2sp3947za7,
		BGl__arithmeticzd2speczd2typ3871z00zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_patchz12zd2default3391zd2envz12zzcfa_specializa7eza7,
		BgL_bgl__patchza712za7d2defa3948z00,
		BGl__patchz12zd2default3391zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl__specializa7a7eza7123949z00,
		BGl__specializa7ez12zb5zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl__patchza712za712za7za7cf3950z00,
		BGl__patchz12z12zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3900z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2exter3951z00,
		BGl_patchz12zd2extern3409zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3901z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2cast33952z00,
		BGl_patchz12zd2cast3411zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3902z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2setq33953z00,
		BGl_patchz12zd2setq3413zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3903z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2condi3954z00,
		BGl_patchz12zd2conditional3415zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3893z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2atom33955z00,
		BGl_patchz12zd2atom3395zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3904z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2fail33956z00,
		BGl_patchz12zd2fail3418zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3894z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2kwote3957z00,
		BGl_patchz12zd2kwote3397zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3905z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2selec3958z00,
		BGl_patchz12zd2select3420zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3895z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2var333959z00,
		BGl_patchz12zd2var3399zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3906z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2letza7d3960za7,
		BGl_patchz12zd2letzd2fun3422z12zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3896z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2closu3961z00,
		BGl_patchz12zd2closure3401zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3907z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2letza7d3962za7,
		BGl_patchz12zd2letzd2var3424z12zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3897z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2seque3963z00,
		BGl_patchz12zd2sequence3403zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3908z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2setza7d3964za7,
		BGl_patchz12zd2setzd2exzd2it3426zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3898z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2appza7d3965za7,
		BGl_patchz12zd2appzd2ly3405z12zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3910z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2makeza73966za7,
		BGl_patchz12zd2makezd2box3430z12zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3909z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2jumpza73967za7,
		BGl_patchz12zd2jumpzd2exzd2it3428zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3899z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2funca3968z00,
		BGl_patchz12zd2funcall3407zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3911z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2boxza7d3969za7,
		BGl_patchz12zd2boxzd2setz123432z00zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3912z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2boxza7d3970za7,
		BGl_patchz12zd2boxzd2ref3434z12zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3913z00zzcfa_specializa7eza7,
		BgL_bgl_patchza712za7d2app343971z00,
		BGl_patchz12zd2app3437zc0zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3914z00zzcfa_specializa7eza7,
		BgL_bgl_objectza7d2za7e3stru3972z00,
		BGl_objectzd2ze3structzd2speci3439ze3zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3915z00zzcfa_specializa7eza7,
		BgL_bgl_structza7b2objectza73973z00,
		BGl_structzb2objectzd2ze3objec3441z83zzcfa_specializa7eza7, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_3009, char *BgL_fromz00_3010)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_2992;

				BgL_cportz00_2992 =
					bgl_open_input_string(BGl_string3919z00zzcfa_specializa7eza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_2993;

					BgL_iz00_2993 = ((long) 9);
				BgL_loopz00_2994:
					if ((BgL_iz00_2993 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg3921z00_2996;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_2998;

										BgL_locationz00_2998 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg3921z00_2996 =
												BGl_readz00zz__readerz00(BgL_cportz00_2992,
												BgL_locationz00_2998);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_auxz00_3031;

									BgL_auxz00_3031 = (int) (BgL_iz00_2993);
									CNST_TABLE_SET(BgL_auxz00_3031, BgL_arg3921z00_2996);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_2999;

								BgL_auxz00_2999 = (int) ((BgL_iz00_2993 - ((long) 1)));
								{
									long BgL_iz00_3036;

									BgL_iz00_3036 = (long) (BgL_auxz00_2999);
									BgL_iz00_2993 = BgL_iz00_3036;
									goto BgL_loopz00_2994;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 43 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{
						obj_t BgL_l3371z00_882;

						BgL_l3371z00_882 =
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
					BgL_zc3anonymousza33443ze3z83_883:
						if (PAIRP(BgL_l3371z00_882))
							{	/* Cfa/specialize.scm 47 */
								{	/* Cfa/specialize.scm 48 */
									obj_t BgL_specz00_885;

									BgL_specz00_885 = CAR(BgL_l3371z00_882);
									{	/* Cfa/specialize.scm 48 */
										obj_t BgL_runner3446z00_887;

										BgL_runner3446z00_887 = CDR(BgL_specz00_885);
										{	/* Cfa/specialize.scm 48 */
											obj_t BgL_aux3445z00_886;

											BgL_aux3445z00_886 = CAR(BgL_runner3446z00_887);
											BgL_runner3446z00_887 = CDR(BgL_runner3446z00_887);
											BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7
												(BgL_aux3445z00_886, BgL_runner3446z00_887);
										}
									}
								}
								{
									obj_t BgL_l3371z00_3048;

									BgL_l3371z00_3048 = CDR(BgL_l3371z00_882);
									BgL_l3371z00_882 = BgL_l3371z00_3048;
									goto BgL_zc3anonymousza33443ze3z83_883;
								}
							}
						else
							{	/* Cfa/specialize.scm 47 */
								((bool_t) 1);
							}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_1);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_1;
		}
	}



/* _specialize! */
	obj_t BGl__specializa7ez12zb5zzcfa_specializa7eza7(obj_t BgL_envz00_2903,
		obj_t BgL_globalsz00_2904)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 43 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_2904);
		}
	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_2)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 58 */
			{	/* Cfa/specialize.scm 60 */
				obj_t BgL_cellz00_891;

				{	/* Cfa/specialize.scm 60 */
					obj_t BgL_arg3451z00_896;

					{
						BgL_variablez00_bglt BgL_auxz00_3054;

						BgL_auxz00_3054 = (BgL_variablez00_bglt) (BgL_globalz00_2);
						BgL_arg3451z00_896 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_3054))->BgL_idz00);
					}
					BgL_cellz00_891 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg3451z00_896,
						BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7);
				}
				if (PAIRP(BgL_cellz00_891))
					{	/* Cfa/specialize.scm 62 */
						bool_t BgL_auxz00_3060;

						{	/* Cfa/specialize.scm 62 */
							obj_t BgL_auxz00_3061;

							{	/* Cfa/specialize.scm 62 */
								obj_t BgL_pairz00_1786;

								{	/* Cfa/specialize.scm 62 */
									obj_t BgL_pairz00_1782;

									BgL_pairz00_1782 = BgL_cellz00_891;
									BgL_pairz00_1786 = CAR(CDR(BgL_pairz00_1782));
								}
								BgL_auxz00_3061 = CAR(CDR(BgL_pairz00_1786));
							}
							BgL_auxz00_3060 =
								(BgL_auxz00_3061 ==
								(((BgL_globalz00_bglt) CREF(BgL_globalz00_2))->BgL_modulez00));
						}
						return BBOOL(BgL_auxz00_3060);
					}
				else
					{	/* Cfa/specialize.scm 61 */
						return BFALSE;
					}
			}
		}
	}



/* _arithmetic-operator3870 */
	obj_t BGl__arithmeticzd2operator3870zd2zzcfa_specializa7eza7(obj_t
		BgL_envz00_2905, obj_t BgL_globalz00_2906)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 58 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				(BgL_globalz00_bglt) (BgL_globalz00_2906));
		}
	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 71 */
			{	/* Cfa/specialize.scm 73 */
				obj_t BgL_cellz00_898;

				{	/* Cfa/specialize.scm 73 */
					obj_t BgL_arg3472z00_925;

					{
						BgL_variablez00_bglt BgL_auxz00_3071;

						BgL_auxz00_3071 = (BgL_variablez00_bglt) (BgL_globalz00_3);
						BgL_arg3472z00_925 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_3071))->BgL_idz00);
					}
					BgL_cellz00_898 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg3472z00_925,
						BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7);
				}
				if (PAIRP(BgL_cellz00_898))
					{	/* Cfa/specialize.scm 76 */
						obj_t BgL_g3326z00_900;

						{	/* Cfa/specialize.scm 76 */
							obj_t BgL_pairz00_1793;

							BgL_pairz00_1793 = BgL_cellz00_898;
							BgL_g3326z00_900 = CDR(CDR(BgL_pairz00_1793));
						}
						{
							obj_t BgL_specz00_903;

							obj_t BgL_typesz00_904;

							BgL_specz00_903 = BgL_g3326z00_900;
							BgL_typesz00_904 = BNIL;
						BgL_zc3anonymousza33453ze3z83_905:
							if (NULLP(BgL_specz00_903))
								{	/* Cfa/specialize.scm 79 */
									if (NULLP(BgL_typesz00_904))
										{	/* Cfa/specialize.scm 80 */
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string3877z00zzcfa_specializa7eza7,
												BGl_string3878z00zzcfa_specializa7eza7,
												BGl_shapez00zztools_shapez00((obj_t)
													(BgL_globalz00_3)));
										}
									else
										{	/* Cfa/specialize.scm 80 */
											return BgL_typesz00_904;
										}
								}
							else
								{	/* Cfa/specialize.scm 85 */
									bool_t BgL_testz00_3086;

									{	/* Cfa/specialize.scm 85 */
										obj_t BgL_auxz00_3087;

										{	/* Cfa/specialize.scm 85 */
											obj_t BgL_pairz00_1800;

											BgL_pairz00_1800 = CAR(BgL_specz00_903);
											BgL_auxz00_3087 = CAR(CDR(BgL_pairz00_1800));
										}
										BgL_testz00_3086 =
											(BgL_auxz00_3087 == CNST_TABLE_REF(((long) 1)));
									}
									if (BgL_testz00_3086)
										{	/* Cfa/specialize.scm 86 */
											obj_t BgL_arg3460z00_912;

											obj_t BgL_arg3461z00_913;

											BgL_arg3460z00_912 = CDR(BgL_specz00_903);
											BgL_arg3461z00_913 =
												MAKE_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_904);
											{
												obj_t BgL_typesz00_3096;

												obj_t BgL_specz00_3095;

												BgL_specz00_3095 = BgL_arg3460z00_912;
												BgL_typesz00_3096 = BgL_arg3461z00_913;
												BgL_typesz00_904 = BgL_typesz00_3096;
												BgL_specz00_903 = BgL_specz00_3095;
												goto BgL_zc3anonymousza33453ze3z83_905;
											}
										}
									else
										{	/* Cfa/specialize.scm 87 */
											bool_t BgL_testz00_3097;

											{	/* Cfa/specialize.scm 87 */
												obj_t BgL_auxz00_3098;

												{	/* Cfa/specialize.scm 87 */
													obj_t BgL_pairz00_1806;

													BgL_pairz00_1806 = CAR(BgL_specz00_903);
													BgL_auxz00_3098 = CAR(CDR(BgL_pairz00_1806));
												}
												BgL_testz00_3097 =
													(BgL_auxz00_3098 == CNST_TABLE_REF(((long) 2)));
											}
											if (BgL_testz00_3097)
												{	/* Cfa/specialize.scm 88 */
													obj_t BgL_arg3463z00_915;

													obj_t BgL_arg3464z00_916;

													BgL_arg3463z00_915 = CDR(BgL_specz00_903);
													BgL_arg3464z00_916 =
														MAKE_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_904);
													{
														obj_t BgL_typesz00_3107;

														obj_t BgL_specz00_3106;

														BgL_specz00_3106 = BgL_arg3463z00_915;
														BgL_typesz00_3107 = BgL_arg3464z00_916;
														BgL_typesz00_904 = BgL_typesz00_3107;
														BgL_specz00_903 = BgL_specz00_3106;
														goto BgL_zc3anonymousza33453ze3z83_905;
													}
												}
											else
												{
													obj_t BgL_specz00_3108;

													BgL_specz00_3108 = CDR(BgL_specz00_903);
													BgL_specz00_903 = BgL_specz00_3108;
													goto BgL_zc3anonymousza33453ze3z83_905;
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 74 */
						return BNIL;
					}
			}
		}
	}



/* _arithmetic-spec-typ3871 */
	obj_t BGl__arithmeticzd2speczd2typ3871z00zzcfa_specializa7eza7(obj_t
		BgL_envz00_2907, obj_t BgL_globalz00_2908)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 71 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				(BgL_globalz00_bglt) (BgL_globalz00_2908));
		}
	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 161 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 162 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 162 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 162 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 162 */
					return ((bool_t) 0);
				}
		}
	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 167 */
			{	/* Cfa/specialize.scm 168 */
				obj_t BgL_list3473z00_927;

				{	/* Cfa/specialize.scm 168 */
					obj_t BgL_arg3475z00_929;

					BgL_arg3475z00_929 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
					BgL_list3473z00_927 =
						MAKE_PAIR(BGl_string3879z00zzcfa_specializa7eza7,
						BgL_arg3475z00_929);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3473z00_927);
			}
			{
				obj_t BgL_l3373z00_931;

				BgL_l3373z00_931 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3anonymousza33476ze3z83_932:
				if (PAIRP(BgL_l3373z00_931))
					{	/* Cfa/specialize.scm 169 */
						{	/* Cfa/specialize.scm 170 */
							obj_t BgL_typeze2numze2_934;

							BgL_typeze2numze2_934 = CAR(BgL_l3373z00_931);
							{	/* Cfa/specialize.scm 170 */
								bool_t BgL_testz00_3125;

								{	/* Cfa/specialize.scm 170 */
									long BgL_auxz00_3126;

									{	/* Cfa/specialize.scm 170 */
										obj_t BgL_pairz00_1816;

										BgL_pairz00_1816 = BgL_typeze2numze2_934;
										BgL_auxz00_3126 = (long) CINT(CDR(BgL_pairz00_1816));
									}
									BgL_testz00_3125 = (BgL_auxz00_3126 > ((long) 0));
								}
								if (BgL_testz00_3125)
									{	/* Cfa/specialize.scm 171 */
										obj_t BgL_arg3481z00_938;

										obj_t BgL_arg3483z00_940;

										BgL_arg3481z00_938 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typeze2numze2_934));
										BgL_arg3483z00_940 = CDR(BgL_typeze2numze2_934);
										{	/* Cfa/specialize.scm 171 */
											obj_t BgL_list3485z00_942;

											{	/* Cfa/specialize.scm 171 */
												obj_t BgL_arg3486z00_943;

												{	/* Cfa/specialize.scm 171 */
													obj_t BgL_arg3487z00_944;

													{	/* Cfa/specialize.scm 171 */
														obj_t BgL_arg3488z00_945;

														{	/* Cfa/specialize.scm 171 */
															obj_t BgL_arg3489z00_946;

															BgL_arg3489z00_946 =
																MAKE_PAIR
																(BGl_string3880z00zzcfa_specializa7eza7, BNIL);
															BgL_arg3488z00_945 =
																MAKE_PAIR(BgL_arg3483z00_940,
																BgL_arg3489z00_946);
														}
														BgL_arg3487z00_944 =
															MAKE_PAIR(BGl_string3881z00zzcfa_specializa7eza7,
															BgL_arg3488z00_945);
													}
													BgL_arg3486z00_943 =
														MAKE_PAIR(BgL_arg3481z00_938, BgL_arg3487z00_944);
												}
												BgL_list3485z00_942 =
													MAKE_PAIR(BGl_string3882z00zzcfa_specializa7eza7,
													BgL_arg3486z00_943);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list3485z00_942);
									}}
								else
									{	/* Cfa/specialize.scm 170 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3373z00_3140;

							BgL_l3373z00_3140 = CDR(BgL_l3373z00_931);
							BgL_l3373z00_931 = BgL_l3373z00_3140;
							goto BgL_zc3anonymousza33476ze3z83_932;
						}
					}
				else
					{	/* Cfa/specialize.scm 169 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l3375z00_953;

				BgL_l3375z00_953 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza33494ze3z83_954:
				if (PAIRP(BgL_l3375z00_953))
					{	/* Cfa/specialize.scm 174 */
						{	/* Cfa/specialize.scm 175 */
							obj_t BgL_typeze2numze2_956;

							BgL_typeze2numze2_956 = CAR(BgL_l3375z00_953);
							{	/* Cfa/specialize.scm 175 */
								bool_t BgL_testz00_3145;

								{	/* Cfa/specialize.scm 175 */
									long BgL_auxz00_3146;

									{	/* Cfa/specialize.scm 175 */
										obj_t BgL_pairz00_1824;

										BgL_pairz00_1824 = BgL_typeze2numze2_956;
										BgL_auxz00_3146 = (long) CINT(CDR(BgL_pairz00_1824));
									}
									BgL_testz00_3145 = (BgL_auxz00_3146 > ((long) 0));
								}
								if (BgL_testz00_3145)
									{	/* Cfa/specialize.scm 176 */
										obj_t BgL_arg3499z00_960;

										obj_t BgL_arg3501z00_962;

										BgL_arg3499z00_960 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typeze2numze2_956));
										BgL_arg3501z00_962 = CDR(BgL_typeze2numze2_956);
										{	/* Cfa/specialize.scm 176 */
											obj_t BgL_list3503z00_964;

											{	/* Cfa/specialize.scm 176 */
												obj_t BgL_arg3504z00_965;

												{	/* Cfa/specialize.scm 176 */
													obj_t BgL_arg3505z00_966;

													{	/* Cfa/specialize.scm 176 */
														obj_t BgL_arg3506z00_967;

														{	/* Cfa/specialize.scm 176 */
															obj_t BgL_arg3507z00_968;

															BgL_arg3507z00_968 =
																MAKE_PAIR
																(BGl_string3880z00zzcfa_specializa7eza7, BNIL);
															BgL_arg3506z00_967 =
																MAKE_PAIR(BgL_arg3501z00_962,
																BgL_arg3507z00_968);
														}
														BgL_arg3505z00_966 =
															MAKE_PAIR(BGl_string3881z00zzcfa_specializa7eza7,
															BgL_arg3506z00_967);
													}
													BgL_arg3504z00_965 =
														MAKE_PAIR(BgL_arg3499z00_960, BgL_arg3505z00_966);
												}
												BgL_list3503z00_964 =
													MAKE_PAIR(BGl_string3883z00zzcfa_specializa7eza7,
													BgL_arg3504z00_965);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list3503z00_964);
									}}
								else
									{	/* Cfa/specialize.scm 175 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3375z00_3160;

							BgL_l3375z00_3160 = CDR(BgL_l3375z00_953);
							BgL_l3375z00_953 = BgL_l3375z00_3160;
							goto BgL_zc3anonymousza33494ze3z83_954;
						}
					}
				else
					{	/* Cfa/specialize.scm 174 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_4)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 191 */
			{	/* Cfa/specialize.scm 192 */
				bool_t BgL_testz00_3162;

				{	/* Cfa/specialize.scm 192 */
					obj_t BgL_auxz00_3163;

					BgL_auxz00_3163 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_4,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_testz00_3162 = PAIRP(BgL_auxz00_3163);
				}
				if (BgL_testz00_3162)
					{	/* Cfa/specialize.scm 192 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 192 */
						{	/* Cfa/specialize.scm 194 */
							obj_t BgL_arg3513z00_975;

							BgL_arg3513z00_975 = MAKE_PAIR(BgL_typez00_4, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_PAIR(BgL_arg3513z00_975,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 195 */
							obj_t BgL_list3514z00_976;

							BgL_list3514z00_976 = MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 4)),
								BgL_list3514z00_976);
						}
						{	/* Cfa/specialize.scm 196 */
							obj_t BgL_list3515z00_977;

							BgL_list3515z00_977 = MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
									BgL_list3515z00_977), BUNSPEC);
		}}}}
	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 201 */
			{	/* Cfa/specialize.scm 202 */
				obj_t BgL_cellz00_979;

				BgL_cellz00_979 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_5,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_979))
					{	/* Cfa/specialize.scm 207 */
						long BgL_arg3520z00_981;

						{	/* Cfa/specialize.scm 207 */
							long BgL_auxz00_3180;

							{	/* Cfa/specialize.scm 207 */
								obj_t BgL_pairz00_1832;

								BgL_pairz00_1832 = BgL_cellz00_979;
								BgL_auxz00_3180 = (long) CINT(CDR(BgL_pairz00_1832));
							}
							BgL_arg3520z00_981 = (((long) 1) + BgL_auxz00_3180);
						}
						{	/* Cfa/specialize.scm 207 */
							obj_t BgL_auxz00_3184;

							BgL_auxz00_3184 = BINT(BgL_arg3520z00_981);
							return SET_CDR(BgL_cellz00_979, BgL_auxz00_3184);
						}
					}
				else
					{	/* Cfa/specialize.scm 203 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string3884z00zzcfa_specializa7eza7,
							BGl_string3885z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_5));
					}
			}
		}
	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_6)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 212 */
			{	/* Cfa/specialize.scm 213 */
				obj_t BgL_cellz00_987;

				BgL_cellz00_987 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_6,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_987))
					{	/* Cfa/specialize.scm 217 */
						long BgL_arg3527z00_989;

						{	/* Cfa/specialize.scm 217 */
							long BgL_auxz00_3192;

							{	/* Cfa/specialize.scm 217 */
								obj_t BgL_pairz00_1838;

								BgL_pairz00_1838 = BgL_cellz00_987;
								BgL_auxz00_3192 = (long) CINT(CDR(BgL_pairz00_1838));
							}
							BgL_arg3527z00_989 = (((long) 1) + BgL_auxz00_3192);
						}
						{	/* Cfa/specialize.scm 217 */
							obj_t BgL_auxz00_3196;

							BgL_auxz00_3196 = BINT(BgL_arg3527z00_989);
							return SET_CDR(BgL_cellz00_987, BgL_auxz00_3196);
						}
					}
				else
					{	/* Cfa/specialize.scm 215 */
						obj_t BgL_arg3530z00_992;

						BgL_arg3530z00_992 = MAKE_PAIR(BgL_typez00_6, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_PAIR(BgL_arg3530z00_992,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}
	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_genz00_7, obj_t BgL_fixesz00_8)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 222 */
			{	/* Cfa/specialize.scm 223 */
				obj_t BgL_genzd2idzd2_993;

				BgL_genzd2idzd2_993 = CAR(BgL_genz00_7);
				{	/* Cfa/specialize.scm 223 */
					obj_t BgL_genzd2modzd2_994;

					{	/* Cfa/specialize.scm 224 */
						obj_t BgL_pairz00_1844;

						BgL_pairz00_1844 = BgL_genz00_7;
						BgL_genzd2modzd2_994 = CAR(CDR(BgL_pairz00_1844));
					}
					{	/* Cfa/specialize.scm 224 */
						obj_t BgL_genericz00_995;

						BgL_genericz00_995 =
							BGl_findzd2globalzf2modulez20zzast_envz00(BgL_genzd2idzd2_993,
							BgL_genzd2modzd2_994);
						{	/* Cfa/specialize.scm 225 */

							if (BGl_iszd2azf3z21zz__objectz00(BgL_genericz00_995,
									BGl_globalz00zzast_varz00))
								{
									obj_t BgL_fixesz00_999;

									obj_t BgL_resz00_1000;

									BgL_fixesz00_999 = BgL_fixesz00_8;
									BgL_resz00_1000 = BNIL;
								BgL_zc3anonymousza33532ze3z83_1001:
									if (NULLP(BgL_fixesz00_999))
										{	/* Cfa/specialize.scm 229 */
											{	/* Cfa/specialize.scm 231 */
												BgL_globalz00_bglt BgL_obj3330z00_1003;

												BgL_obj3330z00_1003 =
													((BgL_globalz00_bglt)
													(BgL_globalz00_bglt) (BgL_genericz00_995));
												{	/* Cfa/specialize.scm 231 */
													BgL_specializa7edzd2globalz75_bglt
														BgL_arg3534z00_1004;
													{	/* Cfa/specialize.scm 231 */
														BgL_specializa7edzd2globalz75_bglt
															BgL_res3803z00_1856;
														{	/* Cfa/specialize.scm 231 */
															BgL_specializa7edzd2globalz75_bglt
																BgL_new3236z00_1851;
															BgL_new3236z00_1851 =
																((BgL_specializa7edzd2globalz75_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_specializa7edzd2globalz75_bgl))));
															{	/* Cfa/specialize.scm 231 */
																BgL_specializa7edzd2globalz75_bglt
																	BgL_res3802z00_1855;
																{	/* Cfa/specialize.scm 231 */
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_new3258z00_1852;
																	BgL_new3258z00_1852 = BgL_new3236z00_1851;
																	{	/* Cfa/specialize.scm 231 */
																		obj_t BgL_fix3257z00_1854;

																		BgL_fix3257z00_1854 = BgL_resz00_1000;
																		((((BgL_specializa7edzd2globalz75_bglt)
																					CREF(BgL_new3258z00_1852))->
																				BgL_fixz00) =
																			((obj_t) BgL_fix3257z00_1854), BUNSPEC);
																		BgL_res3802z00_1855 = BgL_new3258z00_1852;
																}} BgL_res3802z00_1855;
															}
															BgL_res3803z00_1856 = BgL_new3236z00_1851;
														}
														BgL_arg3534z00_1004 = BgL_res3803z00_1856;
													}
													{	/* Cfa/specialize.scm 231 */
														obj_t BgL_auxz00_3216;

														BgL_objectz00_bglt BgL_auxz00_3214;

														BgL_auxz00_3216 = (obj_t) (BgL_arg3534z00_1004);
														BgL_auxz00_3214 =
															(BgL_objectz00_bglt) (BgL_obj3330z00_1003);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3214,
															BgL_auxz00_3216);
												}}
												BGL_OBJECT_CLASS_NUM_SET(
													(BgL_objectz00_bglt) (BgL_obj3330z00_1003),
													BGl_classzd2numzd2zz__objectz00
													(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
												BgL_obj3330z00_1003;
											}
											return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 =
												MAKE_PAIR(BgL_genericz00_995,
													BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
												BUNSPEC);
										}
									else
										{	/* Cfa/specialize.scm 234 */
											obj_t BgL_fixz00_1006;

											BgL_fixz00_1006 = CAR(BgL_fixesz00_999);
											{	/* Cfa/specialize.scm 234 */
												obj_t BgL_idz00_1007;

												BgL_idz00_1007 = CAR(BgL_fixz00_1006);
												{	/* Cfa/specialize.scm 235 */
													obj_t BgL_modz00_1008;

													{	/* Cfa/specialize.scm 236 */
														obj_t BgL_pairz00_1861;

														BgL_pairz00_1861 = BgL_fixz00_1006;
														BgL_modz00_1008 = CAR(CDR(BgL_pairz00_1861));
													}
													{	/* Cfa/specialize.scm 236 */
														obj_t BgL_globalz00_1009;

														BgL_globalz00_1009 =
															BGl_findzd2globalzf2modulez20zzast_envz00
															(BgL_idz00_1007, BgL_modz00_1008);
														{	/* Cfa/specialize.scm 237 */

															if (BGl_iszd2azf3z21zz__objectz00
																(BgL_globalz00_1009, BGl_globalz00zzast_varz00))
																{	/* Cfa/specialize.scm 239 */
																	BgL_valuez00_bglt BgL_valz00_1011;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3230;

																		BgL_auxz00_3230 =
																			(BgL_variablez00_bglt)
																			(BgL_globalz00_1009);
																		BgL_valz00_1011 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_3230))->BgL_valuez00);
																	}
																	{	/* Cfa/specialize.scm 241 */
																		bool_t BgL_testz00_3233;

																		{	/* Cfa/specialize.scm 241 */
																			bool_t BgL_testz00_3234;

																			{	/* Cfa/specialize.scm 241 */
																				obj_t BgL_obj1871z00_1867;

																				BgL_obj1871z00_1867 =
																					(obj_t) (BgL_valz00_1011);
																				BgL_testz00_3234 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1871z00_1867,
																					BGl_sfunz00zzast_varz00);
																			}
																			if (BgL_testz00_3234)
																				{	/* Cfa/specialize.scm 241 */
																					obj_t BgL_auxz00_3237;

																					{
																						BgL_sfunz00_bglt BgL_auxz00_3238;

																						BgL_auxz00_3238 =
																							(BgL_sfunz00_bglt)
																							(BgL_valz00_1011);
																						BgL_auxz00_3237 =
																							(((BgL_sfunz00_bglt)
																								CREF(BgL_auxz00_3238))->
																							BgL_argsz00);
																					}
																					BgL_testz00_3233 =
																						PAIRP(BgL_auxz00_3237);
																				}
																			else
																				{	/* Cfa/specialize.scm 241 */
																					BgL_testz00_3233 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_3233)
																			{	/* Cfa/specialize.scm 242 */
																				obj_t BgL_typez00_1013;

																				{	/* Cfa/specialize.scm 242 */
																					obj_t BgL_vz00_1017;

																					{	/* Cfa/specialize.scm 242 */
																						obj_t BgL_pairz00_1871;

																						{
																							BgL_sfunz00_bglt BgL_auxz00_3242;

																							BgL_auxz00_3242 =
																								(BgL_sfunz00_bglt)
																								(BgL_valz00_1011);
																							BgL_pairz00_1871 =
																								(((BgL_sfunz00_bglt)
																									CREF(BgL_auxz00_3242))->
																								BgL_argsz00);
																						}
																						BgL_vz00_1017 =
																							CAR(BgL_pairz00_1871);
																					}
																					if (BGl_iszd2azf3z21zz__objectz00
																						(BgL_vz00_1017,
																							BGl_typez00zztype_typez00))
																						{	/* Cfa/specialize.scm 246 */
																							BgL_typez00_1013 = BgL_vz00_1017;
																						}
																					else
																						{	/* Cfa/specialize.scm 246 */
																							if (BGl_iszd2azf3z21zz__objectz00
																								(BgL_vz00_1017,
																									BGl_localz00zzast_varz00))
																								{	/* Cfa/specialize.scm 249 */
																									BgL_variablez00_bglt
																										BgL_obj1525z00_1874;
																									BgL_obj1525z00_1874 =
																										(BgL_variablez00_bglt)
																										(BgL_vz00_1017);
																									BgL_typez00_1013 =
																										(obj_t) (((
																												(BgL_variablez00_bglt)
																												CREF
																												(BgL_obj1525z00_1874))->
																											BgL_typez00));
																								}
																							else
																								{	/* Cfa/specialize.scm 251 */
																									obj_t BgL_arg3546z00_1022;

																									{
																										BgL_variablez00_bglt
																											BgL_auxz00_3253;
																										BgL_auxz00_3253 =
																											(BgL_variablez00_bglt)
																											(BgL_globalz00_1009);
																										BgL_arg3546z00_1022 =
																											(((BgL_variablez00_bglt)
																												CREF(BgL_auxz00_3253))->
																											BgL_idz00);
																									}
																									BgL_typez00_1013 =
																										BGl_internalzd2errorzd2zztools_errorz00
																										(BGl_string3886z00zzcfa_specializa7eza7,
																										BGl_string3887z00zzcfa_specializa7eza7,
																										BgL_arg3546z00_1022);
																								}
																						}
																				}
																				BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																					(BgL_typez00_1013);
																				{	/* Cfa/specialize.scm 256 */
																					obj_t BgL_arg3538z00_1014;

																					obj_t BgL_arg3539z00_1015;

																					BgL_arg3538z00_1014 =
																						CDR(BgL_fixesz00_999);
																					{	/* Cfa/specialize.scm 257 */
																						obj_t BgL_arg3540z00_1016;

																						BgL_arg3540z00_1016 =
																							MAKE_PAIR(BgL_typez00_1013,
																							BgL_globalz00_1009);
																						BgL_arg3539z00_1015 =
																							MAKE_PAIR(BgL_arg3540z00_1016,
																							BgL_resz00_1000);
																					}
																					{
																						obj_t BgL_resz00_3262;

																						obj_t BgL_fixesz00_3261;

																						BgL_fixesz00_3261 =
																							BgL_arg3538z00_1014;
																						BgL_resz00_3262 =
																							BgL_arg3539z00_1015;
																						BgL_resz00_1000 = BgL_resz00_3262;
																						BgL_fixesz00_999 =
																							BgL_fixesz00_3261;
																						goto
																							BgL_zc3anonymousza33532ze3z83_1001;
																					}
																				}
																			}
																		else
																			{	/* Cfa/specialize.scm 258 */
																				bool_t BgL_testz00_3263;

																				{	/* Cfa/specialize.scm 258 */
																					bool_t BgL_testz00_3264;

																					{	/* Cfa/specialize.scm 258 */
																						obj_t BgL_obj1935z00_1877;

																						BgL_obj1935z00_1877 =
																							(obj_t) (BgL_valz00_1011);
																						BgL_testz00_3264 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_obj1935z00_1877,
																							BGl_cfunz00zzast_varz00);
																					}
																					if (BgL_testz00_3264)
																						{	/* Cfa/specialize.scm 258 */
																							obj_t BgL_auxz00_3267;

																							{
																								BgL_cfunz00_bglt
																									BgL_auxz00_3268;
																								BgL_auxz00_3268 =
																									(BgL_cfunz00_bglt)
																									(BgL_valz00_1011);
																								BgL_auxz00_3267 =
																									(((BgL_cfunz00_bglt)
																										CREF(BgL_auxz00_3268))->
																									BgL_argszd2typezd2);
																							}
																							BgL_testz00_3263 =
																								PAIRP(BgL_auxz00_3267);
																						}
																					else
																						{	/* Cfa/specialize.scm 258 */
																							BgL_testz00_3263 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_3263)
																					{	/* Cfa/specialize.scm 259 */
																						obj_t BgL_typez00_1025;

																						{	/* Cfa/specialize.scm 259 */
																							obj_t BgL_pairz00_1881;

																							{
																								BgL_cfunz00_bglt
																									BgL_auxz00_3272;
																								BgL_auxz00_3272 =
																									(BgL_cfunz00_bglt)
																									(BgL_valz00_1011);
																								BgL_pairz00_1881 =
																									(((BgL_cfunz00_bglt)
																										CREF(BgL_auxz00_3272))->
																									BgL_argszd2typezd2);
																							}
																							BgL_typez00_1025 =
																								CAR(BgL_pairz00_1881);
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1025);
																						{	/* Cfa/specialize.scm 261 */
																							obj_t BgL_arg3549z00_1026;

																							obj_t BgL_arg3550z00_1027;

																							BgL_arg3549z00_1026 =
																								CDR(BgL_fixesz00_999);
																							{	/* Cfa/specialize.scm 262 */
																								obj_t BgL_arg3552z00_1028;

																								BgL_arg3552z00_1028 =
																									MAKE_PAIR(BgL_typez00_1025,
																									BgL_globalz00_1009);
																								BgL_arg3550z00_1027 =
																									MAKE_PAIR(BgL_arg3552z00_1028,
																									BgL_resz00_1000);
																							}
																							{
																								obj_t BgL_resz00_3281;

																								obj_t BgL_fixesz00_3280;

																								BgL_fixesz00_3280 =
																									BgL_arg3549z00_1026;
																								BgL_resz00_3281 =
																									BgL_arg3550z00_1027;
																								BgL_resz00_1000 =
																									BgL_resz00_3281;
																								BgL_fixesz00_999 =
																									BgL_fixesz00_3280;
																								goto
																									BgL_zc3anonymousza33532ze3z83_1001;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 258 */
																						return BFALSE;
																					}
																			}
																	}
																}
															else
																{	/* Cfa/specialize.scm 238 */
																	{	/* Cfa/specialize.scm 264 */
																		obj_t BgL_arg3561z00_1037;

																		BgL_arg3561z00_1037 =
																			MAKE_PAIR(BgL_idz00_1007,
																			BgL_modz00_1008);
																		{	/* Cfa/specialize.scm 264 */
																			obj_t BgL_list3562z00_1038;

																			{	/* Cfa/specialize.scm 264 */
																				obj_t BgL_arg3563z00_1039;

																				{	/* Cfa/specialize.scm 264 */
																					obj_t BgL_arg3564z00_1040;

																					{	/* Cfa/specialize.scm 264 */
																						obj_t BgL_arg3565z00_1041;

																						BgL_arg3565z00_1041 =
																							MAKE_PAIR(BgL_arg3561z00_1037,
																							BNIL);
																						BgL_arg3564z00_1040 =
																							MAKE_PAIR
																							(BGl_string3888z00zzcfa_specializa7eza7,
																							BgL_arg3565z00_1041);
																					}
																					BgL_arg3563z00_1039 =
																						MAKE_PAIR
																						(BGl_string3889z00zzcfa_specializa7eza7,
																						BgL_arg3564z00_1040);
																				}
																				BgL_list3562z00_1038 =
																					MAKE_PAIR
																					(BGl_string3890z00zzcfa_specializa7eza7,
																					BgL_arg3563z00_1039);
																			}
																			BGl_warningz00zz__errorz00
																				(BgL_list3562z00_1038);
																		}
																	}
																	{
																		obj_t BgL_fixesz00_3288;

																		BgL_fixesz00_3288 = CDR(BgL_fixesz00_999);
																		BgL_fixesz00_999 = BgL_fixesz00_3288;
																		goto BgL_zc3anonymousza33532ze3z83_1001;
																	}
																}
														}
													}
												}
											}
										}
								}
							else
								{	/* Cfa/specialize.scm 269 */
									obj_t BgL_arg3570z00_1047;

									BgL_arg3570z00_1047 =
										MAKE_PAIR(BgL_genzd2idzd2_993, BgL_genzd2modzd2_994);
									{	/* Cfa/specialize.scm 269 */
										obj_t BgL_list3571z00_1048;

										{	/* Cfa/specialize.scm 269 */
											obj_t BgL_arg3572z00_1049;

											{	/* Cfa/specialize.scm 269 */
												obj_t BgL_arg3573z00_1050;

												{	/* Cfa/specialize.scm 269 */
													obj_t BgL_arg3574z00_1051;

													BgL_arg3574z00_1051 =
														MAKE_PAIR(BgL_arg3570z00_1047, BNIL);
													BgL_arg3573z00_1050 =
														MAKE_PAIR(BGl_string3888z00zzcfa_specializa7eza7,
														BgL_arg3574z00_1051);
												}
												BgL_arg3572z00_1049 =
													MAKE_PAIR(BGl_string3889z00zzcfa_specializa7eza7,
													BgL_arg3573z00_1050);
											}
											BgL_list3571z00_1048 =
												MAKE_PAIR(BGl_string3890z00zzcfa_specializa7eza7,
												BgL_arg3572z00_1049);
										}
										return BGl_warningz00zz__errorz00(BgL_list3571z00_1048);
									}
								}
						}
					}
				}
			}
		}
	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 277 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l3377z00_1053;

				BgL_l3377z00_1053 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza33575ze3z83_1054:
				if (PAIRP(BgL_l3377z00_1053))
					{	/* Cfa/specialize.scm 279 */
						{	/* Cfa/specialize.scm 279 */
							obj_t BgL_oz00_1056;

							BgL_oz00_1056 = CAR(BgL_l3377z00_1053);
							{	/* Cfa/specialize.scm 279 */
								long BgL_arg3577z00_1058;

								{	/* Cfa/specialize.scm 279 */
									obj_t BgL_arg3578z00_1059;

									{	/* Cfa/specialize.scm 279 */
										obj_t BgL_arg3579z00_1060;

										{	/* Cfa/specialize.scm 279 */
											BgL_objectz00_bglt BgL_objectz00_1886;

											BgL_objectz00_1886 = (BgL_objectz00_bglt) (BgL_oz00_1056);
											{	/* Cfa/specialize.scm 279 */
												long BgL_arg2425z00_1887;

												{	/* Cfa/specialize.scm 279 */
													long BgL_arg2426z00_1888;

													BgL_arg2426z00_1888 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_1886);
													BgL_arg2425z00_1887 =
														(BgL_arg2426z00_1888 - OBJECT_TYPE);
												}
												BgL_arg3579z00_1060 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2425z00_1887));
										}}
										BgL_arg3578z00_1059 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3579z00_1060);
									}
									BgL_arg3577z00_1058 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg3578z00_1059);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_oz00_1056), BgL_arg3577z00_1058);
							}
							{	/* Cfa/specialize.scm 279 */
								BgL_objectz00_bglt BgL_auxz00_3308;

								BgL_auxz00_3308 = (BgL_objectz00_bglt) (BgL_oz00_1056);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3308, BFALSE);
							} BgL_oz00_1056;
						}
						{
							obj_t BgL_l3377z00_3311;

							BgL_l3377z00_3311 = CDR(BgL_l3377z00_1053);
							BgL_l3377z00_1053 = BgL_l3377z00_3311;
							goto BgL_zc3anonymousza33575ze3z83_1054;
						}
					}
				else
					{	/* Cfa/specialize.scm 279 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}
	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 285 */
			{
				obj_t BgL_l3379z00_1064;

				BgL_l3379z00_1064 = BgL_globalsz00_9;
			BgL_zc3anonymousza33581ze3z83_1065:
				if (PAIRP(BgL_l3379z00_1064))
					{	/* Cfa/specialize.scm 286 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l3379z00_1064));
						{
							obj_t BgL_l3379z00_3317;

							BgL_l3379z00_3317 = CDR(BgL_l3379z00_1064);
							BgL_l3379z00_1064 = BgL_l3379z00_3317;
							goto BgL_zc3anonymousza33581ze3z83_1065;
						}
					}
				else
					{	/* Cfa/specialize.scm 286 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_10)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 291 */
			{	/* Cfa/specialize.scm 292 */
				BgL_valuez00_bglt BgL_funz00_1070;

				{
					BgL_variablez00_bglt BgL_auxz00_3319;

					BgL_auxz00_3319 = (BgL_variablez00_bglt) (BgL_variablez00_10);
					BgL_funz00_1070 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_3319))->BgL_valuez00);
				}
				{	/* Cfa/specialize.scm 293 */
					obj_t BgL_arg3586z00_1071;

					{	/* Cfa/specialize.scm 293 */
						obj_t BgL_arg3587z00_1072;

						{
							BgL_sfunz00_bglt BgL_auxz00_3322;

							BgL_auxz00_3322 = (BgL_sfunz00_bglt) (BgL_funz00_1070);
							BgL_arg3587z00_1072 =
								(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3322))->BgL_bodyz00);
						}
						{	/* Cfa/specialize.scm 293 */
							BgL_nodez00_bglt BgL_nodez00_1902;

							BgL_nodez00_1902 = (BgL_nodez00_bglt) (BgL_arg3587z00_1072);
							{	/* Cfa/specialize.scm 293 */
								obj_t BgL_method3393z00_1903;

								{	/* Cfa/specialize.scm 293 */
									BgL_objectz00_bglt BgL_objz00_1904;

									BgL_objz00_1904 = (BgL_objectz00_bglt) (BgL_nodez00_1902);
									{	/* Cfa/specialize.scm 293 */
										long BgL_objzd2classzd2numz00_1905;

										BgL_objzd2classzd2numz00_1905 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1904);
										{	/* Cfa/specialize.scm 293 */
											obj_t BgL_arg2422z00_1906;

											BgL_arg2422z00_1906 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 293 */
												obj_t BgL_arrayz00_1908;

												int BgL_offsetz00_1909;

												BgL_arrayz00_1908 = BgL_arg2422z00_1906;
												BgL_offsetz00_1909 =
													(int) (BgL_objzd2classzd2numz00_1905);
												{	/* Cfa/specialize.scm 293 */
													long BgL_offsetz00_1910;

													BgL_offsetz00_1910 =
														((long) (BgL_offsetz00_1909) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 293 */
														long BgL_modz00_1911;

														{	/* Cfa/specialize.scm 293 */
															int BgL_arg2424z00_1912;

															BgL_arg2424z00_1912 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 293 */
																long BgL_auxz00_3334;

																BgL_auxz00_3334 = (long) (BgL_arg2424z00_1912);
																BgL_modz00_1911 =
																	(BgL_offsetz00_1910 / BgL_auxz00_3334);
														}}
														{	/* Cfa/specialize.scm 293 */
															long BgL_restz00_1913;

															{	/* Cfa/specialize.scm 293 */
																int BgL_arg2423z00_1914;

																BgL_arg2423z00_1914 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 293 */
																	long BgL_auxz00_3338;

																	BgL_auxz00_3338 =
																		(long) (BgL_arg2423z00_1914);
																	BgL_restz00_1913 =
																		(BgL_offsetz00_1910 % BgL_auxz00_3338);
															}}
															{	/* Cfa/specialize.scm 293 */

																BgL_method3393z00_1903 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1908,
																		(int) (BgL_modz00_1911)),
																	(int) (BgL_restz00_1913));
								}}}}}}}}
								BgL_arg3586z00_1071 =
									PROCEDURE_ENTRY(BgL_method3393z00_1903)
									(BgL_method3393z00_1903, (obj_t) (BgL_nodez00_1902), BEOA);
					}}}
					{
						BgL_sfunz00_bglt BgL_auxz00_3348;

						BgL_auxz00_3348 = (BgL_sfunz00_bglt) (BgL_funz00_1070);
						return
							((((BgL_sfunz00_bglt) CREF(BgL_auxz00_3348))->BgL_bodyz00) =
							((obj_t) BgL_arg3586z00_1071), BUNSPEC);
					}
				}
			}
		}
	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_33)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 473 */
			{
				obj_t BgL_nodeza2za2_1074;

				BgL_nodeza2za2_1074 = BgL_nodeza2za2_33;
			BgL_zc3anonymousza33588ze3z83_1075:
				if (NULLP(BgL_nodeza2za2_1074))
					{	/* Cfa/specialize.scm 475 */
						return CNST_TABLE_REF(((long) 6));
					}
				else
					{	/* Cfa/specialize.scm 475 */
						{	/* Cfa/specialize.scm 478 */
							obj_t BgL_arg3590z00_1077;

							{	/* Cfa/specialize.scm 478 */
								obj_t BgL_arg3591z00_1078;

								BgL_arg3591z00_1078 = CAR(BgL_nodeza2za2_1074);
								{	/* Cfa/specialize.scm 478 */
									BgL_nodez00_bglt BgL_nodez00_1932;

									BgL_nodez00_1932 = (BgL_nodez00_bglt) (BgL_arg3591z00_1078);
									{	/* Cfa/specialize.scm 478 */
										obj_t BgL_method3393z00_1933;

										{	/* Cfa/specialize.scm 478 */
											BgL_objectz00_bglt BgL_objz00_1934;

											BgL_objz00_1934 = (BgL_objectz00_bglt) (BgL_nodez00_1932);
											{	/* Cfa/specialize.scm 478 */
												long BgL_objzd2classzd2numz00_1935;

												BgL_objzd2classzd2numz00_1935 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1934);
												{	/* Cfa/specialize.scm 478 */
													obj_t BgL_arg2422z00_1936;

													BgL_arg2422z00_1936 =
														PROCEDURE_REF
														(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
														(int) (((long) 1)));
													{	/* Cfa/specialize.scm 478 */
														obj_t BgL_arrayz00_1938;

														int BgL_offsetz00_1939;

														BgL_arrayz00_1938 = BgL_arg2422z00_1936;
														BgL_offsetz00_1939 =
															(int) (BgL_objzd2classzd2numz00_1935);
														{	/* Cfa/specialize.scm 478 */
															long BgL_offsetz00_1940;

															BgL_offsetz00_1940 =
																((long) (BgL_offsetz00_1939) - OBJECT_TYPE);
															{	/* Cfa/specialize.scm 478 */
																long BgL_modz00_1941;

																{	/* Cfa/specialize.scm 478 */
																	int BgL_arg2424z00_1942;

																	BgL_arg2424z00_1942 = (int) (((long) 8));
																	{	/* Cfa/specialize.scm 478 */
																		long BgL_auxz00_3364;

																		BgL_auxz00_3364 =
																			(long) (BgL_arg2424z00_1942);
																		BgL_modz00_1941 =
																			(BgL_offsetz00_1940 / BgL_auxz00_3364);
																}}
																{	/* Cfa/specialize.scm 478 */
																	long BgL_restz00_1943;

																	{	/* Cfa/specialize.scm 478 */
																		int BgL_arg2423z00_1944;

																		BgL_arg2423z00_1944 = (int) (((long) 8));
																		{	/* Cfa/specialize.scm 478 */
																			long BgL_auxz00_3368;

																			BgL_auxz00_3368 =
																				(long) (BgL_arg2423z00_1944);
																			BgL_restz00_1943 =
																				(BgL_offsetz00_1940 % BgL_auxz00_3368);
																	}}
																	{	/* Cfa/specialize.scm 478 */

																		BgL_method3393z00_1933 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1938,
																				(int) (BgL_modz00_1941)),
																			(int) (BgL_restz00_1943));
										}}}}}}}}
										BgL_arg3590z00_1077 =
											PROCEDURE_ENTRY(BgL_method3393z00_1933)
											(BgL_method3393z00_1933, (obj_t) (BgL_nodez00_1932),
											BEOA);
							}}}
							SET_CAR(BgL_nodeza2za2_1074, BgL_arg3590z00_1077);
						}
						{
							obj_t BgL_nodeza2za2_3379;

							BgL_nodeza2za2_3379 = CDR(BgL_nodeza2za2_1074);
							BgL_nodeza2za2_1074 = BgL_nodeza2za2_3379;
							goto BgL_zc3anonymousza33588ze3z83_1075;
						}
					}
			}
		}
	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_35)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 498 */
			if (NULLP((((BgL_appz00_bglt) CREF(BgL_nodez00_35))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 505 */
					return BgL_nodez00_35;
				}
			else
				{	/* Cfa/specialize.scm 509 */
					obj_t BgL_typez00_1084;

					{	/* Cfa/specialize.scm 509 */
						obj_t BgL_arg3606z00_1103;

						{	/* Cfa/specialize.scm 509 */
							obj_t BgL_pairz00_1964;

							BgL_pairz00_1964 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_35))->BgL_argsz00);
							BgL_arg3606z00_1103 = CAR(BgL_pairz00_1964);
						}
						BgL_typez00_1084 =
							BGl_normaliza7ezd2typeofz75zzcfa_specializa7eza7
							(BgL_arg3606z00_1103);
					}
					{	/* Cfa/specialize.scm 509 */
						BgL_variablez00_bglt BgL_gloz00_1085;

						{	/* Cfa/specialize.scm 510 */
							BgL_varz00_bglt BgL_obj2070z00_1966;

							BgL_obj2070z00_1966 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_35))->BgL_funz00);
							BgL_gloz00_1085 =
								(((BgL_varz00_bglt) CREF(BgL_obj2070z00_1966))->
								BgL_variablez00);
						}
						{	/* Cfa/specialize.scm 510 */
							obj_t BgL_specz00_1086;

							{	/* Cfa/specialize.scm 511 */
								obj_t BgL_auxz00_3389;

								{	/* Cfa/specialize.scm 511 */
									BgL_specializa7edzd2globalz75_bglt BgL_obj3269z00_1967;

									BgL_obj3269z00_1967 =
										(BgL_specializa7edzd2globalz75_bglt) (BgL_gloz00_1085);
									{
										obj_t BgL_auxz00_3391;

										{	/* Cfa/specialize.scm 511 */
											BgL_objectz00_bglt BgL_auxz00_3392;

											BgL_auxz00_3392 =
												(BgL_objectz00_bglt) (BgL_obj3269z00_1967);
											BgL_auxz00_3391 = BGL_OBJECT_WIDENING(BgL_auxz00_3392);
										}
										BgL_auxz00_3389 =
											(((BgL_specializa7edzd2globalz75_bglt)
												CREF(BgL_auxz00_3391))->BgL_fixz00);
									}
								}
								BgL_specz00_1086 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1084,
									BgL_auxz00_3389);
							}
							{	/* Cfa/specialize.scm 511 */

								if (PAIRP(BgL_specz00_1086))
									{	/* Cfa/specialize.scm 513 */
										obj_t BgL_g3368z00_1088;

										{	/* Cfa/specialize.scm 513 */
											obj_t BgL_pairz00_1970;

											BgL_pairz00_1970 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_35))->BgL_argsz00);
											BgL_g3368z00_1088 = CDR(BgL_pairz00_1970);
										}
										{
											obj_t BgL_argsz00_1090;

											BgL_argsz00_1090 = BgL_g3368z00_1088;
										BgL_zc3anonymousza33595ze3z83_1091:
											if (NULLP(BgL_argsz00_1090))
												{	/* Cfa/specialize.scm 515 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1084);
													{	/* Cfa/specialize.scm 517 */
														BgL_varz00_bglt BgL_arg3597z00_1093;

														obj_t BgL_arg3598z00_1094;

														BgL_arg3597z00_1093 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_35))->
															BgL_funz00);
														BgL_arg3598z00_1094 = CDR(BgL_specz00_1086);
														{
															BgL_variablez00_bglt BgL_auxz00_3406;

															BgL_auxz00_3406 =
																(BgL_variablez00_bglt) (BgL_arg3598z00_1094);
															((((BgL_varz00_bglt) CREF(BgL_arg3597z00_1093))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_auxz00_3406),
																BUNSPEC);
														}
													}
													{
														BgL_typez00_bglt BgL_auxz00_3411;

														BgL_nodez00_bglt BgL_auxz00_3409;

														BgL_auxz00_3411 =
															(BgL_typez00_bglt) (BgL_typez00_1084);
														BgL_auxz00_3409 =
															(BgL_nodez00_bglt) (BgL_nodez00_35);
														((((BgL_nodez00_bglt) CREF(BgL_auxz00_3409))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_3411), BUNSPEC);
													}
													return BgL_nodez00_35;
												}
											else
												{	/* Cfa/specialize.scm 515 */
													if (
														(BGl_normaliza7ezd2typeofz75zzcfa_specializa7eza7
															(CAR(BgL_argsz00_1090)) == BgL_typez00_1084))
														{
															obj_t BgL_argsz00_3418;

															BgL_argsz00_3418 = CDR(BgL_argsz00_1090);
															BgL_argsz00_1090 = BgL_argsz00_3418;
															goto BgL_zc3anonymousza33595ze3z83_1091;
														}
													else
														{	/* Cfa/specialize.scm 520 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_35);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 512 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_35);
									}
							}
						}
					}
				}
		}
	}



/* normalize-typeof */
	obj_t BGl_normaliza7ezd2typeofz75zzcfa_specializa7eza7(obj_t BgL_valz00_1106)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 503 */
			{	/* Cfa/specialize.scm 500 */
				BgL_typez00_bglt BgL_tyz00_1108;

				BgL_tyz00_1108 =
					BGl_typeofz00zztype_typeofz00((BgL_nodez00_bglt) (BgL_valz00_1106));
				if (((obj_t) (BgL_tyz00_1108) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 501 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 501 */
						return (obj_t) (BgL_tyz00_1108);
					}
			}
		}
	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_36)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 534 */
			{
				BgL_appz00_bglt BgL_nodez00_1140;

				obj_t BgL_typez00_1141;

				{	/* Cfa/specialize.scm 541 */
					bool_t BgL_testz00_3428;

					{	/* Cfa/specialize.scm 541 */
						bool_t BgL_testz00_3429;

						{	/* Cfa/specialize.scm 541 */
							BgL_variablez00_bglt BgL_arg3634z00_1138;

							{	/* Cfa/specialize.scm 541 */
								BgL_varz00_bglt BgL_obj2070z00_1981;

								BgL_obj2070z00_1981 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_36))->BgL_funz00);
								BgL_arg3634z00_1138 =
									(((BgL_varz00_bglt) CREF(BgL_obj2070z00_1981))->
									BgL_variablez00);
							}
							BgL_testz00_3429 =
								(
								(obj_t) (BgL_arg3634z00_1138) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_testz00_3429)
							{	/* Cfa/specialize.scm 542 */
								obj_t BgL_arg3633z00_1137;

								BgL_arg3633z00_1137 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								{
									BgL_backendz00_bglt BgL_auxz00_3435;

									BgL_auxz00_3435 = (BgL_backendz00_bglt) (BgL_arg3633z00_1137);
									BgL_testz00_3428 =
										(((BgL_backendz00_bglt) CREF(BgL_auxz00_3435))->
										BgL_typedzd2eqzd2);
								}
							}
						else
							{	/* Cfa/specialize.scm 541 */
								BgL_testz00_3428 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3428)
						{	/* Cfa/specialize.scm 544 */
							BgL_typez00_bglt BgL_t1z00_1114;

							BgL_typez00_bglt BgL_t2z00_1115;

							{	/* Cfa/specialize.scm 544 */
								obj_t BgL_arg3628z00_1132;

								{	/* Cfa/specialize.scm 544 */
									obj_t BgL_pairz00_1984;

									BgL_pairz00_1984 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_36))->BgL_argsz00);
									BgL_arg3628z00_1132 = CAR(BgL_pairz00_1984);
								}
								BgL_t1z00_1114 =
									BGl_typeofz00zztype_typeofz00(
									(BgL_nodez00_bglt) (BgL_arg3628z00_1132));
							}
							{	/* Cfa/specialize.scm 545 */
								obj_t BgL_arg3630z00_1134;

								{	/* Cfa/specialize.scm 545 */
									obj_t BgL_pairz00_1986;

									BgL_pairz00_1986 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_36))->BgL_argsz00);
									BgL_arg3630z00_1134 = CAR(CDR(BgL_pairz00_1986));
								}
								BgL_t2z00_1115 =
									BGl_typeofz00zztype_typeofz00(
									(BgL_nodez00_bglt) (BgL_arg3630z00_1134));
							}
							{	/* Cfa/specialize.scm 547 */
								bool_t BgL_testz00_3447;

								if (
									((obj_t) (BgL_t1z00_1114) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 547 */
										BgL_testz00_3447 =
											(
											(obj_t) (BgL_t2z00_1115) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 547 */
										BgL_testz00_3447 = ((bool_t) 0);
									}
								if (BgL_testz00_3447)
									{	/* Cfa/specialize.scm 547 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 547 */
										if (
											((obj_t) (BgL_t1z00_1114) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 549 */
												if (
													((obj_t) (BgL_t2z00_1115) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 550 */
														BgL_nodez00_1140 = BgL_nodez00_36;
														BgL_typez00_1141 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3anonymousza33636ze3z83_1142:
														{	/* Cfa/specialize.scm 537 */
															bool_t BgL_testz00_3459;

															{	/* Cfa/specialize.scm 537 */
																obj_t BgL_obj1668z00_1990;

																BgL_obj1668z00_1990 =
																	BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																BgL_testz00_3459 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_obj1668z00_1990,
																	BGl_globalz00zzast_varz00);
															}
															if (BgL_testz00_3459)
																{	/* Cfa/specialize.scm 537 */
																	{	/* Cfa/specialize.scm 539 */
																		BgL_varz00_bglt BgL_arg3638z00_1144;

																		BgL_arg3638z00_1144 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_36))->BgL_funz00);
																		{
																			BgL_variablez00_bglt BgL_auxz00_3462;

																			BgL_auxz00_3462 =
																				(BgL_variablez00_bglt)
																				(BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7);
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg3638z00_1144))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt)
																					BgL_auxz00_3462), BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1141);
																}
															else
																{	/* Cfa/specialize.scm 537 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 550 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 549 */
												if (
													((obj_t) (BgL_t2z00_1115) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 553 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 553 */
														if (
															((obj_t) (BgL_t1z00_1114) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 555 */
																if (
																	((obj_t) (BgL_t2z00_1115) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3476;

																		BgL_appz00_bglt BgL_nodez00_3475;

																		BgL_nodez00_3475 = BgL_nodez00_36;
																		BgL_typez00_3476 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1141 = BgL_typez00_3476;
																		BgL_nodez00_1140 = BgL_nodez00_3475;
																		goto BgL_zc3anonymousza33636ze3z83_1142;
																	}
																else
																	{	/* Cfa/specialize.scm 556 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 555 */
																if (
																	((obj_t) (BgL_t2z00_1115) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 559 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 559 */
																		if (
																			((obj_t) (BgL_t2z00_1115) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 561 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 561 */
																				if (
																					((obj_t) (BgL_t1z00_1114) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 563 */
																						if (
																							((obj_t) (BgL_t2z00_1115) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3490;

																								BgL_appz00_bglt
																									BgL_nodez00_3489;
																								BgL_nodez00_3489 =
																									BgL_nodez00_36;
																								BgL_typez00_3490 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1141 =
																									BgL_typez00_3490;
																								BgL_nodez00_1140 =
																									BgL_nodez00_3489;
																								goto
																									BgL_zc3anonymousza33636ze3z83_1142;
																							}
																						else
																							{	/* Cfa/specialize.scm 564 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 563 */
																						if (
																							((obj_t) (BgL_t2z00_1115) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 567 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 569 */
																								bool_t BgL_testz00_3494;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1114))
																									{	/* Cfa/specialize.scm 569 */
																										BgL_testz00_3494 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1115);
																									}
																								else
																									{	/* Cfa/specialize.scm 569 */
																										BgL_testz00_3494 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3494)
																									{	/* Cfa/specialize.scm 571 */
																										BgL_typez00_bglt
																											BgL_arg3624z00_1128;
																										if (((obj_t)
																												(BgL_t1z00_1114) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 571 */
																												BgL_arg3624z00_1128 =
																													BgL_t2z00_1115;
																											}
																										else
																											{	/* Cfa/specialize.scm 571 */
																												BgL_arg3624z00_1128 =
																													BgL_t1z00_1114;
																											}
																										{
																											obj_t BgL_typez00_3502;

																											BgL_appz00_bglt
																												BgL_nodez00_3501;
																											BgL_nodez00_3501 =
																												BgL_nodez00_36;
																											BgL_typez00_3502 =
																												(obj_t)
																												(BgL_arg3624z00_1128);
																											BgL_typez00_1141 =
																												BgL_typez00_3502;
																											BgL_nodez00_1140 =
																												BgL_nodez00_3501;
																											goto
																												BgL_zc3anonymousza33636ze3z83_1142;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 569 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_36;
						}
					else
						{	/* Cfa/specialize.scm 541 */
							return BgL_nodez00_36;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 34 */
				obj_t BgL_arg3639z00_1146;

				obj_t BgL_arg3640z00_1147;

				obj_t BgL_arg3643z00_1150;

				BgL_arg3639z00_1146 = CNST_TABLE_REF(((long) 7));
				BgL_arg3640z00_1147 = BGl_globalz00zzast_varz00;
				{	/* Cfa/specialize.scm 34 */
					obj_t BgL_v3390z00_1151;

					BgL_v3390z00_1151 = create_vector((int) (((long) 0)));
					BgL_arg3643z00_1150 = BgL_v3390z00_1151;
				}
				BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3639z00_1146,
					BgL_arg3640z00_1147, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2specializa7edzd2globalzd2envz27zzcfa_specializa7eza7,
					BGl_specializa7edzd2globalzd2nilzd2envz75zzcfa_specializa7eza7,
					BGl_specializa7edzd2globalzf3zd2envz54zzcfa_specializa7eza7,
					((long) 420446428), BFALSE, BFALSE, BgL_arg3643z00_1150);
			}
			return (BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7
				= BUNSPEC, BUNSPEC);
		}
	}



/* _specialized-global? */
	obj_t BGl__specializa7edzd2globalzf3z86zzcfa_specializa7eza7(obj_t
		BgL_envz00_2913, obj_t BgL_obj3268z00_2914)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3268z00_2914,
					BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
		}
	}



/* _%allocate-specialized-global */
	obj_t BGl__z52allocatezd2specializa7edzd2globalzf5zzcfa_specializa7eza7(obj_t
		BgL_envz00_2911)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			{	/* Cfa/specialize.scm 34 */
				BgL_globalz00_bglt BgL_auxz00_3510;

				{	/* Cfa/specialize.scm 34 */
					BgL_globalz00_bglt BgL_res3922z00_3005;

					{	/* Cfa/specialize.scm 34 */
						BgL_globalz00_bglt BgL_new3261z00_3003;

						BgL_new3261z00_3003 =
							((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3261z00_3003),
							BGl_classzd2numzd2zz__objectz00
							(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
						{	/* Cfa/specialize.scm 34 */
							BgL_objectz00_bglt BgL_auxz00_3515;

							BgL_auxz00_3515 = (BgL_objectz00_bglt) (BgL_new3261z00_3003);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3515, BFALSE);
						}
						BgL_res3922z00_3005 = BgL_new3261z00_3003;
					}
					BgL_auxz00_3510 = BgL_res3922z00_3005;
				}
				return (obj_t) (BgL_auxz00_3510);
			}
		}
	}



/* specialized-global-nil */
	BgL_specializa7edzd2globalz75_bglt
		BGl_specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			if (
				(BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7 ==
					BUNSPEC))
				{	/* Cfa/specialize.scm 34 */
					{	/* Cfa/specialize.scm 34 */
						BgL_globalz00_bglt BgL_res3809z00_2008;

						{	/* Cfa/specialize.scm 34 */
							BgL_globalz00_bglt BgL_new1667z00_2004;

							BgL_new1667z00_2004 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1667z00_2004),
								BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00));
							{	/* Cfa/specialize.scm 34 */
								BgL_objectz00_bglt BgL_auxz00_3525;

								BgL_auxz00_3525 = (BgL_objectz00_bglt) (BgL_new1667z00_2004);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3525, BFALSE);
							}
							BgL_res3809z00_2008 = BgL_new1667z00_2004;
						}
						BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7 =
							(obj_t) (BgL_res3809z00_2008);
					}
					{	/* Cfa/specialize.scm 34 */
						obj_t BgL_arg3648z00_1161;

						BgL_typez00_bglt BgL_arg3649z00_1162;

						BgL_valuez00_bglt BgL_arg3650z00_1163;

						obj_t BgL_arg3652z00_1165;

						BgL_arg3648z00_1161 = CNST_TABLE_REF(((long) 8));
						BgL_arg3649z00_1162 = BGl_typezd2nilzd2zztype_typez00();
						BgL_arg3650z00_1163 = BGl_valuezd2nilzd2zzast_varz00();
						BgL_arg3652z00_1165 = CNST_TABLE_REF(((long) 8));
						{	/* Cfa/specialize.scm 34 */
							BgL_globalz00_bglt BgL_res3810z00_2042;

							{	/* Cfa/specialize.scm 34 */
								BgL_globalz00_bglt BgL_new1649z00_2009;

								BgL_new1649z00_2009 =
									(BgL_globalz00_bglt)
									(BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7);
								{	/* Cfa/specialize.scm 34 */
									obj_t BgL_id1633z00_2026;

									obj_t BgL_name1634z00_2027;

									BgL_typez00_bglt BgL_type1635z00_2028;

									BgL_valuez00_bglt BgL_value1636z00_2029;

									obj_t BgL_access1637z00_2030;

									obj_t BgL_fastzd2alpha1638zd2_2031;

									obj_t BgL_removable1639z00_2032;

									long BgL_occurrence1640z00_2033;

									obj_t BgL_module1641z00_2034;

									obj_t BgL_import1642z00_2035;

									bool_t BgL_evaluablezf31643zf3_2036;

									obj_t BgL_library1644z00_2037;

									bool_t BgL_userzf31645zf3_2038;

									obj_t BgL_pragma1646z00_2039;

									obj_t BgL_src1647z00_2040;

									obj_t BgL_jvmzd2typezd2name1648z00_2041;

									BgL_id1633z00_2026 = BgL_arg3648z00_1161;
									BgL_name1634z00_2027 = BUNSPEC;
									BgL_type1635z00_2028 = BgL_arg3649z00_1162;
									BgL_value1636z00_2029 = BgL_arg3650z00_1163;
									BgL_access1637z00_2030 = BUNSPEC;
									BgL_fastzd2alpha1638zd2_2031 = BUNSPEC;
									BgL_removable1639z00_2032 = BUNSPEC;
									BgL_occurrence1640z00_2033 = ((long) 0);
									BgL_module1641z00_2034 = BgL_arg3652z00_1165;
									BgL_import1642z00_2035 = BUNSPEC;
									BgL_evaluablezf31643zf3_2036 = ((bool_t) 0);
									BgL_library1644z00_2037 = BUNSPEC;
									BgL_userzf31645zf3_2038 = ((bool_t) 0);
									BgL_pragma1646z00_2039 = BUNSPEC;
									BgL_src1647z00_2040 = BUNSPEC;
									BgL_jvmzd2typezd2name1648z00_2041 =
										BGl_string3891z00zzcfa_specializa7eza7;
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_idz00) = ((obj_t) BgL_id1633z00_2026), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_namez00) = ((obj_t) BgL_name1634z00_2027), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_type1635z00_2028), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_value1636z00_2029), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_accessz00) =
										((obj_t) BgL_access1637z00_2030), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_fastzd2alphazd2) =
										((obj_t) BgL_fastzd2alpha1638zd2_2031), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_removablez00) =
										((obj_t) BgL_removable1639z00_2032), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_occurrencez00) =
										((long) BgL_occurrence1640z00_2033), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_modulez00) =
										((obj_t) BgL_module1641z00_2034), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_importz00) =
										((obj_t) BgL_import1642z00_2035), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_evaluablezf3zf3) =
										((bool_t) BgL_evaluablezf31643zf3_2036), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_libraryz00) =
										((obj_t) BgL_library1644z00_2037), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_userzf3zf3) =
										((bool_t) BgL_userzf31645zf3_2038), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_pragmaz00) =
										((obj_t) BgL_pragma1646z00_2039), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_srcz00) = ((obj_t) BgL_src1647z00_2040), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1649z00_2009))->
											BgL_jvmzd2typezd2namez00) =
										((obj_t) BgL_jvmzd2typezd2name1648z00_2041), BUNSPEC);
									BgL_res3810z00_2042 = BgL_new1649z00_2009;
							}} BgL_res3810z00_2042;
					}}
					{	/* Cfa/specialize.scm 34 */
						long BgL_arg3654z00_1167;

						BgL_arg3654z00_1167 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7),
							BgL_arg3654z00_1167);
					}
					{	/* Cfa/specialize.scm 34 */
						BgL_specializa7edzd2globalz75_bglt BgL_arg3655z00_1168;

						{	/* Cfa/specialize.scm 34 */
							BgL_specializa7edzd2globalz75_bglt BgL_res3812z00_2051;

							{	/* Cfa/specialize.scm 34 */
								BgL_specializa7edzd2globalz75_bglt BgL_new3236z00_2046;

								BgL_new3236z00_2046 =
									((BgL_specializa7edzd2globalz75_bglt)
									BREF(GC_MALLOC(sizeof(struct
												BgL_specializa7edzd2globalz75_bgl))));
								{	/* Cfa/specialize.scm 34 */
									BgL_specializa7edzd2globalz75_bglt BgL_res3811z00_2050;

									{	/* Cfa/specialize.scm 34 */
										BgL_specializa7edzd2globalz75_bglt BgL_new3258z00_2047;

										BgL_new3258z00_2047 = BgL_new3236z00_2046;
										{	/* Cfa/specialize.scm 34 */
											obj_t BgL_fix3257z00_2049;

											BgL_fix3257z00_2049 = BUNSPEC;
											((((BgL_specializa7edzd2globalz75_bglt)
														CREF(BgL_new3258z00_2047))->BgL_fixz00) =
												((obj_t) BgL_fix3257z00_2049), BUNSPEC);
											BgL_res3811z00_2050 = BgL_new3258z00_2047;
									}} BgL_res3811z00_2050;
								}
								BgL_res3812z00_2051 = BgL_new3236z00_2046;
							}
							BgL_arg3655z00_1168 = BgL_res3812z00_2051;
						}
						{	/* Cfa/specialize.scm 34 */
							obj_t BgL_auxz00_3557;

							BgL_objectz00_bglt BgL_auxz00_3555;

							BgL_auxz00_3557 = (obj_t) (BgL_arg3655z00_1168);
							BgL_auxz00_3555 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3555, BgL_auxz00_3557);
				}}}
			else
				{	/* Cfa/specialize.scm 34 */
					BFALSE;
				}
			return
				(BgL_specializa7edzd2globalz75_bglt)
				(BGl_z52thezd2specializa7edzd2globalzd2nilz27zzcfa_specializa7eza7);
		}
	}



/* _specialized-global-nil */
	obj_t BGl__specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7(obj_t
		BgL_envz00_2912)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			return
				(obj_t) (BGl_specializa7edzd2globalzd2nilza7zzcfa_specializa7eza7());
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_patchz12zd2default3391zd2envz12zzcfa_specializa7eza7);
		}
	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_11)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 298 */
			{	/* Cfa/specialize.scm 298 */
				obj_t BgL_method3393z00_2072;

				{	/* Cfa/specialize.scm 298 */
					BgL_objectz00_bglt BgL_objz00_2073;

					BgL_objz00_2073 = (BgL_objectz00_bglt) (BgL_nodez00_11);
					{	/* Cfa/specialize.scm 298 */
						long BgL_objzd2classzd2numz00_2074;

						BgL_objzd2classzd2numz00_2074 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2073);
						{	/* Cfa/specialize.scm 298 */
							obj_t BgL_arg2422z00_2075;

							BgL_arg2422z00_2075 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
								(int) (((long) 1)));
							{	/* Cfa/specialize.scm 298 */
								obj_t BgL_arrayz00_2077;

								int BgL_offsetz00_2078;

								BgL_arrayz00_2077 = BgL_arg2422z00_2075;
								BgL_offsetz00_2078 = (int) (BgL_objzd2classzd2numz00_2074);
								{	/* Cfa/specialize.scm 298 */
									long BgL_offsetz00_2079;

									BgL_offsetz00_2079 =
										((long) (BgL_offsetz00_2078) - OBJECT_TYPE);
									{	/* Cfa/specialize.scm 298 */
										long BgL_modz00_2080;

										{	/* Cfa/specialize.scm 298 */
											int BgL_arg2424z00_2081;

											BgL_arg2424z00_2081 = (int) (((long) 8));
											{	/* Cfa/specialize.scm 298 */
												long BgL_auxz00_3572;

												BgL_auxz00_3572 = (long) (BgL_arg2424z00_2081);
												BgL_modz00_2080 =
													(BgL_offsetz00_2079 / BgL_auxz00_3572);
										}}
										{	/* Cfa/specialize.scm 298 */
											long BgL_restz00_2082;

											{	/* Cfa/specialize.scm 298 */
												int BgL_arg2423z00_2083;

												BgL_arg2423z00_2083 = (int) (((long) 8));
												{	/* Cfa/specialize.scm 298 */
													long BgL_auxz00_3576;

													BgL_auxz00_3576 = (long) (BgL_arg2423z00_2083);
													BgL_restz00_2082 =
														(BgL_offsetz00_2079 % BgL_auxz00_3576);
											}}
											{	/* Cfa/specialize.scm 298 */

												BgL_method3393z00_2072 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2077,
														(int) (BgL_modz00_2080)), (int) (BgL_restz00_2082));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3393z00_2072) (BgL_method3393z00_2072,
					(obj_t) (BgL_nodez00_11), BEOA);
			}
		}
	}



/* _patch! */
	obj_t BGl__patchz12z12zzcfa_specializa7eza7(obj_t BgL_envz00_2909,
		obj_t BgL_nodez00_2910)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 298 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				(BgL_nodez00_bglt) (BgL_nodez00_2910));
		}
	}



/* patch!-default3391 */
	obj_t BGl_patchz12zd2default3391zc0zzcfa_specializa7eza7(BgL_nodez00_bglt
		BgL_nodez00_12)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 9)),
				BGl_string3892z00zzcfa_specializa7eza7, (obj_t) (BgL_nodez00_12));
		}
	}



/* _patch!-default3391 */
	obj_t BGl__patchz12zd2default3391zc0zzcfa_specializa7eza7(obj_t
		BgL_envz00_2915, obj_t BgL_nodez00_2916)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_patchz12zd2default3391zc0zzcfa_specializa7eza7(
				(BgL_nodez00_bglt) (BgL_nodez00_2916));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc3893z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc3894z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc3895z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc3896z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc3897z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3898z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc3899z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc3900z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc3901z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc3902z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc3903z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc3904z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_selectz00zzast_nodez00,
				BGl_proc3905z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3906z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3907z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3908z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3909z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3910z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3911z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3912z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc3913z00zzcfa_specializa7eza7);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_specializa7edzd2globalz75zzcfa_specializa7eza7,
				BGl_proc3914z00zzcfa_specializa7eza7);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_specializa7edzd2globalz75zzcfa_specializa7eza7,
				BGl_proc3915z00zzcfa_specializa7eza7);
		}
	}



/* struct+object->objec3441 */
	obj_t BGl_structzb2objectzd2ze3objec3441z83zzcfa_specializa7eza7(obj_t
		BgL_envz00_2945, obj_t BgL_oz00_2946, obj_t BgL_sz00_2947)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_oz00_1762;

				obj_t BgL_sz00_1763;

				{	/* Cfa/specialize.scm 34 */
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3616;

					BgL_oz00_1762 = (BgL_specializa7edzd2globalz75_bglt) (BgL_oz00_2946);
					BgL_sz00_1763 = BgL_sz00_2947;
					{

						{	/* Cfa/specialize.scm 34 */
							obj_t BgL_old3265z00_1766;

							obj_t BgL_aux3266z00_1767;

							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_nextzd2method3440zd2_1772;

								BgL_nextzd2method3440zd2_1772 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1762),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
								if (PROCEDUREP(BgL_nextzd2method3440zd2_1772))
									{	/* Cfa/specialize.scm 34 */
										BgL_old3265z00_1766 =
											PROCEDURE_ENTRY(BgL_nextzd2method3440zd2_1772)
											(BgL_nextzd2method3440zd2_1772, (obj_t) (BgL_oz00_1762),
											BgL_sz00_1763, BEOA);
									}
								else
									{	/* Cfa/specialize.scm 34 */
										BgL_old3265z00_1766 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1762), BgL_sz00_1763));
									}
							}
							BgL_aux3266z00_1767 =
								STRUCT_REF(BgL_sz00_1763, (int) (((long) 0)));
							{	/* Cfa/specialize.scm 34 */
								BgL_specializa7edzd2globalz75_bglt BgL_new3267z00_1768;

								BgL_new3267z00_1768 =
									((BgL_specializa7edzd2globalz75_bglt) (BgL_old3265z00_1766));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new3267z00_1768),
									BGl_classzd2numzd2zz__objectz00
									(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
								{	/* Cfa/specialize.scm 34 */
									BgL_specializa7edzd2globalz75_bglt BgL_arg3799z00_1770;

									{	/* Cfa/specialize.scm 34 */
										obj_t BgL_arg3800z00_1771;

										BgL_arg3800z00_1771 =
											STRUCT_REF(BgL_aux3266z00_1767, (int) (((long) 0)));
										{	/* Cfa/specialize.scm 34 */
											BgL_specializa7edzd2globalz75_bglt BgL_res3869z00_2901;

											{	/* Cfa/specialize.scm 34 */
												BgL_specializa7edzd2globalz75_bglt BgL_new3236z00_2896;

												BgL_new3236z00_2896 =
													((BgL_specializa7edzd2globalz75_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_specializa7edzd2globalz75_bgl))));
												{	/* Cfa/specialize.scm 34 */
													BgL_specializa7edzd2globalz75_bglt
														BgL_res3868z00_2900;
													{	/* Cfa/specialize.scm 34 */
														BgL_specializa7edzd2globalz75_bglt
															BgL_new3258z00_2897;
														BgL_new3258z00_2897 = BgL_new3236z00_2896;
														{	/* Cfa/specialize.scm 34 */
															obj_t BgL_fix3257z00_2899;

															BgL_fix3257z00_2899 = BgL_arg3800z00_1771;
															((((BgL_specializa7edzd2globalz75_bglt)
																		CREF(BgL_new3258z00_2897))->BgL_fixz00) =
																((obj_t) BgL_fix3257z00_2899), BUNSPEC);
															BgL_res3868z00_2900 = BgL_new3258z00_2897;
													}} BgL_res3868z00_2900;
												}
												BgL_res3869z00_2901 = BgL_new3236z00_2896;
											}
											BgL_arg3799z00_1770 = BgL_res3869z00_2901;
									}}
									{	/* Cfa/specialize.scm 34 */
										obj_t BgL_auxz00_3639;

										BgL_objectz00_bglt BgL_auxz00_3637;

										BgL_auxz00_3639 = (obj_t) (BgL_arg3799z00_1770);
										BgL_auxz00_3637 =
											(BgL_objectz00_bglt) (BgL_new3267z00_1768);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3637, BgL_auxz00_3639);
								}}
								BgL_auxz00_3616 = BgL_new3267z00_1768;
					}}}
					return (obj_t) (BgL_auxz00_3616);
				}
			}
		}
	}



/* object->struct-speci3439 */
	obj_t BGl_objectzd2ze3structzd2speci3439ze3zzcfa_specializa7eza7(obj_t
		BgL_envz00_2948, obj_t BgL_obj3262z00_2949)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 34 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_obj3262z00_1752;

				BgL_obj3262z00_1752 =
					(BgL_specializa7edzd2globalz75_bglt) (BgL_obj3262z00_2949);
				{

					{	/* Cfa/specialize.scm 34 */
						obj_t BgL_res3263z00_1755;

						{	/* Cfa/specialize.scm 34 */
							obj_t BgL_nextzd2method3438zd2_1760;

							BgL_nextzd2method3438zd2_1760 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3262z00_1752),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							if (PROCEDUREP(BgL_nextzd2method3438zd2_1760))
								{	/* Cfa/specialize.scm 34 */
									BgL_res3263z00_1755 =
										PROCEDURE_ENTRY(BgL_nextzd2method3438zd2_1760)
										(BgL_nextzd2method3438zd2_1760,
										(obj_t) (BgL_obj3262z00_1752), BEOA);
								}
							else
								{	/* Cfa/specialize.scm 34 */
									BgL_res3263z00_1755 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3262z00_1752));
								}
						}
						{	/* Cfa/specialize.scm 34 */
							obj_t BgL_aux3264z00_1756;

							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_keyz00_2872;

								BgL_keyz00_2872 = CNST_TABLE_REF(((long) 7));
								BgL_aux3264z00_1756 =
									make_struct(BgL_keyz00_2872, (int) (((long) 1)), BUNSPEC);
							}
							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_arg3794z00_1758;

								{
									obj_t BgL_auxz00_3656;

									{	/* Cfa/specialize.scm 34 */
										BgL_objectz00_bglt BgL_auxz00_3657;

										BgL_auxz00_3657 =
											(BgL_objectz00_bglt) (BgL_obj3262z00_1752);
										BgL_auxz00_3656 = BGL_OBJECT_WIDENING(BgL_auxz00_3657);
									}
									BgL_arg3794z00_1758 =
										(((BgL_specializa7edzd2globalz75_bglt)
											CREF(BgL_auxz00_3656))->BgL_fixz00);
								}
								{	/* Cfa/specialize.scm 34 */
									int BgL_auxz00_3661;

									BgL_auxz00_3661 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3264z00_1756, BgL_auxz00_3661,
										BgL_arg3794z00_1758);
							}}
							{	/* Cfa/specialize.scm 34 */
								int BgL_auxz00_3664;

								BgL_auxz00_3664 = (int) (((long) 0));
								STRUCT_SET(BgL_res3263z00_1755, BgL_auxz00_3664,
									BgL_aux3264z00_1756);
							}
							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_auxz00_3667;

								BgL_auxz00_3667 = STRUCT_KEY(BgL_res3263z00_1755);
								STRUCT_KEY_SET(BgL_aux3264z00_1756, BgL_auxz00_3667);
							}
							{	/* Cfa/specialize.scm 34 */
								obj_t BgL_kz00_2887;

								BgL_kz00_2887 = CNST_TABLE_REF(((long) 7));
								STRUCT_KEY_SET(BgL_res3263z00_1755, BgL_kz00_2887);
							}
							return BgL_res3263z00_1755;
						}
					}
				}
			}
		}
	}



/* patch!-app3437 */
	obj_t BGl_patchz12zd2app3437zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2950,
		obj_t BgL_nodez00_2951)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 484 */
			{
				BgL_appz00_bglt BgL_nodez00_1740;

				{	/* Cfa/specialize.scm 485 */
					BgL_appz00_bglt BgL_auxz00_3673;

					BgL_nodez00_1740 = (BgL_appz00_bglt) (BgL_nodez00_2951);
					{	/* Cfa/specialize.scm 486 */
						obj_t BgL_arg3787z00_1744;

						BgL_arg3787z00_1744 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1740))->BgL_argsz00);
						BGl_patchza2z12zb0zzcfa_specializa7eza7(BgL_arg3787z00_1744);
					}
					{	/* Cfa/specialize.scm 487 */
						obj_t BgL_arg3788z00_1745;

						{	/* Cfa/specialize.scm 487 */
							BgL_varz00_bglt BgL_arg3789z00_1746;

							BgL_arg3789z00_1746 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1740))->BgL_funz00);
							{	/* Cfa/specialize.scm 487 */
								BgL_nodez00_bglt BgL_nodez00_2841;

								BgL_nodez00_2841 = (BgL_nodez00_bglt) (BgL_arg3789z00_1746);
								{	/* Cfa/specialize.scm 487 */
									obj_t BgL_method3393z00_2842;

									{	/* Cfa/specialize.scm 487 */
										BgL_objectz00_bglt BgL_objz00_2843;

										BgL_objz00_2843 = (BgL_objectz00_bglt) (BgL_nodez00_2841);
										{	/* Cfa/specialize.scm 487 */
											long BgL_objzd2classzd2numz00_2844;

											BgL_objzd2classzd2numz00_2844 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2843);
											{	/* Cfa/specialize.scm 487 */
												obj_t BgL_arg2422z00_2845;

												BgL_arg2422z00_2845 =
													PROCEDURE_REF
													(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
													(int) (((long) 1)));
												{	/* Cfa/specialize.scm 487 */
													obj_t BgL_arrayz00_2847;

													int BgL_offsetz00_2848;

													BgL_arrayz00_2847 = BgL_arg2422z00_2845;
													BgL_offsetz00_2848 =
														(int) (BgL_objzd2classzd2numz00_2844);
													{	/* Cfa/specialize.scm 487 */
														long BgL_offsetz00_2849;

														BgL_offsetz00_2849 =
															((long) (BgL_offsetz00_2848) - OBJECT_TYPE);
														{	/* Cfa/specialize.scm 487 */
															long BgL_modz00_2850;

															{	/* Cfa/specialize.scm 487 */
																int BgL_arg2424z00_2851;

																BgL_arg2424z00_2851 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 487 */
																	long BgL_auxz00_3686;

																	BgL_auxz00_3686 =
																		(long) (BgL_arg2424z00_2851);
																	BgL_modz00_2850 =
																		(BgL_offsetz00_2849 / BgL_auxz00_3686);
															}}
															{	/* Cfa/specialize.scm 487 */
																long BgL_restz00_2852;

																{	/* Cfa/specialize.scm 487 */
																	int BgL_arg2423z00_2853;

																	BgL_arg2423z00_2853 = (int) (((long) 8));
																	{	/* Cfa/specialize.scm 487 */
																		long BgL_auxz00_3690;

																		BgL_auxz00_3690 =
																			(long) (BgL_arg2423z00_2853);
																		BgL_restz00_2852 =
																			(BgL_offsetz00_2849 % BgL_auxz00_3690);
																}}
																{	/* Cfa/specialize.scm 487 */

																	BgL_method3393z00_2842 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2847,
																			(int) (BgL_modz00_2850)),
																		(int) (BgL_restz00_2852));
									}}}}}}}}
									BgL_arg3788z00_1745 =
										PROCEDURE_ENTRY(BgL_method3393z00_2842)
										(BgL_method3393z00_2842, (obj_t) (BgL_nodez00_2841), BEOA);
						}}}
						{
							BgL_varz00_bglt BgL_auxz00_3700;

							BgL_auxz00_3700 = (BgL_varz00_bglt) (BgL_arg3788z00_1745);
							((((BgL_appz00_bglt) CREF(BgL_nodez00_1740))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_3700), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 488 */
						BgL_variablez00_bglt BgL_vz00_1747;

						{	/* Cfa/specialize.scm 488 */
							BgL_varz00_bglt BgL_obj2070z00_2870;

							BgL_obj2070z00_2870 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1740))->BgL_funz00);
							BgL_vz00_1747 =
								(((BgL_varz00_bglt) CREF(BgL_obj2070z00_2870))->
								BgL_variablez00);
						}
						{	/* Cfa/specialize.scm 490 */
							bool_t BgL_testz00_3705;

							{	/* Cfa/specialize.scm 490 */
								obj_t BgL_obj3268z00_2871;

								BgL_obj3268z00_2871 = (obj_t) (BgL_vz00_1747);
								BgL_testz00_3705 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3268z00_2871,
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							}
							if (BgL_testz00_3705)
								{	/* Cfa/specialize.scm 490 */
									BgL_auxz00_3673 =
										BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7
										(BgL_nodez00_1740);
								}
							else
								{	/* Cfa/specialize.scm 490 */
									BgL_auxz00_3673 = BgL_nodez00_1740;
								}
						}
					}
					return (obj_t) (BgL_auxz00_3673);
				}
			}
		}
	}



/* patch!-box-ref3434 */
	obj_t BGl_patchz12zd2boxzd2ref3434z12zzcfa_specializa7eza7(obj_t
		BgL_envz00_2952, obj_t BgL_nodez00_2953)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 465 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1732;

				{	/* Cfa/specialize.scm 466 */
					BgL_boxzd2refzd2_bglt BgL_auxz00_3711;

					BgL_nodez00_1732 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2953);
					{	/* Cfa/specialize.scm 467 */
						obj_t BgL_arg3784z00_1736;

						{	/* Cfa/specialize.scm 467 */
							BgL_varz00_bglt BgL_arg3785z00_1737;

							BgL_arg3785z00_1737 =
								(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1732))->BgL_varz00);
							{	/* Cfa/specialize.scm 467 */
								BgL_nodez00_bglt BgL_nodez00_2811;

								BgL_nodez00_2811 = (BgL_nodez00_bglt) (BgL_arg3785z00_1737);
								{	/* Cfa/specialize.scm 467 */
									obj_t BgL_method3393z00_2812;

									{	/* Cfa/specialize.scm 467 */
										BgL_objectz00_bglt BgL_objz00_2813;

										BgL_objz00_2813 = (BgL_objectz00_bglt) (BgL_nodez00_2811);
										{	/* Cfa/specialize.scm 467 */
											long BgL_objzd2classzd2numz00_2814;

											BgL_objzd2classzd2numz00_2814 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2813);
											{	/* Cfa/specialize.scm 467 */
												obj_t BgL_arg2422z00_2815;

												BgL_arg2422z00_2815 =
													PROCEDURE_REF
													(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
													(int) (((long) 1)));
												{	/* Cfa/specialize.scm 467 */
													obj_t BgL_arrayz00_2817;

													int BgL_offsetz00_2818;

													BgL_arrayz00_2817 = BgL_arg2422z00_2815;
													BgL_offsetz00_2818 =
														(int) (BgL_objzd2classzd2numz00_2814);
													{	/* Cfa/specialize.scm 467 */
														long BgL_offsetz00_2819;

														BgL_offsetz00_2819 =
															((long) (BgL_offsetz00_2818) - OBJECT_TYPE);
														{	/* Cfa/specialize.scm 467 */
															long BgL_modz00_2820;

															{	/* Cfa/specialize.scm 467 */
																int BgL_arg2424z00_2821;

																BgL_arg2424z00_2821 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 467 */
																	long BgL_auxz00_3722;

																	BgL_auxz00_3722 =
																		(long) (BgL_arg2424z00_2821);
																	BgL_modz00_2820 =
																		(BgL_offsetz00_2819 / BgL_auxz00_3722);
															}}
															{	/* Cfa/specialize.scm 467 */
																long BgL_restz00_2822;

																{	/* Cfa/specialize.scm 467 */
																	int BgL_arg2423z00_2823;

																	BgL_arg2423z00_2823 = (int) (((long) 8));
																	{	/* Cfa/specialize.scm 467 */
																		long BgL_auxz00_3726;

																		BgL_auxz00_3726 =
																			(long) (BgL_arg2423z00_2823);
																		BgL_restz00_2822 =
																			(BgL_offsetz00_2819 % BgL_auxz00_3726);
																}}
																{	/* Cfa/specialize.scm 467 */

																	BgL_method3393z00_2812 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2817,
																			(int) (BgL_modz00_2820)),
																		(int) (BgL_restz00_2822));
									}}}}}}}}
									BgL_arg3784z00_1736 =
										PROCEDURE_ENTRY(BgL_method3393z00_2812)
										(BgL_method3393z00_2812, (obj_t) (BgL_nodez00_2811), BEOA);
						}}}
						{
							BgL_varz00_bglt BgL_auxz00_3736;

							BgL_auxz00_3736 = (BgL_varz00_bglt) (BgL_arg3784z00_1736);
							((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1732))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_3736), BUNSPEC);
					}}
					BgL_auxz00_3711 = BgL_nodez00_1732;
					return (obj_t) (BgL_auxz00_3711);
				}
			}
		}
	}



/* patch!-box-set!3432 */
	obj_t BGl_patchz12zd2boxzd2setz123432z00zzcfa_specializa7eza7(obj_t
		BgL_envz00_2954, obj_t BgL_nodez00_2955)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 456 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1722;

				{	/* Cfa/specialize.scm 457 */
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_3741;

					BgL_nodez00_1722 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2955);
					{	/* Cfa/specialize.scm 458 */
						obj_t BgL_arg3779z00_1726;

						{	/* Cfa/specialize.scm 458 */
							BgL_varz00_bglt BgL_arg3780z00_1727;

							BgL_arg3780z00_1727 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1722))->
								BgL_varz00);
							{	/* Cfa/specialize.scm 458 */
								BgL_nodez00_bglt BgL_nodez00_2753;

								BgL_nodez00_2753 = (BgL_nodez00_bglt) (BgL_arg3780z00_1727);
								{	/* Cfa/specialize.scm 458 */
									obj_t BgL_method3393z00_2754;

									{	/* Cfa/specialize.scm 458 */
										BgL_objectz00_bglt BgL_objz00_2755;

										BgL_objz00_2755 = (BgL_objectz00_bglt) (BgL_nodez00_2753);
										{	/* Cfa/specialize.scm 458 */
											long BgL_objzd2classzd2numz00_2756;

											BgL_objzd2classzd2numz00_2756 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2755);
											{	/* Cfa/specialize.scm 458 */
												obj_t BgL_arg2422z00_2757;

												BgL_arg2422z00_2757 =
													PROCEDURE_REF
													(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
													(int) (((long) 1)));
												{	/* Cfa/specialize.scm 458 */
													obj_t BgL_arrayz00_2759;

													int BgL_offsetz00_2760;

													BgL_arrayz00_2759 = BgL_arg2422z00_2757;
													BgL_offsetz00_2760 =
														(int) (BgL_objzd2classzd2numz00_2756);
													{	/* Cfa/specialize.scm 458 */
														long BgL_offsetz00_2761;

														BgL_offsetz00_2761 =
															((long) (BgL_offsetz00_2760) - OBJECT_TYPE);
														{	/* Cfa/specialize.scm 458 */
															long BgL_modz00_2762;

															{	/* Cfa/specialize.scm 458 */
																int BgL_arg2424z00_2763;

																BgL_arg2424z00_2763 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 458 */
																	long BgL_auxz00_3752;

																	BgL_auxz00_3752 =
																		(long) (BgL_arg2424z00_2763);
																	BgL_modz00_2762 =
																		(BgL_offsetz00_2761 / BgL_auxz00_3752);
															}}
															{	/* Cfa/specialize.scm 458 */
																long BgL_restz00_2764;

																{	/* Cfa/specialize.scm 458 */
																	int BgL_arg2423z00_2765;

																	BgL_arg2423z00_2765 = (int) (((long) 8));
																	{	/* Cfa/specialize.scm 458 */
																		long BgL_auxz00_3756;

																		BgL_auxz00_3756 =
																			(long) (BgL_arg2423z00_2765);
																		BgL_restz00_2764 =
																			(BgL_offsetz00_2761 % BgL_auxz00_3756);
																}}
																{	/* Cfa/specialize.scm 458 */

																	BgL_method3393z00_2754 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2759,
																			(int) (BgL_modz00_2762)),
																		(int) (BgL_restz00_2764));
									}}}}}}}}
									BgL_arg3779z00_1726 =
										PROCEDURE_ENTRY(BgL_method3393z00_2754)
										(BgL_method3393z00_2754, (obj_t) (BgL_nodez00_2753), BEOA);
						}}}
						{
							BgL_varz00_bglt BgL_auxz00_3766;

							BgL_auxz00_3766 = (BgL_varz00_bglt) (BgL_arg3779z00_1726);
							((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1722))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_3766), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 459 */
						obj_t BgL_arg3781z00_1728;

						{	/* Cfa/specialize.scm 459 */
							BgL_nodez00_bglt BgL_arg3782z00_1729;

							BgL_arg3782z00_1729 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1722))->
								BgL_valuez00);
							{	/* Cfa/specialize.scm 459 */
								obj_t BgL_method3393z00_2783;

								{	/* Cfa/specialize.scm 459 */
									BgL_objectz00_bglt BgL_objz00_2784;

									BgL_objz00_2784 = (BgL_objectz00_bglt) (BgL_arg3782z00_1729);
									{	/* Cfa/specialize.scm 459 */
										long BgL_objzd2classzd2numz00_2785;

										BgL_objzd2classzd2numz00_2785 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2784);
										{	/* Cfa/specialize.scm 459 */
											obj_t BgL_arg2422z00_2786;

											BgL_arg2422z00_2786 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 459 */
												obj_t BgL_arrayz00_2788;

												int BgL_offsetz00_2789;

												BgL_arrayz00_2788 = BgL_arg2422z00_2786;
												BgL_offsetz00_2789 =
													(int) (BgL_objzd2classzd2numz00_2785);
												{	/* Cfa/specialize.scm 459 */
													long BgL_offsetz00_2790;

													BgL_offsetz00_2790 =
														((long) (BgL_offsetz00_2789) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 459 */
														long BgL_modz00_2791;

														{	/* Cfa/specialize.scm 459 */
															int BgL_arg2424z00_2792;

															BgL_arg2424z00_2792 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 459 */
																long BgL_auxz00_3778;

																BgL_auxz00_3778 = (long) (BgL_arg2424z00_2792);
																BgL_modz00_2791 =
																	(BgL_offsetz00_2790 / BgL_auxz00_3778);
														}}
														{	/* Cfa/specialize.scm 459 */
															long BgL_restz00_2793;

															{	/* Cfa/specialize.scm 459 */
																int BgL_arg2423z00_2794;

																BgL_arg2423z00_2794 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 459 */
																	long BgL_auxz00_3782;

																	BgL_auxz00_3782 =
																		(long) (BgL_arg2423z00_2794);
																	BgL_restz00_2793 =
																		(BgL_offsetz00_2790 % BgL_auxz00_3782);
															}}
															{	/* Cfa/specialize.scm 459 */

																BgL_method3393z00_2783 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2788,
																		(int) (BgL_modz00_2791)),
																	(int) (BgL_restz00_2793));
								}}}}}}}}
								BgL_arg3781z00_1728 =
									PROCEDURE_ENTRY(BgL_method3393z00_2783)
									(BgL_method3393z00_2783, (obj_t) (BgL_arg3782z00_1729), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_3792;

							BgL_auxz00_3792 = (BgL_nodez00_bglt) (BgL_arg3781z00_1728);
							((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1722))->
									BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_auxz00_3792), BUNSPEC);
					}}
					BgL_auxz00_3741 = BgL_nodez00_1722;
					return (obj_t) (BgL_auxz00_3741);
				}
			}
		}
	}



/* patch!-make-box3430 */
	obj_t BGl_patchz12zd2makezd2box3430z12zzcfa_specializa7eza7(obj_t
		BgL_envz00_2956, obj_t BgL_nodez00_2957)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 448 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1714;

				{	/* Cfa/specialize.scm 449 */
					BgL_makezd2boxzd2_bglt BgL_auxz00_3797;

					BgL_nodez00_1714 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2957);
					{	/* Cfa/specialize.scm 450 */
						obj_t BgL_arg3776z00_1718;

						{	/* Cfa/specialize.scm 450 */
							BgL_nodez00_bglt BgL_arg3777z00_1719;

							BgL_arg3777z00_1719 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1714))->
								BgL_valuez00);
							{	/* Cfa/specialize.scm 450 */
								obj_t BgL_method3393z00_2725;

								{	/* Cfa/specialize.scm 450 */
									BgL_objectz00_bglt BgL_objz00_2726;

									BgL_objz00_2726 = (BgL_objectz00_bglt) (BgL_arg3777z00_1719);
									{	/* Cfa/specialize.scm 450 */
										long BgL_objzd2classzd2numz00_2727;

										BgL_objzd2classzd2numz00_2727 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2726);
										{	/* Cfa/specialize.scm 450 */
											obj_t BgL_arg2422z00_2728;

											BgL_arg2422z00_2728 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 450 */
												obj_t BgL_arrayz00_2730;

												int BgL_offsetz00_2731;

												BgL_arrayz00_2730 = BgL_arg2422z00_2728;
												BgL_offsetz00_2731 =
													(int) (BgL_objzd2classzd2numz00_2727);
												{	/* Cfa/specialize.scm 450 */
													long BgL_offsetz00_2732;

													BgL_offsetz00_2732 =
														((long) (BgL_offsetz00_2731) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 450 */
														long BgL_modz00_2733;

														{	/* Cfa/specialize.scm 450 */
															int BgL_arg2424z00_2734;

															BgL_arg2424z00_2734 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 450 */
																long BgL_auxz00_3807;

																BgL_auxz00_3807 = (long) (BgL_arg2424z00_2734);
																BgL_modz00_2733 =
																	(BgL_offsetz00_2732 / BgL_auxz00_3807);
														}}
														{	/* Cfa/specialize.scm 450 */
															long BgL_restz00_2735;

															{	/* Cfa/specialize.scm 450 */
																int BgL_arg2423z00_2736;

																BgL_arg2423z00_2736 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 450 */
																	long BgL_auxz00_3811;

																	BgL_auxz00_3811 =
																		(long) (BgL_arg2423z00_2736);
																	BgL_restz00_2735 =
																		(BgL_offsetz00_2732 % BgL_auxz00_3811);
															}}
															{	/* Cfa/specialize.scm 450 */

																BgL_method3393z00_2725 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2730,
																		(int) (BgL_modz00_2733)),
																	(int) (BgL_restz00_2735));
								}}}}}}}}
								BgL_arg3776z00_1718 =
									PROCEDURE_ENTRY(BgL_method3393z00_2725)
									(BgL_method3393z00_2725, (obj_t) (BgL_arg3777z00_1719), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_3821;

							BgL_auxz00_3821 = (BgL_nodez00_bglt) (BgL_arg3776z00_1718);
							((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1714))->
									BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_auxz00_3821), BUNSPEC);
					}}
					BgL_auxz00_3797 = BgL_nodez00_1714;
					return (obj_t) (BgL_auxz00_3797);
				}
			}
		}
	}



/* patch!-jump-ex-it3428 */
	obj_t BGl_patchz12zd2jumpzd2exzd2it3428zc0zzcfa_specializa7eza7(obj_t
		BgL_envz00_2958, obj_t BgL_nodez00_2959)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 439 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1704;

				{	/* Cfa/specialize.scm 440 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3826;

					BgL_nodez00_1704 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2959);
					{	/* Cfa/specialize.scm 441 */
						obj_t BgL_arg3771z00_1708;

						{	/* Cfa/specialize.scm 441 */
							BgL_nodez00_bglt BgL_arg3772z00_1709;

							BgL_arg3772z00_1709 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1704))->
								BgL_exitz00);
							{	/* Cfa/specialize.scm 441 */
								obj_t BgL_method3393z00_2667;

								{	/* Cfa/specialize.scm 441 */
									BgL_objectz00_bglt BgL_objz00_2668;

									BgL_objz00_2668 = (BgL_objectz00_bglt) (BgL_arg3772z00_1709);
									{	/* Cfa/specialize.scm 441 */
										long BgL_objzd2classzd2numz00_2669;

										BgL_objzd2classzd2numz00_2669 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2668);
										{	/* Cfa/specialize.scm 441 */
											obj_t BgL_arg2422z00_2670;

											BgL_arg2422z00_2670 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 441 */
												obj_t BgL_arrayz00_2672;

												int BgL_offsetz00_2673;

												BgL_arrayz00_2672 = BgL_arg2422z00_2670;
												BgL_offsetz00_2673 =
													(int) (BgL_objzd2classzd2numz00_2669);
												{	/* Cfa/specialize.scm 441 */
													long BgL_offsetz00_2674;

													BgL_offsetz00_2674 =
														((long) (BgL_offsetz00_2673) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 441 */
														long BgL_modz00_2675;

														{	/* Cfa/specialize.scm 441 */
															int BgL_arg2424z00_2676;

															BgL_arg2424z00_2676 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 441 */
																long BgL_auxz00_3836;

																BgL_auxz00_3836 = (long) (BgL_arg2424z00_2676);
																BgL_modz00_2675 =
																	(BgL_offsetz00_2674 / BgL_auxz00_3836);
														}}
														{	/* Cfa/specialize.scm 441 */
															long BgL_restz00_2677;

															{	/* Cfa/specialize.scm 441 */
																int BgL_arg2423z00_2678;

																BgL_arg2423z00_2678 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 441 */
																	long BgL_auxz00_3840;

																	BgL_auxz00_3840 =
																		(long) (BgL_arg2423z00_2678);
																	BgL_restz00_2677 =
																		(BgL_offsetz00_2674 % BgL_auxz00_3840);
															}}
															{	/* Cfa/specialize.scm 441 */

																BgL_method3393z00_2667 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2672,
																		(int) (BgL_modz00_2675)),
																	(int) (BgL_restz00_2677));
								}}}}}}}}
								BgL_arg3771z00_1708 =
									PROCEDURE_ENTRY(BgL_method3393z00_2667)
									(BgL_method3393z00_2667, (obj_t) (BgL_arg3772z00_1709), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_3850;

							BgL_auxz00_3850 = (BgL_nodez00_bglt) (BgL_arg3771z00_1708);
							((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1704))->
									BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3850), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 442 */
						obj_t BgL_arg3773z00_1710;

						{	/* Cfa/specialize.scm 442 */
							BgL_nodez00_bglt BgL_arg3774z00_1711;

							BgL_arg3774z00_1711 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1704))->
								BgL_valuez00);
							{	/* Cfa/specialize.scm 442 */
								obj_t BgL_method3393z00_2696;

								{	/* Cfa/specialize.scm 442 */
									BgL_objectz00_bglt BgL_objz00_2697;

									BgL_objz00_2697 = (BgL_objectz00_bglt) (BgL_arg3774z00_1711);
									{	/* Cfa/specialize.scm 442 */
										long BgL_objzd2classzd2numz00_2698;

										BgL_objzd2classzd2numz00_2698 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2697);
										{	/* Cfa/specialize.scm 442 */
											obj_t BgL_arg2422z00_2699;

											BgL_arg2422z00_2699 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 442 */
												obj_t BgL_arrayz00_2701;

												int BgL_offsetz00_2702;

												BgL_arrayz00_2701 = BgL_arg2422z00_2699;
												BgL_offsetz00_2702 =
													(int) (BgL_objzd2classzd2numz00_2698);
												{	/* Cfa/specialize.scm 442 */
													long BgL_offsetz00_2703;

													BgL_offsetz00_2703 =
														((long) (BgL_offsetz00_2702) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 442 */
														long BgL_modz00_2704;

														{	/* Cfa/specialize.scm 442 */
															int BgL_arg2424z00_2705;

															BgL_arg2424z00_2705 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 442 */
																long BgL_auxz00_3862;

																BgL_auxz00_3862 = (long) (BgL_arg2424z00_2705);
																BgL_modz00_2704 =
																	(BgL_offsetz00_2703 / BgL_auxz00_3862);
														}}
														{	/* Cfa/specialize.scm 442 */
															long BgL_restz00_2706;

															{	/* Cfa/specialize.scm 442 */
																int BgL_arg2423z00_2707;

																BgL_arg2423z00_2707 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 442 */
																	long BgL_auxz00_3866;

																	BgL_auxz00_3866 =
																		(long) (BgL_arg2423z00_2707);
																	BgL_restz00_2706 =
																		(BgL_offsetz00_2703 % BgL_auxz00_3866);
															}}
															{	/* Cfa/specialize.scm 442 */

																BgL_method3393z00_2696 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2701,
																		(int) (BgL_modz00_2704)),
																	(int) (BgL_restz00_2706));
								}}}}}}}}
								BgL_arg3773z00_1710 =
									PROCEDURE_ENTRY(BgL_method3393z00_2696)
									(BgL_method3393z00_2696, (obj_t) (BgL_arg3774z00_1711), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_3876;

							BgL_auxz00_3876 = (BgL_nodez00_bglt) (BgL_arg3773z00_1710);
							((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1704))->
									BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_auxz00_3876), BUNSPEC);
					}}
					BgL_auxz00_3826 = BgL_nodez00_1704;
					return (obj_t) (BgL_auxz00_3826);
				}
			}
		}
	}



/* patch!-set-ex-it3426 */
	obj_t BGl_patchz12zd2setzd2exzd2it3426zc0zzcfa_specializa7eza7(obj_t
		BgL_envz00_2960, obj_t BgL_nodez00_2961)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 430 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1695;

				{	/* Cfa/specialize.scm 431 */
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_3881;

					BgL_nodez00_1695 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2961);
					{	/* Cfa/specialize.scm 432 */
						obj_t BgL_arg3767z00_1699;

						{	/* Cfa/specialize.scm 432 */
							BgL_nodez00_bglt BgL_arg3768z00_1700;

							BgL_arg3768z00_1700 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1695))->
								BgL_bodyz00);
							{	/* Cfa/specialize.scm 432 */
								obj_t BgL_method3393z00_2611;

								{	/* Cfa/specialize.scm 432 */
									BgL_objectz00_bglt BgL_objz00_2612;

									BgL_objz00_2612 = (BgL_objectz00_bglt) (BgL_arg3768z00_1700);
									{	/* Cfa/specialize.scm 432 */
										long BgL_objzd2classzd2numz00_2613;

										BgL_objzd2classzd2numz00_2613 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2612);
										{	/* Cfa/specialize.scm 432 */
											obj_t BgL_arg2422z00_2614;

											BgL_arg2422z00_2614 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 432 */
												obj_t BgL_arrayz00_2616;

												int BgL_offsetz00_2617;

												BgL_arrayz00_2616 = BgL_arg2422z00_2614;
												BgL_offsetz00_2617 =
													(int) (BgL_objzd2classzd2numz00_2613);
												{	/* Cfa/specialize.scm 432 */
													long BgL_offsetz00_2618;

													BgL_offsetz00_2618 =
														((long) (BgL_offsetz00_2617) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 432 */
														long BgL_modz00_2619;

														{	/* Cfa/specialize.scm 432 */
															int BgL_arg2424z00_2620;

															BgL_arg2424z00_2620 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 432 */
																long BgL_auxz00_3891;

																BgL_auxz00_3891 = (long) (BgL_arg2424z00_2620);
																BgL_modz00_2619 =
																	(BgL_offsetz00_2618 / BgL_auxz00_3891);
														}}
														{	/* Cfa/specialize.scm 432 */
															long BgL_restz00_2621;

															{	/* Cfa/specialize.scm 432 */
																int BgL_arg2423z00_2622;

																BgL_arg2423z00_2622 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 432 */
																	long BgL_auxz00_3895;

																	BgL_auxz00_3895 =
																		(long) (BgL_arg2423z00_2622);
																	BgL_restz00_2621 =
																		(BgL_offsetz00_2618 % BgL_auxz00_3895);
															}}
															{	/* Cfa/specialize.scm 432 */

																BgL_method3393z00_2611 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2616,
																		(int) (BgL_modz00_2619)),
																	(int) (BgL_restz00_2621));
								}}}}}}}}
								BgL_arg3767z00_1699 =
									PROCEDURE_ENTRY(BgL_method3393z00_2611)
									(BgL_method3393z00_2611, (obj_t) (BgL_arg3768z00_1700), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_3905;

							BgL_auxz00_3905 = (BgL_nodez00_bglt) (BgL_arg3767z00_1699);
							((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1695))->
									BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3905), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 433 */
						BgL_varz00_bglt BgL_arg3769z00_1701;

						BgL_arg3769z00_1701 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1695))->
							BgL_varz00);
						{	/* Cfa/specialize.scm 433 */
							BgL_nodez00_bglt BgL_nodez00_2639;

							BgL_nodez00_2639 = (BgL_nodez00_bglt) (BgL_arg3769z00_1701);
							{	/* Cfa/specialize.scm 433 */
								obj_t BgL_method3393z00_2640;

								{	/* Cfa/specialize.scm 433 */
									BgL_objectz00_bglt BgL_objz00_2641;

									BgL_objz00_2641 = (BgL_objectz00_bglt) (BgL_nodez00_2639);
									{	/* Cfa/specialize.scm 433 */
										long BgL_objzd2classzd2numz00_2642;

										BgL_objzd2classzd2numz00_2642 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2641);
										{	/* Cfa/specialize.scm 433 */
											obj_t BgL_arg2422z00_2643;

											BgL_arg2422z00_2643 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 433 */
												obj_t BgL_arrayz00_2645;

												int BgL_offsetz00_2646;

												BgL_arrayz00_2645 = BgL_arg2422z00_2643;
												BgL_offsetz00_2646 =
													(int) (BgL_objzd2classzd2numz00_2642);
												{	/* Cfa/specialize.scm 433 */
													long BgL_offsetz00_2647;

													BgL_offsetz00_2647 =
														((long) (BgL_offsetz00_2646) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 433 */
														long BgL_modz00_2648;

														{	/* Cfa/specialize.scm 433 */
															int BgL_arg2424z00_2649;

															BgL_arg2424z00_2649 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 433 */
																long BgL_auxz00_3918;

																BgL_auxz00_3918 = (long) (BgL_arg2424z00_2649);
																BgL_modz00_2648 =
																	(BgL_offsetz00_2647 / BgL_auxz00_3918);
														}}
														{	/* Cfa/specialize.scm 433 */
															long BgL_restz00_2650;

															{	/* Cfa/specialize.scm 433 */
																int BgL_arg2423z00_2651;

																BgL_arg2423z00_2651 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 433 */
																	long BgL_auxz00_3922;

																	BgL_auxz00_3922 =
																		(long) (BgL_arg2423z00_2651);
																	BgL_restz00_2650 =
																		(BgL_offsetz00_2647 % BgL_auxz00_3922);
															}}
															{	/* Cfa/specialize.scm 433 */

																BgL_method3393z00_2640 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2645,
																		(int) (BgL_modz00_2648)),
																	(int) (BgL_restz00_2650));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3393z00_2640) (BgL_method3393z00_2640,
									(obj_t) (BgL_nodez00_2639), BEOA);
					}}}
					BgL_auxz00_3881 = BgL_nodez00_1695;
					return (obj_t) (BgL_auxz00_3881);
				}
			}
		}
	}



/* patch!-let-var3424 */
	obj_t BGl_patchz12zd2letzd2var3424z12zzcfa_specializa7eza7(obj_t
		BgL_envz00_2962, obj_t BgL_nodez00_2963)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 418 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1677;

				{	/* Cfa/specialize.scm 419 */
					BgL_letzd2varzd2_bglt BgL_auxz00_3934;

					BgL_nodez00_1677 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2963);
					{	/* Cfa/specialize.scm 420 */
						obj_t BgL_g3389z00_1681;

						BgL_g3389z00_1681 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1677))->
							BgL_bindingsz00);
						{
							obj_t BgL_l3387z00_1683;

							BgL_l3387z00_1683 = BgL_g3389z00_1681;
						BgL_zc3anonymousza33760ze3z83_1684:
							if (PAIRP(BgL_l3387z00_1683))
								{	/* Cfa/specialize.scm 420 */
									{	/* Cfa/specialize.scm 421 */
										obj_t BgL_bindingz00_1686;

										BgL_bindingz00_1686 = CAR(BgL_l3387z00_1683);
										{	/* Cfa/specialize.scm 421 */
											obj_t BgL_valz00_1687;

											BgL_valz00_1687 = CDR(BgL_bindingz00_1686);
											{	/* Cfa/specialize.scm 422 */
												obj_t BgL_arg3762z00_1688;

												{	/* Cfa/specialize.scm 422 */
													BgL_nodez00_bglt BgL_nodez00_2551;

													BgL_nodez00_2551 =
														(BgL_nodez00_bglt) (BgL_valz00_1687);
													{	/* Cfa/specialize.scm 422 */
														obj_t BgL_method3393z00_2552;

														{	/* Cfa/specialize.scm 422 */
															BgL_objectz00_bglt BgL_objz00_2553;

															BgL_objz00_2553 =
																(BgL_objectz00_bglt) (BgL_nodez00_2551);
															{	/* Cfa/specialize.scm 422 */
																long BgL_objzd2classzd2numz00_2554;

																BgL_objzd2classzd2numz00_2554 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_2553);
																{	/* Cfa/specialize.scm 422 */
																	obj_t BgL_arg2422z00_2555;

																	BgL_arg2422z00_2555 =
																		PROCEDURE_REF
																		(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
																		(int) (((long) 1)));
																	{	/* Cfa/specialize.scm 422 */
																		obj_t BgL_arrayz00_2557;

																		int BgL_offsetz00_2558;

																		BgL_arrayz00_2557 = BgL_arg2422z00_2555;
																		BgL_offsetz00_2558 =
																			(int) (BgL_objzd2classzd2numz00_2554);
																		{	/* Cfa/specialize.scm 422 */
																			long BgL_offsetz00_2559;

																			BgL_offsetz00_2559 =
																				(
																				(long) (BgL_offsetz00_2558) -
																				OBJECT_TYPE);
																			{	/* Cfa/specialize.scm 422 */
																				long BgL_modz00_2560;

																				{	/* Cfa/specialize.scm 422 */
																					int BgL_arg2424z00_2561;

																					BgL_arg2424z00_2561 =
																						(int) (((long) 8));
																					{	/* Cfa/specialize.scm 422 */
																						long BgL_auxz00_3949;

																						BgL_auxz00_3949 =
																							(long) (BgL_arg2424z00_2561);
																						BgL_modz00_2560 =
																							(BgL_offsetz00_2559 /
																							BgL_auxz00_3949);
																				}}
																				{	/* Cfa/specialize.scm 422 */
																					long BgL_restz00_2562;

																					{	/* Cfa/specialize.scm 422 */
																						int BgL_arg2423z00_2563;

																						BgL_arg2423z00_2563 =
																							(int) (((long) 8));
																						{	/* Cfa/specialize.scm 422 */
																							long BgL_auxz00_3953;

																							BgL_auxz00_3953 =
																								(long) (BgL_arg2423z00_2563);
																							BgL_restz00_2562 =
																								(BgL_offsetz00_2559 %
																								BgL_auxz00_3953);
																					}}
																					{	/* Cfa/specialize.scm 422 */

																						BgL_method3393z00_2552 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_2557,
																								(int) (BgL_modz00_2560)),
																							(int) (BgL_restz00_2562));
														}}}}}}}}
														BgL_arg3762z00_1688 =
															PROCEDURE_ENTRY(BgL_method3393z00_2552)
															(BgL_method3393z00_2552,
															(obj_t) (BgL_nodez00_2551), BEOA);
												}}
												SET_CDR(BgL_bindingz00_1686, BgL_arg3762z00_1688);
									}}}
									{
										obj_t BgL_l3387z00_3964;

										BgL_l3387z00_3964 = CDR(BgL_l3387z00_1683);
										BgL_l3387z00_1683 = BgL_l3387z00_3964;
										goto BgL_zc3anonymousza33760ze3z83_1684;
									}
								}
							else
								{	/* Cfa/specialize.scm 420 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/specialize.scm 424 */
						obj_t BgL_arg3764z00_1691;

						{	/* Cfa/specialize.scm 424 */
							BgL_nodez00_bglt BgL_arg3765z00_1692;

							BgL_arg3765z00_1692 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1677))->BgL_bodyz00);
							{	/* Cfa/specialize.scm 424 */
								obj_t BgL_method3393z00_2582;

								{	/* Cfa/specialize.scm 424 */
									BgL_objectz00_bglt BgL_objz00_2583;

									BgL_objz00_2583 = (BgL_objectz00_bglt) (BgL_arg3765z00_1692);
									{	/* Cfa/specialize.scm 424 */
										long BgL_objzd2classzd2numz00_2584;

										BgL_objzd2classzd2numz00_2584 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2583);
										{	/* Cfa/specialize.scm 424 */
											obj_t BgL_arg2422z00_2585;

											BgL_arg2422z00_2585 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 424 */
												obj_t BgL_arrayz00_2587;

												int BgL_offsetz00_2588;

												BgL_arrayz00_2587 = BgL_arg2422z00_2585;
												BgL_offsetz00_2588 =
													(int) (BgL_objzd2classzd2numz00_2584);
												{	/* Cfa/specialize.scm 424 */
													long BgL_offsetz00_2589;

													BgL_offsetz00_2589 =
														((long) (BgL_offsetz00_2588) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 424 */
														long BgL_modz00_2590;

														{	/* Cfa/specialize.scm 424 */
															int BgL_arg2424z00_2591;

															BgL_arg2424z00_2591 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 424 */
																long BgL_auxz00_3975;

																BgL_auxz00_3975 = (long) (BgL_arg2424z00_2591);
																BgL_modz00_2590 =
																	(BgL_offsetz00_2589 / BgL_auxz00_3975);
														}}
														{	/* Cfa/specialize.scm 424 */
															long BgL_restz00_2592;

															{	/* Cfa/specialize.scm 424 */
																int BgL_arg2423z00_2593;

																BgL_arg2423z00_2593 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 424 */
																	long BgL_auxz00_3979;

																	BgL_auxz00_3979 =
																		(long) (BgL_arg2423z00_2593);
																	BgL_restz00_2592 =
																		(BgL_offsetz00_2589 % BgL_auxz00_3979);
															}}
															{	/* Cfa/specialize.scm 424 */

																BgL_method3393z00_2582 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2587,
																		(int) (BgL_modz00_2590)),
																	(int) (BgL_restz00_2592));
								}}}}}}}}
								BgL_arg3764z00_1691 =
									PROCEDURE_ENTRY(BgL_method3393z00_2582)
									(BgL_method3393z00_2582, (obj_t) (BgL_arg3765z00_1692), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_3989;

							BgL_auxz00_3989 = (BgL_nodez00_bglt) (BgL_arg3764z00_1691);
							((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1677))->BgL_bodyz00) =
								((BgL_nodez00_bglt) BgL_auxz00_3989), BUNSPEC);
					}}
					BgL_auxz00_3934 = BgL_nodez00_1677;
					return (obj_t) (BgL_auxz00_3934);
				}
			}
		}
	}



/* patch!-let-fun3422 */
	obj_t BGl_patchz12zd2letzd2fun3422z12zzcfa_specializa7eza7(obj_t
		BgL_envz00_2964, obj_t BgL_nodez00_2965)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 409 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1661;

				{	/* Cfa/specialize.scm 410 */
					BgL_letzd2funzd2_bglt BgL_auxz00_3994;

					BgL_nodez00_1661 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2965);
					{	/* Cfa/specialize.scm 411 */
						obj_t BgL_g3386z00_1665;

						BgL_g3386z00_1665 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1661))->BgL_localsz00);
						{
							obj_t BgL_l3384z00_1667;

							BgL_l3384z00_1667 = BgL_g3386z00_1665;
						BgL_zc3anonymousza33753ze3z83_1668:
							if (PAIRP(BgL_l3384z00_1667))
								{	/* Cfa/specialize.scm 411 */
									BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
										(BgL_l3384z00_1667));
									{
										obj_t BgL_l3384z00_4000;

										BgL_l3384z00_4000 = CDR(BgL_l3384z00_1667);
										BgL_l3384z00_1667 = BgL_l3384z00_4000;
										goto BgL_zc3anonymousza33753ze3z83_1668;
									}
								}
							else
								{	/* Cfa/specialize.scm 411 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/specialize.scm 412 */
						obj_t BgL_arg3757z00_1673;

						{	/* Cfa/specialize.scm 412 */
							BgL_nodez00_bglt BgL_arg3758z00_1674;

							BgL_arg3758z00_1674 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1661))->BgL_bodyz00);
							{	/* Cfa/specialize.scm 412 */
								obj_t BgL_method3393z00_2520;

								{	/* Cfa/specialize.scm 412 */
									BgL_objectz00_bglt BgL_objz00_2521;

									BgL_objz00_2521 = (BgL_objectz00_bglt) (BgL_arg3758z00_1674);
									{	/* Cfa/specialize.scm 412 */
										long BgL_objzd2classzd2numz00_2522;

										BgL_objzd2classzd2numz00_2522 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2521);
										{	/* Cfa/specialize.scm 412 */
											obj_t BgL_arg2422z00_2523;

											BgL_arg2422z00_2523 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 412 */
												obj_t BgL_arrayz00_2525;

												int BgL_offsetz00_2526;

												BgL_arrayz00_2525 = BgL_arg2422z00_2523;
												BgL_offsetz00_2526 =
													(int) (BgL_objzd2classzd2numz00_2522);
												{	/* Cfa/specialize.scm 412 */
													long BgL_offsetz00_2527;

													BgL_offsetz00_2527 =
														((long) (BgL_offsetz00_2526) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 412 */
														long BgL_modz00_2528;

														{	/* Cfa/specialize.scm 412 */
															int BgL_arg2424z00_2529;

															BgL_arg2424z00_2529 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 412 */
																long BgL_auxz00_4011;

																BgL_auxz00_4011 = (long) (BgL_arg2424z00_2529);
																BgL_modz00_2528 =
																	(BgL_offsetz00_2527 / BgL_auxz00_4011);
														}}
														{	/* Cfa/specialize.scm 412 */
															long BgL_restz00_2530;

															{	/* Cfa/specialize.scm 412 */
																int BgL_arg2423z00_2531;

																BgL_arg2423z00_2531 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 412 */
																	long BgL_auxz00_4015;

																	BgL_auxz00_4015 =
																		(long) (BgL_arg2423z00_2531);
																	BgL_restz00_2530 =
																		(BgL_offsetz00_2527 % BgL_auxz00_4015);
															}}
															{	/* Cfa/specialize.scm 412 */

																BgL_method3393z00_2520 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2525,
																		(int) (BgL_modz00_2528)),
																	(int) (BgL_restz00_2530));
								}}}}}}}}
								BgL_arg3757z00_1673 =
									PROCEDURE_ENTRY(BgL_method3393z00_2520)
									(BgL_method3393z00_2520, (obj_t) (BgL_arg3758z00_1674), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4025;

							BgL_auxz00_4025 = (BgL_nodez00_bglt) (BgL_arg3757z00_1673);
							((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1661))->BgL_bodyz00) =
								((BgL_nodez00_bglt) BgL_auxz00_4025), BUNSPEC);
					}}
					BgL_auxz00_3994 = BgL_nodez00_1661;
					return (obj_t) (BgL_auxz00_3994);
				}
			}
		}
	}



/* patch!-select3420 */
	obj_t BGl_patchz12zd2select3420zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2966,
		obj_t BgL_nodez00_2967)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 398 */
			{
				BgL_selectz00_bglt BgL_nodez00_1643;

				{	/* Cfa/specialize.scm 399 */
					BgL_selectz00_bglt BgL_auxz00_4030;

					BgL_nodez00_1643 = (BgL_selectz00_bglt) (BgL_nodez00_2967);
					{	/* Cfa/specialize.scm 400 */
						obj_t BgL_arg3745z00_1647;

						{	/* Cfa/specialize.scm 400 */
							BgL_nodez00_bglt BgL_arg3746z00_1648;

							BgL_arg3746z00_1648 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1643))->BgL_testz00);
							{	/* Cfa/specialize.scm 400 */
								obj_t BgL_method3393z00_2454;

								{	/* Cfa/specialize.scm 400 */
									BgL_objectz00_bglt BgL_objz00_2455;

									BgL_objz00_2455 = (BgL_objectz00_bglt) (BgL_arg3746z00_1648);
									{	/* Cfa/specialize.scm 400 */
										long BgL_objzd2classzd2numz00_2456;

										BgL_objzd2classzd2numz00_2456 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2455);
										{	/* Cfa/specialize.scm 400 */
											obj_t BgL_arg2422z00_2457;

											BgL_arg2422z00_2457 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 400 */
												obj_t BgL_arrayz00_2459;

												int BgL_offsetz00_2460;

												BgL_arrayz00_2459 = BgL_arg2422z00_2457;
												BgL_offsetz00_2460 =
													(int) (BgL_objzd2classzd2numz00_2456);
												{	/* Cfa/specialize.scm 400 */
													long BgL_offsetz00_2461;

													BgL_offsetz00_2461 =
														((long) (BgL_offsetz00_2460) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 400 */
														long BgL_modz00_2462;

														{	/* Cfa/specialize.scm 400 */
															int BgL_arg2424z00_2463;

															BgL_arg2424z00_2463 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 400 */
																long BgL_auxz00_4040;

																BgL_auxz00_4040 = (long) (BgL_arg2424z00_2463);
																BgL_modz00_2462 =
																	(BgL_offsetz00_2461 / BgL_auxz00_4040);
														}}
														{	/* Cfa/specialize.scm 400 */
															long BgL_restz00_2464;

															{	/* Cfa/specialize.scm 400 */
																int BgL_arg2423z00_2465;

																BgL_arg2423z00_2465 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 400 */
																	long BgL_auxz00_4044;

																	BgL_auxz00_4044 =
																		(long) (BgL_arg2423z00_2465);
																	BgL_restz00_2464 =
																		(BgL_offsetz00_2461 % BgL_auxz00_4044);
															}}
															{	/* Cfa/specialize.scm 400 */

																BgL_method3393z00_2454 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2459,
																		(int) (BgL_modz00_2462)),
																	(int) (BgL_restz00_2464));
								}}}}}}}}
								BgL_arg3745z00_1647 =
									PROCEDURE_ENTRY(BgL_method3393z00_2454)
									(BgL_method3393z00_2454, (obj_t) (BgL_arg3746z00_1648), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4054;

							BgL_auxz00_4054 = (BgL_nodez00_bglt) (BgL_arg3745z00_1647);
							((((BgL_selectz00_bglt) CREF(BgL_nodez00_1643))->BgL_testz00) =
								((BgL_nodez00_bglt) BgL_auxz00_4054), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 401 */
						obj_t BgL_g3383z00_1649;

						BgL_g3383z00_1649 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1643))->BgL_clausesz00);
						{
							obj_t BgL_l3381z00_1651;

							BgL_l3381z00_1651 = BgL_g3383z00_1649;
						BgL_zc3anonymousza33747ze3z83_1652:
							if (PAIRP(BgL_l3381z00_1651))
								{	/* Cfa/specialize.scm 401 */
									{	/* Cfa/specialize.scm 402 */
										obj_t BgL_clausez00_1654;

										BgL_clausez00_1654 = CAR(BgL_l3381z00_1651);
										{	/* Cfa/specialize.scm 402 */
											obj_t BgL_arg3749z00_1655;

											{	/* Cfa/specialize.scm 402 */
												obj_t BgL_arg3750z00_1656;

												BgL_arg3750z00_1656 = CDR(BgL_clausez00_1654);
												{	/* Cfa/specialize.scm 402 */
													BgL_nodez00_bglt BgL_nodez00_2485;

													BgL_nodez00_2485 =
														(BgL_nodez00_bglt) (BgL_arg3750z00_1656);
													{	/* Cfa/specialize.scm 402 */
														obj_t BgL_method3393z00_2486;

														{	/* Cfa/specialize.scm 402 */
															BgL_objectz00_bglt BgL_objz00_2487;

															BgL_objz00_2487 =
																(BgL_objectz00_bglt) (BgL_nodez00_2485);
															{	/* Cfa/specialize.scm 402 */
																long BgL_objzd2classzd2numz00_2488;

																BgL_objzd2classzd2numz00_2488 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_2487);
																{	/* Cfa/specialize.scm 402 */
																	obj_t BgL_arg2422z00_2489;

																	BgL_arg2422z00_2489 =
																		PROCEDURE_REF
																		(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
																		(int) (((long) 1)));
																	{	/* Cfa/specialize.scm 402 */
																		obj_t BgL_arrayz00_2491;

																		int BgL_offsetz00_2492;

																		BgL_arrayz00_2491 = BgL_arg2422z00_2489;
																		BgL_offsetz00_2492 =
																			(int) (BgL_objzd2classzd2numz00_2488);
																		{	/* Cfa/specialize.scm 402 */
																			long BgL_offsetz00_2493;

																			BgL_offsetz00_2493 =
																				(
																				(long) (BgL_offsetz00_2492) -
																				OBJECT_TYPE);
																			{	/* Cfa/specialize.scm 402 */
																				long BgL_modz00_2494;

																				{	/* Cfa/specialize.scm 402 */
																					int BgL_arg2424z00_2495;

																					BgL_arg2424z00_2495 =
																						(int) (((long) 8));
																					{	/* Cfa/specialize.scm 402 */
																						long BgL_auxz00_4071;

																						BgL_auxz00_4071 =
																							(long) (BgL_arg2424z00_2495);
																						BgL_modz00_2494 =
																							(BgL_offsetz00_2493 /
																							BgL_auxz00_4071);
																				}}
																				{	/* Cfa/specialize.scm 402 */
																					long BgL_restz00_2496;

																					{	/* Cfa/specialize.scm 402 */
																						int BgL_arg2423z00_2497;

																						BgL_arg2423z00_2497 =
																							(int) (((long) 8));
																						{	/* Cfa/specialize.scm 402 */
																							long BgL_auxz00_4075;

																							BgL_auxz00_4075 =
																								(long) (BgL_arg2423z00_2497);
																							BgL_restz00_2496 =
																								(BgL_offsetz00_2493 %
																								BgL_auxz00_4075);
																					}}
																					{	/* Cfa/specialize.scm 402 */

																						BgL_method3393z00_2486 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_2491,
																								(int) (BgL_modz00_2494)),
																							(int) (BgL_restz00_2496));
														}}}}}}}}
														BgL_arg3749z00_1655 =
															PROCEDURE_ENTRY(BgL_method3393z00_2486)
															(BgL_method3393z00_2486,
															(obj_t) (BgL_nodez00_2485), BEOA);
											}}}
											SET_CDR(BgL_clausez00_1654, BgL_arg3749z00_1655);
									}}
									{
										obj_t BgL_l3381z00_4086;

										BgL_l3381z00_4086 = CDR(BgL_l3381z00_1651);
										BgL_l3381z00_1651 = BgL_l3381z00_4086;
										goto BgL_zc3anonymousza33747ze3z83_1652;
									}
								}
							else
								{	/* Cfa/specialize.scm 401 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_4030 = BgL_nodez00_1643;
					return (obj_t) (BgL_auxz00_4030);
				}
			}
		}
	}



/* patch!-fail3418 */
	obj_t BGl_patchz12zd2fail3418zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2968,
		obj_t BgL_nodez00_2969)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 388 */
			{
				BgL_failz00_bglt BgL_nodez00_1631;

				{	/* Cfa/specialize.scm 389 */
					BgL_failz00_bglt BgL_auxz00_4090;

					BgL_nodez00_1631 = (BgL_failz00_bglt) (BgL_nodez00_2969);
					{	/* Cfa/specialize.scm 390 */
						obj_t BgL_arg3738z00_1635;

						{	/* Cfa/specialize.scm 390 */
							BgL_nodez00_bglt BgL_arg3739z00_1636;

							BgL_arg3739z00_1636 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1631))->BgL_procz00);
							{	/* Cfa/specialize.scm 390 */
								obj_t BgL_method3393z00_2367;

								{	/* Cfa/specialize.scm 390 */
									BgL_objectz00_bglt BgL_objz00_2368;

									BgL_objz00_2368 = (BgL_objectz00_bglt) (BgL_arg3739z00_1636);
									{	/* Cfa/specialize.scm 390 */
										long BgL_objzd2classzd2numz00_2369;

										BgL_objzd2classzd2numz00_2369 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2368);
										{	/* Cfa/specialize.scm 390 */
											obj_t BgL_arg2422z00_2370;

											BgL_arg2422z00_2370 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 390 */
												obj_t BgL_arrayz00_2372;

												int BgL_offsetz00_2373;

												BgL_arrayz00_2372 = BgL_arg2422z00_2370;
												BgL_offsetz00_2373 =
													(int) (BgL_objzd2classzd2numz00_2369);
												{	/* Cfa/specialize.scm 390 */
													long BgL_offsetz00_2374;

													BgL_offsetz00_2374 =
														((long) (BgL_offsetz00_2373) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 390 */
														long BgL_modz00_2375;

														{	/* Cfa/specialize.scm 390 */
															int BgL_arg2424z00_2376;

															BgL_arg2424z00_2376 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 390 */
																long BgL_auxz00_4100;

																BgL_auxz00_4100 = (long) (BgL_arg2424z00_2376);
																BgL_modz00_2375 =
																	(BgL_offsetz00_2374 / BgL_auxz00_4100);
														}}
														{	/* Cfa/specialize.scm 390 */
															long BgL_restz00_2377;

															{	/* Cfa/specialize.scm 390 */
																int BgL_arg2423z00_2378;

																BgL_arg2423z00_2378 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 390 */
																	long BgL_auxz00_4104;

																	BgL_auxz00_4104 =
																		(long) (BgL_arg2423z00_2378);
																	BgL_restz00_2377 =
																		(BgL_offsetz00_2374 % BgL_auxz00_4104);
															}}
															{	/* Cfa/specialize.scm 390 */

																BgL_method3393z00_2367 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2372,
																		(int) (BgL_modz00_2375)),
																	(int) (BgL_restz00_2377));
								}}}}}}}}
								BgL_arg3738z00_1635 =
									PROCEDURE_ENTRY(BgL_method3393z00_2367)
									(BgL_method3393z00_2367, (obj_t) (BgL_arg3739z00_1636), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4114;

							BgL_auxz00_4114 = (BgL_nodez00_bglt) (BgL_arg3738z00_1635);
							((((BgL_failz00_bglt) CREF(BgL_nodez00_1631))->BgL_procz00) =
								((BgL_nodez00_bglt) BgL_auxz00_4114), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 391 */
						obj_t BgL_arg3740z00_1637;

						{	/* Cfa/specialize.scm 391 */
							BgL_nodez00_bglt BgL_arg3741z00_1638;

							BgL_arg3741z00_1638 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1631))->BgL_msgz00);
							{	/* Cfa/specialize.scm 391 */
								obj_t BgL_method3393z00_2396;

								{	/* Cfa/specialize.scm 391 */
									BgL_objectz00_bglt BgL_objz00_2397;

									BgL_objz00_2397 = (BgL_objectz00_bglt) (BgL_arg3741z00_1638);
									{	/* Cfa/specialize.scm 391 */
										long BgL_objzd2classzd2numz00_2398;

										BgL_objzd2classzd2numz00_2398 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2397);
										{	/* Cfa/specialize.scm 391 */
											obj_t BgL_arg2422z00_2399;

											BgL_arg2422z00_2399 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 391 */
												obj_t BgL_arrayz00_2401;

												int BgL_offsetz00_2402;

												BgL_arrayz00_2401 = BgL_arg2422z00_2399;
												BgL_offsetz00_2402 =
													(int) (BgL_objzd2classzd2numz00_2398);
												{	/* Cfa/specialize.scm 391 */
													long BgL_offsetz00_2403;

													BgL_offsetz00_2403 =
														((long) (BgL_offsetz00_2402) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 391 */
														long BgL_modz00_2404;

														{	/* Cfa/specialize.scm 391 */
															int BgL_arg2424z00_2405;

															BgL_arg2424z00_2405 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 391 */
																long BgL_auxz00_4126;

																BgL_auxz00_4126 = (long) (BgL_arg2424z00_2405);
																BgL_modz00_2404 =
																	(BgL_offsetz00_2403 / BgL_auxz00_4126);
														}}
														{	/* Cfa/specialize.scm 391 */
															long BgL_restz00_2406;

															{	/* Cfa/specialize.scm 391 */
																int BgL_arg2423z00_2407;

																BgL_arg2423z00_2407 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 391 */
																	long BgL_auxz00_4130;

																	BgL_auxz00_4130 =
																		(long) (BgL_arg2423z00_2407);
																	BgL_restz00_2406 =
																		(BgL_offsetz00_2403 % BgL_auxz00_4130);
															}}
															{	/* Cfa/specialize.scm 391 */

																BgL_method3393z00_2396 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2401,
																		(int) (BgL_modz00_2404)),
																	(int) (BgL_restz00_2406));
								}}}}}}}}
								BgL_arg3740z00_1637 =
									PROCEDURE_ENTRY(BgL_method3393z00_2396)
									(BgL_method3393z00_2396, (obj_t) (BgL_arg3741z00_1638), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4140;

							BgL_auxz00_4140 = (BgL_nodez00_bglt) (BgL_arg3740z00_1637);
							((((BgL_failz00_bglt) CREF(BgL_nodez00_1631))->BgL_msgz00) =
								((BgL_nodez00_bglt) BgL_auxz00_4140), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 392 */
						obj_t BgL_arg3742z00_1639;

						{	/* Cfa/specialize.scm 392 */
							BgL_nodez00_bglt BgL_arg3743z00_1640;

							BgL_arg3743z00_1640 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1631))->BgL_objz00);
							{	/* Cfa/specialize.scm 392 */
								obj_t BgL_method3393z00_2425;

								{	/* Cfa/specialize.scm 392 */
									BgL_objectz00_bglt BgL_objz00_2426;

									BgL_objz00_2426 = (BgL_objectz00_bglt) (BgL_arg3743z00_1640);
									{	/* Cfa/specialize.scm 392 */
										long BgL_objzd2classzd2numz00_2427;

										BgL_objzd2classzd2numz00_2427 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2426);
										{	/* Cfa/specialize.scm 392 */
											obj_t BgL_arg2422z00_2428;

											BgL_arg2422z00_2428 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 392 */
												obj_t BgL_arrayz00_2430;

												int BgL_offsetz00_2431;

												BgL_arrayz00_2430 = BgL_arg2422z00_2428;
												BgL_offsetz00_2431 =
													(int) (BgL_objzd2classzd2numz00_2427);
												{	/* Cfa/specialize.scm 392 */
													long BgL_offsetz00_2432;

													BgL_offsetz00_2432 =
														((long) (BgL_offsetz00_2431) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 392 */
														long BgL_modz00_2433;

														{	/* Cfa/specialize.scm 392 */
															int BgL_arg2424z00_2434;

															BgL_arg2424z00_2434 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 392 */
																long BgL_auxz00_4152;

																BgL_auxz00_4152 = (long) (BgL_arg2424z00_2434);
																BgL_modz00_2433 =
																	(BgL_offsetz00_2432 / BgL_auxz00_4152);
														}}
														{	/* Cfa/specialize.scm 392 */
															long BgL_restz00_2435;

															{	/* Cfa/specialize.scm 392 */
																int BgL_arg2423z00_2436;

																BgL_arg2423z00_2436 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 392 */
																	long BgL_auxz00_4156;

																	BgL_auxz00_4156 =
																		(long) (BgL_arg2423z00_2436);
																	BgL_restz00_2435 =
																		(BgL_offsetz00_2432 % BgL_auxz00_4156);
															}}
															{	/* Cfa/specialize.scm 392 */

																BgL_method3393z00_2425 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2430,
																		(int) (BgL_modz00_2433)),
																	(int) (BgL_restz00_2435));
								}}}}}}}}
								BgL_arg3742z00_1639 =
									PROCEDURE_ENTRY(BgL_method3393z00_2425)
									(BgL_method3393z00_2425, (obj_t) (BgL_arg3743z00_1640), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4166;

							BgL_auxz00_4166 = (BgL_nodez00_bglt) (BgL_arg3742z00_1639);
							((((BgL_failz00_bglt) CREF(BgL_nodez00_1631))->BgL_objz00) =
								((BgL_nodez00_bglt) BgL_auxz00_4166), BUNSPEC);
					}}
					BgL_auxz00_4090 = BgL_nodez00_1631;
					return (obj_t) (BgL_auxz00_4090);
				}
			}
		}
	}



/* patch!-conditional3415 */
	obj_t BGl_patchz12zd2conditional3415zc0zzcfa_specializa7eza7(obj_t
		BgL_envz00_2970, obj_t BgL_nodez00_2971)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 378 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1619;

				{	/* Cfa/specialize.scm 379 */
					BgL_conditionalz00_bglt BgL_auxz00_4171;

					BgL_nodez00_1619 = (BgL_conditionalz00_bglt) (BgL_nodez00_2971);
					{	/* Cfa/specialize.scm 380 */
						obj_t BgL_arg3731z00_1623;

						{	/* Cfa/specialize.scm 380 */
							BgL_nodez00_bglt BgL_arg3732z00_1624;

							BgL_arg3732z00_1624 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1619))->
								BgL_testz00);
							{	/* Cfa/specialize.scm 380 */
								obj_t BgL_method3393z00_2280;

								{	/* Cfa/specialize.scm 380 */
									BgL_objectz00_bglt BgL_objz00_2281;

									BgL_objz00_2281 = (BgL_objectz00_bglt) (BgL_arg3732z00_1624);
									{	/* Cfa/specialize.scm 380 */
										long BgL_objzd2classzd2numz00_2282;

										BgL_objzd2classzd2numz00_2282 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2281);
										{	/* Cfa/specialize.scm 380 */
											obj_t BgL_arg2422z00_2283;

											BgL_arg2422z00_2283 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 380 */
												obj_t BgL_arrayz00_2285;

												int BgL_offsetz00_2286;

												BgL_arrayz00_2285 = BgL_arg2422z00_2283;
												BgL_offsetz00_2286 =
													(int) (BgL_objzd2classzd2numz00_2282);
												{	/* Cfa/specialize.scm 380 */
													long BgL_offsetz00_2287;

													BgL_offsetz00_2287 =
														((long) (BgL_offsetz00_2286) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 380 */
														long BgL_modz00_2288;

														{	/* Cfa/specialize.scm 380 */
															int BgL_arg2424z00_2289;

															BgL_arg2424z00_2289 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 380 */
																long BgL_auxz00_4181;

																BgL_auxz00_4181 = (long) (BgL_arg2424z00_2289);
																BgL_modz00_2288 =
																	(BgL_offsetz00_2287 / BgL_auxz00_4181);
														}}
														{	/* Cfa/specialize.scm 380 */
															long BgL_restz00_2290;

															{	/* Cfa/specialize.scm 380 */
																int BgL_arg2423z00_2291;

																BgL_arg2423z00_2291 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 380 */
																	long BgL_auxz00_4185;

																	BgL_auxz00_4185 =
																		(long) (BgL_arg2423z00_2291);
																	BgL_restz00_2290 =
																		(BgL_offsetz00_2287 % BgL_auxz00_4185);
															}}
															{	/* Cfa/specialize.scm 380 */

																BgL_method3393z00_2280 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2285,
																		(int) (BgL_modz00_2288)),
																	(int) (BgL_restz00_2290));
								}}}}}}}}
								BgL_arg3731z00_1623 =
									PROCEDURE_ENTRY(BgL_method3393z00_2280)
									(BgL_method3393z00_2280, (obj_t) (BgL_arg3732z00_1624), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4195;

							BgL_auxz00_4195 = (BgL_nodez00_bglt) (BgL_arg3731z00_1623);
							((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1619))->
									BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_4195), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 381 */
						obj_t BgL_arg3733z00_1625;

						{	/* Cfa/specialize.scm 381 */
							BgL_nodez00_bglt BgL_arg3734z00_1626;

							BgL_arg3734z00_1626 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1619))->
								BgL_truez00);
							{	/* Cfa/specialize.scm 381 */
								obj_t BgL_method3393z00_2309;

								{	/* Cfa/specialize.scm 381 */
									BgL_objectz00_bglt BgL_objz00_2310;

									BgL_objz00_2310 = (BgL_objectz00_bglt) (BgL_arg3734z00_1626);
									{	/* Cfa/specialize.scm 381 */
										long BgL_objzd2classzd2numz00_2311;

										BgL_objzd2classzd2numz00_2311 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2310);
										{	/* Cfa/specialize.scm 381 */
											obj_t BgL_arg2422z00_2312;

											BgL_arg2422z00_2312 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 381 */
												obj_t BgL_arrayz00_2314;

												int BgL_offsetz00_2315;

												BgL_arrayz00_2314 = BgL_arg2422z00_2312;
												BgL_offsetz00_2315 =
													(int) (BgL_objzd2classzd2numz00_2311);
												{	/* Cfa/specialize.scm 381 */
													long BgL_offsetz00_2316;

													BgL_offsetz00_2316 =
														((long) (BgL_offsetz00_2315) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 381 */
														long BgL_modz00_2317;

														{	/* Cfa/specialize.scm 381 */
															int BgL_arg2424z00_2318;

															BgL_arg2424z00_2318 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 381 */
																long BgL_auxz00_4207;

																BgL_auxz00_4207 = (long) (BgL_arg2424z00_2318);
																BgL_modz00_2317 =
																	(BgL_offsetz00_2316 / BgL_auxz00_4207);
														}}
														{	/* Cfa/specialize.scm 381 */
															long BgL_restz00_2319;

															{	/* Cfa/specialize.scm 381 */
																int BgL_arg2423z00_2320;

																BgL_arg2423z00_2320 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 381 */
																	long BgL_auxz00_4211;

																	BgL_auxz00_4211 =
																		(long) (BgL_arg2423z00_2320);
																	BgL_restz00_2319 =
																		(BgL_offsetz00_2316 % BgL_auxz00_4211);
															}}
															{	/* Cfa/specialize.scm 381 */

																BgL_method3393z00_2309 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2314,
																		(int) (BgL_modz00_2317)),
																	(int) (BgL_restz00_2319));
								}}}}}}}}
								BgL_arg3733z00_1625 =
									PROCEDURE_ENTRY(BgL_method3393z00_2309)
									(BgL_method3393z00_2309, (obj_t) (BgL_arg3734z00_1626), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4221;

							BgL_auxz00_4221 = (BgL_nodez00_bglt) (BgL_arg3733z00_1625);
							((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1619))->
									BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_4221), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 382 */
						obj_t BgL_arg3735z00_1627;

						{	/* Cfa/specialize.scm 382 */
							BgL_nodez00_bglt BgL_arg3736z00_1628;

							BgL_arg3736z00_1628 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1619))->
								BgL_falsez00);
							{	/* Cfa/specialize.scm 382 */
								obj_t BgL_method3393z00_2338;

								{	/* Cfa/specialize.scm 382 */
									BgL_objectz00_bglt BgL_objz00_2339;

									BgL_objz00_2339 = (BgL_objectz00_bglt) (BgL_arg3736z00_1628);
									{	/* Cfa/specialize.scm 382 */
										long BgL_objzd2classzd2numz00_2340;

										BgL_objzd2classzd2numz00_2340 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2339);
										{	/* Cfa/specialize.scm 382 */
											obj_t BgL_arg2422z00_2341;

											BgL_arg2422z00_2341 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 382 */
												obj_t BgL_arrayz00_2343;

												int BgL_offsetz00_2344;

												BgL_arrayz00_2343 = BgL_arg2422z00_2341;
												BgL_offsetz00_2344 =
													(int) (BgL_objzd2classzd2numz00_2340);
												{	/* Cfa/specialize.scm 382 */
													long BgL_offsetz00_2345;

													BgL_offsetz00_2345 =
														((long) (BgL_offsetz00_2344) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 382 */
														long BgL_modz00_2346;

														{	/* Cfa/specialize.scm 382 */
															int BgL_arg2424z00_2347;

															BgL_arg2424z00_2347 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 382 */
																long BgL_auxz00_4233;

																BgL_auxz00_4233 = (long) (BgL_arg2424z00_2347);
																BgL_modz00_2346 =
																	(BgL_offsetz00_2345 / BgL_auxz00_4233);
														}}
														{	/* Cfa/specialize.scm 382 */
															long BgL_restz00_2348;

															{	/* Cfa/specialize.scm 382 */
																int BgL_arg2423z00_2349;

																BgL_arg2423z00_2349 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 382 */
																	long BgL_auxz00_4237;

																	BgL_auxz00_4237 =
																		(long) (BgL_arg2423z00_2349);
																	BgL_restz00_2348 =
																		(BgL_offsetz00_2345 % BgL_auxz00_4237);
															}}
															{	/* Cfa/specialize.scm 382 */

																BgL_method3393z00_2338 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2343,
																		(int) (BgL_modz00_2346)),
																	(int) (BgL_restz00_2348));
								}}}}}}}}
								BgL_arg3735z00_1627 =
									PROCEDURE_ENTRY(BgL_method3393z00_2338)
									(BgL_method3393z00_2338, (obj_t) (BgL_arg3736z00_1628), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4247;

							BgL_auxz00_4247 = (BgL_nodez00_bglt) (BgL_arg3735z00_1627);
							((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1619))->
									BgL_falsez00) =
								((BgL_nodez00_bglt) BgL_auxz00_4247), BUNSPEC);
					}}
					BgL_auxz00_4171 = BgL_nodez00_1619;
					return (obj_t) (BgL_auxz00_4171);
				}
			}
		}
	}



/* patch!-setq3413 */
	obj_t BGl_patchz12zd2setq3413zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2972,
		obj_t BgL_nodez00_2973)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 369 */
			{
				BgL_setqz00_bglt BgL_nodez00_1609;

				{	/* Cfa/specialize.scm 370 */
					BgL_setqz00_bglt BgL_auxz00_4252;

					BgL_nodez00_1609 = (BgL_setqz00_bglt) (BgL_nodez00_2973);
					{	/* Cfa/specialize.scm 371 */
						obj_t BgL_arg3725z00_1613;

						{	/* Cfa/specialize.scm 371 */
							BgL_nodez00_bglt BgL_arg3726z00_1614;

							BgL_arg3726z00_1614 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1609))->BgL_valuez00);
							{	/* Cfa/specialize.scm 371 */
								obj_t BgL_method3393z00_2222;

								{	/* Cfa/specialize.scm 371 */
									BgL_objectz00_bglt BgL_objz00_2223;

									BgL_objz00_2223 = (BgL_objectz00_bglt) (BgL_arg3726z00_1614);
									{	/* Cfa/specialize.scm 371 */
										long BgL_objzd2classzd2numz00_2224;

										BgL_objzd2classzd2numz00_2224 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2223);
										{	/* Cfa/specialize.scm 371 */
											obj_t BgL_arg2422z00_2225;

											BgL_arg2422z00_2225 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 371 */
												obj_t BgL_arrayz00_2227;

												int BgL_offsetz00_2228;

												BgL_arrayz00_2227 = BgL_arg2422z00_2225;
												BgL_offsetz00_2228 =
													(int) (BgL_objzd2classzd2numz00_2224);
												{	/* Cfa/specialize.scm 371 */
													long BgL_offsetz00_2229;

													BgL_offsetz00_2229 =
														((long) (BgL_offsetz00_2228) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 371 */
														long BgL_modz00_2230;

														{	/* Cfa/specialize.scm 371 */
															int BgL_arg2424z00_2231;

															BgL_arg2424z00_2231 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 371 */
																long BgL_auxz00_4262;

																BgL_auxz00_4262 = (long) (BgL_arg2424z00_2231);
																BgL_modz00_2230 =
																	(BgL_offsetz00_2229 / BgL_auxz00_4262);
														}}
														{	/* Cfa/specialize.scm 371 */
															long BgL_restz00_2232;

															{	/* Cfa/specialize.scm 371 */
																int BgL_arg2423z00_2233;

																BgL_arg2423z00_2233 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 371 */
																	long BgL_auxz00_4266;

																	BgL_auxz00_4266 =
																		(long) (BgL_arg2423z00_2233);
																	BgL_restz00_2232 =
																		(BgL_offsetz00_2229 % BgL_auxz00_4266);
															}}
															{	/* Cfa/specialize.scm 371 */

																BgL_method3393z00_2222 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2227,
																		(int) (BgL_modz00_2230)),
																	(int) (BgL_restz00_2232));
								}}}}}}}}
								BgL_arg3725z00_1613 =
									PROCEDURE_ENTRY(BgL_method3393z00_2222)
									(BgL_method3393z00_2222, (obj_t) (BgL_arg3726z00_1614), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4276;

							BgL_auxz00_4276 = (BgL_nodez00_bglt) (BgL_arg3725z00_1613);
							((((BgL_setqz00_bglt) CREF(BgL_nodez00_1609))->BgL_valuez00) =
								((BgL_nodez00_bglt) BgL_auxz00_4276), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 372 */
						obj_t BgL_arg3727z00_1615;

						{	/* Cfa/specialize.scm 372 */
							BgL_varz00_bglt BgL_arg3728z00_1616;

							BgL_arg3728z00_1616 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1609))->BgL_varz00);
							{	/* Cfa/specialize.scm 372 */
								BgL_nodez00_bglt BgL_nodez00_2250;

								BgL_nodez00_2250 = (BgL_nodez00_bglt) (BgL_arg3728z00_1616);
								{	/* Cfa/specialize.scm 372 */
									obj_t BgL_method3393z00_2251;

									{	/* Cfa/specialize.scm 372 */
										BgL_objectz00_bglt BgL_objz00_2252;

										BgL_objz00_2252 = (BgL_objectz00_bglt) (BgL_nodez00_2250);
										{	/* Cfa/specialize.scm 372 */
											long BgL_objzd2classzd2numz00_2253;

											BgL_objzd2classzd2numz00_2253 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2252);
											{	/* Cfa/specialize.scm 372 */
												obj_t BgL_arg2422z00_2254;

												BgL_arg2422z00_2254 =
													PROCEDURE_REF
													(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
													(int) (((long) 1)));
												{	/* Cfa/specialize.scm 372 */
													obj_t BgL_arrayz00_2256;

													int BgL_offsetz00_2257;

													BgL_arrayz00_2256 = BgL_arg2422z00_2254;
													BgL_offsetz00_2257 =
														(int) (BgL_objzd2classzd2numz00_2253);
													{	/* Cfa/specialize.scm 372 */
														long BgL_offsetz00_2258;

														BgL_offsetz00_2258 =
															((long) (BgL_offsetz00_2257) - OBJECT_TYPE);
														{	/* Cfa/specialize.scm 372 */
															long BgL_modz00_2259;

															{	/* Cfa/specialize.scm 372 */
																int BgL_arg2424z00_2260;

																BgL_arg2424z00_2260 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 372 */
																	long BgL_auxz00_4289;

																	BgL_auxz00_4289 =
																		(long) (BgL_arg2424z00_2260);
																	BgL_modz00_2259 =
																		(BgL_offsetz00_2258 / BgL_auxz00_4289);
															}}
															{	/* Cfa/specialize.scm 372 */
																long BgL_restz00_2261;

																{	/* Cfa/specialize.scm 372 */
																	int BgL_arg2423z00_2262;

																	BgL_arg2423z00_2262 = (int) (((long) 8));
																	{	/* Cfa/specialize.scm 372 */
																		long BgL_auxz00_4293;

																		BgL_auxz00_4293 =
																			(long) (BgL_arg2423z00_2262);
																		BgL_restz00_2261 =
																			(BgL_offsetz00_2258 % BgL_auxz00_4293);
																}}
																{	/* Cfa/specialize.scm 372 */

																	BgL_method3393z00_2251 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2256,
																			(int) (BgL_modz00_2259)),
																		(int) (BgL_restz00_2261));
									}}}}}}}}
									BgL_arg3727z00_1615 =
										PROCEDURE_ENTRY(BgL_method3393z00_2251)
										(BgL_method3393z00_2251, (obj_t) (BgL_nodez00_2250), BEOA);
						}}}
						{
							BgL_varz00_bglt BgL_auxz00_4303;

							BgL_auxz00_4303 = (BgL_varz00_bglt) (BgL_arg3727z00_1615);
							((((BgL_setqz00_bglt) CREF(BgL_nodez00_1609))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_4303), BUNSPEC);
					}}
					BgL_auxz00_4252 = BgL_nodez00_1609;
					return (obj_t) (BgL_auxz00_4252);
				}
			}
		}
	}



/* patch!-cast3411 */
	obj_t BGl_patchz12zd2cast3411zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2974,
		obj_t BgL_nodez00_2975)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 361 */
			{
				BgL_castz00_bglt BgL_nodez00_1602;

				{	/* Cfa/specialize.scm 362 */
					BgL_castz00_bglt BgL_auxz00_4308;

					BgL_nodez00_1602 = (BgL_castz00_bglt) (BgL_nodez00_2975);
					{	/* Cfa/specialize.scm 362 */
						BgL_nodez00_bglt BgL_arg3723z00_2192;

						BgL_arg3723z00_2192 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1602))->BgL_argz00);
						{	/* Cfa/specialize.scm 362 */
							obj_t BgL_method3393z00_2195;

							{	/* Cfa/specialize.scm 362 */
								BgL_objectz00_bglt BgL_objz00_2196;

								BgL_objz00_2196 = (BgL_objectz00_bglt) (BgL_arg3723z00_2192);
								{	/* Cfa/specialize.scm 362 */
									long BgL_objzd2classzd2numz00_2197;

									BgL_objzd2classzd2numz00_2197 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2196);
									{	/* Cfa/specialize.scm 362 */
										obj_t BgL_arg2422z00_2198;

										BgL_arg2422z00_2198 =
											PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
											(int) (((long) 1)));
										{	/* Cfa/specialize.scm 362 */
											obj_t BgL_arrayz00_2200;

											int BgL_offsetz00_2201;

											BgL_arrayz00_2200 = BgL_arg2422z00_2198;
											BgL_offsetz00_2201 =
												(int) (BgL_objzd2classzd2numz00_2197);
											{	/* Cfa/specialize.scm 362 */
												long BgL_offsetz00_2202;

												BgL_offsetz00_2202 =
													((long) (BgL_offsetz00_2201) - OBJECT_TYPE);
												{	/* Cfa/specialize.scm 362 */
													long BgL_modz00_2203;

													{	/* Cfa/specialize.scm 362 */
														int BgL_arg2424z00_2204;

														BgL_arg2424z00_2204 = (int) (((long) 8));
														{	/* Cfa/specialize.scm 362 */
															long BgL_auxz00_4318;

															BgL_auxz00_4318 = (long) (BgL_arg2424z00_2204);
															BgL_modz00_2203 =
																(BgL_offsetz00_2202 / BgL_auxz00_4318);
													}}
													{	/* Cfa/specialize.scm 362 */
														long BgL_restz00_2205;

														{	/* Cfa/specialize.scm 362 */
															int BgL_arg2423z00_2206;

															BgL_arg2423z00_2206 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 362 */
																long BgL_auxz00_4322;

																BgL_auxz00_4322 = (long) (BgL_arg2423z00_2206);
																BgL_restz00_2205 =
																	(BgL_offsetz00_2202 % BgL_auxz00_4322);
														}}
														{	/* Cfa/specialize.scm 362 */

															BgL_method3393z00_2195 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2200,
																	(int) (BgL_modz00_2203)),
																(int) (BgL_restz00_2205));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3393z00_2195) (BgL_method3393z00_2195,
								(obj_t) (BgL_arg3723z00_2192), BEOA);
					}}
					BgL_auxz00_4308 = BgL_nodez00_1602;
					return (obj_t) (BgL_auxz00_4308);
				}
			}
		}
	}



/* patch!-extern3409 */
	obj_t BGl_patchz12zd2extern3409zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2976,
		obj_t BgL_nodez00_2977)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 353 */
			{
				BgL_externz00_bglt BgL_nodez00_1595;

				{	/* Cfa/specialize.scm 354 */
					BgL_externz00_bglt BgL_auxz00_4334;

					BgL_nodez00_1595 = (BgL_externz00_bglt) (BgL_nodez00_2977);
					{	/* Cfa/specialize.scm 354 */
						obj_t BgL_arg3721z00_2189;

						BgL_arg3721z00_2189 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1595))->BgL_exprza2za2);
						BGl_patchza2z12zb0zzcfa_specializa7eza7(BgL_arg3721z00_2189);
					}
					BgL_auxz00_4334 = BgL_nodez00_1595;
					return (obj_t) (BgL_auxz00_4334);
				}
			}
		}
	}



/* patch!-funcall3407 */
	obj_t BGl_patchz12zd2funcall3407zc0zzcfa_specializa7eza7(obj_t
		BgL_envz00_2978, obj_t BgL_nodez00_2979)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 344 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1586;

				{	/* Cfa/specialize.scm 345 */
					BgL_funcallz00_bglt BgL_auxz00_4339;

					BgL_nodez00_1586 = (BgL_funcallz00_bglt) (BgL_nodez00_2979);
					{	/* Cfa/specialize.scm 346 */
						obj_t BgL_arg3717z00_1590;

						{	/* Cfa/specialize.scm 346 */
							BgL_nodez00_bglt BgL_arg3718z00_1591;

							BgL_arg3718z00_1591 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1586))->BgL_funz00);
							{	/* Cfa/specialize.scm 346 */
								obj_t BgL_method3393z00_2160;

								{	/* Cfa/specialize.scm 346 */
									BgL_objectz00_bglt BgL_objz00_2161;

									BgL_objz00_2161 = (BgL_objectz00_bglt) (BgL_arg3718z00_1591);
									{	/* Cfa/specialize.scm 346 */
										long BgL_objzd2classzd2numz00_2162;

										BgL_objzd2classzd2numz00_2162 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2161);
										{	/* Cfa/specialize.scm 346 */
											obj_t BgL_arg2422z00_2163;

											BgL_arg2422z00_2163 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 346 */
												obj_t BgL_arrayz00_2165;

												int BgL_offsetz00_2166;

												BgL_arrayz00_2165 = BgL_arg2422z00_2163;
												BgL_offsetz00_2166 =
													(int) (BgL_objzd2classzd2numz00_2162);
												{	/* Cfa/specialize.scm 346 */
													long BgL_offsetz00_2167;

													BgL_offsetz00_2167 =
														((long) (BgL_offsetz00_2166) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 346 */
														long BgL_modz00_2168;

														{	/* Cfa/specialize.scm 346 */
															int BgL_arg2424z00_2169;

															BgL_arg2424z00_2169 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 346 */
																long BgL_auxz00_4349;

																BgL_auxz00_4349 = (long) (BgL_arg2424z00_2169);
																BgL_modz00_2168 =
																	(BgL_offsetz00_2167 / BgL_auxz00_4349);
														}}
														{	/* Cfa/specialize.scm 346 */
															long BgL_restz00_2170;

															{	/* Cfa/specialize.scm 346 */
																int BgL_arg2423z00_2171;

																BgL_arg2423z00_2171 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 346 */
																	long BgL_auxz00_4353;

																	BgL_auxz00_4353 =
																		(long) (BgL_arg2423z00_2171);
																	BgL_restz00_2170 =
																		(BgL_offsetz00_2167 % BgL_auxz00_4353);
															}}
															{	/* Cfa/specialize.scm 346 */

																BgL_method3393z00_2160 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2165,
																		(int) (BgL_modz00_2168)),
																	(int) (BgL_restz00_2170));
								}}}}}}}}
								BgL_arg3717z00_1590 =
									PROCEDURE_ENTRY(BgL_method3393z00_2160)
									(BgL_method3393z00_2160, (obj_t) (BgL_arg3718z00_1591), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4363;

							BgL_auxz00_4363 = (BgL_nodez00_bglt) (BgL_arg3717z00_1590);
							((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1586))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_auxz00_4363), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 347 */
						obj_t BgL_arg3719z00_1592;

						BgL_arg3719z00_1592 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1586))->BgL_argsz00);
						BGl_patchza2z12zb0zzcfa_specializa7eza7(BgL_arg3719z00_1592);
					}
					BgL_auxz00_4339 = BgL_nodez00_1586;
					return (obj_t) (BgL_auxz00_4339);
				}
			}
		}
	}



/* patch!-app-ly3405 */
	obj_t BGl_patchz12zd2appzd2ly3405z12zzcfa_specializa7eza7(obj_t
		BgL_envz00_2980, obj_t BgL_nodez00_2981)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 335 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1576;

				{	/* Cfa/specialize.scm 336 */
					BgL_appzd2lyzd2_bglt BgL_auxz00_4370;

					BgL_nodez00_1576 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2981);
					{	/* Cfa/specialize.scm 337 */
						obj_t BgL_arg3712z00_1580;

						{	/* Cfa/specialize.scm 337 */
							BgL_nodez00_bglt BgL_arg3713z00_1581;

							BgL_arg3713z00_1581 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1576))->BgL_funz00);
							{	/* Cfa/specialize.scm 337 */
								obj_t BgL_method3393z00_2102;

								{	/* Cfa/specialize.scm 337 */
									BgL_objectz00_bglt BgL_objz00_2103;

									BgL_objz00_2103 = (BgL_objectz00_bglt) (BgL_arg3713z00_1581);
									{	/* Cfa/specialize.scm 337 */
										long BgL_objzd2classzd2numz00_2104;

										BgL_objzd2classzd2numz00_2104 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2103);
										{	/* Cfa/specialize.scm 337 */
											obj_t BgL_arg2422z00_2105;

											BgL_arg2422z00_2105 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 337 */
												obj_t BgL_arrayz00_2107;

												int BgL_offsetz00_2108;

												BgL_arrayz00_2107 = BgL_arg2422z00_2105;
												BgL_offsetz00_2108 =
													(int) (BgL_objzd2classzd2numz00_2104);
												{	/* Cfa/specialize.scm 337 */
													long BgL_offsetz00_2109;

													BgL_offsetz00_2109 =
														((long) (BgL_offsetz00_2108) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 337 */
														long BgL_modz00_2110;

														{	/* Cfa/specialize.scm 337 */
															int BgL_arg2424z00_2111;

															BgL_arg2424z00_2111 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 337 */
																long BgL_auxz00_4380;

																BgL_auxz00_4380 = (long) (BgL_arg2424z00_2111);
																BgL_modz00_2110 =
																	(BgL_offsetz00_2109 / BgL_auxz00_4380);
														}}
														{	/* Cfa/specialize.scm 337 */
															long BgL_restz00_2112;

															{	/* Cfa/specialize.scm 337 */
																int BgL_arg2423z00_2113;

																BgL_arg2423z00_2113 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 337 */
																	long BgL_auxz00_4384;

																	BgL_auxz00_4384 =
																		(long) (BgL_arg2423z00_2113);
																	BgL_restz00_2112 =
																		(BgL_offsetz00_2109 % BgL_auxz00_4384);
															}}
															{	/* Cfa/specialize.scm 337 */

																BgL_method3393z00_2102 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2107,
																		(int) (BgL_modz00_2110)),
																	(int) (BgL_restz00_2112));
								}}}}}}}}
								BgL_arg3712z00_1580 =
									PROCEDURE_ENTRY(BgL_method3393z00_2102)
									(BgL_method3393z00_2102, (obj_t) (BgL_arg3713z00_1581), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4394;

							BgL_auxz00_4394 = (BgL_nodez00_bglt) (BgL_arg3712z00_1580);
							((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1576))->BgL_funz00) =
								((BgL_nodez00_bglt) BgL_auxz00_4394), BUNSPEC);
					}}
					{	/* Cfa/specialize.scm 338 */
						obj_t BgL_arg3714z00_1582;

						{	/* Cfa/specialize.scm 338 */
							BgL_nodez00_bglt BgL_arg3715z00_1583;

							BgL_arg3715z00_1583 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1576))->BgL_argz00);
							{	/* Cfa/specialize.scm 338 */
								obj_t BgL_method3393z00_2131;

								{	/* Cfa/specialize.scm 338 */
									BgL_objectz00_bglt BgL_objz00_2132;

									BgL_objz00_2132 = (BgL_objectz00_bglt) (BgL_arg3715z00_1583);
									{	/* Cfa/specialize.scm 338 */
										long BgL_objzd2classzd2numz00_2133;

										BgL_objzd2classzd2numz00_2133 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2132);
										{	/* Cfa/specialize.scm 338 */
											obj_t BgL_arg2422z00_2134;

											BgL_arg2422z00_2134 =
												PROCEDURE_REF
												(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
												(int) (((long) 1)));
											{	/* Cfa/specialize.scm 338 */
												obj_t BgL_arrayz00_2136;

												int BgL_offsetz00_2137;

												BgL_arrayz00_2136 = BgL_arg2422z00_2134;
												BgL_offsetz00_2137 =
													(int) (BgL_objzd2classzd2numz00_2133);
												{	/* Cfa/specialize.scm 338 */
													long BgL_offsetz00_2138;

													BgL_offsetz00_2138 =
														((long) (BgL_offsetz00_2137) - OBJECT_TYPE);
													{	/* Cfa/specialize.scm 338 */
														long BgL_modz00_2139;

														{	/* Cfa/specialize.scm 338 */
															int BgL_arg2424z00_2140;

															BgL_arg2424z00_2140 = (int) (((long) 8));
															{	/* Cfa/specialize.scm 338 */
																long BgL_auxz00_4406;

																BgL_auxz00_4406 = (long) (BgL_arg2424z00_2140);
																BgL_modz00_2139 =
																	(BgL_offsetz00_2138 / BgL_auxz00_4406);
														}}
														{	/* Cfa/specialize.scm 338 */
															long BgL_restz00_2141;

															{	/* Cfa/specialize.scm 338 */
																int BgL_arg2423z00_2142;

																BgL_arg2423z00_2142 = (int) (((long) 8));
																{	/* Cfa/specialize.scm 338 */
																	long BgL_auxz00_4410;

																	BgL_auxz00_4410 =
																		(long) (BgL_arg2423z00_2142);
																	BgL_restz00_2141 =
																		(BgL_offsetz00_2138 % BgL_auxz00_4410);
															}}
															{	/* Cfa/specialize.scm 338 */

																BgL_method3393z00_2131 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2136,
																		(int) (BgL_modz00_2139)),
																	(int) (BgL_restz00_2141));
								}}}}}}}}
								BgL_arg3714z00_1582 =
									PROCEDURE_ENTRY(BgL_method3393z00_2131)
									(BgL_method3393z00_2131, (obj_t) (BgL_arg3715z00_1583), BEOA);
						}}
						{
							BgL_nodez00_bglt BgL_auxz00_4420;

							BgL_auxz00_4420 = (BgL_nodez00_bglt) (BgL_arg3714z00_1582);
							((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1576))->BgL_argz00) =
								((BgL_nodez00_bglt) BgL_auxz00_4420), BUNSPEC);
					}}
					BgL_auxz00_4370 = BgL_nodez00_1576;
					return (obj_t) (BgL_auxz00_4370);
				}
			}
		}
	}



/* patch!-sequence3403 */
	obj_t BGl_patchz12zd2sequence3403zc0zzcfa_specializa7eza7(obj_t
		BgL_envz00_2982, obj_t BgL_nodez00_2983)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 327 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1569;

				{	/* Cfa/specialize.scm 328 */
					BgL_sequencez00_bglt BgL_auxz00_4425;

					BgL_nodez00_1569 = (BgL_sequencez00_bglt) (BgL_nodez00_2983);
					{	/* Cfa/specialize.scm 328 */
						obj_t BgL_arg3710z00_2098;

						BgL_arg3710z00_2098 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1569))->BgL_nodesz00);
						BGl_patchza2z12zb0zzcfa_specializa7eza7(BgL_arg3710z00_2098);
					}
					BgL_auxz00_4425 = BgL_nodez00_1569;
					return (obj_t) (BgL_auxz00_4425);
				}
			}
		}
	}



/* patch!-closure3401 */
	obj_t BGl_patchz12zd2closure3401zc0zzcfa_specializa7eza7(obj_t
		BgL_envz00_2984, obj_t BgL_nodez00_2985)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 321 */
			{
				BgL_closurez00_bglt BgL_nodez00_1561;

				BgL_nodez00_1561 = (BgL_closurez00_bglt) (BgL_nodez00_2985);
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string3916z00zzcfa_specializa7eza7,
					BGl_string3917z00zzcfa_specializa7eza7,
					BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1561)));
			}
		}
	}



/* patch!-var3399 */
	obj_t BGl_patchz12zd2var3399zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2986,
		obj_t BgL_nodez00_2987)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 315 */
			return (obj_t) ((BgL_varz00_bglt) (BgL_nodez00_2987));
		}
	}



/* patch!-kwote3397 */
	obj_t BGl_patchz12zd2kwote3397zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2988,
		obj_t BgL_nodez00_2989)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 309 */
			return (obj_t) ((BgL_kwotez00_bglt) (BgL_nodez00_2989));
		}
	}



/* patch!-atom3395 */
	obj_t BGl_patchz12zd2atom3395zc0zzcfa_specializa7eza7(obj_t BgL_envz00_2990,
		obj_t BgL_nodez00_2991)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 303 */
			return (obj_t) ((BgL_atomz00_bglt) (BgL_nodez00_2991));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 326457085),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 175384950),
				BSTRING_TO_STRING(BGl_string3918z00zzcfa_specializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
