/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_typezd2nodez12zd2atom5145z12zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl__typezd2variablez12zc0zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_typezd2nodez12zd2funcall5160z12zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t BGl_typezd2nodez12zd2app5155z12zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodez12zd2vsetz125166z00zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_typezd2nodez12zd2makezd2box5187zc0zzcfa_typez00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	static obj_t BGl_typezd2nodez12zd2boxzd2ref5191zc0zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodez12zd2jumpzd2exzd2i5185z12zzcfa_typez00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_typezd2nodez12zd2cast5168z12zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_typezd2variablez12zd2cvarzf25137ze0zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_typezd2variablez12zd2sexit5139z12zzcfa_typez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt);
	static obj_t BGl_typezd2nodez12zd2var5149z12zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_typezd2nodez12zd2vref5164z12zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodez12zd2extern5162z12zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static obj_t BGl_typezd2nodez12zd2setq5170z12zzcfa_typez00(obj_t, obj_t);
	static obj_t
		BGl_typezd2variablez12zd2defau5130z12zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_typezd2nodez12zd2appzd2ly5158zc0zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodez12zd2condition5173z12zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	static obj_t BGl_typezd2variablez12zd2inter5141z12zzcfa_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	static obj_t BGl_typezd2nodez12zd2letzd2fun5179zc0zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static obj_t BGl_typezd2nodez12zd2closure5151z12zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_typezd2nodez12zd2letzd2var5181zc0zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_typezd2nodez12zd2kwote5147z12zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodez12zd2fail5175z12zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	static bool_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	static obj_t BGl_typezd2nodez12zd2setzd2exzd2it5183z12zzcfa_typez00(obj_t,
		obj_t);
	static obj_t BGl_typezd2nodez12zd2select5177z12zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl__typezd2variablez12zd2defau5130z12zzcfa_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_typezd2nodez12zd2sequence5153z12zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl__typezd2nodez12zc0zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2variablez12zd2svarzf25133ze0zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_typezd2variablez12zd2scnst5135z12zzcfa_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_typezd2nodez12zd2boxzd2setz125189zd2zzcfa_typez00(obj_t,
		obj_t);
	static obj_t BGl__typezd2nodez12zd2default5142z12zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	static obj_t
		BGl_typezd2nodez12zd2default5142z12zzcfa_typez00(BgL_nodez00_bglt);
	static obj_t BGl__getzd2approxzd2typez00zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl__typezd2settingsz12zc0zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl__typeza7d2nodeza712za75531za7, BGl__typezd2nodez12zc0zzcfa_typez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_typezd2variablez12zd2defau5130zd2envzc0zzcfa_typez00,
		BgL_bgl__typeza7d2variable5532za7,
		BGl__typezd2variablez12zd2defau5130z12zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl__typeza7d2variable5533za7, BGl__typezd2variablez12zc0zzcfa_typez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl__typeza7d2settings5534za7, BGl__typezd2settingsz12zc0zzcfa_typez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5500z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5535za7,
		BGl_typezd2nodez12zd2kwote5147z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5501z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5536za7,
		BGl_typezd2nodez12zd2var5149z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5502z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5537za7,
		BGl_typezd2nodez12zd2closure5151z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5503z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5538za7,
		BGl_typezd2nodez12zd2sequence5153z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5504z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5539za7,
		BGl_typezd2nodez12zd2app5155z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5494z00zzcfa_typez00,
		BgL_bgl_typeza7d2variableza75540z00,
		BGl_typezd2variablez12zd2svarzf25133ze0zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5505z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5541za7,
		BGl_typezd2nodez12zd2appzd2ly5158zc0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5495z00zzcfa_typez00,
		BgL_bgl_typeza7d2variableza75542z00,
		BGl_typezd2variablez12zd2scnst5135z12zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5506z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5543za7,
		BGl_typezd2nodez12zd2funcall5160z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5496z00zzcfa_typez00,
		BgL_bgl_typeza7d2variableza75544z00,
		BGl_typezd2variablez12zd2cvarzf25137ze0zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5507z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5545za7,
		BGl_typezd2nodez12zd2extern5162z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5497z00zzcfa_typez00,
		BgL_bgl_typeza7d2variableza75546z00,
		BGl_typezd2variablez12zd2sexit5139z12zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5508z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5547za7,
		BGl_typezd2nodez12zd2vref5164z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5498z00zzcfa_typez00,
		BgL_bgl_typeza7d2variableza75548z00,
		BGl_typezd2variablez12zd2inter5141z12zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5510z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5549za7,
		BGl_typezd2nodez12zd2cast5168z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5509z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5550za7,
		BGl_typezd2nodez12zd2vsetz125166z00zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5499z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5551za7,
		BGl_typezd2nodez12zd2atom5145z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5511z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5552za7,
		BGl_typezd2nodez12zd2setq5170z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5512z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5553za7,
		BGl_typezd2nodez12zd2condition5173z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5513z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5554za7,
		BGl_typezd2nodez12zd2fail5175z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5514z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5555za7,
		BGl_typezd2nodez12zd2select5177z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5515z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5556za7,
		BGl_typezd2nodez12zd2letzd2fun5179zc0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5516z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5557za7,
		BGl_typezd2nodez12zd2letzd2var5181zc0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5517z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5558za7,
		BGl_typezd2nodez12zd2setzd2exzd2it5183z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5518z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5559za7,
		BGl_typezd2nodez12zd2jumpzd2exzd2i5185z12zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5520z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5560za7,
		BGl_typezd2nodez12zd2boxzd2setz125189zd2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5519z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5561za7,
		BGl_typezd2nodez12zd2makezd2box5187zc0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5521z00zzcfa_typez00,
		BgL_bgl_typeza7d2nodeza712za7d5562za7,
		BGl_typezd2nodez12zd2boxzd2ref5191zc0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5493z00zzcfa_typez00,
		BgL_bgl_string5493za700za7za7c5563za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string5522z00zzcfa_typez00,
		BgL_bgl_string5522za700za7za7c5564za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string5523z00zzcfa_typez00,
		BgL_bgl_string5523za700za7za7c5565za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string5524z00zzcfa_typez00,
		BgL_bgl_string5524za700za7za7c5566za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string5525z00zzcfa_typez00,
		BgL_bgl_string5525za700za7za7c5567za7,
		"static type-node!-default5142 nothing bigloo ", 45);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl__getza7d2approxza7d25568z00,
		BGl__getzd2approxzd2typez00zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_typezd2nodez12zd2default5142zd2envzc0zzcfa_typez00,
		BgL_bgl__typeza7d2nodeza712za75569za7,
		BGl__typezd2nodez12zd2default5142z12zzcfa_typez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_3179, char *BgL_fromz00_3180)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_3160;

				BgL_cportz00_3160 =
					bgl_open_input_string(BGl_string5525z00zzcfa_typez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3161;

					BgL_iz00_3161 = ((long) 3);
				BgL_loopz00_3162:
					if ((BgL_iz00_3161 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg5527z00_3164;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_3166;

										BgL_locationz00_3166 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg5527z00_3164 =
												BGl_readz00zz__readerz00(BgL_cportz00_3160,
												BgL_locationz00_3166);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_auxz00_3198;

									BgL_auxz00_3198 = (int) (BgL_iz00_3161);
									CNST_TABLE_SET(BgL_auxz00_3198, BgL_arg5527z00_3164);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_3167;

								BgL_auxz00_3167 = (int) ((BgL_iz00_3161 - ((long) 1)));
								{
									long BgL_iz00_3203;

									BgL_iz00_3203 = (long) (BgL_auxz00_3167);
									BgL_iz00_3161 = BgL_iz00_3203;
									goto BgL_loopz00_3162;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			{
				obj_t BgL_l5114z00_1128;

				{	/* Cfa/type.scm 39 */
					bool_t BgL_auxz00_3205;

					BgL_l5114z00_1128 = BgL_globalsz00_1;
				BgL_zc3anonymousza35192ze3z83_1129:
					if (PAIRP(BgL_l5114z00_1128))
						{	/* Cfa/type.scm 39 */
							{	/* Cfa/type.scm 39 */
								obj_t BgL_arg5194z00_1131;

								BgL_arg5194z00_1131 = CAR(BgL_l5114z00_1128);
								BGl_typezd2funz12zc0zzcfa_typez00(
									(BgL_variablez00_bglt) (BgL_arg5194z00_1131));
							}
							{
								obj_t BgL_l5114z00_3211;

								BgL_l5114z00_3211 = CDR(BgL_l5114z00_1128);
								BgL_l5114z00_1128 = BgL_l5114z00_3211;
								goto BgL_zc3anonymousza35192ze3z83_1129;
							}
						}
					else
						{	/* Cfa/type.scm 39 */
							BgL_auxz00_3205 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_3205);
				}
			}
		}
	}



/* _type-settings! */
	obj_t BGl__typezd2settingsz12zc0zzcfa_typez00(obj_t BgL_envz00_3057,
		obj_t BgL_globalsz00_3058)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_3058);
		}
	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_2)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 44 */
			{	/* Cfa/type.scm 45 */
				BgL_valuez00_bglt BgL_funz00_1134;

				BgL_funz00_1134 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_2))->BgL_valuez00);
				{	/* Cfa/type.scm 46 */
					bool_t BgL_testz00_3216;

					{	/* Cfa/type.scm 46 */
						obj_t BgL_obj3252z00_2019;

						BgL_obj3252z00_2019 = (obj_t) (BgL_funz00_1134);
						BgL_testz00_3216 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3252z00_2019,
							BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
					}
					if (BgL_testz00_3216)
						{	/* Cfa/type.scm 46 */
							{	/* Cfa/type.scm 51 */
								obj_t BgL_g5118z00_1137;

								{
									BgL_sfunz00_bglt BgL_auxz00_3219;

									BgL_auxz00_3219 = (BgL_sfunz00_bglt) (BgL_funz00_1134);
									BgL_g5118z00_1137 =
										(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3219))->BgL_argsz00);
								}
								{
									obj_t BgL_l5116z00_1139;

									BgL_l5116z00_1139 = BgL_g5118z00_1137;
								BgL_zc3anonymousza35197ze3z83_1140:
									if (PAIRP(BgL_l5116z00_1139))
										{	/* Cfa/type.scm 51 */
											{	/* Cfa/type.scm 51 */
												obj_t BgL_varz00_1142;

												BgL_varz00_1142 = CAR(BgL_l5116z00_1139);
												{	/* Cfa/type.scm 51 */
													BgL_valuez00_bglt BgL_arg5199z00_1143;

													{
														BgL_variablez00_bglt BgL_auxz00_3225;

														BgL_auxz00_3225 =
															(BgL_variablez00_bglt) (BgL_varz00_1142);
														BgL_arg5199z00_1143 =
															(((BgL_variablez00_bglt) CREF(BgL_auxz00_3225))->
															BgL_valuez00);
													}
													{	/* Cfa/type.scm 51 */
														BgL_variablez00_bglt BgL_variablez00_2025;

														BgL_variablez00_2025 =
															(BgL_variablez00_bglt) (BgL_varz00_1142);
														{	/* Cfa/type.scm 51 */
															obj_t BgL_method5131z00_2026;

															{	/* Cfa/type.scm 51 */
																BgL_objectz00_bglt BgL_objz00_2027;

																BgL_objz00_2027 =
																	(BgL_objectz00_bglt) (BgL_arg5199z00_1143);
																{	/* Cfa/type.scm 51 */
																	long BgL_objzd2classzd2numz00_2028;

																	BgL_objzd2classzd2numz00_2028 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2027);
																	{	/* Cfa/type.scm 51 */
																		obj_t BgL_arg2422z00_2029;

																		BgL_arg2422z00_2029 =
																			PROCEDURE_REF
																			(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
																			(int) (((long) 1)));
																		{	/* Cfa/type.scm 51 */
																			obj_t BgL_arrayz00_2031;

																			int BgL_offsetz00_2032;

																			BgL_arrayz00_2031 = BgL_arg2422z00_2029;
																			BgL_offsetz00_2032 =
																				(int) (BgL_objzd2classzd2numz00_2028);
																			{	/* Cfa/type.scm 51 */
																				long BgL_offsetz00_2033;

																				BgL_offsetz00_2033 =
																					(
																					(long) (BgL_offsetz00_2032) -
																					OBJECT_TYPE);
																				{	/* Cfa/type.scm 51 */
																					long BgL_modz00_2034;

																					{	/* Cfa/type.scm 51 */
																						int BgL_arg2424z00_2035;

																						BgL_arg2424z00_2035 =
																							(int) (((long) 8));
																						{	/* Cfa/type.scm 51 */
																							long BgL_auxz00_3237;

																							BgL_auxz00_3237 =
																								(long) (BgL_arg2424z00_2035);
																							BgL_modz00_2034 =
																								(BgL_offsetz00_2033 /
																								BgL_auxz00_3237);
																					}}
																					{	/* Cfa/type.scm 51 */
																						long BgL_restz00_2036;

																						{	/* Cfa/type.scm 51 */
																							int BgL_arg2423z00_2037;

																							BgL_arg2423z00_2037 =
																								(int) (((long) 8));
																							{	/* Cfa/type.scm 51 */
																								long BgL_auxz00_3241;

																								BgL_auxz00_3241 =
																									(long) (BgL_arg2423z00_2037);
																								BgL_restz00_2036 =
																									(BgL_offsetz00_2033 %
																									BgL_auxz00_3241);
																						}}
																						{	/* Cfa/type.scm 51 */

																							BgL_method5131z00_2026 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2031,
																									(int) (BgL_modz00_2034)),
																								(int) (BgL_restz00_2036));
															}}}}}}}}
															PROCEDURE_ENTRY(BgL_method5131z00_2026)
																(BgL_method5131z00_2026,
																(obj_t) (BgL_arg5199z00_1143),
																(obj_t) (BgL_variablez00_2025), BEOA);
											}}}}
											{
												obj_t BgL_l5116z00_3252;

												BgL_l5116z00_3252 = CDR(BgL_l5116z00_1139);
												BgL_l5116z00_1139 = BgL_l5116z00_3252;
												goto BgL_zc3anonymousza35197ze3z83_1140;
											}
										}
									else
										{	/* Cfa/type.scm 51 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 54 */
								obj_t BgL_arg5201z00_1146;

								{
									BgL_sfunz00_bglt BgL_auxz00_3254;

									BgL_auxz00_3254 = (BgL_sfunz00_bglt) (BgL_funz00_1134);
									BgL_arg5201z00_1146 =
										(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3254))->BgL_bodyz00);
								}
								{	/* Cfa/type.scm 54 */
									BgL_nodez00_bglt BgL_nodez00_2053;

									BgL_nodez00_2053 = (BgL_nodez00_bglt) (BgL_arg5201z00_1146);
									{	/* Cfa/type.scm 54 */
										obj_t BgL_method5143z00_2054;

										{	/* Cfa/type.scm 54 */
											BgL_objectz00_bglt BgL_objz00_2055;

											BgL_objz00_2055 = (BgL_objectz00_bglt) (BgL_nodez00_2053);
											{	/* Cfa/type.scm 54 */
												long BgL_objzd2classzd2numz00_2056;

												BgL_objzd2classzd2numz00_2056 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2055);
												{	/* Cfa/type.scm 54 */
													obj_t BgL_arg2422z00_2057;

													BgL_arg2422z00_2057 =
														PROCEDURE_REF
														(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
														(int) (((long) 1)));
													{	/* Cfa/type.scm 54 */
														obj_t BgL_arrayz00_2059;

														int BgL_offsetz00_2060;

														BgL_arrayz00_2059 = BgL_arg2422z00_2057;
														BgL_offsetz00_2060 =
															(int) (BgL_objzd2classzd2numz00_2056);
														{	/* Cfa/type.scm 54 */
															long BgL_offsetz00_2061;

															BgL_offsetz00_2061 =
																((long) (BgL_offsetz00_2060) - OBJECT_TYPE);
															{	/* Cfa/type.scm 54 */
																long BgL_modz00_2062;

																{	/* Cfa/type.scm 54 */
																	int BgL_arg2424z00_2063;

																	BgL_arg2424z00_2063 = (int) (((long) 8));
																	{	/* Cfa/type.scm 54 */
																		long BgL_auxz00_3266;

																		BgL_auxz00_3266 =
																			(long) (BgL_arg2424z00_2063);
																		BgL_modz00_2062 =
																			(BgL_offsetz00_2061 / BgL_auxz00_3266);
																}}
																{	/* Cfa/type.scm 54 */
																	long BgL_restz00_2064;

																	{	/* Cfa/type.scm 54 */
																		int BgL_arg2423z00_2065;

																		BgL_arg2423z00_2065 = (int) (((long) 8));
																		{	/* Cfa/type.scm 54 */
																			long BgL_auxz00_3270;

																			BgL_auxz00_3270 =
																				(long) (BgL_arg2423z00_2065);
																			BgL_restz00_2064 =
																				(BgL_offsetz00_2061 % BgL_auxz00_3270);
																	}}
																	{	/* Cfa/type.scm 54 */

																		BgL_method5143z00_2054 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2059,
																				(int) (BgL_modz00_2062)),
																			(int) (BgL_restz00_2064));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method5143z00_2054)
											(BgL_method5143z00_2054, (obj_t) (BgL_nodez00_2053),
											BEOA);
							}}}
							{	/* Cfa/type.scm 56 */
								obj_t BgL_arg5202z00_1147;

								{	/* Cfa/type.scm 56 */
									BgL_approxz00_bglt BgL_arg5203z00_1148;

									{	/* Cfa/type.scm 56 */
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj3253z00_2079;

										BgL_obj3253z00_2079 =
											(BgL_internzd2sfunzf2cinfoz20_bglt) (BgL_funz00_1134);
										{
											obj_t BgL_auxz00_3281;

											{	/* Cfa/type.scm 56 */
												BgL_objectz00_bglt BgL_auxz00_3282;

												BgL_auxz00_3282 =
													(BgL_objectz00_bglt) (BgL_obj3253z00_2079);
												BgL_auxz00_3281 = BGL_OBJECT_WIDENING(BgL_auxz00_3282);
											}
											BgL_arg5203z00_1148 =
												(((BgL_internzd2sfunzf2cinfoz20_bglt)
													CREF(BgL_auxz00_3281))->BgL_approxz00);
									}}
									BgL_arg5202z00_1147 =
										BGl_getzd2approxzd2typez00zzcfa_typez00
										(BgL_arg5203z00_1148);
								}
								return
									BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_2,
									(BgL_typez00_bglt) (BgL_arg5202z00_1147));
							}
						}
					else
						{	/* Cfa/type.scm 46 */
							return BFALSE;
						}
				}
			}
		}
	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 61 */
			{	/* Cfa/type.scm 62 */
				BgL_typez00_bglt BgL_typez00_1149;

				obj_t BgL_alloczd2listzd2_1150;

				BgL_typez00_1149 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_3))->BgL_typez00);
				{	/* Cfa/type.scm 63 */
					obj_t BgL_arg5212z00_1169;

					BgL_arg5212z00_1169 =
						(((BgL_approxz00_bglt) CREF(BgL_approxz00_3))->BgL_allocsz00);
					BgL_alloczd2listzd2_1150 =
						BGl_setzd2ze3listz31zzcfa_setz00(BgL_arg5212z00_1169);
				}
				if (PAIRP(BgL_alloczd2listzd2_1150))
					{	/* Cfa/type.scm 65 */
						if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
							{	/* Cfa/type.scm 69 */
								bool_t BgL_testz00_3297;

								{	/* Cfa/type.scm 69 */
									obj_t BgL_arg5211z00_1168;

									BgL_arg5211z00_1168 = CAR(BgL_alloczd2listzd2_1150);
									BgL_testz00_3297 =
										BGl_iszd2azf3z21zz__objectz00(BgL_arg5211z00_1168,
										BGl_makezd2vectorzd2appz00zzcfa_info2z00);
								}
								if (BgL_testz00_3297)
									{	/* Cfa/type.scm 70 */
										obj_t BgL_appz00_1154;

										BgL_appz00_1154 = CAR(BgL_alloczd2listzd2_1150);
										{	/* Cfa/type.scm 70 */
											BgL_typez00_bglt BgL_tvzd2typezd2_1155;

											BgL_tvzd2typezd2_1155 =
												BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
												(BgL_nodez00_bglt) (BgL_appz00_1154));
											{	/* Cfa/type.scm 71 */
												BgL_approxz00_bglt BgL_valuezd2approxzd2_1156;

												{	/* Cfa/type.scm 72 */
													BgL_makezd2vectorzd2appz00_bglt BgL_obj4301z00_2086;

													BgL_obj4301z00_2086 =
														(BgL_makezd2vectorzd2appz00_bglt) (BgL_appz00_1154);
													{
														obj_t BgL_auxz00_3304;

														{	/* Cfa/type.scm 72 */
															BgL_objectz00_bglt BgL_auxz00_3305;

															BgL_auxz00_3305 =
																(BgL_objectz00_bglt) (BgL_obj4301z00_2086);
															BgL_auxz00_3304 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3305);
														}
														BgL_valuezd2approxzd2_1156 =
															(((BgL_makezd2vectorzd2appz00_bglt)
																CREF(BgL_auxz00_3304))->BgL_valuezd2approxzd2);
													}
												}
												{	/* Cfa/type.scm 72 */
													BgL_typez00_bglt BgL_itemzd2typezd2_1157;

													BgL_itemzd2typezd2_1157 =
														(((BgL_approxz00_bglt)
															CREF(BgL_valuezd2approxzd2_1156))->BgL_typez00);
													{	/* Cfa/type.scm 73 */
														obj_t BgL_tvz00_1158;

														BgL_tvz00_1158 =
															(((BgL_typez00_bglt)
																CREF(BgL_itemzd2typezd2_1157))->BgL_tvectorz00);
														{	/* Cfa/type.scm 74 */

															if (BGl_iszd2azf3z21zz__objectz00(BgL_tvz00_1158,
																	BGl_typez00zztype_typez00))
																{	/* Cfa/type.scm 75 */
																	return BgL_tvz00_1158;
																}
															else
																{	/* Cfa/type.scm 75 */
																	return (obj_t) (BgL_typez00_1149);
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/type.scm 78 */
										bool_t BgL_testz00_3314;

										{	/* Cfa/type.scm 78 */
											obj_t BgL_arg5210z00_1167;

											BgL_arg5210z00_1167 = CAR(BgL_alloczd2listzd2_1150);
											BgL_testz00_3314 =
												BGl_iszd2azf3z21zz__objectz00(BgL_arg5210z00_1167,
												BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
										}
										if (BgL_testz00_3314)
											{	/* Cfa/type.scm 79 */
												obj_t BgL_appz00_1161;

												BgL_appz00_1161 = CAR(BgL_alloczd2listzd2_1150);
												{	/* Cfa/type.scm 79 */
													BgL_typez00_bglt BgL_tvzd2typezd2_1162;

													BgL_tvzd2typezd2_1162 =
														BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
														(BgL_nodez00_bglt) (BgL_appz00_1161));
													{	/* Cfa/type.scm 80 */
														BgL_approxz00_bglt BgL_valuezd2approxzd2_1163;

														{	/* Cfa/type.scm 81 */
															BgL_valloczf2cinfozb2optimz40_bglt
																BgL_obj4969z00_2093;
															BgL_obj4969z00_2093 =
																(BgL_valloczf2cinfozb2optimz40_bglt)
																(BgL_appz00_1161);
															{
																obj_t BgL_auxz00_3321;

																{	/* Cfa/type.scm 81 */
																	BgL_objectz00_bglt BgL_auxz00_3322;

																	BgL_auxz00_3322 =
																		(BgL_objectz00_bglt) (BgL_obj4969z00_2093);
																	BgL_auxz00_3321 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3322);
																}
																BgL_valuezd2approxzd2_1163 =
																	(((BgL_valloczf2cinfozb2optimz40_bglt)
																		CREF(BgL_auxz00_3321))->
																	BgL_valuezd2approxzd2);
															}
														}
														{	/* Cfa/type.scm 81 */
															BgL_typez00_bglt BgL_itemzd2typezd2_1164;

															BgL_itemzd2typezd2_1164 =
																(((BgL_approxz00_bglt)
																	CREF(BgL_valuezd2approxzd2_1163))->
																BgL_typez00);
															{	/* Cfa/type.scm 82 */
																obj_t BgL_tvz00_1165;

																BgL_tvz00_1165 =
																	(((BgL_typez00_bglt)
																		CREF(BgL_itemzd2typezd2_1164))->
																	BgL_tvectorz00);
																{	/* Cfa/type.scm 83 */

																	if (BGl_iszd2azf3z21zz__objectz00
																		(BgL_tvz00_1165, BGl_typez00zztype_typez00))
																		{	/* Cfa/type.scm 84 */
																			return BgL_tvz00_1165;
																		}
																	else
																		{	/* Cfa/type.scm 84 */
																			return (obj_t) (BgL_typez00_1149);
																		}
																}
															}
														}
													}
												}
											}
										else
											{	/* Cfa/type.scm 78 */
												return (obj_t) (BgL_typez00_1149);
											}
									}
							}
						else
							{	/* Cfa/type.scm 67 */
								return (obj_t) (BgL_typez00_1149);
							}
					}
				else
					{	/* Cfa/type.scm 65 */
						return (obj_t) (BgL_typez00_1149);
					}
			}
		}
	}



/* _get-approx-type */
	obj_t BGl__getzd2approxzd2typez00zzcfa_typez00(obj_t BgL_envz00_3064,
		obj_t BgL_approxz00_3065)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 61 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				(BgL_approxz00_bglt) (BgL_approxz00_3065));
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_18, BgL_typez00_bglt BgL_typez00_19)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 143 */
			{	/* Cfa/type.scm 144 */
				obj_t BgL_ntypez00_1170;

				BgL_typez00_bglt BgL_otypez00_1171;

				if (((obj_t) (BgL_typez00_19) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 144 */
						BgL_ntypez00_1170 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 144 */
						BgL_ntypez00_1170 = (obj_t) (BgL_typez00_19);
					}
				BgL_otypez00_1171 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_18))->BgL_typez00);
				if (((obj_t) (BgL_otypez00_1171) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 148 */
						bool_t BgL_testz00_3344;

						{	/* Cfa/type.scm 148 */
							bool_t BgL_testz00_3345;

							{	/* Cfa/type.scm 148 */
								obj_t BgL_obj1589z00_2098;

								BgL_obj1589z00_2098 = (obj_t) (BgL_variablez00_18);
								BgL_testz00_3345 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1589z00_2098,
									BGl_globalz00zzast_varz00);
							}
							if (BgL_testz00_3345)
								{	/* Cfa/type.scm 149 */
									bool_t BgL_testz00_3348;

									{	/* Cfa/type.scm 149 */
										BgL_valuez00_bglt BgL_arg5220z00_1179;

										BgL_arg5220z00_1179 =
											(((BgL_variablez00_bglt) CREF(BgL_variablez00_18))->
											BgL_valuez00);
										{	/* Cfa/type.scm 149 */
											obj_t BgL_obj1693z00_2100;

											BgL_obj1693z00_2100 = (obj_t) (BgL_arg5220z00_1179);
											BgL_testz00_3348 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1693z00_2100,
												BGl_funz00zzast_varz00);
										}
									}
									if (BgL_testz00_3348)
										{	/* Cfa/type.scm 149 */
											BgL_testz00_3344 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 149 */
											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 150 */
													BgL_testz00_3344 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 151 */
													bool_t BgL_testz00_3354;

													{	/* Cfa/type.scm 151 */
														obj_t BgL_auxz00_3355;

														{
															BgL_typez00_bglt BgL_auxz00_3356;

															BgL_auxz00_3356 =
																(BgL_typez00_bglt) (BgL_ntypez00_1170);
															BgL_auxz00_3355 =
																(((BgL_typez00_bglt) CREF(BgL_auxz00_3356))->
																BgL_classz00);
														}
														BgL_testz00_3354 =
															(BgL_auxz00_3355 == CNST_TABLE_REF(((long) 0)));
													}
													if (BgL_testz00_3354)
														{	/* Cfa/type.scm 151 */
															BgL_testz00_3344 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 151 */
															BgL_testz00_3344 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 148 */
									BgL_testz00_3344 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3344)
							{
								BgL_typez00_bglt BgL_auxz00_3361;

								BgL_auxz00_3361 =
									(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_18))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3361), BUNSPEC);
							}
						else
							{
								BgL_typez00_bglt BgL_auxz00_3364;

								BgL_auxz00_3364 = (BgL_typez00_bglt) (BgL_ntypez00_1170);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_18))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3364), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 158 */
						bool_t BgL_testz00_3367;

						if (
							((obj_t) (BgL_otypez00_1171) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 158 */
								BgL_testz00_3367 =
									BGl_iszd2azf3z21zz__objectz00(BgL_ntypez00_1170,
									BGl_tvecz00zztvector_tvectorz00);
							}
						else
							{	/* Cfa/type.scm 158 */
								BgL_testz00_3367 = ((bool_t) 0);
							}
						if (BgL_testz00_3367)
							{
								BgL_typez00_bglt BgL_auxz00_3372;

								BgL_auxz00_3372 = (BgL_typez00_bglt) (BgL_ntypez00_1170);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_18))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3372), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 158 */
								return BFALSE;
							}
					}
			}
		}
	}



/* type-node*! */
	bool_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_45)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 354 */
			{
				obj_t BgL_l5128z00_1184;

				BgL_l5128z00_1184 = BgL_nodeza2za2_45;
			BgL_zc3anonymousza35224ze3z83_1185:
				if (PAIRP(BgL_l5128z00_1184))
					{	/* Cfa/type.scm 355 */
						{	/* Cfa/type.scm 355 */
							obj_t BgL_arg5226z00_1187;

							BgL_arg5226z00_1187 = CAR(BgL_l5128z00_1184);
							{	/* Cfa/type.scm 355 */
								BgL_nodez00_bglt BgL_nodez00_2111;

								BgL_nodez00_2111 = (BgL_nodez00_bglt) (BgL_arg5226z00_1187);
								{	/* Cfa/type.scm 355 */
									obj_t BgL_method5143z00_2112;

									{	/* Cfa/type.scm 355 */
										BgL_objectz00_bglt BgL_objz00_2113;

										BgL_objz00_2113 = (BgL_objectz00_bglt) (BgL_nodez00_2111);
										{	/* Cfa/type.scm 355 */
											long BgL_objzd2classzd2numz00_2114;

											BgL_objzd2classzd2numz00_2114 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2113);
											{	/* Cfa/type.scm 355 */
												obj_t BgL_arg2422z00_2115;

												BgL_arg2422z00_2115 =
													PROCEDURE_REF
													(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
													(int) (((long) 1)));
												{	/* Cfa/type.scm 355 */
													obj_t BgL_arrayz00_2117;

													int BgL_offsetz00_2118;

													BgL_arrayz00_2117 = BgL_arg2422z00_2115;
													BgL_offsetz00_2118 =
														(int) (BgL_objzd2classzd2numz00_2114);
													{	/* Cfa/type.scm 355 */
														long BgL_offsetz00_2119;

														BgL_offsetz00_2119 =
															((long) (BgL_offsetz00_2118) - OBJECT_TYPE);
														{	/* Cfa/type.scm 355 */
															long BgL_modz00_2120;

															{	/* Cfa/type.scm 355 */
																int BgL_arg2424z00_2121;

																BgL_arg2424z00_2121 = (int) (((long) 8));
																{	/* Cfa/type.scm 355 */
																	long BgL_auxz00_3387;

																	BgL_auxz00_3387 =
																		(long) (BgL_arg2424z00_2121);
																	BgL_modz00_2120 =
																		(BgL_offsetz00_2119 / BgL_auxz00_3387);
															}}
															{	/* Cfa/type.scm 355 */
																long BgL_restz00_2122;

																{	/* Cfa/type.scm 355 */
																	int BgL_arg2423z00_2123;

																	BgL_arg2423z00_2123 = (int) (((long) 8));
																	{	/* Cfa/type.scm 355 */
																		long BgL_auxz00_3391;

																		BgL_auxz00_3391 =
																			(long) (BgL_arg2423z00_2123);
																		BgL_restz00_2122 =
																			(BgL_offsetz00_2119 % BgL_auxz00_3391);
																}}
																{	/* Cfa/type.scm 355 */

																	BgL_method5143z00_2112 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2117,
																			(int) (BgL_modz00_2120)),
																		(int) (BgL_restz00_2122));
									}}}}}}}}
									PROCEDURE_ENTRY(BgL_method5143z00_2112)
										(BgL_method5143z00_2112, (obj_t) (BgL_nodez00_2111), BEOA);
						}}}
						{
							obj_t BgL_l5128z00_3401;

							BgL_l5128z00_3401 = CDR(BgL_l5128z00_1184);
							BgL_l5128z00_1184 = BgL_l5128z00_3401;
							goto BgL_zc3anonymousza35224ze3z83_1185;
						}
					}
				else
					{	/* Cfa/type.scm 355 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_typezd2variablez12zd2defau5130zd2envzc0zzcfa_typez00);
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_typezd2nodez12zd2default5142zd2envzc0zzcfa_typez00);
		}
	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_4,
		BgL_variablez00_bglt BgL_variablez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 93 */
			{	/* Cfa/type.scm 93 */
				obj_t BgL_method5131z00_2138;

				{	/* Cfa/type.scm 93 */
					BgL_objectz00_bglt BgL_objz00_2139;

					BgL_objz00_2139 = (BgL_objectz00_bglt) (BgL_valuez00_4);
					{	/* Cfa/type.scm 93 */
						long BgL_objzd2classzd2numz00_2140;

						BgL_objzd2classzd2numz00_2140 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2139);
						{	/* Cfa/type.scm 93 */
							obj_t BgL_arg2422z00_2141;

							BgL_arg2422z00_2141 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 93 */
								obj_t BgL_arrayz00_2143;

								int BgL_offsetz00_2144;

								BgL_arrayz00_2143 = BgL_arg2422z00_2141;
								BgL_offsetz00_2144 = (int) (BgL_objzd2classzd2numz00_2140);
								{	/* Cfa/type.scm 93 */
									long BgL_offsetz00_2145;

									BgL_offsetz00_2145 =
										((long) (BgL_offsetz00_2144) - OBJECT_TYPE);
									{	/* Cfa/type.scm 93 */
										long BgL_modz00_2146;

										{	/* Cfa/type.scm 93 */
											int BgL_arg2424z00_2147;

											BgL_arg2424z00_2147 = (int) (((long) 8));
											{	/* Cfa/type.scm 93 */
												long BgL_auxz00_3413;

												BgL_auxz00_3413 = (long) (BgL_arg2424z00_2147);
												BgL_modz00_2146 =
													(BgL_offsetz00_2145 / BgL_auxz00_3413);
										}}
										{	/* Cfa/type.scm 93 */
											long BgL_restz00_2148;

											{	/* Cfa/type.scm 93 */
												int BgL_arg2423z00_2149;

												BgL_arg2423z00_2149 = (int) (((long) 8));
												{	/* Cfa/type.scm 93 */
													long BgL_auxz00_3417;

													BgL_auxz00_3417 = (long) (BgL_arg2423z00_2149);
													BgL_restz00_2148 =
														(BgL_offsetz00_2145 % BgL_auxz00_3417);
											}}
											{	/* Cfa/type.scm 93 */

												BgL_method5131z00_2138 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2143,
														(int) (BgL_modz00_2146)), (int) (BgL_restz00_2148));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method5131z00_2138) (BgL_method5131z00_2138,
					(obj_t) (BgL_valuez00_4), (obj_t) (BgL_variablez00_5), BEOA);
			}
		}
	}



/* _type-variable! */
	obj_t BGl__typezd2variablez12zc0zzcfa_typez00(obj_t BgL_envz00_3059,
		obj_t BgL_valuez00_3060, obj_t BgL_variablez00_3061)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 93 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				(BgL_valuez00_bglt) (BgL_valuez00_3060),
				(BgL_variablez00_bglt) (BgL_variablez00_3061));
		}
	}



/* type-variable!-defau5130 */
	obj_t BGl_typezd2variablez12zd2defau5130z12zzcfa_typez00(BgL_valuez00_bglt
		BgL_valuez00_6, BgL_variablez00_bglt BgL_variablez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 94 */
				BgL_typez00_bglt BgL_typez00_2163;

				BgL_typez00_2163 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_7))->BgL_typez00);
				{	/* Cfa/type.scm 94 */
					bool_t BgL_testz00_3432;

					{	/* Cfa/type.scm 94 */
						obj_t BgL_obj1437z00_2167;

						BgL_obj1437z00_2167 = (obj_t) (BgL_typez00_2163);
						BgL_testz00_3432 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1437z00_2167,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_3432)
						{	/* Cfa/type.scm 94 */
							return CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Cfa/type.scm 94 */
							return
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_7,
								BGl_getzd2defaultzd2typez00zztype_cachez00());
						}
				}
			}
		}
	}



/* _type-variable!-defau5130 */
	obj_t BGl__typezd2variablez12zd2defau5130z12zzcfa_typez00(obj_t
		BgL_envz00_3066, obj_t BgL_valuez00_3067, obj_t BgL_variablez00_3068)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return
				BGl_typezd2variablez12zd2defau5130z12zzcfa_typez00(
				(BgL_valuez00_bglt) (BgL_valuez00_3067),
				(BgL_variablez00_bglt) (BgL_variablez00_3068));
		}
	}



/* type-node! */
	obj_t BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt BgL_nodez00_20)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 164 */
			{	/* Cfa/type.scm 164 */
				obj_t BgL_method5143z00_2168;

				{	/* Cfa/type.scm 164 */
					BgL_objectz00_bglt BgL_objz00_2169;

					BgL_objz00_2169 = (BgL_objectz00_bglt) (BgL_nodez00_20);
					{	/* Cfa/type.scm 164 */
						long BgL_objzd2classzd2numz00_2170;

						BgL_objzd2classzd2numz00_2170 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2169);
						{	/* Cfa/type.scm 164 */
							obj_t BgL_arg2422z00_2171;

							BgL_arg2422z00_2171 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 164 */
								obj_t BgL_arrayz00_2173;

								int BgL_offsetz00_2174;

								BgL_arrayz00_2173 = BgL_arg2422z00_2171;
								BgL_offsetz00_2174 = (int) (BgL_objzd2classzd2numz00_2170);
								{	/* Cfa/type.scm 164 */
									long BgL_offsetz00_2175;

									BgL_offsetz00_2175 =
										((long) (BgL_offsetz00_2174) - OBJECT_TYPE);
									{	/* Cfa/type.scm 164 */
										long BgL_modz00_2176;

										{	/* Cfa/type.scm 164 */
											int BgL_arg2424z00_2177;

											BgL_arg2424z00_2177 = (int) (((long) 8));
											{	/* Cfa/type.scm 164 */
												long BgL_auxz00_3449;

												BgL_auxz00_3449 = (long) (BgL_arg2424z00_2177);
												BgL_modz00_2176 =
													(BgL_offsetz00_2175 / BgL_auxz00_3449);
										}}
										{	/* Cfa/type.scm 164 */
											long BgL_restz00_2178;

											{	/* Cfa/type.scm 164 */
												int BgL_arg2423z00_2179;

												BgL_arg2423z00_2179 = (int) (((long) 8));
												{	/* Cfa/type.scm 164 */
													long BgL_auxz00_3453;

													BgL_auxz00_3453 = (long) (BgL_arg2423z00_2179);
													BgL_restz00_2178 =
														(BgL_offsetz00_2175 % BgL_auxz00_3453);
											}}
											{	/* Cfa/type.scm 164 */

												BgL_method5143z00_2168 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2173,
														(int) (BgL_modz00_2176)), (int) (BgL_restz00_2178));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method5143z00_2168) (BgL_method5143z00_2168,
					(obj_t) (BgL_nodez00_20), BEOA);
			}
		}
	}



/* _type-node! */
	obj_t BGl__typezd2nodez12zc0zzcfa_typez00(obj_t BgL_envz00_3062,
		obj_t BgL_nodez00_3063)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 164 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				(BgL_nodez00_bglt) (BgL_nodez00_3063));
		}
	}



/* type-node!-default5142 */
	obj_t BGl_typezd2nodez12zd2default5142z12zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
				BGl_string5493z00zzcfa_typez00, (obj_t) (BgL_nodez00_21));
		}
	}



/* _type-node!-default5142 */
	obj_t BGl__typezd2nodez12zd2default5142z12zzcfa_typez00(obj_t BgL_envz00_3069,
		obj_t BgL_nodez00_3070)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return
				BGl_typezd2nodez12zd2default5142z12zzcfa_typez00(
				(BgL_nodez00_bglt) (BgL_nodez00_3070));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc5494z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc5495z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc5496z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc5497z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc5498z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc5499z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc5500z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc5501z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc5502z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc5503z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc5504z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc5505z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_funcallz00zzast_nodez00,
				BGl_proc5506z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc5507z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc5508z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc5509z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc5510z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc5511z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc5512z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc5513z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_selectz00zzast_nodez00,
				BGl_proc5514z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc5515z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc5516z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc5517z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc5518z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc5519z00zzcfa_typez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc5520z00zzcfa_typez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc5521z00zzcfa_typez00);
		}
	}



/* type-node!-box-ref5191 */
	obj_t BGl_typezd2nodez12zd2boxzd2ref5191zc0zzcfa_typez00(obj_t
		BgL_envz00_3099, obj_t BgL_nodez00_3100)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 347 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2008;

				BgL_nodez00_2008 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_3100);
				{	/* Cfa/type.scm 348 */
					BgL_varz00_bglt BgL_arg5421z00_3029;

					BgL_arg5421z00_3029 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2008))->BgL_varz00);
					{	/* Cfa/type.scm 348 */
						BgL_nodez00_bglt BgL_nodez00_3031;

						BgL_nodez00_3031 = (BgL_nodez00_bglt) (BgL_arg5421z00_3029);
						{	/* Cfa/type.scm 348 */
							obj_t BgL_method5143z00_3032;

							{	/* Cfa/type.scm 348 */
								BgL_objectz00_bglt BgL_objz00_3033;

								BgL_objz00_3033 = (BgL_objectz00_bglt) (BgL_nodez00_3031);
								{	/* Cfa/type.scm 348 */
									long BgL_objzd2classzd2numz00_3034;

									BgL_objzd2classzd2numz00_3034 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_3033);
									{	/* Cfa/type.scm 348 */
										obj_t BgL_arg2422z00_3035;

										BgL_arg2422z00_3035 =
											PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
											(int) (((long) 1)));
										{	/* Cfa/type.scm 348 */
											obj_t BgL_arrayz00_3037;

											int BgL_offsetz00_3038;

											BgL_arrayz00_3037 = BgL_arg2422z00_3035;
											BgL_offsetz00_3038 =
												(int) (BgL_objzd2classzd2numz00_3034);
											{	/* Cfa/type.scm 348 */
												long BgL_offsetz00_3039;

												BgL_offsetz00_3039 =
													((long) (BgL_offsetz00_3038) - OBJECT_TYPE);
												{	/* Cfa/type.scm 348 */
													long BgL_modz00_3040;

													{	/* Cfa/type.scm 348 */
														int BgL_arg2424z00_3041;

														BgL_arg2424z00_3041 = (int) (((long) 8));
														{	/* Cfa/type.scm 348 */
															long BgL_auxz00_3508;

															BgL_auxz00_3508 = (long) (BgL_arg2424z00_3041);
															BgL_modz00_3040 =
																(BgL_offsetz00_3039 / BgL_auxz00_3508);
													}}
													{	/* Cfa/type.scm 348 */
														long BgL_restz00_3042;

														{	/* Cfa/type.scm 348 */
															int BgL_arg2423z00_3043;

															BgL_arg2423z00_3043 = (int) (((long) 8));
															{	/* Cfa/type.scm 348 */
																long BgL_auxz00_3512;

																BgL_auxz00_3512 = (long) (BgL_arg2423z00_3043);
																BgL_restz00_3042 =
																	(BgL_offsetz00_3039 % BgL_auxz00_3512);
														}}
														{	/* Cfa/type.scm 348 */

															BgL_method5143z00_3032 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_3037,
																	(int) (BgL_modz00_3040)),
																(int) (BgL_restz00_3042));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method5143z00_3032) (BgL_method5143z00_3032,
								(obj_t) (BgL_nodez00_3031), BEOA);
						}
					}
				}
			}
		}
	}



/* type-node!-box-set!5189 */
	obj_t BGl_typezd2nodez12zd2boxzd2setz125189zd2zzcfa_typez00(obj_t
		BgL_envz00_3101, obj_t BgL_nodez00_3102)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 339 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2000;

				BgL_nodez00_2000 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_3102);
				{	/* Cfa/type.scm 341 */
					BgL_varz00_bglt BgL_arg5418z00_2004;

					BgL_arg5418z00_2004 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2000))->BgL_varz00);
					{	/* Cfa/type.scm 341 */
						BgL_nodez00_bglt BgL_nodez00_2975;

						BgL_nodez00_2975 = (BgL_nodez00_bglt) (BgL_arg5418z00_2004);
						{	/* Cfa/type.scm 341 */
							obj_t BgL_method5143z00_2976;

							{	/* Cfa/type.scm 341 */
								BgL_objectz00_bglt BgL_objz00_2977;

								BgL_objz00_2977 = (BgL_objectz00_bglt) (BgL_nodez00_2975);
								{	/* Cfa/type.scm 341 */
									long BgL_objzd2classzd2numz00_2978;

									BgL_objzd2classzd2numz00_2978 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2977);
									{	/* Cfa/type.scm 341 */
										obj_t BgL_arg2422z00_2979;

										BgL_arg2422z00_2979 =
											PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
											(int) (((long) 1)));
										{	/* Cfa/type.scm 341 */
											obj_t BgL_arrayz00_2981;

											int BgL_offsetz00_2982;

											BgL_arrayz00_2981 = BgL_arg2422z00_2979;
											BgL_offsetz00_2982 =
												(int) (BgL_objzd2classzd2numz00_2978);
											{	/* Cfa/type.scm 341 */
												long BgL_offsetz00_2983;

												BgL_offsetz00_2983 =
													((long) (BgL_offsetz00_2982) - OBJECT_TYPE);
												{	/* Cfa/type.scm 341 */
													long BgL_modz00_2984;

													{	/* Cfa/type.scm 341 */
														int BgL_arg2424z00_2985;

														BgL_arg2424z00_2985 = (int) (((long) 8));
														{	/* Cfa/type.scm 341 */
															long BgL_auxz00_3533;

															BgL_auxz00_3533 = (long) (BgL_arg2424z00_2985);
															BgL_modz00_2984 =
																(BgL_offsetz00_2983 / BgL_auxz00_3533);
													}}
													{	/* Cfa/type.scm 341 */
														long BgL_restz00_2986;

														{	/* Cfa/type.scm 341 */
															int BgL_arg2423z00_2987;

															BgL_arg2423z00_2987 = (int) (((long) 8));
															{	/* Cfa/type.scm 341 */
																long BgL_auxz00_3537;

																BgL_auxz00_3537 = (long) (BgL_arg2423z00_2987);
																BgL_restz00_2986 =
																	(BgL_offsetz00_2983 % BgL_auxz00_3537);
														}}
														{	/* Cfa/type.scm 341 */

															BgL_method5143z00_2976 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2981,
																	(int) (BgL_modz00_2984)),
																(int) (BgL_restz00_2986));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method5143z00_2976) (BgL_method5143z00_2976,
								(obj_t) (BgL_nodez00_2975), BEOA);
				}}}
				{	/* Cfa/type.scm 342 */
					BgL_nodez00_bglt BgL_arg5419z00_2005;

					BgL_arg5419z00_2005 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2000))->BgL_valuez00);
					{	/* Cfa/type.scm 342 */
						obj_t BgL_method5143z00_3003;

						{	/* Cfa/type.scm 342 */
							BgL_objectz00_bglt BgL_objz00_3004;

							BgL_objz00_3004 = (BgL_objectz00_bglt) (BgL_arg5419z00_2005);
							{	/* Cfa/type.scm 342 */
								long BgL_objzd2classzd2numz00_3005;

								BgL_objzd2classzd2numz00_3005 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_3004);
								{	/* Cfa/type.scm 342 */
									obj_t BgL_arg2422z00_3006;

									BgL_arg2422z00_3006 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 342 */
										obj_t BgL_arrayz00_3008;

										int BgL_offsetz00_3009;

										BgL_arrayz00_3008 = BgL_arg2422z00_3006;
										BgL_offsetz00_3009 = (int) (BgL_objzd2classzd2numz00_3005);
										{	/* Cfa/type.scm 342 */
											long BgL_offsetz00_3010;

											BgL_offsetz00_3010 =
												((long) (BgL_offsetz00_3009) - OBJECT_TYPE);
											{	/* Cfa/type.scm 342 */
												long BgL_modz00_3011;

												{	/* Cfa/type.scm 342 */
													int BgL_arg2424z00_3012;

													BgL_arg2424z00_3012 = (int) (((long) 8));
													{	/* Cfa/type.scm 342 */
														long BgL_auxz00_3556;

														BgL_auxz00_3556 = (long) (BgL_arg2424z00_3012);
														BgL_modz00_3011 =
															(BgL_offsetz00_3010 / BgL_auxz00_3556);
												}}
												{	/* Cfa/type.scm 342 */
													long BgL_restz00_3013;

													{	/* Cfa/type.scm 342 */
														int BgL_arg2423z00_3014;

														BgL_arg2423z00_3014 = (int) (((long) 8));
														{	/* Cfa/type.scm 342 */
															long BgL_auxz00_3560;

															BgL_auxz00_3560 = (long) (BgL_arg2423z00_3014);
															BgL_restz00_3013 =
																(BgL_offsetz00_3010 % BgL_auxz00_3560);
													}}
													{	/* Cfa/type.scm 342 */

														BgL_method5143z00_3003 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_3008,
																(int) (BgL_modz00_3011)),
															(int) (BgL_restz00_3013));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_3003) (BgL_method5143z00_3003,
							(obj_t) (BgL_arg5419z00_2005), BEOA);
					}
				}
			}
		}
	}



/* type-node!-make-box5187 */
	obj_t BGl_typezd2nodez12zd2makezd2box5187zc0zzcfa_typez00(obj_t
		BgL_envz00_3103, obj_t BgL_nodez00_3104)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 332 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1993;

				BgL_nodez00_1993 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_3104);
				{	/* Cfa/type.scm 333 */
					BgL_nodez00_bglt BgL_arg5416z00_2946;

					BgL_arg5416z00_2946 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1993))->BgL_valuez00);
					{	/* Cfa/type.scm 333 */
						obj_t BgL_method5143z00_2949;

						{	/* Cfa/type.scm 333 */
							BgL_objectz00_bglt BgL_objz00_2950;

							BgL_objz00_2950 = (BgL_objectz00_bglt) (BgL_arg5416z00_2946);
							{	/* Cfa/type.scm 333 */
								long BgL_objzd2classzd2numz00_2951;

								BgL_objzd2classzd2numz00_2951 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2950);
								{	/* Cfa/type.scm 333 */
									obj_t BgL_arg2422z00_2952;

									BgL_arg2422z00_2952 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 333 */
										obj_t BgL_arrayz00_2954;

										int BgL_offsetz00_2955;

										BgL_arrayz00_2954 = BgL_arg2422z00_2952;
										BgL_offsetz00_2955 = (int) (BgL_objzd2classzd2numz00_2951);
										{	/* Cfa/type.scm 333 */
											long BgL_offsetz00_2956;

											BgL_offsetz00_2956 =
												((long) (BgL_offsetz00_2955) - OBJECT_TYPE);
											{	/* Cfa/type.scm 333 */
												long BgL_modz00_2957;

												{	/* Cfa/type.scm 333 */
													int BgL_arg2424z00_2958;

													BgL_arg2424z00_2958 = (int) (((long) 8));
													{	/* Cfa/type.scm 333 */
														long BgL_auxz00_3580;

														BgL_auxz00_3580 = (long) (BgL_arg2424z00_2958);
														BgL_modz00_2957 =
															(BgL_offsetz00_2956 / BgL_auxz00_3580);
												}}
												{	/* Cfa/type.scm 333 */
													long BgL_restz00_2959;

													{	/* Cfa/type.scm 333 */
														int BgL_arg2423z00_2960;

														BgL_arg2423z00_2960 = (int) (((long) 8));
														{	/* Cfa/type.scm 333 */
															long BgL_auxz00_3584;

															BgL_auxz00_3584 = (long) (BgL_arg2423z00_2960);
															BgL_restz00_2959 =
																(BgL_offsetz00_2956 % BgL_auxz00_3584);
													}}
													{	/* Cfa/type.scm 333 */

														BgL_method5143z00_2949 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2954,
																(int) (BgL_modz00_2957)),
															(int) (BgL_restz00_2959));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_2949) (BgL_method5143z00_2949,
							(obj_t) (BgL_arg5416z00_2946), BEOA);
					}
				}
			}
		}
	}



/* type-node!-jump-ex-i5185 */
	obj_t BGl_typezd2nodez12zd2jumpzd2exzd2i5185z12zzcfa_typez00(obj_t
		BgL_envz00_3105, obj_t BgL_nodez00_3106)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 324 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1985;

				BgL_nodez00_1985 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_3106);
				{	/* Cfa/type.scm 326 */
					BgL_nodez00_bglt BgL_arg5413z00_1989;

					BgL_arg5413z00_1989 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1985))->
						BgL_exitz00);
					{	/* Cfa/type.scm 326 */
						obj_t BgL_method5143z00_2893;

						{	/* Cfa/type.scm 326 */
							BgL_objectz00_bglt BgL_objz00_2894;

							BgL_objz00_2894 = (BgL_objectz00_bglt) (BgL_arg5413z00_1989);
							{	/* Cfa/type.scm 326 */
								long BgL_objzd2classzd2numz00_2895;

								BgL_objzd2classzd2numz00_2895 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2894);
								{	/* Cfa/type.scm 326 */
									obj_t BgL_arg2422z00_2896;

									BgL_arg2422z00_2896 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 326 */
										obj_t BgL_arrayz00_2898;

										int BgL_offsetz00_2899;

										BgL_arrayz00_2898 = BgL_arg2422z00_2896;
										BgL_offsetz00_2899 = (int) (BgL_objzd2classzd2numz00_2895);
										{	/* Cfa/type.scm 326 */
											long BgL_offsetz00_2900;

											BgL_offsetz00_2900 =
												((long) (BgL_offsetz00_2899) - OBJECT_TYPE);
											{	/* Cfa/type.scm 326 */
												long BgL_modz00_2901;

												{	/* Cfa/type.scm 326 */
													int BgL_arg2424z00_2902;

													BgL_arg2424z00_2902 = (int) (((long) 8));
													{	/* Cfa/type.scm 326 */
														long BgL_auxz00_3604;

														BgL_auxz00_3604 = (long) (BgL_arg2424z00_2902);
														BgL_modz00_2901 =
															(BgL_offsetz00_2900 / BgL_auxz00_3604);
												}}
												{	/* Cfa/type.scm 326 */
													long BgL_restz00_2903;

													{	/* Cfa/type.scm 326 */
														int BgL_arg2423z00_2904;

														BgL_arg2423z00_2904 = (int) (((long) 8));
														{	/* Cfa/type.scm 326 */
															long BgL_auxz00_3608;

															BgL_auxz00_3608 = (long) (BgL_arg2423z00_2904);
															BgL_restz00_2903 =
																(BgL_offsetz00_2900 % BgL_auxz00_3608);
													}}
													{	/* Cfa/type.scm 326 */

														BgL_method5143z00_2893 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2898,
																(int) (BgL_modz00_2901)),
															(int) (BgL_restz00_2903));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method5143z00_2893) (BgL_method5143z00_2893,
							(obj_t) (BgL_arg5413z00_1989), BEOA);
				}}
				{	/* Cfa/type.scm 327 */
					BgL_nodez00_bglt BgL_arg5414z00_1990;

					BgL_arg5414z00_1990 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1985))->
						BgL_valuez00);
					{	/* Cfa/type.scm 327 */
						obj_t BgL_method5143z00_2920;

						{	/* Cfa/type.scm 327 */
							BgL_objectz00_bglt BgL_objz00_2921;

							BgL_objz00_2921 = (BgL_objectz00_bglt) (BgL_arg5414z00_1990);
							{	/* Cfa/type.scm 327 */
								long BgL_objzd2classzd2numz00_2922;

								BgL_objzd2classzd2numz00_2922 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2921);
								{	/* Cfa/type.scm 327 */
									obj_t BgL_arg2422z00_2923;

									BgL_arg2422z00_2923 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 327 */
										obj_t BgL_arrayz00_2925;

										int BgL_offsetz00_2926;

										BgL_arrayz00_2925 = BgL_arg2422z00_2923;
										BgL_offsetz00_2926 = (int) (BgL_objzd2classzd2numz00_2922);
										{	/* Cfa/type.scm 327 */
											long BgL_offsetz00_2927;

											BgL_offsetz00_2927 =
												((long) (BgL_offsetz00_2926) - OBJECT_TYPE);
											{	/* Cfa/type.scm 327 */
												long BgL_modz00_2928;

												{	/* Cfa/type.scm 327 */
													int BgL_arg2424z00_2929;

													BgL_arg2424z00_2929 = (int) (((long) 8));
													{	/* Cfa/type.scm 327 */
														long BgL_auxz00_3627;

														BgL_auxz00_3627 = (long) (BgL_arg2424z00_2929);
														BgL_modz00_2928 =
															(BgL_offsetz00_2927 / BgL_auxz00_3627);
												}}
												{	/* Cfa/type.scm 327 */
													long BgL_restz00_2930;

													{	/* Cfa/type.scm 327 */
														int BgL_arg2423z00_2931;

														BgL_arg2423z00_2931 = (int) (((long) 8));
														{	/* Cfa/type.scm 327 */
															long BgL_auxz00_3631;

															BgL_auxz00_3631 = (long) (BgL_arg2423z00_2931);
															BgL_restz00_2930 =
																(BgL_offsetz00_2927 % BgL_auxz00_3631);
													}}
													{	/* Cfa/type.scm 327 */

														BgL_method5143z00_2920 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2925,
																(int) (BgL_modz00_2928)),
															(int) (BgL_restz00_2930));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_2920) (BgL_method5143z00_2920,
							(obj_t) (BgL_arg5414z00_1990), BEOA);
					}
				}
			}
		}
	}



/* type-node!-set-ex-it5183 */
	obj_t BGl_typezd2nodez12zd2setzd2exzd2it5183z12zzcfa_typez00(obj_t
		BgL_envz00_3107, obj_t BgL_nodez00_3108)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 314 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1974;

				BgL_nodez00_1974 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_3108);
				{	/* Cfa/type.scm 316 */
					BgL_variablez00_bglt BgL_vz00_1978;

					{	/* Cfa/type.scm 316 */
						BgL_varz00_bglt BgL_obj1993z00_2808;

						BgL_obj1993z00_2808 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1974))->
							BgL_varz00);
						BgL_vz00_1978 =
							(((BgL_varz00_bglt) CREF(BgL_obj1993z00_2808))->BgL_variablez00);
					}
					{	/* Cfa/type.scm 317 */
						BgL_valuez00_bglt BgL_arg5408z00_1979;

						BgL_arg5408z00_1979 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1978))->BgL_valuez00);
						{	/* Cfa/type.scm 317 */
							obj_t BgL_method5131z00_2812;

							{	/* Cfa/type.scm 317 */
								BgL_objectz00_bglt BgL_objz00_2813;

								BgL_objz00_2813 = (BgL_objectz00_bglt) (BgL_arg5408z00_1979);
								{	/* Cfa/type.scm 317 */
									long BgL_objzd2classzd2numz00_2814;

									BgL_objzd2classzd2numz00_2814 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2813);
									{	/* Cfa/type.scm 317 */
										obj_t BgL_arg2422z00_2815;

										BgL_arg2422z00_2815 =
											PROCEDURE_REF
											(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
											(int) (((long) 1)));
										{	/* Cfa/type.scm 317 */
											obj_t BgL_arrayz00_2817;

											int BgL_offsetz00_2818;

											BgL_arrayz00_2817 = BgL_arg2422z00_2815;
											BgL_offsetz00_2818 =
												(int) (BgL_objzd2classzd2numz00_2814);
											{	/* Cfa/type.scm 317 */
												long BgL_offsetz00_2819;

												BgL_offsetz00_2819 =
													((long) (BgL_offsetz00_2818) - OBJECT_TYPE);
												{	/* Cfa/type.scm 317 */
													long BgL_modz00_2820;

													{	/* Cfa/type.scm 317 */
														int BgL_arg2424z00_2821;

														BgL_arg2424z00_2821 = (int) (((long) 8));
														{	/* Cfa/type.scm 317 */
															long BgL_auxz00_3653;

															BgL_auxz00_3653 = (long) (BgL_arg2424z00_2821);
															BgL_modz00_2820 =
																(BgL_offsetz00_2819 / BgL_auxz00_3653);
													}}
													{	/* Cfa/type.scm 317 */
														long BgL_restz00_2822;

														{	/* Cfa/type.scm 317 */
															int BgL_arg2423z00_2823;

															BgL_arg2423z00_2823 = (int) (((long) 8));
															{	/* Cfa/type.scm 317 */
																long BgL_auxz00_3657;

																BgL_auxz00_3657 = (long) (BgL_arg2423z00_2823);
																BgL_restz00_2822 =
																	(BgL_offsetz00_2819 % BgL_auxz00_3657);
														}}
														{	/* Cfa/type.scm 317 */

															BgL_method5131z00_2812 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2817,
																	(int) (BgL_modz00_2820)),
																(int) (BgL_restz00_2822));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method5131z00_2812) (BgL_method5131z00_2812,
								(obj_t) (BgL_arg5408z00_1979), (obj_t) (BgL_vz00_1978), BEOA);
				}}}
				{	/* Cfa/type.scm 318 */
					BgL_nodez00_bglt BgL_arg5410z00_1981;

					BgL_arg5410z00_1981 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1974))->BgL_bodyz00);
					{	/* Cfa/type.scm 318 */
						obj_t BgL_method5143z00_2839;

						{	/* Cfa/type.scm 318 */
							BgL_objectz00_bglt BgL_objz00_2840;

							BgL_objz00_2840 = (BgL_objectz00_bglt) (BgL_arg5410z00_1981);
							{	/* Cfa/type.scm 318 */
								long BgL_objzd2classzd2numz00_2841;

								BgL_objzd2classzd2numz00_2841 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2840);
								{	/* Cfa/type.scm 318 */
									obj_t BgL_arg2422z00_2842;

									BgL_arg2422z00_2842 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 318 */
										obj_t BgL_arrayz00_2844;

										int BgL_offsetz00_2845;

										BgL_arrayz00_2844 = BgL_arg2422z00_2842;
										BgL_offsetz00_2845 = (int) (BgL_objzd2classzd2numz00_2841);
										{	/* Cfa/type.scm 318 */
											long BgL_offsetz00_2846;

											BgL_offsetz00_2846 =
												((long) (BgL_offsetz00_2845) - OBJECT_TYPE);
											{	/* Cfa/type.scm 318 */
												long BgL_modz00_2847;

												{	/* Cfa/type.scm 318 */
													int BgL_arg2424z00_2848;

													BgL_arg2424z00_2848 = (int) (((long) 8));
													{	/* Cfa/type.scm 318 */
														long BgL_auxz00_3677;

														BgL_auxz00_3677 = (long) (BgL_arg2424z00_2848);
														BgL_modz00_2847 =
															(BgL_offsetz00_2846 / BgL_auxz00_3677);
												}}
												{	/* Cfa/type.scm 318 */
													long BgL_restz00_2849;

													{	/* Cfa/type.scm 318 */
														int BgL_arg2423z00_2850;

														BgL_arg2423z00_2850 = (int) (((long) 8));
														{	/* Cfa/type.scm 318 */
															long BgL_auxz00_3681;

															BgL_auxz00_3681 = (long) (BgL_arg2423z00_2850);
															BgL_restz00_2849 =
																(BgL_offsetz00_2846 % BgL_auxz00_3681);
													}}
													{	/* Cfa/type.scm 318 */

														BgL_method5143z00_2839 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2844,
																(int) (BgL_modz00_2847)),
															(int) (BgL_restz00_2849));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method5143z00_2839) (BgL_method5143z00_2839,
							(obj_t) (BgL_arg5410z00_1981), BEOA);
				}}
				{	/* Cfa/type.scm 319 */
					BgL_varz00_bglt BgL_arg5411z00_1982;

					BgL_arg5411z00_1982 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1974))->BgL_varz00);
					{	/* Cfa/type.scm 319 */
						BgL_nodez00_bglt BgL_nodez00_2865;

						BgL_nodez00_2865 = (BgL_nodez00_bglt) (BgL_arg5411z00_1982);
						{	/* Cfa/type.scm 319 */
							obj_t BgL_method5143z00_2866;

							{	/* Cfa/type.scm 319 */
								BgL_objectz00_bglt BgL_objz00_2867;

								BgL_objz00_2867 = (BgL_objectz00_bglt) (BgL_nodez00_2865);
								{	/* Cfa/type.scm 319 */
									long BgL_objzd2classzd2numz00_2868;

									BgL_objzd2classzd2numz00_2868 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2867);
									{	/* Cfa/type.scm 319 */
										obj_t BgL_arg2422z00_2869;

										BgL_arg2422z00_2869 =
											PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
											(int) (((long) 1)));
										{	/* Cfa/type.scm 319 */
											obj_t BgL_arrayz00_2871;

											int BgL_offsetz00_2872;

											BgL_arrayz00_2871 = BgL_arg2422z00_2869;
											BgL_offsetz00_2872 =
												(int) (BgL_objzd2classzd2numz00_2868);
											{	/* Cfa/type.scm 319 */
												long BgL_offsetz00_2873;

												BgL_offsetz00_2873 =
													((long) (BgL_offsetz00_2872) - OBJECT_TYPE);
												{	/* Cfa/type.scm 319 */
													long BgL_modz00_2874;

													{	/* Cfa/type.scm 319 */
														int BgL_arg2424z00_2875;

														BgL_arg2424z00_2875 = (int) (((long) 8));
														{	/* Cfa/type.scm 319 */
															long BgL_auxz00_3701;

															BgL_auxz00_3701 = (long) (BgL_arg2424z00_2875);
															BgL_modz00_2874 =
																(BgL_offsetz00_2873 / BgL_auxz00_3701);
													}}
													{	/* Cfa/type.scm 319 */
														long BgL_restz00_2876;

														{	/* Cfa/type.scm 319 */
															int BgL_arg2423z00_2877;

															BgL_arg2423z00_2877 = (int) (((long) 8));
															{	/* Cfa/type.scm 319 */
																long BgL_auxz00_3705;

																BgL_auxz00_3705 = (long) (BgL_arg2423z00_2877);
																BgL_restz00_2876 =
																	(BgL_offsetz00_2873 % BgL_auxz00_3705);
														}}
														{	/* Cfa/type.scm 319 */

															BgL_method5143z00_2866 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2871,
																	(int) (BgL_modz00_2874)),
																(int) (BgL_restz00_2876));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method5143z00_2866) (BgL_method5143z00_2866,
								(obj_t) (BgL_nodez00_2865), BEOA);
						}
					}
				}
			}
		}
	}



/* type-node!-let-var5181 */
	obj_t BGl_typezd2nodez12zd2letzd2var5181zc0zzcfa_typez00(obj_t
		BgL_envz00_3109, obj_t BgL_nodez00_3110)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 301 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1956;

				BgL_nodez00_1956 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_3110);
				{	/* Cfa/type.scm 303 */
					obj_t BgL_g5127z00_1960;

					BgL_g5127z00_1960 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1956))->BgL_bindingsz00);
					{
						obj_t BgL_l5125z00_1962;

						BgL_l5125z00_1962 = BgL_g5127z00_1960;
					BgL_zc3anonymousza35402ze3z83_1963:
						if (PAIRP(BgL_l5125z00_1962))
							{	/* Cfa/type.scm 303 */
								{	/* Cfa/type.scm 304 */
									obj_t BgL_bindingz00_1965;

									BgL_bindingz00_1965 = CAR(BgL_l5125z00_1962);
									{	/* Cfa/type.scm 304 */
										obj_t BgL_varz00_1966;

										obj_t BgL_valz00_1967;

										BgL_varz00_1966 = CAR(BgL_bindingz00_1965);
										BgL_valz00_1967 = CDR(BgL_bindingz00_1965);
										{	/* Cfa/type.scm 306 */
											BgL_nodez00_bglt BgL_nodez00_2725;

											BgL_nodez00_2725 = (BgL_nodez00_bglt) (BgL_valz00_1967);
											{	/* Cfa/type.scm 306 */
												obj_t BgL_method5143z00_2726;

												{	/* Cfa/type.scm 306 */
													BgL_objectz00_bglt BgL_objz00_2727;

													BgL_objz00_2727 =
														(BgL_objectz00_bglt) (BgL_nodez00_2725);
													{	/* Cfa/type.scm 306 */
														long BgL_objzd2classzd2numz00_2728;

														BgL_objzd2classzd2numz00_2728 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_2727);
														{	/* Cfa/type.scm 306 */
															obj_t BgL_arg2422z00_2729;

															BgL_arg2422z00_2729 =
																PROCEDURE_REF
																(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
																(int) (((long) 1)));
															{	/* Cfa/type.scm 306 */
																obj_t BgL_arrayz00_2731;

																int BgL_offsetz00_2732;

																BgL_arrayz00_2731 = BgL_arg2422z00_2729;
																BgL_offsetz00_2732 =
																	(int) (BgL_objzd2classzd2numz00_2728);
																{	/* Cfa/type.scm 306 */
																	long BgL_offsetz00_2733;

																	BgL_offsetz00_2733 =
																		((long) (BgL_offsetz00_2732) - OBJECT_TYPE);
																	{	/* Cfa/type.scm 306 */
																		long BgL_modz00_2734;

																		{	/* Cfa/type.scm 306 */
																			int BgL_arg2424z00_2735;

																			BgL_arg2424z00_2735 = (int) (((long) 8));
																			{	/* Cfa/type.scm 306 */
																				long BgL_auxz00_3731;

																				BgL_auxz00_3731 =
																					(long) (BgL_arg2424z00_2735);
																				BgL_modz00_2734 =
																					(BgL_offsetz00_2733 /
																					BgL_auxz00_3731);
																		}}
																		{	/* Cfa/type.scm 306 */
																			long BgL_restz00_2736;

																			{	/* Cfa/type.scm 306 */
																				int BgL_arg2423z00_2737;

																				BgL_arg2423z00_2737 =
																					(int) (((long) 8));
																				{	/* Cfa/type.scm 306 */
																					long BgL_auxz00_3735;

																					BgL_auxz00_3735 =
																						(long) (BgL_arg2423z00_2737);
																					BgL_restz00_2736 =
																						(BgL_offsetz00_2733 %
																						BgL_auxz00_3735);
																			}}
																			{	/* Cfa/type.scm 306 */

																				BgL_method5143z00_2726 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_2731,
																						(int) (BgL_modz00_2734)),
																					(int) (BgL_restz00_2736));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method5143z00_2726)
													(BgL_method5143z00_2726, (obj_t) (BgL_nodez00_2725),
													BEOA);
										}}
										{	/* Cfa/type.scm 307 */
											BgL_valuez00_bglt BgL_arg5404z00_1968;

											{
												BgL_variablez00_bglt BgL_auxz00_3745;

												BgL_auxz00_3745 =
													(BgL_variablez00_bglt) (BgL_varz00_1966);
												BgL_arg5404z00_1968 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3745))->
													BgL_valuez00);
											}
											{	/* Cfa/type.scm 307 */
												BgL_variablez00_bglt BgL_variablez00_2753;

												BgL_variablez00_2753 =
													(BgL_variablez00_bglt) (BgL_varz00_1966);
												{	/* Cfa/type.scm 307 */
													obj_t BgL_method5131z00_2754;

													{	/* Cfa/type.scm 307 */
														BgL_objectz00_bglt BgL_objz00_2755;

														BgL_objz00_2755 =
															(BgL_objectz00_bglt) (BgL_arg5404z00_1968);
														{	/* Cfa/type.scm 307 */
															long BgL_objzd2classzd2numz00_2756;

															BgL_objzd2classzd2numz00_2756 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_2755);
															{	/* Cfa/type.scm 307 */
																obj_t BgL_arg2422z00_2757;

																BgL_arg2422z00_2757 =
																	PROCEDURE_REF
																	(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
																	(int) (((long) 1)));
																{	/* Cfa/type.scm 307 */
																	obj_t BgL_arrayz00_2759;

																	int BgL_offsetz00_2760;

																	BgL_arrayz00_2759 = BgL_arg2422z00_2757;
																	BgL_offsetz00_2760 =
																		(int) (BgL_objzd2classzd2numz00_2756);
																	{	/* Cfa/type.scm 307 */
																		long BgL_offsetz00_2761;

																		BgL_offsetz00_2761 =
																			(
																			(long) (BgL_offsetz00_2760) -
																			OBJECT_TYPE);
																		{	/* Cfa/type.scm 307 */
																			long BgL_modz00_2762;

																			{	/* Cfa/type.scm 307 */
																				int BgL_arg2424z00_2763;

																				BgL_arg2424z00_2763 =
																					(int) (((long) 8));
																				{	/* Cfa/type.scm 307 */
																					long BgL_auxz00_3757;

																					BgL_auxz00_3757 =
																						(long) (BgL_arg2424z00_2763);
																					BgL_modz00_2762 =
																						(BgL_offsetz00_2761 /
																						BgL_auxz00_3757);
																			}}
																			{	/* Cfa/type.scm 307 */
																				long BgL_restz00_2764;

																				{	/* Cfa/type.scm 307 */
																					int BgL_arg2423z00_2765;

																					BgL_arg2423z00_2765 =
																						(int) (((long) 8));
																					{	/* Cfa/type.scm 307 */
																						long BgL_auxz00_3761;

																						BgL_auxz00_3761 =
																							(long) (BgL_arg2423z00_2765);
																						BgL_restz00_2764 =
																							(BgL_offsetz00_2761 %
																							BgL_auxz00_3761);
																				}}
																				{	/* Cfa/type.scm 307 */

																					BgL_method5131z00_2754 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_2759,
																							(int) (BgL_modz00_2762)),
																						(int) (BgL_restz00_2764));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method5131z00_2754)
														(BgL_method5131z00_2754,
														(obj_t) (BgL_arg5404z00_1968),
														(obj_t) (BgL_variablez00_2753), BEOA);
								}}}}}
								{
									obj_t BgL_l5125z00_3772;

									BgL_l5125z00_3772 = CDR(BgL_l5125z00_1962);
									BgL_l5125z00_1962 = BgL_l5125z00_3772;
									goto BgL_zc3anonymousza35402ze3z83_1963;
								}
							}
						else
							{	/* Cfa/type.scm 303 */
								((bool_t) 1);
							}
					}
				}
				{	/* Cfa/type.scm 309 */
					BgL_nodez00_bglt BgL_arg5406z00_1971;

					BgL_arg5406z00_1971 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1956))->BgL_bodyz00);
					{	/* Cfa/type.scm 309 */
						obj_t BgL_method5143z00_2782;

						{	/* Cfa/type.scm 309 */
							BgL_objectz00_bglt BgL_objz00_2783;

							BgL_objz00_2783 = (BgL_objectz00_bglt) (BgL_arg5406z00_1971);
							{	/* Cfa/type.scm 309 */
								long BgL_objzd2classzd2numz00_2784;

								BgL_objzd2classzd2numz00_2784 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2783);
								{	/* Cfa/type.scm 309 */
									obj_t BgL_arg2422z00_2785;

									BgL_arg2422z00_2785 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 309 */
										obj_t BgL_arrayz00_2787;

										int BgL_offsetz00_2788;

										BgL_arrayz00_2787 = BgL_arg2422z00_2785;
										BgL_offsetz00_2788 = (int) (BgL_objzd2classzd2numz00_2784);
										{	/* Cfa/type.scm 309 */
											long BgL_offsetz00_2789;

											BgL_offsetz00_2789 =
												((long) (BgL_offsetz00_2788) - OBJECT_TYPE);
											{	/* Cfa/type.scm 309 */
												long BgL_modz00_2790;

												{	/* Cfa/type.scm 309 */
													int BgL_arg2424z00_2791;

													BgL_arg2424z00_2791 = (int) (((long) 8));
													{	/* Cfa/type.scm 309 */
														long BgL_auxz00_3783;

														BgL_auxz00_3783 = (long) (BgL_arg2424z00_2791);
														BgL_modz00_2790 =
															(BgL_offsetz00_2789 / BgL_auxz00_3783);
												}}
												{	/* Cfa/type.scm 309 */
													long BgL_restz00_2792;

													{	/* Cfa/type.scm 309 */
														int BgL_arg2423z00_2793;

														BgL_arg2423z00_2793 = (int) (((long) 8));
														{	/* Cfa/type.scm 309 */
															long BgL_auxz00_3787;

															BgL_auxz00_3787 = (long) (BgL_arg2423z00_2793);
															BgL_restz00_2792 =
																(BgL_offsetz00_2789 % BgL_auxz00_3787);
													}}
													{	/* Cfa/type.scm 309 */

														BgL_method5143z00_2782 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2787,
																(int) (BgL_modz00_2790)),
															(int) (BgL_restz00_2792));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_2782) (BgL_method5143z00_2782,
							(obj_t) (BgL_arg5406z00_1971), BEOA);
					}
				}
			}
		}
	}



/* type-node!-let-fun5179 */
	obj_t BGl_typezd2nodez12zd2letzd2fun5179zc0zzcfa_typez00(obj_t
		BgL_envz00_3111, obj_t BgL_nodez00_3112)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 293 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1941;

				BgL_nodez00_1941 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_3112);
				{	/* Cfa/type.scm 295 */
					obj_t BgL_g5124z00_1945;

					BgL_g5124z00_1945 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1941))->BgL_localsz00);
					{
						obj_t BgL_l5122z00_1947;

						BgL_l5122z00_1947 = BgL_g5124z00_1945;
					BgL_zc3anonymousza35396ze3z83_1948:
						if (PAIRP(BgL_l5122z00_1947))
							{	/* Cfa/type.scm 295 */
								{	/* Cfa/type.scm 295 */
									obj_t BgL_arg5398z00_1950;

									BgL_arg5398z00_1950 = CAR(BgL_l5122z00_1947);
									BGl_typezd2funz12zc0zzcfa_typez00(
										(BgL_variablez00_bglt) (BgL_arg5398z00_1950));
								}
								{
									obj_t BgL_l5122z00_3804;

									BgL_l5122z00_3804 = CDR(BgL_l5122z00_1947);
									BgL_l5122z00_1947 = BgL_l5122z00_3804;
									goto BgL_zc3anonymousza35396ze3z83_1948;
								}
							}
						else
							{	/* Cfa/type.scm 295 */
								((bool_t) 1);
							}
					}
				}
				{	/* Cfa/type.scm 296 */
					BgL_nodez00_bglt BgL_arg5400z00_1953;

					BgL_arg5400z00_1953 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1941))->BgL_bodyz00);
					{	/* Cfa/type.scm 296 */
						obj_t BgL_method5143z00_2695;

						{	/* Cfa/type.scm 296 */
							BgL_objectz00_bglt BgL_objz00_2696;

							BgL_objz00_2696 = (BgL_objectz00_bglt) (BgL_arg5400z00_1953);
							{	/* Cfa/type.scm 296 */
								long BgL_objzd2classzd2numz00_2697;

								BgL_objzd2classzd2numz00_2697 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2696);
								{	/* Cfa/type.scm 296 */
									obj_t BgL_arg2422z00_2698;

									BgL_arg2422z00_2698 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 296 */
										obj_t BgL_arrayz00_2700;

										int BgL_offsetz00_2701;

										BgL_arrayz00_2700 = BgL_arg2422z00_2698;
										BgL_offsetz00_2701 = (int) (BgL_objzd2classzd2numz00_2697);
										{	/* Cfa/type.scm 296 */
											long BgL_offsetz00_2702;

											BgL_offsetz00_2702 =
												((long) (BgL_offsetz00_2701) - OBJECT_TYPE);
											{	/* Cfa/type.scm 296 */
												long BgL_modz00_2703;

												{	/* Cfa/type.scm 296 */
													int BgL_arg2424z00_2704;

													BgL_arg2424z00_2704 = (int) (((long) 8));
													{	/* Cfa/type.scm 296 */
														long BgL_auxz00_3815;

														BgL_auxz00_3815 = (long) (BgL_arg2424z00_2704);
														BgL_modz00_2703 =
															(BgL_offsetz00_2702 / BgL_auxz00_3815);
												}}
												{	/* Cfa/type.scm 296 */
													long BgL_restz00_2705;

													{	/* Cfa/type.scm 296 */
														int BgL_arg2423z00_2706;

														BgL_arg2423z00_2706 = (int) (((long) 8));
														{	/* Cfa/type.scm 296 */
															long BgL_auxz00_3819;

															BgL_auxz00_3819 = (long) (BgL_arg2423z00_2706);
															BgL_restz00_2705 =
																(BgL_offsetz00_2702 % BgL_auxz00_3819);
													}}
													{	/* Cfa/type.scm 296 */

														BgL_method5143z00_2695 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2700,
																(int) (BgL_modz00_2703)),
															(int) (BgL_restz00_2705));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_2695) (BgL_method5143z00_2695,
							(obj_t) (BgL_arg5400z00_1953), BEOA);
					}
				}
			}
		}
	}



/* type-node!-select5177 */
	obj_t BGl_typezd2nodez12zd2select5177z12zzcfa_typez00(obj_t BgL_envz00_3113,
		obj_t BgL_nodez00_3114)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 283 */
			{
				BgL_selectz00_bglt BgL_nodez00_1925;

				{	/* Cfa/type.scm 284 */
					bool_t BgL_auxz00_3830;

					BgL_nodez00_1925 = (BgL_selectz00_bglt) (BgL_nodez00_3114);
					{	/* Cfa/type.scm 285 */
						BgL_nodez00_bglt BgL_arg5390z00_1929;

						BgL_arg5390z00_1929 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1925))->BgL_testz00);
						{	/* Cfa/type.scm 285 */
							obj_t BgL_method5143z00_2633;

							{	/* Cfa/type.scm 285 */
								BgL_objectz00_bglt BgL_objz00_2634;

								BgL_objz00_2634 = (BgL_objectz00_bglt) (BgL_arg5390z00_1929);
								{	/* Cfa/type.scm 285 */
									long BgL_objzd2classzd2numz00_2635;

									BgL_objzd2classzd2numz00_2635 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2634);
									{	/* Cfa/type.scm 285 */
										obj_t BgL_arg2422z00_2636;

										BgL_arg2422z00_2636 =
											PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
											(int) (((long) 1)));
										{	/* Cfa/type.scm 285 */
											obj_t BgL_arrayz00_2638;

											int BgL_offsetz00_2639;

											BgL_arrayz00_2638 = BgL_arg2422z00_2636;
											BgL_offsetz00_2639 =
												(int) (BgL_objzd2classzd2numz00_2635);
											{	/* Cfa/type.scm 285 */
												long BgL_offsetz00_2640;

												BgL_offsetz00_2640 =
													((long) (BgL_offsetz00_2639) - OBJECT_TYPE);
												{	/* Cfa/type.scm 285 */
													long BgL_modz00_2641;

													{	/* Cfa/type.scm 285 */
														int BgL_arg2424z00_2642;

														BgL_arg2424z00_2642 = (int) (((long) 8));
														{	/* Cfa/type.scm 285 */
															long BgL_auxz00_3840;

															BgL_auxz00_3840 = (long) (BgL_arg2424z00_2642);
															BgL_modz00_2641 =
																(BgL_offsetz00_2640 / BgL_auxz00_3840);
													}}
													{	/* Cfa/type.scm 285 */
														long BgL_restz00_2643;

														{	/* Cfa/type.scm 285 */
															int BgL_arg2423z00_2644;

															BgL_arg2423z00_2644 = (int) (((long) 8));
															{	/* Cfa/type.scm 285 */
																long BgL_auxz00_3844;

																BgL_auxz00_3844 = (long) (BgL_arg2423z00_2644);
																BgL_restz00_2643 =
																	(BgL_offsetz00_2640 % BgL_auxz00_3844);
														}}
														{	/* Cfa/type.scm 285 */

															BgL_method5143z00_2633 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2638,
																	(int) (BgL_modz00_2641)),
																(int) (BgL_restz00_2643));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method5143z00_2633) (BgL_method5143z00_2633,
								(obj_t) (BgL_arg5390z00_1929), BEOA);
					}}
					{	/* Cfa/type.scm 286 */
						obj_t BgL_g5121z00_1930;

						BgL_g5121z00_1930 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1925))->BgL_clausesz00);
						{
							obj_t BgL_l5119z00_1932;

							BgL_l5119z00_1932 = BgL_g5121z00_1930;
						BgL_zc3anonymousza35391ze3z83_1933:
							if (PAIRP(BgL_l5119z00_1932))
								{	/* Cfa/type.scm 286 */
									{	/* Cfa/type.scm 287 */
										obj_t BgL_clausez00_1935;

										BgL_clausez00_1935 = CAR(BgL_l5119z00_1932);
										{	/* Cfa/type.scm 287 */
											obj_t BgL_arg5393z00_1936;

											BgL_arg5393z00_1936 = CDR(BgL_clausez00_1935);
											{	/* Cfa/type.scm 287 */
												BgL_nodez00_bglt BgL_nodez00_2662;

												BgL_nodez00_2662 =
													(BgL_nodez00_bglt) (BgL_arg5393z00_1936);
												{	/* Cfa/type.scm 287 */
													obj_t BgL_method5143z00_2663;

													{	/* Cfa/type.scm 287 */
														BgL_objectz00_bglt BgL_objz00_2664;

														BgL_objz00_2664 =
															(BgL_objectz00_bglt) (BgL_nodez00_2662);
														{	/* Cfa/type.scm 287 */
															long BgL_objzd2classzd2numz00_2665;

															BgL_objzd2classzd2numz00_2665 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_2664);
															{	/* Cfa/type.scm 287 */
																obj_t BgL_arg2422z00_2666;

																BgL_arg2422z00_2666 =
																	PROCEDURE_REF
																	(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
																	(int) (((long) 1)));
																{	/* Cfa/type.scm 287 */
																	obj_t BgL_arrayz00_2668;

																	int BgL_offsetz00_2669;

																	BgL_arrayz00_2668 = BgL_arg2422z00_2666;
																	BgL_offsetz00_2669 =
																		(int) (BgL_objzd2classzd2numz00_2665);
																	{	/* Cfa/type.scm 287 */
																		long BgL_offsetz00_2670;

																		BgL_offsetz00_2670 =
																			(
																			(long) (BgL_offsetz00_2669) -
																			OBJECT_TYPE);
																		{	/* Cfa/type.scm 287 */
																			long BgL_modz00_2671;

																			{	/* Cfa/type.scm 287 */
																				int BgL_arg2424z00_2672;

																				BgL_arg2424z00_2672 =
																					(int) (((long) 8));
																				{	/* Cfa/type.scm 287 */
																					long BgL_auxz00_3868;

																					BgL_auxz00_3868 =
																						(long) (BgL_arg2424z00_2672);
																					BgL_modz00_2671 =
																						(BgL_offsetz00_2670 /
																						BgL_auxz00_3868);
																			}}
																			{	/* Cfa/type.scm 287 */
																				long BgL_restz00_2673;

																				{	/* Cfa/type.scm 287 */
																					int BgL_arg2423z00_2674;

																					BgL_arg2423z00_2674 =
																						(int) (((long) 8));
																					{	/* Cfa/type.scm 287 */
																						long BgL_auxz00_3872;

																						BgL_auxz00_3872 =
																							(long) (BgL_arg2423z00_2674);
																						BgL_restz00_2673 =
																							(BgL_offsetz00_2670 %
																							BgL_auxz00_3872);
																				}}
																				{	/* Cfa/type.scm 287 */

																					BgL_method5143z00_2663 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_2668,
																							(int) (BgL_modz00_2671)),
																						(int) (BgL_restz00_2673));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method5143z00_2663)
														(BgL_method5143z00_2663, (obj_t) (BgL_nodez00_2662),
														BEOA);
									}}}}
									{
										obj_t BgL_l5119z00_3882;

										BgL_l5119z00_3882 = CDR(BgL_l5119z00_1932);
										BgL_l5119z00_1932 = BgL_l5119z00_3882;
										goto BgL_zc3anonymousza35391ze3z83_1933;
									}
								}
							else
								{	/* Cfa/type.scm 286 */
									BgL_auxz00_3830 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3830);
				}
			}
		}
	}



/* type-node!-fail5175 */
	obj_t BGl_typezd2nodez12zd2fail5175z12zzcfa_typez00(obj_t BgL_envz00_3115,
		obj_t BgL_nodez00_3116)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 274 */
			{
				BgL_failz00_bglt BgL_nodez00_1916;

				BgL_nodez00_1916 = (BgL_failz00_bglt) (BgL_nodez00_3116);
				{	/* Cfa/type.scm 276 */
					BgL_nodez00_bglt BgL_arg5386z00_1920;

					BgL_arg5386z00_1920 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1916))->BgL_procz00);
					{	/* Cfa/type.scm 276 */
						obj_t BgL_method5143z00_2552;

						{	/* Cfa/type.scm 276 */
							BgL_objectz00_bglt BgL_objz00_2553;

							BgL_objz00_2553 = (BgL_objectz00_bglt) (BgL_arg5386z00_1920);
							{	/* Cfa/type.scm 276 */
								long BgL_objzd2classzd2numz00_2554;

								BgL_objzd2classzd2numz00_2554 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2553);
								{	/* Cfa/type.scm 276 */
									obj_t BgL_arg2422z00_2555;

									BgL_arg2422z00_2555 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 276 */
										obj_t BgL_arrayz00_2557;

										int BgL_offsetz00_2558;

										BgL_arrayz00_2557 = BgL_arg2422z00_2555;
										BgL_offsetz00_2558 = (int) (BgL_objzd2classzd2numz00_2554);
										{	/* Cfa/type.scm 276 */
											long BgL_offsetz00_2559;

											BgL_offsetz00_2559 =
												((long) (BgL_offsetz00_2558) - OBJECT_TYPE);
											{	/* Cfa/type.scm 276 */
												long BgL_modz00_2560;

												{	/* Cfa/type.scm 276 */
													int BgL_arg2424z00_2561;

													BgL_arg2424z00_2561 = (int) (((long) 8));
													{	/* Cfa/type.scm 276 */
														long BgL_auxz00_3895;

														BgL_auxz00_3895 = (long) (BgL_arg2424z00_2561);
														BgL_modz00_2560 =
															(BgL_offsetz00_2559 / BgL_auxz00_3895);
												}}
												{	/* Cfa/type.scm 276 */
													long BgL_restz00_2562;

													{	/* Cfa/type.scm 276 */
														int BgL_arg2423z00_2563;

														BgL_arg2423z00_2563 = (int) (((long) 8));
														{	/* Cfa/type.scm 276 */
															long BgL_auxz00_3899;

															BgL_auxz00_3899 = (long) (BgL_arg2423z00_2563);
															BgL_restz00_2562 =
																(BgL_offsetz00_2559 % BgL_auxz00_3899);
													}}
													{	/* Cfa/type.scm 276 */

														BgL_method5143z00_2552 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2557,
																(int) (BgL_modz00_2560)),
															(int) (BgL_restz00_2562));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method5143z00_2552) (BgL_method5143z00_2552,
							(obj_t) (BgL_arg5386z00_1920), BEOA);
				}}
				{	/* Cfa/type.scm 277 */
					BgL_nodez00_bglt BgL_arg5387z00_1921;

					BgL_arg5387z00_1921 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1916))->BgL_msgz00);
					{	/* Cfa/type.scm 277 */
						obj_t BgL_method5143z00_2579;

						{	/* Cfa/type.scm 277 */
							BgL_objectz00_bglt BgL_objz00_2580;

							BgL_objz00_2580 = (BgL_objectz00_bglt) (BgL_arg5387z00_1921);
							{	/* Cfa/type.scm 277 */
								long BgL_objzd2classzd2numz00_2581;

								BgL_objzd2classzd2numz00_2581 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2580);
								{	/* Cfa/type.scm 277 */
									obj_t BgL_arg2422z00_2582;

									BgL_arg2422z00_2582 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 277 */
										obj_t BgL_arrayz00_2584;

										int BgL_offsetz00_2585;

										BgL_arrayz00_2584 = BgL_arg2422z00_2582;
										BgL_offsetz00_2585 = (int) (BgL_objzd2classzd2numz00_2581);
										{	/* Cfa/type.scm 277 */
											long BgL_offsetz00_2586;

											BgL_offsetz00_2586 =
												((long) (BgL_offsetz00_2585) - OBJECT_TYPE);
											{	/* Cfa/type.scm 277 */
												long BgL_modz00_2587;

												{	/* Cfa/type.scm 277 */
													int BgL_arg2424z00_2588;

													BgL_arg2424z00_2588 = (int) (((long) 8));
													{	/* Cfa/type.scm 277 */
														long BgL_auxz00_3918;

														BgL_auxz00_3918 = (long) (BgL_arg2424z00_2588);
														BgL_modz00_2587 =
															(BgL_offsetz00_2586 / BgL_auxz00_3918);
												}}
												{	/* Cfa/type.scm 277 */
													long BgL_restz00_2589;

													{	/* Cfa/type.scm 277 */
														int BgL_arg2423z00_2590;

														BgL_arg2423z00_2590 = (int) (((long) 8));
														{	/* Cfa/type.scm 277 */
															long BgL_auxz00_3922;

															BgL_auxz00_3922 = (long) (BgL_arg2423z00_2590);
															BgL_restz00_2589 =
																(BgL_offsetz00_2586 % BgL_auxz00_3922);
													}}
													{	/* Cfa/type.scm 277 */

														BgL_method5143z00_2579 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2584,
																(int) (BgL_modz00_2587)),
															(int) (BgL_restz00_2589));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method5143z00_2579) (BgL_method5143z00_2579,
							(obj_t) (BgL_arg5387z00_1921), BEOA);
				}}
				{	/* Cfa/type.scm 278 */
					BgL_nodez00_bglt BgL_arg5388z00_1922;

					BgL_arg5388z00_1922 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1916))->BgL_objz00);
					{	/* Cfa/type.scm 278 */
						obj_t BgL_method5143z00_2606;

						{	/* Cfa/type.scm 278 */
							BgL_objectz00_bglt BgL_objz00_2607;

							BgL_objz00_2607 = (BgL_objectz00_bglt) (BgL_arg5388z00_1922);
							{	/* Cfa/type.scm 278 */
								long BgL_objzd2classzd2numz00_2608;

								BgL_objzd2classzd2numz00_2608 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2607);
								{	/* Cfa/type.scm 278 */
									obj_t BgL_arg2422z00_2609;

									BgL_arg2422z00_2609 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 278 */
										obj_t BgL_arrayz00_2611;

										int BgL_offsetz00_2612;

										BgL_arrayz00_2611 = BgL_arg2422z00_2609;
										BgL_offsetz00_2612 = (int) (BgL_objzd2classzd2numz00_2608);
										{	/* Cfa/type.scm 278 */
											long BgL_offsetz00_2613;

											BgL_offsetz00_2613 =
												((long) (BgL_offsetz00_2612) - OBJECT_TYPE);
											{	/* Cfa/type.scm 278 */
												long BgL_modz00_2614;

												{	/* Cfa/type.scm 278 */
													int BgL_arg2424z00_2615;

													BgL_arg2424z00_2615 = (int) (((long) 8));
													{	/* Cfa/type.scm 278 */
														long BgL_auxz00_3941;

														BgL_auxz00_3941 = (long) (BgL_arg2424z00_2615);
														BgL_modz00_2614 =
															(BgL_offsetz00_2613 / BgL_auxz00_3941);
												}}
												{	/* Cfa/type.scm 278 */
													long BgL_restz00_2616;

													{	/* Cfa/type.scm 278 */
														int BgL_arg2423z00_2617;

														BgL_arg2423z00_2617 = (int) (((long) 8));
														{	/* Cfa/type.scm 278 */
															long BgL_auxz00_3945;

															BgL_auxz00_3945 = (long) (BgL_arg2423z00_2617);
															BgL_restz00_2616 =
																(BgL_offsetz00_2613 % BgL_auxz00_3945);
													}}
													{	/* Cfa/type.scm 278 */

														BgL_method5143z00_2606 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2611,
																(int) (BgL_modz00_2614)),
															(int) (BgL_restz00_2616));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_2606) (BgL_method5143z00_2606,
							(obj_t) (BgL_arg5388z00_1922), BEOA);
					}
				}
			}
		}
	}



/* type-node!-condition5173 */
	obj_t BGl_typezd2nodez12zd2condition5173z12zzcfa_typez00(obj_t
		BgL_envz00_3117, obj_t BgL_nodez00_3118)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 265 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1907;

				BgL_nodez00_1907 = (BgL_conditionalz00_bglt) (BgL_nodez00_3118);
				{	/* Cfa/type.scm 267 */
					BgL_nodez00_bglt BgL_arg5382z00_1911;

					BgL_arg5382z00_1911 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1907))->BgL_testz00);
					{	/* Cfa/type.scm 267 */
						obj_t BgL_method5143z00_2471;

						{	/* Cfa/type.scm 267 */
							BgL_objectz00_bglt BgL_objz00_2472;

							BgL_objz00_2472 = (BgL_objectz00_bglt) (BgL_arg5382z00_1911);
							{	/* Cfa/type.scm 267 */
								long BgL_objzd2classzd2numz00_2473;

								BgL_objzd2classzd2numz00_2473 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2472);
								{	/* Cfa/type.scm 267 */
									obj_t BgL_arg2422z00_2474;

									BgL_arg2422z00_2474 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 267 */
										obj_t BgL_arrayz00_2476;

										int BgL_offsetz00_2477;

										BgL_arrayz00_2476 = BgL_arg2422z00_2474;
										BgL_offsetz00_2477 = (int) (BgL_objzd2classzd2numz00_2473);
										{	/* Cfa/type.scm 267 */
											long BgL_offsetz00_2478;

											BgL_offsetz00_2478 =
												((long) (BgL_offsetz00_2477) - OBJECT_TYPE);
											{	/* Cfa/type.scm 267 */
												long BgL_modz00_2479;

												{	/* Cfa/type.scm 267 */
													int BgL_arg2424z00_2480;

													BgL_arg2424z00_2480 = (int) (((long) 8));
													{	/* Cfa/type.scm 267 */
														long BgL_auxz00_3965;

														BgL_auxz00_3965 = (long) (BgL_arg2424z00_2480);
														BgL_modz00_2479 =
															(BgL_offsetz00_2478 / BgL_auxz00_3965);
												}}
												{	/* Cfa/type.scm 267 */
													long BgL_restz00_2481;

													{	/* Cfa/type.scm 267 */
														int BgL_arg2423z00_2482;

														BgL_arg2423z00_2482 = (int) (((long) 8));
														{	/* Cfa/type.scm 267 */
															long BgL_auxz00_3969;

															BgL_auxz00_3969 = (long) (BgL_arg2423z00_2482);
															BgL_restz00_2481 =
																(BgL_offsetz00_2478 % BgL_auxz00_3969);
													}}
													{	/* Cfa/type.scm 267 */

														BgL_method5143z00_2471 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2476,
																(int) (BgL_modz00_2479)),
															(int) (BgL_restz00_2481));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method5143z00_2471) (BgL_method5143z00_2471,
							(obj_t) (BgL_arg5382z00_1911), BEOA);
				}}
				{	/* Cfa/type.scm 268 */
					BgL_nodez00_bglt BgL_arg5383z00_1912;

					BgL_arg5383z00_1912 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1907))->BgL_truez00);
					{	/* Cfa/type.scm 268 */
						obj_t BgL_method5143z00_2498;

						{	/* Cfa/type.scm 268 */
							BgL_objectz00_bglt BgL_objz00_2499;

							BgL_objz00_2499 = (BgL_objectz00_bglt) (BgL_arg5383z00_1912);
							{	/* Cfa/type.scm 268 */
								long BgL_objzd2classzd2numz00_2500;

								BgL_objzd2classzd2numz00_2500 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2499);
								{	/* Cfa/type.scm 268 */
									obj_t BgL_arg2422z00_2501;

									BgL_arg2422z00_2501 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 268 */
										obj_t BgL_arrayz00_2503;

										int BgL_offsetz00_2504;

										BgL_arrayz00_2503 = BgL_arg2422z00_2501;
										BgL_offsetz00_2504 = (int) (BgL_objzd2classzd2numz00_2500);
										{	/* Cfa/type.scm 268 */
											long BgL_offsetz00_2505;

											BgL_offsetz00_2505 =
												((long) (BgL_offsetz00_2504) - OBJECT_TYPE);
											{	/* Cfa/type.scm 268 */
												long BgL_modz00_2506;

												{	/* Cfa/type.scm 268 */
													int BgL_arg2424z00_2507;

													BgL_arg2424z00_2507 = (int) (((long) 8));
													{	/* Cfa/type.scm 268 */
														long BgL_auxz00_3988;

														BgL_auxz00_3988 = (long) (BgL_arg2424z00_2507);
														BgL_modz00_2506 =
															(BgL_offsetz00_2505 / BgL_auxz00_3988);
												}}
												{	/* Cfa/type.scm 268 */
													long BgL_restz00_2508;

													{	/* Cfa/type.scm 268 */
														int BgL_arg2423z00_2509;

														BgL_arg2423z00_2509 = (int) (((long) 8));
														{	/* Cfa/type.scm 268 */
															long BgL_auxz00_3992;

															BgL_auxz00_3992 = (long) (BgL_arg2423z00_2509);
															BgL_restz00_2508 =
																(BgL_offsetz00_2505 % BgL_auxz00_3992);
													}}
													{	/* Cfa/type.scm 268 */

														BgL_method5143z00_2498 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2503,
																(int) (BgL_modz00_2506)),
															(int) (BgL_restz00_2508));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method5143z00_2498) (BgL_method5143z00_2498,
							(obj_t) (BgL_arg5383z00_1912), BEOA);
				}}
				{	/* Cfa/type.scm 269 */
					BgL_nodez00_bglt BgL_arg5384z00_1913;

					BgL_arg5384z00_1913 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1907))->BgL_falsez00);
					{	/* Cfa/type.scm 269 */
						obj_t BgL_method5143z00_2525;

						{	/* Cfa/type.scm 269 */
							BgL_objectz00_bglt BgL_objz00_2526;

							BgL_objz00_2526 = (BgL_objectz00_bglt) (BgL_arg5384z00_1913);
							{	/* Cfa/type.scm 269 */
								long BgL_objzd2classzd2numz00_2527;

								BgL_objzd2classzd2numz00_2527 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2526);
								{	/* Cfa/type.scm 269 */
									obj_t BgL_arg2422z00_2528;

									BgL_arg2422z00_2528 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 269 */
										obj_t BgL_arrayz00_2530;

										int BgL_offsetz00_2531;

										BgL_arrayz00_2530 = BgL_arg2422z00_2528;
										BgL_offsetz00_2531 = (int) (BgL_objzd2classzd2numz00_2527);
										{	/* Cfa/type.scm 269 */
											long BgL_offsetz00_2532;

											BgL_offsetz00_2532 =
												((long) (BgL_offsetz00_2531) - OBJECT_TYPE);
											{	/* Cfa/type.scm 269 */
												long BgL_modz00_2533;

												{	/* Cfa/type.scm 269 */
													int BgL_arg2424z00_2534;

													BgL_arg2424z00_2534 = (int) (((long) 8));
													{	/* Cfa/type.scm 269 */
														long BgL_auxz00_4011;

														BgL_auxz00_4011 = (long) (BgL_arg2424z00_2534);
														BgL_modz00_2533 =
															(BgL_offsetz00_2532 / BgL_auxz00_4011);
												}}
												{	/* Cfa/type.scm 269 */
													long BgL_restz00_2535;

													{	/* Cfa/type.scm 269 */
														int BgL_arg2423z00_2536;

														BgL_arg2423z00_2536 = (int) (((long) 8));
														{	/* Cfa/type.scm 269 */
															long BgL_auxz00_4015;

															BgL_auxz00_4015 = (long) (BgL_arg2423z00_2536);
															BgL_restz00_2535 =
																(BgL_offsetz00_2532 % BgL_auxz00_4015);
													}}
													{	/* Cfa/type.scm 269 */

														BgL_method5143z00_2525 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2530,
																(int) (BgL_modz00_2533)),
															(int) (BgL_restz00_2535));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_2525) (BgL_method5143z00_2525,
							(obj_t) (BgL_arg5384z00_1913), BEOA);
					}
				}
			}
		}
	}



/* type-node!-setq5170 */
	obj_t BGl_typezd2nodez12zd2setq5170z12zzcfa_typez00(obj_t BgL_envz00_3119,
		obj_t BgL_nodez00_3120)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 257 */
			{
				BgL_setqz00_bglt BgL_nodez00_1899;

				BgL_nodez00_1899 = (BgL_setqz00_bglt) (BgL_nodez00_3120);
				{	/* Cfa/type.scm 259 */
					BgL_nodez00_bglt BgL_arg5379z00_1903;

					BgL_arg5379z00_1903 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1899))->BgL_valuez00);
					{	/* Cfa/type.scm 259 */
						obj_t BgL_method5143z00_2417;

						{	/* Cfa/type.scm 259 */
							BgL_objectz00_bglt BgL_objz00_2418;

							BgL_objz00_2418 = (BgL_objectz00_bglt) (BgL_arg5379z00_1903);
							{	/* Cfa/type.scm 259 */
								long BgL_objzd2classzd2numz00_2419;

								BgL_objzd2classzd2numz00_2419 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2418);
								{	/* Cfa/type.scm 259 */
									obj_t BgL_arg2422z00_2420;

									BgL_arg2422z00_2420 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 259 */
										obj_t BgL_arrayz00_2422;

										int BgL_offsetz00_2423;

										BgL_arrayz00_2422 = BgL_arg2422z00_2420;
										BgL_offsetz00_2423 = (int) (BgL_objzd2classzd2numz00_2419);
										{	/* Cfa/type.scm 259 */
											long BgL_offsetz00_2424;

											BgL_offsetz00_2424 =
												((long) (BgL_offsetz00_2423) - OBJECT_TYPE);
											{	/* Cfa/type.scm 259 */
												long BgL_modz00_2425;

												{	/* Cfa/type.scm 259 */
													int BgL_arg2424z00_2426;

													BgL_arg2424z00_2426 = (int) (((long) 8));
													{	/* Cfa/type.scm 259 */
														long BgL_auxz00_4035;

														BgL_auxz00_4035 = (long) (BgL_arg2424z00_2426);
														BgL_modz00_2425 =
															(BgL_offsetz00_2424 / BgL_auxz00_4035);
												}}
												{	/* Cfa/type.scm 259 */
													long BgL_restz00_2427;

													{	/* Cfa/type.scm 259 */
														int BgL_arg2423z00_2428;

														BgL_arg2423z00_2428 = (int) (((long) 8));
														{	/* Cfa/type.scm 259 */
															long BgL_auxz00_4039;

															BgL_auxz00_4039 = (long) (BgL_arg2423z00_2428);
															BgL_restz00_2427 =
																(BgL_offsetz00_2424 % BgL_auxz00_4039);
													}}
													{	/* Cfa/type.scm 259 */

														BgL_method5143z00_2417 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2422,
																(int) (BgL_modz00_2425)),
															(int) (BgL_restz00_2427));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method5143z00_2417) (BgL_method5143z00_2417,
							(obj_t) (BgL_arg5379z00_1903), BEOA);
				}}
				{	/* Cfa/type.scm 260 */
					BgL_varz00_bglt BgL_arg5380z00_1904;

					BgL_arg5380z00_1904 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1899))->BgL_varz00);
					{	/* Cfa/type.scm 260 */
						BgL_nodez00_bglt BgL_nodez00_2443;

						BgL_nodez00_2443 = (BgL_nodez00_bglt) (BgL_arg5380z00_1904);
						{	/* Cfa/type.scm 260 */
							obj_t BgL_method5143z00_2444;

							{	/* Cfa/type.scm 260 */
								BgL_objectz00_bglt BgL_objz00_2445;

								BgL_objz00_2445 = (BgL_objectz00_bglt) (BgL_nodez00_2443);
								{	/* Cfa/type.scm 260 */
									long BgL_objzd2classzd2numz00_2446;

									BgL_objzd2classzd2numz00_2446 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2445);
									{	/* Cfa/type.scm 260 */
										obj_t BgL_arg2422z00_2447;

										BgL_arg2422z00_2447 =
											PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
											(int) (((long) 1)));
										{	/* Cfa/type.scm 260 */
											obj_t BgL_arrayz00_2449;

											int BgL_offsetz00_2450;

											BgL_arrayz00_2449 = BgL_arg2422z00_2447;
											BgL_offsetz00_2450 =
												(int) (BgL_objzd2classzd2numz00_2446);
											{	/* Cfa/type.scm 260 */
												long BgL_offsetz00_2451;

												BgL_offsetz00_2451 =
													((long) (BgL_offsetz00_2450) - OBJECT_TYPE);
												{	/* Cfa/type.scm 260 */
													long BgL_modz00_2452;

													{	/* Cfa/type.scm 260 */
														int BgL_arg2424z00_2453;

														BgL_arg2424z00_2453 = (int) (((long) 8));
														{	/* Cfa/type.scm 260 */
															long BgL_auxz00_4059;

															BgL_auxz00_4059 = (long) (BgL_arg2424z00_2453);
															BgL_modz00_2452 =
																(BgL_offsetz00_2451 / BgL_auxz00_4059);
													}}
													{	/* Cfa/type.scm 260 */
														long BgL_restz00_2454;

														{	/* Cfa/type.scm 260 */
															int BgL_arg2423z00_2455;

															BgL_arg2423z00_2455 = (int) (((long) 8));
															{	/* Cfa/type.scm 260 */
																long BgL_auxz00_4063;

																BgL_auxz00_4063 = (long) (BgL_arg2423z00_2455);
																BgL_restz00_2454 =
																	(BgL_offsetz00_2451 % BgL_auxz00_4063);
														}}
														{	/* Cfa/type.scm 260 */

															BgL_method5143z00_2444 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2449,
																	(int) (BgL_modz00_2452)),
																(int) (BgL_restz00_2454));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method5143z00_2444) (BgL_method5143z00_2444,
								(obj_t) (BgL_nodez00_2443), BEOA);
						}
					}
				}
			}
		}
	}



/* type-node!-cast5168 */
	obj_t BGl_typezd2nodez12zd2cast5168z12zzcfa_typez00(obj_t BgL_envz00_3121,
		obj_t BgL_nodez00_3122)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 250 */
			{
				BgL_castz00_bglt BgL_nodez00_1892;

				BgL_nodez00_1892 = (BgL_castz00_bglt) (BgL_nodez00_3122);
				{	/* Cfa/type.scm 251 */
					BgL_nodez00_bglt BgL_arg5377z00_2387;

					BgL_arg5377z00_2387 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1892))->BgL_argz00);
					{	/* Cfa/type.scm 251 */
						obj_t BgL_method5143z00_2390;

						{	/* Cfa/type.scm 251 */
							BgL_objectz00_bglt BgL_objz00_2391;

							BgL_objz00_2391 = (BgL_objectz00_bglt) (BgL_arg5377z00_2387);
							{	/* Cfa/type.scm 251 */
								long BgL_objzd2classzd2numz00_2392;

								BgL_objzd2classzd2numz00_2392 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2391);
								{	/* Cfa/type.scm 251 */
									obj_t BgL_arg2422z00_2393;

									BgL_arg2422z00_2393 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 251 */
										obj_t BgL_arrayz00_2395;

										int BgL_offsetz00_2396;

										BgL_arrayz00_2395 = BgL_arg2422z00_2393;
										BgL_offsetz00_2396 = (int) (BgL_objzd2classzd2numz00_2392);
										{	/* Cfa/type.scm 251 */
											long BgL_offsetz00_2397;

											BgL_offsetz00_2397 =
												((long) (BgL_offsetz00_2396) - OBJECT_TYPE);
											{	/* Cfa/type.scm 251 */
												long BgL_modz00_2398;

												{	/* Cfa/type.scm 251 */
													int BgL_arg2424z00_2399;

													BgL_arg2424z00_2399 = (int) (((long) 8));
													{	/* Cfa/type.scm 251 */
														long BgL_auxz00_4083;

														BgL_auxz00_4083 = (long) (BgL_arg2424z00_2399);
														BgL_modz00_2398 =
															(BgL_offsetz00_2397 / BgL_auxz00_4083);
												}}
												{	/* Cfa/type.scm 251 */
													long BgL_restz00_2400;

													{	/* Cfa/type.scm 251 */
														int BgL_arg2423z00_2401;

														BgL_arg2423z00_2401 = (int) (((long) 8));
														{	/* Cfa/type.scm 251 */
															long BgL_auxz00_4087;

															BgL_auxz00_4087 = (long) (BgL_arg2423z00_2401);
															BgL_restz00_2400 =
																(BgL_offsetz00_2397 % BgL_auxz00_4087);
													}}
													{	/* Cfa/type.scm 251 */

														BgL_method5143z00_2390 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2395,
																(int) (BgL_modz00_2398)),
															(int) (BgL_restz00_2400));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_2390) (BgL_method5143z00_2390,
							(obj_t) (BgL_arg5377z00_2387), BEOA);
					}
				}
			}
		}
	}



/* type-node!-vset!5166 */
	obj_t BGl_typezd2nodez12zd2vsetz125166z00zzcfa_typez00(obj_t BgL_envz00_3123,
		obj_t BgL_nodez00_3124)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 241 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_1884;

				BgL_nodez00_1884 = (BgL_vsetz12z12_bglt) (BgL_nodez00_3124);
				{

					{	/* Cfa/type.scm 241 */
						obj_t BgL_nextzd2method5165zd2_1890;

						BgL_nextzd2method5165zd2_1890 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_nodez00_1884),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vsetz12z12zzast_nodez00);
						if (PROCEDUREP(BgL_nextzd2method5165zd2_1890))
							{	/* Cfa/type.scm 241 */
								PROCEDURE_ENTRY(BgL_nextzd2method5165zd2_1890)
									(BgL_nextzd2method5165zd2_1890, (obj_t) (BgL_nodez00_1884),
									BEOA);
							}
						else
							{	/* Cfa/type.scm 241 */
								{	/* Cfa/type.scm 241 */
									BgL_nodez00_bglt BgL_nodez00_2360;

									BgL_nodez00_2360 = (BgL_nodez00_bglt) (BgL_nodez00_1884);
									{	/* Cfa/type.scm 241 */
										obj_t BgL_method5143z00_2361;

										{	/* Cfa/type.scm 241 */
											BgL_objectz00_bglt BgL_objz00_2362;

											BgL_objz00_2362 = (BgL_objectz00_bglt) (BgL_nodez00_2360);
											{	/* Cfa/type.scm 241 */
												long BgL_objzd2classzd2numz00_2363;

												BgL_objzd2classzd2numz00_2363 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2362);
												{	/* Cfa/type.scm 241 */
													obj_t BgL_arg2422z00_2364;

													BgL_arg2422z00_2364 =
														PROCEDURE_REF
														(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
														(int) (((long) 1)));
													{	/* Cfa/type.scm 241 */
														obj_t BgL_arrayz00_2366;

														int BgL_offsetz00_2367;

														BgL_arrayz00_2366 = BgL_arg2422z00_2364;
														BgL_offsetz00_2367 =
															(int) (BgL_objzd2classzd2numz00_2363);
														{	/* Cfa/type.scm 241 */
															long BgL_offsetz00_2368;

															BgL_offsetz00_2368 =
																((long) (BgL_offsetz00_2367) - OBJECT_TYPE);
															{	/* Cfa/type.scm 241 */
																long BgL_modz00_2369;

																{	/* Cfa/type.scm 241 */
																	int BgL_arg2424z00_2370;

																	BgL_arg2424z00_2370 = (int) (((long) 8));
																	{	/* Cfa/type.scm 241 */
																		long BgL_auxz00_4114;

																		BgL_auxz00_4114 =
																			(long) (BgL_arg2424z00_2370);
																		BgL_modz00_2369 =
																			(BgL_offsetz00_2368 / BgL_auxz00_4114);
																}}
																{	/* Cfa/type.scm 241 */
																	long BgL_restz00_2371;

																	{	/* Cfa/type.scm 241 */
																		int BgL_arg2423z00_2372;

																		BgL_arg2423z00_2372 = (int) (((long) 8));
																		{	/* Cfa/type.scm 241 */
																			long BgL_auxz00_4118;

																			BgL_auxz00_4118 =
																				(long) (BgL_arg2423z00_2372);
																			BgL_restz00_2371 =
																				(BgL_offsetz00_2368 % BgL_auxz00_4118);
																	}}
																	{	/* Cfa/type.scm 241 */

																		BgL_method5143z00_2361 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2366,
																				(int) (BgL_modz00_2369)),
																			(int) (BgL_restz00_2371));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method5143z00_2361)
											(BgL_method5143z00_2361, (obj_t) (BgL_nodez00_2360),
											BEOA);
					}}}}
					{	/* Cfa/type.scm 244 */
						bool_t BgL_testz00_4128;

						{	/* Cfa/type.scm 244 */
							BgL_typez00_bglt BgL_arg5375z00_1889;

							BgL_arg5375z00_1889 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1884))->BgL_ftypez00);
							BgL_testz00_4128 =
								(
								(obj_t) (BgL_arg5375z00_1889) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4128)
							{
								BgL_typez00_bglt BgL_auxz00_4132;

								BgL_auxz00_4132 =
									(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1884))->
										BgL_ftypez00) =
									((BgL_typez00_bglt) BgL_auxz00_4132), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 244 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* type-node!-vref5164 */
	obj_t BGl_typezd2nodez12zd2vref5164z12zzcfa_typez00(obj_t BgL_envz00_3125,
		obj_t BgL_nodez00_3126)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 232 */
			{
				BgL_vrefz00_bglt BgL_nodez00_1876;

				BgL_nodez00_1876 = (BgL_vrefz00_bglt) (BgL_nodez00_3126);
				{

					{	/* Cfa/type.scm 232 */
						obj_t BgL_nextzd2method5163zd2_1882;

						BgL_nextzd2method5163zd2_1882 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_nodez00_1876),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vrefz00zzast_nodez00);
						if (PROCEDUREP(BgL_nextzd2method5163zd2_1882))
							{	/* Cfa/type.scm 232 */
								PROCEDURE_ENTRY(BgL_nextzd2method5163zd2_1882)
									(BgL_nextzd2method5163zd2_1882, (obj_t) (BgL_nodez00_1876),
									BEOA);
							}
						else
							{	/* Cfa/type.scm 232 */
								{	/* Cfa/type.scm 232 */
									BgL_nodez00_bglt BgL_nodez00_2330;

									BgL_nodez00_2330 = (BgL_nodez00_bglt) (BgL_nodez00_1876);
									{	/* Cfa/type.scm 232 */
										obj_t BgL_method5143z00_2331;

										{	/* Cfa/type.scm 232 */
											BgL_objectz00_bglt BgL_objz00_2332;

											BgL_objz00_2332 = (BgL_objectz00_bglt) (BgL_nodez00_2330);
											{	/* Cfa/type.scm 232 */
												long BgL_objzd2classzd2numz00_2333;

												BgL_objzd2classzd2numz00_2333 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2332);
												{	/* Cfa/type.scm 232 */
													obj_t BgL_arg2422z00_2334;

													BgL_arg2422z00_2334 =
														PROCEDURE_REF
														(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
														(int) (((long) 1)));
													{	/* Cfa/type.scm 232 */
														obj_t BgL_arrayz00_2336;

														int BgL_offsetz00_2337;

														BgL_arrayz00_2336 = BgL_arg2422z00_2334;
														BgL_offsetz00_2337 =
															(int) (BgL_objzd2classzd2numz00_2333);
														{	/* Cfa/type.scm 232 */
															long BgL_offsetz00_2338;

															BgL_offsetz00_2338 =
																((long) (BgL_offsetz00_2337) - OBJECT_TYPE);
															{	/* Cfa/type.scm 232 */
																long BgL_modz00_2339;

																{	/* Cfa/type.scm 232 */
																	int BgL_arg2424z00_2340;

																	BgL_arg2424z00_2340 = (int) (((long) 8));
																	{	/* Cfa/type.scm 232 */
																		long BgL_auxz00_4152;

																		BgL_auxz00_4152 =
																			(long) (BgL_arg2424z00_2340);
																		BgL_modz00_2339 =
																			(BgL_offsetz00_2338 / BgL_auxz00_4152);
																}}
																{	/* Cfa/type.scm 232 */
																	long BgL_restz00_2341;

																	{	/* Cfa/type.scm 232 */
																		int BgL_arg2423z00_2342;

																		BgL_arg2423z00_2342 = (int) (((long) 8));
																		{	/* Cfa/type.scm 232 */
																			long BgL_auxz00_4156;

																			BgL_auxz00_4156 =
																				(long) (BgL_arg2423z00_2342);
																			BgL_restz00_2341 =
																				(BgL_offsetz00_2338 % BgL_auxz00_4156);
																	}}
																	{	/* Cfa/type.scm 232 */

																		BgL_method5143z00_2331 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2336,
																				(int) (BgL_modz00_2339)),
																			(int) (BgL_restz00_2341));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method5143z00_2331)
											(BgL_method5143z00_2331, (obj_t) (BgL_nodez00_2330),
											BEOA);
					}}}}
					{	/* Cfa/type.scm 235 */
						bool_t BgL_testz00_4166;

						{	/* Cfa/type.scm 235 */
							BgL_typez00_bglt BgL_arg5372z00_1881;

							BgL_arg5372z00_1881 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1876))->BgL_ftypez00);
							BgL_testz00_4166 =
								(
								(obj_t) (BgL_arg5372z00_1881) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4166)
							{
								BgL_typez00_bglt BgL_auxz00_4170;

								BgL_auxz00_4170 =
									(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_vrefz00_bglt) CREF(BgL_nodez00_1876))->BgL_ftypez00) =
									((BgL_typez00_bglt) BgL_auxz00_4170), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 235 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* type-node!-extern5162 */
	obj_t BGl_typezd2nodez12zd2extern5162z12zzcfa_typez00(obj_t BgL_envz00_3127,
		obj_t BgL_nodez00_3128)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 225 */
			{
				BgL_externz00_bglt BgL_nodez00_1869;

				{	/* Cfa/type.scm 226 */
					bool_t BgL_auxz00_4174;

					BgL_nodez00_1869 = (BgL_externz00_bglt) (BgL_nodez00_3128);
					{	/* Cfa/type.scm 226 */
						obj_t BgL_arg5369z00_2324;

						BgL_arg5369z00_2324 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1869))->BgL_exprza2za2);
						BgL_auxz00_4174 =
							BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg5369z00_2324);
					}
					return BBOOL(BgL_auxz00_4174);
				}
			}
		}
	}



/* type-node!-funcall5160 */
	obj_t BGl_typezd2nodez12zd2funcall5160z12zzcfa_typez00(obj_t BgL_envz00_3129,
		obj_t BgL_nodez00_3130)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 217 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1861;

				{	/* Cfa/type.scm 218 */
					bool_t BgL_auxz00_4179;

					BgL_nodez00_1861 = (BgL_funcallz00_bglt) (BgL_nodez00_3130);
					{	/* Cfa/type.scm 219 */
						BgL_nodez00_bglt BgL_arg5366z00_1865;

						BgL_arg5366z00_1865 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1861))->BgL_funz00);
						{	/* Cfa/type.scm 219 */
							obj_t BgL_method5143z00_2297;

							{	/* Cfa/type.scm 219 */
								BgL_objectz00_bglt BgL_objz00_2298;

								BgL_objz00_2298 = (BgL_objectz00_bglt) (BgL_arg5366z00_1865);
								{	/* Cfa/type.scm 219 */
									long BgL_objzd2classzd2numz00_2299;

									BgL_objzd2classzd2numz00_2299 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2298);
									{	/* Cfa/type.scm 219 */
										obj_t BgL_arg2422z00_2300;

										BgL_arg2422z00_2300 =
											PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
											(int) (((long) 1)));
										{	/* Cfa/type.scm 219 */
											obj_t BgL_arrayz00_2302;

											int BgL_offsetz00_2303;

											BgL_arrayz00_2302 = BgL_arg2422z00_2300;
											BgL_offsetz00_2303 =
												(int) (BgL_objzd2classzd2numz00_2299);
											{	/* Cfa/type.scm 219 */
												long BgL_offsetz00_2304;

												BgL_offsetz00_2304 =
													((long) (BgL_offsetz00_2303) - OBJECT_TYPE);
												{	/* Cfa/type.scm 219 */
													long BgL_modz00_2305;

													{	/* Cfa/type.scm 219 */
														int BgL_arg2424z00_2306;

														BgL_arg2424z00_2306 = (int) (((long) 8));
														{	/* Cfa/type.scm 219 */
															long BgL_auxz00_4189;

															BgL_auxz00_4189 = (long) (BgL_arg2424z00_2306);
															BgL_modz00_2305 =
																(BgL_offsetz00_2304 / BgL_auxz00_4189);
													}}
													{	/* Cfa/type.scm 219 */
														long BgL_restz00_2307;

														{	/* Cfa/type.scm 219 */
															int BgL_arg2423z00_2308;

															BgL_arg2423z00_2308 = (int) (((long) 8));
															{	/* Cfa/type.scm 219 */
																long BgL_auxz00_4193;

																BgL_auxz00_4193 = (long) (BgL_arg2423z00_2308);
																BgL_restz00_2307 =
																	(BgL_offsetz00_2304 % BgL_auxz00_4193);
														}}
														{	/* Cfa/type.scm 219 */

															BgL_method5143z00_2297 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2302,
																	(int) (BgL_modz00_2305)),
																(int) (BgL_restz00_2307));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method5143z00_2297) (BgL_method5143z00_2297,
								(obj_t) (BgL_arg5366z00_1865), BEOA);
					}}
					{	/* Cfa/type.scm 220 */
						obj_t BgL_arg5367z00_1866;

						BgL_arg5367z00_1866 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1861))->BgL_argsz00);
						BgL_auxz00_4179 =
							BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg5367z00_1866);
					}
					return BBOOL(BgL_auxz00_4179);
				}
			}
		}
	}



/* type-node!-app-ly5158 */
	obj_t BGl_typezd2nodez12zd2appzd2ly5158zc0zzcfa_typez00(obj_t BgL_envz00_3131,
		obj_t BgL_nodez00_3132)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 209 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1853;

				BgL_nodez00_1853 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_3132);
				{	/* Cfa/type.scm 211 */
					BgL_nodez00_bglt BgL_arg5363z00_1857;

					BgL_arg5363z00_1857 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1853))->BgL_funz00);
					{	/* Cfa/type.scm 211 */
						obj_t BgL_method5143z00_2243;

						{	/* Cfa/type.scm 211 */
							BgL_objectz00_bglt BgL_objz00_2244;

							BgL_objz00_2244 = (BgL_objectz00_bglt) (BgL_arg5363z00_1857);
							{	/* Cfa/type.scm 211 */
								long BgL_objzd2classzd2numz00_2245;

								BgL_objzd2classzd2numz00_2245 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2244);
								{	/* Cfa/type.scm 211 */
									obj_t BgL_arg2422z00_2246;

									BgL_arg2422z00_2246 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 211 */
										obj_t BgL_arrayz00_2248;

										int BgL_offsetz00_2249;

										BgL_arrayz00_2248 = BgL_arg2422z00_2246;
										BgL_offsetz00_2249 = (int) (BgL_objzd2classzd2numz00_2245);
										{	/* Cfa/type.scm 211 */
											long BgL_offsetz00_2250;

											BgL_offsetz00_2250 =
												((long) (BgL_offsetz00_2249) - OBJECT_TYPE);
											{	/* Cfa/type.scm 211 */
												long BgL_modz00_2251;

												{	/* Cfa/type.scm 211 */
													int BgL_arg2424z00_2252;

													BgL_arg2424z00_2252 = (int) (((long) 8));
													{	/* Cfa/type.scm 211 */
														long BgL_auxz00_4216;

														BgL_auxz00_4216 = (long) (BgL_arg2424z00_2252);
														BgL_modz00_2251 =
															(BgL_offsetz00_2250 / BgL_auxz00_4216);
												}}
												{	/* Cfa/type.scm 211 */
													long BgL_restz00_2253;

													{	/* Cfa/type.scm 211 */
														int BgL_arg2423z00_2254;

														BgL_arg2423z00_2254 = (int) (((long) 8));
														{	/* Cfa/type.scm 211 */
															long BgL_auxz00_4220;

															BgL_auxz00_4220 = (long) (BgL_arg2423z00_2254);
															BgL_restz00_2253 =
																(BgL_offsetz00_2250 % BgL_auxz00_4220);
													}}
													{	/* Cfa/type.scm 211 */

														BgL_method5143z00_2243 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2248,
																(int) (BgL_modz00_2251)),
															(int) (BgL_restz00_2253));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method5143z00_2243) (BgL_method5143z00_2243,
							(obj_t) (BgL_arg5363z00_1857), BEOA);
				}}
				{	/* Cfa/type.scm 212 */
					BgL_nodez00_bglt BgL_arg5364z00_1858;

					BgL_arg5364z00_1858 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1853))->BgL_argz00);
					{	/* Cfa/type.scm 212 */
						obj_t BgL_method5143z00_2270;

						{	/* Cfa/type.scm 212 */
							BgL_objectz00_bglt BgL_objz00_2271;

							BgL_objz00_2271 = (BgL_objectz00_bglt) (BgL_arg5364z00_1858);
							{	/* Cfa/type.scm 212 */
								long BgL_objzd2classzd2numz00_2272;

								BgL_objzd2classzd2numz00_2272 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2271);
								{	/* Cfa/type.scm 212 */
									obj_t BgL_arg2422z00_2273;

									BgL_arg2422z00_2273 =
										PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
										(int) (((long) 1)));
									{	/* Cfa/type.scm 212 */
										obj_t BgL_arrayz00_2275;

										int BgL_offsetz00_2276;

										BgL_arrayz00_2275 = BgL_arg2422z00_2273;
										BgL_offsetz00_2276 = (int) (BgL_objzd2classzd2numz00_2272);
										{	/* Cfa/type.scm 212 */
											long BgL_offsetz00_2277;

											BgL_offsetz00_2277 =
												((long) (BgL_offsetz00_2276) - OBJECT_TYPE);
											{	/* Cfa/type.scm 212 */
												long BgL_modz00_2278;

												{	/* Cfa/type.scm 212 */
													int BgL_arg2424z00_2279;

													BgL_arg2424z00_2279 = (int) (((long) 8));
													{	/* Cfa/type.scm 212 */
														long BgL_auxz00_4239;

														BgL_auxz00_4239 = (long) (BgL_arg2424z00_2279);
														BgL_modz00_2278 =
															(BgL_offsetz00_2277 / BgL_auxz00_4239);
												}}
												{	/* Cfa/type.scm 212 */
													long BgL_restz00_2280;

													{	/* Cfa/type.scm 212 */
														int BgL_arg2423z00_2281;

														BgL_arg2423z00_2281 = (int) (((long) 8));
														{	/* Cfa/type.scm 212 */
															long BgL_auxz00_4243;

															BgL_auxz00_4243 = (long) (BgL_arg2423z00_2281);
															BgL_restz00_2280 =
																(BgL_offsetz00_2277 % BgL_auxz00_4243);
													}}
													{	/* Cfa/type.scm 212 */

														BgL_method5143z00_2270 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2275,
																(int) (BgL_modz00_2278)),
															(int) (BgL_restz00_2280));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method5143z00_2270) (BgL_method5143z00_2270,
							(obj_t) (BgL_arg5364z00_1858), BEOA);
					}
				}
			}
		}
	}



/* type-node!-app5155 */
	obj_t BGl_typezd2nodez12zd2app5155z12zzcfa_typez00(obj_t BgL_envz00_3133,
		obj_t BgL_nodez00_3134)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 202 */
			{
				BgL_appz00_bglt BgL_nodez00_1846;

				{	/* Cfa/type.scm 203 */
					bool_t BgL_auxz00_4254;

					BgL_nodez00_1846 = (BgL_appz00_bglt) (BgL_nodez00_3134);
					{	/* Cfa/type.scm 203 */
						obj_t BgL_arg5361z00_2239;

						BgL_arg5361z00_2239 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1846))->BgL_argsz00);
						BgL_auxz00_4254 =
							BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg5361z00_2239);
					}
					return BBOOL(BgL_auxz00_4254);
				}
			}
		}
	}



/* type-node!-sequence5153 */
	obj_t BGl_typezd2nodez12zd2sequence5153z12zzcfa_typez00(obj_t BgL_envz00_3135,
		obj_t BgL_nodez00_3136)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 195 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1839;

				{	/* Cfa/type.scm 196 */
					bool_t BgL_auxz00_4259;

					BgL_nodez00_1839 = (BgL_sequencez00_bglt) (BgL_nodez00_3136);
					{	/* Cfa/type.scm 196 */
						obj_t BgL_arg5359z00_2236;

						BgL_arg5359z00_2236 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1839))->BgL_nodesz00);
						BgL_auxz00_4259 =
							BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg5359z00_2236);
					}
					return BBOOL(BgL_auxz00_4259);
				}
			}
		}
	}



/* type-node!-closure5151 */
	obj_t BGl_typezd2nodez12zd2closure5151z12zzcfa_typez00(obj_t BgL_envz00_3137,
		obj_t BgL_nodez00_3138)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 189 */
			{
				BgL_closurez00_bglt BgL_nodez00_1831;

				BgL_nodez00_1831 = (BgL_closurez00_bglt) (BgL_nodez00_3138);
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string5522z00zzcfa_typez00, BGl_string5523z00zzcfa_typez00,
					BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1831)));
			}
		}
	}



/* type-node!-var5149 */
	obj_t BGl_typezd2nodez12zd2var5149z12zzcfa_typez00(obj_t BgL_envz00_3139,
		obj_t BgL_nodez00_3140)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 181 */
			{
				BgL_varz00_bglt BgL_nodez00_1816;

				BgL_nodez00_1816 = (BgL_varz00_bglt) (BgL_nodez00_3140);
				{	/* Cfa/type.scm 183 */
					bool_t BgL_testz00_4268;

					{	/* Cfa/type.scm 183 */
						bool_t BgL_testz00_4269;

						{	/* Cfa/type.scm 183 */
							BgL_variablez00_bglt BgL_arg5353z00_1828;

							BgL_arg5353z00_1828 =
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1816))->BgL_variablez00);
							{	/* Cfa/type.scm 183 */
								obj_t BgL_obj1589z00_2202;

								BgL_obj1589z00_2202 = (obj_t) (BgL_arg5353z00_1828);
								BgL_testz00_4269 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1589z00_2202,
									BGl_globalz00zzast_varz00);
							}
						}
						if (BgL_testz00_4269)
							{	/* Cfa/type.scm 183 */
								obj_t BgL_auxz00_4273;

								{	/* Cfa/type.scm 183 */
									BgL_globalz00_bglt BgL_obj1517z00_2204;

									BgL_obj1517z00_2204 =
										(BgL_globalz00_bglt) (
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1816))->
											BgL_variablez00));
									BgL_auxz00_4273 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1517z00_2204))->
										BgL_importz00);
								}
								BgL_testz00_4268 =
									(BgL_auxz00_4273 == CNST_TABLE_REF(((long) 3)));
							}
						else
							{	/* Cfa/type.scm 183 */
								BgL_testz00_4268 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4268)
						{	/* Cfa/type.scm 184 */
							BgL_valuez00_bglt BgL_arg5346z00_1821;

							BgL_variablez00_bglt BgL_arg5347z00_1822;

							{	/* Cfa/type.scm 184 */
								BgL_variablez00_bglt BgL_obj1449z00_2206;

								BgL_obj1449z00_2206 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1816))->BgL_variablez00);
								BgL_arg5346z00_1821 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1449z00_2206))->
									BgL_valuez00);
							}
							BgL_arg5347z00_1822 =
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1816))->BgL_variablez00);
							{	/* Cfa/type.scm 184 */
								obj_t BgL_method5131z00_2210;

								{	/* Cfa/type.scm 184 */
									BgL_objectz00_bglt BgL_objz00_2211;

									BgL_objz00_2211 = (BgL_objectz00_bglt) (BgL_arg5346z00_1821);
									{	/* Cfa/type.scm 184 */
										long BgL_objzd2classzd2numz00_2212;

										BgL_objzd2classzd2numz00_2212 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2211);
										{	/* Cfa/type.scm 184 */
											obj_t BgL_arg2422z00_2213;

											BgL_arg2422z00_2213 =
												PROCEDURE_REF
												(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
												(int) (((long) 1)));
											{	/* Cfa/type.scm 184 */
												obj_t BgL_arrayz00_2215;

												int BgL_offsetz00_2216;

												BgL_arrayz00_2215 = BgL_arg2422z00_2213;
												BgL_offsetz00_2216 =
													(int) (BgL_objzd2classzd2numz00_2212);
												{	/* Cfa/type.scm 184 */
													long BgL_offsetz00_2217;

													BgL_offsetz00_2217 =
														((long) (BgL_offsetz00_2216) - OBJECT_TYPE);
													{	/* Cfa/type.scm 184 */
														long BgL_modz00_2218;

														{	/* Cfa/type.scm 184 */
															int BgL_arg2424z00_2219;

															BgL_arg2424z00_2219 = (int) (((long) 8));
															{	/* Cfa/type.scm 184 */
																long BgL_auxz00_4290;

																BgL_auxz00_4290 = (long) (BgL_arg2424z00_2219);
																BgL_modz00_2218 =
																	(BgL_offsetz00_2217 / BgL_auxz00_4290);
														}}
														{	/* Cfa/type.scm 184 */
															long BgL_restz00_2220;

															{	/* Cfa/type.scm 184 */
																int BgL_arg2423z00_2221;

																BgL_arg2423z00_2221 = (int) (((long) 8));
																{	/* Cfa/type.scm 184 */
																	long BgL_auxz00_4294;

																	BgL_auxz00_4294 =
																		(long) (BgL_arg2423z00_2221);
																	BgL_restz00_2220 =
																		(BgL_offsetz00_2217 % BgL_auxz00_4294);
															}}
															{	/* Cfa/type.scm 184 */

																BgL_method5131z00_2210 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2215,
																		(int) (BgL_modz00_2218)),
																	(int) (BgL_restz00_2220));
								}}}}}}}}
								return
									PROCEDURE_ENTRY(BgL_method5131z00_2210)
									(BgL_method5131z00_2210, (obj_t) (BgL_arg5346z00_1821),
									(obj_t) (BgL_arg5347z00_1822), BEOA);
							}
						}
					else
						{	/* Cfa/type.scm 183 */
							return BFALSE;
						}
				}
			}
		}
	}



/* type-node!-kwote5147 */
	obj_t BGl_typezd2nodez12zd2kwote5147z12zzcfa_typez00(obj_t BgL_envz00_3141,
		obj_t BgL_nodez00_3142)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 175 */
			return BUNSPEC;
		}
	}



/* type-node!-atom5145 */
	obj_t BGl_typezd2nodez12zd2atom5145z12zzcfa_typez00(obj_t BgL_envz00_3143,
		obj_t BgL_nodez00_3144)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 169 */
			return BUNSPEC;
		}
	}



/* type-variable!-inter5141 */
	obj_t BGl_typezd2variablez12zd2inter5141z12zzcfa_typez00(obj_t
		BgL_envz00_3145, obj_t BgL_valuez00_3146, obj_t BgL_variablez00_3147)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 132 */
			{	/* Cfa/type.scm 133 */
				obj_t BgL_res5528z00_3172;

				BgL_res5528z00_3172 = CNST_TABLE_REF(((long) 1));
				return BgL_res5528z00_3172;
			}
		}
	}



/* type-variable!-sexit5139 */
	obj_t BGl_typezd2variablez12zd2sexit5139z12zzcfa_typez00(obj_t
		BgL_envz00_3148, obj_t BgL_valuez00_3149, obj_t BgL_variablez00_3150)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 122 */
			{	/* Cfa/type.scm 123 */
				obj_t BgL_res5529z00_3175;

				BgL_res5529z00_3175 = CNST_TABLE_REF(((long) 1));
				return BgL_res5529z00_3175;
			}
		}
	}



/* type-variable!-cvar/5137 */
	obj_t BGl_typezd2variablez12zd2cvarzf25137ze0zzcfa_typez00(obj_t
		BgL_envz00_3151, obj_t BgL_valuez00_3152, obj_t BgL_variablez00_3153)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 115 */
			{
				BgL_cvarzf2cinfozf2_bglt BgL_valuez00_1785;

				obj_t BgL_variablez00_1786;

				BgL_valuez00_1785 = (BgL_cvarzf2cinfozf2_bglt) (BgL_valuez00_3152);
				BgL_variablez00_1786 = BgL_variablez00_3153;
				{	/* Cfa/type.scm 116 */
					obj_t BgL_arg5338z00_2198;

					{	/* Cfa/type.scm 116 */
						BgL_approxz00_bglt BgL_arg5339z00_2199;

						{
							obj_t BgL_auxz00_4308;

							{	/* Cfa/type.scm 116 */
								BgL_objectz00_bglt BgL_auxz00_4309;

								BgL_auxz00_4309 = (BgL_objectz00_bglt) (BgL_valuez00_1785);
								BgL_auxz00_4308 = BGL_OBJECT_WIDENING(BgL_auxz00_4309);
							}
							BgL_arg5339z00_2199 =
								(((BgL_cvarzf2cinfozf2_bglt) CREF(BgL_auxz00_4308))->
								BgL_approxz00);
						}
						BgL_arg5338z00_2198 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg5339z00_2199);
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						(BgL_variablez00_bglt) (BgL_variablez00_1786),
						(BgL_typez00_bglt) (BgL_arg5338z00_2198));
				}
			}
		}
	}



/* type-variable!-scnst5135 */
	obj_t BGl_typezd2variablez12zd2scnst5135z12zzcfa_typez00(obj_t
		BgL_envz00_3154, obj_t BgL_valuez00_3155, obj_t BgL_variablez00_3156)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 109 */
			{	/* Cfa/type.scm 110 */
				obj_t BgL_res5530z00_3178;

				BgL_res5530z00_3178 = CNST_TABLE_REF(((long) 1));
				return BgL_res5530z00_3178;
			}
		}
	}



/* type-variable!-svar/5133 */
	obj_t BGl_typezd2variablez12zd2svarzf25133ze0zzcfa_typez00(obj_t
		BgL_envz00_3157, obj_t BgL_valuez00_3158, obj_t BgL_variablez00_3159)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 102 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_valuez00_1770;

				obj_t BgL_variablez00_1771;

				BgL_valuez00_1770 = (BgL_svarzf2cinfozf2_bglt) (BgL_valuez00_3158);
				BgL_variablez00_1771 = BgL_variablez00_3159;
				{	/* Cfa/type.scm 103 */
					obj_t BgL_arg5334z00_2194;

					{	/* Cfa/type.scm 103 */
						BgL_approxz00_bglt BgL_arg5335z00_2195;

						{
							obj_t BgL_auxz00_4319;

							{	/* Cfa/type.scm 103 */
								BgL_objectz00_bglt BgL_auxz00_4320;

								BgL_auxz00_4320 = (BgL_objectz00_bglt) (BgL_valuez00_1770);
								BgL_auxz00_4319 = BGL_OBJECT_WIDENING(BgL_auxz00_4320);
							}
							BgL_arg5335z00_2195 =
								(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_4319))->
								BgL_approxz00);
						}
						BgL_arg5334z00_2194 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg5335z00_2195);
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						(BgL_variablez00_bglt) (BgL_variablez00_1771),
						(BgL_typez00_bglt) (BgL_arg5334z00_2194));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 474371048),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 249450490),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 2222742),
				BSTRING_TO_STRING(BGl_string5524z00zzcfa_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
