/*===========================================================================*/
/*   (Coerce/coerce.scm)                                                     */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/coerce.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_coercez12zd2new3437zc0zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_coercez12zd2kwote3422zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2cast3447zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_coercez00();
	static obj_t BGl_coercez12zd2vref3441zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2setq3449zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2jumpzd2exzd2it3463zc0zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2vlength3445zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2makezd2box3465z12zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2getfield3432zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_coercez12zd2boxzd2ref3467z12zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_coercez12zd2setfield3434zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_coercez12zd2fail3453zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_methodzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl__coercez12zd2default3416zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2vsetz123443zd2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = BUNSPEC;
	static obj_t BGl_coercez12zd2extern3430zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_coercez00();
	static obj_t BGl__coercezd2functionz12zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_coercez12zd2letzd2fun3457z12zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_coercez12zd2closure3426zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_coercez12zd2var3424zc0zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_coercez12zd2letzd2var3459z12zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
	static obj_t BGl_coercez12zd2conditional3451zc0zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2valloc3439zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, bool_t);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_coercez12zd2atom3420zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_coercez12zd2select3455zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static obj_t BGl_coercez12zd2sequence3428zc0zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_coercez12zd2setzd2exzd2it3461zc0zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__coercez12z12zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_coercez12zd2boxzd2setz123469z00zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_coercez12zd2default3416zc0zzcoerce_coercez00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, bool_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string3876z00zzcoerce_coercez00,
		BgL_bgl_string3876za700za7za7c3908za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3902z00zzcoerce_coercez00,
		BgL_bgl_string3902za700za7za7c3909za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string3903z00zzcoerce_coercez00,
		BgL_bgl_string3903za700za7za7c3910za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string3904z00zzcoerce_coercez00,
		BgL_bgl_string3904za700za7za7c3911za7, "coerce_coerce", 13);
	      DEFINE_STRING(BGl_string3905z00zzcoerce_coercez00,
		BgL_bgl_string3905za700za7za7c3912za7, "false true coerce!-default3416 ",
		31);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_coercez12zd2envzc0zzcoerce_coercez00,
		BgL_bgl__coerceza712za712za7za7c3913z00,
		BGl__coercez12z12zzcoerce_coercez00, 0L, BUNSPEC, 4);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_coercez12zd2default3416zd2envz12zzcoerce_coercez00,
		BgL_bgl__coerceza712za7d2def3914z00,
		BGl__coercez12zd2default3416zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_coercezd2functionz12zd2envz12zzcoerce_coercez00,
		BgL_bgl__coerceza7d2functi3915za7,
		BGl__coercezd2functionz12zc0zzcoerce_coercez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3877z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2atom3916z00,
		BGl_coercez12zd2atom3420zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3878z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2kwot3917z00,
		BGl_coercez12zd2kwote3422zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3880z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2clos3918z00,
		BGl_coercez12zd2closure3426zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3879z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2var33919z00,
		BGl_coercez12zd2var3424zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3881z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2sequ3920z00,
		BGl_coercez12zd2sequence3428zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3882z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2exte3921z00,
		BGl_coercez12zd2extern3430zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3883z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2getf3922z00,
		BGl_coercez12zd2getfield3432zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3884z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2setf3923z00,
		BGl_coercez12zd2setfield3434zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3885z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2new33924z00,
		BGl_coercez12zd2new3437zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3886z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2vall3925z00,
		BGl_coercez12zd2valloc3439zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3887z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2vref3926z00,
		BGl_coercez12zd2vref3441zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3888z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2vset3927z00,
		BGl_coercez12zd2vsetz123443zd2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3900z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2boxza73928za7,
		BGl_coercez12zd2boxzd2ref3467z12zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3890z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2cast3929z00,
		BGl_coercez12zd2cast3447zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3889z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2vlen3930z00,
		BGl_coercez12zd2vlength3445zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3901z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2boxza73931za7,
		BGl_coercez12zd2boxzd2setz123469z00zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3891z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2setq3932z00,
		BGl_coercez12zd2setq3449zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3892z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2cond3933z00,
		BGl_coercez12zd2conditional3451zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3893z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2fail3934z00,
		BGl_coercez12zd2fail3453zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3894z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2sele3935z00,
		BGl_coercez12zd2select3455zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3895z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2letza73936za7,
		BGl_coercez12zd2letzd2fun3457z12zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3896z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2letza73937za7,
		BGl_coercez12zd2letzd2var3459z12zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3897z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2setza73938za7,
		BGl_coercez12zd2setzd2exzd2it3461zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3898z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2jump3939z00,
		BGl_coercez12zd2jumpzd2exzd2it3463zc0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3899z00zzcoerce_coercez00,
		BgL_bgl_coerceza712za7d2make3940z00,
		BGl_coercez12zd2makezd2box3465z12zzcoerce_coercez00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long
		BgL_checksumz00_3381, char *BgL_fromz00_3382)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_coercez00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_coercez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_cnstzd2initzd2zzcoerce_coercez00();
					BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_genericzd2initzd2zzcoerce_coercez00();
					BGl_methodzd2initzd2zzcoerce_coercez00();
					BGl_toplevelzd2initzd2zzcoerce_coercez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_coerce");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			{	/* Coerce/coerce.scm 15 */
				obj_t BgL_cportz00_3373;

				BgL_cportz00_3373 =
					bgl_open_input_string(BGl_string3905z00zzcoerce_coercez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3374;

					BgL_iz00_3374 = ((long) 2);
				BgL_loopz00_3375:
					if ((BgL_iz00_3374 == ((long) -1)))
						{	/* Coerce/coerce.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/coerce.scm 15 */
							{	/* Coerce/coerce.scm 15 */
								obj_t BgL_arg3907z00_3377;

								{	/* Coerce/coerce.scm 15 */

									{	/* Coerce/coerce.scm 15 */
										obj_t BgL_locationz00_3379;

										BgL_locationz00_3379 = BBOOL(((bool_t) 0));
										{	/* Coerce/coerce.scm 15 */

											BgL_arg3907z00_3377 =
												BGl_readz00zz__readerz00(BgL_cportz00_3373,
												BgL_locationz00_3379);
										}
									}
								}
								{	/* Coerce/coerce.scm 15 */
									int BgL_auxz00_3401;

									BgL_auxz00_3401 = (int) (BgL_iz00_3374);
									CNST_TABLE_SET(BgL_auxz00_3401, BgL_arg3907z00_3377);
							}}
							{	/* Coerce/coerce.scm 15 */
								int BgL_auxz00_3380;

								BgL_auxz00_3380 = (int) ((BgL_iz00_3374 - ((long) 1)));
								{
									long BgL_iz00_3406;

									BgL_iz00_3406 = (long) (BgL_auxz00_3380);
									BgL_iz00_3374 = BgL_iz00_3406;
									goto BgL_loopz00_3375;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* coerce-function! */
	BGL_EXPORTED_DEF obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt
		BgL_variablez00_1, bool_t BgL_typezd2safezd2_2)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			{	/* Coerce/coerce.scm 47 */
				obj_t BgL_arg3470z00_892;

				BgL_arg3470z00_892 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_1))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3470z00_892);
			}
			{	/* Coerce/coerce.scm 48 */
				BgL_valuez00_bglt BgL_funz00_893;

				BgL_funz00_893 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_1))->BgL_valuez00);
				{	/* Coerce/coerce.scm 48 */
					obj_t BgL_bodyz00_894;

					{
						BgL_sfunz00_bglt BgL_auxz00_3411;

						BgL_auxz00_3411 = (BgL_sfunz00_bglt) (BgL_funz00_893);
						BgL_bodyz00_894 =
							(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3411))->BgL_bodyz00);
					}
					{	/* Coerce/coerce.scm 49 */
						BgL_typez00_bglt BgL_tresz00_895;

						BgL_tresz00_895 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_1))->BgL_typez00);
						{	/* Coerce/coerce.scm 50 */
							obj_t BgL_cloz00_896;

							{
								BgL_sfunz00_bglt BgL_auxz00_3415;

								BgL_auxz00_3415 = (BgL_sfunz00_bglt) (BgL_funz00_893);
								BgL_cloz00_896 =
									(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3415))->
									BgL_thezd2closurezd2globalz00);
							}
							{	/* Coerce/coerce.scm 51 */
								bool_t BgL_typezd2safetyzd2enforcedz00_897;

								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_testz00_3418;

									if (CBOOL(BGl_za2unsafezd2evalza2zd2zzengine_paramz00))
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_3418 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_3418 = ((bool_t) 1);
										}
									if (BgL_testz00_3418)
										{	/* Coerce/coerce.scm 53 */
											bool_t BgL_testz00_3421;

											{	/* Coerce/coerce.scm 53 */
												obj_t BgL_obj1850z00_1796;

												BgL_obj1850z00_1796 = (obj_t) (BgL_variablez00_1);
												BgL_testz00_3421 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1850z00_1796,
													BGl_globalz00zzast_varz00);
											}
											if (BgL_testz00_3421)
												{	/* Coerce/coerce.scm 53 */
													if (BGl_iszd2azf3z21zz__objectz00(BgL_cloz00_896,
															BGl_globalz00zzast_varz00))
														{	/* Coerce/coerce.scm 55 */
															bool_t BgL_testz00_3426;

															{
																BgL_globalz00_bglt BgL_auxz00_3427;

																BgL_auxz00_3427 =
																	(BgL_globalz00_bglt) (BgL_cloz00_896);
																BgL_testz00_3426 =
																	(((BgL_globalz00_bglt)
																		CREF(BgL_auxz00_3427))->
																	BgL_evaluablezf3zf3);
															}
															if (BgL_testz00_3426)
																{
																	BgL_globalz00_bglt BgL_auxz00_3430;

																	BgL_auxz00_3430 =
																		(BgL_globalz00_bglt) (BgL_cloz00_896);
																	BgL_typezd2safetyzd2enforcedz00_897 =
																		(((BgL_globalz00_bglt)
																			CREF(BgL_auxz00_3430))->BgL_userzf3zf3);
																}
															else
																{	/* Coerce/coerce.scm 55 */
																	BgL_typezd2safetyzd2enforcedz00_897 =
																		((bool_t) 0);
																}
														}
													else
														{	/* Coerce/coerce.scm 54 */
															BgL_typezd2safetyzd2enforcedz00_897 =
																((bool_t) 0);
														}
												}
											else
												{	/* Coerce/coerce.scm 53 */
													BgL_typezd2safetyzd2enforcedz00_897 = ((bool_t) 0);
												}
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_typezd2safetyzd2enforcedz00_897 = ((bool_t) 0);
										}
								}
								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_typezd2safezd2_898;

									if (BgL_typezd2safezd2_2)
										{	/* Coerce/coerce.scm 57 */
											BgL_typezd2safezd2_898 = BgL_typezd2safezd2_2;
										}
									else
										{	/* Coerce/coerce.scm 57 */
											BgL_typezd2safezd2_898 =
												BgL_typezd2safetyzd2enforcedz00_897;
										}
									{	/* Coerce/coerce.scm 57 */

										{	/* Coerce/coerce.scm 58 */
											bool_t BgL_testz00_3434;

											{	/* Coerce/coerce.scm 58 */
												obj_t BgL_obj1850z00_1800;

												BgL_obj1850z00_1800 = (obj_t) (BgL_variablez00_1);
												BgL_testz00_3434 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1850z00_1800,
													BGl_globalz00zzast_varz00);
											}
											if (BgL_testz00_3434)
												{	/* Coerce/coerce.scm 58 */
													BNIL;
												}
											else
												{	/* Coerce/coerce.scm 58 */
													BNIL;
												}
										}
										BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(((long) 3),
											BgL_variablez00_1);
										BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 =
											(obj_t) (BgL_variablez00_1);
										{	/* Coerce/coerce.scm 68 */
											BgL_nodez00_bglt BgL_arg3472z00_900;

											{	/* Coerce/coerce.scm 68 */
												BgL_nodez00_bglt BgL_res3765z00_1830;

												{	/* Coerce/coerce.scm 68 */
													BgL_nodez00_bglt BgL_nodez00_1801;

													obj_t BgL_callerz00_1802;

													BgL_nodez00_1801 =
														(BgL_nodez00_bglt) (BgL_bodyz00_894);
													BgL_callerz00_1802 = (obj_t) (BgL_variablez00_1);
													{	/* Coerce/coerce.scm 68 */
														obj_t BgL_method3417z00_1805;

														{	/* Coerce/coerce.scm 68 */
															BgL_objectz00_bglt BgL_objz00_1806;

															BgL_objz00_1806 =
																(BgL_objectz00_bglt) (BgL_nodez00_1801);
															{	/* Coerce/coerce.scm 68 */
																long BgL_objzd2classzd2numz00_1807;

																BgL_objzd2classzd2numz00_1807 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_1806);
																{	/* Coerce/coerce.scm 68 */
																	obj_t BgL_arg2422z00_1808;

																	BgL_arg2422z00_1808 =
																		PROCEDURE_REF
																		(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																		(int) (((long) 1)));
																	{	/* Coerce/coerce.scm 68 */
																		obj_t BgL_arrayz00_1810;

																		int BgL_offsetz00_1811;

																		BgL_arrayz00_1810 = BgL_arg2422z00_1808;
																		BgL_offsetz00_1811 =
																			(int) (BgL_objzd2classzd2numz00_1807);
																		{	/* Coerce/coerce.scm 68 */
																			long BgL_offsetz00_1812;

																			BgL_offsetz00_1812 =
																				(
																				(long) (BgL_offsetz00_1811) -
																				OBJECT_TYPE);
																			{	/* Coerce/coerce.scm 68 */
																				long BgL_modz00_1813;

																				{	/* Coerce/coerce.scm 68 */
																					int BgL_arg2424z00_1814;

																					BgL_arg2424z00_1814 =
																						(int) (((long) 8));
																					{	/* Coerce/coerce.scm 68 */
																						long BgL_auxz00_3449;

																						BgL_auxz00_3449 =
																							(long) (BgL_arg2424z00_1814);
																						BgL_modz00_1813 =
																							(BgL_offsetz00_1812 /
																							BgL_auxz00_3449);
																				}}
																				{	/* Coerce/coerce.scm 68 */
																					long BgL_restz00_1815;

																					{	/* Coerce/coerce.scm 68 */
																						int BgL_arg2423z00_1816;

																						BgL_arg2423z00_1816 =
																							(int) (((long) 8));
																						{	/* Coerce/coerce.scm 68 */
																							long BgL_auxz00_3453;

																							BgL_auxz00_3453 =
																								(long) (BgL_arg2423z00_1816);
																							BgL_restz00_1815 =
																								(BgL_offsetz00_1812 %
																								BgL_auxz00_3453);
																					}}
																					{	/* Coerce/coerce.scm 68 */

																						BgL_method3417z00_1805 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_1810,
																								(int) (BgL_modz00_1813)),
																							(int) (BgL_restz00_1815));
														}}}}}}}}
														BgL_res3765z00_1830 =
															(BgL_nodez00_bglt) (PROCEDURE_ENTRY
															(BgL_method3417z00_1805) (BgL_method3417z00_1805,
																(obj_t) (BgL_nodez00_1801), BgL_callerz00_1802,
																(obj_t) (BgL_tresz00_895),
																BBOOL(BgL_typezd2safezd2_898), BEOA));
												}}
												BgL_arg3472z00_900 = BgL_res3765z00_1830;
											}
											{
												obj_t BgL_auxz00_3468;

												BgL_sfunz00_bglt BgL_auxz00_3466;

												BgL_auxz00_3468 = (obj_t) (BgL_arg3472z00_900);
												BgL_auxz00_3466 = (BgL_sfunz00_bglt) (BgL_funz00_893);
												((((BgL_sfunz00_bglt) CREF(BgL_auxz00_3466))->
														BgL_bodyz00) = ((obj_t) BgL_auxz00_3468), BUNSPEC);
										}}
										return BGl_leavezd2functionzd2zztools_errorz00();
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _coerce-function! */
	obj_t BGl__coercezd2functionz12zc0zzcoerce_coercez00(obj_t BgL_envz00_3210,
		obj_t BgL_variablez00_3211, obj_t BgL_typezd2safezd2_3212)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			return
				BGl_coercezd2functionz12zc0zzcoerce_coercez00(
				(BgL_variablez00_bglt) (BgL_variablez00_3211),
				CBOOL(BgL_typezd2safezd2_3212));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_coercez12zd2default3416zd2envz12zzcoerce_coercez00);
		}
	}



/* coerce! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_3,
		obj_t BgL_callerz00_4, BgL_typez00_bglt BgL_toz00_5, bool_t BgL_safez00_6)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 74 */
			{	/* Coerce/coerce.scm 74 */
				obj_t BgL_method3417z00_1833;

				{	/* Coerce/coerce.scm 74 */
					BgL_objectz00_bglt BgL_objz00_1834;

					BgL_objz00_1834 = (BgL_objectz00_bglt) (BgL_nodez00_3);
					{	/* Coerce/coerce.scm 74 */
						long BgL_objzd2classzd2numz00_1835;

						BgL_objzd2classzd2numz00_1835 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1834);
						{	/* Coerce/coerce.scm 74 */
							obj_t BgL_arg2422z00_1836;

							BgL_arg2422z00_1836 =
								PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00,
								(int) (((long) 1)));
							{	/* Coerce/coerce.scm 74 */
								obj_t BgL_arrayz00_1838;

								int BgL_offsetz00_1839;

								BgL_arrayz00_1838 = BgL_arg2422z00_1836;
								BgL_offsetz00_1839 = (int) (BgL_objzd2classzd2numz00_1835);
								{	/* Coerce/coerce.scm 74 */
									long BgL_offsetz00_1840;

									BgL_offsetz00_1840 =
										((long) (BgL_offsetz00_1839) - OBJECT_TYPE);
									{	/* Coerce/coerce.scm 74 */
										long BgL_modz00_1841;

										{	/* Coerce/coerce.scm 74 */
											int BgL_arg2424z00_1842;

											BgL_arg2424z00_1842 = (int) (((long) 8));
											{	/* Coerce/coerce.scm 74 */
												long BgL_auxz00_3484;

												BgL_auxz00_3484 = (long) (BgL_arg2424z00_1842);
												BgL_modz00_1841 =
													(BgL_offsetz00_1840 / BgL_auxz00_3484);
										}}
										{	/* Coerce/coerce.scm 74 */
											long BgL_restz00_1843;

											{	/* Coerce/coerce.scm 74 */
												int BgL_arg2423z00_1844;

												BgL_arg2423z00_1844 = (int) (((long) 8));
												{	/* Coerce/coerce.scm 74 */
													long BgL_auxz00_3488;

													BgL_auxz00_3488 = (long) (BgL_arg2423z00_1844);
													BgL_restz00_1843 =
														(BgL_offsetz00_1840 % BgL_auxz00_3488);
											}}
											{	/* Coerce/coerce.scm 74 */

												BgL_method3417z00_1833 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1838,
														(int) (BgL_modz00_1841)), (int) (BgL_restz00_1843));
				}}}}}}}}
				return
					(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3417z00_1833)
					(BgL_method3417z00_1833, (obj_t) (BgL_nodez00_3), BgL_callerz00_4,
						(obj_t) (BgL_toz00_5), BBOOL(BgL_safez00_6), BEOA));
			}
		}
	}



/* _coerce! */
	obj_t BGl__coercez12z12zzcoerce_coercez00(obj_t BgL_envz00_3213,
		obj_t BgL_nodez00_3214, obj_t BgL_callerz00_3215, obj_t BgL_toz00_3216,
		obj_t BgL_safez00_3217)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 74 */
			return
				(obj_t) (BGl_coercez12z12zzcoerce_coercez00(
					(BgL_nodez00_bglt) (BgL_nodez00_3214), BgL_callerz00_3215,
					(BgL_typez00_bglt) (BgL_toz00_3216), CBOOL(BgL_safez00_3217)));
		}
	}



/* coerce!-default3416 */
	BgL_nodez00_bglt
		BGl_coercez12zd2default3416zc0zzcoerce_coercez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_callerz00_8, BgL_typez00_bglt BgL_toz00_9,
		bool_t BgL_safez00_10)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return
				(BgL_nodez00_bglt) (BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string3876z00zzcoerce_coercez00, (obj_t) (BgL_nodez00_7)));
		}
	}



/* _coerce!-default3416 */
	obj_t BGl__coercez12zd2default3416zc0zzcoerce_coercez00(obj_t BgL_envz00_3218,
		obj_t BgL_nodez00_3219, obj_t BgL_callerz00_3220, obj_t BgL_toz00_3221,
		obj_t BgL_safez00_3222)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return
				(obj_t) (BGl_coercez12zd2default3416zc0zzcoerce_coercez00(
					(BgL_nodez00_bglt) (BgL_nodez00_3219), BgL_callerz00_3220,
					(BgL_typez00_bglt) (BgL_toz00_3221), CBOOL(BgL_safez00_3222)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_atomz00zzast_nodez00,
				BGl_proc3877z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3878z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_varz00zzast_nodez00,
				BGl_proc3879z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_closurez00zzast_nodez00,
				BGl_proc3880z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3881z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_externz00zzast_nodez00,
				BGl_proc3882z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_getfieldz00zzast_nodez00,
				BGl_proc3883z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setfieldz00zzast_nodez00,
				BGl_proc3884z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_newz00zzast_nodez00,
				BGl_proc3885z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vallocz00zzast_nodez00,
				BGl_proc3886z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vrefz00zzast_nodez00,
				BGl_proc3887z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc3888z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vlengthz00zzast_nodez00,
				BGl_proc3889z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_castz00zzast_nodez00,
				BGl_proc3890z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setqz00zzast_nodez00,
				BGl_proc3891z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3892z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_failz00zzast_nodez00,
				BGl_proc3893z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_selectz00zzast_nodez00,
				BGl_proc3894z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3895z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3896z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3897z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3898z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3899z00zzcoerce_coercez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3900z00zzcoerce_coercez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3901z00zzcoerce_coercez00);
		}
	}



/* coerce!-box-set!3469 */
	obj_t BGl_coercez12zd2boxzd2setz123469z00zzcoerce_coercez00(obj_t
		BgL_envz00_3248, obj_t BgL_nodez00_3249, obj_t BgL_callerz00_3250,
		obj_t BgL_toz00_3251, obj_t BgL_safez00_3252)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 438 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1778;

				obj_t BgL_callerz00_1779;

				obj_t BgL_toz00_1780;

				obj_t BgL_safez00_1781;

				{	/* Coerce/coerce.scm 439 */
					BgL_nodez00_bglt BgL_auxz00_3540;

					BgL_nodez00_1778 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_3249);
					BgL_callerz00_1779 = BgL_callerz00_3250;
					BgL_toz00_1780 = BgL_toz00_3251;
					BgL_safez00_1781 = BgL_safez00_3252;
					{	/* Coerce/coerce.scm 440 */
						BgL_variablez00_bglt BgL_arg3758z00_1785;

						{	/* Coerce/coerce.scm 440 */
							BgL_varz00_bglt BgL_obj2254z00_3174;

							BgL_obj2254z00_3174 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1778))->
								BgL_varz00);
							BgL_arg3758z00_1785 =
								(((BgL_varz00_bglt) CREF(BgL_obj2254z00_3174))->
								BgL_variablez00);
						}
						{
							BgL_typez00_bglt BgL_auxz00_3543;

							BgL_auxz00_3543 =
								(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
							((((BgL_variablez00_bglt) CREF(BgL_arg3758z00_1785))->
									BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3543), BUNSPEC);
						}
					}
					{	/* Coerce/coerce.scm 441 */
						BgL_nodez00_bglt BgL_arg3760z00_1787;

						{	/* Coerce/coerce.scm 441 */
							BgL_nodez00_bglt BgL_arg3761z00_1788;

							BgL_arg3761z00_1788 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1778))->
								BgL_valuez00);
							{	/* Coerce/coerce.scm 441 */
								BgL_nodez00_bglt BgL_res3875z00_3207;

								{	/* Coerce/coerce.scm 441 */
									BgL_typez00_bglt BgL_toz00_3180;

									bool_t BgL_safez00_3181;

									BgL_toz00_3180 =
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
									BgL_safez00_3181 = CBOOL(BgL_safez00_1781);
									{	/* Coerce/coerce.scm 441 */
										obj_t BgL_method3417z00_3182;

										{	/* Coerce/coerce.scm 441 */
											BgL_objectz00_bglt BgL_objz00_3183;

											BgL_objz00_3183 =
												(BgL_objectz00_bglt) (BgL_arg3761z00_1788);
											{	/* Coerce/coerce.scm 441 */
												long BgL_objzd2classzd2numz00_3184;

												BgL_objzd2classzd2numz00_3184 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_3183);
												{	/* Coerce/coerce.scm 441 */
													obj_t BgL_arg2422z00_3185;

													BgL_arg2422z00_3185 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 441 */
														obj_t BgL_arrayz00_3187;

														int BgL_offsetz00_3188;

														BgL_arrayz00_3187 = BgL_arg2422z00_3185;
														BgL_offsetz00_3188 =
															(int) (BgL_objzd2classzd2numz00_3184);
														{	/* Coerce/coerce.scm 441 */
															long BgL_offsetz00_3189;

															BgL_offsetz00_3189 =
																((long) (BgL_offsetz00_3188) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 441 */
																long BgL_modz00_3190;

																{	/* Coerce/coerce.scm 441 */
																	int BgL_arg2424z00_3191;

																	BgL_arg2424z00_3191 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 441 */
																		long BgL_auxz00_3557;

																		BgL_auxz00_3557 =
																			(long) (BgL_arg2424z00_3191);
																		BgL_modz00_3190 =
																			(BgL_offsetz00_3189 / BgL_auxz00_3557);
																}}
																{	/* Coerce/coerce.scm 441 */
																	long BgL_restz00_3192;

																	{	/* Coerce/coerce.scm 441 */
																		int BgL_arg2423z00_3193;

																		BgL_arg2423z00_3193 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 441 */
																			long BgL_auxz00_3561;

																			BgL_auxz00_3561 =
																				(long) (BgL_arg2423z00_3193);
																			BgL_restz00_3192 =
																				(BgL_offsetz00_3189 % BgL_auxz00_3561);
																	}}
																	{	/* Coerce/coerce.scm 441 */

																		BgL_method3417z00_3182 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_3187,
																				(int) (BgL_modz00_3190)),
																			(int) (BgL_restz00_3192));
										}}}}}}}}
										BgL_res3875z00_3207 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_3182) (BgL_method3417z00_3182,
												(obj_t) (BgL_arg3761z00_1788), BgL_callerz00_1779,
												(obj_t) (BgL_toz00_3180), BBOOL(BgL_safez00_3181),
												BEOA));
								}}
								BgL_arg3760z00_1787 = BgL_res3875z00_3207;
						}}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1778))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3760z00_1787), BUNSPEC);
					}
					BgL_auxz00_3540 =
						BGl_convertz12z12zzcoerce_convertz00(
						(BgL_nodez00_bglt) (BgL_nodez00_1778),
						(BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00),
						(BgL_typez00_bglt) (BgL_toz00_1780), CBOOL(BgL_safez00_1781));
					return (obj_t) (BgL_auxz00_3540);
				}
			}
		}
	}



/* coerce!-box-ref3467 */
	obj_t BGl_coercez12zd2boxzd2ref3467z12zzcoerce_coercez00(obj_t
		BgL_envz00_3253, obj_t BgL_nodez00_3254, obj_t BgL_callerz00_3255,
		obj_t BgL_toz00_3256, obj_t BgL_safez00_3257)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 431 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1769;

				obj_t BgL_callerz00_1770;

				obj_t BgL_toz00_1771;

				obj_t BgL_safez00_1772;

				{	/* Coerce/coerce.scm 433 */
					BgL_nodez00_bglt BgL_auxz00_3582;

					BgL_nodez00_1769 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_3254);
					BgL_callerz00_1770 = BgL_callerz00_3255;
					BgL_toz00_1771 = BgL_toz00_3256;
					BgL_safez00_1772 = BgL_safez00_3257;
					BgL_auxz00_3582 =
						BGl_convertz12z12zzcoerce_convertz00(
						(BgL_nodez00_bglt) (BgL_nodez00_1769),
						(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00),
						(BgL_typez00_bglt) (BgL_toz00_1771), CBOOL(BgL_safez00_1772));
					return (obj_t) (BgL_auxz00_3582);
				}
			}
		}
	}



/* coerce!-make-box3465 */
	obj_t BGl_coercez12zd2makezd2box3465z12zzcoerce_coercez00(obj_t
		BgL_envz00_3258, obj_t BgL_nodez00_3259, obj_t BgL_callerz00_3260,
		obj_t BgL_toz00_3261, obj_t BgL_safez00_3262)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 423 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1758;

				obj_t BgL_callerz00_1759;

				obj_t BgL_toz00_1760;

				obj_t BgL_safez00_1761;

				{	/* Coerce/coerce.scm 424 */
					BgL_makezd2boxzd2_bglt BgL_auxz00_3590;

					BgL_nodez00_1758 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_3259);
					BgL_callerz00_1759 = BgL_callerz00_3260;
					BgL_toz00_1760 = BgL_toz00_3261;
					BgL_safez00_1761 = BgL_safez00_3262;
					{	/* Coerce/coerce.scm 424 */
						BgL_nodez00_bglt BgL_arg3754z00_3138;

						{	/* Coerce/coerce.scm 424 */
							BgL_nodez00_bglt BgL_arg3755z00_3139;

							BgL_arg3755z00_3139 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1758))->
								BgL_valuez00);
							{	/* Coerce/coerce.scm 424 */
								BgL_nodez00_bglt BgL_res3872z00_3170;

								{	/* Coerce/coerce.scm 424 */
									BgL_typez00_bglt BgL_toz00_3143;

									bool_t BgL_safez00_3144;

									BgL_toz00_3143 =
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
									BgL_safez00_3144 = CBOOL(BgL_safez00_1761);
									{	/* Coerce/coerce.scm 424 */
										obj_t BgL_method3417z00_3145;

										{	/* Coerce/coerce.scm 424 */
											BgL_objectz00_bglt BgL_objz00_3146;

											BgL_objz00_3146 =
												(BgL_objectz00_bglt) (BgL_arg3755z00_3139);
											{	/* Coerce/coerce.scm 424 */
												long BgL_objzd2classzd2numz00_3147;

												BgL_objzd2classzd2numz00_3147 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_3146);
												{	/* Coerce/coerce.scm 424 */
													obj_t BgL_arg2422z00_3148;

													BgL_arg2422z00_3148 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 424 */
														obj_t BgL_arrayz00_3150;

														int BgL_offsetz00_3151;

														BgL_arrayz00_3150 = BgL_arg2422z00_3148;
														BgL_offsetz00_3151 =
															(int) (BgL_objzd2classzd2numz00_3147);
														{	/* Coerce/coerce.scm 424 */
															long BgL_offsetz00_3152;

															BgL_offsetz00_3152 =
																((long) (BgL_offsetz00_3151) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 424 */
																long BgL_modz00_3153;

																{	/* Coerce/coerce.scm 424 */
																	int BgL_arg2424z00_3154;

																	BgL_arg2424z00_3154 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 424 */
																		long BgL_auxz00_3602;

																		BgL_auxz00_3602 =
																			(long) (BgL_arg2424z00_3154);
																		BgL_modz00_3153 =
																			(BgL_offsetz00_3152 / BgL_auxz00_3602);
																}}
																{	/* Coerce/coerce.scm 424 */
																	long BgL_restz00_3155;

																	{	/* Coerce/coerce.scm 424 */
																		int BgL_arg2423z00_3156;

																		BgL_arg2423z00_3156 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 424 */
																			long BgL_auxz00_3606;

																			BgL_auxz00_3606 =
																				(long) (BgL_arg2423z00_3156);
																			BgL_restz00_3155 =
																				(BgL_offsetz00_3152 % BgL_auxz00_3606);
																	}}
																	{	/* Coerce/coerce.scm 424 */

																		BgL_method3417z00_3145 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_3150,
																				(int) (BgL_modz00_3153)),
																			(int) (BgL_restz00_3155));
										}}}}}}}}
										BgL_res3872z00_3170 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_3145) (BgL_method3417z00_3145,
												(obj_t) (BgL_arg3755z00_3139), BgL_callerz00_1759,
												(obj_t) (BgL_toz00_3143), BBOOL(BgL_safez00_3144),
												BEOA));
								}}
								BgL_arg3754z00_3138 = BgL_res3872z00_3170;
						}}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1758))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3754z00_3138), BUNSPEC);
					}
					BgL_auxz00_3590 = BgL_nodez00_1758;
					return (obj_t) (BgL_auxz00_3590);
				}
			}
		}
	}



/* coerce!-jump-ex-it3463 */
	obj_t BGl_coercez12zd2jumpzd2exzd2it3463zc0zzcoerce_coercez00(obj_t
		BgL_envz00_3263, obj_t BgL_nodez00_3264, obj_t BgL_callerz00_3265,
		obj_t BgL_toz00_3266, obj_t BgL_safez00_3267)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 414 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1745;

				obj_t BgL_callerz00_1746;

				obj_t BgL_toz00_1747;

				obj_t BgL_safez00_1748;

				{	/* Coerce/coerce.scm 415 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3622;

					BgL_nodez00_1745 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_3264);
					BgL_callerz00_1746 = BgL_callerz00_3265;
					BgL_toz00_1747 = BgL_toz00_3266;
					BgL_safez00_1748 = BgL_safez00_3267;
					{	/* Coerce/coerce.scm 416 */
						BgL_nodez00_bglt BgL_arg3749z00_1752;

						{	/* Coerce/coerce.scm 416 */
							BgL_nodez00_bglt BgL_arg3750z00_1753;

							BgL_arg3750z00_1753 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1745))->
								BgL_exitz00);
							{	/* Coerce/coerce.scm 416 */
								BgL_nodez00_bglt BgL_res3866z00_3101;

								{	/* Coerce/coerce.scm 416 */
									BgL_typez00_bglt BgL_toz00_3074;

									bool_t BgL_safez00_3075;

									BgL_toz00_3074 =
										(BgL_typez00_bglt) (BGl_za2exitza2z00zztype_cachez00);
									BgL_safez00_3075 = CBOOL(BgL_safez00_1748);
									{	/* Coerce/coerce.scm 416 */
										obj_t BgL_method3417z00_3076;

										{	/* Coerce/coerce.scm 416 */
											BgL_objectz00_bglt BgL_objz00_3077;

											BgL_objz00_3077 =
												(BgL_objectz00_bglt) (BgL_arg3750z00_1753);
											{	/* Coerce/coerce.scm 416 */
												long BgL_objzd2classzd2numz00_3078;

												BgL_objzd2classzd2numz00_3078 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_3077);
												{	/* Coerce/coerce.scm 416 */
													obj_t BgL_arg2422z00_3079;

													BgL_arg2422z00_3079 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 416 */
														obj_t BgL_arrayz00_3081;

														int BgL_offsetz00_3082;

														BgL_arrayz00_3081 = BgL_arg2422z00_3079;
														BgL_offsetz00_3082 =
															(int) (BgL_objzd2classzd2numz00_3078);
														{	/* Coerce/coerce.scm 416 */
															long BgL_offsetz00_3083;

															BgL_offsetz00_3083 =
																((long) (BgL_offsetz00_3082) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 416 */
																long BgL_modz00_3084;

																{	/* Coerce/coerce.scm 416 */
																	int BgL_arg2424z00_3085;

																	BgL_arg2424z00_3085 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 416 */
																		long BgL_auxz00_3634;

																		BgL_auxz00_3634 =
																			(long) (BgL_arg2424z00_3085);
																		BgL_modz00_3084 =
																			(BgL_offsetz00_3083 / BgL_auxz00_3634);
																}}
																{	/* Coerce/coerce.scm 416 */
																	long BgL_restz00_3086;

																	{	/* Coerce/coerce.scm 416 */
																		int BgL_arg2423z00_3087;

																		BgL_arg2423z00_3087 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 416 */
																			long BgL_auxz00_3638;

																			BgL_auxz00_3638 =
																				(long) (BgL_arg2423z00_3087);
																			BgL_restz00_3086 =
																				(BgL_offsetz00_3083 % BgL_auxz00_3638);
																	}}
																	{	/* Coerce/coerce.scm 416 */

																		BgL_method3417z00_3076 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_3081,
																				(int) (BgL_modz00_3084)),
																			(int) (BgL_restz00_3086));
										}}}}}}}}
										BgL_res3866z00_3101 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_3076) (BgL_method3417z00_3076,
												(obj_t) (BgL_arg3750z00_1753), BgL_callerz00_1746,
												(obj_t) (BgL_toz00_3074), BBOOL(BgL_safez00_3075),
												BEOA));
								}}
								BgL_arg3749z00_1752 = BgL_res3866z00_3101;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1745))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) BgL_arg3749z00_1752), BUNSPEC);
					}
					{	/* Coerce/coerce.scm 417 */
						BgL_nodez00_bglt BgL_arg3751z00_1754;

						{	/* Coerce/coerce.scm 417 */
							BgL_nodez00_bglt BgL_arg3752z00_1755;

							BgL_arg3752z00_1755 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1745))->
								BgL_valuez00);
							{	/* Coerce/coerce.scm 417 */
								BgL_nodez00_bglt BgL_res3869z00_3134;

								{	/* Coerce/coerce.scm 417 */
									BgL_typez00_bglt BgL_toz00_3107;

									bool_t BgL_safez00_3108;

									BgL_toz00_3107 = (BgL_typez00_bglt) (BgL_toz00_1747);
									BgL_safez00_3108 = CBOOL(BgL_safez00_1748);
									{	/* Coerce/coerce.scm 417 */
										obj_t BgL_method3417z00_3109;

										{	/* Coerce/coerce.scm 417 */
											BgL_objectz00_bglt BgL_objz00_3110;

											BgL_objz00_3110 =
												(BgL_objectz00_bglt) (BgL_arg3752z00_1755);
											{	/* Coerce/coerce.scm 417 */
												long BgL_objzd2classzd2numz00_3111;

												BgL_objzd2classzd2numz00_3111 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_3110);
												{	/* Coerce/coerce.scm 417 */
													obj_t BgL_arg2422z00_3112;

													BgL_arg2422z00_3112 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 417 */
														obj_t BgL_arrayz00_3114;

														int BgL_offsetz00_3115;

														BgL_arrayz00_3114 = BgL_arg2422z00_3112;
														BgL_offsetz00_3115 =
															(int) (BgL_objzd2classzd2numz00_3111);
														{	/* Coerce/coerce.scm 417 */
															long BgL_offsetz00_3116;

															BgL_offsetz00_3116 =
																((long) (BgL_offsetz00_3115) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 417 */
																long BgL_modz00_3117;

																{	/* Coerce/coerce.scm 417 */
																	int BgL_arg2424z00_3118;

																	BgL_arg2424z00_3118 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 417 */
																		long BgL_auxz00_3663;

																		BgL_auxz00_3663 =
																			(long) (BgL_arg2424z00_3118);
																		BgL_modz00_3117 =
																			(BgL_offsetz00_3116 / BgL_auxz00_3663);
																}}
																{	/* Coerce/coerce.scm 417 */
																	long BgL_restz00_3119;

																	{	/* Coerce/coerce.scm 417 */
																		int BgL_arg2423z00_3120;

																		BgL_arg2423z00_3120 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 417 */
																			long BgL_auxz00_3667;

																			BgL_auxz00_3667 =
																				(long) (BgL_arg2423z00_3120);
																			BgL_restz00_3119 =
																				(BgL_offsetz00_3116 % BgL_auxz00_3667);
																	}}
																	{	/* Coerce/coerce.scm 417 */

																		BgL_method3417z00_3109 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_3114,
																				(int) (BgL_modz00_3117)),
																			(int) (BgL_restz00_3119));
										}}}}}}}}
										BgL_res3869z00_3134 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_3109) (BgL_method3417z00_3109,
												(obj_t) (BgL_arg3752z00_1755), BgL_callerz00_1746,
												(obj_t) (BgL_toz00_3107), BBOOL(BgL_safez00_3108),
												BEOA));
								}}
								BgL_arg3751z00_1754 = BgL_res3869z00_3134;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1745))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3751z00_1754), BUNSPEC);
					}
					BgL_auxz00_3622 = BgL_nodez00_1745;
					return (obj_t) (BgL_auxz00_3622);
				}
			}
		}
	}



/* coerce!-set-ex-it3461 */
	obj_t BGl_coercez12zd2setzd2exzd2it3461zc0zzcoerce_coercez00(obj_t
		BgL_envz00_3268, obj_t BgL_nodez00_3269, obj_t BgL_callerz00_3270,
		obj_t BgL_toz00_3271, obj_t BgL_safez00_3272)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 404 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1729;

				obj_t BgL_callerz00_1730;

				obj_t BgL_toz00_1731;

				obj_t BgL_safez00_1732;

				{	/* Coerce/coerce.scm 405 */
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_3683;

					BgL_nodez00_1729 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_3269);
					BgL_callerz00_1730 = BgL_callerz00_3270;
					BgL_toz00_1731 = BgL_toz00_3271;
					BgL_safez00_1732 = BgL_safez00_3272;
					{	/* Coerce/coerce.scm 406 */
						BgL_nodez00_bglt BgL_arg3740z00_1736;

						{	/* Coerce/coerce.scm 406 */
							BgL_varz00_bglt BgL_arg3741z00_1737;

							BgL_arg3741z00_1737 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1729))->
								BgL_varz00);
							{	/* Coerce/coerce.scm 406 */
								BgL_nodez00_bglt BgL_res3860z00_3033;

								{	/* Coerce/coerce.scm 406 */
									BgL_nodez00_bglt BgL_nodez00_3004;

									BgL_typez00_bglt BgL_toz00_3006;

									bool_t BgL_safez00_3007;

									BgL_nodez00_3004 = (BgL_nodez00_bglt) (BgL_arg3741z00_1737);
									BgL_toz00_3006 =
										(BgL_typez00_bglt) (BGl_za2exitza2z00zztype_cachez00);
									BgL_safez00_3007 = CBOOL(BgL_safez00_1732);
									{	/* Coerce/coerce.scm 406 */
										obj_t BgL_method3417z00_3008;

										{	/* Coerce/coerce.scm 406 */
											BgL_objectz00_bglt BgL_objz00_3009;

											BgL_objz00_3009 = (BgL_objectz00_bglt) (BgL_nodez00_3004);
											{	/* Coerce/coerce.scm 406 */
												long BgL_objzd2classzd2numz00_3010;

												BgL_objzd2classzd2numz00_3010 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_3009);
												{	/* Coerce/coerce.scm 406 */
													obj_t BgL_arg2422z00_3011;

													BgL_arg2422z00_3011 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 406 */
														obj_t BgL_arrayz00_3013;

														int BgL_offsetz00_3014;

														BgL_arrayz00_3013 = BgL_arg2422z00_3011;
														BgL_offsetz00_3014 =
															(int) (BgL_objzd2classzd2numz00_3010);
														{	/* Coerce/coerce.scm 406 */
															long BgL_offsetz00_3015;

															BgL_offsetz00_3015 =
																((long) (BgL_offsetz00_3014) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 406 */
																long BgL_modz00_3016;

																{	/* Coerce/coerce.scm 406 */
																	int BgL_arg2424z00_3017;

																	BgL_arg2424z00_3017 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 406 */
																		long BgL_auxz00_3696;

																		BgL_auxz00_3696 =
																			(long) (BgL_arg2424z00_3017);
																		BgL_modz00_3016 =
																			(BgL_offsetz00_3015 / BgL_auxz00_3696);
																}}
																{	/* Coerce/coerce.scm 406 */
																	long BgL_restz00_3018;

																	{	/* Coerce/coerce.scm 406 */
																		int BgL_arg2423z00_3019;

																		BgL_arg2423z00_3019 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 406 */
																			long BgL_auxz00_3700;

																			BgL_auxz00_3700 =
																				(long) (BgL_arg2423z00_3019);
																			BgL_restz00_3018 =
																				(BgL_offsetz00_3015 % BgL_auxz00_3700);
																	}}
																	{	/* Coerce/coerce.scm 406 */

																		BgL_method3417z00_3008 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_3013,
																				(int) (BgL_modz00_3016)),
																			(int) (BgL_restz00_3018));
										}}}}}}}}
										BgL_res3860z00_3033 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_3008) (BgL_method3417z00_3008,
												(obj_t) (BgL_nodez00_3004), BgL_callerz00_1730,
												(obj_t) (BgL_toz00_3006), BBOOL(BgL_safez00_3007),
												BEOA));
								}}
								BgL_arg3740z00_1736 = BgL_res3860z00_3033;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3713;

							BgL_auxz00_3713 = (BgL_varz00_bglt) (BgL_arg3740z00_1736);
							((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1729))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_3713), BUNSPEC);
					}}
					{	/* Coerce/coerce.scm 407 */
						BgL_variablez00_bglt BgL_arg3743z00_1739;

						{	/* Coerce/coerce.scm 407 */
							BgL_varz00_bglt BgL_obj2254z00_3037;

							BgL_obj2254z00_3037 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1729))->
								BgL_varz00);
							BgL_arg3743z00_1739 =
								(((BgL_varz00_bglt) CREF(BgL_obj2254z00_3037))->
								BgL_variablez00);
						}
						BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
							BgL_arg3743z00_1739);
					}
					{	/* Coerce/coerce.scm 408 */
						BgL_nodez00_bglt BgL_arg3746z00_1741;

						{	/* Coerce/coerce.scm 408 */
							BgL_nodez00_bglt BgL_arg3747z00_1742;

							BgL_arg3747z00_1742 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1729))->
								BgL_bodyz00);
							{	/* Coerce/coerce.scm 408 */
								BgL_nodez00_bglt BgL_res3863z00_3068;

								{	/* Coerce/coerce.scm 408 */
									BgL_typez00_bglt BgL_toz00_3041;

									bool_t BgL_safez00_3042;

									BgL_toz00_3041 = (BgL_typez00_bglt) (BgL_toz00_1731);
									BgL_safez00_3042 = CBOOL(BgL_safez00_1732);
									{	/* Coerce/coerce.scm 408 */
										obj_t BgL_method3417z00_3043;

										{	/* Coerce/coerce.scm 408 */
											BgL_objectz00_bglt BgL_objz00_3044;

											BgL_objz00_3044 =
												(BgL_objectz00_bglt) (BgL_arg3747z00_1742);
											{	/* Coerce/coerce.scm 408 */
												long BgL_objzd2classzd2numz00_3045;

												BgL_objzd2classzd2numz00_3045 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_3044);
												{	/* Coerce/coerce.scm 408 */
													obj_t BgL_arg2422z00_3046;

													BgL_arg2422z00_3046 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 408 */
														obj_t BgL_arrayz00_3048;

														int BgL_offsetz00_3049;

														BgL_arrayz00_3048 = BgL_arg2422z00_3046;
														BgL_offsetz00_3049 =
															(int) (BgL_objzd2classzd2numz00_3045);
														{	/* Coerce/coerce.scm 408 */
															long BgL_offsetz00_3050;

															BgL_offsetz00_3050 =
																((long) (BgL_offsetz00_3049) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 408 */
																long BgL_modz00_3051;

																{	/* Coerce/coerce.scm 408 */
																	int BgL_arg2424z00_3052;

																	BgL_arg2424z00_3052 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 408 */
																		long BgL_auxz00_3730;

																		BgL_auxz00_3730 =
																			(long) (BgL_arg2424z00_3052);
																		BgL_modz00_3051 =
																			(BgL_offsetz00_3050 / BgL_auxz00_3730);
																}}
																{	/* Coerce/coerce.scm 408 */
																	long BgL_restz00_3053;

																	{	/* Coerce/coerce.scm 408 */
																		int BgL_arg2423z00_3054;

																		BgL_arg2423z00_3054 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 408 */
																			long BgL_auxz00_3734;

																			BgL_auxz00_3734 =
																				(long) (BgL_arg2423z00_3054);
																			BgL_restz00_3053 =
																				(BgL_offsetz00_3050 % BgL_auxz00_3734);
																	}}
																	{	/* Coerce/coerce.scm 408 */

																		BgL_method3417z00_3043 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_3048,
																				(int) (BgL_modz00_3051)),
																			(int) (BgL_restz00_3053));
										}}}}}}}}
										BgL_res3863z00_3068 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_3043) (BgL_method3417z00_3043,
												(obj_t) (BgL_arg3747z00_1742), BgL_callerz00_1730,
												(obj_t) (BgL_toz00_3041), BBOOL(BgL_safez00_3042),
												BEOA));
								}}
								BgL_arg3746z00_1741 = BgL_res3863z00_3068;
						}}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1729))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3746z00_1741), BUNSPEC);
					}
					BgL_auxz00_3683 = BgL_nodez00_1729;
					return (obj_t) (BgL_auxz00_3683);
				}
			}
		}
	}



/* coerce!-let-var3459 */
	obj_t BGl_coercez12zd2letzd2var3459z12zzcoerce_coercez00(obj_t
		BgL_envz00_3273, obj_t BgL_nodez00_3274, obj_t BgL_callerz00_3275,
		obj_t BgL_toz00_3276, obj_t BgL_safez00_3277)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 385 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1704;

				obj_t BgL_callerz00_1705;

				obj_t BgL_toz00_1706;

				obj_t BgL_safez00_1707;

				{	/* Tools/trace.sch 53 */
					BgL_letzd2varzd2_bglt BgL_auxz00_3750;

					BgL_nodez00_1704 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_3274);
					BgL_callerz00_1705 = BgL_callerz00_3275;
					BgL_toz00_1706 = BgL_toz00_3276;
					BgL_safez00_1707 = BgL_safez00_3277;
					BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
					{	/* Coerce/coerce.scm 390 */
						obj_t BgL_g3415z00_1711;

						BgL_g3415z00_1711 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1704))->
							BgL_bindingsz00);
						{
							obj_t BgL_l3413z00_1713;

							BgL_l3413z00_1713 = BgL_g3415z00_1711;
						BgL_zc3anonymousza33727ze3z83_1714:
							if (PAIRP(BgL_l3413z00_1713))
								{	/* Coerce/coerce.scm 390 */
									{	/* Coerce/coerce.scm 395 */
										obj_t BgL_bindingz00_1716;

										BgL_bindingz00_1716 = CAR(BgL_l3413z00_1713);
										{	/* Coerce/coerce.scm 391 */
											obj_t BgL_arg3731z00_1718;

											BgL_arg3731z00_1718 = CAR(BgL_bindingz00_1716);
											BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
												(BgL_variablez00_bglt) (BgL_arg3731z00_1718));
										}
										{	/* Coerce/coerce.scm 392 */
											BgL_nodez00_bglt BgL_arg3732z00_1719;

											{	/* Coerce/coerce.scm 392 */
												obj_t BgL_arg3733z00_1720;

												BgL_typez00_bglt BgL_arg3734z00_1721;

												BgL_arg3733z00_1720 = CDR(BgL_bindingz00_1716);
												{	/* Coerce/coerce.scm 394 */
													BgL_variablez00_bglt BgL_obj1707z00_2936;

													{	/* Coerce/coerce.scm 394 */
														obj_t BgL_pairz00_2935;

														BgL_pairz00_2935 = BgL_bindingz00_1716;
														BgL_obj1707z00_2936 =
															(BgL_variablez00_bglt) (CAR(BgL_pairz00_2935));
													}
													BgL_arg3734z00_1721 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1707z00_2936))->BgL_typez00);
												}
												{	/* Coerce/coerce.scm 392 */
													BgL_nodez00_bglt BgL_res3854z00_2966;

													{	/* Coerce/coerce.scm 392 */
														BgL_nodez00_bglt BgL_nodez00_2937;

														bool_t BgL_safez00_2940;

														BgL_nodez00_2937 =
															(BgL_nodez00_bglt) (BgL_arg3733z00_1720);
														BgL_safez00_2940 = CBOOL(BgL_safez00_1707);
														{	/* Coerce/coerce.scm 392 */
															obj_t BgL_method3417z00_2941;

															{	/* Coerce/coerce.scm 392 */
																BgL_objectz00_bglt BgL_objz00_2942;

																BgL_objz00_2942 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2937);
																{	/* Coerce/coerce.scm 392 */
																	long BgL_objzd2classzd2numz00_2943;

																	BgL_objzd2classzd2numz00_2943 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2942);
																	{	/* Coerce/coerce.scm 392 */
																		obj_t BgL_arg2422z00_2944;

																		BgL_arg2422z00_2944 =
																			PROCEDURE_REF
																			(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																			(int) (((long) 1)));
																		{	/* Coerce/coerce.scm 392 */
																			obj_t BgL_arrayz00_2946;

																			int BgL_offsetz00_2947;

																			BgL_arrayz00_2946 = BgL_arg2422z00_2944;
																			BgL_offsetz00_2947 =
																				(int) (BgL_objzd2classzd2numz00_2943);
																			{	/* Coerce/coerce.scm 392 */
																				long BgL_offsetz00_2948;

																				BgL_offsetz00_2948 =
																					(
																					(long) (BgL_offsetz00_2947) -
																					OBJECT_TYPE);
																				{	/* Coerce/coerce.scm 392 */
																					long BgL_modz00_2949;

																					{	/* Coerce/coerce.scm 392 */
																						int BgL_arg2424z00_2950;

																						BgL_arg2424z00_2950 =
																							(int) (((long) 8));
																						{	/* Coerce/coerce.scm 392 */
																							long BgL_auxz00_3773;

																							BgL_auxz00_3773 =
																								(long) (BgL_arg2424z00_2950);
																							BgL_modz00_2949 =
																								(BgL_offsetz00_2948 /
																								BgL_auxz00_3773);
																					}}
																					{	/* Coerce/coerce.scm 392 */
																						long BgL_restz00_2951;

																						{	/* Coerce/coerce.scm 392 */
																							int BgL_arg2423z00_2952;

																							BgL_arg2423z00_2952 =
																								(int) (((long) 8));
																							{	/* Coerce/coerce.scm 392 */
																								long BgL_auxz00_3777;

																								BgL_auxz00_3777 =
																									(long) (BgL_arg2423z00_2952);
																								BgL_restz00_2951 =
																									(BgL_offsetz00_2948 %
																									BgL_auxz00_3777);
																						}}
																						{	/* Coerce/coerce.scm 392 */

																							BgL_method3417z00_2941 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2946,
																									(int) (BgL_modz00_2949)),
																								(int) (BgL_restz00_2951));
															}}}}}}}}
															BgL_res3854z00_2966 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3417z00_2941)
																(BgL_method3417z00_2941,
																	(obj_t) (BgL_nodez00_2937),
																	BgL_callerz00_1705,
																	(obj_t) (BgL_arg3734z00_1721),
																	BBOOL(BgL_safez00_2940), BEOA));
													}}
													BgL_arg3732z00_1719 = BgL_res3854z00_2966;
											}}
											{	/* Coerce/coerce.scm 392 */
												obj_t BgL_auxz00_3790;

												BgL_auxz00_3790 = (obj_t) (BgL_arg3732z00_1719);
												SET_CDR(BgL_bindingz00_1716, BgL_auxz00_3790);
									}}}
									{
										obj_t BgL_l3413z00_3793;

										BgL_l3413z00_3793 = CDR(BgL_l3413z00_1713);
										BgL_l3413z00_1713 = BgL_l3413z00_3793;
										goto BgL_zc3anonymousza33727ze3z83_1714;
									}
								}
							else
								{	/* Coerce/coerce.scm 390 */
									((bool_t) 1);
								}
						}
					}
					{	/* Coerce/coerce.scm 397 */
						BgL_nodez00_bglt BgL_arg3737z00_1725;

						{	/* Coerce/coerce.scm 397 */
							BgL_nodez00_bglt BgL_arg3738z00_1726;

							BgL_arg3738z00_1726 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1704))->BgL_bodyz00);
							{	/* Coerce/coerce.scm 397 */
								BgL_nodez00_bglt BgL_res3857z00_3000;

								{	/* Coerce/coerce.scm 397 */
									BgL_typez00_bglt BgL_toz00_2973;

									bool_t BgL_safez00_2974;

									BgL_toz00_2973 = (BgL_typez00_bglt) (BgL_toz00_1706);
									BgL_safez00_2974 = CBOOL(BgL_safez00_1707);
									{	/* Coerce/coerce.scm 397 */
										obj_t BgL_method3417z00_2975;

										{	/* Coerce/coerce.scm 397 */
											BgL_objectz00_bglt BgL_objz00_2976;

											BgL_objz00_2976 =
												(BgL_objectz00_bglt) (BgL_arg3738z00_1726);
											{	/* Coerce/coerce.scm 397 */
												long BgL_objzd2classzd2numz00_2977;

												BgL_objzd2classzd2numz00_2977 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2976);
												{	/* Coerce/coerce.scm 397 */
													obj_t BgL_arg2422z00_2978;

													BgL_arg2422z00_2978 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 397 */
														obj_t BgL_arrayz00_2980;

														int BgL_offsetz00_2981;

														BgL_arrayz00_2980 = BgL_arg2422z00_2978;
														BgL_offsetz00_2981 =
															(int) (BgL_objzd2classzd2numz00_2977);
														{	/* Coerce/coerce.scm 397 */
															long BgL_offsetz00_2982;

															BgL_offsetz00_2982 =
																((long) (BgL_offsetz00_2981) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 397 */
																long BgL_modz00_2983;

																{	/* Coerce/coerce.scm 397 */
																	int BgL_arg2424z00_2984;

																	BgL_arg2424z00_2984 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 397 */
																		long BgL_auxz00_3806;

																		BgL_auxz00_3806 =
																			(long) (BgL_arg2424z00_2984);
																		BgL_modz00_2983 =
																			(BgL_offsetz00_2982 / BgL_auxz00_3806);
																}}
																{	/* Coerce/coerce.scm 397 */
																	long BgL_restz00_2985;

																	{	/* Coerce/coerce.scm 397 */
																		int BgL_arg2423z00_2986;

																		BgL_arg2423z00_2986 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 397 */
																			long BgL_auxz00_3810;

																			BgL_auxz00_3810 =
																				(long) (BgL_arg2423z00_2986);
																			BgL_restz00_2985 =
																				(BgL_offsetz00_2982 % BgL_auxz00_3810);
																	}}
																	{	/* Coerce/coerce.scm 397 */

																		BgL_method3417z00_2975 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2980,
																				(int) (BgL_modz00_2983)),
																			(int) (BgL_restz00_2985));
										}}}}}}}}
										BgL_res3857z00_3000 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2975) (BgL_method3417z00_2975,
												(obj_t) (BgL_arg3738z00_1726), BgL_callerz00_1705,
												(obj_t) (BgL_toz00_2973), BBOOL(BgL_safez00_2974),
												BEOA));
								}}
								BgL_arg3737z00_1725 = BgL_res3857z00_3000;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1704))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3737z00_1725), BUNSPEC);
					}
					BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
					BgL_auxz00_3750 = BgL_nodez00_1704;
					return (obj_t) (BgL_auxz00_3750);
				}
			}
		}
	}



/* coerce!-let-fun3457 */
	obj_t BGl_coercez12zd2letzd2fun3457z12zzcoerce_coercez00(obj_t
		BgL_envz00_3278, obj_t BgL_nodez00_3279, obj_t BgL_callerz00_3280,
		obj_t BgL_toz00_3281, obj_t BgL_safez00_3282)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 374 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1684;

				obj_t BgL_callerz00_1685;

				obj_t BgL_toz00_1686;

				obj_t BgL_safez00_1687;

				{	/* Coerce/coerce.scm 375 */
					BgL_letzd2funzd2_bglt BgL_auxz00_3827;

					BgL_nodez00_1684 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_3279);
					BgL_callerz00_1685 = BgL_callerz00_3280;
					BgL_toz00_1686 = BgL_toz00_3281;
					BgL_safez00_1687 = BgL_safez00_3282;
					BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
					{	/* Coerce/coerce.scm 377 */
						obj_t BgL_g3412z00_1691;

						BgL_g3412z00_1691 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1684))->BgL_localsz00);
						{
							obj_t BgL_l3410z00_1693;

							BgL_l3410z00_1693 = BgL_g3412z00_1691;
						BgL_zc3anonymousza33720ze3z83_1694:
							if (PAIRP(BgL_l3410z00_1693))
								{	/* Coerce/coerce.scm 377 */
									{	/* Coerce/coerce.scm 377 */
										obj_t BgL_fz00_1696;

										BgL_fz00_1696 = CAR(BgL_l3410z00_1693);
										{	/* Coerce/coerce.scm 377 */
											bool_t BgL_arg3722z00_1697;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Coerce/coerce.scm 377 */
													BgL_arg3722z00_1697 = ((bool_t) 0);
												}
											else
												{	/* Coerce/coerce.scm 377 */
													BgL_arg3722z00_1697 = ((bool_t) 1);
												}
											BGl_coercezd2functionz12zc0zzcoerce_coercez00(
												(BgL_variablez00_bglt) (BgL_fz00_1696),
												BgL_arg3722z00_1697);
										}
									}
									{
										obj_t BgL_l3410z00_3837;

										BgL_l3410z00_3837 = CDR(BgL_l3410z00_1693);
										BgL_l3410z00_1693 = BgL_l3410z00_3837;
										goto BgL_zc3anonymousza33720ze3z83_1694;
									}
								}
							else
								{	/* Coerce/coerce.scm 377 */
									((bool_t) 1);
								}
						}
					}
					{	/* Coerce/coerce.scm 378 */
						BgL_nodez00_bglt BgL_arg3724z00_1700;

						{	/* Coerce/coerce.scm 378 */
							BgL_nodez00_bglt BgL_arg3725z00_1701;

							BgL_arg3725z00_1701 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1684))->BgL_bodyz00);
							{	/* Coerce/coerce.scm 378 */
								BgL_nodez00_bglt BgL_res3851z00_2927;

								{	/* Coerce/coerce.scm 378 */
									BgL_typez00_bglt BgL_toz00_2900;

									bool_t BgL_safez00_2901;

									BgL_toz00_2900 = (BgL_typez00_bglt) (BgL_toz00_1686);
									BgL_safez00_2901 = CBOOL(BgL_safez00_1687);
									{	/* Coerce/coerce.scm 378 */
										obj_t BgL_method3417z00_2902;

										{	/* Coerce/coerce.scm 378 */
											BgL_objectz00_bglt BgL_objz00_2903;

											BgL_objz00_2903 =
												(BgL_objectz00_bglt) (BgL_arg3725z00_1701);
											{	/* Coerce/coerce.scm 378 */
												long BgL_objzd2classzd2numz00_2904;

												BgL_objzd2classzd2numz00_2904 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2903);
												{	/* Coerce/coerce.scm 378 */
													obj_t BgL_arg2422z00_2905;

													BgL_arg2422z00_2905 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 378 */
														obj_t BgL_arrayz00_2907;

														int BgL_offsetz00_2908;

														BgL_arrayz00_2907 = BgL_arg2422z00_2905;
														BgL_offsetz00_2908 =
															(int) (BgL_objzd2classzd2numz00_2904);
														{	/* Coerce/coerce.scm 378 */
															long BgL_offsetz00_2909;

															BgL_offsetz00_2909 =
																((long) (BgL_offsetz00_2908) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 378 */
																long BgL_modz00_2910;

																{	/* Coerce/coerce.scm 378 */
																	int BgL_arg2424z00_2911;

																	BgL_arg2424z00_2911 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 378 */
																		long BgL_auxz00_3850;

																		BgL_auxz00_3850 =
																			(long) (BgL_arg2424z00_2911);
																		BgL_modz00_2910 =
																			(BgL_offsetz00_2909 / BgL_auxz00_3850);
																}}
																{	/* Coerce/coerce.scm 378 */
																	long BgL_restz00_2912;

																	{	/* Coerce/coerce.scm 378 */
																		int BgL_arg2423z00_2913;

																		BgL_arg2423z00_2913 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 378 */
																			long BgL_auxz00_3854;

																			BgL_auxz00_3854 =
																				(long) (BgL_arg2423z00_2913);
																			BgL_restz00_2912 =
																				(BgL_offsetz00_2909 % BgL_auxz00_3854);
																	}}
																	{	/* Coerce/coerce.scm 378 */

																		BgL_method3417z00_2902 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2907,
																				(int) (BgL_modz00_2910)),
																			(int) (BgL_restz00_2912));
										}}}}}}}}
										BgL_res3851z00_2927 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2902) (BgL_method3417z00_2902,
												(obj_t) (BgL_arg3725z00_1701), BgL_callerz00_1685,
												(obj_t) (BgL_toz00_2900), BBOOL(BgL_safez00_2901),
												BEOA));
								}}
								BgL_arg3724z00_1700 = BgL_res3851z00_2927;
						}}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1684))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3724z00_1700), BUNSPEC);
					}
					BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
					BgL_auxz00_3827 = BgL_nodez00_1684;
					return (obj_t) (BgL_auxz00_3827);
				}
			}
		}
	}



/* coerce!-select3455 */
	obj_t BGl_coercez12zd2select3455zc0zzcoerce_coercez00(obj_t BgL_envz00_3283,
		obj_t BgL_nodez00_3284, obj_t BgL_callerz00_3285, obj_t BgL_toz00_3286,
		obj_t BgL_safez00_3287)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 343 */
			{
				BgL_selectz00_bglt BgL_nodez00_1655;

				obj_t BgL_callerz00_1656;

				obj_t BgL_toz00_1657;

				obj_t BgL_safez00_1658;

				BgL_nodez00_1655 = (BgL_selectz00_bglt) (BgL_nodez00_3284);
				BgL_callerz00_1656 = BgL_callerz00_3285;
				BgL_toz00_1657 = BgL_toz00_3286;
				BgL_safez00_1658 = BgL_safez00_3287;
				{
					BgL_typez00_bglt BgL_auxz00_3873;

					BgL_nodez00_bglt BgL_auxz00_3871;

					BgL_auxz00_3873 = (BgL_typez00_bglt) (BgL_toz00_1657);
					BgL_auxz00_3871 = (BgL_nodez00_bglt) (BgL_nodez00_1655);
					((((BgL_nodez00_bglt) CREF(BgL_auxz00_3871))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3873), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 346 */
					obj_t BgL_clausesz00_1662;

					BgL_typez00_bglt BgL_testzd2typezd2_1663;

					BgL_typez00_bglt BgL_testzd2nodezd2typez00_1664;

					BgL_clausesz00_1662 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1655))->BgL_clausesz00);
					BgL_testzd2typezd2_1663 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1655))->BgL_itemzd2typezd2);
					{	/* Coerce/coerce.scm 348 */
						BgL_nodez00_bglt BgL_arg3718z00_1681;

						BgL_arg3718z00_1681 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1655))->BgL_testz00);
						BgL_testzd2nodezd2typez00_1664 =
							BGl_typeofz00zztype_typeofz00(BgL_arg3718z00_1681);
					}
					if (BGl_coercerzd2existszf3z21zztype_coercionz00
						(BgL_testzd2nodezd2typez00_1664, BgL_testzd2typezd2_1663))
						{	/* Coerce/coerce.scm 356 */
							{	/* Coerce/coerce.scm 362 */
								BgL_nodez00_bglt BgL_arg3707z00_1666;

								{	/* Coerce/coerce.scm 362 */
									BgL_nodez00_bglt BgL_arg3708z00_1667;

									BgL_arg3708z00_1667 =
										(((BgL_selectz00_bglt) CREF(BgL_nodez00_1655))->
										BgL_testz00);
									{	/* Coerce/coerce.scm 362 */
										BgL_nodez00_bglt BgL_res3842z00_2821;

										{	/* Coerce/coerce.scm 362 */
											bool_t BgL_safez00_2795;

											BgL_safez00_2795 = CBOOL(BgL_safez00_1658);
											{	/* Coerce/coerce.scm 362 */
												obj_t BgL_method3417z00_2796;

												{	/* Coerce/coerce.scm 362 */
													BgL_objectz00_bglt BgL_objz00_2797;

													BgL_objz00_2797 =
														(BgL_objectz00_bglt) (BgL_arg3708z00_1667);
													{	/* Coerce/coerce.scm 362 */
														long BgL_objzd2classzd2numz00_2798;

														BgL_objzd2classzd2numz00_2798 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_2797);
														{	/* Coerce/coerce.scm 362 */
															obj_t BgL_arg2422z00_2799;

															BgL_arg2422z00_2799 =
																PROCEDURE_REF
																(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																(int) (((long) 1)));
															{	/* Coerce/coerce.scm 362 */
																obj_t BgL_arrayz00_2801;

																int BgL_offsetz00_2802;

																BgL_arrayz00_2801 = BgL_arg2422z00_2799;
																BgL_offsetz00_2802 =
																	(int) (BgL_objzd2classzd2numz00_2798);
																{	/* Coerce/coerce.scm 362 */
																	long BgL_offsetz00_2803;

																	BgL_offsetz00_2803 =
																		((long) (BgL_offsetz00_2802) - OBJECT_TYPE);
																	{	/* Coerce/coerce.scm 362 */
																		long BgL_modz00_2804;

																		{	/* Coerce/coerce.scm 362 */
																			int BgL_arg2424z00_2805;

																			BgL_arg2424z00_2805 = (int) (((long) 8));
																			{	/* Coerce/coerce.scm 362 */
																				long BgL_auxz00_3892;

																				BgL_auxz00_3892 =
																					(long) (BgL_arg2424z00_2805);
																				BgL_modz00_2804 =
																					(BgL_offsetz00_2803 /
																					BgL_auxz00_3892);
																		}}
																		{	/* Coerce/coerce.scm 362 */
																			long BgL_restz00_2806;

																			{	/* Coerce/coerce.scm 362 */
																				int BgL_arg2423z00_2807;

																				BgL_arg2423z00_2807 =
																					(int) (((long) 8));
																				{	/* Coerce/coerce.scm 362 */
																					long BgL_auxz00_3896;

																					BgL_auxz00_3896 =
																						(long) (BgL_arg2423z00_2807);
																					BgL_restz00_2806 =
																						(BgL_offsetz00_2803 %
																						BgL_auxz00_3896);
																			}}
																			{	/* Coerce/coerce.scm 362 */

																				BgL_method3417z00_2796 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_2801,
																						(int) (BgL_modz00_2804)),
																					(int) (BgL_restz00_2806));
												}}}}}}}}
												BgL_res3842z00_2821 =
													(BgL_nodez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3417z00_2796) (BgL_method3417z00_2796,
														(obj_t) (BgL_arg3708z00_1667), BgL_callerz00_1656,
														(obj_t) (BgL_testzd2typezd2_1663),
														BBOOL(BgL_safez00_2795), BEOA));
										}}
										BgL_arg3707z00_1666 = BgL_res3842z00_2821;
								}}
								((((BgL_selectz00_bglt) CREF(BgL_nodez00_1655))->BgL_testz00) =
									((BgL_nodez00_bglt) BgL_arg3707z00_1666), BUNSPEC);
							}
							{
								obj_t BgL_l3408z00_1669;

								BgL_l3408z00_1669 = BgL_clausesz00_1662;
							BgL_zc3anonymousza33709ze3z83_1670:
								if (PAIRP(BgL_l3408z00_1669))
									{	/* Coerce/coerce.scm 363 */
										{	/* Coerce/coerce.scm 364 */
											obj_t BgL_clausez00_1672;

											BgL_clausez00_1672 = CAR(BgL_l3408z00_1669);
											{	/* Coerce/coerce.scm 364 */
												BgL_nodez00_bglt BgL_arg3711z00_1673;

												{	/* Coerce/coerce.scm 364 */
													obj_t BgL_arg3712z00_1674;

													BgL_arg3712z00_1674 = CDR(BgL_clausez00_1672);
													{	/* Coerce/coerce.scm 364 */
														BgL_nodez00_bglt BgL_res3845z00_2856;

														{	/* Coerce/coerce.scm 364 */
															BgL_nodez00_bglt BgL_nodez00_2827;

															BgL_typez00_bglt BgL_toz00_2829;

															bool_t BgL_safez00_2830;

															BgL_nodez00_2827 =
																(BgL_nodez00_bglt) (BgL_arg3712z00_1674);
															BgL_toz00_2829 =
																(BgL_typez00_bglt) (BgL_toz00_1657);
															BgL_safez00_2830 = CBOOL(BgL_safez00_1658);
															{	/* Coerce/coerce.scm 364 */
																obj_t BgL_method3417z00_2831;

																{	/* Coerce/coerce.scm 364 */
																	BgL_objectz00_bglt BgL_objz00_2832;

																	BgL_objz00_2832 =
																		(BgL_objectz00_bglt) (BgL_nodez00_2827);
																	{	/* Coerce/coerce.scm 364 */
																		long BgL_objzd2classzd2numz00_2833;

																		BgL_objzd2classzd2numz00_2833 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_2832);
																		{	/* Coerce/coerce.scm 364 */
																			obj_t BgL_arg2422z00_2834;

																			BgL_arg2422z00_2834 =
																				PROCEDURE_REF
																				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																				(int) (((long) 1)));
																			{	/* Coerce/coerce.scm 364 */
																				obj_t BgL_arrayz00_2836;

																				int BgL_offsetz00_2837;

																				BgL_arrayz00_2836 = BgL_arg2422z00_2834;
																				BgL_offsetz00_2837 =
																					(int) (BgL_objzd2classzd2numz00_2833);
																				{	/* Coerce/coerce.scm 364 */
																					long BgL_offsetz00_2838;

																					BgL_offsetz00_2838 =
																						(
																						(long) (BgL_offsetz00_2837) -
																						OBJECT_TYPE);
																					{	/* Coerce/coerce.scm 364 */
																						long BgL_modz00_2839;

																						{	/* Coerce/coerce.scm 364 */
																							int BgL_arg2424z00_2840;

																							BgL_arg2424z00_2840 =
																								(int) (((long) 8));
																							{	/* Coerce/coerce.scm 364 */
																								long BgL_auxz00_3925;

																								BgL_auxz00_3925 =
																									(long) (BgL_arg2424z00_2840);
																								BgL_modz00_2839 =
																									(BgL_offsetz00_2838 /
																									BgL_auxz00_3925);
																						}}
																						{	/* Coerce/coerce.scm 364 */
																							long BgL_restz00_2841;

																							{	/* Coerce/coerce.scm 364 */
																								int BgL_arg2423z00_2842;

																								BgL_arg2423z00_2842 =
																									(int) (((long) 8));
																								{	/* Coerce/coerce.scm 364 */
																									long BgL_auxz00_3929;

																									BgL_auxz00_3929 =
																										(long)
																										(BgL_arg2423z00_2842);
																									BgL_restz00_2841 =
																										(BgL_offsetz00_2838 %
																										BgL_auxz00_3929);
																							}}
																							{	/* Coerce/coerce.scm 364 */

																								BgL_method3417z00_2831 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_2836,
																										(int) (BgL_modz00_2839)),
																									(int) (BgL_restz00_2841));
																}}}}}}}}
																BgL_res3845z00_2856 =
																	(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																	(BgL_method3417z00_2831)
																	(BgL_method3417z00_2831,
																		(obj_t) (BgL_nodez00_2827),
																		BgL_callerz00_1656,
																		(obj_t) (BgL_toz00_2829),
																		BBOOL(BgL_safez00_2830), BEOA));
														}}
														BgL_arg3711z00_1673 = BgL_res3845z00_2856;
												}}
												{	/* Coerce/coerce.scm 364 */
													obj_t BgL_auxz00_3942;

													BgL_auxz00_3942 = (obj_t) (BgL_arg3711z00_1673);
													SET_CDR(BgL_clausez00_1672, BgL_auxz00_3942);
										}}}
										{
											obj_t BgL_l3408z00_3945;

											BgL_l3408z00_3945 = CDR(BgL_l3408z00_1669);
											BgL_l3408z00_1669 = BgL_l3408z00_3945;
											goto BgL_zc3anonymousza33709ze3z83_1670;
										}
									}
								else
									{	/* Coerce/coerce.scm 363 */
										((bool_t) 1);
									}
							}
							return (obj_t) (BgL_nodez00_1655);
						}
					else
						{	/* Coerce/coerce.scm 357 */
							obj_t BgL_arg3714z00_1677;

							{	/* Coerce/coerce.scm 357 */
								obj_t BgL_arg3715z00_1678;

								obj_t BgL_arg3716z00_1679;

								BgL_nodez00_bglt BgL_arg3717z00_1680;

								{
									BgL_nodez00_bglt BgL_auxz00_3948;

									BgL_auxz00_3948 = (BgL_nodez00_bglt) (BgL_nodez00_1655);
									BgL_arg3715z00_1678 =
										(((BgL_nodez00_bglt) CREF(BgL_auxz00_3948))->BgL_locz00);
								}
								BgL_arg3716z00_1679 =
									(((BgL_typez00_bglt) CREF(BgL_testzd2typezd2_1663))->
									BgL_idz00);
								BgL_arg3717z00_1680 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1655))->BgL_testz00);
								BgL_arg3714z00_1677 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_arg3715z00_1678, BgL_arg3716z00_1679,
									(obj_t) (BgL_arg3717z00_1680));
							}
							{	/* Coerce/coerce.scm 357 */
								BgL_nodez00_bglt BgL_res3848z00_2892;

								{	/* Coerce/coerce.scm 357 */
									BgL_nodez00_bglt BgL_nodez00_2863;

									BgL_typez00_bglt BgL_toz00_2865;

									bool_t BgL_safez00_2866;

									BgL_nodez00_2863 = (BgL_nodez00_bglt) (BgL_arg3714z00_1677);
									BgL_toz00_2865 = (BgL_typez00_bglt) (BgL_toz00_1657);
									BgL_safez00_2866 = CBOOL(BgL_safez00_1658);
									{	/* Coerce/coerce.scm 357 */
										obj_t BgL_method3417z00_2867;

										{	/* Coerce/coerce.scm 357 */
											BgL_objectz00_bglt BgL_objz00_2868;

											BgL_objz00_2868 = (BgL_objectz00_bglt) (BgL_nodez00_2863);
											{	/* Coerce/coerce.scm 357 */
												long BgL_objzd2classzd2numz00_2869;

												BgL_objzd2classzd2numz00_2869 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2868);
												{	/* Coerce/coerce.scm 357 */
													obj_t BgL_arg2422z00_2870;

													BgL_arg2422z00_2870 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 357 */
														obj_t BgL_arrayz00_2872;

														int BgL_offsetz00_2873;

														BgL_arrayz00_2872 = BgL_arg2422z00_2870;
														BgL_offsetz00_2873 =
															(int) (BgL_objzd2classzd2numz00_2869);
														{	/* Coerce/coerce.scm 357 */
															long BgL_offsetz00_2874;

															BgL_offsetz00_2874 =
																((long) (BgL_offsetz00_2873) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 357 */
																long BgL_modz00_2875;

																{	/* Coerce/coerce.scm 357 */
																	int BgL_arg2424z00_2876;

																	BgL_arg2424z00_2876 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 357 */
																		long BgL_auxz00_3966;

																		BgL_auxz00_3966 =
																			(long) (BgL_arg2424z00_2876);
																		BgL_modz00_2875 =
																			(BgL_offsetz00_2874 / BgL_auxz00_3966);
																}}
																{	/* Coerce/coerce.scm 357 */
																	long BgL_restz00_2877;

																	{	/* Coerce/coerce.scm 357 */
																		int BgL_arg2423z00_2878;

																		BgL_arg2423z00_2878 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 357 */
																			long BgL_auxz00_3970;

																			BgL_auxz00_3970 =
																				(long) (BgL_arg2423z00_2878);
																			BgL_restz00_2877 =
																				(BgL_offsetz00_2874 % BgL_auxz00_3970);
																	}}
																	{	/* Coerce/coerce.scm 357 */

																		BgL_method3417z00_2867 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2872,
																				(int) (BgL_modz00_2875)),
																			(int) (BgL_restz00_2877));
										}}}}}}}}
										BgL_res3848z00_2892 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2867) (BgL_method3417z00_2867,
												(obj_t) (BgL_nodez00_2863), BgL_callerz00_1656,
												(obj_t) (BgL_toz00_2865), BBOOL(BgL_safez00_2866),
												BEOA));
								}}
								return (obj_t) (BgL_res3848z00_2892);
							}
						}
				}
			}
		}
	}



/* coerce!-fail3453 */
	obj_t BGl_coercez12zd2fail3453zc0zzcoerce_coercez00(obj_t BgL_envz00_3288,
		obj_t BgL_nodez00_3289, obj_t BgL_callerz00_3290, obj_t BgL_toz00_3291,
		obj_t BgL_safez00_3292)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 333 */
			{
				BgL_failz00_bglt BgL_nodez00_1640;

				obj_t BgL_callerz00_1641;

				obj_t BgL_toz00_1642;

				obj_t BgL_safez00_1643;

				{	/* Coerce/coerce.scm 334 */
					BgL_nodez00_bglt BgL_auxz00_3985;

					BgL_nodez00_1640 = (BgL_failz00_bglt) (BgL_nodez00_3289);
					BgL_callerz00_1641 = BgL_callerz00_3290;
					BgL_toz00_1642 = BgL_toz00_3291;
					BgL_safez00_1643 = BgL_safez00_3292;
					{	/* Coerce/coerce.scm 335 */
						BgL_nodez00_bglt BgL_arg3699z00_1647;

						{	/* Coerce/coerce.scm 335 */
							BgL_nodez00_bglt BgL_arg3700z00_1648;

							BgL_arg3700z00_1648 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1640))->BgL_procz00);
							{	/* Coerce/coerce.scm 335 */
								BgL_nodez00_bglt BgL_res3833z00_2717;

								{	/* Coerce/coerce.scm 335 */
									BgL_typez00_bglt BgL_toz00_2690;

									bool_t BgL_safez00_2691;

									BgL_toz00_2690 =
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
									BgL_safez00_2691 = CBOOL(BgL_safez00_1643);
									{	/* Coerce/coerce.scm 335 */
										obj_t BgL_method3417z00_2692;

										{	/* Coerce/coerce.scm 335 */
											BgL_objectz00_bglt BgL_objz00_2693;

											BgL_objz00_2693 =
												(BgL_objectz00_bglt) (BgL_arg3700z00_1648);
											{	/* Coerce/coerce.scm 335 */
												long BgL_objzd2classzd2numz00_2694;

												BgL_objzd2classzd2numz00_2694 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2693);
												{	/* Coerce/coerce.scm 335 */
													obj_t BgL_arg2422z00_2695;

													BgL_arg2422z00_2695 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 335 */
														obj_t BgL_arrayz00_2697;

														int BgL_offsetz00_2698;

														BgL_arrayz00_2697 = BgL_arg2422z00_2695;
														BgL_offsetz00_2698 =
															(int) (BgL_objzd2classzd2numz00_2694);
														{	/* Coerce/coerce.scm 335 */
															long BgL_offsetz00_2699;

															BgL_offsetz00_2699 =
																((long) (BgL_offsetz00_2698) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 335 */
																long BgL_modz00_2700;

																{	/* Coerce/coerce.scm 335 */
																	int BgL_arg2424z00_2701;

																	BgL_arg2424z00_2701 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 335 */
																		long BgL_auxz00_3997;

																		BgL_auxz00_3997 =
																			(long) (BgL_arg2424z00_2701);
																		BgL_modz00_2700 =
																			(BgL_offsetz00_2699 / BgL_auxz00_3997);
																}}
																{	/* Coerce/coerce.scm 335 */
																	long BgL_restz00_2702;

																	{	/* Coerce/coerce.scm 335 */
																		int BgL_arg2423z00_2703;

																		BgL_arg2423z00_2703 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 335 */
																			long BgL_auxz00_4001;

																			BgL_auxz00_4001 =
																				(long) (BgL_arg2423z00_2703);
																			BgL_restz00_2702 =
																				(BgL_offsetz00_2699 % BgL_auxz00_4001);
																	}}
																	{	/* Coerce/coerce.scm 335 */

																		BgL_method3417z00_2692 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2697,
																				(int) (BgL_modz00_2700)),
																			(int) (BgL_restz00_2702));
										}}}}}}}}
										BgL_res3833z00_2717 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2692) (BgL_method3417z00_2692,
												(obj_t) (BgL_arg3700z00_1648), BgL_callerz00_1641,
												(obj_t) (BgL_toz00_2690), BBOOL(BgL_safez00_2691),
												BEOA));
								}}
								BgL_arg3699z00_1647 = BgL_res3833z00_2717;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1640))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_arg3699z00_1647), BUNSPEC);
					}
					{	/* Coerce/coerce.scm 336 */
						BgL_nodez00_bglt BgL_arg3701z00_1649;

						{	/* Coerce/coerce.scm 336 */
							BgL_nodez00_bglt BgL_arg3702z00_1650;

							BgL_arg3702z00_1650 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1640))->BgL_msgz00);
							{	/* Coerce/coerce.scm 336 */
								BgL_nodez00_bglt BgL_res3836z00_2750;

								{	/* Coerce/coerce.scm 336 */
									BgL_typez00_bglt BgL_toz00_2723;

									bool_t BgL_safez00_2724;

									BgL_toz00_2723 =
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
									BgL_safez00_2724 = CBOOL(BgL_safez00_1643);
									{	/* Coerce/coerce.scm 336 */
										obj_t BgL_method3417z00_2725;

										{	/* Coerce/coerce.scm 336 */
											BgL_objectz00_bglt BgL_objz00_2726;

											BgL_objz00_2726 =
												(BgL_objectz00_bglt) (BgL_arg3702z00_1650);
											{	/* Coerce/coerce.scm 336 */
												long BgL_objzd2classzd2numz00_2727;

												BgL_objzd2classzd2numz00_2727 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2726);
												{	/* Coerce/coerce.scm 336 */
													obj_t BgL_arg2422z00_2728;

													BgL_arg2422z00_2728 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 336 */
														obj_t BgL_arrayz00_2730;

														int BgL_offsetz00_2731;

														BgL_arrayz00_2730 = BgL_arg2422z00_2728;
														BgL_offsetz00_2731 =
															(int) (BgL_objzd2classzd2numz00_2727);
														{	/* Coerce/coerce.scm 336 */
															long BgL_offsetz00_2732;

															BgL_offsetz00_2732 =
																((long) (BgL_offsetz00_2731) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 336 */
																long BgL_modz00_2733;

																{	/* Coerce/coerce.scm 336 */
																	int BgL_arg2424z00_2734;

																	BgL_arg2424z00_2734 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 336 */
																		long BgL_auxz00_4026;

																		BgL_auxz00_4026 =
																			(long) (BgL_arg2424z00_2734);
																		BgL_modz00_2733 =
																			(BgL_offsetz00_2732 / BgL_auxz00_4026);
																}}
																{	/* Coerce/coerce.scm 336 */
																	long BgL_restz00_2735;

																	{	/* Coerce/coerce.scm 336 */
																		int BgL_arg2423z00_2736;

																		BgL_arg2423z00_2736 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 336 */
																			long BgL_auxz00_4030;

																			BgL_auxz00_4030 =
																				(long) (BgL_arg2423z00_2736);
																			BgL_restz00_2735 =
																				(BgL_offsetz00_2732 % BgL_auxz00_4030);
																	}}
																	{	/* Coerce/coerce.scm 336 */

																		BgL_method3417z00_2725 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2730,
																				(int) (BgL_modz00_2733)),
																			(int) (BgL_restz00_2735));
										}}}}}}}}
										BgL_res3836z00_2750 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2725) (BgL_method3417z00_2725,
												(obj_t) (BgL_arg3702z00_1650), BgL_callerz00_1641,
												(obj_t) (BgL_toz00_2723), BBOOL(BgL_safez00_2724),
												BEOA));
								}}
								BgL_arg3701z00_1649 = BgL_res3836z00_2750;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1640))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_arg3701z00_1649), BUNSPEC);
					}
					{	/* Coerce/coerce.scm 337 */
						BgL_nodez00_bglt BgL_arg3703z00_1651;

						{	/* Coerce/coerce.scm 337 */
							BgL_nodez00_bglt BgL_arg3704z00_1652;

							BgL_arg3704z00_1652 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1640))->BgL_objz00);
							{	/* Coerce/coerce.scm 337 */
								BgL_nodez00_bglt BgL_res3839z00_2783;

								{	/* Coerce/coerce.scm 337 */
									BgL_typez00_bglt BgL_toz00_2756;

									bool_t BgL_safez00_2757;

									BgL_toz00_2756 =
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
									BgL_safez00_2757 = CBOOL(BgL_safez00_1643);
									{	/* Coerce/coerce.scm 337 */
										obj_t BgL_method3417z00_2758;

										{	/* Coerce/coerce.scm 337 */
											BgL_objectz00_bglt BgL_objz00_2759;

											BgL_objz00_2759 =
												(BgL_objectz00_bglt) (BgL_arg3704z00_1652);
											{	/* Coerce/coerce.scm 337 */
												long BgL_objzd2classzd2numz00_2760;

												BgL_objzd2classzd2numz00_2760 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2759);
												{	/* Coerce/coerce.scm 337 */
													obj_t BgL_arg2422z00_2761;

													BgL_arg2422z00_2761 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 337 */
														obj_t BgL_arrayz00_2763;

														int BgL_offsetz00_2764;

														BgL_arrayz00_2763 = BgL_arg2422z00_2761;
														BgL_offsetz00_2764 =
															(int) (BgL_objzd2classzd2numz00_2760);
														{	/* Coerce/coerce.scm 337 */
															long BgL_offsetz00_2765;

															BgL_offsetz00_2765 =
																((long) (BgL_offsetz00_2764) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 337 */
																long BgL_modz00_2766;

																{	/* Coerce/coerce.scm 337 */
																	int BgL_arg2424z00_2767;

																	BgL_arg2424z00_2767 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 337 */
																		long BgL_auxz00_4055;

																		BgL_auxz00_4055 =
																			(long) (BgL_arg2424z00_2767);
																		BgL_modz00_2766 =
																			(BgL_offsetz00_2765 / BgL_auxz00_4055);
																}}
																{	/* Coerce/coerce.scm 337 */
																	long BgL_restz00_2768;

																	{	/* Coerce/coerce.scm 337 */
																		int BgL_arg2423z00_2769;

																		BgL_arg2423z00_2769 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 337 */
																			long BgL_auxz00_4059;

																			BgL_auxz00_4059 =
																				(long) (BgL_arg2423z00_2769);
																			BgL_restz00_2768 =
																				(BgL_offsetz00_2765 % BgL_auxz00_4059);
																	}}
																	{	/* Coerce/coerce.scm 337 */

																		BgL_method3417z00_2758 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2763,
																				(int) (BgL_modz00_2766)),
																			(int) (BgL_restz00_2768));
										}}}}}}}}
										BgL_res3839z00_2783 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2758) (BgL_method3417z00_2758,
												(obj_t) (BgL_arg3704z00_1652), BgL_callerz00_1641,
												(obj_t) (BgL_toz00_2756), BBOOL(BgL_safez00_2757),
												BEOA));
								}}
								BgL_arg3703z00_1651 = BgL_res3839z00_2783;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1640))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_arg3703z00_1651), BUNSPEC);
					}
					BgL_auxz00_3985 =
						BGl_convertz12z12zzcoerce_convertz00(
						(BgL_nodez00_bglt) (BgL_nodez00_1640),
						(BgL_typez00_bglt) (BGl_za2magicza2z00zztype_cachez00),
						(BgL_typez00_bglt) (BgL_toz00_1642), CBOOL(BgL_safez00_1643));
					return (obj_t) (BgL_auxz00_3985);
				}
			}
		}
	}



/* coerce!-conditional3451 */
	obj_t BGl_coercez12zd2conditional3451zc0zzcoerce_coercez00(obj_t
		BgL_envz00_3293, obj_t BgL_nodez00_3294, obj_t BgL_callerz00_3295,
		obj_t BgL_toz00_3296, obj_t BgL_safez00_3297)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 253 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1545;

				obj_t BgL_callerz00_1546;

				obj_t BgL_toz00_1547;

				obj_t BgL_safez00_1548;

				BgL_nodez00_1545 = (BgL_conditionalz00_bglt) (BgL_nodez00_3294);
				BgL_callerz00_1546 = BgL_callerz00_3295;
				BgL_toz00_1547 = BgL_toz00_3296;
				BgL_safez00_1548 = BgL_safez00_3297;
				{
					BgL_nodez00_bglt BgL_nodez00_1567;

					BgL_nodez00_bglt BgL_nodez00_1571;

					BgL_nodez00_bglt BgL_nodez00_1612;

					{	/* Coerce/coerce.scm 318 */
						BgL_nodez00_bglt BgL_arg3644z00_1555;

						{	/* Coerce/coerce.scm 318 */
							BgL_nodez00_bglt BgL_arg3645z00_1556;

							BgL_arg3645z00_1556 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->
								BgL_testz00);
							{	/* Coerce/coerce.scm 318 */
								BgL_nodez00_bglt BgL_res3818z00_2501;

								{	/* Coerce/coerce.scm 318 */
									BgL_typez00_bglt BgL_toz00_2474;

									bool_t BgL_safez00_2475;

									BgL_toz00_2474 =
										(BgL_typez00_bglt) (BGl_za2boolza2z00zztype_cachez00);
									BgL_safez00_2475 = CBOOL(BgL_safez00_1548);
									{	/* Coerce/coerce.scm 318 */
										obj_t BgL_method3417z00_2476;

										{	/* Coerce/coerce.scm 318 */
											BgL_objectz00_bglt BgL_objz00_2477;

											BgL_objz00_2477 =
												(BgL_objectz00_bglt) (BgL_arg3645z00_1556);
											{	/* Coerce/coerce.scm 318 */
												long BgL_objzd2classzd2numz00_2478;

												BgL_objzd2classzd2numz00_2478 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2477);
												{	/* Coerce/coerce.scm 318 */
													obj_t BgL_arg2422z00_2479;

													BgL_arg2422z00_2479 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 318 */
														obj_t BgL_arrayz00_2481;

														int BgL_offsetz00_2482;

														BgL_arrayz00_2481 = BgL_arg2422z00_2479;
														BgL_offsetz00_2482 =
															(int) (BgL_objzd2classzd2numz00_2478);
														{	/* Coerce/coerce.scm 318 */
															long BgL_offsetz00_2483;

															BgL_offsetz00_2483 =
																((long) (BgL_offsetz00_2482) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 318 */
																long BgL_modz00_2484;

																{	/* Coerce/coerce.scm 318 */
																	int BgL_arg2424z00_2485;

																	BgL_arg2424z00_2485 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 318 */
																		long BgL_auxz00_4091;

																		BgL_auxz00_4091 =
																			(long) (BgL_arg2424z00_2485);
																		BgL_modz00_2484 =
																			(BgL_offsetz00_2483 / BgL_auxz00_4091);
																}}
																{	/* Coerce/coerce.scm 318 */
																	long BgL_restz00_2486;

																	{	/* Coerce/coerce.scm 318 */
																		int BgL_arg2423z00_2487;

																		BgL_arg2423z00_2487 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 318 */
																			long BgL_auxz00_4095;

																			BgL_auxz00_4095 =
																				(long) (BgL_arg2423z00_2487);
																			BgL_restz00_2486 =
																				(BgL_offsetz00_2483 % BgL_auxz00_4095);
																	}}
																	{	/* Coerce/coerce.scm 318 */

																		BgL_method3417z00_2476 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2481,
																				(int) (BgL_modz00_2484)),
																			(int) (BgL_restz00_2486));
										}}}}}}}}
										BgL_res3818z00_2501 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2476) (BgL_method3417z00_2476,
												(obj_t) (BgL_arg3645z00_1556), BgL_callerz00_1546,
												(obj_t) (BgL_toz00_2474), BBOOL(BgL_safez00_2475),
												BEOA));
								}}
								BgL_arg3644z00_1555 = BgL_res3818z00_2501;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3644z00_1555), BUNSPEC);
					}
					{	/* Coerce/coerce.scm 319 */
						obj_t BgL_casezd2valuezd2_1557;

						{	/* Coerce/coerce.scm 319 */
							BgL_nodez00_bglt BgL_arg3654z00_1566;

							BgL_arg3654z00_1566 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->
								BgL_testz00);
							BgL_nodez00_1567 = BgL_arg3654z00_1566;
							{	/* Coerce/coerce.scm 311 */
								bool_t BgL_testz00_4110;

								{	/* Coerce/coerce.scm 311 */
									obj_t BgL_obj2375z00_2639;

									BgL_obj2375z00_2639 = (obj_t) (BgL_nodez00_1567);
									BgL_testz00_4110 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2375z00_2639,
										BGl_appz00zzast_nodez00);
								}
								if (BgL_testz00_4110)
									{	/* Coerce/coerce.scm 311 */
										BgL_nodez00_1612 = BgL_nodez00_1567;
										{	/* Coerce/coerce.scm 256 */
											bool_t BgL_testz00_4113;

											{	/* Coerce/coerce.scm 256 */
												obj_t BgL_auxz00_4114;

												{
													BgL_appz00_bglt BgL_auxz00_4115;

													BgL_auxz00_4115 =
														(BgL_appz00_bglt) (BgL_nodez00_1612);
													BgL_auxz00_4114 =
														(((BgL_appz00_bglt) CREF(BgL_auxz00_4115))->
														BgL_argsz00);
												}
												BgL_testz00_4113 = PAIRP(BgL_auxz00_4114);
											}
											if (BgL_testz00_4113)
												{	/* Coerce/coerce.scm 257 */
													bool_t BgL_testz00_4119;

													{	/* Coerce/coerce.scm 257 */
														obj_t BgL_auxz00_4120;

														{	/* Coerce/coerce.scm 257 */
															obj_t BgL_pairz00_2676;

															{
																BgL_appz00_bglt BgL_auxz00_4121;

																BgL_auxz00_4121 =
																	(BgL_appz00_bglt) (BgL_nodez00_1612);
																BgL_pairz00_2676 =
																	(((BgL_appz00_bglt) CREF(BgL_auxz00_4121))->
																	BgL_argsz00);
															}
															BgL_auxz00_4120 = CDR(BgL_pairz00_2676);
														}
														BgL_testz00_4119 = NULLP(BgL_auxz00_4120);
													}
													if (BgL_testz00_4119)
														{	/* Coerce/coerce.scm 258 */
															bool_t BgL_testz00_4126;

															{	/* Coerce/coerce.scm 258 */
																bool_t BgL_testz00_4127;

																{	/* Coerce/coerce.scm 258 */
																	obj_t BgL_arg3693z00_1630;

																	{	/* Coerce/coerce.scm 258 */
																		obj_t BgL_pairz00_2679;

																		{
																			BgL_appz00_bglt BgL_auxz00_4128;

																			BgL_auxz00_4128 =
																				(BgL_appz00_bglt) (BgL_nodez00_1612);
																			BgL_pairz00_2679 =
																				(((BgL_appz00_bglt)
																					CREF(BgL_auxz00_4128))->BgL_argsz00);
																		}
																		BgL_arg3693z00_1630 = CAR(BgL_pairz00_2679);
																	}
																	BgL_testz00_4127 =
																		BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		(BgL_nodez00_bglt) (BgL_arg3693z00_1630));
																}
																if (BgL_testz00_4127)
																	{	/* Coerce/coerce.scm 258 */
																		BgL_testz00_4126 = ((bool_t) 0);
																	}
																else
																	{	/* Coerce/coerce.scm 258 */
																		BgL_testz00_4126 = ((bool_t) 1);
																	}
															}
															if (BgL_testz00_4126)
																{	/* Coerce/coerce.scm 259 */
																	BgL_varz00_bglt BgL_funz00_1618;

																	{
																		BgL_appz00_bglt BgL_auxz00_4134;

																		BgL_auxz00_4134 =
																			(BgL_appz00_bglt) (BgL_nodez00_1612);
																		BgL_funz00_1618 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_auxz00_4134))->BgL_funz00);
																	}
																	{	/* Coerce/coerce.scm 259 */
																		BgL_valuez00_bglt BgL_valz00_1619;

																		{	/* Coerce/coerce.scm 260 */
																			BgL_variablez00_bglt BgL_obj1710z00_2682;

																			BgL_obj1710z00_2682 =
																				(((BgL_varz00_bglt)
																					CREF(BgL_funz00_1618))->
																				BgL_variablez00);
																			BgL_valz00_1619 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_obj1710z00_2682))->
																				BgL_valuez00);
																		}
																		{	/* Coerce/coerce.scm 260 */
																			obj_t BgL_typecz00_1620;

																			{
																				BgL_funz00_bglt BgL_auxz00_4139;

																				BgL_auxz00_4139 =
																					(BgL_funz00_bglt) (BgL_valz00_1619);
																				BgL_typecz00_1620 =
																					(((BgL_funz00_bglt)
																						CREF(BgL_auxz00_4139))->
																					BgL_predicatezd2ofzd2);
																			}
																			{	/* Coerce/coerce.scm 261 */
																				BgL_typez00_bglt BgL_typevz00_1621;

																				{	/* Coerce/coerce.scm 262 */
																					obj_t BgL_arg3689z00_1626;

																					{	/* Coerce/coerce.scm 262 */
																						obj_t BgL_pairz00_2685;

																						{
																							BgL_appz00_bglt BgL_auxz00_4142;

																							BgL_auxz00_4142 =
																								(BgL_appz00_bglt)
																								(BgL_nodez00_1612);
																							BgL_pairz00_2685 =
																								(((BgL_appz00_bglt)
																									CREF(BgL_auxz00_4142))->
																								BgL_argsz00);
																						}
																						BgL_arg3689z00_1626 =
																							CAR(BgL_pairz00_2685);
																					}
																					BgL_typevz00_1621 =
																						BGl_typeofz00zztype_typeofz00(
																						(BgL_nodez00_bglt)
																						(BgL_arg3689z00_1626));
																				}
																				{	/* Coerce/coerce.scm 262 */

																					if (BGl_iszd2azf3z21zz__objectz00
																						(BgL_typecz00_1620,
																							BGl_typez00zztype_typez00))
																						{	/* Coerce/coerce.scm 264 */
																							if (
																								((obj_t) (BgL_typevz00_1621) ==
																									BGl_za2objza2z00zztype_cachez00))
																								{	/* Coerce/coerce.scm 267 */
																									BgL_casezd2valuezd2_1557 =
																										BFALSE;
																								}
																							else
																								{	/* Coerce/coerce.scm 267 */
																									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00((BgL_typez00_bglt) (BgL_typecz00_1620), BgL_typevz00_1621))
																										{	/* Coerce/coerce.scm 270 */
																											BgL_casezd2valuezd2_1557 =
																												CNST_TABLE_REF(((long)
																													1));
																										}
																									else
																										{	/* Coerce/coerce.scm 270 */
																											if (BGl_typezd2disjointzf3z21zztype_miscz00((BgL_typez00_bglt) (BgL_typecz00_1620), BgL_typevz00_1621))
																												{	/* Coerce/coerce.scm 272 */
																													BgL_casezd2valuezd2_1557
																														=
																														CNST_TABLE_REF((
																															(long) 2));
																												}
																											else
																												{	/* Coerce/coerce.scm 272 */
																													BgL_casezd2valuezd2_1557
																														= BFALSE;
																												}
																										}
																								}
																						}
																					else
																						{	/* Coerce/coerce.scm 264 */
																							BgL_casezd2valuezd2_1557 = BFALSE;
																						}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Coerce/coerce.scm 258 */
																	BgL_casezd2valuezd2_1557 = BFALSE;
																}
														}
													else
														{	/* Coerce/coerce.scm 257 */
															BgL_casezd2valuezd2_1557 = BFALSE;
														}
												}
											else
												{	/* Coerce/coerce.scm 256 */
													BgL_casezd2valuezd2_1557 = BFALSE;
												}
										}
									}
								else
									{	/* Coerce/coerce.scm 313 */
										bool_t BgL_testz00_4161;

										{	/* Coerce/coerce.scm 313 */
											obj_t BgL_obj3198z00_2640;

											BgL_obj3198z00_2640 = (obj_t) (BgL_nodez00_1567);
											BgL_testz00_4161 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj3198z00_2640,
												BGl_letzd2varzd2zzast_nodez00);
										}
										if (BgL_testz00_4161)
											{	/* Coerce/coerce.scm 313 */
												BgL_nodez00_1571 = BgL_nodez00_1567;
												{	/* Coerce/coerce.scm 278 */
													bool_t BgL_testz00_4164;

													{	/* Coerce/coerce.scm 278 */
														obj_t BgL_auxz00_4165;

														{
															BgL_letzd2varzd2_bglt BgL_auxz00_4166;

															BgL_auxz00_4166 =
																(BgL_letzd2varzd2_bglt) (BgL_nodez00_1571);
															BgL_auxz00_4165 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_auxz00_4166))->BgL_bindingsz00);
														}
														BgL_testz00_4164 = PAIRP(BgL_auxz00_4165);
													}
													if (BgL_testz00_4164)
														{	/* Coerce/coerce.scm 279 */
															bool_t BgL_testz00_4170;

															{	/* Coerce/coerce.scm 279 */
																obj_t BgL_auxz00_4171;

																{	/* Coerce/coerce.scm 279 */
																	obj_t BgL_pairz00_2644;

																	{
																		BgL_letzd2varzd2_bglt BgL_auxz00_4172;

																		BgL_auxz00_4172 =
																			(BgL_letzd2varzd2_bglt)
																			(BgL_nodez00_1571);
																		BgL_pairz00_2644 =
																			(((BgL_letzd2varzd2_bglt)
																				CREF(BgL_auxz00_4172))->
																			BgL_bindingsz00);
																	}
																	BgL_auxz00_4171 = CDR(BgL_pairz00_2644);
																}
																BgL_testz00_4170 = NULLP(BgL_auxz00_4171);
															}
															if (BgL_testz00_4170)
																{	/* Coerce/coerce.scm 280 */
																	bool_t BgL_testz00_4177;

																	{	/* Coerce/coerce.scm 280 */
																		BgL_nodez00_bglt BgL_arg3680z00_1608;

																		{
																			BgL_letzd2varzd2_bglt BgL_auxz00_4178;

																			BgL_auxz00_4178 =
																				(BgL_letzd2varzd2_bglt)
																				(BgL_nodez00_1571);
																			BgL_arg3680z00_1608 =
																				(((BgL_letzd2varzd2_bglt)
																					CREF(BgL_auxz00_4178))->BgL_bodyz00);
																		}
																		{	/* Coerce/coerce.scm 280 */
																			obj_t BgL_obj2375z00_2647;

																			BgL_obj2375z00_2647 =
																				(obj_t) (BgL_arg3680z00_1608);
																			BgL_testz00_4177 =
																				BGl_iszd2azf3z21zz__objectz00
																				(BgL_obj2375z00_2647,
																				BGl_appz00zzast_nodez00);
																		}
																	}
																	if (BgL_testz00_4177)
																		{	/* Coerce/coerce.scm 281 */
																			BgL_varz00_bglt BgL_funz00_1577;

																			{	/* Coerce/coerce.scm 281 */
																				BgL_appz00_bglt BgL_obj2348z00_2649;

																				{	/* Coerce/coerce.scm 281 */
																					BgL_letzd2varzd2_bglt
																						BgL_obj3168z00_2648;
																					BgL_obj3168z00_2648 =
																						(BgL_letzd2varzd2_bglt)
																						(BgL_nodez00_1571);
																					BgL_obj2348z00_2649 =
																						(BgL_appz00_bglt) (((
																								(BgL_letzd2varzd2_bglt)
																								CREF(BgL_obj3168z00_2648))->
																							BgL_bodyz00));
																				}
																				BgL_funz00_1577 =
																					(((BgL_appz00_bglt)
																						CREF(BgL_obj2348z00_2649))->
																					BgL_funz00);
																			}
																			{	/* Coerce/coerce.scm 281 */
																				obj_t BgL_varz00_1578;

																				{	/* Coerce/coerce.scm 282 */
																					obj_t BgL_argsz00_1599;

																					{	/* Coerce/coerce.scm 282 */
																						BgL_appz00_bglt BgL_obj2351z00_2651;

																						{	/* Coerce/coerce.scm 282 */
																							BgL_letzd2varzd2_bglt
																								BgL_obj3168z00_2650;
																							BgL_obj3168z00_2650 =
																								(BgL_letzd2varzd2_bglt)
																								(BgL_nodez00_1571);
																							BgL_obj2351z00_2651 =
																								(BgL_appz00_bglt) (((
																										(BgL_letzd2varzd2_bglt)
																										CREF(BgL_obj3168z00_2650))->
																									BgL_bodyz00));
																						}
																						BgL_argsz00_1599 =
																							(((BgL_appz00_bglt)
																								CREF(BgL_obj2351z00_2651))->
																							BgL_argsz00);
																					}
																					if (PAIRP(BgL_argsz00_1599))
																						{	/* Coerce/coerce.scm 283 */
																							if (NULLP(CDR(BgL_argsz00_1599)))
																								{	/* Coerce/coerce.scm 285 */
																									bool_t BgL_testz00_4196;

																									{	/* Coerce/coerce.scm 285 */
																										obj_t BgL_arg3676z00_1604;

																										BgL_arg3676z00_1604 =
																											CAR(BgL_argsz00_1599);
																										BgL_testz00_4196 =
																											BGl_iszd2azf3z21zz__objectz00
																											(BgL_arg3676z00_1604,
																											BGl_varz00zzast_nodez00);
																									}
																									if (BgL_testz00_4196)
																										{	/* Coerce/coerce.scm 286 */
																											BgL_varz00_bglt
																												BgL_obj2254z00_2658;
																											{	/* Coerce/coerce.scm 286 */
																												obj_t BgL_pairz00_2657;

																												BgL_pairz00_2657 =
																													BgL_argsz00_1599;
																												BgL_obj2254z00_2658 =
																													(BgL_varz00_bglt) (CAR
																													(BgL_pairz00_2657));
																											}
																											BgL_varz00_1578 =
																												(obj_t) (
																												(((BgL_varz00_bglt)
																														CREF
																														(BgL_obj2254z00_2658))->
																													BgL_variablez00));
																										}
																									else
																										{	/* Coerce/coerce.scm 285 */
																											BgL_varz00_1578 = BFALSE;
																										}
																								}
																							else
																								{	/* Coerce/coerce.scm 284 */
																									BgL_varz00_1578 = BFALSE;
																								}
																						}
																					else
																						{	/* Coerce/coerce.scm 283 */
																							BgL_varz00_1578 = BFALSE;
																						}
																				}
																				{	/* Coerce/coerce.scm 282 */
																					BgL_valuez00_bglt BgL_valz00_1579;

																					{	/* Coerce/coerce.scm 287 */
																						BgL_variablez00_bglt
																							BgL_obj1710z00_2660;
																						BgL_obj1710z00_2660 =
																							(((BgL_varz00_bglt)
																								CREF(BgL_funz00_1577))->
																							BgL_variablez00);
																						BgL_valz00_1579 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_obj1710z00_2660))->
																							BgL_valuez00);
																					}
																					{	/* Coerce/coerce.scm 287 */
																						obj_t BgL_typecz00_1580;

																						{
																							BgL_funz00_bglt BgL_auxz00_4205;

																							BgL_auxz00_4205 =
																								(BgL_funz00_bglt)
																								(BgL_valz00_1579);
																							BgL_typecz00_1580 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_auxz00_4205))->
																								BgL_predicatezd2ofzd2);
																						}
																						{	/* Coerce/coerce.scm 288 */
																							BgL_typez00_bglt
																								BgL_typepz00_1581;
																							{	/* Coerce/coerce.scm 289 */
																								BgL_variablez00_bglt
																									BgL_obj1707z00_2665;
																								{	/* Coerce/coerce.scm 289 */
																									obj_t BgL_auxz00_4208;

																									{	/* Coerce/coerce.scm 289 */
																										obj_t BgL_pairz00_2664;

																										{	/* Coerce/coerce.scm 289 */
																											obj_t BgL_pairz00_2663;

																											{
																												BgL_letzd2varzd2_bglt
																													BgL_auxz00_4209;
																												BgL_auxz00_4209 =
																													(BgL_letzd2varzd2_bglt)
																													(BgL_nodez00_1571);
																												BgL_pairz00_2663 =
																													(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_4209))->BgL_bindingsz00);
																											}
																											BgL_pairz00_2664 =
																												CAR(BgL_pairz00_2663);
																										}
																										BgL_auxz00_4208 =
																											CAR(BgL_pairz00_2664);
																									}
																									BgL_obj1707z00_2665 =
																										(BgL_variablez00_bglt)
																										(BgL_auxz00_4208);
																								}
																								BgL_typepz00_1581 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_obj1707z00_2665))->
																									BgL_typez00);
																							}
																							{	/* Coerce/coerce.scm 289 */
																								BgL_typez00_bglt
																									BgL_typevz00_1582;
																								if (((obj_t) (BgL_typepz00_1581)
																										==
																										BGl_za2objza2z00zztype_cachez00))
																									{	/* Coerce/coerce.scm 291 */
																										obj_t BgL_arg3668z00_1592;

																										{	/* Coerce/coerce.scm 291 */
																											obj_t BgL_pairz00_2668;

																											{	/* Coerce/coerce.scm 291 */
																												obj_t BgL_pairz00_2667;

																												{
																													BgL_letzd2varzd2_bglt
																														BgL_auxz00_4219;
																													BgL_auxz00_4219 =
																														(BgL_letzd2varzd2_bglt)
																														(BgL_nodez00_1571);
																													BgL_pairz00_2667 =
																														(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_4219))->BgL_bindingsz00);
																												}
																												BgL_pairz00_2668 =
																													CAR(BgL_pairz00_2667);
																											}
																											BgL_arg3668z00_1592 =
																												CDR(BgL_pairz00_2668);
																										}
																										BgL_typevz00_1582 =
																											BGl_typeofz00zztype_typeofz00
																											((BgL_nodez00_bglt)
																											(BgL_arg3668z00_1592));
																									}
																								else
																									{	/* Coerce/coerce.scm 290 */
																										BgL_typevz00_1582 =
																											BgL_typepz00_1581;
																									}
																								{	/* Coerce/coerce.scm 290 */

																									if (BGl_iszd2azf3z21zz__objectz00(BgL_typecz00_1580, BGl_typez00zztype_typez00))
																										{	/* Coerce/coerce.scm 297 */
																											bool_t BgL_testz00_4228;

																											{	/* Coerce/coerce.scm 297 */
																												obj_t BgL_auxz00_4229;

																												{	/* Coerce/coerce.scm 297 */
																													obj_t
																														BgL_pairz00_2672;
																													{	/* Coerce/coerce.scm 297 */
																														obj_t
																															BgL_pairz00_2671;
																														{
																															BgL_letzd2varzd2_bglt
																																BgL_auxz00_4230;
																															BgL_auxz00_4230 =
																																(BgL_letzd2varzd2_bglt)
																																(BgL_nodez00_1571);
																															BgL_pairz00_2671 =
																																(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_4230))->BgL_bindingsz00);
																														}
																														BgL_pairz00_2672 =
																															CAR
																															(BgL_pairz00_2671);
																													}
																													BgL_auxz00_4229 =
																														CAR
																														(BgL_pairz00_2672);
																												}
																												BgL_testz00_4228 =
																													(BgL_varz00_1578 ==
																													BgL_auxz00_4229);
																											}
																											if (BgL_testz00_4228)
																												{	/* Coerce/coerce.scm 297 */
																													if (
																														((obj_t)
																															(BgL_typevz00_1582)
																															==
																															BGl_za2objza2z00zztype_cachez00))
																														{	/* Coerce/coerce.scm 300 */
																															BgL_casezd2valuezd2_1557
																																= BFALSE;
																														}
																													else
																														{	/* Coerce/coerce.scm 300 */
																															if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00((BgL_typez00_bglt) (BgL_typecz00_1580), BgL_typevz00_1582))
																																{	/* Coerce/coerce.scm 303 */
																																	BgL_casezd2valuezd2_1557
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			1));
																																}
																															else
																																{	/* Coerce/coerce.scm 303 */
																																	if (BGl_typezd2disjointzf3z21zztype_miscz00((BgL_typez00_bglt) (BgL_typecz00_1580), BgL_typevz00_1582))
																																		{	/* Coerce/coerce.scm 305 */
																																			BgL_casezd2valuezd2_1557
																																				=
																																				CNST_TABLE_REF
																																				(((long)
																																					2));
																																		}
																																	else
																																		{	/* Coerce/coerce.scm 305 */
																																			BgL_casezd2valuezd2_1557
																																				=
																																				BFALSE;
																																		}
																																}
																														}
																												}
																											else
																												{	/* Coerce/coerce.scm 297 */
																													BgL_casezd2valuezd2_1557
																														= BFALSE;
																												}
																										}
																									else
																										{	/* Coerce/coerce.scm 294 */
																											BgL_casezd2valuezd2_1557 =
																												BFALSE;
																										}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Coerce/coerce.scm 280 */
																			BgL_casezd2valuezd2_1557 = BFALSE;
																		}
																}
															else
																{	/* Coerce/coerce.scm 279 */
																	BgL_casezd2valuezd2_1557 = BFALSE;
																}
														}
													else
														{	/* Coerce/coerce.scm 278 */
															BgL_casezd2valuezd2_1557 = BFALSE;
														}
												}
											}
										else
											{	/* Coerce/coerce.scm 313 */
												BgL_casezd2valuezd2_1557 = BFALSE;
											}
									}
							}
						}
						if ((BgL_casezd2valuezd2_1557 == CNST_TABLE_REF(((long) 1))))
							{	/* Coerce/coerce.scm 321 */
								BgL_nodez00_bglt BgL_arg3647z00_1559;

								BgL_arg3647z00_1559 =
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->
									BgL_truez00);
								{	/* Coerce/coerce.scm 321 */
									BgL_nodez00_bglt BgL_res3821z00_2537;

									{	/* Coerce/coerce.scm 321 */
										BgL_typez00_bglt BgL_toz00_2510;

										bool_t BgL_safez00_2511;

										BgL_toz00_2510 = (BgL_typez00_bglt) (BgL_toz00_1547);
										BgL_safez00_2511 = CBOOL(BgL_safez00_1548);
										{	/* Coerce/coerce.scm 321 */
											obj_t BgL_method3417z00_2512;

											{	/* Coerce/coerce.scm 321 */
												BgL_objectz00_bglt BgL_objz00_2513;

												BgL_objz00_2513 =
													(BgL_objectz00_bglt) (BgL_arg3647z00_1559);
												{	/* Coerce/coerce.scm 321 */
													long BgL_objzd2classzd2numz00_2514;

													BgL_objzd2classzd2numz00_2514 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_2513);
													{	/* Coerce/coerce.scm 321 */
														obj_t BgL_arg2422z00_2515;

														BgL_arg2422z00_2515 =
															PROCEDURE_REF
															(BGl_coercez12zd2envzc0zzcoerce_coercez00,
															(int) (((long) 1)));
														{	/* Coerce/coerce.scm 321 */
															obj_t BgL_arrayz00_2517;

															int BgL_offsetz00_2518;

															BgL_arrayz00_2517 = BgL_arg2422z00_2515;
															BgL_offsetz00_2518 =
																(int) (BgL_objzd2classzd2numz00_2514);
															{	/* Coerce/coerce.scm 321 */
																long BgL_offsetz00_2519;

																BgL_offsetz00_2519 =
																	((long) (BgL_offsetz00_2518) - OBJECT_TYPE);
																{	/* Coerce/coerce.scm 321 */
																	long BgL_modz00_2520;

																	{	/* Coerce/coerce.scm 321 */
																		int BgL_arg2424z00_2521;

																		BgL_arg2424z00_2521 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 321 */
																			long BgL_auxz00_4261;

																			BgL_auxz00_4261 =
																				(long) (BgL_arg2424z00_2521);
																			BgL_modz00_2520 =
																				(BgL_offsetz00_2519 / BgL_auxz00_4261);
																	}}
																	{	/* Coerce/coerce.scm 321 */
																		long BgL_restz00_2522;

																		{	/* Coerce/coerce.scm 321 */
																			int BgL_arg2423z00_2523;

																			BgL_arg2423z00_2523 = (int) (((long) 8));
																			{	/* Coerce/coerce.scm 321 */
																				long BgL_auxz00_4265;

																				BgL_auxz00_4265 =
																					(long) (BgL_arg2423z00_2523);
																				BgL_restz00_2522 =
																					(BgL_offsetz00_2519 %
																					BgL_auxz00_4265);
																		}}
																		{	/* Coerce/coerce.scm 321 */

																			BgL_method3417z00_2512 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_2517,
																					(int) (BgL_modz00_2520)),
																				(int) (BgL_restz00_2522));
											}}}}}}}}
											BgL_res3821z00_2537 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3417z00_2512) (BgL_method3417z00_2512,
													(obj_t) (BgL_arg3647z00_1559), BgL_callerz00_1546,
													(obj_t) (BgL_toz00_2510), BBOOL(BgL_safez00_2511),
													BEOA));
									}}
									return (obj_t) (BgL_res3821z00_2537);
								}
							}
						else
							{	/* Coerce/coerce.scm 319 */
								if ((BgL_casezd2valuezd2_1557 == CNST_TABLE_REF(((long) 2))))
									{	/* Coerce/coerce.scm 323 */
										BgL_nodez00_bglt BgL_arg3649z00_1561;

										BgL_arg3649z00_1561 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->
											BgL_falsez00);
										{	/* Coerce/coerce.scm 323 */
											BgL_nodez00_bglt BgL_res3824z00_2570;

											{	/* Coerce/coerce.scm 323 */
												BgL_typez00_bglt BgL_toz00_2543;

												bool_t BgL_safez00_2544;

												BgL_toz00_2543 = (BgL_typez00_bglt) (BgL_toz00_1547);
												BgL_safez00_2544 = CBOOL(BgL_safez00_1548);
												{	/* Coerce/coerce.scm 323 */
													obj_t BgL_method3417z00_2545;

													{	/* Coerce/coerce.scm 323 */
														BgL_objectz00_bglt BgL_objz00_2546;

														BgL_objz00_2546 =
															(BgL_objectz00_bglt) (BgL_arg3649z00_1561);
														{	/* Coerce/coerce.scm 323 */
															long BgL_objzd2classzd2numz00_2547;

															BgL_objzd2classzd2numz00_2547 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_2546);
															{	/* Coerce/coerce.scm 323 */
																obj_t BgL_arg2422z00_2548;

																BgL_arg2422z00_2548 =
																	PROCEDURE_REF
																	(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																	(int) (((long) 1)));
																{	/* Coerce/coerce.scm 323 */
																	obj_t BgL_arrayz00_2550;

																	int BgL_offsetz00_2551;

																	BgL_arrayz00_2550 = BgL_arg2422z00_2548;
																	BgL_offsetz00_2551 =
																		(int) (BgL_objzd2classzd2numz00_2547);
																	{	/* Coerce/coerce.scm 323 */
																		long BgL_offsetz00_2552;

																		BgL_offsetz00_2552 =
																			(
																			(long) (BgL_offsetz00_2551) -
																			OBJECT_TYPE);
																		{	/* Coerce/coerce.scm 323 */
																			long BgL_modz00_2553;

																			{	/* Coerce/coerce.scm 323 */
																				int BgL_arg2424z00_2554;

																				BgL_arg2424z00_2554 =
																					(int) (((long) 8));
																				{	/* Coerce/coerce.scm 323 */
																					long BgL_auxz00_4293;

																					BgL_auxz00_4293 =
																						(long) (BgL_arg2424z00_2554);
																					BgL_modz00_2553 =
																						(BgL_offsetz00_2552 /
																						BgL_auxz00_4293);
																			}}
																			{	/* Coerce/coerce.scm 323 */
																				long BgL_restz00_2555;

																				{	/* Coerce/coerce.scm 323 */
																					int BgL_arg2423z00_2556;

																					BgL_arg2423z00_2556 =
																						(int) (((long) 8));
																					{	/* Coerce/coerce.scm 323 */
																						long BgL_auxz00_4297;

																						BgL_auxz00_4297 =
																							(long) (BgL_arg2423z00_2556);
																						BgL_restz00_2555 =
																							(BgL_offsetz00_2552 %
																							BgL_auxz00_4297);
																				}}
																				{	/* Coerce/coerce.scm 323 */

																					BgL_method3417z00_2545 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_2550,
																							(int) (BgL_modz00_2553)),
																						(int) (BgL_restz00_2555));
													}}}}}}}}
													BgL_res3824z00_2570 =
														(BgL_nodez00_bglt) (PROCEDURE_ENTRY
														(BgL_method3417z00_2545) (BgL_method3417z00_2545,
															(obj_t) (BgL_arg3649z00_1561), BgL_callerz00_1546,
															(obj_t) (BgL_toz00_2543), BBOOL(BgL_safez00_2544),
															BEOA));
											}}
											return (obj_t) (BgL_res3824z00_2570);
										}
									}
								else
									{	/* Coerce/coerce.scm 319 */
										{	/* Coerce/coerce.scm 325 */
											BgL_nodez00_bglt BgL_arg3650z00_1562;

											{	/* Coerce/coerce.scm 325 */
												BgL_nodez00_bglt BgL_arg3651z00_1563;

												BgL_arg3651z00_1563 =
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->
													BgL_truez00);
												{	/* Coerce/coerce.scm 325 */
													BgL_nodez00_bglt BgL_res3827z00_2601;

													{	/* Coerce/coerce.scm 325 */
														BgL_typez00_bglt BgL_toz00_2574;

														bool_t BgL_safez00_2575;

														BgL_toz00_2574 =
															(BgL_typez00_bglt) (BgL_toz00_1547);
														BgL_safez00_2575 = CBOOL(BgL_safez00_1548);
														{	/* Coerce/coerce.scm 325 */
															obj_t BgL_method3417z00_2576;

															{	/* Coerce/coerce.scm 325 */
																BgL_objectz00_bglt BgL_objz00_2577;

																BgL_objz00_2577 =
																	(BgL_objectz00_bglt) (BgL_arg3651z00_1563);
																{	/* Coerce/coerce.scm 325 */
																	long BgL_objzd2classzd2numz00_2578;

																	BgL_objzd2classzd2numz00_2578 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2577);
																	{	/* Coerce/coerce.scm 325 */
																		obj_t BgL_arg2422z00_2579;

																		BgL_arg2422z00_2579 =
																			PROCEDURE_REF
																			(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																			(int) (((long) 1)));
																		{	/* Coerce/coerce.scm 325 */
																			obj_t BgL_arrayz00_2581;

																			int BgL_offsetz00_2582;

																			BgL_arrayz00_2581 = BgL_arg2422z00_2579;
																			BgL_offsetz00_2582 =
																				(int) (BgL_objzd2classzd2numz00_2578);
																			{	/* Coerce/coerce.scm 325 */
																				long BgL_offsetz00_2583;

																				BgL_offsetz00_2583 =
																					(
																					(long) (BgL_offsetz00_2582) -
																					OBJECT_TYPE);
																				{	/* Coerce/coerce.scm 325 */
																					long BgL_modz00_2584;

																					{	/* Coerce/coerce.scm 325 */
																						int BgL_arg2424z00_2585;

																						BgL_arg2424z00_2585 =
																							(int) (((long) 8));
																						{	/* Coerce/coerce.scm 325 */
																							long BgL_auxz00_4322;

																							BgL_auxz00_4322 =
																								(long) (BgL_arg2424z00_2585);
																							BgL_modz00_2584 =
																								(BgL_offsetz00_2583 /
																								BgL_auxz00_4322);
																					}}
																					{	/* Coerce/coerce.scm 325 */
																						long BgL_restz00_2586;

																						{	/* Coerce/coerce.scm 325 */
																							int BgL_arg2423z00_2587;

																							BgL_arg2423z00_2587 =
																								(int) (((long) 8));
																							{	/* Coerce/coerce.scm 325 */
																								long BgL_auxz00_4326;

																								BgL_auxz00_4326 =
																									(long) (BgL_arg2423z00_2587);
																								BgL_restz00_2586 =
																									(BgL_offsetz00_2583 %
																									BgL_auxz00_4326);
																						}}
																						{	/* Coerce/coerce.scm 325 */

																							BgL_method3417z00_2576 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2581,
																									(int) (BgL_modz00_2584)),
																								(int) (BgL_restz00_2586));
															}}}}}}}}
															BgL_res3827z00_2601 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3417z00_2576)
																(BgL_method3417z00_2576,
																	(obj_t) (BgL_arg3651z00_1563),
																	BgL_callerz00_1546, (obj_t) (BgL_toz00_2574),
																	BBOOL(BgL_safez00_2575), BEOA));
													}}
													BgL_arg3650z00_1562 = BgL_res3827z00_2601;
											}}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->
													BgL_truez00) =
												((BgL_nodez00_bglt) BgL_arg3650z00_1562), BUNSPEC);
										}
										{	/* Coerce/coerce.scm 326 */
											BgL_nodez00_bglt BgL_arg3652z00_1564;

											{	/* Coerce/coerce.scm 326 */
												BgL_nodez00_bglt BgL_arg3653z00_1565;

												BgL_arg3653z00_1565 =
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->
													BgL_falsez00);
												{	/* Coerce/coerce.scm 326 */
													BgL_nodez00_bglt BgL_res3830z00_2634;

													{	/* Coerce/coerce.scm 326 */
														BgL_typez00_bglt BgL_toz00_2607;

														bool_t BgL_safez00_2608;

														BgL_toz00_2607 =
															(BgL_typez00_bglt) (BgL_toz00_1547);
														BgL_safez00_2608 = CBOOL(BgL_safez00_1548);
														{	/* Coerce/coerce.scm 326 */
															obj_t BgL_method3417z00_2609;

															{	/* Coerce/coerce.scm 326 */
																BgL_objectz00_bglt BgL_objz00_2610;

																BgL_objz00_2610 =
																	(BgL_objectz00_bglt) (BgL_arg3653z00_1565);
																{	/* Coerce/coerce.scm 326 */
																	long BgL_objzd2classzd2numz00_2611;

																	BgL_objzd2classzd2numz00_2611 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2610);
																	{	/* Coerce/coerce.scm 326 */
																		obj_t BgL_arg2422z00_2612;

																		BgL_arg2422z00_2612 =
																			PROCEDURE_REF
																			(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																			(int) (((long) 1)));
																		{	/* Coerce/coerce.scm 326 */
																			obj_t BgL_arrayz00_2614;

																			int BgL_offsetz00_2615;

																			BgL_arrayz00_2614 = BgL_arg2422z00_2612;
																			BgL_offsetz00_2615 =
																				(int) (BgL_objzd2classzd2numz00_2611);
																			{	/* Coerce/coerce.scm 326 */
																				long BgL_offsetz00_2616;

																				BgL_offsetz00_2616 =
																					(
																					(long) (BgL_offsetz00_2615) -
																					OBJECT_TYPE);
																				{	/* Coerce/coerce.scm 326 */
																					long BgL_modz00_2617;

																					{	/* Coerce/coerce.scm 326 */
																						int BgL_arg2424z00_2618;

																						BgL_arg2424z00_2618 =
																							(int) (((long) 8));
																						{	/* Coerce/coerce.scm 326 */
																							long BgL_auxz00_4351;

																							BgL_auxz00_4351 =
																								(long) (BgL_arg2424z00_2618);
																							BgL_modz00_2617 =
																								(BgL_offsetz00_2616 /
																								BgL_auxz00_4351);
																					}}
																					{	/* Coerce/coerce.scm 326 */
																						long BgL_restz00_2619;

																						{	/* Coerce/coerce.scm 326 */
																							int BgL_arg2423z00_2620;

																							BgL_arg2423z00_2620 =
																								(int) (((long) 8));
																							{	/* Coerce/coerce.scm 326 */
																								long BgL_auxz00_4355;

																								BgL_auxz00_4355 =
																									(long) (BgL_arg2423z00_2620);
																								BgL_restz00_2619 =
																									(BgL_offsetz00_2616 %
																									BgL_auxz00_4355);
																						}}
																						{	/* Coerce/coerce.scm 326 */

																							BgL_method3417z00_2609 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2614,
																									(int) (BgL_modz00_2617)),
																								(int) (BgL_restz00_2619));
															}}}}}}}}
															BgL_res3830z00_2634 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3417z00_2609)
																(BgL_method3417z00_2609,
																	(obj_t) (BgL_arg3653z00_1565),
																	BgL_callerz00_1546, (obj_t) (BgL_toz00_2607),
																	BBOOL(BgL_safez00_2608), BEOA));
													}}
													BgL_arg3652z00_1564 = BgL_res3830z00_2634;
											}}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1545))->
													BgL_falsez00) =
												((BgL_nodez00_bglt) BgL_arg3652z00_1564), BUNSPEC);
										}
										{
											BgL_typez00_bglt BgL_auxz00_4371;

											BgL_nodez00_bglt BgL_auxz00_4369;

											BgL_auxz00_4371 = (BgL_typez00_bglt) (BgL_toz00_1547);
											BgL_auxz00_4369 = (BgL_nodez00_bglt) (BgL_nodez00_1545);
											((((BgL_nodez00_bglt) CREF(BgL_auxz00_4369))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_4371), BUNSPEC);
										}
										return (obj_t) (BgL_nodez00_1545);
									}
							}
					}
				}
			}
		}
	}



/* coerce!-setq3449 */
	obj_t BGl_coercez12zd2setq3449zc0zzcoerce_coercez00(obj_t BgL_envz00_3298,
		obj_t BgL_nodez00_3299, obj_t BgL_callerz00_3300, obj_t BgL_toz00_3301,
		obj_t BgL_safez00_3302)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 229 */
			{
				BgL_setqz00_bglt BgL_nodez00_1531;

				obj_t BgL_callerz00_1532;

				obj_t BgL_toz00_1533;

				obj_t BgL_safez00_1534;

				{	/* Coerce/coerce.scm 230 */
					BgL_nodez00_bglt BgL_auxz00_4376;

					BgL_nodez00_1531 = (BgL_setqz00_bglt) (BgL_nodez00_3299);
					BgL_callerz00_1532 = BgL_callerz00_3300;
					BgL_toz00_1533 = BgL_toz00_3301;
					BgL_safez00_1534 = BgL_safez00_3302;
					{	/* Coerce/coerce.scm 231 */
						BgL_nodez00_bglt BgL_arg3638z00_1538;

						{	/* Coerce/coerce.scm 231 */
							BgL_nodez00_bglt BgL_arg3639z00_1539;

							BgL_typez00_bglt BgL_arg3640z00_1540;

							BgL_arg3639z00_1539 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1531))->BgL_valuez00);
							{	/* Coerce/coerce.scm 233 */
								BgL_variablez00_bglt BgL_arg3641z00_1541;

								{	/* Coerce/coerce.scm 233 */
									BgL_varz00_bglt BgL_obj2254z00_2437;

									BgL_obj2254z00_2437 =
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1531))->BgL_varz00);
									BgL_arg3641z00_1541 =
										(((BgL_varz00_bglt) CREF(BgL_obj2254z00_2437))->
										BgL_variablez00);
								}
								BgL_arg3640z00_1540 =
									(((BgL_variablez00_bglt) CREF(BgL_arg3641z00_1541))->
									BgL_typez00);
							}
							{	/* Coerce/coerce.scm 231 */
								BgL_nodez00_bglt BgL_res3815z00_2468;

								{	/* Coerce/coerce.scm 231 */
									bool_t BgL_safez00_2442;

									BgL_safez00_2442 = CBOOL(BgL_safez00_1534);
									{	/* Coerce/coerce.scm 231 */
										obj_t BgL_method3417z00_2443;

										{	/* Coerce/coerce.scm 231 */
											BgL_objectz00_bglt BgL_objz00_2444;

											BgL_objz00_2444 =
												(BgL_objectz00_bglt) (BgL_arg3639z00_1539);
											{	/* Coerce/coerce.scm 231 */
												long BgL_objzd2classzd2numz00_2445;

												BgL_objzd2classzd2numz00_2445 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2444);
												{	/* Coerce/coerce.scm 231 */
													obj_t BgL_arg2422z00_2446;

													BgL_arg2422z00_2446 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 231 */
														obj_t BgL_arrayz00_2448;

														int BgL_offsetz00_2449;

														BgL_arrayz00_2448 = BgL_arg2422z00_2446;
														BgL_offsetz00_2449 =
															(int) (BgL_objzd2classzd2numz00_2445);
														{	/* Coerce/coerce.scm 231 */
															long BgL_offsetz00_2450;

															BgL_offsetz00_2450 =
																((long) (BgL_offsetz00_2449) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 231 */
																long BgL_modz00_2451;

																{	/* Coerce/coerce.scm 231 */
																	int BgL_arg2424z00_2452;

																	BgL_arg2424z00_2452 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 231 */
																		long BgL_auxz00_4390;

																		BgL_auxz00_4390 =
																			(long) (BgL_arg2424z00_2452);
																		BgL_modz00_2451 =
																			(BgL_offsetz00_2450 / BgL_auxz00_4390);
																}}
																{	/* Coerce/coerce.scm 231 */
																	long BgL_restz00_2453;

																	{	/* Coerce/coerce.scm 231 */
																		int BgL_arg2423z00_2454;

																		BgL_arg2423z00_2454 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 231 */
																			long BgL_auxz00_4394;

																			BgL_auxz00_4394 =
																				(long) (BgL_arg2423z00_2454);
																			BgL_restz00_2453 =
																				(BgL_offsetz00_2450 % BgL_auxz00_4394);
																	}}
																	{	/* Coerce/coerce.scm 231 */

																		BgL_method3417z00_2443 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2448,
																				(int) (BgL_modz00_2451)),
																			(int) (BgL_restz00_2453));
										}}}}}}}}
										BgL_res3815z00_2468 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2443) (BgL_method3417z00_2443,
												(obj_t) (BgL_arg3639z00_1539), BgL_callerz00_1532,
												(obj_t) (BgL_arg3640z00_1540), BBOOL(BgL_safez00_2442),
												BEOA));
								}}
								BgL_arg3638z00_1538 = BgL_res3815z00_2468;
						}}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1531))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3638z00_1538), BUNSPEC);
					}
					BgL_auxz00_4376 =
						BGl_convertz12z12zzcoerce_convertz00(
						(BgL_nodez00_bglt) (BgL_nodez00_1531),
						(BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00),
						(BgL_typez00_bglt) (BgL_toz00_1533), CBOOL(BgL_safez00_1534));
					return (obj_t) (BgL_auxz00_4376);
				}
			}
		}
	}



/* coerce!-cast3447 */
	obj_t BGl_coercez12zd2cast3447zc0zzcoerce_coercez00(obj_t BgL_envz00_3303,
		obj_t BgL_nodez00_3304, obj_t BgL_callerz00_3305, obj_t BgL_toz00_3306,
		obj_t BgL_safez00_3307)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 219 */
			{
				BgL_castz00_bglt BgL_nodez00_1519;

				obj_t BgL_callerz00_1520;

				obj_t BgL_toz00_1521;

				obj_t BgL_safez00_1522;

				{	/* Coerce/coerce.scm 220 */
					BgL_nodez00_bglt BgL_auxz00_4415;

					BgL_nodez00_1519 = (BgL_castz00_bglt) (BgL_nodez00_3304);
					BgL_callerz00_1520 = BgL_callerz00_3305;
					BgL_toz00_1521 = BgL_toz00_3306;
					BgL_safez00_1522 = BgL_safez00_3307;
					{	/* Coerce/coerce.scm 220 */
						BgL_nodez00_bglt BgL_arg3634z00_2398;

						{	/* Coerce/coerce.scm 220 */
							BgL_nodez00_bglt BgL_arg3635z00_2399;

							BgL_arg3635z00_2399 =
								(((BgL_castz00_bglt) CREF(BgL_nodez00_1519))->BgL_argz00);
							{	/* Coerce/coerce.scm 220 */
								BgL_nodez00_bglt BgL_res3812z00_2431;

								{	/* Coerce/coerce.scm 220 */
									BgL_typez00_bglt BgL_toz00_2404;

									bool_t BgL_safez00_2405;

									BgL_toz00_2404 = (BgL_typez00_bglt) (BgL_toz00_1521);
									BgL_safez00_2405 = CBOOL(BgL_safez00_1522);
									{	/* Coerce/coerce.scm 220 */
										obj_t BgL_method3417z00_2406;

										{	/* Coerce/coerce.scm 220 */
											BgL_objectz00_bglt BgL_objz00_2407;

											BgL_objz00_2407 =
												(BgL_objectz00_bglt) (BgL_arg3635z00_2399);
											{	/* Coerce/coerce.scm 220 */
												long BgL_objzd2classzd2numz00_2408;

												BgL_objzd2classzd2numz00_2408 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2407);
												{	/* Coerce/coerce.scm 220 */
													obj_t BgL_arg2422z00_2409;

													BgL_arg2422z00_2409 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 220 */
														obj_t BgL_arrayz00_2411;

														int BgL_offsetz00_2412;

														BgL_arrayz00_2411 = BgL_arg2422z00_2409;
														BgL_offsetz00_2412 =
															(int) (BgL_objzd2classzd2numz00_2408);
														{	/* Coerce/coerce.scm 220 */
															long BgL_offsetz00_2413;

															BgL_offsetz00_2413 =
																((long) (BgL_offsetz00_2412) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 220 */
																long BgL_modz00_2414;

																{	/* Coerce/coerce.scm 220 */
																	int BgL_arg2424z00_2415;

																	BgL_arg2424z00_2415 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 220 */
																		long BgL_auxz00_4427;

																		BgL_auxz00_4427 =
																			(long) (BgL_arg2424z00_2415);
																		BgL_modz00_2414 =
																			(BgL_offsetz00_2413 / BgL_auxz00_4427);
																}}
																{	/* Coerce/coerce.scm 220 */
																	long BgL_restz00_2416;

																	{	/* Coerce/coerce.scm 220 */
																		int BgL_arg2423z00_2417;

																		BgL_arg2423z00_2417 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 220 */
																			long BgL_auxz00_4431;

																			BgL_auxz00_4431 =
																				(long) (BgL_arg2423z00_2417);
																			BgL_restz00_2416 =
																				(BgL_offsetz00_2413 % BgL_auxz00_4431);
																	}}
																	{	/* Coerce/coerce.scm 220 */

																		BgL_method3417z00_2406 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2411,
																				(int) (BgL_modz00_2414)),
																			(int) (BgL_restz00_2416));
										}}}}}}}}
										BgL_res3812z00_2431 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2406) (BgL_method3417z00_2406,
												(obj_t) (BgL_arg3635z00_2399), BgL_callerz00_1520,
												(obj_t) (BgL_toz00_2404), BBOOL(BgL_safez00_2405),
												BEOA));
								}}
								BgL_arg3634z00_2398 = BgL_res3812z00_2431;
						}}
						((((BgL_castz00_bglt) CREF(BgL_nodez00_1519))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_arg3634z00_2398), BUNSPEC);
					}
					{	/* Coerce/coerce.scm 220 */
						BgL_typez00_bglt BgL_arg3636z00_2400;

						{
							BgL_nodez00_bglt BgL_auxz00_4445;

							BgL_auxz00_4445 = (BgL_nodez00_bglt) (BgL_nodez00_1519);
							BgL_arg3636z00_2400 =
								(((BgL_nodez00_bglt) CREF(BgL_auxz00_4445))->BgL_typez00);
						}
						BgL_auxz00_4415 =
							BGl_convertz12z12zzcoerce_convertz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1519), BgL_arg3636z00_2400,
							(BgL_typez00_bglt) (BgL_toz00_1521), CBOOL(BgL_safez00_1522));
					}
					return (obj_t) (BgL_auxz00_4415);
				}
			}
		}
	}



/* coerce!-vlength3445 */
	obj_t BGl_coercez12zd2vlength3445zc0zzcoerce_coercez00(obj_t BgL_envz00_3308,
		obj_t BgL_nodez00_3309, obj_t BgL_callerz00_3310, obj_t BgL_toz00_3311,
		obj_t BgL_safez00_3312)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 211 */
			{
				BgL_vlengthz00_bglt BgL_nodez00_1504;

				obj_t BgL_callerz00_1505;

				obj_t BgL_toz00_1506;

				obj_t BgL_safez00_1507;

				{	/* Coerce/coerce.scm 212 */
					BgL_nodez00_bglt BgL_auxz00_4454;

					BgL_nodez00_1504 = (BgL_vlengthz00_bglt) (BgL_nodez00_3309);
					BgL_callerz00_1505 = BgL_callerz00_3310;
					BgL_toz00_1506 = BgL_toz00_3311;
					BgL_safez00_1507 = BgL_safez00_3312;
					{	/* Coerce/coerce.scm 213 */
						obj_t BgL_arg3627z00_1511;

						BgL_nodez00_bglt BgL_arg3628z00_1512;

						{
							BgL_externz00_bglt BgL_auxz00_4455;

							BgL_auxz00_4455 = (BgL_externz00_bglt) (BgL_nodez00_1504);
							BgL_arg3627z00_1511 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_4455))->BgL_exprza2za2);
						}
						{	/* Coerce/coerce.scm 213 */
							obj_t BgL_arg3629z00_1513;

							BgL_typez00_bglt BgL_arg3630z00_1514;

							{	/* Coerce/coerce.scm 213 */
								obj_t BgL_pairz00_2362;

								{
									BgL_externz00_bglt BgL_auxz00_4458;

									BgL_auxz00_4458 = (BgL_externz00_bglt) (BgL_nodez00_1504);
									BgL_pairz00_2362 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_4458))->
										BgL_exprza2za2);
								}
								BgL_arg3629z00_1513 = CAR(BgL_pairz00_2362);
							}
							BgL_arg3630z00_1514 =
								(((BgL_vlengthz00_bglt) CREF(BgL_nodez00_1504))->BgL_vtypez00);
							{	/* Coerce/coerce.scm 213 */
								BgL_nodez00_bglt BgL_res3809z00_2393;

								{	/* Coerce/coerce.scm 213 */
									BgL_nodez00_bglt BgL_nodez00_2364;

									bool_t BgL_safez00_2367;

									BgL_nodez00_2364 = (BgL_nodez00_bglt) (BgL_arg3629z00_1513);
									BgL_safez00_2367 = CBOOL(BgL_safez00_1507);
									{	/* Coerce/coerce.scm 213 */
										obj_t BgL_method3417z00_2368;

										{	/* Coerce/coerce.scm 213 */
											BgL_objectz00_bglt BgL_objz00_2369;

											BgL_objz00_2369 = (BgL_objectz00_bglt) (BgL_nodez00_2364);
											{	/* Coerce/coerce.scm 213 */
												long BgL_objzd2classzd2numz00_2370;

												BgL_objzd2classzd2numz00_2370 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2369);
												{	/* Coerce/coerce.scm 213 */
													obj_t BgL_arg2422z00_2371;

													BgL_arg2422z00_2371 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 213 */
														obj_t BgL_arrayz00_2373;

														int BgL_offsetz00_2374;

														BgL_arrayz00_2373 = BgL_arg2422z00_2371;
														BgL_offsetz00_2374 =
															(int) (BgL_objzd2classzd2numz00_2370);
														{	/* Coerce/coerce.scm 213 */
															long BgL_offsetz00_2375;

															BgL_offsetz00_2375 =
																((long) (BgL_offsetz00_2374) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 213 */
																long BgL_modz00_2376;

																{	/* Coerce/coerce.scm 213 */
																	int BgL_arg2424z00_2377;

																	BgL_arg2424z00_2377 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 213 */
																		long BgL_auxz00_4473;

																		BgL_auxz00_4473 =
																			(long) (BgL_arg2424z00_2377);
																		BgL_modz00_2376 =
																			(BgL_offsetz00_2375 / BgL_auxz00_4473);
																}}
																{	/* Coerce/coerce.scm 213 */
																	long BgL_restz00_2378;

																	{	/* Coerce/coerce.scm 213 */
																		int BgL_arg2423z00_2379;

																		BgL_arg2423z00_2379 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 213 */
																			long BgL_auxz00_4477;

																			BgL_auxz00_4477 =
																				(long) (BgL_arg2423z00_2379);
																			BgL_restz00_2378 =
																				(BgL_offsetz00_2375 % BgL_auxz00_4477);
																	}}
																	{	/* Coerce/coerce.scm 213 */

																		BgL_method3417z00_2368 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2373,
																				(int) (BgL_modz00_2376)),
																			(int) (BgL_restz00_2378));
										}}}}}}}}
										BgL_res3809z00_2393 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2368) (BgL_method3417z00_2368,
												(obj_t) (BgL_nodez00_2364), BgL_callerz00_1505,
												(obj_t) (BgL_arg3630z00_1514), BBOOL(BgL_safez00_2367),
												BEOA));
								}}
								BgL_arg3628z00_1512 = BgL_res3809z00_2393;
						}}
						{	/* Coerce/coerce.scm 213 */
							obj_t BgL_auxz00_4490;

							BgL_auxz00_4490 = (obj_t) (BgL_arg3628z00_1512);
							SET_CAR(BgL_arg3627z00_1511, BgL_auxz00_4490);
					}}
					{	/* Coerce/coerce.scm 214 */
						BgL_typez00_bglt BgL_arg3632z00_1516;

						{
							BgL_nodez00_bglt BgL_auxz00_4493;

							BgL_auxz00_4493 = (BgL_nodez00_bglt) (BgL_nodez00_1504);
							BgL_arg3632z00_1516 =
								(((BgL_nodez00_bglt) CREF(BgL_auxz00_4493))->BgL_typez00);
						}
						BgL_auxz00_4454 =
							BGl_convertz12z12zzcoerce_convertz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1504), BgL_arg3632z00_1516,
							(BgL_typez00_bglt) (BgL_toz00_1506), CBOOL(BgL_safez00_1507));
					}
					return (obj_t) (BgL_auxz00_4454);
				}
			}
		}
	}



/* coerce!-vset!3443 */
	obj_t BGl_coercez12zd2vsetz123443zd2zzcoerce_coercez00(obj_t BgL_envz00_3313,
		obj_t BgL_nodez00_3314, obj_t BgL_callerz00_3315, obj_t BgL_toz00_3316,
		obj_t BgL_safez00_3317)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 199 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_1475;

				obj_t BgL_callerz00_1476;

				obj_t BgL_toz00_1477;

				obj_t BgL_safez00_1478;

				{	/* Coerce/coerce.scm 200 */
					BgL_nodez00_bglt BgL_auxz00_4502;

					BgL_nodez00_1475 = (BgL_vsetz12z12_bglt) (BgL_nodez00_3314);
					BgL_callerz00_1476 = BgL_callerz00_3315;
					BgL_toz00_1477 = BgL_toz00_3316;
					BgL_safez00_1478 = BgL_safez00_3317;
					{	/* Coerce/coerce.scm 202 */
						obj_t BgL_ftypez00_1482;

						{	/* Coerce/coerce.scm 202 */
							bool_t BgL_testz00_4503;

							{	/* Coerce/coerce.scm 202 */
								BgL_typez00_bglt BgL_arg3625z00_1501;

								BgL_arg3625z00_1501 =
									(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1475))->
									BgL_ftypez00);
								BgL_testz00_4503 =
									((obj_t) (BgL_arg3625z00_1501) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_4503)
								{	/* Coerce/coerce.scm 202 */
									BgL_ftypez00_1482 = BGl_za2objza2z00zztype_cachez00;
								}
							else
								{	/* Coerce/coerce.scm 202 */
									BgL_ftypez00_1482 =
										(obj_t) (
										(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1475))->
											BgL_ftypez00));
								}
						}
						{	/* Coerce/coerce.scm 203 */
							obj_t BgL_arg3607z00_1483;

							BgL_nodez00_bglt BgL_arg3608z00_1484;

							{
								BgL_externz00_bglt BgL_auxz00_4509;

								BgL_auxz00_4509 = (BgL_externz00_bglt) (BgL_nodez00_1475);
								BgL_arg3607z00_1483 =
									(((BgL_externz00_bglt) CREF(BgL_auxz00_4509))->
									BgL_exprza2za2);
							}
							{	/* Coerce/coerce.scm 203 */
								obj_t BgL_arg3609z00_1485;

								BgL_typez00_bglt BgL_arg3610z00_1486;

								{	/* Coerce/coerce.scm 203 */
									obj_t BgL_pairz00_2241;

									{
										BgL_externz00_bglt BgL_auxz00_4512;

										BgL_auxz00_4512 = (BgL_externz00_bglt) (BgL_nodez00_1475);
										BgL_pairz00_2241 =
											(((BgL_externz00_bglt) CREF(BgL_auxz00_4512))->
											BgL_exprza2za2);
									}
									BgL_arg3609z00_1485 = CAR(BgL_pairz00_2241);
								}
								BgL_arg3610z00_1486 =
									(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1475))->
									BgL_vtypez00);
								{	/* Coerce/coerce.scm 203 */
									BgL_nodez00_bglt BgL_res3800z00_2272;

									{	/* Coerce/coerce.scm 203 */
										BgL_nodez00_bglt BgL_nodez00_2243;

										bool_t BgL_safez00_2246;

										BgL_nodez00_2243 = (BgL_nodez00_bglt) (BgL_arg3609z00_1485);
										BgL_safez00_2246 = CBOOL(BgL_safez00_1478);
										{	/* Coerce/coerce.scm 203 */
											obj_t BgL_method3417z00_2247;

											{	/* Coerce/coerce.scm 203 */
												BgL_objectz00_bglt BgL_objz00_2248;

												BgL_objz00_2248 =
													(BgL_objectz00_bglt) (BgL_nodez00_2243);
												{	/* Coerce/coerce.scm 203 */
													long BgL_objzd2classzd2numz00_2249;

													BgL_objzd2classzd2numz00_2249 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_2248);
													{	/* Coerce/coerce.scm 203 */
														obj_t BgL_arg2422z00_2250;

														BgL_arg2422z00_2250 =
															PROCEDURE_REF
															(BGl_coercez12zd2envzc0zzcoerce_coercez00,
															(int) (((long) 1)));
														{	/* Coerce/coerce.scm 203 */
															obj_t BgL_arrayz00_2252;

															int BgL_offsetz00_2253;

															BgL_arrayz00_2252 = BgL_arg2422z00_2250;
															BgL_offsetz00_2253 =
																(int) (BgL_objzd2classzd2numz00_2249);
															{	/* Coerce/coerce.scm 203 */
																long BgL_offsetz00_2254;

																BgL_offsetz00_2254 =
																	((long) (BgL_offsetz00_2253) - OBJECT_TYPE);
																{	/* Coerce/coerce.scm 203 */
																	long BgL_modz00_2255;

																	{	/* Coerce/coerce.scm 203 */
																		int BgL_arg2424z00_2256;

																		BgL_arg2424z00_2256 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 203 */
																			long BgL_auxz00_4527;

																			BgL_auxz00_4527 =
																				(long) (BgL_arg2424z00_2256);
																			BgL_modz00_2255 =
																				(BgL_offsetz00_2254 / BgL_auxz00_4527);
																	}}
																	{	/* Coerce/coerce.scm 203 */
																		long BgL_restz00_2257;

																		{	/* Coerce/coerce.scm 203 */
																			int BgL_arg2423z00_2258;

																			BgL_arg2423z00_2258 = (int) (((long) 8));
																			{	/* Coerce/coerce.scm 203 */
																				long BgL_auxz00_4531;

																				BgL_auxz00_4531 =
																					(long) (BgL_arg2423z00_2258);
																				BgL_restz00_2257 =
																					(BgL_offsetz00_2254 %
																					BgL_auxz00_4531);
																		}}
																		{	/* Coerce/coerce.scm 203 */

																			BgL_method3417z00_2247 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_2252,
																					(int) (BgL_modz00_2255)),
																				(int) (BgL_restz00_2257));
											}}}}}}}}
											BgL_res3800z00_2272 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3417z00_2247) (BgL_method3417z00_2247,
													(obj_t) (BgL_nodez00_2243), BgL_callerz00_1476,
													(obj_t) (BgL_arg3610z00_1486),
													BBOOL(BgL_safez00_2246), BEOA));
									}}
									BgL_arg3608z00_1484 = BgL_res3800z00_2272;
							}}
							{	/* Coerce/coerce.scm 203 */
								obj_t BgL_auxz00_4544;

								BgL_auxz00_4544 = (obj_t) (BgL_arg3608z00_1484);
								SET_CAR(BgL_arg3607z00_1483, BgL_auxz00_4544);
						}}
						{	/* Coerce/coerce.scm 204 */
							obj_t BgL_arg3612z00_1488;

							BgL_nodez00_bglt BgL_arg3613z00_1489;

							{	/* Coerce/coerce.scm 204 */
								obj_t BgL_pairz00_2276;

								{
									BgL_externz00_bglt BgL_auxz00_4547;

									BgL_auxz00_4547 = (BgL_externz00_bglt) (BgL_nodez00_1475);
									BgL_pairz00_2276 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_4547))->
										BgL_exprza2za2);
								}
								BgL_arg3612z00_1488 = CDR(BgL_pairz00_2276);
							}
							{	/* Coerce/coerce.scm 204 */
								obj_t BgL_arg3615z00_1491;

								BgL_typez00_bglt BgL_arg3616z00_1492;

								{	/* Coerce/coerce.scm 204 */
									obj_t BgL_pairz00_2278;

									{
										BgL_externz00_bglt BgL_auxz00_4551;

										BgL_auxz00_4551 = (BgL_externz00_bglt) (BgL_nodez00_1475);
										BgL_pairz00_2278 =
											(((BgL_externz00_bglt) CREF(BgL_auxz00_4551))->
											BgL_exprza2za2);
									}
									BgL_arg3615z00_1491 = CAR(CDR(BgL_pairz00_2278));
								}
								BgL_arg3616z00_1492 =
									(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1475))->
									BgL_otypez00);
								{	/* Coerce/coerce.scm 204 */
									BgL_nodez00_bglt BgL_res3803z00_2312;

									{	/* Coerce/coerce.scm 204 */
										BgL_nodez00_bglt BgL_nodez00_2283;

										bool_t BgL_safez00_2286;

										BgL_nodez00_2283 = (BgL_nodez00_bglt) (BgL_arg3615z00_1491);
										BgL_safez00_2286 = CBOOL(BgL_safez00_1478);
										{	/* Coerce/coerce.scm 204 */
											obj_t BgL_method3417z00_2287;

											{	/* Coerce/coerce.scm 204 */
												BgL_objectz00_bglt BgL_objz00_2288;

												BgL_objz00_2288 =
													(BgL_objectz00_bglt) (BgL_nodez00_2283);
												{	/* Coerce/coerce.scm 204 */
													long BgL_objzd2classzd2numz00_2289;

													BgL_objzd2classzd2numz00_2289 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_2288);
													{	/* Coerce/coerce.scm 204 */
														obj_t BgL_arg2422z00_2290;

														BgL_arg2422z00_2290 =
															PROCEDURE_REF
															(BGl_coercez12zd2envzc0zzcoerce_coercez00,
															(int) (((long) 1)));
														{	/* Coerce/coerce.scm 204 */
															obj_t BgL_arrayz00_2292;

															int BgL_offsetz00_2293;

															BgL_arrayz00_2292 = BgL_arg2422z00_2290;
															BgL_offsetz00_2293 =
																(int) (BgL_objzd2classzd2numz00_2289);
															{	/* Coerce/coerce.scm 204 */
																long BgL_offsetz00_2294;

																BgL_offsetz00_2294 =
																	((long) (BgL_offsetz00_2293) - OBJECT_TYPE);
																{	/* Coerce/coerce.scm 204 */
																	long BgL_modz00_2295;

																	{	/* Coerce/coerce.scm 204 */
																		int BgL_arg2424z00_2296;

																		BgL_arg2424z00_2296 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 204 */
																			long BgL_auxz00_4567;

																			BgL_auxz00_4567 =
																				(long) (BgL_arg2424z00_2296);
																			BgL_modz00_2295 =
																				(BgL_offsetz00_2294 / BgL_auxz00_4567);
																	}}
																	{	/* Coerce/coerce.scm 204 */
																		long BgL_restz00_2297;

																		{	/* Coerce/coerce.scm 204 */
																			int BgL_arg2423z00_2298;

																			BgL_arg2423z00_2298 = (int) (((long) 8));
																			{	/* Coerce/coerce.scm 204 */
																				long BgL_auxz00_4571;

																				BgL_auxz00_4571 =
																					(long) (BgL_arg2423z00_2298);
																				BgL_restz00_2297 =
																					(BgL_offsetz00_2294 %
																					BgL_auxz00_4571);
																		}}
																		{	/* Coerce/coerce.scm 204 */

																			BgL_method3417z00_2287 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_2292,
																					(int) (BgL_modz00_2295)),
																				(int) (BgL_restz00_2297));
											}}}}}}}}
											BgL_res3803z00_2312 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3417z00_2287) (BgL_method3417z00_2287,
													(obj_t) (BgL_nodez00_2283), BgL_callerz00_1476,
													(obj_t) (BgL_arg3616z00_1492),
													BBOOL(BgL_safez00_2286), BEOA));
									}}
									BgL_arg3613z00_1489 = BgL_res3803z00_2312;
							}}
							{	/* Coerce/coerce.scm 204 */
								obj_t BgL_auxz00_4584;

								BgL_auxz00_4584 = (obj_t) (BgL_arg3613z00_1489);
								SET_CAR(BgL_arg3612z00_1488, BgL_auxz00_4584);
						}}
						{	/* Coerce/coerce.scm 205 */
							obj_t BgL_arg3618z00_1494;

							BgL_nodez00_bglt BgL_arg3619z00_1495;

							{	/* Coerce/coerce.scm 205 */
								obj_t BgL_pairz00_2316;

								{
									BgL_externz00_bglt BgL_auxz00_4587;

									BgL_auxz00_4587 = (BgL_externz00_bglt) (BgL_nodez00_1475);
									BgL_pairz00_2316 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_4587))->
										BgL_exprza2za2);
								}
								BgL_arg3618z00_1494 = CDR(CDR(BgL_pairz00_2316));
							}
							{	/* Coerce/coerce.scm 205 */
								obj_t BgL_arg3621z00_1497;

								{	/* Coerce/coerce.scm 205 */
									obj_t BgL_pairz00_2321;

									{
										BgL_externz00_bglt BgL_auxz00_4592;

										BgL_auxz00_4592 = (BgL_externz00_bglt) (BgL_nodez00_1475);
										BgL_pairz00_2321 =
											(((BgL_externz00_bglt) CREF(BgL_auxz00_4592))->
											BgL_exprza2za2);
									}
									BgL_arg3621z00_1497 = CAR(CDR(CDR(BgL_pairz00_2321)));
								}
								{	/* Coerce/coerce.scm 205 */
									BgL_nodez00_bglt BgL_res3806z00_2356;

									{	/* Coerce/coerce.scm 205 */
										BgL_nodez00_bglt BgL_nodez00_2327;

										BgL_typez00_bglt BgL_toz00_2329;

										bool_t BgL_safez00_2330;

										BgL_nodez00_2327 = (BgL_nodez00_bglt) (BgL_arg3621z00_1497);
										BgL_toz00_2329 = (BgL_typez00_bglt) (BgL_ftypez00_1482);
										BgL_safez00_2330 = CBOOL(BgL_safez00_1478);
										{	/* Coerce/coerce.scm 205 */
											obj_t BgL_method3417z00_2331;

											{	/* Coerce/coerce.scm 205 */
												BgL_objectz00_bglt BgL_objz00_2332;

												BgL_objz00_2332 =
													(BgL_objectz00_bglt) (BgL_nodez00_2327);
												{	/* Coerce/coerce.scm 205 */
													long BgL_objzd2classzd2numz00_2333;

													BgL_objzd2classzd2numz00_2333 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_2332);
													{	/* Coerce/coerce.scm 205 */
														obj_t BgL_arg2422z00_2334;

														BgL_arg2422z00_2334 =
															PROCEDURE_REF
															(BGl_coercez12zd2envzc0zzcoerce_coercez00,
															(int) (((long) 1)));
														{	/* Coerce/coerce.scm 205 */
															obj_t BgL_arrayz00_2336;

															int BgL_offsetz00_2337;

															BgL_arrayz00_2336 = BgL_arg2422z00_2334;
															BgL_offsetz00_2337 =
																(int) (BgL_objzd2classzd2numz00_2333);
															{	/* Coerce/coerce.scm 205 */
																long BgL_offsetz00_2338;

																BgL_offsetz00_2338 =
																	((long) (BgL_offsetz00_2337) - OBJECT_TYPE);
																{	/* Coerce/coerce.scm 205 */
																	long BgL_modz00_2339;

																	{	/* Coerce/coerce.scm 205 */
																		int BgL_arg2424z00_2340;

																		BgL_arg2424z00_2340 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 205 */
																			long BgL_auxz00_4609;

																			BgL_auxz00_4609 =
																				(long) (BgL_arg2424z00_2340);
																			BgL_modz00_2339 =
																				(BgL_offsetz00_2338 / BgL_auxz00_4609);
																	}}
																	{	/* Coerce/coerce.scm 205 */
																		long BgL_restz00_2341;

																		{	/* Coerce/coerce.scm 205 */
																			int BgL_arg2423z00_2342;

																			BgL_arg2423z00_2342 = (int) (((long) 8));
																			{	/* Coerce/coerce.scm 205 */
																				long BgL_auxz00_4613;

																				BgL_auxz00_4613 =
																					(long) (BgL_arg2423z00_2342);
																				BgL_restz00_2341 =
																					(BgL_offsetz00_2338 %
																					BgL_auxz00_4613);
																		}}
																		{	/* Coerce/coerce.scm 205 */

																			BgL_method3417z00_2331 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_2336,
																					(int) (BgL_modz00_2339)),
																				(int) (BgL_restz00_2341));
											}}}}}}}}
											BgL_res3806z00_2356 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3417z00_2331) (BgL_method3417z00_2331,
													(obj_t) (BgL_nodez00_2327), BgL_callerz00_1476,
													(obj_t) (BgL_toz00_2329), BBOOL(BgL_safez00_2330),
													BEOA));
									}}
									BgL_arg3619z00_1495 = BgL_res3806z00_2356;
							}}
							{	/* Coerce/coerce.scm 205 */
								obj_t BgL_auxz00_4626;

								BgL_auxz00_4626 = (obj_t) (BgL_arg3619z00_1495);
								SET_CAR(BgL_arg3618z00_1494, BgL_auxz00_4626);
						}}
						{	/* Coerce/coerce.scm 206 */
							BgL_typez00_bglt BgL_arg3623z00_1499;

							{
								BgL_nodez00_bglt BgL_auxz00_4629;

								BgL_auxz00_4629 = (BgL_nodez00_bglt) (BgL_nodez00_1475);
								BgL_arg3623z00_1499 =
									(((BgL_nodez00_bglt) CREF(BgL_auxz00_4629))->BgL_typez00);
							}
							BgL_auxz00_4502 =
								BGl_convertz12z12zzcoerce_convertz00(
								(BgL_nodez00_bglt) (BgL_nodez00_1475), BgL_arg3623z00_1499,
								(BgL_typez00_bglt) (BgL_toz00_1477), CBOOL(BgL_safez00_1478));
					}}
					return (obj_t) (BgL_auxz00_4502);
				}
			}
		}
	}



/* coerce!-vref3441 */
	obj_t BGl_coercez12zd2vref3441zc0zzcoerce_coercez00(obj_t BgL_envz00_3318,
		obj_t BgL_nodez00_3319, obj_t BgL_callerz00_3320, obj_t BgL_toz00_3321,
		obj_t BgL_safez00_3322)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 183 */
			{
				BgL_vrefz00_bglt BgL_nodez00_1452;

				obj_t BgL_callerz00_1453;

				obj_t BgL_toz00_1454;

				obj_t BgL_safez00_1455;

				{	/* Coerce/coerce.scm 184 */
					BgL_nodez00_bglt BgL_auxz00_4638;

					BgL_nodez00_1452 = (BgL_vrefz00_bglt) (BgL_nodez00_3319);
					BgL_callerz00_1453 = BgL_callerz00_3320;
					BgL_toz00_1454 = BgL_toz00_3321;
					BgL_safez00_1455 = BgL_safez00_3322;
					{	/* Coerce/coerce.scm 191 */
						obj_t BgL_ftypez00_1459;

						{	/* Coerce/coerce.scm 191 */
							bool_t BgL_testz00_4639;

							{	/* Coerce/coerce.scm 191 */
								BgL_typez00_bglt BgL_arg3605z00_1472;

								BgL_arg3605z00_1472 =
									(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1452))->BgL_ftypez00);
								BgL_testz00_4639 =
									(
									(obj_t) (BgL_arg3605z00_1472) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_4639)
								{	/* Coerce/coerce.scm 191 */
									BgL_ftypez00_1459 = BGl_za2objza2z00zztype_cachez00;
								}
							else
								{	/* Coerce/coerce.scm 191 */
									BgL_ftypez00_1459 =
										(obj_t) (
										(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1452))->
											BgL_ftypez00));
								}
						}
						{	/* Coerce/coerce.scm 192 */
							obj_t BgL_arg3593z00_1460;

							BgL_nodez00_bglt BgL_arg3594z00_1461;

							{
								BgL_externz00_bglt BgL_auxz00_4645;

								BgL_auxz00_4645 = (BgL_externz00_bglt) (BgL_nodez00_1452);
								BgL_arg3593z00_1460 =
									(((BgL_externz00_bglt) CREF(BgL_auxz00_4645))->
									BgL_exprza2za2);
							}
							{	/* Coerce/coerce.scm 192 */
								obj_t BgL_arg3595z00_1462;

								BgL_typez00_bglt BgL_arg3596z00_1463;

								{	/* Coerce/coerce.scm 192 */
									obj_t BgL_pairz00_2163;

									{
										BgL_externz00_bglt BgL_auxz00_4648;

										BgL_auxz00_4648 = (BgL_externz00_bglt) (BgL_nodez00_1452);
										BgL_pairz00_2163 =
											(((BgL_externz00_bglt) CREF(BgL_auxz00_4648))->
											BgL_exprza2za2);
									}
									BgL_arg3595z00_1462 = CAR(BgL_pairz00_2163);
								}
								BgL_arg3596z00_1463 =
									(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1452))->BgL_vtypez00);
								{	/* Coerce/coerce.scm 192 */
									BgL_nodez00_bglt BgL_res3794z00_2194;

									{	/* Coerce/coerce.scm 192 */
										BgL_nodez00_bglt BgL_nodez00_2165;

										bool_t BgL_safez00_2168;

										BgL_nodez00_2165 = (BgL_nodez00_bglt) (BgL_arg3595z00_1462);
										BgL_safez00_2168 = CBOOL(BgL_safez00_1455);
										{	/* Coerce/coerce.scm 192 */
											obj_t BgL_method3417z00_2169;

											{	/* Coerce/coerce.scm 192 */
												BgL_objectz00_bglt BgL_objz00_2170;

												BgL_objz00_2170 =
													(BgL_objectz00_bglt) (BgL_nodez00_2165);
												{	/* Coerce/coerce.scm 192 */
													long BgL_objzd2classzd2numz00_2171;

													BgL_objzd2classzd2numz00_2171 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_2170);
													{	/* Coerce/coerce.scm 192 */
														obj_t BgL_arg2422z00_2172;

														BgL_arg2422z00_2172 =
															PROCEDURE_REF
															(BGl_coercez12zd2envzc0zzcoerce_coercez00,
															(int) (((long) 1)));
														{	/* Coerce/coerce.scm 192 */
															obj_t BgL_arrayz00_2174;

															int BgL_offsetz00_2175;

															BgL_arrayz00_2174 = BgL_arg2422z00_2172;
															BgL_offsetz00_2175 =
																(int) (BgL_objzd2classzd2numz00_2171);
															{	/* Coerce/coerce.scm 192 */
																long BgL_offsetz00_2176;

																BgL_offsetz00_2176 =
																	((long) (BgL_offsetz00_2175) - OBJECT_TYPE);
																{	/* Coerce/coerce.scm 192 */
																	long BgL_modz00_2177;

																	{	/* Coerce/coerce.scm 192 */
																		int BgL_arg2424z00_2178;

																		BgL_arg2424z00_2178 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 192 */
																			long BgL_auxz00_4663;

																			BgL_auxz00_4663 =
																				(long) (BgL_arg2424z00_2178);
																			BgL_modz00_2177 =
																				(BgL_offsetz00_2176 / BgL_auxz00_4663);
																	}}
																	{	/* Coerce/coerce.scm 192 */
																		long BgL_restz00_2179;

																		{	/* Coerce/coerce.scm 192 */
																			int BgL_arg2423z00_2180;

																			BgL_arg2423z00_2180 = (int) (((long) 8));
																			{	/* Coerce/coerce.scm 192 */
																				long BgL_auxz00_4667;

																				BgL_auxz00_4667 =
																					(long) (BgL_arg2423z00_2180);
																				BgL_restz00_2179 =
																					(BgL_offsetz00_2176 %
																					BgL_auxz00_4667);
																		}}
																		{	/* Coerce/coerce.scm 192 */

																			BgL_method3417z00_2169 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_2174,
																					(int) (BgL_modz00_2177)),
																				(int) (BgL_restz00_2179));
											}}}}}}}}
											BgL_res3794z00_2194 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3417z00_2169) (BgL_method3417z00_2169,
													(obj_t) (BgL_nodez00_2165), BgL_callerz00_1453,
													(obj_t) (BgL_arg3596z00_1463),
													BBOOL(BgL_safez00_2168), BEOA));
									}}
									BgL_arg3594z00_1461 = BgL_res3794z00_2194;
							}}
							{	/* Coerce/coerce.scm 192 */
								obj_t BgL_auxz00_4680;

								BgL_auxz00_4680 = (obj_t) (BgL_arg3594z00_1461);
								SET_CAR(BgL_arg3593z00_1460, BgL_auxz00_4680);
						}}
						{	/* Coerce/coerce.scm 193 */
							obj_t BgL_arg3598z00_1465;

							BgL_nodez00_bglt BgL_arg3599z00_1466;

							{	/* Coerce/coerce.scm 193 */
								obj_t BgL_pairz00_2198;

								{
									BgL_externz00_bglt BgL_auxz00_4683;

									BgL_auxz00_4683 = (BgL_externz00_bglt) (BgL_nodez00_1452);
									BgL_pairz00_2198 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_4683))->
										BgL_exprza2za2);
								}
								BgL_arg3598z00_1465 = CDR(BgL_pairz00_2198);
							}
							{	/* Coerce/coerce.scm 193 */
								obj_t BgL_arg3601z00_1468;

								BgL_typez00_bglt BgL_arg3602z00_1469;

								{	/* Coerce/coerce.scm 193 */
									obj_t BgL_pairz00_2200;

									{
										BgL_externz00_bglt BgL_auxz00_4687;

										BgL_auxz00_4687 = (BgL_externz00_bglt) (BgL_nodez00_1452);
										BgL_pairz00_2200 =
											(((BgL_externz00_bglt) CREF(BgL_auxz00_4687))->
											BgL_exprza2za2);
									}
									BgL_arg3601z00_1468 = CAR(CDR(BgL_pairz00_2200));
								}
								BgL_arg3602z00_1469 =
									(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1452))->BgL_otypez00);
								{	/* Coerce/coerce.scm 193 */
									BgL_nodez00_bglt BgL_res3797z00_2234;

									{	/* Coerce/coerce.scm 193 */
										BgL_nodez00_bglt BgL_nodez00_2205;

										bool_t BgL_safez00_2208;

										BgL_nodez00_2205 = (BgL_nodez00_bglt) (BgL_arg3601z00_1468);
										BgL_safez00_2208 = CBOOL(BgL_safez00_1455);
										{	/* Coerce/coerce.scm 193 */
											obj_t BgL_method3417z00_2209;

											{	/* Coerce/coerce.scm 193 */
												BgL_objectz00_bglt BgL_objz00_2210;

												BgL_objz00_2210 =
													(BgL_objectz00_bglt) (BgL_nodez00_2205);
												{	/* Coerce/coerce.scm 193 */
													long BgL_objzd2classzd2numz00_2211;

													BgL_objzd2classzd2numz00_2211 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_2210);
													{	/* Coerce/coerce.scm 193 */
														obj_t BgL_arg2422z00_2212;

														BgL_arg2422z00_2212 =
															PROCEDURE_REF
															(BGl_coercez12zd2envzc0zzcoerce_coercez00,
															(int) (((long) 1)));
														{	/* Coerce/coerce.scm 193 */
															obj_t BgL_arrayz00_2214;

															int BgL_offsetz00_2215;

															BgL_arrayz00_2214 = BgL_arg2422z00_2212;
															BgL_offsetz00_2215 =
																(int) (BgL_objzd2classzd2numz00_2211);
															{	/* Coerce/coerce.scm 193 */
																long BgL_offsetz00_2216;

																BgL_offsetz00_2216 =
																	((long) (BgL_offsetz00_2215) - OBJECT_TYPE);
																{	/* Coerce/coerce.scm 193 */
																	long BgL_modz00_2217;

																	{	/* Coerce/coerce.scm 193 */
																		int BgL_arg2424z00_2218;

																		BgL_arg2424z00_2218 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 193 */
																			long BgL_auxz00_4703;

																			BgL_auxz00_4703 =
																				(long) (BgL_arg2424z00_2218);
																			BgL_modz00_2217 =
																				(BgL_offsetz00_2216 / BgL_auxz00_4703);
																	}}
																	{	/* Coerce/coerce.scm 193 */
																		long BgL_restz00_2219;

																		{	/* Coerce/coerce.scm 193 */
																			int BgL_arg2423z00_2220;

																			BgL_arg2423z00_2220 = (int) (((long) 8));
																			{	/* Coerce/coerce.scm 193 */
																				long BgL_auxz00_4707;

																				BgL_auxz00_4707 =
																					(long) (BgL_arg2423z00_2220);
																				BgL_restz00_2219 =
																					(BgL_offsetz00_2216 %
																					BgL_auxz00_4707);
																		}}
																		{	/* Coerce/coerce.scm 193 */

																			BgL_method3417z00_2209 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_2214,
																					(int) (BgL_modz00_2217)),
																				(int) (BgL_restz00_2219));
											}}}}}}}}
											BgL_res3797z00_2234 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3417z00_2209) (BgL_method3417z00_2209,
													(obj_t) (BgL_nodez00_2205), BgL_callerz00_1453,
													(obj_t) (BgL_arg3602z00_1469),
													BBOOL(BgL_safez00_2208), BEOA));
									}}
									BgL_arg3599z00_1466 = BgL_res3797z00_2234;
							}}
							{	/* Coerce/coerce.scm 193 */
								obj_t BgL_auxz00_4720;

								BgL_auxz00_4720 = (obj_t) (BgL_arg3599z00_1466);
								SET_CAR(BgL_arg3598z00_1465, BgL_auxz00_4720);
						}}
						BgL_auxz00_4638 =
							BGl_convertz12z12zzcoerce_convertz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1452),
							(BgL_typez00_bglt) (BgL_ftypez00_1459),
							(BgL_typez00_bglt) (BgL_toz00_1454), CBOOL(BgL_safez00_1455));
					}
					return (obj_t) (BgL_auxz00_4638);
				}
			}
		}
	}



/* coerce!-valloc3439 */
	obj_t BGl_coercez12zd2valloc3439zc0zzcoerce_coercez00(obj_t BgL_envz00_3323,
		obj_t BgL_nodez00_3324, obj_t BgL_callerz00_3325, obj_t BgL_toz00_3326,
		obj_t BgL_safez00_3327)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 175 */
			{
				BgL_vallocz00_bglt BgL_nodez00_1437;

				obj_t BgL_callerz00_1438;

				obj_t BgL_toz00_1439;

				obj_t BgL_safez00_1440;

				{	/* Coerce/coerce.scm 176 */
					BgL_nodez00_bglt BgL_auxz00_4730;

					BgL_nodez00_1437 = (BgL_vallocz00_bglt) (BgL_nodez00_3324);
					BgL_callerz00_1438 = BgL_callerz00_3325;
					BgL_toz00_1439 = BgL_toz00_3326;
					BgL_safez00_1440 = BgL_safez00_3327;
					{	/* Coerce/coerce.scm 177 */
						obj_t BgL_arg3586z00_1444;

						BgL_nodez00_bglt BgL_arg3587z00_1445;

						{
							BgL_externz00_bglt BgL_auxz00_4731;

							BgL_auxz00_4731 = (BgL_externz00_bglt) (BgL_nodez00_1437);
							BgL_arg3586z00_1444 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_4731))->BgL_exprza2za2);
						}
						{	/* Coerce/coerce.scm 177 */
							obj_t BgL_arg3588z00_1446;

							BgL_typez00_bglt BgL_arg3589z00_1447;

							{	/* Coerce/coerce.scm 177 */
								obj_t BgL_pairz00_2124;

								{
									BgL_externz00_bglt BgL_auxz00_4734;

									BgL_auxz00_4734 = (BgL_externz00_bglt) (BgL_nodez00_1437);
									BgL_pairz00_2124 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_4734))->
										BgL_exprza2za2);
								}
								BgL_arg3588z00_1446 = CAR(BgL_pairz00_2124);
							}
							BgL_arg3589z00_1447 =
								(((BgL_vallocz00_bglt) CREF(BgL_nodez00_1437))->BgL_otypez00);
							{	/* Coerce/coerce.scm 177 */
								BgL_nodez00_bglt BgL_res3791z00_2155;

								{	/* Coerce/coerce.scm 177 */
									BgL_nodez00_bglt BgL_nodez00_2126;

									bool_t BgL_safez00_2129;

									BgL_nodez00_2126 = (BgL_nodez00_bglt) (BgL_arg3588z00_1446);
									BgL_safez00_2129 = CBOOL(BgL_safez00_1440);
									{	/* Coerce/coerce.scm 177 */
										obj_t BgL_method3417z00_2130;

										{	/* Coerce/coerce.scm 177 */
											BgL_objectz00_bglt BgL_objz00_2131;

											BgL_objz00_2131 = (BgL_objectz00_bglt) (BgL_nodez00_2126);
											{	/* Coerce/coerce.scm 177 */
												long BgL_objzd2classzd2numz00_2132;

												BgL_objzd2classzd2numz00_2132 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2131);
												{	/* Coerce/coerce.scm 177 */
													obj_t BgL_arg2422z00_2133;

													BgL_arg2422z00_2133 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 177 */
														obj_t BgL_arrayz00_2135;

														int BgL_offsetz00_2136;

														BgL_arrayz00_2135 = BgL_arg2422z00_2133;
														BgL_offsetz00_2136 =
															(int) (BgL_objzd2classzd2numz00_2132);
														{	/* Coerce/coerce.scm 177 */
															long BgL_offsetz00_2137;

															BgL_offsetz00_2137 =
																((long) (BgL_offsetz00_2136) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 177 */
																long BgL_modz00_2138;

																{	/* Coerce/coerce.scm 177 */
																	int BgL_arg2424z00_2139;

																	BgL_arg2424z00_2139 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 177 */
																		long BgL_auxz00_4749;

																		BgL_auxz00_4749 =
																			(long) (BgL_arg2424z00_2139);
																		BgL_modz00_2138 =
																			(BgL_offsetz00_2137 / BgL_auxz00_4749);
																}}
																{	/* Coerce/coerce.scm 177 */
																	long BgL_restz00_2140;

																	{	/* Coerce/coerce.scm 177 */
																		int BgL_arg2423z00_2141;

																		BgL_arg2423z00_2141 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 177 */
																			long BgL_auxz00_4753;

																			BgL_auxz00_4753 =
																				(long) (BgL_arg2423z00_2141);
																			BgL_restz00_2140 =
																				(BgL_offsetz00_2137 % BgL_auxz00_4753);
																	}}
																	{	/* Coerce/coerce.scm 177 */

																		BgL_method3417z00_2130 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2135,
																				(int) (BgL_modz00_2138)),
																			(int) (BgL_restz00_2140));
										}}}}}}}}
										BgL_res3791z00_2155 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2130) (BgL_method3417z00_2130,
												(obj_t) (BgL_nodez00_2126), BgL_callerz00_1438,
												(obj_t) (BgL_arg3589z00_1447), BBOOL(BgL_safez00_2129),
												BEOA));
								}}
								BgL_arg3587z00_1445 = BgL_res3791z00_2155;
						}}
						{	/* Coerce/coerce.scm 177 */
							obj_t BgL_auxz00_4766;

							BgL_auxz00_4766 = (obj_t) (BgL_arg3587z00_1445);
							SET_CAR(BgL_arg3586z00_1444, BgL_auxz00_4766);
					}}
					{	/* Coerce/coerce.scm 178 */
						BgL_typez00_bglt BgL_arg3591z00_1449;

						{
							BgL_nodez00_bglt BgL_auxz00_4769;

							BgL_auxz00_4769 = (BgL_nodez00_bglt) (BgL_nodez00_1437);
							BgL_arg3591z00_1449 =
								(((BgL_nodez00_bglt) CREF(BgL_auxz00_4769))->BgL_typez00);
						}
						BgL_auxz00_4730 =
							BGl_convertz12z12zzcoerce_convertz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1437), BgL_arg3591z00_1449,
							(BgL_typez00_bglt) (BgL_toz00_1439), CBOOL(BgL_safez00_1440));
					}
					return (obj_t) (BgL_auxz00_4730);
				}
			}
		}
	}



/* coerce!-new3437 */
	obj_t BGl_coercez12zd2new3437zc0zzcoerce_coercez00(obj_t BgL_envz00_3328,
		obj_t BgL_nodez00_3329, obj_t BgL_callerz00_3330, obj_t BgL_toz00_3331,
		obj_t BgL_safez00_3332)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 159 */
			{
				BgL_newz00_bglt BgL_nodez00_1415;

				obj_t BgL_callerz00_1416;

				obj_t BgL_toz00_1417;

				obj_t BgL_safez00_1418;

				{	/* Coerce/coerce.scm 160 */
					BgL_nodez00_bglt BgL_auxz00_4778;

					BgL_nodez00_1415 = (BgL_newz00_bglt) (BgL_nodez00_3329);
					BgL_callerz00_1416 = BgL_callerz00_3330;
					BgL_toz00_1417 = BgL_toz00_3331;
					BgL_safez00_1418 = BgL_safez00_3332;
					{
						obj_t BgL_lz00_1424;

						{	/* Coerce/coerce.scm 161 */
							obj_t BgL_arg3574z00_1423;

							{
								BgL_externz00_bglt BgL_auxz00_4779;

								BgL_auxz00_4779 = (BgL_externz00_bglt) (BgL_nodez00_1415);
								BgL_arg3574z00_1423 =
									(((BgL_externz00_bglt) CREF(BgL_auxz00_4779))->
									BgL_exprza2za2);
							}
							BgL_lz00_1424 = BgL_arg3574z00_1423;
						BgL_zc3anonymousza33575ze3z83_1425:
							if (NULLP(BgL_lz00_1424))
								{	/* Coerce/coerce.scm 163 */
									BgL_typez00_bglt BgL_arg3577z00_1427;

									{
										BgL_nodez00_bglt BgL_auxz00_4784;

										BgL_auxz00_4784 = (BgL_nodez00_bglt) (BgL_nodez00_1415);
										BgL_arg3577z00_1427 =
											(((BgL_nodez00_bglt) CREF(BgL_auxz00_4784))->BgL_typez00);
									}
									BGl_convertz12z12zzcoerce_convertz00(
										(BgL_nodez00_bglt) (BgL_nodez00_1415), BgL_arg3577z00_1427,
										(BgL_typez00_bglt) (BgL_toz00_1417),
										CBOOL(BgL_safez00_1418));
								}
							else
								{	/* Coerce/coerce.scm 162 */
									{	/* Coerce/coerce.scm 165 */
										BgL_nodez00_bglt BgL_arg3578z00_1428;

										{	/* Coerce/coerce.scm 165 */
											obj_t BgL_arg3579z00_1429;

											BgL_typez00_bglt BgL_arg3580z00_1430;

											BgL_arg3579z00_1429 = CAR(BgL_lz00_1424);
											{	/* Coerce/coerce.scm 167 */
												obj_t BgL_arg3581z00_1431;

												BgL_arg3581z00_1431 = CAR(BgL_lz00_1424);
												BgL_arg3580z00_1430 =
													BGl_typeofz00zztype_typeofz00(
													(BgL_nodez00_bglt) (BgL_arg3581z00_1431));
											}
											{	/* Coerce/coerce.scm 165 */
												BgL_nodez00_bglt BgL_res3788z00_2117;

												{	/* Coerce/coerce.scm 165 */
													BgL_nodez00_bglt BgL_nodez00_2088;

													bool_t BgL_safez00_2091;

													BgL_nodez00_2088 =
														(BgL_nodez00_bglt) (BgL_arg3579z00_1429);
													BgL_safez00_2091 = CBOOL(BgL_safez00_1418);
													{	/* Coerce/coerce.scm 165 */
														obj_t BgL_method3417z00_2092;

														{	/* Coerce/coerce.scm 165 */
															BgL_objectz00_bglt BgL_objz00_2093;

															BgL_objz00_2093 =
																(BgL_objectz00_bglt) (BgL_nodez00_2088);
															{	/* Coerce/coerce.scm 165 */
																long BgL_objzd2classzd2numz00_2094;

																BgL_objzd2classzd2numz00_2094 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_2093);
																{	/* Coerce/coerce.scm 165 */
																	obj_t BgL_arg2422z00_2095;

																	BgL_arg2422z00_2095 =
																		PROCEDURE_REF
																		(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																		(int) (((long) 1)));
																	{	/* Coerce/coerce.scm 165 */
																		obj_t BgL_arrayz00_2097;

																		int BgL_offsetz00_2098;

																		BgL_arrayz00_2097 = BgL_arg2422z00_2095;
																		BgL_offsetz00_2098 =
																			(int) (BgL_objzd2classzd2numz00_2094);
																		{	/* Coerce/coerce.scm 165 */
																			long BgL_offsetz00_2099;

																			BgL_offsetz00_2099 =
																				(
																				(long) (BgL_offsetz00_2098) -
																				OBJECT_TYPE);
																			{	/* Coerce/coerce.scm 165 */
																				long BgL_modz00_2100;

																				{	/* Coerce/coerce.scm 165 */
																					int BgL_arg2424z00_2101;

																					BgL_arg2424z00_2101 =
																						(int) (((long) 8));
																					{	/* Coerce/coerce.scm 165 */
																						long BgL_auxz00_4805;

																						BgL_auxz00_4805 =
																							(long) (BgL_arg2424z00_2101);
																						BgL_modz00_2100 =
																							(BgL_offsetz00_2099 /
																							BgL_auxz00_4805);
																				}}
																				{	/* Coerce/coerce.scm 165 */
																					long BgL_restz00_2102;

																					{	/* Coerce/coerce.scm 165 */
																						int BgL_arg2423z00_2103;

																						BgL_arg2423z00_2103 =
																							(int) (((long) 8));
																						{	/* Coerce/coerce.scm 165 */
																							long BgL_auxz00_4809;

																							BgL_auxz00_4809 =
																								(long) (BgL_arg2423z00_2103);
																							BgL_restz00_2102 =
																								(BgL_offsetz00_2099 %
																								BgL_auxz00_4809);
																					}}
																					{	/* Coerce/coerce.scm 165 */

																						BgL_method3417z00_2092 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_2097,
																								(int) (BgL_modz00_2100)),
																							(int) (BgL_restz00_2102));
														}}}}}}}}
														BgL_res3788z00_2117 =
															(BgL_nodez00_bglt) (PROCEDURE_ENTRY
															(BgL_method3417z00_2092) (BgL_method3417z00_2092,
																(obj_t) (BgL_nodez00_2088), BgL_callerz00_1416,
																(obj_t) (BgL_arg3580z00_1430),
																BBOOL(BgL_safez00_2091), BEOA));
												}}
												BgL_arg3578z00_1428 = BgL_res3788z00_2117;
										}}
										{	/* Coerce/coerce.scm 165 */
											obj_t BgL_auxz00_4822;

											BgL_auxz00_4822 = (obj_t) (BgL_arg3578z00_1428);
											SET_CAR(BgL_lz00_1424, BgL_auxz00_4822);
									}}
									{
										obj_t BgL_lz00_4825;

										BgL_lz00_4825 = CDR(BgL_lz00_1424);
										BgL_lz00_1424 = BgL_lz00_4825;
										goto BgL_zc3anonymousza33575ze3z83_1425;
									}
								}
						}
					}
					{	/* Coerce/coerce.scm 170 */
						BgL_typez00_bglt BgL_arg3584z00_1434;

						{
							BgL_nodez00_bglt BgL_auxz00_4827;

							BgL_auxz00_4827 = (BgL_nodez00_bglt) (BgL_nodez00_1415);
							BgL_arg3584z00_1434 =
								(((BgL_nodez00_bglt) CREF(BgL_auxz00_4827))->BgL_typez00);
						}
						BgL_auxz00_4778 =
							BGl_convertz12z12zzcoerce_convertz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1415), BgL_arg3584z00_1434,
							(BgL_typez00_bglt) (BgL_toz00_1417), CBOOL(BgL_safez00_1418));
					}
					return (obj_t) (BgL_auxz00_4778);
				}
			}
		}
	}



/* coerce!-setfield3434 */
	obj_t BGl_coercez12zd2setfield3434zc0zzcoerce_coercez00(obj_t BgL_envz00_3333,
		obj_t BgL_nodez00_3334, obj_t BgL_callerz00_3335, obj_t BgL_toz00_3336,
		obj_t BgL_safez00_3337)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 150 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1396;

				obj_t BgL_callerz00_1397;

				obj_t BgL_toz00_1398;

				obj_t BgL_safez00_1399;

				{	/* Coerce/coerce.scm 151 */
					BgL_nodez00_bglt BgL_auxz00_4836;

					BgL_nodez00_1396 = (BgL_setfieldz00_bglt) (BgL_nodez00_3334);
					BgL_callerz00_1397 = BgL_callerz00_3335;
					BgL_toz00_1398 = BgL_toz00_3336;
					BgL_safez00_1399 = BgL_safez00_3337;
					{	/* Coerce/coerce.scm 152 */
						obj_t BgL_arg3563z00_1403;

						BgL_nodez00_bglt BgL_arg3564z00_1404;

						{
							BgL_externz00_bglt BgL_auxz00_4837;

							BgL_auxz00_4837 = (BgL_externz00_bglt) (BgL_nodez00_1396);
							BgL_arg3563z00_1403 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_4837))->BgL_exprza2za2);
						}
						{	/* Coerce/coerce.scm 152 */
							obj_t BgL_arg3565z00_1405;

							{	/* Coerce/coerce.scm 152 */
								obj_t BgL_pairz00_2010;

								{
									BgL_externz00_bglt BgL_auxz00_4840;

									BgL_auxz00_4840 = (BgL_externz00_bglt) (BgL_nodez00_1396);
									BgL_pairz00_2010 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_4840))->
										BgL_exprza2za2);
								}
								BgL_arg3565z00_1405 = CAR(BgL_pairz00_2010);
							}
							{	/* Coerce/coerce.scm 152 */
								BgL_nodez00_bglt BgL_res3782z00_2040;

								{	/* Coerce/coerce.scm 152 */
									BgL_nodez00_bglt BgL_nodez00_2011;

									BgL_typez00_bglt BgL_toz00_2013;

									bool_t BgL_safez00_2014;

									BgL_nodez00_2011 = (BgL_nodez00_bglt) (BgL_arg3565z00_1405);
									BgL_toz00_2013 =
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
									BgL_safez00_2014 = CBOOL(BgL_safez00_1399);
									{	/* Coerce/coerce.scm 152 */
										obj_t BgL_method3417z00_2015;

										{	/* Coerce/coerce.scm 152 */
											BgL_objectz00_bglt BgL_objz00_2016;

											BgL_objz00_2016 = (BgL_objectz00_bglt) (BgL_nodez00_2011);
											{	/* Coerce/coerce.scm 152 */
												long BgL_objzd2classzd2numz00_2017;

												BgL_objzd2classzd2numz00_2017 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2016);
												{	/* Coerce/coerce.scm 152 */
													obj_t BgL_arg2422z00_2018;

													BgL_arg2422z00_2018 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 152 */
														obj_t BgL_arrayz00_2020;

														int BgL_offsetz00_2021;

														BgL_arrayz00_2020 = BgL_arg2422z00_2018;
														BgL_offsetz00_2021 =
															(int) (BgL_objzd2classzd2numz00_2017);
														{	/* Coerce/coerce.scm 152 */
															long BgL_offsetz00_2022;

															BgL_offsetz00_2022 =
																((long) (BgL_offsetz00_2021) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 152 */
																long BgL_modz00_2023;

																{	/* Coerce/coerce.scm 152 */
																	int BgL_arg2424z00_2024;

																	BgL_arg2424z00_2024 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 152 */
																		long BgL_auxz00_4855;

																		BgL_auxz00_4855 =
																			(long) (BgL_arg2424z00_2024);
																		BgL_modz00_2023 =
																			(BgL_offsetz00_2022 / BgL_auxz00_4855);
																}}
																{	/* Coerce/coerce.scm 152 */
																	long BgL_restz00_2025;

																	{	/* Coerce/coerce.scm 152 */
																		int BgL_arg2423z00_2026;

																		BgL_arg2423z00_2026 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 152 */
																			long BgL_auxz00_4859;

																			BgL_auxz00_4859 =
																				(long) (BgL_arg2423z00_2026);
																			BgL_restz00_2025 =
																				(BgL_offsetz00_2022 % BgL_auxz00_4859);
																	}}
																	{	/* Coerce/coerce.scm 152 */

																		BgL_method3417z00_2015 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2020,
																				(int) (BgL_modz00_2023)),
																			(int) (BgL_restz00_2025));
										}}}}}}}}
										BgL_res3782z00_2040 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2015) (BgL_method3417z00_2015,
												(obj_t) (BgL_nodez00_2011), BgL_callerz00_1397,
												(obj_t) (BgL_toz00_2013), BBOOL(BgL_safez00_2014),
												BEOA));
								}}
								BgL_arg3564z00_1404 = BgL_res3782z00_2040;
						}}
						{	/* Coerce/coerce.scm 152 */
							obj_t BgL_auxz00_4872;

							BgL_auxz00_4872 = (obj_t) (BgL_arg3564z00_1404);
							SET_CAR(BgL_arg3563z00_1403, BgL_auxz00_4872);
					}}
					{	/* Coerce/coerce.scm 153 */
						obj_t BgL_arg3567z00_1407;

						BgL_nodez00_bglt BgL_arg3568z00_1408;

						{	/* Coerce/coerce.scm 153 */
							obj_t BgL_pairz00_2044;

							{
								BgL_externz00_bglt BgL_auxz00_4875;

								BgL_auxz00_4875 = (BgL_externz00_bglt) (BgL_nodez00_1396);
								BgL_pairz00_2044 =
									(((BgL_externz00_bglt) CREF(BgL_auxz00_4875))->
									BgL_exprza2za2);
							}
							BgL_arg3567z00_1407 = CDR(BgL_pairz00_2044);
						}
						{	/* Coerce/coerce.scm 153 */
							obj_t BgL_arg3570z00_1410;

							BgL_typez00_bglt BgL_arg3571z00_1411;

							{	/* Coerce/coerce.scm 153 */
								obj_t BgL_pairz00_2046;

								{
									BgL_externz00_bglt BgL_auxz00_4879;

									BgL_auxz00_4879 = (BgL_externz00_bglt) (BgL_nodez00_1396);
									BgL_pairz00_2046 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_4879))->
										BgL_exprza2za2);
								}
								BgL_arg3570z00_1410 = CAR(CDR(BgL_pairz00_2046));
							}
							BgL_arg3571z00_1411 =
								(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1396))->BgL_ftypez00);
							{	/* Coerce/coerce.scm 153 */
								BgL_nodez00_bglt BgL_res3785z00_2080;

								{	/* Coerce/coerce.scm 153 */
									BgL_nodez00_bglt BgL_nodez00_2051;

									bool_t BgL_safez00_2054;

									BgL_nodez00_2051 = (BgL_nodez00_bglt) (BgL_arg3570z00_1410);
									BgL_safez00_2054 = CBOOL(BgL_safez00_1399);
									{	/* Coerce/coerce.scm 153 */
										obj_t BgL_method3417z00_2055;

										{	/* Coerce/coerce.scm 153 */
											BgL_objectz00_bglt BgL_objz00_2056;

											BgL_objz00_2056 = (BgL_objectz00_bglt) (BgL_nodez00_2051);
											{	/* Coerce/coerce.scm 153 */
												long BgL_objzd2classzd2numz00_2057;

												BgL_objzd2classzd2numz00_2057 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2056);
												{	/* Coerce/coerce.scm 153 */
													obj_t BgL_arg2422z00_2058;

													BgL_arg2422z00_2058 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 153 */
														obj_t BgL_arrayz00_2060;

														int BgL_offsetz00_2061;

														BgL_arrayz00_2060 = BgL_arg2422z00_2058;
														BgL_offsetz00_2061 =
															(int) (BgL_objzd2classzd2numz00_2057);
														{	/* Coerce/coerce.scm 153 */
															long BgL_offsetz00_2062;

															BgL_offsetz00_2062 =
																((long) (BgL_offsetz00_2061) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 153 */
																long BgL_modz00_2063;

																{	/* Coerce/coerce.scm 153 */
																	int BgL_arg2424z00_2064;

																	BgL_arg2424z00_2064 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 153 */
																		long BgL_auxz00_4895;

																		BgL_auxz00_4895 =
																			(long) (BgL_arg2424z00_2064);
																		BgL_modz00_2063 =
																			(BgL_offsetz00_2062 / BgL_auxz00_4895);
																}}
																{	/* Coerce/coerce.scm 153 */
																	long BgL_restz00_2065;

																	{	/* Coerce/coerce.scm 153 */
																		int BgL_arg2423z00_2066;

																		BgL_arg2423z00_2066 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 153 */
																			long BgL_auxz00_4899;

																			BgL_auxz00_4899 =
																				(long) (BgL_arg2423z00_2066);
																			BgL_restz00_2065 =
																				(BgL_offsetz00_2062 % BgL_auxz00_4899);
																	}}
																	{	/* Coerce/coerce.scm 153 */

																		BgL_method3417z00_2055 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2060,
																				(int) (BgL_modz00_2063)),
																			(int) (BgL_restz00_2065));
										}}}}}}}}
										BgL_res3785z00_2080 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_2055) (BgL_method3417z00_2055,
												(obj_t) (BgL_nodez00_2051), BgL_callerz00_1397,
												(obj_t) (BgL_arg3571z00_1411), BBOOL(BgL_safez00_2054),
												BEOA));
								}}
								BgL_arg3568z00_1408 = BgL_res3785z00_2080;
						}}
						{	/* Coerce/coerce.scm 153 */
							obj_t BgL_auxz00_4912;

							BgL_auxz00_4912 = (obj_t) (BgL_arg3568z00_1408);
							SET_CAR(BgL_arg3567z00_1407, BgL_auxz00_4912);
					}}
					BgL_auxz00_4836 =
						BGl_convertz12z12zzcoerce_convertz00(
						(BgL_nodez00_bglt) (BgL_nodez00_1396),
						(BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00),
						(BgL_typez00_bglt) (BgL_toz00_1398), CBOOL(BgL_safez00_1399));
					return (obj_t) (BgL_auxz00_4836);
				}
			}
		}
	}



/* coerce!-getfield3432 */
	obj_t BGl_coercez12zd2getfield3432zc0zzcoerce_coercez00(obj_t BgL_envz00_3338,
		obj_t BgL_nodez00_3339, obj_t BgL_callerz00_3340, obj_t BgL_toz00_3341,
		obj_t BgL_safez00_3342)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 139 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1382;

				obj_t BgL_callerz00_1383;

				obj_t BgL_toz00_1384;

				obj_t BgL_safez00_1385;

				{	/* Coerce/coerce.scm 140 */
					BgL_nodez00_bglt BgL_auxz00_4922;

					BgL_nodez00_1382 = (BgL_getfieldz00_bglt) (BgL_nodez00_3339);
					BgL_callerz00_1383 = BgL_callerz00_3340;
					BgL_toz00_1384 = BgL_toz00_3341;
					BgL_safez00_1385 = BgL_safez00_3342;
					{	/* Coerce/coerce.scm 144 */
						obj_t BgL_arg3557z00_1389;

						BgL_nodez00_bglt BgL_arg3558z00_1390;

						{
							BgL_externz00_bglt BgL_auxz00_4923;

							BgL_auxz00_4923 = (BgL_externz00_bglt) (BgL_nodez00_1382);
							BgL_arg3557z00_1389 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_4923))->BgL_exprza2za2);
						}
						{	/* Coerce/coerce.scm 144 */
							obj_t BgL_arg3559z00_1391;

							{	/* Coerce/coerce.scm 144 */
								obj_t BgL_pairz00_1974;

								{
									BgL_externz00_bglt BgL_auxz00_4926;

									BgL_auxz00_4926 = (BgL_externz00_bglt) (BgL_nodez00_1382);
									BgL_pairz00_1974 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_4926))->
										BgL_exprza2za2);
								}
								BgL_arg3559z00_1391 = CAR(BgL_pairz00_1974);
							}
							{	/* Coerce/coerce.scm 144 */
								BgL_nodez00_bglt BgL_res3779z00_2004;

								{	/* Coerce/coerce.scm 144 */
									BgL_nodez00_bglt BgL_nodez00_1975;

									BgL_typez00_bglt BgL_toz00_1977;

									bool_t BgL_safez00_1978;

									BgL_nodez00_1975 = (BgL_nodez00_bglt) (BgL_arg3559z00_1391);
									BgL_toz00_1977 =
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00);
									BgL_safez00_1978 = CBOOL(BgL_safez00_1385);
									{	/* Coerce/coerce.scm 144 */
										obj_t BgL_method3417z00_1979;

										{	/* Coerce/coerce.scm 144 */
											BgL_objectz00_bglt BgL_objz00_1980;

											BgL_objz00_1980 = (BgL_objectz00_bglt) (BgL_nodez00_1975);
											{	/* Coerce/coerce.scm 144 */
												long BgL_objzd2classzd2numz00_1981;

												BgL_objzd2classzd2numz00_1981 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1980);
												{	/* Coerce/coerce.scm 144 */
													obj_t BgL_arg2422z00_1982;

													BgL_arg2422z00_1982 =
														PROCEDURE_REF
														(BGl_coercez12zd2envzc0zzcoerce_coercez00,
														(int) (((long) 1)));
													{	/* Coerce/coerce.scm 144 */
														obj_t BgL_arrayz00_1984;

														int BgL_offsetz00_1985;

														BgL_arrayz00_1984 = BgL_arg2422z00_1982;
														BgL_offsetz00_1985 =
															(int) (BgL_objzd2classzd2numz00_1981);
														{	/* Coerce/coerce.scm 144 */
															long BgL_offsetz00_1986;

															BgL_offsetz00_1986 =
																((long) (BgL_offsetz00_1985) - OBJECT_TYPE);
															{	/* Coerce/coerce.scm 144 */
																long BgL_modz00_1987;

																{	/* Coerce/coerce.scm 144 */
																	int BgL_arg2424z00_1988;

																	BgL_arg2424z00_1988 = (int) (((long) 8));
																	{	/* Coerce/coerce.scm 144 */
																		long BgL_auxz00_4941;

																		BgL_auxz00_4941 =
																			(long) (BgL_arg2424z00_1988);
																		BgL_modz00_1987 =
																			(BgL_offsetz00_1986 / BgL_auxz00_4941);
																}}
																{	/* Coerce/coerce.scm 144 */
																	long BgL_restz00_1989;

																	{	/* Coerce/coerce.scm 144 */
																		int BgL_arg2423z00_1990;

																		BgL_arg2423z00_1990 = (int) (((long) 8));
																		{	/* Coerce/coerce.scm 144 */
																			long BgL_auxz00_4945;

																			BgL_auxz00_4945 =
																				(long) (BgL_arg2423z00_1990);
																			BgL_restz00_1989 =
																				(BgL_offsetz00_1986 % BgL_auxz00_4945);
																	}}
																	{	/* Coerce/coerce.scm 144 */

																		BgL_method3417z00_1979 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1984,
																				(int) (BgL_modz00_1987)),
																			(int) (BgL_restz00_1989));
										}}}}}}}}
										BgL_res3779z00_2004 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3417z00_1979) (BgL_method3417z00_1979,
												(obj_t) (BgL_nodez00_1975), BgL_callerz00_1383,
												(obj_t) (BgL_toz00_1977), BBOOL(BgL_safez00_1978),
												BEOA));
								}}
								BgL_arg3558z00_1390 = BgL_res3779z00_2004;
						}}
						{	/* Coerce/coerce.scm 144 */
							obj_t BgL_auxz00_4958;

							BgL_auxz00_4958 = (obj_t) (BgL_arg3558z00_1390);
							SET_CAR(BgL_arg3557z00_1389, BgL_auxz00_4958);
					}}
					{	/* Coerce/coerce.scm 145 */
						BgL_typez00_bglt BgL_arg3561z00_1393;

						BgL_arg3561z00_1393 =
							(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1382))->BgL_ftypez00);
						BgL_auxz00_4922 =
							BGl_convertz12z12zzcoerce_convertz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1382), BgL_arg3561z00_1393,
							(BgL_typez00_bglt) (BgL_toz00_1384), CBOOL(BgL_safez00_1385));
					}
					return (obj_t) (BgL_auxz00_4922);
				}
			}
		}
	}



/* coerce!-extern3430 */
	obj_t BGl_coercez12zd2extern3430zc0zzcoerce_coercez00(obj_t BgL_envz00_3343,
		obj_t BgL_nodez00_3344, obj_t BgL_callerz00_3345, obj_t BgL_toz00_3346,
		obj_t BgL_safez00_3347)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 124 */
			{
				BgL_externz00_bglt BgL_nodez00_1361;

				obj_t BgL_callerz00_1362;

				obj_t BgL_toz00_1363;

				obj_t BgL_safez00_1364;

				{	/* Coerce/coerce.scm 125 */
					BgL_nodez00_bglt BgL_auxz00_4968;

					BgL_nodez00_1361 = (BgL_externz00_bglt) (BgL_nodez00_3344);
					BgL_callerz00_1362 = BgL_callerz00_3345;
					BgL_toz00_1363 = BgL_toz00_3346;
					BgL_safez00_1364 = BgL_safez00_3347;
					{
						obj_t BgL_valuesz00_1370;

						{	/* Coerce/coerce.scm 126 */
							obj_t BgL_arg3546z00_1369;

							BgL_arg3546z00_1369 =
								(((BgL_externz00_bglt) CREF(BgL_nodez00_1361))->BgL_exprza2za2);
							BgL_valuesz00_1370 = BgL_arg3546z00_1369;
						BgL_zc3anonymousza33547ze3z83_1371:
							if (NULLP(BgL_valuesz00_1370))
								{	/* Coerce/coerce.scm 127 */
									BgL_auxz00_4968 =
										BGl_convertz12z12zzcoerce_convertz00(
										(BgL_nodez00_bglt) (BgL_nodez00_1361),
										BGl_typeofz00zztype_typeofz00(
											(BgL_nodez00_bglt) (BgL_nodez00_1361)),
										(BgL_typez00_bglt) (BgL_toz00_1363),
										CBOOL(BgL_safez00_1364));
								}
							else
								{	/* Coerce/coerce.scm 127 */
									{	/* Coerce/coerce.scm 130 */
										BgL_nodez00_bglt BgL_arg3550z00_1374;

										{	/* Coerce/coerce.scm 130 */
											obj_t BgL_arg3552z00_1375;

											BgL_typez00_bglt BgL_arg3553z00_1376;

											BgL_arg3552z00_1375 = CAR(BgL_valuesz00_1370);
											{	/* Coerce/coerce.scm 132 */
												obj_t BgL_arg3554z00_1377;

												BgL_arg3554z00_1377 = CAR(BgL_valuesz00_1370);
												BgL_arg3553z00_1376 =
													BGl_typeofz00zztype_typeofz00(
													(BgL_nodez00_bglt) (BgL_arg3554z00_1377));
											}
											{	/* Coerce/coerce.scm 130 */
												BgL_nodez00_bglt BgL_res3776z00_1968;

												{	/* Coerce/coerce.scm 130 */
													BgL_nodez00_bglt BgL_nodez00_1939;

													bool_t BgL_safez00_1942;

													BgL_nodez00_1939 =
														(BgL_nodez00_bglt) (BgL_arg3552z00_1375);
													BgL_safez00_1942 = CBOOL(BgL_safez00_1364);
													{	/* Coerce/coerce.scm 130 */
														obj_t BgL_method3417z00_1943;

														{	/* Coerce/coerce.scm 130 */
															BgL_objectz00_bglt BgL_objz00_1944;

															BgL_objz00_1944 =
																(BgL_objectz00_bglt) (BgL_nodez00_1939);
															{	/* Coerce/coerce.scm 130 */
																long BgL_objzd2classzd2numz00_1945;

																BgL_objzd2classzd2numz00_1945 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_1944);
																{	/* Coerce/coerce.scm 130 */
																	obj_t BgL_arg2422z00_1946;

																	BgL_arg2422z00_1946 =
																		PROCEDURE_REF
																		(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																		(int) (((long) 1)));
																	{	/* Coerce/coerce.scm 130 */
																		obj_t BgL_arrayz00_1948;

																		int BgL_offsetz00_1949;

																		BgL_arrayz00_1948 = BgL_arg2422z00_1946;
																		BgL_offsetz00_1949 =
																			(int) (BgL_objzd2classzd2numz00_1945);
																		{	/* Coerce/coerce.scm 130 */
																			long BgL_offsetz00_1950;

																			BgL_offsetz00_1950 =
																				(
																				(long) (BgL_offsetz00_1949) -
																				OBJECT_TYPE);
																			{	/* Coerce/coerce.scm 130 */
																				long BgL_modz00_1951;

																				{	/* Coerce/coerce.scm 130 */
																					int BgL_arg2424z00_1952;

																					BgL_arg2424z00_1952 =
																						(int) (((long) 8));
																					{	/* Coerce/coerce.scm 130 */
																						long BgL_auxz00_4992;

																						BgL_auxz00_4992 =
																							(long) (BgL_arg2424z00_1952);
																						BgL_modz00_1951 =
																							(BgL_offsetz00_1950 /
																							BgL_auxz00_4992);
																				}}
																				{	/* Coerce/coerce.scm 130 */
																					long BgL_restz00_1953;

																					{	/* Coerce/coerce.scm 130 */
																						int BgL_arg2423z00_1954;

																						BgL_arg2423z00_1954 =
																							(int) (((long) 8));
																						{	/* Coerce/coerce.scm 130 */
																							long BgL_auxz00_4996;

																							BgL_auxz00_4996 =
																								(long) (BgL_arg2423z00_1954);
																							BgL_restz00_1953 =
																								(BgL_offsetz00_1950 %
																								BgL_auxz00_4996);
																					}}
																					{	/* Coerce/coerce.scm 130 */

																						BgL_method3417z00_1943 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_1948,
																								(int) (BgL_modz00_1951)),
																							(int) (BgL_restz00_1953));
														}}}}}}}}
														BgL_res3776z00_1968 =
															(BgL_nodez00_bglt) (PROCEDURE_ENTRY
															(BgL_method3417z00_1943) (BgL_method3417z00_1943,
																(obj_t) (BgL_nodez00_1939), BgL_callerz00_1362,
																(obj_t) (BgL_arg3553z00_1376),
																BBOOL(BgL_safez00_1942), BEOA));
												}}
												BgL_arg3550z00_1374 = BgL_res3776z00_1968;
										}}
										{	/* Coerce/coerce.scm 130 */
											obj_t BgL_auxz00_5009;

											BgL_auxz00_5009 = (obj_t) (BgL_arg3550z00_1374);
											SET_CAR(BgL_valuesz00_1370, BgL_auxz00_5009);
									}}
									{
										obj_t BgL_valuesz00_5012;

										BgL_valuesz00_5012 = CDR(BgL_valuesz00_1370);
										BgL_valuesz00_1370 = BgL_valuesz00_5012;
										goto BgL_zc3anonymousza33547ze3z83_1371;
									}
								}
						}
					}
					return (obj_t) (BgL_auxz00_4968);
				}
			}
		}
	}



/* coerce!-sequence3428 */
	obj_t BGl_coercez12zd2sequence3428zc0zzcoerce_coercez00(obj_t BgL_envz00_3348,
		obj_t BgL_nodez00_3349, obj_t BgL_callerz00_3350, obj_t BgL_toz00_3351,
		obj_t BgL_safez00_3352)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 105 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1338;

				obj_t BgL_callerz00_1339;

				obj_t BgL_toz00_1340;

				obj_t BgL_safez00_1341;

				{	/* Coerce/coerce.scm 106 */
					BgL_sequencez00_bglt BgL_auxz00_5016;

					BgL_nodez00_1338 = (BgL_sequencez00_bglt) (BgL_nodez00_3349);
					BgL_callerz00_1339 = BgL_callerz00_3350;
					BgL_toz00_1340 = BgL_toz00_3351;
					BgL_safez00_1341 = BgL_safez00_3352;
					{
						obj_t BgL_hookz00_1347;

						{	/* Coerce/coerce.scm 107 */
							obj_t BgL_arg3533z00_1346;

							BgL_arg3533z00_1346 =
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1338))->BgL_nodesz00);
							BgL_hookz00_1347 = BgL_arg3533z00_1346;
						BgL_zc3anonymousza33534ze3z83_1348:
							if (NULLP(CDR(BgL_hookz00_1347)))
								{	/* Coerce/coerce.scm 108 */
									{	/* Coerce/coerce.scm 110 */
										BgL_nodez00_bglt BgL_arg3536z00_1350;

										{	/* Coerce/coerce.scm 110 */
											obj_t BgL_arg3537z00_1351;

											BgL_arg3537z00_1351 = CAR(BgL_hookz00_1347);
											{	/* Coerce/coerce.scm 110 */
												BgL_nodez00_bglt BgL_res3770z00_1897;

												{	/* Coerce/coerce.scm 110 */
													BgL_nodez00_bglt BgL_nodez00_1868;

													BgL_typez00_bglt BgL_toz00_1870;

													bool_t BgL_safez00_1871;

													BgL_nodez00_1868 =
														(BgL_nodez00_bglt) (BgL_arg3537z00_1351);
													BgL_toz00_1870 = (BgL_typez00_bglt) (BgL_toz00_1340);
													BgL_safez00_1871 = CBOOL(BgL_safez00_1341);
													{	/* Coerce/coerce.scm 110 */
														obj_t BgL_method3417z00_1872;

														{	/* Coerce/coerce.scm 110 */
															BgL_objectz00_bglt BgL_objz00_1873;

															BgL_objz00_1873 =
																(BgL_objectz00_bglt) (BgL_nodez00_1868);
															{	/* Coerce/coerce.scm 110 */
																long BgL_objzd2classzd2numz00_1874;

																BgL_objzd2classzd2numz00_1874 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_1873);
																{	/* Coerce/coerce.scm 110 */
																	obj_t BgL_arg2422z00_1875;

																	BgL_arg2422z00_1875 =
																		PROCEDURE_REF
																		(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																		(int) (((long) 1)));
																	{	/* Coerce/coerce.scm 110 */
																		obj_t BgL_arrayz00_1877;

																		int BgL_offsetz00_1878;

																		BgL_arrayz00_1877 = BgL_arg2422z00_1875;
																		BgL_offsetz00_1878 =
																			(int) (BgL_objzd2classzd2numz00_1874);
																		{	/* Coerce/coerce.scm 110 */
																			long BgL_offsetz00_1879;

																			BgL_offsetz00_1879 =
																				(
																				(long) (BgL_offsetz00_1878) -
																				OBJECT_TYPE);
																			{	/* Coerce/coerce.scm 110 */
																				long BgL_modz00_1880;

																				{	/* Coerce/coerce.scm 110 */
																					int BgL_arg2424z00_1881;

																					BgL_arg2424z00_1881 =
																						(int) (((long) 8));
																					{	/* Coerce/coerce.scm 110 */
																						long BgL_auxz00_5033;

																						BgL_auxz00_5033 =
																							(long) (BgL_arg2424z00_1881);
																						BgL_modz00_1880 =
																							(BgL_offsetz00_1879 /
																							BgL_auxz00_5033);
																				}}
																				{	/* Coerce/coerce.scm 110 */
																					long BgL_restz00_1882;

																					{	/* Coerce/coerce.scm 110 */
																						int BgL_arg2423z00_1883;

																						BgL_arg2423z00_1883 =
																							(int) (((long) 8));
																						{	/* Coerce/coerce.scm 110 */
																							long BgL_auxz00_5037;

																							BgL_auxz00_5037 =
																								(long) (BgL_arg2423z00_1883);
																							BgL_restz00_1882 =
																								(BgL_offsetz00_1879 %
																								BgL_auxz00_5037);
																					}}
																					{	/* Coerce/coerce.scm 110 */

																						BgL_method3417z00_1872 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_1877,
																								(int) (BgL_modz00_1880)),
																							(int) (BgL_restz00_1882));
														}}}}}}}}
														BgL_res3770z00_1897 =
															(BgL_nodez00_bglt) (PROCEDURE_ENTRY
															(BgL_method3417z00_1872) (BgL_method3417z00_1872,
																(obj_t) (BgL_nodez00_1868), BgL_callerz00_1339,
																(obj_t) (BgL_toz00_1870),
																BBOOL(BgL_safez00_1871), BEOA));
												}}
												BgL_arg3536z00_1350 = BgL_res3770z00_1897;
										}}
										{	/* Coerce/coerce.scm 110 */
											obj_t BgL_auxz00_5050;

											BgL_auxz00_5050 = (obj_t) (BgL_arg3536z00_1350);
											SET_CAR(BgL_hookz00_1347, BgL_auxz00_5050);
									}}
									BgL_auxz00_5016 = BgL_nodez00_1338;
								}
							else
								{	/* Coerce/coerce.scm 108 */
									{	/* Coerce/coerce.scm 115 */
										BgL_nodez00_bglt BgL_arg3538z00_1352;

										{	/* Coerce/coerce.scm 115 */
											obj_t BgL_arg3539z00_1353;

											BgL_typez00_bglt BgL_arg3540z00_1354;

											BgL_arg3539z00_1353 = CAR(BgL_hookz00_1347);
											{	/* Coerce/coerce.scm 117 */
												obj_t BgL_arg3541z00_1355;

												BgL_arg3541z00_1355 = CAR(BgL_hookz00_1347);
												BgL_arg3540z00_1354 =
													BGl_typeofz00zztype_typeofz00(
													(BgL_nodez00_bglt) (BgL_arg3541z00_1355));
											}
											{	/* Coerce/coerce.scm 115 */
												BgL_nodez00_bglt BgL_res3773z00_1931;

												{	/* Coerce/coerce.scm 115 */
													BgL_nodez00_bglt BgL_nodez00_1902;

													bool_t BgL_safez00_1905;

													BgL_nodez00_1902 =
														(BgL_nodez00_bglt) (BgL_arg3539z00_1353);
													BgL_safez00_1905 = CBOOL(BgL_safez00_1341);
													{	/* Coerce/coerce.scm 115 */
														obj_t BgL_method3417z00_1906;

														{	/* Coerce/coerce.scm 115 */
															BgL_objectz00_bglt BgL_objz00_1907;

															BgL_objz00_1907 =
																(BgL_objectz00_bglt) (BgL_nodez00_1902);
															{	/* Coerce/coerce.scm 115 */
																long BgL_objzd2classzd2numz00_1908;

																BgL_objzd2classzd2numz00_1908 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_1907);
																{	/* Coerce/coerce.scm 115 */
																	obj_t BgL_arg2422z00_1909;

																	BgL_arg2422z00_1909 =
																		PROCEDURE_REF
																		(BGl_coercez12zd2envzc0zzcoerce_coercez00,
																		(int) (((long) 1)));
																	{	/* Coerce/coerce.scm 115 */
																		obj_t BgL_arrayz00_1911;

																		int BgL_offsetz00_1912;

																		BgL_arrayz00_1911 = BgL_arg2422z00_1909;
																		BgL_offsetz00_1912 =
																			(int) (BgL_objzd2classzd2numz00_1908);
																		{	/* Coerce/coerce.scm 115 */
																			long BgL_offsetz00_1913;

																			BgL_offsetz00_1913 =
																				(
																				(long) (BgL_offsetz00_1912) -
																				OBJECT_TYPE);
																			{	/* Coerce/coerce.scm 115 */
																				long BgL_modz00_1914;

																				{	/* Coerce/coerce.scm 115 */
																					int BgL_arg2424z00_1915;

																					BgL_arg2424z00_1915 =
																						(int) (((long) 8));
																					{	/* Coerce/coerce.scm 115 */
																						long BgL_auxz00_5067;

																						BgL_auxz00_5067 =
																							(long) (BgL_arg2424z00_1915);
																						BgL_modz00_1914 =
																							(BgL_offsetz00_1913 /
																							BgL_auxz00_5067);
																				}}
																				{	/* Coerce/coerce.scm 115 */
																					long BgL_restz00_1916;

																					{	/* Coerce/coerce.scm 115 */
																						int BgL_arg2423z00_1917;

																						BgL_arg2423z00_1917 =
																							(int) (((long) 8));
																						{	/* Coerce/coerce.scm 115 */
																							long BgL_auxz00_5071;

																							BgL_auxz00_5071 =
																								(long) (BgL_arg2423z00_1917);
																							BgL_restz00_1916 =
																								(BgL_offsetz00_1913 %
																								BgL_auxz00_5071);
																					}}
																					{	/* Coerce/coerce.scm 115 */

																						BgL_method3417z00_1906 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_1911,
																								(int) (BgL_modz00_1914)),
																							(int) (BgL_restz00_1916));
														}}}}}}}}
														BgL_res3773z00_1931 =
															(BgL_nodez00_bglt) (PROCEDURE_ENTRY
															(BgL_method3417z00_1906) (BgL_method3417z00_1906,
																(obj_t) (BgL_nodez00_1902), BgL_callerz00_1339,
																(obj_t) (BgL_arg3540z00_1354),
																BBOOL(BgL_safez00_1905), BEOA));
												}}
												BgL_arg3538z00_1352 = BgL_res3773z00_1931;
										}}
										{	/* Coerce/coerce.scm 115 */
											obj_t BgL_auxz00_5084;

											BgL_auxz00_5084 = (obj_t) (BgL_arg3538z00_1352);
											SET_CAR(BgL_hookz00_1347, BgL_auxz00_5084);
									}}
									{
										obj_t BgL_hookz00_5087;

										BgL_hookz00_5087 = CDR(BgL_hookz00_1347);
										BgL_hookz00_1347 = BgL_hookz00_5087;
										goto BgL_zc3anonymousza33534ze3z83_1348;
									}
								}
						}
					}
					return (obj_t) (BgL_auxz00_5016);
				}
			}
		}
	}



/* coerce!-closure3426 */
	obj_t BGl_coercez12zd2closure3426zc0zzcoerce_coercez00(obj_t BgL_envz00_3353,
		obj_t BgL_nodez00_3354, obj_t BgL_callerz00_3355, obj_t BgL_toz00_3356,
		obj_t BgL_safez00_3357)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 99 */
			{
				BgL_closurez00_bglt BgL_nodez00_1327;

				obj_t BgL_callerz00_1328;

				obj_t BgL_toz00_1329;

				obj_t BgL_safez00_1330;

				BgL_nodez00_1327 = (BgL_closurez00_bglt) (BgL_nodez00_3354);
				BgL_callerz00_1328 = BgL_callerz00_3355;
				BgL_toz00_1329 = BgL_toz00_3356;
				BgL_safez00_1330 = BgL_safez00_3357;
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string3902z00zzcoerce_coercez00,
					BGl_string3903z00zzcoerce_coercez00,
					BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1327)));
			}
		}
	}



/* coerce!-var3424 */
	obj_t BGl_coercez12zd2var3424zc0zzcoerce_coercez00(obj_t BgL_envz00_3358,
		obj_t BgL_nodez00_3359, obj_t BgL_callerz00_3360, obj_t BgL_toz00_3361,
		obj_t BgL_safez00_3362)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 91 */
			{
				BgL_varz00_bglt BgL_nodez00_1317;

				obj_t BgL_callerz00_1318;

				obj_t BgL_toz00_1319;

				obj_t BgL_safez00_1320;

				{	/* Coerce/coerce.scm 93 */
					BgL_nodez00_bglt BgL_auxz00_5095;

					BgL_nodez00_1317 = (BgL_varz00_bglt) (BgL_nodez00_3359);
					BgL_callerz00_1318 = BgL_callerz00_3360;
					BgL_toz00_1319 = BgL_toz00_3361;
					BgL_safez00_1320 = BgL_safez00_3362;
					BgL_auxz00_5095 =
						BGl_convertz12z12zzcoerce_convertz00(
						(BgL_nodez00_bglt) (BgL_nodez00_1317),
						BGl_typeofz00zztype_typeofz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1317)),
						(BgL_typez00_bglt) (BgL_toz00_1319), CBOOL(BgL_safez00_1320));
					return (obj_t) (BgL_auxz00_5095);
				}
			}
		}
	}



/* coerce!-kwote3422 */
	obj_t BGl_coercez12zd2kwote3422zc0zzcoerce_coercez00(obj_t BgL_envz00_3363,
		obj_t BgL_nodez00_3364, obj_t BgL_callerz00_3365, obj_t BgL_toz00_3366,
		obj_t BgL_safez00_3367)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 85 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1308;

				obj_t BgL_callerz00_1309;

				obj_t BgL_toz00_1310;

				obj_t BgL_safez00_1311;

				{	/* Coerce/coerce.scm 86 */
					BgL_nodez00_bglt BgL_auxz00_5104;

					BgL_nodez00_1308 = (BgL_kwotez00_bglt) (BgL_nodez00_3364);
					BgL_callerz00_1309 = BgL_callerz00_3365;
					BgL_toz00_1310 = BgL_toz00_3366;
					BgL_safez00_1311 = BgL_safez00_3367;
					BgL_auxz00_5104 =
						BGl_convertz12z12zzcoerce_convertz00(
						(BgL_nodez00_bglt) (BgL_nodez00_1308),
						BGl_typeofz00zztype_typeofz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1308)),
						(BgL_typez00_bglt) (BgL_toz00_1310), CBOOL(BgL_safez00_1311));
					return (obj_t) (BgL_auxz00_5104);
				}
			}
		}
	}



/* coerce!-atom3420 */
	obj_t BGl_coercez12zd2atom3420zc0zzcoerce_coercez00(obj_t BgL_envz00_3368,
		obj_t BgL_nodez00_3369, obj_t BgL_callerz00_3370, obj_t BgL_toz00_3371,
		obj_t BgL_safez00_3372)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			{
				BgL_atomz00_bglt BgL_nodez00_1299;

				obj_t BgL_callerz00_1300;

				obj_t BgL_toz00_1301;

				obj_t BgL_safez00_1302;

				{	/* Coerce/coerce.scm 80 */
					BgL_nodez00_bglt BgL_auxz00_5113;

					BgL_nodez00_1299 = (BgL_atomz00_bglt) (BgL_nodez00_3369);
					BgL_callerz00_1300 = BgL_callerz00_3370;
					BgL_toz00_1301 = BgL_toz00_3371;
					BgL_safez00_1302 = BgL_safez00_3372;
					BgL_auxz00_5113 =
						BGl_convertz12z12zzcoerce_convertz00(
						(BgL_nodez00_bglt) (BgL_nodez00_1299),
						BGl_typeofz00zztype_typeofz00(
							(BgL_nodez00_bglt) (BgL_nodez00_1299)),
						(BgL_typez00_bglt) (BgL_toz00_1301), CBOOL(BgL_safez00_1302));
					return (obj_t) (BgL_auxz00_5113);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 451733024),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 269647501),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 71067807),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long) 30250399),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 65499856),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_appz00(((long) 130975358),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_applyz00(((long) 414524937),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(((long) 427175850),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 470955713),
				BSTRING_TO_STRING(BGl_string3904z00zzcoerce_coercez00));
		}
	}

#ifdef __cplusplus
}
#endif
