/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	static obj_t
		BGl_callzd2graphz12zd2setzd2exzd2i3300z12zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zd2sequence3276z12zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t,
		long);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t BGl__resetzd2effectzd2tablesz12z12zzeffect_cgraphz00(obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	static obj_t
		BGl_callzd2graphz12zd2boxzd2setz123308zd2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	static obj_t BGl__fillzd2globalzf2fromz12z32zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zd2conditio3290z12zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_callzd2graphz12zd2extern3284z12zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl__makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_callzd2graphz12zd2appzd2ly3280zc0zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	static obj_t BGl_savezd2callz12zd2local3316z12zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_savezd2callz12zd2global3312z12zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl__getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_callzd2graphz12zd2jumpzd2exzd23302z12zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__getzd2varzf2allz20zzeffect_cgraphz00(obj_t);
	static obj_t BGl__callzd2graphz12zd2default3273z12zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__globalzf2fromzf3z01zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_localzf2fromzf2_bglt
		BGl_fillzd2localzf2fromz12z32zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_callzd2graphz12zd2cast3286z12zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__callzd2graphz12zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl__z52allocatezd2globalzf2fromz72zzeffect_cgraphz00(obj_t);
	static obj_t BGl__wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_localzf2fromzf2_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_callzd2graphz12zd2makezd2box3304zc0zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl__wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_callzd2graphz12zd2setq3288z12zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zd2select3294z12zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_callzd2graphz12zd2funcall3282z12zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl__fillzd2localzf2fromz12z32zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_savezd2callz12zd2globalzf2fr3314ze0zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__globalzf2fromzd2nilz20zzeffect_cgraphz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_z52allocatezd2globalzf2fromz72zzeffect_cgraphz00();
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl__z52allocatezd2localzf2fromz72zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl_savezd2callz12zd2localzf2fro3318ze0zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_localzf2fromzf2_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, bool_t, long, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_objectzd2ze3structzd2globa3320ze3zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_globalzf2fromzf2_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl__localzf2fromzf3z01zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_callzd2graphz12zd2fail3292z12zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_callzd2graphz12zd2boxzd2ref3306zc0zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl__savezd2callz12zc0zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl__funzd2callzd2graphz12z12zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl__savezd2callz12zd2default3309z12zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_savezd2callz12zd2default3309z12zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl__localzf2fromzd2nilz20zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL BgL_localzf2fromzf2_bglt
		BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t);
	static obj_t BGl__makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalzf2fromzf2_bglt
		BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_callzd2graphz12zd2letzd2fun3296zc0zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2local3325ze3zzeffect_cgraphz00(obj_t,
		obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_globalzf2fromzf2_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t BGl_callzd2graphz12zd2letzd2var3298zc0zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_structzb2objectzd2ze3objec3323z83zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3327z83zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_z52allocatezd2localzf2fromz72zzeffect_cgraphz00();
	static obj_t BGl_callzd2graphz12zd2app3278z12zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_globalzf2fromzf2_bglt
		BGl_fillzd2globalzf2fromz12z32zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt,
		obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2localzf2fromz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl__fillza7d2localza7f23652z00,
		BGl__fillzd2localzf2fromz12z32zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl__resetza7d2effectza73653z00,
		BGl__resetzd2effectzd2tablesz12z12zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl__getza7d2varza7f2sid3654z00,
		BGl__getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fillzd2globalzf2fromz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl__fillza7d2globalza7f3655z00,
		BGl__fillzd2globalzf2fromz12z32zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl__makeza7d2globalza7f3656z00,
		BGl__makezd2globalzf2fromz20zzeffect_cgraphz00, 0L, BUNSPEC, 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl__makeza7d2localza7f23657z00,
		BGl__makezd2localzf2fromz20zzeffect_cgraphz00, 0L, BUNSPEC, 11);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl__callza7d2graphza7123658z00,
		BGl__callzd2graphz12zc0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl__wideningza7d2glob3659za7,
		BGl__wideningzd2globalzf2fromz20zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl__saveza7d2callza712za73660za7,
		BGl__savezd2callz12zc0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl__localza7f2fromza7f33661z00,
		BGl__localzf2fromzf3z01zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_savezd2callz12zd2default3309zd2envzc0zzeffect_cgraphz00,
		BgL_bgl__saveza7d2callza712za73662za7,
		BGl__savezd2callz12zd2default3309z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl__globalza7f2fromza7f3663z00,
		BGl__globalzf2fromzf3z01zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl__globalza7f2fromza7d3664z00,
		BGl__globalzf2fromzd2nilz20zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl__funza7d2callza7d2gr3665z00,
		BGl__funzd2callzd2graphz12z12zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_callzd2graphz12zd2default3273zd2envzc0zzeffect_cgraphz00,
		BgL_bgl__callza7d2graphza7123666z00,
		BGl__callzd2graphz12zd2default3273z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2globalzf2fromzd2envza0zzeffect_cgraphz00,
		BgL_bgl__za752allocateza7d2g3667z00,
		BGl__z52allocatezd2globalzf2fromz72zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2localzf2fromzd2envza0zzeffect_cgraphz00,
		BgL_bgl__za752allocateza7d2l3668z00,
		BGl__z52allocatezd2localzf2fromz72zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl__wideningza7d2loca3669za7,
		BGl__wideningzd2localzf2fromz20zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3618z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73670za7,
		BGl_callzd2graphz12zd2sequence3276z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3620z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73671za7,
		BGl_callzd2graphz12zd2appzd2ly3280zc0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3619z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73672za7,
		BGl_callzd2graphz12zd2app3278z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3621z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73673za7,
		BGl_callzd2graphz12zd2funcall3282z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3622z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73674za7,
		BGl_callzd2graphz12zd2extern3284z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3623z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73675za7,
		BGl_callzd2graphz12zd2cast3286z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3624z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73676za7,
		BGl_callzd2graphz12zd2setq3288z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3625z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73677za7,
		BGl_callzd2graphz12zd2conditio3290z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3626z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73678za7,
		BGl_callzd2graphz12zd2fail3292z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3627z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73679za7,
		BGl_callzd2graphz12zd2select3294z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3628z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73680za7,
		BGl_callzd2graphz12zd2letzd2fun3296zc0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3630z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73681za7,
		BGl_callzd2graphz12zd2setzd2exzd2i3300z12zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3629z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73682za7,
		BGl_callzd2graphz12zd2letzd2var3298zc0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3631z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73683za7,
		BGl_callzd2graphz12zd2jumpzd2exzd23302z12zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3632z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73684za7,
		BGl_callzd2graphz12zd2makezd2box3304zc0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3633z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73685za7,
		BGl_callzd2graphz12zd2boxzd2ref3306zc0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3634z00zzeffect_cgraphz00,
		BgL_bgl_callza7d2graphza712za73686za7,
		BGl_callzd2graphz12zd2boxzd2setz123308zd2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3635z00zzeffect_cgraphz00,
		BgL_bgl_saveza7d2callza712za7d3687za7,
		BGl_savezd2callz12zd2global3312z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3636z00zzeffect_cgraphz00,
		BgL_bgl_saveza7d2callza712za7d3688za7,
		BGl_savezd2callz12zd2globalzf2fr3314ze0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3637z00zzeffect_cgraphz00,
		BgL_bgl_saveza7d2callza712za7d3689za7,
		BGl_savezd2callz12zd2local3316z12zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3638z00zzeffect_cgraphz00,
		BgL_bgl_saveza7d2callza712za7d3690za7,
		BGl_savezd2callz12zd2localzf2fro3318ze0zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3640z00zzeffect_cgraphz00,
		BgL_bgl_structza7b2objectza73691z00,
		BGl_structzb2objectzd2ze3objec3323z83zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3639z00zzeffect_cgraphz00,
		BgL_bgl_objectza7d2za7e3stru3692z00,
		BGl_objectzd2ze3structzd2globa3320ze3zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3641z00zzeffect_cgraphz00,
		BgL_bgl_objectza7d2za7e3stru3693z00,
		BGl_objectzd2ze3structzd2local3325ze3zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3642z00zzeffect_cgraphz00,
		BgL_bgl_structza7b2objectza73694z00,
		BGl_structzb2objectzd2ze3objec3327z83zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl__getza7d2varza7f2all3695z00,
		BGl__getzd2varzf2allz20zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3616z00zzeffect_cgraphz00,
		BgL_bgl_string3616za700za7za7e3696za7, "", 0);
	      DEFINE_STRING(BGl_string3617z00zzeffect_cgraphz00,
		BgL_bgl_string3617za700za7za7e3697za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3643z00zzeffect_cgraphz00,
		BgL_bgl_string3643za700za7za7e3698za7, "effect_cgraph", 13);
	      DEFINE_STRING(BGl_string3644z00zzeffect_cgraphz00,
		BgL_bgl_string3644za700za7za7e3699za7,
		"import save-call!-default3309 done _ global/from local/from nothing ", 68);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl__localza7f2fromza7d23700z00,
		BGl__localzf2fromzd2nilz20zzeffect_cgraphz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_2894, char *BgL_fromz00_2895)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					BGl_toplevelzd2initzd2zzeffect_cgraphz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_2861;

				BgL_cportz00_2861 =
					bgl_open_input_string(BGl_string3644z00zzeffect_cgraphz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2862;

					BgL_iz00_2862 = ((long) 6);
				BgL_loopz00_2863:
					if ((BgL_iz00_2862 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg3646z00_2865;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_2867;

										BgL_locationz00_2867 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg3646z00_2865 =
												BGl_readz00zz__readerz00(BgL_cportz00_2861,
												BgL_locationz00_2867);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_auxz00_2916;

									BgL_auxz00_2916 = (int) (BgL_iz00_2862);
									CNST_TABLE_SET(BgL_auxz00_2916, BgL_arg3646z00_2865);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_2868;

								BgL_auxz00_2868 = (int) ((BgL_iz00_2862 - ((long) 1)));
								{
									long BgL_iz00_2921;

									BgL_iz00_2921 = (long) (BgL_auxz00_2868);
									BgL_iz00_2862 = BgL_iz00_2921;
									goto BgL_loopz00_2863;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_1)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 30 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_PAIR(
				(obj_t) (BgL_variablez00_1), BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 32 */
				obj_t BgL_arg3328z00_834;

				{	/* Effect/cgraph.scm 32 */
					BgL_sfunz00_bglt BgL_obj1720z00_1538;

					BgL_obj1720z00_1538 =
						(BgL_sfunz00_bglt) (
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_1))->BgL_valuez00));
					BgL_arg3328z00_834 =
						(((BgL_sfunz00_bglt) CREF(BgL_obj1720z00_1538))->BgL_bodyz00);
				}
				{	/* Effect/cgraph.scm 32 */
					BgL_nodez00_bglt BgL_nodez00_1539;

					BgL_nodez00_1539 = (BgL_nodez00_bglt) (BgL_arg3328z00_834);
					{	/* Effect/cgraph.scm 32 */
						obj_t BgL_method3274z00_1541;

						{	/* Effect/cgraph.scm 32 */
							BgL_objectz00_bglt BgL_objz00_1542;

							BgL_objz00_1542 = (BgL_objectz00_bglt) (BgL_nodez00_1539);
							{	/* Effect/cgraph.scm 32 */
								long BgL_objzd2classzd2numz00_1543;

								BgL_objzd2classzd2numz00_1543 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1542);
								{	/* Effect/cgraph.scm 32 */
									obj_t BgL_arg2422z00_1544;

									BgL_arg2422z00_1544 =
										PROCEDURE_REF
										(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
										(int) (((long) 1)));
									{	/* Effect/cgraph.scm 32 */
										obj_t BgL_arrayz00_1546;

										int BgL_offsetz00_1547;

										BgL_arrayz00_1546 = BgL_arg2422z00_1544;
										BgL_offsetz00_1547 = (int) (BgL_objzd2classzd2numz00_1543);
										{	/* Effect/cgraph.scm 32 */
											long BgL_offsetz00_1548;

											BgL_offsetz00_1548 =
												((long) (BgL_offsetz00_1547) - OBJECT_TYPE);
											{	/* Effect/cgraph.scm 32 */
												long BgL_modz00_1549;

												{	/* Effect/cgraph.scm 32 */
													int BgL_arg2424z00_1550;

													BgL_arg2424z00_1550 = (int) (((long) 8));
													{	/* Effect/cgraph.scm 32 */
														long BgL_auxz00_2937;

														BgL_auxz00_2937 = (long) (BgL_arg2424z00_1550);
														BgL_modz00_1549 =
															(BgL_offsetz00_1548 / BgL_auxz00_2937);
												}}
												{	/* Effect/cgraph.scm 32 */
													long BgL_restz00_1551;

													{	/* Effect/cgraph.scm 32 */
														int BgL_arg2423z00_1552;

														BgL_arg2423z00_1552 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 32 */
															long BgL_auxz00_2941;

															BgL_auxz00_2941 = (long) (BgL_arg2423z00_1552);
															BgL_restz00_1551 =
																(BgL_offsetz00_1548 % BgL_auxz00_2941);
													}}
													{	/* Effect/cgraph.scm 32 */

														BgL_method3274z00_1541 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1546,
																(int) (BgL_modz00_1549)),
															(int) (BgL_restz00_1551));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3274z00_1541) (BgL_method3274z00_1541,
							(obj_t) (BgL_nodez00_1539), (obj_t) (BgL_variablez00_1), BEOA);
					}
				}
			}
		}
	}



/* _fun-call-graph! */
	obj_t BGl__funzd2callzd2graphz12z12zzeffect_cgraphz00(obj_t BgL_envz00_2693,
		obj_t BgL_variablez00_2694)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 30 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				(BgL_variablez00_bglt) (BgL_variablez00_2694));
		}
	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_40,
		obj_t BgL_ownerz00_41)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 197 */
			{
				obj_t BgL_l3269z00_837;

				BgL_l3269z00_837 = BgL_nodeza2za2_40;
			BgL_zc3anonymousza33330ze3z83_838:
				if (PAIRP(BgL_l3269z00_837))
					{	/* Effect/cgraph.scm 198 */
						{	/* Effect/cgraph.scm 198 */
							obj_t BgL_nodez00_840;

							BgL_nodez00_840 = CAR(BgL_l3269z00_837);
							{	/* Effect/cgraph.scm 198 */
								BgL_nodez00_bglt BgL_nodez00_1568;

								BgL_variablez00_bglt BgL_ownerz00_1569;

								BgL_nodez00_1568 = (BgL_nodez00_bglt) (BgL_nodez00_840);
								BgL_ownerz00_1569 = (BgL_variablez00_bglt) (BgL_ownerz00_41);
								{	/* Effect/cgraph.scm 198 */
									obj_t BgL_method3274z00_1570;

									{	/* Effect/cgraph.scm 198 */
										BgL_objectz00_bglt BgL_objz00_1571;

										BgL_objz00_1571 = (BgL_objectz00_bglt) (BgL_nodez00_1568);
										{	/* Effect/cgraph.scm 198 */
											long BgL_objzd2classzd2numz00_1572;

											BgL_objzd2classzd2numz00_1572 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1571);
											{	/* Effect/cgraph.scm 198 */
												obj_t BgL_arg2422z00_1573;

												BgL_arg2422z00_1573 =
													PROCEDURE_REF
													(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
													(int) (((long) 1)));
												{	/* Effect/cgraph.scm 198 */
													obj_t BgL_arrayz00_1575;

													int BgL_offsetz00_1576;

													BgL_arrayz00_1575 = BgL_arg2422z00_1573;
													BgL_offsetz00_1576 =
														(int) (BgL_objzd2classzd2numz00_1572);
													{	/* Effect/cgraph.scm 198 */
														long BgL_offsetz00_1577;

														BgL_offsetz00_1577 =
															((long) (BgL_offsetz00_1576) - OBJECT_TYPE);
														{	/* Effect/cgraph.scm 198 */
															long BgL_modz00_1578;

															{	/* Effect/cgraph.scm 198 */
																int BgL_arg2424z00_1579;

																BgL_arg2424z00_1579 = (int) (((long) 8));
																{	/* Effect/cgraph.scm 198 */
																	long BgL_auxz00_2967;

																	BgL_auxz00_2967 =
																		(long) (BgL_arg2424z00_1579);
																	BgL_modz00_1578 =
																		(BgL_offsetz00_1577 / BgL_auxz00_2967);
															}}
															{	/* Effect/cgraph.scm 198 */
																long BgL_restz00_1580;

																{	/* Effect/cgraph.scm 198 */
																	int BgL_arg2423z00_1581;

																	BgL_arg2423z00_1581 = (int) (((long) 8));
																	{	/* Effect/cgraph.scm 198 */
																		long BgL_auxz00_2971;

																		BgL_auxz00_2971 =
																			(long) (BgL_arg2423z00_1581);
																		BgL_restz00_1580 =
																			(BgL_offsetz00_1577 % BgL_auxz00_2971);
																}}
																{	/* Effect/cgraph.scm 198 */

																	BgL_method3274z00_1570 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1575,
																			(int) (BgL_modz00_1578)),
																		(int) (BgL_restz00_1580));
									}}}}}}}}
									PROCEDURE_ENTRY(BgL_method3274z00_1570)
										(BgL_method3274z00_1570, (obj_t) (BgL_nodez00_1568),
										(obj_t) (BgL_ownerz00_1569), BEOA);
						}}}
						{
							obj_t BgL_l3269z00_2982;

							BgL_l3269z00_2982 = CDR(BgL_l3269z00_837);
							BgL_l3269z00_837 = BgL_l3269z00_2982;
							goto BgL_zc3anonymousza33330ze3z83_838;
						}
					}
				else
					{	/* Effect/cgraph.scm 198 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 242 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* _get-var/side-effect */
	obj_t BGl__getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(obj_t
		BgL_envz00_2698)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 242 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 253 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* _get-var/all */
	obj_t BGl__getzd2varzf2allz20zzeffect_cgraphz00(obj_t BgL_envz00_2699)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 253 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 264 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* _reset-effect-tables! */
	obj_t BGl__resetzd2effectzd2tablesz12z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2700)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 264 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}
	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_54)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 271 */
			{	/* Effect/cgraph.scm 273 */
				BgL_valuez00_bglt BgL_funz00_843;

				BgL_funz00_843 =
					(((BgL_variablez00_bglt) CREF(BgL_vz00_54))->BgL_valuez00);
				{	/* Effect/cgraph.scm 275 */
					bool_t BgL_testz00_2986;

					{	/* Effect/cgraph.scm 275 */
						BgL_funz00_bglt BgL_obj1651z00_1597;

						BgL_obj1651z00_1597 = (BgL_funz00_bglt) (BgL_funz00_843);
						BgL_testz00_2986 =
							CBOOL(
							(((BgL_funz00_bglt) CREF(BgL_obj1651z00_1597))->
								BgL_sidezd2effectzf3z21));
					}
					if (BgL_testz00_2986)
						{	/* Effect/cgraph.scm 275 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										(obj_t) (BgL_vz00_54),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
								{	/* Effect/cgraph.scm 278 */
									return CNST_TABLE_REF(((long) 0));
								}
							else
								{	/* Effect/cgraph.scm 278 */
									return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
										MAKE_PAIR(
											(obj_t) (BgL_vz00_54),
											BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
										BUNSPEC);
								}
						}
					else
						{	/* Effect/cgraph.scm 275 */
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
								MAKE_PAIR(
								(obj_t) (BgL_vz00_54),
								BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
							{
								BgL_funz00_bglt BgL_auxz00_2999;

								BgL_auxz00_2999 = (BgL_funz00_bglt) (BgL_funz00_843);
								return
									((((BgL_funz00_bglt) CREF(BgL_auxz00_2999))->
										BgL_sidezd2effectzf3z21) = ((obj_t) BTRUE), BUNSPEC);
							}
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 20 */
				obj_t BgL_arg3335z00_846;

				obj_t BgL_arg3336z00_847;

				obj_t BgL_arg3339z00_850;

				BgL_arg3335z00_846 = CNST_TABLE_REF(((long) 1));
				BgL_arg3336z00_847 = BGl_localz00zzast_varz00;
				{	/* Effect/cgraph.scm 20 */
					obj_t BgL_v3271z00_851;

					BgL_v3271z00_851 = create_vector((int) (((long) 0)));
					BgL_arg3339z00_850 = BgL_v3271z00_851;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3335z00_846,
					BgL_arg3336z00_847, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2localzf2fromzd2envza0zzeffect_cgraphz00,
					BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
					BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00, ((long) 443584018),
					BFALSE, BFALSE, BgL_arg3339z00_850);
			}
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg3340z00_852;

				obj_t BgL_arg3341z00_853;

				obj_t BgL_arg3344z00_856;

				BgL_arg3340z00_852 = CNST_TABLE_REF(((long) 2));
				BgL_arg3341z00_853 = BGl_globalz00zzast_varz00;
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v3272z00_857;

					BgL_v3272z00_857 = create_vector((int) (((long) 0)));
					BgL_arg3344z00_856 = BgL_v3272z00_857;
				}
				BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3340z00_852,
					BgL_arg3341z00_853, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2globalzf2fromzd2envza0zzeffect_cgraphz00,
					BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
					BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00, ((long) 410954352),
					BFALSE, BFALSE, BgL_arg3344z00_856);
			}
			BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00 = BUNSPEC;
			return (BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_obj3170z00_55)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3170z00_55,
				BGl_globalzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* _global/from? */
	obj_t BGl__globalzf2fromzf3z01zzeffect_cgraphz00(obj_t BgL_envz00_2707,
		obj_t BgL_obj3170z00_2708)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3170z00_2708,
					BGl_globalzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* widening-global/from */
	BGL_EXPORTED_DEF BgL_globalzf2fromzf2_bglt
		BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_from3136z00_59)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalzf2fromzf2_bglt BgL_new3137z00_1600;

				BgL_new3137z00_1600 =
					((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_globalzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 21 */
					BgL_globalzf2fromzf2_bglt BgL_res3529z00_1604;

					{	/* Effect/cgraph.scm 21 */
						BgL_globalzf2fromzf2_bglt BgL_new3159z00_1601;

						BgL_new3159z00_1601 = BgL_new3137z00_1600;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_from3158z00_1603;

							BgL_from3158z00_1603 = BgL_from3136z00_59;
							((((BgL_globalzf2fromzf2_bglt) CREF(BgL_new3159z00_1601))->
									BgL_fromz00) = ((obj_t) BgL_from3158z00_1603), BUNSPEC);
							BgL_res3529z00_1604 = BgL_new3159z00_1601;
					}} BgL_res3529z00_1604;
				}
				return BgL_new3137z00_1600;
			}
		}
	}



/* _widening-global/from */
	obj_t BGl__wideningzd2globalzf2fromz20zzeffect_cgraphz00(obj_t
		BgL_envz00_2709, obj_t BgL_from3136z00_2710)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return
				(obj_t) (BGl_wideningzd2globalzf2fromz20zzeffect_cgraphz00
				(BgL_from3136z00_2710));
		}
	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalzf2fromzf2_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id3140z00_60,
		obj_t BgL_name3141z00_61, BgL_typez00_bglt BgL_type3142z00_62,
		BgL_valuez00_bglt BgL_value3143z00_63, obj_t BgL_access3144z00_64,
		obj_t BgL_fastzd2alpha3145zd2_65, obj_t BgL_removable3146z00_66,
		long BgL_occurrence3147z00_67, obj_t BgL_module3148z00_68,
		obj_t BgL_import3149z00_69, bool_t BgL_evaluablezf33150zf3_70,
		obj_t BgL_library3151z00_71, bool_t BgL_userzf33152zf3_72,
		obj_t BgL_pragma3153z00_73, obj_t BgL_src3154z00_74,
		obj_t BgL_jvmzd2typezd2name3155z00_75, obj_t BgL_from3139z00_76)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalz00_bglt BgL_aux3156z00_1605;

				BgL_aux3156z00_1605 =
					BGl_makezd2globalzd2zzast_varz00(BgL_id3140z00_60, BgL_name3141z00_61,
					BgL_type3142z00_62, BgL_value3143z00_63, BgL_access3144z00_64,
					BgL_fastzd2alpha3145zd2_65, BgL_removable3146z00_66,
					BgL_occurrence3147z00_67, BgL_module3148z00_68, BgL_import3149z00_69,
					BgL_evaluablezf33150zf3_70, BgL_library3151z00_71,
					BgL_userzf33152zf3_72, BgL_pragma3153z00_73, BgL_src3154z00_74,
					BgL_jvmzd2typezd2name3155z00_75);
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_aux3156z00_1605),
					BGl_classzd2numzd2zz__objectz00
					(BGl_globalzf2fromzf2zzeffect_cgraphz00));
				{	/* Effect/cgraph.scm 21 */
					BgL_globalzf2fromzf2_bglt BgL_arg3346z00_1607;

					{	/* Effect/cgraph.scm 21 */
						BgL_globalzf2fromzf2_bglt BgL_res3531z00_1617;

						{	/* Effect/cgraph.scm 21 */
							BgL_globalzf2fromzf2_bglt BgL_new3137z00_1612;

							BgL_new3137z00_1612 =
								((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalzf2fromzf2_bgl))));
							{	/* Effect/cgraph.scm 21 */
								BgL_globalzf2fromzf2_bglt BgL_res3530z00_1616;

								{	/* Effect/cgraph.scm 21 */
									BgL_globalzf2fromzf2_bglt BgL_new3159z00_1613;

									BgL_new3159z00_1613 = BgL_new3137z00_1612;
									{	/* Effect/cgraph.scm 21 */
										obj_t BgL_from3158z00_1615;

										BgL_from3158z00_1615 = BgL_from3139z00_76;
										((((BgL_globalzf2fromzf2_bglt) CREF(BgL_new3159z00_1613))->
												BgL_fromz00) = ((obj_t) BgL_from3158z00_1615), BUNSPEC);
										BgL_res3530z00_1616 = BgL_new3159z00_1613;
								}} BgL_res3530z00_1616;
							}
							BgL_res3531z00_1617 = BgL_new3137z00_1612;
						}
						BgL_arg3346z00_1607 = BgL_res3531z00_1617;
					}
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_auxz00_3025;

						BgL_objectz00_bglt BgL_auxz00_3023;

						BgL_auxz00_3025 = (obj_t) (BgL_arg3346z00_1607);
						BgL_auxz00_3023 = (BgL_objectz00_bglt) (BgL_aux3156z00_1605);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3023, BgL_auxz00_3025);
				}}
				return
					((BgL_globalzf2fromzf2_bglt)
					(BgL_globalzf2fromzf2_bglt) (BgL_aux3156z00_1605));
			}
		}
	}



/* _make-global/from */
	obj_t BGl__makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_2711,
		obj_t BgL_id3140z00_2712, obj_t BgL_name3141z00_2713,
		obj_t BgL_type3142z00_2714, obj_t BgL_value3143z00_2715,
		obj_t BgL_access3144z00_2716, obj_t BgL_fastzd2alpha3145zd2_2717,
		obj_t BgL_removable3146z00_2718, obj_t BgL_occurrence3147z00_2719,
		obj_t BgL_module3148z00_2720, obj_t BgL_import3149z00_2721,
		obj_t BgL_evaluablezf33150zf3_2722, obj_t BgL_library3151z00_2723,
		obj_t BgL_userzf33152zf3_2724, obj_t BgL_pragma3153z00_2725,
		obj_t BgL_src3154z00_2726, obj_t BgL_jvmzd2typezd2name3155z00_2727,
		obj_t BgL_from3139z00_2728)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return
				(obj_t) (BGl_makezd2globalzf2fromz20zzeffect_cgraphz00
				(BgL_id3140z00_2712, BgL_name3141z00_2713,
					(BgL_typez00_bglt) (BgL_type3142z00_2714),
					(BgL_valuez00_bglt) (BgL_value3143z00_2715), BgL_access3144z00_2716,
					BgL_fastzd2alpha3145zd2_2717, BgL_removable3146z00_2718,
					(long) CINT(BgL_occurrence3147z00_2719), BgL_module3148z00_2720,
					BgL_import3149z00_2721, CBOOL(BgL_evaluablezf33150zf3_2722),
					BgL_library3151z00_2723, CBOOL(BgL_userzf33152zf3_2724),
					BgL_pragma3153z00_2725, BgL_src3154z00_2726,
					BgL_jvmzd2typezd2name3155z00_2727, BgL_from3139z00_2728));
		}
	}



/* fill-global/from! */
	BGL_EXPORTED_DEF BgL_globalzf2fromzf2_bglt
		BGl_fillzd2globalzf2fromz12z32zzeffect_cgraphz00(BgL_globalzf2fromzf2_bglt
		BgL_new3159z00_77, obj_t BgL_from3158z00_78)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_from3158z00_2870;

				BgL_from3158z00_2870 = BgL_from3158z00_78;
				((((BgL_globalzf2fromzf2_bglt) CREF(BgL_new3159z00_77))->BgL_fromz00) =
					((obj_t) BgL_from3158z00_2870), BUNSPEC);
				return BgL_new3159z00_77;
			}
		}
	}



/* _fill-global/from! */
	obj_t BGl__fillzd2globalzf2fromz12z32zzeffect_cgraphz00(obj_t BgL_envz00_2729,
		obj_t BgL_new3159z00_2730, obj_t BgL_from3158z00_2731)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3038;

				{	/* Effect/cgraph.scm 21 */
					BgL_globalzf2fromzf2_bglt BgL_res3647z00_2874;

					{	/* Effect/cgraph.scm 21 */
						BgL_globalzf2fromzf2_bglt BgL_new3159z00_2871;

						BgL_new3159z00_2871 =
							(BgL_globalzf2fromzf2_bglt) (BgL_new3159z00_2730);
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_from3158z00_2873;

							BgL_from3158z00_2873 = BgL_from3158z00_2731;
							((((BgL_globalzf2fromzf2_bglt) CREF(BgL_new3159z00_2871))->
									BgL_fromz00) = ((obj_t) BgL_from3158z00_2873), BUNSPEC);
							BgL_res3647z00_2874 = BgL_new3159z00_2871;
						}
					}
					BgL_auxz00_3038 = BgL_res3647z00_2874;
				}
				return (obj_t) (BgL_auxz00_3038);
			}
		}
	}



/* %allocate-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_z52allocatezd2globalzf2fromz72zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalz00_bglt BgL_new3162z00_2875;

				BgL_new3162z00_2875 =
					((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_globalz00_bgl))));
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3162z00_2875),
					BGl_classzd2numzd2zz__objectz00
					(BGl_globalzf2fromzf2zzeffect_cgraphz00));
				{	/* Effect/cgraph.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_3046;

					BgL_auxz00_3046 = (BgL_objectz00_bglt) (BgL_new3162z00_2875);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3046, BFALSE);
				}
				return BgL_new3162z00_2875;
			}
		}
	}



/* _%allocate-global/from */
	obj_t BGl__z52allocatezd2globalzf2fromz72zzeffect_cgraphz00(obj_t
		BgL_envz00_2705)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_globalz00_bglt BgL_auxz00_3049;

				{	/* Effect/cgraph.scm 21 */
					BgL_globalz00_bglt BgL_res3648z00_2879;

					{	/* Effect/cgraph.scm 21 */
						BgL_globalz00_bglt BgL_new3162z00_2877;

						BgL_new3162z00_2877 =
							((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3162z00_2877),
							BGl_classzd2numzd2zz__objectz00
							(BGl_globalzf2fromzf2zzeffect_cgraphz00));
						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_3054;

							BgL_auxz00_3054 = (BgL_objectz00_bglt) (BgL_new3162z00_2877);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3054, BFALSE);
						}
						BgL_res3648z00_2879 = BgL_new3162z00_2877;
					}
					BgL_auxz00_3049 = BgL_res3648z00_2879;
				}
				return (obj_t) (BgL_auxz00_3049);
			}
		}
	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalzf2fromzf2_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			if ((BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00 == BUNSPEC))
				{	/* Effect/cgraph.scm 21 */
					{	/* Effect/cgraph.scm 21 */
						BgL_globalz00_bglt BgL_res3532z00_1627;

						{	/* Effect/cgraph.scm 21 */
							BgL_globalz00_bglt BgL_new1588z00_1623;

							BgL_new1588z00_1623 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1588z00_1623),
								BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00));
							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_auxz00_3064;

								BgL_auxz00_3064 = (BgL_objectz00_bglt) (BgL_new1588z00_1623);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3064, BFALSE);
							}
							BgL_res3532z00_1627 = BgL_new1588z00_1623;
						}
						BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00 =
							(obj_t) (BgL_res3532z00_1627);
					}
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg3349z00_867;

						BgL_typez00_bglt BgL_arg3350z00_868;

						BgL_valuez00_bglt BgL_arg3351z00_869;

						obj_t BgL_arg3353z00_871;

						BgL_arg3349z00_867 = CNST_TABLE_REF(((long) 3));
						BgL_arg3350z00_868 = BGl_typezd2nilzd2zztype_typez00();
						BgL_arg3351z00_869 = BGl_valuezd2nilzd2zzast_varz00();
						BgL_arg3353z00_871 = CNST_TABLE_REF(((long) 3));
						{	/* Effect/cgraph.scm 21 */
							BgL_globalz00_bglt BgL_res3533z00_1661;

							{	/* Effect/cgraph.scm 21 */
								BgL_globalz00_bglt BgL_new1570z00_1628;

								BgL_new1570z00_1628 =
									(BgL_globalz00_bglt)
									(BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00);
								{	/* Effect/cgraph.scm 21 */
									obj_t BgL_id1554z00_1645;

									obj_t BgL_name1555z00_1646;

									BgL_typez00_bglt BgL_type1556z00_1647;

									BgL_valuez00_bglt BgL_value1557z00_1648;

									obj_t BgL_access1558z00_1649;

									obj_t BgL_fastzd2alpha1559zd2_1650;

									obj_t BgL_removable1560z00_1651;

									long BgL_occurrence1561z00_1652;

									obj_t BgL_module1562z00_1653;

									obj_t BgL_import1563z00_1654;

									bool_t BgL_evaluablezf31564zf3_1655;

									obj_t BgL_library1565z00_1656;

									bool_t BgL_userzf31566zf3_1657;

									obj_t BgL_pragma1567z00_1658;

									obj_t BgL_src1568z00_1659;

									obj_t BgL_jvmzd2typezd2name1569z00_1660;

									BgL_id1554z00_1645 = BgL_arg3349z00_867;
									BgL_name1555z00_1646 = BUNSPEC;
									BgL_type1556z00_1647 = BgL_arg3350z00_868;
									BgL_value1557z00_1648 = BgL_arg3351z00_869;
									BgL_access1558z00_1649 = BUNSPEC;
									BgL_fastzd2alpha1559zd2_1650 = BUNSPEC;
									BgL_removable1560z00_1651 = BUNSPEC;
									BgL_occurrence1561z00_1652 = ((long) 0);
									BgL_module1562z00_1653 = BgL_arg3353z00_871;
									BgL_import1563z00_1654 = BUNSPEC;
									BgL_evaluablezf31564zf3_1655 = ((bool_t) 0);
									BgL_library1565z00_1656 = BUNSPEC;
									BgL_userzf31566zf3_1657 = ((bool_t) 0);
									BgL_pragma1567z00_1658 = BUNSPEC;
									BgL_src1568z00_1659 = BUNSPEC;
									BgL_jvmzd2typezd2name1569z00_1660 =
										BGl_string3616z00zzeffect_cgraphz00;
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_idz00) = ((obj_t) BgL_id1554z00_1645), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_namez00) = ((obj_t) BgL_name1555z00_1646), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_type1556z00_1647), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_value1557z00_1648), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_accessz00) =
										((obj_t) BgL_access1558z00_1649), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_fastzd2alphazd2) =
										((obj_t) BgL_fastzd2alpha1559zd2_1650), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_removablez00) =
										((obj_t) BgL_removable1560z00_1651), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_occurrencez00) =
										((long) BgL_occurrence1561z00_1652), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_modulez00) =
										((obj_t) BgL_module1562z00_1653), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_importz00) =
										((obj_t) BgL_import1563z00_1654), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_evaluablezf3zf3) =
										((bool_t) BgL_evaluablezf31564zf3_1655), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_libraryz00) =
										((obj_t) BgL_library1565z00_1656), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_userzf3zf3) =
										((bool_t) BgL_userzf31566zf3_1657), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_pragmaz00) =
										((obj_t) BgL_pragma1567z00_1658), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_srcz00) = ((obj_t) BgL_src1568z00_1659), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1570z00_1628))->
											BgL_jvmzd2typezd2namez00) =
										((obj_t) BgL_jvmzd2typezd2name1569z00_1660), BUNSPEC);
									BgL_res3533z00_1661 = BgL_new1570z00_1628;
							}} BgL_res3533z00_1661;
					}}
					{	/* Effect/cgraph.scm 21 */
						long BgL_arg3355z00_873;

						BgL_arg3355z00_873 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_globalzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00),
							BgL_arg3355z00_873);
					}
					{	/* Effect/cgraph.scm 21 */
						BgL_globalzf2fromzf2_bglt BgL_arg3356z00_874;

						{	/* Effect/cgraph.scm 21 */
							BgL_globalzf2fromzf2_bglt BgL_res3535z00_1670;

							{	/* Effect/cgraph.scm 21 */
								BgL_globalzf2fromzf2_bglt BgL_new3137z00_1665;

								BgL_new3137z00_1665 =
									((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalzf2fromzf2_bgl))));
								{	/* Effect/cgraph.scm 21 */
									BgL_globalzf2fromzf2_bglt BgL_res3534z00_1669;

									{	/* Effect/cgraph.scm 21 */
										BgL_globalzf2fromzf2_bglt BgL_new3159z00_1666;

										BgL_new3159z00_1666 = BgL_new3137z00_1665;
										{	/* Effect/cgraph.scm 21 */
											obj_t BgL_from3158z00_1668;

											BgL_from3158z00_1668 = BUNSPEC;
											((((BgL_globalzf2fromzf2_bglt)
														CREF(BgL_new3159z00_1666))->BgL_fromz00) =
												((obj_t) BgL_from3158z00_1668), BUNSPEC);
											BgL_res3534z00_1669 = BgL_new3159z00_1666;
									}} BgL_res3534z00_1669;
								}
								BgL_res3535z00_1670 = BgL_new3137z00_1665;
							}
							BgL_arg3356z00_874 = BgL_res3535z00_1670;
						}
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_3096;

							BgL_objectz00_bglt BgL_auxz00_3094;

							BgL_auxz00_3096 = (obj_t) (BgL_arg3356z00_874);
							BgL_auxz00_3094 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3094, BgL_auxz00_3096);
				}}}
			else
				{	/* Effect/cgraph.scm 21 */
					BFALSE;
				}
			return
				(BgL_globalzf2fromzf2_bglt)
				(BGl_z52thezd2globalzf2fromzd2nilza0zzeffect_cgraphz00);
		}
	}



/* _global/from-nil */
	obj_t BGl__globalzf2fromzd2nilz20zzeffect_cgraphz00(obj_t BgL_envz00_2706)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			return (obj_t) (BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00());
		}
	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_obj3104z00_82)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3104z00_82,
				BGl_localzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* _local/from? */
	obj_t BGl__localzf2fromzf3z01zzeffect_cgraphz00(obj_t BgL_envz00_2703,
		obj_t BgL_obj3104z00_2704)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3104z00_2704,
					BGl_localzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* widening-local/from */
	BGL_EXPORTED_DEF BgL_localzf2fromzf2_bglt
		BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_from3077z00_86)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localzf2fromzf2_bglt BgL_new3078z00_1671;

				BgL_new3078z00_1671 =
					((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 20 */
					BgL_localzf2fromzf2_bglt BgL_res3536z00_1675;

					{	/* Effect/cgraph.scm 20 */
						BgL_localzf2fromzf2_bglt BgL_new3094z00_1672;

						BgL_new3094z00_1672 = BgL_new3078z00_1671;
						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_from3093z00_1674;

							BgL_from3093z00_1674 = BgL_from3077z00_86;
							((((BgL_localzf2fromzf2_bglt) CREF(BgL_new3094z00_1672))->
									BgL_fromz00) = ((obj_t) BgL_from3093z00_1674), BUNSPEC);
							BgL_res3536z00_1675 = BgL_new3094z00_1672;
					}} BgL_res3536z00_1675;
				}
				return BgL_new3078z00_1671;
			}
		}
	}



/* _widening-local/from */
	obj_t BGl__wideningzd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_2732,
		obj_t BgL_from3077z00_2733)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return
				(obj_t) (BGl_wideningzd2localzf2fromz20zzeffect_cgraphz00
				(BgL_from3077z00_2733));
		}
	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localzf2fromzf2_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id3081z00_87,
		obj_t BgL_name3082z00_88, BgL_typez00_bglt BgL_type3083z00_89,
		BgL_valuez00_bglt BgL_value3084z00_90, obj_t BgL_access3085z00_91,
		obj_t BgL_fastzd2alpha3086zd2_92, obj_t BgL_removable3087z00_93,
		long BgL_occurrence3088z00_94, bool_t BgL_userzf33089zf3_95,
		long BgL_key3090z00_96, obj_t BgL_from3080z00_97)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localz00_bglt BgL_aux3091z00_1676;

				BgL_aux3091z00_1676 =
					BGl_makezd2localzd2zzast_varz00(BgL_id3081z00_87, BgL_name3082z00_88,
					BgL_type3083z00_89, BgL_value3084z00_90, BgL_access3085z00_91,
					BgL_fastzd2alpha3086zd2_92, BgL_removable3087z00_93,
					BgL_occurrence3088z00_94, BgL_userzf33089zf3_95, BgL_key3090z00_96);
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_aux3091z00_1676),
					BGl_classzd2numzd2zz__objectz00
					(BGl_localzf2fromzf2zzeffect_cgraphz00));
				{	/* Effect/cgraph.scm 20 */
					BgL_localzf2fromzf2_bglt BgL_arg3358z00_1678;

					{	/* Effect/cgraph.scm 20 */
						BgL_localzf2fromzf2_bglt BgL_res3538z00_1688;

						{	/* Effect/cgraph.scm 20 */
							BgL_localzf2fromzf2_bglt BgL_new3078z00_1683;

							BgL_new3078z00_1683 =
								((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localzf2fromzf2_bgl))));
							{	/* Effect/cgraph.scm 20 */
								BgL_localzf2fromzf2_bglt BgL_res3537z00_1687;

								{	/* Effect/cgraph.scm 20 */
									BgL_localzf2fromzf2_bglt BgL_new3094z00_1684;

									BgL_new3094z00_1684 = BgL_new3078z00_1683;
									{	/* Effect/cgraph.scm 20 */
										obj_t BgL_from3093z00_1686;

										BgL_from3093z00_1686 = BgL_from3080z00_97;
										((((BgL_localzf2fromzf2_bglt) CREF(BgL_new3094z00_1684))->
												BgL_fromz00) = ((obj_t) BgL_from3093z00_1686), BUNSPEC);
										BgL_res3537z00_1687 = BgL_new3094z00_1684;
								}} BgL_res3537z00_1687;
							}
							BgL_res3538z00_1688 = BgL_new3078z00_1683;
						}
						BgL_arg3358z00_1678 = BgL_res3538z00_1688;
					}
					{	/* Effect/cgraph.scm 20 */
						obj_t BgL_auxz00_3117;

						BgL_objectz00_bglt BgL_auxz00_3115;

						BgL_auxz00_3117 = (obj_t) (BgL_arg3358z00_1678);
						BgL_auxz00_3115 = (BgL_objectz00_bglt) (BgL_aux3091z00_1676);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3115, BgL_auxz00_3117);
				}}
				return
					((BgL_localzf2fromzf2_bglt)
					(BgL_localzf2fromzf2_bglt) (BgL_aux3091z00_1676));
			}
		}
	}



/* _make-local/from */
	obj_t BGl__makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_envz00_2734,
		obj_t BgL_id3081z00_2735, obj_t BgL_name3082z00_2736,
		obj_t BgL_type3083z00_2737, obj_t BgL_value3084z00_2738,
		obj_t BgL_access3085z00_2739, obj_t BgL_fastzd2alpha3086zd2_2740,
		obj_t BgL_removable3087z00_2741, obj_t BgL_occurrence3088z00_2742,
		obj_t BgL_userzf33089zf3_2743, obj_t BgL_key3090z00_2744,
		obj_t BgL_from3080z00_2745)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return
				(obj_t) (BGl_makezd2localzf2fromz20zzeffect_cgraphz00
				(BgL_id3081z00_2735, BgL_name3082z00_2736,
					(BgL_typez00_bglt) (BgL_type3083z00_2737),
					(BgL_valuez00_bglt) (BgL_value3084z00_2738), BgL_access3085z00_2739,
					BgL_fastzd2alpha3086zd2_2740, BgL_removable3087z00_2741,
					(long) CINT(BgL_occurrence3088z00_2742),
					CBOOL(BgL_userzf33089zf3_2743), (long) CINT(BgL_key3090z00_2744),
					BgL_from3080z00_2745));
		}
	}



/* fill-local/from! */
	BGL_EXPORTED_DEF BgL_localzf2fromzf2_bglt
		BGl_fillzd2localzf2fromz12z32zzeffect_cgraphz00(BgL_localzf2fromzf2_bglt
		BgL_new3094z00_98, obj_t BgL_from3093z00_99)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				obj_t BgL_from3093z00_2881;

				BgL_from3093z00_2881 = BgL_from3093z00_99;
				((((BgL_localzf2fromzf2_bglt) CREF(BgL_new3094z00_98))->BgL_fromz00) =
					((obj_t) BgL_from3093z00_2881), BUNSPEC);
				return BgL_new3094z00_98;
			}
		}
	}



/* _fill-local/from! */
	obj_t BGl__fillzd2localzf2fromz12z32zzeffect_cgraphz00(obj_t BgL_envz00_2746,
		obj_t BgL_new3094z00_2747, obj_t BgL_from3093z00_2748)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localzf2fromzf2_bglt BgL_auxz00_3130;

				{	/* Effect/cgraph.scm 20 */
					BgL_localzf2fromzf2_bglt BgL_res3649z00_2885;

					{	/* Effect/cgraph.scm 20 */
						BgL_localzf2fromzf2_bglt BgL_new3094z00_2882;

						BgL_new3094z00_2882 =
							(BgL_localzf2fromzf2_bglt) (BgL_new3094z00_2747);
						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_from3093z00_2884;

							BgL_from3093z00_2884 = BgL_from3093z00_2748;
							((((BgL_localzf2fromzf2_bglt) CREF(BgL_new3094z00_2882))->
									BgL_fromz00) = ((obj_t) BgL_from3093z00_2884), BUNSPEC);
							BgL_res3649z00_2885 = BgL_new3094z00_2882;
						}
					}
					BgL_auxz00_3130 = BgL_res3649z00_2885;
				}
				return (obj_t) (BgL_auxz00_3130);
			}
		}
	}



/* %allocate-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_z52allocatezd2localzf2fromz72zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localz00_bglt BgL_new3097z00_2886;

				BgL_new3097z00_2886 =
					((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localz00_bgl))));
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3097z00_2886),
					BGl_classzd2numzd2zz__objectz00
					(BGl_localzf2fromzf2zzeffect_cgraphz00));
				{	/* Effect/cgraph.scm 20 */
					BgL_objectz00_bglt BgL_auxz00_3138;

					BgL_auxz00_3138 = (BgL_objectz00_bglt) (BgL_new3097z00_2886);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3138, BFALSE);
				}
				return BgL_new3097z00_2886;
			}
		}
	}



/* _%allocate-local/from */
	obj_t BGl__z52allocatezd2localzf2fromz72zzeffect_cgraphz00(obj_t
		BgL_envz00_2701)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{	/* Effect/cgraph.scm 20 */
				BgL_localz00_bglt BgL_auxz00_3141;

				{	/* Effect/cgraph.scm 20 */
					BgL_localz00_bglt BgL_res3650z00_2890;

					{	/* Effect/cgraph.scm 20 */
						BgL_localz00_bglt BgL_new3097z00_2888;

						BgL_new3097z00_2888 =
							((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3097z00_2888),
							BGl_classzd2numzd2zz__objectz00
							(BGl_localzf2fromzf2zzeffect_cgraphz00));
						{	/* Effect/cgraph.scm 20 */
							BgL_objectz00_bglt BgL_auxz00_3146;

							BgL_auxz00_3146 = (BgL_objectz00_bglt) (BgL_new3097z00_2888);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3146, BFALSE);
						}
						BgL_res3650z00_2890 = BgL_new3097z00_2888;
					}
					BgL_auxz00_3141 = BgL_res3650z00_2890;
				}
				return (obj_t) (BgL_auxz00_3141);
			}
		}
	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localzf2fromzf2_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			if ((BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00 == BUNSPEC))
				{	/* Effect/cgraph.scm 20 */
					{	/* Effect/cgraph.scm 20 */
						BgL_localz00_bglt BgL_res3539z00_1698;

						{	/* Effect/cgraph.scm 20 */
							BgL_localz00_bglt BgL_new1648z00_1694;

							BgL_new1648z00_1694 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1648z00_1694),
								BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00));
							{	/* Effect/cgraph.scm 20 */
								BgL_objectz00_bglt BgL_auxz00_3156;

								BgL_auxz00_3156 = (BgL_objectz00_bglt) (BgL_new1648z00_1694);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3156, BFALSE);
							}
							BgL_res3539z00_1698 = BgL_new1648z00_1694;
						}
						BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00 =
							(obj_t) (BgL_res3539z00_1698);
					}
					{	/* Effect/cgraph.scm 20 */
						obj_t BgL_arg3361z00_884;

						BgL_typez00_bglt BgL_arg3362z00_885;

						BgL_valuez00_bglt BgL_arg3363z00_886;

						BgL_arg3361z00_884 = CNST_TABLE_REF(((long) 3));
						BgL_arg3362z00_885 = BGl_typezd2nilzd2zztype_typez00();
						BgL_arg3363z00_886 = BGl_valuezd2nilzd2zzast_varz00();
						{	/* Effect/cgraph.scm 20 */
							BgL_localz00_bglt BgL_res3540z00_1720;

							{	/* Effect/cgraph.scm 20 */
								BgL_localz00_bglt BgL_new1636z00_1699;

								BgL_new1636z00_1699 =
									(BgL_localz00_bglt)
									(BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00);
								{	/* Effect/cgraph.scm 20 */
									obj_t BgL_id1626z00_1710;

									obj_t BgL_name1627z00_1711;

									BgL_typez00_bglt BgL_type1628z00_1712;

									BgL_valuez00_bglt BgL_value1629z00_1713;

									obj_t BgL_access1630z00_1714;

									obj_t BgL_fastzd2alpha1631zd2_1715;

									obj_t BgL_removable1632z00_1716;

									long BgL_occurrence1633z00_1717;

									bool_t BgL_userzf31634zf3_1718;

									long BgL_key1635z00_1719;

									BgL_id1626z00_1710 = BgL_arg3361z00_884;
									BgL_name1627z00_1711 = BUNSPEC;
									BgL_type1628z00_1712 = BgL_arg3362z00_885;
									BgL_value1629z00_1713 = BgL_arg3363z00_886;
									BgL_access1630z00_1714 = BUNSPEC;
									BgL_fastzd2alpha1631zd2_1715 = BUNSPEC;
									BgL_removable1632z00_1716 = BUNSPEC;
									BgL_occurrence1633z00_1717 = ((long) 0);
									BgL_userzf31634zf3_1718 = ((bool_t) 0);
									BgL_key1635z00_1719 = ((long) 0);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_idz00) = ((obj_t) BgL_id1626z00_1710), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_namez00) = ((obj_t) BgL_name1627z00_1711), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_type1628z00_1712), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_value1629z00_1713), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_accessz00) =
										((obj_t) BgL_access1630z00_1714), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_fastzd2alphazd2) =
										((obj_t) BgL_fastzd2alpha1631zd2_1715), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_removablez00) =
										((obj_t) BgL_removable1632z00_1716), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_occurrencez00) =
										((long) BgL_occurrence1633z00_1717), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_userzf3zf3) =
										((bool_t) BgL_userzf31634zf3_1718), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1636z00_1699))->
											BgL_keyz00) = ((long) BgL_key1635z00_1719), BUNSPEC);
									BgL_res3540z00_1720 = BgL_new1636z00_1699;
							}} BgL_res3540z00_1720;
					}}
					{	/* Effect/cgraph.scm 20 */
						long BgL_arg3367z00_889;

						BgL_arg3367z00_889 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_localzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00),
							BgL_arg3367z00_889);
					}
					{	/* Effect/cgraph.scm 20 */
						BgL_localzf2fromzf2_bglt BgL_arg3368z00_890;

						{	/* Effect/cgraph.scm 20 */
							BgL_localzf2fromzf2_bglt BgL_res3542z00_1729;

							{	/* Effect/cgraph.scm 20 */
								BgL_localzf2fromzf2_bglt BgL_new3078z00_1724;

								BgL_new3078z00_1724 =
									((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localzf2fromzf2_bgl))));
								{	/* Effect/cgraph.scm 20 */
									BgL_localzf2fromzf2_bglt BgL_res3541z00_1728;

									{	/* Effect/cgraph.scm 20 */
										BgL_localzf2fromzf2_bglt BgL_new3094z00_1725;

										BgL_new3094z00_1725 = BgL_new3078z00_1724;
										{	/* Effect/cgraph.scm 20 */
											obj_t BgL_from3093z00_1727;

											BgL_from3093z00_1727 = BUNSPEC;
											((((BgL_localzf2fromzf2_bglt) CREF(BgL_new3094z00_1725))->
													BgL_fromz00) =
												((obj_t) BgL_from3093z00_1727), BUNSPEC);
											BgL_res3541z00_1728 = BgL_new3094z00_1725;
									}} BgL_res3541z00_1728;
								}
								BgL_res3542z00_1729 = BgL_new3078z00_1724;
							}
							BgL_arg3368z00_890 = BgL_res3542z00_1729;
						}
						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_auxz00_3181;

							BgL_objectz00_bglt BgL_auxz00_3179;

							BgL_auxz00_3181 = (obj_t) (BgL_arg3368z00_890);
							BgL_auxz00_3179 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3179, BgL_auxz00_3181);
				}}}
			else
				{	/* Effect/cgraph.scm 20 */
					BFALSE;
				}
			return
				(BgL_localzf2fromzf2_bglt)
				(BGl_z52thezd2localzf2fromzd2nilza0zzeffect_cgraphz00);
		}
	}



/* _local/from-nil */
	obj_t BGl__localzf2fromzd2nilz20zzeffect_cgraphz00(obj_t BgL_envz00_2702)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			return (obj_t) (BGl_localzf2fromzd2nilz20zzeffect_cgraphz00());
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_callzd2graphz12zd2default3273zd2envzc0zzeffect_cgraphz00);
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_savezd2callz12zd2default3309zd2envzc0zzeffect_cgraphz00);
		}
	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt BgL_nodez00_2,
		BgL_variablez00_bglt BgL_ownerz00_3)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 37 */
			{	/* Effect/cgraph.scm 37 */
				obj_t BgL_method3274z00_1764;

				{	/* Effect/cgraph.scm 37 */
					BgL_objectz00_bglt BgL_objz00_1765;

					BgL_objz00_1765 = (BgL_objectz00_bglt) (BgL_nodez00_2);
					{	/* Effect/cgraph.scm 37 */
						long BgL_objzd2classzd2numz00_1766;

						BgL_objzd2classzd2numz00_1766 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1765);
						{	/* Effect/cgraph.scm 37 */
							obj_t BgL_arg2422z00_1767;

							BgL_arg2422z00_1767 =
								PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
								(int) (((long) 1)));
							{	/* Effect/cgraph.scm 37 */
								obj_t BgL_arrayz00_1769;

								int BgL_offsetz00_1770;

								BgL_arrayz00_1769 = BgL_arg2422z00_1767;
								BgL_offsetz00_1770 = (int) (BgL_objzd2classzd2numz00_1766);
								{	/* Effect/cgraph.scm 37 */
									long BgL_offsetz00_1771;

									BgL_offsetz00_1771 =
										((long) (BgL_offsetz00_1770) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 37 */
										long BgL_modz00_1772;

										{	/* Effect/cgraph.scm 37 */
											int BgL_arg2424z00_1773;

											BgL_arg2424z00_1773 = (int) (((long) 8));
											{	/* Effect/cgraph.scm 37 */
												long BgL_auxz00_3197;

												BgL_auxz00_3197 = (long) (BgL_arg2424z00_1773);
												BgL_modz00_1772 =
													(BgL_offsetz00_1771 / BgL_auxz00_3197);
										}}
										{	/* Effect/cgraph.scm 37 */
											long BgL_restz00_1774;

											{	/* Effect/cgraph.scm 37 */
												int BgL_arg2423z00_1775;

												BgL_arg2423z00_1775 = (int) (((long) 8));
												{	/* Effect/cgraph.scm 37 */
													long BgL_auxz00_3201;

													BgL_auxz00_3201 = (long) (BgL_arg2423z00_1775);
													BgL_restz00_1774 =
														(BgL_offsetz00_1771 % BgL_auxz00_3201);
											}}
											{	/* Effect/cgraph.scm 37 */

												BgL_method3274z00_1764 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1769,
														(int) (BgL_modz00_1772)), (int) (BgL_restz00_1774));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3274z00_1764) (BgL_method3274z00_1764,
					(obj_t) (BgL_nodez00_2), (obj_t) (BgL_ownerz00_3), BEOA);
			}
		}
	}



/* _call-graph! */
	obj_t BGl__callzd2graphz12zc0zzeffect_cgraphz00(obj_t BgL_envz00_2695,
		obj_t BgL_nodez00_2696, obj_t BgL_ownerz00_2697)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 37 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				(BgL_nodez00_bglt) (BgL_nodez00_2696),
				(BgL_variablez00_bglt) (BgL_ownerz00_2697));
		}
	}



/* _call-graph!-default3273 */
	obj_t BGl__callzd2graphz12zd2default3273z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2749, obj_t BgL_nodez00_2750, obj_t BgL_ownerz00_2751)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_res3651z00_2893;

				BgL_res3651z00_2893 = CNST_TABLE_REF(((long) 4));
				return BgL_res3651z00_2893;
			}
		}
	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_42, BgL_variablez00_bglt BgL_ownerz00_43)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 203 */
			{	/* Effect/cgraph.scm 203 */
				obj_t BgL_method3310z00_1789;

				{	/* Effect/cgraph.scm 203 */
					BgL_objectz00_bglt BgL_objz00_1790;

					BgL_objz00_1790 = (BgL_objectz00_bglt) (BgL_calleez00_42);
					{	/* Effect/cgraph.scm 203 */
						long BgL_objzd2classzd2numz00_1791;

						BgL_objzd2classzd2numz00_1791 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1790);
						{	/* Effect/cgraph.scm 203 */
							obj_t BgL_arg2422z00_1792;

							BgL_arg2422z00_1792 =
								PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
								(int) (((long) 1)));
							{	/* Effect/cgraph.scm 203 */
								obj_t BgL_arrayz00_1794;

								int BgL_offsetz00_1795;

								BgL_arrayz00_1794 = BgL_arg2422z00_1792;
								BgL_offsetz00_1795 = (int) (BgL_objzd2classzd2numz00_1791);
								{	/* Effect/cgraph.scm 203 */
									long BgL_offsetz00_1796;

									BgL_offsetz00_1796 =
										((long) (BgL_offsetz00_1795) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 203 */
										long BgL_modz00_1797;

										{	/* Effect/cgraph.scm 203 */
											int BgL_arg2424z00_1798;

											BgL_arg2424z00_1798 = (int) (((long) 8));
											{	/* Effect/cgraph.scm 203 */
												long BgL_auxz00_3224;

												BgL_auxz00_3224 = (long) (BgL_arg2424z00_1798);
												BgL_modz00_1797 =
													(BgL_offsetz00_1796 / BgL_auxz00_3224);
										}}
										{	/* Effect/cgraph.scm 203 */
											long BgL_restz00_1799;

											{	/* Effect/cgraph.scm 203 */
												int BgL_arg2423z00_1800;

												BgL_arg2423z00_1800 = (int) (((long) 8));
												{	/* Effect/cgraph.scm 203 */
													long BgL_auxz00_3228;

													BgL_auxz00_3228 = (long) (BgL_arg2423z00_1800);
													BgL_restz00_1799 =
														(BgL_offsetz00_1796 % BgL_auxz00_3228);
											}}
											{	/* Effect/cgraph.scm 203 */

												BgL_method3310z00_1789 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1794,
														(int) (BgL_modz00_1797)), (int) (BgL_restz00_1799));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3310z00_1789) (BgL_method3310z00_1789,
					(obj_t) (BgL_calleez00_42), (obj_t) (BgL_ownerz00_43), BEOA);
			}
		}
	}



/* _save-call! */
	obj_t BGl__savezd2callz12zc0zzeffect_cgraphz00(obj_t BgL_envz00_2752,
		obj_t BgL_calleez00_2753, obj_t BgL_ownerz00_2754)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 203 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				(BgL_variablez00_bglt) (BgL_calleez00_2753),
				(BgL_variablez00_bglt) (BgL_ownerz00_2754));
		}
	}



/* save-call!-default3309 */
	obj_t
		BGl_savezd2callz12zd2default3309z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_44, BgL_variablez00_bglt BgL_ownerz00_45)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 5)),
				BGl_string3617z00zzeffect_cgraphz00, (obj_t) (BgL_calleez00_44));
		}
	}



/* _save-call!-default3309 */
	obj_t BGl__savezd2callz12zd2default3309z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2755, obj_t BgL_calleez00_2756, obj_t BgL_ownerz00_2757)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			return
				BGl_savezd2callz12zd2default3309z12zzeffect_cgraphz00(
				(BgL_variablez00_bglt) (BgL_calleez00_2756),
				(BgL_variablez00_bglt) (BgL_ownerz00_2757));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3618z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc3619z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3620z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3621z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc3622z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc3623z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc3624z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3625z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc3626z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_selectz00zzast_nodez00, BGl_proc3627z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3628z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3629z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3630z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3631z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3632z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3633z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3634z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc3635z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3636z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc3637z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3638z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3639z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3640z00zzeffect_cgraphz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3641z00zzeffect_cgraphz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc3642z00zzeffect_cgraphz00);
		}
	}



/* struct+object->objec3327 */
	obj_t BGl_structzb2objectzd2ze3objec3327z83zzeffect_cgraphz00(obj_t
		BgL_envz00_2788, obj_t BgL_oz00_2789, obj_t BgL_sz00_2790)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{
				BgL_localzf2fromzf2_bglt BgL_oz00_1525;

				obj_t BgL_sz00_1526;

				{	/* Effect/cgraph.scm 20 */
					BgL_localzf2fromzf2_bglt BgL_auxz00_3273;

					BgL_oz00_1525 = (BgL_localzf2fromzf2_bglt) (BgL_oz00_2789);
					BgL_sz00_1526 = BgL_sz00_2790;
					{

						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_old3101z00_1529;

							obj_t BgL_aux3102z00_1530;

							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_nextzd2method3326zd2_1535;

								BgL_nextzd2method3326zd2_1535 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1525),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_localzf2fromzf2zzeffect_cgraphz00);
								if (PROCEDUREP(BgL_nextzd2method3326zd2_1535))
									{	/* Effect/cgraph.scm 20 */
										BgL_old3101z00_1529 =
											PROCEDURE_ENTRY(BgL_nextzd2method3326zd2_1535)
											(BgL_nextzd2method3326zd2_1535, (obj_t) (BgL_oz00_1525),
											BgL_sz00_1526, BEOA);
									}
								else
									{	/* Effect/cgraph.scm 20 */
										BgL_old3101z00_1529 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1525), BgL_sz00_1526));
									}
							}
							BgL_aux3102z00_1530 =
								STRUCT_REF(BgL_sz00_1526, (int) (((long) 0)));
							{	/* Effect/cgraph.scm 20 */
								BgL_localzf2fromzf2_bglt BgL_new3103z00_1531;

								BgL_new3103z00_1531 =
									((BgL_localzf2fromzf2_bglt) (BgL_old3101z00_1529));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new3103z00_1531),
									BGl_classzd2numzd2zz__objectz00
									(BGl_localzf2fromzf2zzeffect_cgraphz00));
								{	/* Effect/cgraph.scm 20 */
									BgL_localzf2fromzf2_bglt BgL_arg3522z00_1533;

									{	/* Effect/cgraph.scm 20 */
										obj_t BgL_arg3523z00_1534;

										BgL_arg3523z00_1534 =
											STRUCT_REF(BgL_aux3102z00_1530, (int) (((long) 0)));
										{	/* Effect/cgraph.scm 20 */
											BgL_localzf2fromzf2_bglt BgL_res3610z00_2691;

											{	/* Effect/cgraph.scm 20 */
												BgL_localzf2fromzf2_bglt BgL_new3078z00_2686;

												BgL_new3078z00_2686 =
													((BgL_localzf2fromzf2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_localzf2fromzf2_bgl))));
												{	/* Effect/cgraph.scm 20 */
													BgL_localzf2fromzf2_bglt BgL_res3609z00_2690;

													{	/* Effect/cgraph.scm 20 */
														BgL_localzf2fromzf2_bglt BgL_new3094z00_2687;

														BgL_new3094z00_2687 = BgL_new3078z00_2686;
														{	/* Effect/cgraph.scm 20 */
															obj_t BgL_from3093z00_2689;

															BgL_from3093z00_2689 = BgL_arg3523z00_1534;
															((((BgL_localzf2fromzf2_bglt)
																		CREF(BgL_new3094z00_2687))->BgL_fromz00) =
																((obj_t) BgL_from3093z00_2689), BUNSPEC);
															BgL_res3609z00_2690 = BgL_new3094z00_2687;
													}} BgL_res3609z00_2690;
												}
												BgL_res3610z00_2691 = BgL_new3078z00_2686;
											}
											BgL_arg3522z00_1533 = BgL_res3610z00_2691;
									}}
									{	/* Effect/cgraph.scm 20 */
										obj_t BgL_auxz00_3296;

										BgL_objectz00_bglt BgL_auxz00_3294;

										BgL_auxz00_3296 = (obj_t) (BgL_arg3522z00_1533);
										BgL_auxz00_3294 =
											(BgL_objectz00_bglt) (BgL_new3103z00_1531);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3294, BgL_auxz00_3296);
								}}
								BgL_auxz00_3273 = BgL_new3103z00_1531;
					}}}
					return (obj_t) (BgL_auxz00_3273);
				}
			}
		}
	}



/* object->struct-local3325 */
	obj_t BGl_objectzd2ze3structzd2local3325ze3zzeffect_cgraphz00(obj_t
		BgL_envz00_2791, obj_t BgL_obj3098z00_2792)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 20 */
			{
				BgL_localzf2fromzf2_bglt BgL_obj3098z00_1515;

				BgL_obj3098z00_1515 = (BgL_localzf2fromzf2_bglt) (BgL_obj3098z00_2792);
				{

					{	/* Effect/cgraph.scm 20 */
						obj_t BgL_res3099z00_1518;

						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_nextzd2method3324zd2_1523;

							BgL_nextzd2method3324zd2_1523 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3098z00_1515),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_localzf2fromzf2zzeffect_cgraphz00);
							if (PROCEDUREP(BgL_nextzd2method3324zd2_1523))
								{	/* Effect/cgraph.scm 20 */
									BgL_res3099z00_1518 =
										PROCEDURE_ENTRY(BgL_nextzd2method3324zd2_1523)
										(BgL_nextzd2method3324zd2_1523,
										(obj_t) (BgL_obj3098z00_1515), BEOA);
								}
							else
								{	/* Effect/cgraph.scm 20 */
									BgL_res3099z00_1518 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3098z00_1515));
								}
						}
						{	/* Effect/cgraph.scm 20 */
							obj_t BgL_aux3100z00_1519;

							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_keyz00_2662;

								BgL_keyz00_2662 = CNST_TABLE_REF(((long) 1));
								BgL_aux3100z00_1519 =
									make_struct(BgL_keyz00_2662, (int) (((long) 1)), BUNSPEC);
							}
							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_arg3518z00_1521;

								{
									obj_t BgL_auxz00_3313;

									{	/* Effect/cgraph.scm 20 */
										BgL_objectz00_bglt BgL_auxz00_3314;

										BgL_auxz00_3314 =
											(BgL_objectz00_bglt) (BgL_obj3098z00_1515);
										BgL_auxz00_3313 = BGL_OBJECT_WIDENING(BgL_auxz00_3314);
									}
									BgL_arg3518z00_1521 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3313))->
										BgL_fromz00);
								}
								{	/* Effect/cgraph.scm 20 */
									int BgL_auxz00_3318;

									BgL_auxz00_3318 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3100z00_1519, BgL_auxz00_3318,
										BgL_arg3518z00_1521);
							}}
							{	/* Effect/cgraph.scm 20 */
								int BgL_auxz00_3321;

								BgL_auxz00_3321 = (int) (((long) 0));
								STRUCT_SET(BgL_res3099z00_1518, BgL_auxz00_3321,
									BgL_aux3100z00_1519);
							}
							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_auxz00_3324;

								BgL_auxz00_3324 = STRUCT_KEY(BgL_res3099z00_1518);
								STRUCT_KEY_SET(BgL_aux3100z00_1519, BgL_auxz00_3324);
							}
							{	/* Effect/cgraph.scm 20 */
								obj_t BgL_kz00_2677;

								BgL_kz00_2677 = CNST_TABLE_REF(((long) 1));
								STRUCT_KEY_SET(BgL_res3099z00_1518, BgL_kz00_2677);
							}
							return BgL_res3099z00_1518;
						}
					}
				}
			}
		}
	}



/* struct+object->objec3323 */
	obj_t BGl_structzb2objectzd2ze3objec3323z83zzeffect_cgraphz00(obj_t
		BgL_envz00_2793, obj_t BgL_oz00_2794, obj_t BgL_sz00_2795)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_globalzf2fromzf2_bglt BgL_oz00_1503;

				obj_t BgL_sz00_1504;

				{	/* Effect/cgraph.scm 21 */
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3330;

					BgL_oz00_1503 = (BgL_globalzf2fromzf2_bglt) (BgL_oz00_2794);
					BgL_sz00_1504 = BgL_sz00_2795;
					{

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_old3167z00_1507;

							obj_t BgL_aux3168z00_1508;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_nextzd2method3322zd2_1513;

								BgL_nextzd2method3322zd2_1513 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1503),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_globalzf2fromzf2zzeffect_cgraphz00);
								if (PROCEDUREP(BgL_nextzd2method3322zd2_1513))
									{	/* Effect/cgraph.scm 21 */
										BgL_old3167z00_1507 =
											PROCEDURE_ENTRY(BgL_nextzd2method3322zd2_1513)
											(BgL_nextzd2method3322zd2_1513, (obj_t) (BgL_oz00_1503),
											BgL_sz00_1504, BEOA);
									}
								else
									{	/* Effect/cgraph.scm 21 */
										BgL_old3167z00_1507 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1503), BgL_sz00_1504));
									}
							}
							BgL_aux3168z00_1508 =
								STRUCT_REF(BgL_sz00_1504, (int) (((long) 0)));
							{	/* Effect/cgraph.scm 21 */
								BgL_globalzf2fromzf2_bglt BgL_new3169z00_1509;

								BgL_new3169z00_1509 =
									((BgL_globalzf2fromzf2_bglt) (BgL_old3167z00_1507));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new3169z00_1509),
									BGl_classzd2numzd2zz__objectz00
									(BGl_globalzf2fromzf2zzeffect_cgraphz00));
								{	/* Effect/cgraph.scm 21 */
									BgL_globalzf2fromzf2_bglt BgL_arg3512z00_1511;

									{	/* Effect/cgraph.scm 21 */
										obj_t BgL_arg3513z00_1512;

										BgL_arg3513z00_1512 =
											STRUCT_REF(BgL_aux3168z00_1508, (int) (((long) 0)));
										{	/* Effect/cgraph.scm 21 */
											BgL_globalzf2fromzf2_bglt BgL_res3607z00_2660;

											{	/* Effect/cgraph.scm 21 */
												BgL_globalzf2fromzf2_bglt BgL_new3137z00_2655;

												BgL_new3137z00_2655 =
													((BgL_globalzf2fromzf2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_globalzf2fromzf2_bgl))));
												{	/* Effect/cgraph.scm 21 */
													BgL_globalzf2fromzf2_bglt BgL_res3606z00_2659;

													{	/* Effect/cgraph.scm 21 */
														BgL_globalzf2fromzf2_bglt BgL_new3159z00_2656;

														BgL_new3159z00_2656 = BgL_new3137z00_2655;
														{	/* Effect/cgraph.scm 21 */
															obj_t BgL_from3158z00_2658;

															BgL_from3158z00_2658 = BgL_arg3513z00_1512;
															((((BgL_globalzf2fromzf2_bglt)
																		CREF(BgL_new3159z00_2656))->BgL_fromz00) =
																((obj_t) BgL_from3158z00_2658), BUNSPEC);
															BgL_res3606z00_2659 = BgL_new3159z00_2656;
													}} BgL_res3606z00_2659;
												}
												BgL_res3607z00_2660 = BgL_new3137z00_2655;
											}
											BgL_arg3512z00_1511 = BgL_res3607z00_2660;
									}}
									{	/* Effect/cgraph.scm 21 */
										obj_t BgL_auxz00_3353;

										BgL_objectz00_bglt BgL_auxz00_3351;

										BgL_auxz00_3353 = (obj_t) (BgL_arg3512z00_1511);
										BgL_auxz00_3351 =
											(BgL_objectz00_bglt) (BgL_new3169z00_1509);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3351, BgL_auxz00_3353);
								}}
								BgL_auxz00_3330 = BgL_new3169z00_1509;
					}}}
					return (obj_t) (BgL_auxz00_3330);
				}
			}
		}
	}



/* object->struct-globa3320 */
	obj_t BGl_objectzd2ze3structzd2globa3320ze3zzeffect_cgraphz00(obj_t
		BgL_envz00_2796, obj_t BgL_obj3164z00_2797)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_globalzf2fromzf2_bglt BgL_obj3164z00_1493;

				BgL_obj3164z00_1493 = (BgL_globalzf2fromzf2_bglt) (BgL_obj3164z00_2797);
				{

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_res3165z00_1496;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_nextzd2method3319zd2_1501;

							BgL_nextzd2method3319zd2_1501 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3164z00_1493),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_globalzf2fromzf2zzeffect_cgraphz00);
							if (PROCEDUREP(BgL_nextzd2method3319zd2_1501))
								{	/* Effect/cgraph.scm 21 */
									BgL_res3165z00_1496 =
										PROCEDURE_ENTRY(BgL_nextzd2method3319zd2_1501)
										(BgL_nextzd2method3319zd2_1501,
										(obj_t) (BgL_obj3164z00_1493), BEOA);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_res3165z00_1496 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3164z00_1493));
								}
						}
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_aux3166z00_1497;

							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_keyz00_2631;

								BgL_keyz00_2631 = CNST_TABLE_REF(((long) 2));
								BgL_aux3166z00_1497 =
									make_struct(BgL_keyz00_2631, (int) (((long) 1)), BUNSPEC);
							}
							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_arg3508z00_1499;

								{
									obj_t BgL_auxz00_3370;

									{	/* Effect/cgraph.scm 21 */
										BgL_objectz00_bglt BgL_auxz00_3371;

										BgL_auxz00_3371 =
											(BgL_objectz00_bglt) (BgL_obj3164z00_1493);
										BgL_auxz00_3370 = BGL_OBJECT_WIDENING(BgL_auxz00_3371);
									}
									BgL_arg3508z00_1499 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3370))->
										BgL_fromz00);
								}
								{	/* Effect/cgraph.scm 21 */
									int BgL_auxz00_3375;

									BgL_auxz00_3375 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3166z00_1497, BgL_auxz00_3375,
										BgL_arg3508z00_1499);
							}}
							{	/* Effect/cgraph.scm 21 */
								int BgL_auxz00_3378;

								BgL_auxz00_3378 = (int) (((long) 0));
								STRUCT_SET(BgL_res3165z00_1496, BgL_auxz00_3378,
									BgL_aux3166z00_1497);
							}
							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_auxz00_3381;

								BgL_auxz00_3381 = STRUCT_KEY(BgL_res3165z00_1496);
								STRUCT_KEY_SET(BgL_aux3166z00_1497, BgL_auxz00_3381);
							}
							{	/* Effect/cgraph.scm 21 */
								obj_t BgL_kz00_2646;

								BgL_kz00_2646 = CNST_TABLE_REF(((long) 2));
								STRUCT_KEY_SET(BgL_res3165z00_1496, BgL_kz00_2646);
							}
							return BgL_res3165z00_1496;
						}
					}
				}
			}
		}
	}



/* save-call!-local/fro3318 */
	obj_t BGl_savezd2callz12zd2localzf2fro3318ze0zzeffect_cgraphz00(obj_t
		BgL_envz00_2798, obj_t BgL_calleez00_2799, obj_t BgL_ownerz00_2800)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 234 */
			{
				BgL_localzf2fromzf2_bglt BgL_calleez00_1482;

				obj_t BgL_ownerz00_1483;

				BgL_calleez00_1482 = (BgL_localzf2fromzf2_bglt) (BgL_calleez00_2799);
				BgL_ownerz00_1483 = BgL_ownerz00_2800;
				{	/* Effect/cgraph.scm 236 */
					bool_t BgL_testz00_3387;

					{	/* Effect/cgraph.scm 236 */
						obj_t BgL_auxz00_3388;

						{	/* Effect/cgraph.scm 236 */
							obj_t BgL_auxz00_3389;

							{
								obj_t BgL_auxz00_3390;

								{	/* Effect/cgraph.scm 236 */
									BgL_objectz00_bglt BgL_auxz00_3391;

									BgL_auxz00_3391 = (BgL_objectz00_bglt) (BgL_calleez00_1482);
									BgL_auxz00_3390 = BGL_OBJECT_WIDENING(BgL_auxz00_3391);
								}
								BgL_auxz00_3389 =
									(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3390))->
									BgL_fromz00);
							}
							BgL_auxz00_3388 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1483,
								BgL_auxz00_3389);
						}
						BgL_testz00_3387 = CBOOL(BgL_auxz00_3388);
					}
					if (BgL_testz00_3387)
						{	/* Effect/cgraph.scm 236 */
							return BFALSE;
						}
					else
						{	/* Effect/cgraph.scm 237 */
							obj_t BgL_arg3503z00_1488;

							{	/* Effect/cgraph.scm 237 */
								obj_t BgL_arg3504z00_1489;

								{
									obj_t BgL_auxz00_3397;

									{	/* Effect/cgraph.scm 237 */
										BgL_objectz00_bglt BgL_auxz00_3398;

										BgL_auxz00_3398 = (BgL_objectz00_bglt) (BgL_calleez00_1482);
										BgL_auxz00_3397 = BGL_OBJECT_WIDENING(BgL_auxz00_3398);
									}
									BgL_arg3504z00_1489 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3397))->
										BgL_fromz00);
								}
								BgL_arg3503z00_1488 =
									MAKE_PAIR(BgL_ownerz00_1483, BgL_arg3504z00_1489);
							}
							{
								obj_t BgL_auxz00_3403;

								{	/* Effect/cgraph.scm 237 */
									BgL_objectz00_bglt BgL_auxz00_3404;

									BgL_auxz00_3404 = (BgL_objectz00_bglt) (BgL_calleez00_1482);
									BgL_auxz00_3403 = BGL_OBJECT_WIDENING(BgL_auxz00_3404);
								}
								return
									((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3403))->
										BgL_fromz00) = ((obj_t) BgL_arg3503z00_1488), BUNSPEC);
							}
						}
				}
			}
		}
	}



/* save-call!-local3316 */
	obj_t BGl_savezd2callz12zd2local3316z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2801, obj_t BgL_calleez00_2802, obj_t BgL_ownerz00_2803)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 228 */
			{
				BgL_localz00_bglt BgL_calleez00_1472;

				obj_t BgL_ownerz00_1473;

				BgL_calleez00_1472 = (BgL_localz00_bglt) (BgL_calleez00_2802);
				BgL_ownerz00_1473 = BgL_ownerz00_2803;
				{	/* Effect/cgraph.scm 229 */
					BgL_localz00_bglt BgL_arg3498z00_1476;

					{	/* Effect/cgraph.scm 229 */
						BgL_localz00_bglt BgL_obj3257z00_1477;

						BgL_obj3257z00_1477 = ((BgL_localz00_bglt) BgL_calleez00_1472);
						{	/* Effect/cgraph.scm 229 */
							BgL_localzf2fromzf2_bglt BgL_arg3499z00_1478;

							{	/* Effect/cgraph.scm 229 */
								BgL_localzf2fromzf2_bglt BgL_res3602z00_2597;

								{	/* Effect/cgraph.scm 229 */
									BgL_localzf2fromzf2_bglt BgL_new3078z00_2592;

									BgL_new3078z00_2592 =
										((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_localzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 229 */
										BgL_localzf2fromzf2_bglt BgL_res3601z00_2596;

										{	/* Effect/cgraph.scm 229 */
											BgL_localzf2fromzf2_bglt BgL_new3094z00_2593;

											BgL_new3094z00_2593 = BgL_new3078z00_2592;
											{	/* Effect/cgraph.scm 229 */
												obj_t BgL_from3093z00_2595;

												BgL_from3093z00_2595 = BNIL;
												((((BgL_localzf2fromzf2_bglt)
															CREF(BgL_new3094z00_2593))->BgL_fromz00) =
													((obj_t) BgL_from3093z00_2595), BUNSPEC);
												BgL_res3601z00_2596 = BgL_new3094z00_2593;
										}} BgL_res3601z00_2596;
									}
									BgL_res3602z00_2597 = BgL_new3078z00_2592;
								}
								BgL_arg3499z00_1478 = BgL_res3602z00_2597;
							}
							{	/* Effect/cgraph.scm 229 */
								obj_t BgL_auxz00_3414;

								BgL_objectz00_bglt BgL_auxz00_3412;

								BgL_auxz00_3414 = (obj_t) (BgL_arg3499z00_1478);
								BgL_auxz00_3412 = (BgL_objectz00_bglt) (BgL_obj3257z00_1477);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3412, BgL_auxz00_3414);
						}}
						BGL_OBJECT_CLASS_NUM_SET(
							(BgL_objectz00_bglt) (BgL_obj3257z00_1477),
							BGl_classzd2numzd2zz__objectz00
							(BGl_localzf2fromzf2zzeffect_cgraphz00));
						BgL_arg3498z00_1476 = BgL_obj3257z00_1477;
					}
					{	/* Effect/cgraph.scm 229 */
						BgL_variablez00_bglt BgL_calleez00_2600;

						BgL_variablez00_bglt BgL_ownerz00_2601;

						BgL_calleez00_2600 = (BgL_variablez00_bglt) (BgL_arg3498z00_1476);
						BgL_ownerz00_2601 = (BgL_variablez00_bglt) (BgL_ownerz00_1473);
						{	/* Effect/cgraph.scm 229 */
							obj_t BgL_method3310z00_2602;

							{	/* Effect/cgraph.scm 229 */
								BgL_objectz00_bglt BgL_objz00_2603;

								BgL_objz00_2603 = (BgL_objectz00_bglt) (BgL_calleez00_2600);
								{	/* Effect/cgraph.scm 229 */
									long BgL_objzd2classzd2numz00_2604;

									BgL_objzd2classzd2numz00_2604 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2603);
									{	/* Effect/cgraph.scm 229 */
										obj_t BgL_arg2422z00_2605;

										BgL_arg2422z00_2605 =
											PROCEDURE_REF
											(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 229 */
											obj_t BgL_arrayz00_2607;

											int BgL_offsetz00_2608;

											BgL_arrayz00_2607 = BgL_arg2422z00_2605;
											BgL_offsetz00_2608 =
												(int) (BgL_objzd2classzd2numz00_2604);
											{	/* Effect/cgraph.scm 229 */
												long BgL_offsetz00_2609;

												BgL_offsetz00_2609 =
													((long) (BgL_offsetz00_2608) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 229 */
													long BgL_modz00_2610;

													{	/* Effect/cgraph.scm 229 */
														int BgL_arg2424z00_2611;

														BgL_arg2424z00_2611 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 229 */
															long BgL_auxz00_3430;

															BgL_auxz00_3430 = (long) (BgL_arg2424z00_2611);
															BgL_modz00_2610 =
																(BgL_offsetz00_2609 / BgL_auxz00_3430);
													}}
													{	/* Effect/cgraph.scm 229 */
														long BgL_restz00_2612;

														{	/* Effect/cgraph.scm 229 */
															int BgL_arg2423z00_2613;

															BgL_arg2423z00_2613 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 229 */
																long BgL_auxz00_3434;

																BgL_auxz00_3434 = (long) (BgL_arg2423z00_2613);
																BgL_restz00_2612 =
																	(BgL_offsetz00_2609 % BgL_auxz00_3434);
														}}
														{	/* Effect/cgraph.scm 229 */

															BgL_method3310z00_2602 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2607,
																	(int) (BgL_modz00_2610)),
																(int) (BgL_restz00_2612));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3310z00_2602) (BgL_method3310z00_2602,
								(obj_t) (BgL_calleez00_2600),
								(obj_t) (BgL_ownerz00_2601), BEOA);
						}
					}
				}
			}
		}
	}



/* save-call!-global/fr3314 */
	obj_t BGl_savezd2callz12zd2globalzf2fr3314ze0zzeffect_cgraphz00(obj_t
		BgL_envz00_2804, obj_t BgL_calleez00_2805, obj_t BgL_ownerz00_2806)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 220 */
			{
				BgL_globalzf2fromzf2_bglt BgL_calleez00_1461;

				obj_t BgL_ownerz00_1462;

				BgL_calleez00_1461 = (BgL_globalzf2fromzf2_bglt) (BgL_calleez00_2805);
				BgL_ownerz00_1462 = BgL_ownerz00_2806;
				{	/* Effect/cgraph.scm 222 */
					bool_t BgL_testz00_3446;

					{	/* Effect/cgraph.scm 222 */
						obj_t BgL_auxz00_3447;

						{	/* Effect/cgraph.scm 222 */
							obj_t BgL_auxz00_3448;

							{
								obj_t BgL_auxz00_3449;

								{	/* Effect/cgraph.scm 222 */
									BgL_objectz00_bglt BgL_auxz00_3450;

									BgL_auxz00_3450 = (BgL_objectz00_bglt) (BgL_calleez00_1461);
									BgL_auxz00_3449 = BGL_OBJECT_WIDENING(BgL_auxz00_3450);
								}
								BgL_auxz00_3448 =
									(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3449))->
									BgL_fromz00);
							}
							BgL_auxz00_3447 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1462,
								BgL_auxz00_3448);
						}
						BgL_testz00_3446 = CBOOL(BgL_auxz00_3447);
					}
					if (BgL_testz00_3446)
						{	/* Effect/cgraph.scm 222 */
							return BFALSE;
						}
					else
						{	/* Effect/cgraph.scm 223 */
							obj_t BgL_arg3494z00_1467;

							{	/* Effect/cgraph.scm 223 */
								obj_t BgL_arg3495z00_1468;

								{
									obj_t BgL_auxz00_3456;

									{	/* Effect/cgraph.scm 223 */
										BgL_objectz00_bglt BgL_auxz00_3457;

										BgL_auxz00_3457 = (BgL_objectz00_bglt) (BgL_calleez00_1461);
										BgL_auxz00_3456 = BGL_OBJECT_WIDENING(BgL_auxz00_3457);
									}
									BgL_arg3495z00_1468 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3456))->
										BgL_fromz00);
								}
								BgL_arg3494z00_1467 =
									MAKE_PAIR(BgL_ownerz00_1462, BgL_arg3495z00_1468);
							}
							{
								obj_t BgL_auxz00_3462;

								{	/* Effect/cgraph.scm 223 */
									BgL_objectz00_bglt BgL_auxz00_3463;

									BgL_auxz00_3463 = (BgL_objectz00_bglt) (BgL_calleez00_1461);
									BgL_auxz00_3462 = BGL_OBJECT_WIDENING(BgL_auxz00_3463);
								}
								return
									((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3462))->
										BgL_fromz00) = ((obj_t) BgL_arg3494z00_1467), BUNSPEC);
							}
						}
				}
			}
		}
	}



/* save-call!-global3312 */
	obj_t BGl_savezd2callz12zd2global3312z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2807, obj_t BgL_calleez00_2808, obj_t BgL_ownerz00_2809)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 208 */
			{
				BgL_globalz00_bglt BgL_calleez00_1444;

				obj_t BgL_ownerz00_1445;

				BgL_calleez00_1444 = (BgL_globalz00_bglt) (BgL_calleez00_2808);
				BgL_ownerz00_1445 = BgL_ownerz00_2809;
				{	/* Effect/cgraph.scm 209 */
					BgL_valuez00_bglt BgL_funz00_1448;

					{
						BgL_variablez00_bglt BgL_auxz00_3468;

						BgL_auxz00_3468 = (BgL_variablez00_bglt) (BgL_calleez00_1444);
						BgL_funz00_1448 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_3468))->BgL_valuez00);
					}
					{	/* Effect/cgraph.scm 210 */
						bool_t BgL_testz00_3471;

						{	/* Effect/cgraph.scm 210 */
							bool_t BgL_testz00_3472;

							{	/* Effect/cgraph.scm 210 */
								obj_t BgL_obj1856z00_2547;

								BgL_obj1856z00_2547 = (obj_t) (BgL_funz00_1448);
								BgL_testz00_3472 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1856z00_2547,
									BGl_cfunz00zzast_varz00);
							}
							if (BgL_testz00_3472)
								{	/* Effect/cgraph.scm 210 */
									BgL_testz00_3471 = ((bool_t) 1);
								}
							else
								{	/* Effect/cgraph.scm 211 */
									bool_t BgL_testz00_3475;

									{	/* Effect/cgraph.scm 211 */
										obj_t BgL_obj1792z00_2548;

										BgL_obj1792z00_2548 = (obj_t) (BgL_funz00_1448);
										BgL_testz00_3475 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1792z00_2548,
											BGl_sfunz00zzast_varz00);
									}
									if (BgL_testz00_3475)
										{	/* Effect/cgraph.scm 211 */
											BgL_testz00_3471 =
												(
												(((BgL_globalz00_bglt) CREF(BgL_calleez00_1444))->
													BgL_importz00) == CNST_TABLE_REF(((long) 6)));
										}
									else
										{	/* Effect/cgraph.scm 211 */
											BgL_testz00_3471 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_3471)
							{	/* Effect/cgraph.scm 213 */
								bool_t BgL_testz00_3481;

								{	/* Effect/cgraph.scm 213 */
									BgL_funz00_bglt BgL_obj1651z00_2550;

									BgL_obj1651z00_2550 = (BgL_funz00_bglt) (BgL_funz00_1448);
									BgL_testz00_3481 =
										CBOOL(
										(((BgL_funz00_bglt) CREF(BgL_obj1651z00_2550))->
											BgL_sidezd2effectzf3z21));
								}
								if (BgL_testz00_3481)
									{	/* Effect/cgraph.scm 213 */
										return
											BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
											(BgL_variablez00_bglt) (BgL_ownerz00_1445));
									}
								else
									{	/* Effect/cgraph.scm 213 */
										return BFALSE;
									}
							}
						else
							{	/* Effect/cgraph.scm 215 */
								BgL_globalz00_bglt BgL_arg3486z00_1451;

								{	/* Effect/cgraph.scm 215 */
									BgL_globalz00_bglt BgL_obj3254z00_1452;

									BgL_obj3254z00_1452 =
										((BgL_globalz00_bglt) BgL_calleez00_1444);
									{	/* Effect/cgraph.scm 215 */
										BgL_globalzf2fromzf2_bglt BgL_arg3487z00_1453;

										{	/* Effect/cgraph.scm 215 */
											BgL_globalzf2fromzf2_bglt BgL_res3598z00_2557;

											{	/* Effect/cgraph.scm 215 */
												BgL_globalzf2fromzf2_bglt BgL_new3137z00_2552;

												BgL_new3137z00_2552 =
													((BgL_globalzf2fromzf2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_globalzf2fromzf2_bgl))));
												{	/* Effect/cgraph.scm 215 */
													BgL_globalzf2fromzf2_bglt BgL_res3597z00_2556;

													{	/* Effect/cgraph.scm 215 */
														BgL_globalzf2fromzf2_bglt BgL_new3159z00_2553;

														BgL_new3159z00_2553 = BgL_new3137z00_2552;
														{	/* Effect/cgraph.scm 215 */
															obj_t BgL_from3158z00_2555;

															BgL_from3158z00_2555 = BNIL;
															((((BgL_globalzf2fromzf2_bglt)
																		CREF(BgL_new3159z00_2553))->BgL_fromz00) =
																((obj_t) BgL_from3158z00_2555), BUNSPEC);
															BgL_res3597z00_2556 = BgL_new3159z00_2553;
													}} BgL_res3597z00_2556;
												}
												BgL_res3598z00_2557 = BgL_new3137z00_2552;
											}
											BgL_arg3487z00_1453 = BgL_res3598z00_2557;
										}
										{	/* Effect/cgraph.scm 215 */
											obj_t BgL_auxz00_3492;

											BgL_objectz00_bglt BgL_auxz00_3490;

											BgL_auxz00_3492 = (obj_t) (BgL_arg3487z00_1453);
											BgL_auxz00_3490 =
												(BgL_objectz00_bglt) (BgL_obj3254z00_1452);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_3490, BgL_auxz00_3492);
									}}
									BGL_OBJECT_CLASS_NUM_SET(
										(BgL_objectz00_bglt) (BgL_obj3254z00_1452),
										BGl_classzd2numzd2zz__objectz00
										(BGl_globalzf2fromzf2zzeffect_cgraphz00));
									BgL_arg3486z00_1451 = BgL_obj3254z00_1452;
								}
								{	/* Effect/cgraph.scm 215 */
									BgL_variablez00_bglt BgL_calleez00_2560;

									BgL_variablez00_bglt BgL_ownerz00_2561;

									BgL_calleez00_2560 =
										(BgL_variablez00_bglt) (BgL_arg3486z00_1451);
									BgL_ownerz00_2561 =
										(BgL_variablez00_bglt) (BgL_ownerz00_1445);
									{	/* Effect/cgraph.scm 215 */
										obj_t BgL_method3310z00_2562;

										{	/* Effect/cgraph.scm 215 */
											BgL_objectz00_bglt BgL_objz00_2563;

											BgL_objz00_2563 =
												(BgL_objectz00_bglt) (BgL_calleez00_2560);
											{	/* Effect/cgraph.scm 215 */
												long BgL_objzd2classzd2numz00_2564;

												BgL_objzd2classzd2numz00_2564 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2563);
												{	/* Effect/cgraph.scm 215 */
													obj_t BgL_arg2422z00_2565;

													BgL_arg2422z00_2565 =
														PROCEDURE_REF
														(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
														(int) (((long) 1)));
													{	/* Effect/cgraph.scm 215 */
														obj_t BgL_arrayz00_2567;

														int BgL_offsetz00_2568;

														BgL_arrayz00_2567 = BgL_arg2422z00_2565;
														BgL_offsetz00_2568 =
															(int) (BgL_objzd2classzd2numz00_2564);
														{	/* Effect/cgraph.scm 215 */
															long BgL_offsetz00_2569;

															BgL_offsetz00_2569 =
																((long) (BgL_offsetz00_2568) - OBJECT_TYPE);
															{	/* Effect/cgraph.scm 215 */
																long BgL_modz00_2570;

																{	/* Effect/cgraph.scm 215 */
																	int BgL_arg2424z00_2571;

																	BgL_arg2424z00_2571 = (int) (((long) 8));
																	{	/* Effect/cgraph.scm 215 */
																		long BgL_auxz00_3508;

																		BgL_auxz00_3508 =
																			(long) (BgL_arg2424z00_2571);
																		BgL_modz00_2570 =
																			(BgL_offsetz00_2569 / BgL_auxz00_3508);
																}}
																{	/* Effect/cgraph.scm 215 */
																	long BgL_restz00_2572;

																	{	/* Effect/cgraph.scm 215 */
																		int BgL_arg2423z00_2573;

																		BgL_arg2423z00_2573 = (int) (((long) 8));
																		{	/* Effect/cgraph.scm 215 */
																			long BgL_auxz00_3512;

																			BgL_auxz00_3512 =
																				(long) (BgL_arg2423z00_2573);
																			BgL_restz00_2572 =
																				(BgL_offsetz00_2569 % BgL_auxz00_3512);
																	}}
																	{	/* Effect/cgraph.scm 215 */

																		BgL_method3310z00_2562 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2567,
																				(int) (BgL_modz00_2570)),
																			(int) (BgL_restz00_2572));
										}}}}}}}}
										return
											PROCEDURE_ENTRY(BgL_method3310z00_2562)
											(BgL_method3310z00_2562, (obj_t) (BgL_calleez00_2560),
											(obj_t) (BgL_ownerz00_2561), BEOA);
									}
								}
							}
					}
				}
			}
		}
	}



/* call-graph!-box-set!3308 */
	obj_t BGl_callzd2graphz12zd2boxzd2setz123308zd2zzeffect_cgraphz00(obj_t
		BgL_envz00_2810, obj_t BgL_nodez00_2811, obj_t BgL_ownerz00_2812)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 187 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1431;

				obj_t BgL_ownerz00_1432;

				BgL_nodez00_1431 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2811);
				BgL_ownerz00_1432 = BgL_ownerz00_2812;
				{	/* Effect/cgraph.scm 189 */
					bool_t BgL_testz00_3524;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_ownerz00_1432,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 189 */
							BgL_testz00_3524 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 189 */
							BgL_variablez00_bglt BgL_arg3479z00_1438;

							{	/* Effect/cgraph.scm 189 */
								BgL_varz00_bglt BgL_obj1993z00_2488;

								BgL_obj1993z00_2488 =
									(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1431))->
									BgL_varz00);
								BgL_arg3479z00_1438 =
									(((BgL_varz00_bglt) CREF(BgL_obj1993z00_2488))->
									BgL_variablez00);
							}
							{	/* Effect/cgraph.scm 189 */
								obj_t BgL_obj1589z00_2489;

								BgL_obj1589z00_2489 = (obj_t) (BgL_arg3479z00_1438);
								BgL_testz00_3524 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1589z00_2489,
									BGl_globalz00zzast_varz00);
							}
						}
					if (BgL_testz00_3524)
						{	/* Effect/cgraph.scm 189 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								(BgL_variablez00_bglt) (BgL_ownerz00_1432));
						}
					else
						{	/* Effect/cgraph.scm 189 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 191 */
					BgL_varz00_bglt BgL_arg3481z00_1440;

					BgL_arg3481z00_1440 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1431))->BgL_varz00);
					{	/* Effect/cgraph.scm 191 */
						BgL_nodez00_bglt BgL_nodez00_2491;

						BgL_variablez00_bglt BgL_ownerz00_2492;

						BgL_nodez00_2491 = (BgL_nodez00_bglt) (BgL_arg3481z00_1440);
						BgL_ownerz00_2492 = (BgL_variablez00_bglt) (BgL_ownerz00_1432);
						{	/* Effect/cgraph.scm 191 */
							obj_t BgL_method3274z00_2493;

							{	/* Effect/cgraph.scm 191 */
								BgL_objectz00_bglt BgL_objz00_2494;

								BgL_objz00_2494 = (BgL_objectz00_bglt) (BgL_nodez00_2491);
								{	/* Effect/cgraph.scm 191 */
									long BgL_objzd2classzd2numz00_2495;

									BgL_objzd2classzd2numz00_2495 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2494);
									{	/* Effect/cgraph.scm 191 */
										obj_t BgL_arg2422z00_2496;

										BgL_arg2422z00_2496 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 191 */
											obj_t BgL_arrayz00_2498;

											int BgL_offsetz00_2499;

											BgL_arrayz00_2498 = BgL_arg2422z00_2496;
											BgL_offsetz00_2499 =
												(int) (BgL_objzd2classzd2numz00_2495);
											{	/* Effect/cgraph.scm 191 */
												long BgL_offsetz00_2500;

												BgL_offsetz00_2500 =
													((long) (BgL_offsetz00_2499) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 191 */
													long BgL_modz00_2501;

													{	/* Effect/cgraph.scm 191 */
														int BgL_arg2424z00_2502;

														BgL_arg2424z00_2502 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 191 */
															long BgL_auxz00_3544;

															BgL_auxz00_3544 = (long) (BgL_arg2424z00_2502);
															BgL_modz00_2501 =
																(BgL_offsetz00_2500 / BgL_auxz00_3544);
													}}
													{	/* Effect/cgraph.scm 191 */
														long BgL_restz00_2503;

														{	/* Effect/cgraph.scm 191 */
															int BgL_arg2423z00_2504;

															BgL_arg2423z00_2504 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 191 */
																long BgL_auxz00_3548;

																BgL_auxz00_3548 = (long) (BgL_arg2423z00_2504);
																BgL_restz00_2503 =
																	(BgL_offsetz00_2500 % BgL_auxz00_3548);
														}}
														{	/* Effect/cgraph.scm 191 */

															BgL_method3274z00_2493 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2498,
																	(int) (BgL_modz00_2501)),
																(int) (BgL_restz00_2503));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3274z00_2493) (BgL_method3274z00_2493,
								(obj_t) (BgL_nodez00_2491), (obj_t) (BgL_ownerz00_2492), BEOA);
				}}}
				{	/* Effect/cgraph.scm 192 */
					BgL_nodez00_bglt BgL_arg3482z00_1441;

					BgL_arg3482z00_1441 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1431))->BgL_valuez00);
					{	/* Effect/cgraph.scm 192 */
						BgL_variablez00_bglt BgL_ownerz00_2520;

						BgL_ownerz00_2520 = (BgL_variablez00_bglt) (BgL_ownerz00_1432);
						{	/* Effect/cgraph.scm 192 */
							obj_t BgL_method3274z00_2521;

							{	/* Effect/cgraph.scm 192 */
								BgL_objectz00_bglt BgL_objz00_2522;

								BgL_objz00_2522 = (BgL_objectz00_bglt) (BgL_arg3482z00_1441);
								{	/* Effect/cgraph.scm 192 */
									long BgL_objzd2classzd2numz00_2523;

									BgL_objzd2classzd2numz00_2523 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2522);
									{	/* Effect/cgraph.scm 192 */
										obj_t BgL_arg2422z00_2524;

										BgL_arg2422z00_2524 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 192 */
											obj_t BgL_arrayz00_2526;

											int BgL_offsetz00_2527;

											BgL_arrayz00_2526 = BgL_arg2422z00_2524;
											BgL_offsetz00_2527 =
												(int) (BgL_objzd2classzd2numz00_2523);
											{	/* Effect/cgraph.scm 192 */
												long BgL_offsetz00_2528;

												BgL_offsetz00_2528 =
													((long) (BgL_offsetz00_2527) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 192 */
													long BgL_modz00_2529;

													{	/* Effect/cgraph.scm 192 */
														int BgL_arg2424z00_2530;

														BgL_arg2424z00_2530 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 192 */
															long BgL_auxz00_3569;

															BgL_auxz00_3569 = (long) (BgL_arg2424z00_2530);
															BgL_modz00_2529 =
																(BgL_offsetz00_2528 / BgL_auxz00_3569);
													}}
													{	/* Effect/cgraph.scm 192 */
														long BgL_restz00_2531;

														{	/* Effect/cgraph.scm 192 */
															int BgL_arg2423z00_2532;

															BgL_arg2423z00_2532 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 192 */
																long BgL_auxz00_3573;

																BgL_auxz00_3573 = (long) (BgL_arg2423z00_2532);
																BgL_restz00_2531 =
																	(BgL_offsetz00_2528 % BgL_auxz00_3573);
														}}
														{	/* Effect/cgraph.scm 192 */

															BgL_method3274z00_2521 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2526,
																	(int) (BgL_modz00_2529)),
																(int) (BgL_restz00_2531));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_2521) (BgL_method3274z00_2521,
								(obj_t) (BgL_arg3482z00_1441),
								(obj_t) (BgL_ownerz00_2520), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-box-ref3306 */
	obj_t BGl_callzd2graphz12zd2boxzd2ref3306zc0zzeffect_cgraphz00(obj_t
		BgL_envz00_2813, obj_t BgL_nodez00_2814, obj_t BgL_ownerz00_2815)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 179 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1424;

				obj_t BgL_ownerz00_1425;

				BgL_nodez00_1424 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2814);
				BgL_ownerz00_1425 = BgL_ownerz00_2815;
				{	/* Effect/cgraph.scm 180 */
					BgL_varz00_bglt BgL_arg3475z00_2457;

					BgL_arg3475z00_2457 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1424))->BgL_varz00);
					{	/* Effect/cgraph.scm 180 */
						BgL_nodez00_bglt BgL_nodez00_2459;

						BgL_variablez00_bglt BgL_ownerz00_2460;

						BgL_nodez00_2459 = (BgL_nodez00_bglt) (BgL_arg3475z00_2457);
						BgL_ownerz00_2460 = (BgL_variablez00_bglt) (BgL_ownerz00_1425);
						{	/* Effect/cgraph.scm 180 */
							obj_t BgL_method3274z00_2461;

							{	/* Effect/cgraph.scm 180 */
								BgL_objectz00_bglt BgL_objz00_2462;

								BgL_objz00_2462 = (BgL_objectz00_bglt) (BgL_nodez00_2459);
								{	/* Effect/cgraph.scm 180 */
									long BgL_objzd2classzd2numz00_2463;

									BgL_objzd2classzd2numz00_2463 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2462);
									{	/* Effect/cgraph.scm 180 */
										obj_t BgL_arg2422z00_2464;

										BgL_arg2422z00_2464 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 180 */
											obj_t BgL_arrayz00_2466;

											int BgL_offsetz00_2467;

											BgL_arrayz00_2466 = BgL_arg2422z00_2464;
											BgL_offsetz00_2467 =
												(int) (BgL_objzd2classzd2numz00_2463);
											{	/* Effect/cgraph.scm 180 */
												long BgL_offsetz00_2468;

												BgL_offsetz00_2468 =
													((long) (BgL_offsetz00_2467) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 180 */
													long BgL_modz00_2469;

													{	/* Effect/cgraph.scm 180 */
														int BgL_arg2424z00_2470;

														BgL_arg2424z00_2470 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 180 */
															long BgL_auxz00_3596;

															BgL_auxz00_3596 = (long) (BgL_arg2424z00_2470);
															BgL_modz00_2469 =
																(BgL_offsetz00_2468 / BgL_auxz00_3596);
													}}
													{	/* Effect/cgraph.scm 180 */
														long BgL_restz00_2471;

														{	/* Effect/cgraph.scm 180 */
															int BgL_arg2423z00_2472;

															BgL_arg2423z00_2472 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 180 */
																long BgL_auxz00_3600;

																BgL_auxz00_3600 = (long) (BgL_arg2423z00_2472);
																BgL_restz00_2471 =
																	(BgL_offsetz00_2468 % BgL_auxz00_3600);
														}}
														{	/* Effect/cgraph.scm 180 */

															BgL_method3274z00_2461 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2466,
																	(int) (BgL_modz00_2469)),
																(int) (BgL_restz00_2471));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_2461) (BgL_method3274z00_2461,
								(obj_t) (BgL_nodez00_2459), (obj_t) (BgL_ownerz00_2460), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-make-box3304 */
	obj_t BGl_callzd2graphz12zd2makezd2box3304zc0zzeffect_cgraphz00(obj_t
		BgL_envz00_2816, obj_t BgL_nodez00_2817, obj_t BgL_ownerz00_2818)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 173 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1417;

				obj_t BgL_ownerz00_1418;

				BgL_nodez00_1417 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2817);
				BgL_ownerz00_1418 = BgL_ownerz00_2818;
				{	/* Effect/cgraph.scm 174 */
					BgL_nodez00_bglt BgL_arg3473z00_2428;

					BgL_arg3473z00_2428 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1417))->BgL_valuez00);
					{	/* Effect/cgraph.scm 174 */
						BgL_variablez00_bglt BgL_ownerz00_2431;

						BgL_ownerz00_2431 = (BgL_variablez00_bglt) (BgL_ownerz00_1418);
						{	/* Effect/cgraph.scm 174 */
							obj_t BgL_method3274z00_2432;

							{	/* Effect/cgraph.scm 174 */
								BgL_objectz00_bglt BgL_objz00_2433;

								BgL_objz00_2433 = (BgL_objectz00_bglt) (BgL_arg3473z00_2428);
								{	/* Effect/cgraph.scm 174 */
									long BgL_objzd2classzd2numz00_2434;

									BgL_objzd2classzd2numz00_2434 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2433);
									{	/* Effect/cgraph.scm 174 */
										obj_t BgL_arg2422z00_2435;

										BgL_arg2422z00_2435 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 174 */
											obj_t BgL_arrayz00_2437;

											int BgL_offsetz00_2438;

											BgL_arrayz00_2437 = BgL_arg2422z00_2435;
											BgL_offsetz00_2438 =
												(int) (BgL_objzd2classzd2numz00_2434);
											{	/* Effect/cgraph.scm 174 */
												long BgL_offsetz00_2439;

												BgL_offsetz00_2439 =
													((long) (BgL_offsetz00_2438) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 174 */
													long BgL_modz00_2440;

													{	/* Effect/cgraph.scm 174 */
														int BgL_arg2424z00_2441;

														BgL_arg2424z00_2441 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 174 */
															long BgL_auxz00_3622;

															BgL_auxz00_3622 = (long) (BgL_arg2424z00_2441);
															BgL_modz00_2440 =
																(BgL_offsetz00_2439 / BgL_auxz00_3622);
													}}
													{	/* Effect/cgraph.scm 174 */
														long BgL_restz00_2442;

														{	/* Effect/cgraph.scm 174 */
															int BgL_arg2423z00_2443;

															BgL_arg2423z00_2443 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 174 */
																long BgL_auxz00_3626;

																BgL_auxz00_3626 = (long) (BgL_arg2423z00_2443);
																BgL_restz00_2442 =
																	(BgL_offsetz00_2439 % BgL_auxz00_3626);
														}}
														{	/* Effect/cgraph.scm 174 */

															BgL_method3274z00_2432 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2437,
																	(int) (BgL_modz00_2440)),
																(int) (BgL_restz00_2442));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_2432) (BgL_method3274z00_2432,
								(obj_t) (BgL_arg3473z00_2428),
								(obj_t) (BgL_ownerz00_2431), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-jump-ex-3302 */
	obj_t BGl_callzd2graphz12zd2jumpzd2exzd23302z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2819, obj_t BgL_nodez00_2820, obj_t BgL_ownerz00_2821)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 164 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1408;

				obj_t BgL_ownerz00_1409;

				BgL_nodez00_1408 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2820);
				BgL_ownerz00_1409 = BgL_ownerz00_2821;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					(BgL_variablez00_bglt) (BgL_ownerz00_1409));
				{	/* Effect/cgraph.scm 167 */
					BgL_nodez00_bglt BgL_arg3470z00_1413;

					BgL_arg3470z00_1413 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1408))->
						BgL_exitz00);
					{	/* Effect/cgraph.scm 167 */
						BgL_variablez00_bglt BgL_ownerz00_2374;

						BgL_ownerz00_2374 = (BgL_variablez00_bglt) (BgL_ownerz00_1409);
						{	/* Effect/cgraph.scm 167 */
							obj_t BgL_method3274z00_2375;

							{	/* Effect/cgraph.scm 167 */
								BgL_objectz00_bglt BgL_objz00_2376;

								BgL_objz00_2376 = (BgL_objectz00_bglt) (BgL_arg3470z00_1413);
								{	/* Effect/cgraph.scm 167 */
									long BgL_objzd2classzd2numz00_2377;

									BgL_objzd2classzd2numz00_2377 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2376);
									{	/* Effect/cgraph.scm 167 */
										obj_t BgL_arg2422z00_2378;

										BgL_arg2422z00_2378 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 167 */
											obj_t BgL_arrayz00_2380;

											int BgL_offsetz00_2381;

											BgL_arrayz00_2380 = BgL_arg2422z00_2378;
											BgL_offsetz00_2381 =
												(int) (BgL_objzd2classzd2numz00_2377);
											{	/* Effect/cgraph.scm 167 */
												long BgL_offsetz00_2382;

												BgL_offsetz00_2382 =
													((long) (BgL_offsetz00_2381) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 167 */
													long BgL_modz00_2383;

													{	/* Effect/cgraph.scm 167 */
														int BgL_arg2424z00_2384;

														BgL_arg2424z00_2384 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 167 */
															long BgL_auxz00_3650;

															BgL_auxz00_3650 = (long) (BgL_arg2424z00_2384);
															BgL_modz00_2383 =
																(BgL_offsetz00_2382 / BgL_auxz00_3650);
													}}
													{	/* Effect/cgraph.scm 167 */
														long BgL_restz00_2385;

														{	/* Effect/cgraph.scm 167 */
															int BgL_arg2423z00_2386;

															BgL_arg2423z00_2386 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 167 */
																long BgL_auxz00_3654;

																BgL_auxz00_3654 = (long) (BgL_arg2423z00_2386);
																BgL_restz00_2385 =
																	(BgL_offsetz00_2382 % BgL_auxz00_3654);
														}}
														{	/* Effect/cgraph.scm 167 */

															BgL_method3274z00_2375 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2380,
																	(int) (BgL_modz00_2383)),
																(int) (BgL_restz00_2385));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3274z00_2375) (BgL_method3274z00_2375,
								(obj_t) (BgL_arg3470z00_1413),
								(obj_t) (BgL_ownerz00_2374), BEOA);
				}}}
				{	/* Effect/cgraph.scm 168 */
					BgL_nodez00_bglt BgL_arg3471z00_1414;

					BgL_arg3471z00_1414 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1408))->
						BgL_valuez00);
					{	/* Effect/cgraph.scm 168 */
						BgL_variablez00_bglt BgL_ownerz00_2402;

						BgL_ownerz00_2402 = (BgL_variablez00_bglt) (BgL_ownerz00_1409);
						{	/* Effect/cgraph.scm 168 */
							obj_t BgL_method3274z00_2403;

							{	/* Effect/cgraph.scm 168 */
								BgL_objectz00_bglt BgL_objz00_2404;

								BgL_objz00_2404 = (BgL_objectz00_bglt) (BgL_arg3471z00_1414);
								{	/* Effect/cgraph.scm 168 */
									long BgL_objzd2classzd2numz00_2405;

									BgL_objzd2classzd2numz00_2405 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2404);
									{	/* Effect/cgraph.scm 168 */
										obj_t BgL_arg2422z00_2406;

										BgL_arg2422z00_2406 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 168 */
											obj_t BgL_arrayz00_2408;

											int BgL_offsetz00_2409;

											BgL_arrayz00_2408 = BgL_arg2422z00_2406;
											BgL_offsetz00_2409 =
												(int) (BgL_objzd2classzd2numz00_2405);
											{	/* Effect/cgraph.scm 168 */
												long BgL_offsetz00_2410;

												BgL_offsetz00_2410 =
													((long) (BgL_offsetz00_2409) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 168 */
													long BgL_modz00_2411;

													{	/* Effect/cgraph.scm 168 */
														int BgL_arg2424z00_2412;

														BgL_arg2424z00_2412 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 168 */
															long BgL_auxz00_3675;

															BgL_auxz00_3675 = (long) (BgL_arg2424z00_2412);
															BgL_modz00_2411 =
																(BgL_offsetz00_2410 / BgL_auxz00_3675);
													}}
													{	/* Effect/cgraph.scm 168 */
														long BgL_restz00_2413;

														{	/* Effect/cgraph.scm 168 */
															int BgL_arg2423z00_2414;

															BgL_arg2423z00_2414 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 168 */
																long BgL_auxz00_3679;

																BgL_auxz00_3679 = (long) (BgL_arg2423z00_2414);
																BgL_restz00_2413 =
																	(BgL_offsetz00_2410 % BgL_auxz00_3679);
														}}
														{	/* Effect/cgraph.scm 168 */

															BgL_method3274z00_2403 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2408,
																	(int) (BgL_modz00_2411)),
																(int) (BgL_restz00_2413));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_2403) (BgL_method3274z00_2403,
								(obj_t) (BgL_arg3471z00_1414),
								(obj_t) (BgL_ownerz00_2402), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-set-ex-i3300 */
	obj_t BGl_callzd2graphz12zd2setzd2exzd2i3300z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2822, obj_t BgL_nodez00_2823, obj_t BgL_ownerz00_2824)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 156 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1400;

				obj_t BgL_ownerz00_1401;

				BgL_nodez00_1400 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2823);
				BgL_ownerz00_1401 = BgL_ownerz00_2824;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					(BgL_variablez00_bglt) (BgL_ownerz00_1401));
				{	/* Effect/cgraph.scm 159 */
					BgL_nodez00_bglt BgL_arg3468z00_2343;

					BgL_arg3468z00_2343 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1400))->BgL_bodyz00);
					{	/* Effect/cgraph.scm 159 */
						BgL_variablez00_bglt BgL_ownerz00_2346;

						BgL_ownerz00_2346 = (BgL_variablez00_bglt) (BgL_ownerz00_1401);
						{	/* Effect/cgraph.scm 159 */
							obj_t BgL_method3274z00_2347;

							{	/* Effect/cgraph.scm 159 */
								BgL_objectz00_bglt BgL_objz00_2348;

								BgL_objz00_2348 = (BgL_objectz00_bglt) (BgL_arg3468z00_2343);
								{	/* Effect/cgraph.scm 159 */
									long BgL_objzd2classzd2numz00_2349;

									BgL_objzd2classzd2numz00_2349 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2348);
									{	/* Effect/cgraph.scm 159 */
										obj_t BgL_arg2422z00_2350;

										BgL_arg2422z00_2350 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 159 */
											obj_t BgL_arrayz00_2352;

											int BgL_offsetz00_2353;

											BgL_arrayz00_2352 = BgL_arg2422z00_2350;
											BgL_offsetz00_2353 =
												(int) (BgL_objzd2classzd2numz00_2349);
											{	/* Effect/cgraph.scm 159 */
												long BgL_offsetz00_2354;

												BgL_offsetz00_2354 =
													((long) (BgL_offsetz00_2353) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 159 */
													long BgL_modz00_2355;

													{	/* Effect/cgraph.scm 159 */
														int BgL_arg2424z00_2356;

														BgL_arg2424z00_2356 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 159 */
															long BgL_auxz00_3703;

															BgL_auxz00_3703 = (long) (BgL_arg2424z00_2356);
															BgL_modz00_2355 =
																(BgL_offsetz00_2354 / BgL_auxz00_3703);
													}}
													{	/* Effect/cgraph.scm 159 */
														long BgL_restz00_2357;

														{	/* Effect/cgraph.scm 159 */
															int BgL_arg2423z00_2358;

															BgL_arg2423z00_2358 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 159 */
																long BgL_auxz00_3707;

																BgL_auxz00_3707 = (long) (BgL_arg2423z00_2358);
																BgL_restz00_2357 =
																	(BgL_offsetz00_2354 % BgL_auxz00_3707);
														}}
														{	/* Effect/cgraph.scm 159 */

															BgL_method3274z00_2347 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2352,
																	(int) (BgL_modz00_2355)),
																(int) (BgL_restz00_2357));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_2347) (BgL_method3274z00_2347,
								(obj_t) (BgL_arg3468z00_2343),
								(obj_t) (BgL_ownerz00_2346), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-let-var3298 */
	obj_t BGl_callzd2graphz12zd2letzd2var3298zc0zzeffect_cgraphz00(obj_t
		BgL_envz00_2825, obj_t BgL_nodez00_2826, obj_t BgL_ownerz00_2827)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 146 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1383;

				obj_t BgL_ownerz00_1384;

				{	/* Effect/cgraph.scm 147 */
					bool_t BgL_auxz00_3719;

					BgL_nodez00_1383 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2826);
					BgL_ownerz00_1384 = BgL_ownerz00_2827;
					{	/* Effect/cgraph.scm 148 */
						BgL_nodez00_bglt BgL_arg3462z00_1388;

						BgL_arg3462z00_1388 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1383))->BgL_bodyz00);
						{	/* Effect/cgraph.scm 148 */
							BgL_variablez00_bglt BgL_ownerz00_2285;

							BgL_ownerz00_2285 = (BgL_variablez00_bglt) (BgL_ownerz00_1384);
							{	/* Effect/cgraph.scm 148 */
								obj_t BgL_method3274z00_2286;

								{	/* Effect/cgraph.scm 148 */
									BgL_objectz00_bglt BgL_objz00_2287;

									BgL_objz00_2287 = (BgL_objectz00_bglt) (BgL_arg3462z00_1388);
									{	/* Effect/cgraph.scm 148 */
										long BgL_objzd2classzd2numz00_2288;

										BgL_objzd2classzd2numz00_2288 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2287);
										{	/* Effect/cgraph.scm 148 */
											obj_t BgL_arg2422z00_2289;

											BgL_arg2422z00_2289 =
												PROCEDURE_REF
												(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
												(int) (((long) 1)));
											{	/* Effect/cgraph.scm 148 */
												obj_t BgL_arrayz00_2291;

												int BgL_offsetz00_2292;

												BgL_arrayz00_2291 = BgL_arg2422z00_2289;
												BgL_offsetz00_2292 =
													(int) (BgL_objzd2classzd2numz00_2288);
												{	/* Effect/cgraph.scm 148 */
													long BgL_offsetz00_2293;

													BgL_offsetz00_2293 =
														((long) (BgL_offsetz00_2292) - OBJECT_TYPE);
													{	/* Effect/cgraph.scm 148 */
														long BgL_modz00_2294;

														{	/* Effect/cgraph.scm 148 */
															int BgL_arg2424z00_2295;

															BgL_arg2424z00_2295 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 148 */
																long BgL_auxz00_3730;

																BgL_auxz00_3730 = (long) (BgL_arg2424z00_2295);
																BgL_modz00_2294 =
																	(BgL_offsetz00_2293 / BgL_auxz00_3730);
														}}
														{	/* Effect/cgraph.scm 148 */
															long BgL_restz00_2296;

															{	/* Effect/cgraph.scm 148 */
																int BgL_arg2423z00_2297;

																BgL_arg2423z00_2297 = (int) (((long) 8));
																{	/* Effect/cgraph.scm 148 */
																	long BgL_auxz00_3734;

																	BgL_auxz00_3734 =
																		(long) (BgL_arg2423z00_2297);
																	BgL_restz00_2296 =
																		(BgL_offsetz00_2293 % BgL_auxz00_3734);
															}}
															{	/* Effect/cgraph.scm 148 */

																BgL_method3274z00_2286 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2291,
																		(int) (BgL_modz00_2294)),
																	(int) (BgL_restz00_2296));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3274z00_2286) (BgL_method3274z00_2286,
									(obj_t) (BgL_arg3462z00_1388),
									(obj_t) (BgL_ownerz00_2285), BEOA);
					}}}
					{	/* Effect/cgraph.scm 149 */
						obj_t BgL_g3268z00_1389;

						BgL_g3268z00_1389 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1383))->
							BgL_bindingsz00);
						{
							obj_t BgL_l3266z00_1391;

							BgL_l3266z00_1391 = BgL_g3268z00_1389;
						BgL_zc3anonymousza33463ze3z83_1392:
							if (PAIRP(BgL_l3266z00_1391))
								{	/* Effect/cgraph.scm 149 */
									{	/* Effect/cgraph.scm 150 */
										obj_t BgL_bindingz00_1394;

										BgL_bindingz00_1394 = CAR(BgL_l3266z00_1391);
										{	/* Effect/cgraph.scm 150 */
											obj_t BgL_arg3465z00_1395;

											BgL_arg3465z00_1395 = CDR(BgL_bindingz00_1394);
											{	/* Effect/cgraph.scm 150 */
												BgL_nodez00_bglt BgL_nodez00_2315;

												BgL_variablez00_bglt BgL_ownerz00_2316;

												BgL_nodez00_2315 =
													(BgL_nodez00_bglt) (BgL_arg3465z00_1395);
												BgL_ownerz00_2316 =
													(BgL_variablez00_bglt) (BgL_ownerz00_1384);
												{	/* Effect/cgraph.scm 150 */
													obj_t BgL_method3274z00_2317;

													{	/* Effect/cgraph.scm 150 */
														BgL_objectz00_bglt BgL_objz00_2318;

														BgL_objz00_2318 =
															(BgL_objectz00_bglt) (BgL_nodez00_2315);
														{	/* Effect/cgraph.scm 150 */
															long BgL_objzd2classzd2numz00_2319;

															BgL_objzd2classzd2numz00_2319 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_2318);
															{	/* Effect/cgraph.scm 150 */
																obj_t BgL_arg2422z00_2320;

																BgL_arg2422z00_2320 =
																	PROCEDURE_REF
																	(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
																	(int) (((long) 1)));
																{	/* Effect/cgraph.scm 150 */
																	obj_t BgL_arrayz00_2322;

																	int BgL_offsetz00_2323;

																	BgL_arrayz00_2322 = BgL_arg2422z00_2320;
																	BgL_offsetz00_2323 =
																		(int) (BgL_objzd2classzd2numz00_2319);
																	{	/* Effect/cgraph.scm 150 */
																		long BgL_offsetz00_2324;

																		BgL_offsetz00_2324 =
																			(
																			(long) (BgL_offsetz00_2323) -
																			OBJECT_TYPE);
																		{	/* Effect/cgraph.scm 150 */
																			long BgL_modz00_2325;

																			{	/* Effect/cgraph.scm 150 */
																				int BgL_arg2424z00_2326;

																				BgL_arg2424z00_2326 =
																					(int) (((long) 8));
																				{	/* Effect/cgraph.scm 150 */
																					long BgL_auxz00_3760;

																					BgL_auxz00_3760 =
																						(long) (BgL_arg2424z00_2326);
																					BgL_modz00_2325 =
																						(BgL_offsetz00_2324 /
																						BgL_auxz00_3760);
																			}}
																			{	/* Effect/cgraph.scm 150 */
																				long BgL_restz00_2327;

																				{	/* Effect/cgraph.scm 150 */
																					int BgL_arg2423z00_2328;

																					BgL_arg2423z00_2328 =
																						(int) (((long) 8));
																					{	/* Effect/cgraph.scm 150 */
																						long BgL_auxz00_3764;

																						BgL_auxz00_3764 =
																							(long) (BgL_arg2423z00_2328);
																						BgL_restz00_2327 =
																							(BgL_offsetz00_2324 %
																							BgL_auxz00_3764);
																				}}
																				{	/* Effect/cgraph.scm 150 */

																					BgL_method3274z00_2317 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_2322,
																							(int) (BgL_modz00_2325)),
																						(int) (BgL_restz00_2327));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3274z00_2317)
														(BgL_method3274z00_2317, (obj_t) (BgL_nodez00_2315),
														(obj_t) (BgL_ownerz00_2316), BEOA);
									}}}}
									{
										obj_t BgL_l3266z00_3775;

										BgL_l3266z00_3775 = CDR(BgL_l3266z00_1391);
										BgL_l3266z00_1391 = BgL_l3266z00_3775;
										goto BgL_zc3anonymousza33463ze3z83_1392;
									}
								}
							else
								{	/* Effect/cgraph.scm 149 */
									BgL_auxz00_3719 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3719);
				}
			}
		}
	}



/* call-graph!-let-fun3296 */
	obj_t BGl_callzd2graphz12zd2letzd2fun3296zc0zzeffect_cgraphz00(obj_t
		BgL_envz00_2828, obj_t BgL_nodez00_2829, obj_t BgL_ownerz00_2830)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 136 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1367;

				obj_t BgL_ownerz00_1368;

				BgL_nodez00_1367 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2829);
				BgL_ownerz00_1368 = BgL_ownerz00_2830;
				{	/* Effect/cgraph.scm 138 */
					obj_t BgL_g3265z00_1372;

					BgL_g3265z00_1372 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1367))->BgL_localsz00);
					{
						obj_t BgL_l3263z00_1374;

						BgL_l3263z00_1374 = BgL_g3265z00_1372;
					BgL_zc3anonymousza33457ze3z83_1375:
						if (PAIRP(BgL_l3263z00_1374))
							{	/* Effect/cgraph.scm 138 */
								{	/* Effect/cgraph.scm 139 */
									obj_t BgL_localz00_1377;

									BgL_localz00_1377 = CAR(BgL_l3263z00_1374);
									BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
										(BgL_variablez00_bglt) (BgL_localz00_1377));
								}
								{
									obj_t BgL_l3263z00_3785;

									BgL_l3263z00_3785 = CDR(BgL_l3263z00_1374);
									BgL_l3263z00_1374 = BgL_l3263z00_3785;
									goto BgL_zc3anonymousza33457ze3z83_1375;
								}
							}
						else
							{	/* Effect/cgraph.scm 138 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/cgraph.scm 141 */
					BgL_nodez00_bglt BgL_arg3460z00_1380;

					BgL_arg3460z00_1380 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1367))->BgL_bodyz00);
					{	/* Effect/cgraph.scm 141 */
						BgL_variablez00_bglt BgL_ownerz00_2257;

						BgL_ownerz00_2257 = (BgL_variablez00_bglt) (BgL_ownerz00_1368);
						{	/* Effect/cgraph.scm 141 */
							obj_t BgL_method3274z00_2258;

							{	/* Effect/cgraph.scm 141 */
								BgL_objectz00_bglt BgL_objz00_2259;

								BgL_objz00_2259 = (BgL_objectz00_bglt) (BgL_arg3460z00_1380);
								{	/* Effect/cgraph.scm 141 */
									long BgL_objzd2classzd2numz00_2260;

									BgL_objzd2classzd2numz00_2260 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2259);
									{	/* Effect/cgraph.scm 141 */
										obj_t BgL_arg2422z00_2261;

										BgL_arg2422z00_2261 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 141 */
											obj_t BgL_arrayz00_2263;

											int BgL_offsetz00_2264;

											BgL_arrayz00_2263 = BgL_arg2422z00_2261;
											BgL_offsetz00_2264 =
												(int) (BgL_objzd2classzd2numz00_2260);
											{	/* Effect/cgraph.scm 141 */
												long BgL_offsetz00_2265;

												BgL_offsetz00_2265 =
													((long) (BgL_offsetz00_2264) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 141 */
													long BgL_modz00_2266;

													{	/* Effect/cgraph.scm 141 */
														int BgL_arg2424z00_2267;

														BgL_arg2424z00_2267 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 141 */
															long BgL_auxz00_3797;

															BgL_auxz00_3797 = (long) (BgL_arg2424z00_2267);
															BgL_modz00_2266 =
																(BgL_offsetz00_2265 / BgL_auxz00_3797);
													}}
													{	/* Effect/cgraph.scm 141 */
														long BgL_restz00_2268;

														{	/* Effect/cgraph.scm 141 */
															int BgL_arg2423z00_2269;

															BgL_arg2423z00_2269 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 141 */
																long BgL_auxz00_3801;

																BgL_auxz00_3801 = (long) (BgL_arg2423z00_2269);
																BgL_restz00_2268 =
																	(BgL_offsetz00_2265 % BgL_auxz00_3801);
														}}
														{	/* Effect/cgraph.scm 141 */

															BgL_method3274z00_2258 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2263,
																	(int) (BgL_modz00_2266)),
																(int) (BgL_restz00_2268));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_2258) (BgL_method3274z00_2258,
								(obj_t) (BgL_arg3460z00_1380),
								(obj_t) (BgL_ownerz00_2257), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-select3294 */
	obj_t BGl_callzd2graphz12zd2select3294z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2831, obj_t BgL_nodez00_2832, obj_t BgL_ownerz00_2833)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 126 */
			{
				BgL_selectz00_bglt BgL_nodez00_1350;

				obj_t BgL_ownerz00_1351;

				{	/* Effect/cgraph.scm 127 */
					bool_t BgL_auxz00_3813;

					BgL_nodez00_1350 = (BgL_selectz00_bglt) (BgL_nodez00_2832);
					BgL_ownerz00_1351 = BgL_ownerz00_2833;
					{	/* Effect/cgraph.scm 128 */
						BgL_nodez00_bglt BgL_arg3451z00_1355;

						BgL_arg3451z00_1355 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1350))->BgL_testz00);
						{	/* Effect/cgraph.scm 128 */
							BgL_variablez00_bglt BgL_ownerz00_2193;

							BgL_ownerz00_2193 = (BgL_variablez00_bglt) (BgL_ownerz00_1351);
							{	/* Effect/cgraph.scm 128 */
								obj_t BgL_method3274z00_2194;

								{	/* Effect/cgraph.scm 128 */
									BgL_objectz00_bglt BgL_objz00_2195;

									BgL_objz00_2195 = (BgL_objectz00_bglt) (BgL_arg3451z00_1355);
									{	/* Effect/cgraph.scm 128 */
										long BgL_objzd2classzd2numz00_2196;

										BgL_objzd2classzd2numz00_2196 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2195);
										{	/* Effect/cgraph.scm 128 */
											obj_t BgL_arg2422z00_2197;

											BgL_arg2422z00_2197 =
												PROCEDURE_REF
												(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
												(int) (((long) 1)));
											{	/* Effect/cgraph.scm 128 */
												obj_t BgL_arrayz00_2199;

												int BgL_offsetz00_2200;

												BgL_arrayz00_2199 = BgL_arg2422z00_2197;
												BgL_offsetz00_2200 =
													(int) (BgL_objzd2classzd2numz00_2196);
												{	/* Effect/cgraph.scm 128 */
													long BgL_offsetz00_2201;

													BgL_offsetz00_2201 =
														((long) (BgL_offsetz00_2200) - OBJECT_TYPE);
													{	/* Effect/cgraph.scm 128 */
														long BgL_modz00_2202;

														{	/* Effect/cgraph.scm 128 */
															int BgL_arg2424z00_2203;

															BgL_arg2424z00_2203 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 128 */
																long BgL_auxz00_3824;

																BgL_auxz00_3824 = (long) (BgL_arg2424z00_2203);
																BgL_modz00_2202 =
																	(BgL_offsetz00_2201 / BgL_auxz00_3824);
														}}
														{	/* Effect/cgraph.scm 128 */
															long BgL_restz00_2204;

															{	/* Effect/cgraph.scm 128 */
																int BgL_arg2423z00_2205;

																BgL_arg2423z00_2205 = (int) (((long) 8));
																{	/* Effect/cgraph.scm 128 */
																	long BgL_auxz00_3828;

																	BgL_auxz00_3828 =
																		(long) (BgL_arg2423z00_2205);
																	BgL_restz00_2204 =
																		(BgL_offsetz00_2201 % BgL_auxz00_3828);
															}}
															{	/* Effect/cgraph.scm 128 */

																BgL_method3274z00_2194 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2199,
																		(int) (BgL_modz00_2202)),
																	(int) (BgL_restz00_2204));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3274z00_2194) (BgL_method3274z00_2194,
									(obj_t) (BgL_arg3451z00_1355),
									(obj_t) (BgL_ownerz00_2193), BEOA);
					}}}
					{	/* Effect/cgraph.scm 129 */
						obj_t BgL_g3262z00_1356;

						BgL_g3262z00_1356 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1350))->BgL_clausesz00);
						{
							obj_t BgL_l3260z00_1358;

							BgL_l3260z00_1358 = BgL_g3262z00_1356;
						BgL_zc3anonymousza33452ze3z83_1359:
							if (PAIRP(BgL_l3260z00_1358))
								{	/* Effect/cgraph.scm 129 */
									{	/* Effect/cgraph.scm 130 */
										obj_t BgL_clausez00_1361;

										BgL_clausez00_1361 = CAR(BgL_l3260z00_1358);
										{	/* Effect/cgraph.scm 130 */
											obj_t BgL_arg3454z00_1362;

											BgL_arg3454z00_1362 = CDR(BgL_clausez00_1361);
											{	/* Effect/cgraph.scm 130 */
												BgL_nodez00_bglt BgL_nodez00_2223;

												BgL_variablez00_bglt BgL_ownerz00_2224;

												BgL_nodez00_2223 =
													(BgL_nodez00_bglt) (BgL_arg3454z00_1362);
												BgL_ownerz00_2224 =
													(BgL_variablez00_bglt) (BgL_ownerz00_1351);
												{	/* Effect/cgraph.scm 130 */
													obj_t BgL_method3274z00_2225;

													{	/* Effect/cgraph.scm 130 */
														BgL_objectz00_bglt BgL_objz00_2226;

														BgL_objz00_2226 =
															(BgL_objectz00_bglt) (BgL_nodez00_2223);
														{	/* Effect/cgraph.scm 130 */
															long BgL_objzd2classzd2numz00_2227;

															BgL_objzd2classzd2numz00_2227 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_2226);
															{	/* Effect/cgraph.scm 130 */
																obj_t BgL_arg2422z00_2228;

																BgL_arg2422z00_2228 =
																	PROCEDURE_REF
																	(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
																	(int) (((long) 1)));
																{	/* Effect/cgraph.scm 130 */
																	obj_t BgL_arrayz00_2230;

																	int BgL_offsetz00_2231;

																	BgL_arrayz00_2230 = BgL_arg2422z00_2228;
																	BgL_offsetz00_2231 =
																		(int) (BgL_objzd2classzd2numz00_2227);
																	{	/* Effect/cgraph.scm 130 */
																		long BgL_offsetz00_2232;

																		BgL_offsetz00_2232 =
																			(
																			(long) (BgL_offsetz00_2231) -
																			OBJECT_TYPE);
																		{	/* Effect/cgraph.scm 130 */
																			long BgL_modz00_2233;

																			{	/* Effect/cgraph.scm 130 */
																				int BgL_arg2424z00_2234;

																				BgL_arg2424z00_2234 =
																					(int) (((long) 8));
																				{	/* Effect/cgraph.scm 130 */
																					long BgL_auxz00_3854;

																					BgL_auxz00_3854 =
																						(long) (BgL_arg2424z00_2234);
																					BgL_modz00_2233 =
																						(BgL_offsetz00_2232 /
																						BgL_auxz00_3854);
																			}}
																			{	/* Effect/cgraph.scm 130 */
																				long BgL_restz00_2235;

																				{	/* Effect/cgraph.scm 130 */
																					int BgL_arg2423z00_2236;

																					BgL_arg2423z00_2236 =
																						(int) (((long) 8));
																					{	/* Effect/cgraph.scm 130 */
																						long BgL_auxz00_3858;

																						BgL_auxz00_3858 =
																							(long) (BgL_arg2423z00_2236);
																						BgL_restz00_2235 =
																							(BgL_offsetz00_2232 %
																							BgL_auxz00_3858);
																				}}
																				{	/* Effect/cgraph.scm 130 */

																					BgL_method3274z00_2225 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_2230,
																							(int) (BgL_modz00_2233)),
																						(int) (BgL_restz00_2235));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3274z00_2225)
														(BgL_method3274z00_2225, (obj_t) (BgL_nodez00_2223),
														(obj_t) (BgL_ownerz00_2224), BEOA);
									}}}}
									{
										obj_t BgL_l3260z00_3869;

										BgL_l3260z00_3869 = CDR(BgL_l3260z00_1358);
										BgL_l3260z00_1358 = BgL_l3260z00_3869;
										goto BgL_zc3anonymousza33452ze3z83_1359;
									}
								}
							else
								{	/* Effect/cgraph.scm 129 */
									BgL_auxz00_3813 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_3813);
				}
			}
		}
	}



/* call-graph!-fail3292 */
	obj_t BGl_callzd2graphz12zd2fail3292z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2834, obj_t BgL_nodez00_2835, obj_t BgL_ownerz00_2836)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 116 */
			{
				BgL_failz00_bglt BgL_nodez00_1340;

				obj_t BgL_ownerz00_1341;

				BgL_nodez00_1340 = (BgL_failz00_bglt) (BgL_nodez00_2835);
				BgL_ownerz00_1341 = BgL_ownerz00_2836;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					(BgL_variablez00_bglt) (BgL_ownerz00_1341));
				{	/* Effect/cgraph.scm 119 */
					BgL_nodez00_bglt BgL_arg3447z00_1345;

					BgL_arg3447z00_1345 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1340))->BgL_procz00);
					{	/* Effect/cgraph.scm 119 */
						BgL_variablez00_bglt BgL_ownerz00_2109;

						BgL_ownerz00_2109 = (BgL_variablez00_bglt) (BgL_ownerz00_1341);
						{	/* Effect/cgraph.scm 119 */
							obj_t BgL_method3274z00_2110;

							{	/* Effect/cgraph.scm 119 */
								BgL_objectz00_bglt BgL_objz00_2111;

								BgL_objz00_2111 = (BgL_objectz00_bglt) (BgL_arg3447z00_1345);
								{	/* Effect/cgraph.scm 119 */
									long BgL_objzd2classzd2numz00_2112;

									BgL_objzd2classzd2numz00_2112 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2111);
									{	/* Effect/cgraph.scm 119 */
										obj_t BgL_arg2422z00_2113;

										BgL_arg2422z00_2113 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 119 */
											obj_t BgL_arrayz00_2115;

											int BgL_offsetz00_2116;

											BgL_arrayz00_2115 = BgL_arg2422z00_2113;
											BgL_offsetz00_2116 =
												(int) (BgL_objzd2classzd2numz00_2112);
											{	/* Effect/cgraph.scm 119 */
												long BgL_offsetz00_2117;

												BgL_offsetz00_2117 =
													((long) (BgL_offsetz00_2116) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 119 */
													long BgL_modz00_2118;

													{	/* Effect/cgraph.scm 119 */
														int BgL_arg2424z00_2119;

														BgL_arg2424z00_2119 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 119 */
															long BgL_auxz00_3885;

															BgL_auxz00_3885 = (long) (BgL_arg2424z00_2119);
															BgL_modz00_2118 =
																(BgL_offsetz00_2117 / BgL_auxz00_3885);
													}}
													{	/* Effect/cgraph.scm 119 */
														long BgL_restz00_2120;

														{	/* Effect/cgraph.scm 119 */
															int BgL_arg2423z00_2121;

															BgL_arg2423z00_2121 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 119 */
																long BgL_auxz00_3889;

																BgL_auxz00_3889 = (long) (BgL_arg2423z00_2121);
																BgL_restz00_2120 =
																	(BgL_offsetz00_2117 % BgL_auxz00_3889);
														}}
														{	/* Effect/cgraph.scm 119 */

															BgL_method3274z00_2110 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2115,
																	(int) (BgL_modz00_2118)),
																(int) (BgL_restz00_2120));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3274z00_2110) (BgL_method3274z00_2110,
								(obj_t) (BgL_arg3447z00_1345),
								(obj_t) (BgL_ownerz00_2109), BEOA);
				}}}
				{	/* Effect/cgraph.scm 120 */
					BgL_nodez00_bglt BgL_arg3448z00_1346;

					BgL_arg3448z00_1346 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1340))->BgL_msgz00);
					{	/* Effect/cgraph.scm 120 */
						BgL_variablez00_bglt BgL_ownerz00_2137;

						BgL_ownerz00_2137 = (BgL_variablez00_bglt) (BgL_ownerz00_1341);
						{	/* Effect/cgraph.scm 120 */
							obj_t BgL_method3274z00_2138;

							{	/* Effect/cgraph.scm 120 */
								BgL_objectz00_bglt BgL_objz00_2139;

								BgL_objz00_2139 = (BgL_objectz00_bglt) (BgL_arg3448z00_1346);
								{	/* Effect/cgraph.scm 120 */
									long BgL_objzd2classzd2numz00_2140;

									BgL_objzd2classzd2numz00_2140 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2139);
									{	/* Effect/cgraph.scm 120 */
										obj_t BgL_arg2422z00_2141;

										BgL_arg2422z00_2141 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 120 */
											obj_t BgL_arrayz00_2143;

											int BgL_offsetz00_2144;

											BgL_arrayz00_2143 = BgL_arg2422z00_2141;
											BgL_offsetz00_2144 =
												(int) (BgL_objzd2classzd2numz00_2140);
											{	/* Effect/cgraph.scm 120 */
												long BgL_offsetz00_2145;

												BgL_offsetz00_2145 =
													((long) (BgL_offsetz00_2144) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 120 */
													long BgL_modz00_2146;

													{	/* Effect/cgraph.scm 120 */
														int BgL_arg2424z00_2147;

														BgL_arg2424z00_2147 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 120 */
															long BgL_auxz00_3910;

															BgL_auxz00_3910 = (long) (BgL_arg2424z00_2147);
															BgL_modz00_2146 =
																(BgL_offsetz00_2145 / BgL_auxz00_3910);
													}}
													{	/* Effect/cgraph.scm 120 */
														long BgL_restz00_2148;

														{	/* Effect/cgraph.scm 120 */
															int BgL_arg2423z00_2149;

															BgL_arg2423z00_2149 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 120 */
																long BgL_auxz00_3914;

																BgL_auxz00_3914 = (long) (BgL_arg2423z00_2149);
																BgL_restz00_2148 =
																	(BgL_offsetz00_2145 % BgL_auxz00_3914);
														}}
														{	/* Effect/cgraph.scm 120 */

															BgL_method3274z00_2138 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2143,
																	(int) (BgL_modz00_2146)),
																(int) (BgL_restz00_2148));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3274z00_2138) (BgL_method3274z00_2138,
								(obj_t) (BgL_arg3448z00_1346),
								(obj_t) (BgL_ownerz00_2137), BEOA);
				}}}
				{	/* Effect/cgraph.scm 121 */
					BgL_nodez00_bglt BgL_arg3449z00_1347;

					BgL_arg3449z00_1347 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1340))->BgL_objz00);
					{	/* Effect/cgraph.scm 121 */
						BgL_variablez00_bglt BgL_ownerz00_2165;

						BgL_ownerz00_2165 = (BgL_variablez00_bglt) (BgL_ownerz00_1341);
						{	/* Effect/cgraph.scm 121 */
							obj_t BgL_method3274z00_2166;

							{	/* Effect/cgraph.scm 121 */
								BgL_objectz00_bglt BgL_objz00_2167;

								BgL_objz00_2167 = (BgL_objectz00_bglt) (BgL_arg3449z00_1347);
								{	/* Effect/cgraph.scm 121 */
									long BgL_objzd2classzd2numz00_2168;

									BgL_objzd2classzd2numz00_2168 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2167);
									{	/* Effect/cgraph.scm 121 */
										obj_t BgL_arg2422z00_2169;

										BgL_arg2422z00_2169 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 121 */
											obj_t BgL_arrayz00_2171;

											int BgL_offsetz00_2172;

											BgL_arrayz00_2171 = BgL_arg2422z00_2169;
											BgL_offsetz00_2172 =
												(int) (BgL_objzd2classzd2numz00_2168);
											{	/* Effect/cgraph.scm 121 */
												long BgL_offsetz00_2173;

												BgL_offsetz00_2173 =
													((long) (BgL_offsetz00_2172) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 121 */
													long BgL_modz00_2174;

													{	/* Effect/cgraph.scm 121 */
														int BgL_arg2424z00_2175;

														BgL_arg2424z00_2175 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 121 */
															long BgL_auxz00_3935;

															BgL_auxz00_3935 = (long) (BgL_arg2424z00_2175);
															BgL_modz00_2174 =
																(BgL_offsetz00_2173 / BgL_auxz00_3935);
													}}
													{	/* Effect/cgraph.scm 121 */
														long BgL_restz00_2176;

														{	/* Effect/cgraph.scm 121 */
															int BgL_arg2423z00_2177;

															BgL_arg2423z00_2177 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 121 */
																long BgL_auxz00_3939;

																BgL_auxz00_3939 = (long) (BgL_arg2423z00_2177);
																BgL_restz00_2176 =
																	(BgL_offsetz00_2173 % BgL_auxz00_3939);
														}}
														{	/* Effect/cgraph.scm 121 */

															BgL_method3274z00_2166 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2171,
																	(int) (BgL_modz00_2174)),
																(int) (BgL_restz00_2176));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_2166) (BgL_method3274z00_2166,
								(obj_t) (BgL_arg3449z00_1347),
								(obj_t) (BgL_ownerz00_2165), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-conditio3290 */
	obj_t BGl_callzd2graphz12zd2conditio3290z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2837, obj_t BgL_nodez00_2838, obj_t BgL_ownerz00_2839)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 107 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1330;

				obj_t BgL_ownerz00_1331;

				BgL_nodez00_1330 = (BgL_conditionalz00_bglt) (BgL_nodez00_2838);
				BgL_ownerz00_1331 = BgL_ownerz00_2839;
				{	/* Effect/cgraph.scm 109 */
					BgL_nodez00_bglt BgL_arg3442z00_1335;

					BgL_arg3442z00_1335 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1330))->BgL_testz00);
					{	/* Effect/cgraph.scm 109 */
						BgL_variablez00_bglt BgL_ownerz00_2025;

						BgL_ownerz00_2025 = (BgL_variablez00_bglt) (BgL_ownerz00_1331);
						{	/* Effect/cgraph.scm 109 */
							obj_t BgL_method3274z00_2026;

							{	/* Effect/cgraph.scm 109 */
								BgL_objectz00_bglt BgL_objz00_2027;

								BgL_objz00_2027 = (BgL_objectz00_bglt) (BgL_arg3442z00_1335);
								{	/* Effect/cgraph.scm 109 */
									long BgL_objzd2classzd2numz00_2028;

									BgL_objzd2classzd2numz00_2028 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2027);
									{	/* Effect/cgraph.scm 109 */
										obj_t BgL_arg2422z00_2029;

										BgL_arg2422z00_2029 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 109 */
											obj_t BgL_arrayz00_2031;

											int BgL_offsetz00_2032;

											BgL_arrayz00_2031 = BgL_arg2422z00_2029;
											BgL_offsetz00_2032 =
												(int) (BgL_objzd2classzd2numz00_2028);
											{	/* Effect/cgraph.scm 109 */
												long BgL_offsetz00_2033;

												BgL_offsetz00_2033 =
													((long) (BgL_offsetz00_2032) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 109 */
													long BgL_modz00_2034;

													{	/* Effect/cgraph.scm 109 */
														int BgL_arg2424z00_2035;

														BgL_arg2424z00_2035 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 109 */
															long BgL_auxz00_3961;

															BgL_auxz00_3961 = (long) (BgL_arg2424z00_2035);
															BgL_modz00_2034 =
																(BgL_offsetz00_2033 / BgL_auxz00_3961);
													}}
													{	/* Effect/cgraph.scm 109 */
														long BgL_restz00_2036;

														{	/* Effect/cgraph.scm 109 */
															int BgL_arg2423z00_2037;

															BgL_arg2423z00_2037 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 109 */
																long BgL_auxz00_3965;

																BgL_auxz00_3965 = (long) (BgL_arg2423z00_2037);
																BgL_restz00_2036 =
																	(BgL_offsetz00_2033 % BgL_auxz00_3965);
														}}
														{	/* Effect/cgraph.scm 109 */

															BgL_method3274z00_2026 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2031,
																	(int) (BgL_modz00_2034)),
																(int) (BgL_restz00_2036));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3274z00_2026) (BgL_method3274z00_2026,
								(obj_t) (BgL_arg3442z00_1335),
								(obj_t) (BgL_ownerz00_2025), BEOA);
				}}}
				{	/* Effect/cgraph.scm 110 */
					BgL_nodez00_bglt BgL_arg3444z00_1336;

					BgL_arg3444z00_1336 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1330))->BgL_truez00);
					{	/* Effect/cgraph.scm 110 */
						BgL_variablez00_bglt BgL_ownerz00_2053;

						BgL_ownerz00_2053 = (BgL_variablez00_bglt) (BgL_ownerz00_1331);
						{	/* Effect/cgraph.scm 110 */
							obj_t BgL_method3274z00_2054;

							{	/* Effect/cgraph.scm 110 */
								BgL_objectz00_bglt BgL_objz00_2055;

								BgL_objz00_2055 = (BgL_objectz00_bglt) (BgL_arg3444z00_1336);
								{	/* Effect/cgraph.scm 110 */
									long BgL_objzd2classzd2numz00_2056;

									BgL_objzd2classzd2numz00_2056 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2055);
									{	/* Effect/cgraph.scm 110 */
										obj_t BgL_arg2422z00_2057;

										BgL_arg2422z00_2057 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 110 */
											obj_t BgL_arrayz00_2059;

											int BgL_offsetz00_2060;

											BgL_arrayz00_2059 = BgL_arg2422z00_2057;
											BgL_offsetz00_2060 =
												(int) (BgL_objzd2classzd2numz00_2056);
											{	/* Effect/cgraph.scm 110 */
												long BgL_offsetz00_2061;

												BgL_offsetz00_2061 =
													((long) (BgL_offsetz00_2060) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 110 */
													long BgL_modz00_2062;

													{	/* Effect/cgraph.scm 110 */
														int BgL_arg2424z00_2063;

														BgL_arg2424z00_2063 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 110 */
															long BgL_auxz00_3986;

															BgL_auxz00_3986 = (long) (BgL_arg2424z00_2063);
															BgL_modz00_2062 =
																(BgL_offsetz00_2061 / BgL_auxz00_3986);
													}}
													{	/* Effect/cgraph.scm 110 */
														long BgL_restz00_2064;

														{	/* Effect/cgraph.scm 110 */
															int BgL_arg2423z00_2065;

															BgL_arg2423z00_2065 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 110 */
																long BgL_auxz00_3990;

																BgL_auxz00_3990 = (long) (BgL_arg2423z00_2065);
																BgL_restz00_2064 =
																	(BgL_offsetz00_2061 % BgL_auxz00_3990);
														}}
														{	/* Effect/cgraph.scm 110 */

															BgL_method3274z00_2054 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2059,
																	(int) (BgL_modz00_2062)),
																(int) (BgL_restz00_2064));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3274z00_2054) (BgL_method3274z00_2054,
								(obj_t) (BgL_arg3444z00_1336),
								(obj_t) (BgL_ownerz00_2053), BEOA);
				}}}
				{	/* Effect/cgraph.scm 111 */
					BgL_nodez00_bglt BgL_arg3445z00_1337;

					BgL_arg3445z00_1337 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1330))->BgL_falsez00);
					{	/* Effect/cgraph.scm 111 */
						BgL_variablez00_bglt BgL_ownerz00_2081;

						BgL_ownerz00_2081 = (BgL_variablez00_bglt) (BgL_ownerz00_1331);
						{	/* Effect/cgraph.scm 111 */
							obj_t BgL_method3274z00_2082;

							{	/* Effect/cgraph.scm 111 */
								BgL_objectz00_bglt BgL_objz00_2083;

								BgL_objz00_2083 = (BgL_objectz00_bglt) (BgL_arg3445z00_1337);
								{	/* Effect/cgraph.scm 111 */
									long BgL_objzd2classzd2numz00_2084;

									BgL_objzd2classzd2numz00_2084 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2083);
									{	/* Effect/cgraph.scm 111 */
										obj_t BgL_arg2422z00_2085;

										BgL_arg2422z00_2085 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 111 */
											obj_t BgL_arrayz00_2087;

											int BgL_offsetz00_2088;

											BgL_arrayz00_2087 = BgL_arg2422z00_2085;
											BgL_offsetz00_2088 =
												(int) (BgL_objzd2classzd2numz00_2084);
											{	/* Effect/cgraph.scm 111 */
												long BgL_offsetz00_2089;

												BgL_offsetz00_2089 =
													((long) (BgL_offsetz00_2088) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 111 */
													long BgL_modz00_2090;

													{	/* Effect/cgraph.scm 111 */
														int BgL_arg2424z00_2091;

														BgL_arg2424z00_2091 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 111 */
															long BgL_auxz00_4011;

															BgL_auxz00_4011 = (long) (BgL_arg2424z00_2091);
															BgL_modz00_2090 =
																(BgL_offsetz00_2089 / BgL_auxz00_4011);
													}}
													{	/* Effect/cgraph.scm 111 */
														long BgL_restz00_2092;

														{	/* Effect/cgraph.scm 111 */
															int BgL_arg2423z00_2093;

															BgL_arg2423z00_2093 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 111 */
																long BgL_auxz00_4015;

																BgL_auxz00_4015 = (long) (BgL_arg2423z00_2093);
																BgL_restz00_2092 =
																	(BgL_offsetz00_2089 % BgL_auxz00_4015);
														}}
														{	/* Effect/cgraph.scm 111 */

															BgL_method3274z00_2082 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2087,
																	(int) (BgL_modz00_2090)),
																(int) (BgL_restz00_2092));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_2082) (BgL_method3274z00_2082,
								(obj_t) (BgL_arg3445z00_1337),
								(obj_t) (BgL_ownerz00_2081), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-setq3288 */
	obj_t BGl_callzd2graphz12zd2setq3288z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2840, obj_t BgL_nodez00_2841, obj_t BgL_ownerz00_2842)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 97 */
			{
				BgL_setqz00_bglt BgL_nodez00_1317;

				obj_t BgL_ownerz00_1318;

				BgL_nodez00_1317 = (BgL_setqz00_bglt) (BgL_nodez00_2841);
				BgL_ownerz00_1318 = BgL_ownerz00_2842;
				{	/* Effect/cgraph.scm 99 */
					bool_t BgL_testz00_4027;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_ownerz00_1318,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 99 */
							BgL_testz00_4027 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 99 */
							BgL_variablez00_bglt BgL_arg3437z00_1324;

							{	/* Effect/cgraph.scm 99 */
								BgL_varz00_bglt BgL_obj1993z00_1965;

								BgL_obj1993z00_1965 =
									(((BgL_setqz00_bglt) CREF(BgL_nodez00_1317))->BgL_varz00);
								BgL_arg3437z00_1324 =
									(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1965))->
									BgL_variablez00);
							}
							{	/* Effect/cgraph.scm 99 */
								obj_t BgL_obj1589z00_1966;

								BgL_obj1589z00_1966 = (obj_t) (BgL_arg3437z00_1324);
								BgL_testz00_4027 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1589z00_1966,
									BGl_globalz00zzast_varz00);
							}
						}
					if (BgL_testz00_4027)
						{	/* Effect/cgraph.scm 99 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								(BgL_variablez00_bglt) (BgL_ownerz00_1318));
						}
					else
						{	/* Effect/cgraph.scm 99 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 101 */
					BgL_varz00_bglt BgL_arg3439z00_1326;

					BgL_arg3439z00_1326 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1317))->BgL_varz00);
					{	/* Effect/cgraph.scm 101 */
						BgL_nodez00_bglt BgL_nodez00_1968;

						BgL_variablez00_bglt BgL_ownerz00_1969;

						BgL_nodez00_1968 = (BgL_nodez00_bglt) (BgL_arg3439z00_1326);
						BgL_ownerz00_1969 = (BgL_variablez00_bglt) (BgL_ownerz00_1318);
						{	/* Effect/cgraph.scm 101 */
							obj_t BgL_method3274z00_1970;

							{	/* Effect/cgraph.scm 101 */
								BgL_objectz00_bglt BgL_objz00_1971;

								BgL_objz00_1971 = (BgL_objectz00_bglt) (BgL_nodez00_1968);
								{	/* Effect/cgraph.scm 101 */
									long BgL_objzd2classzd2numz00_1972;

									BgL_objzd2classzd2numz00_1972 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1971);
									{	/* Effect/cgraph.scm 101 */
										obj_t BgL_arg2422z00_1973;

										BgL_arg2422z00_1973 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 101 */
											obj_t BgL_arrayz00_1975;

											int BgL_offsetz00_1976;

											BgL_arrayz00_1975 = BgL_arg2422z00_1973;
											BgL_offsetz00_1976 =
												(int) (BgL_objzd2classzd2numz00_1972);
											{	/* Effect/cgraph.scm 101 */
												long BgL_offsetz00_1977;

												BgL_offsetz00_1977 =
													((long) (BgL_offsetz00_1976) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 101 */
													long BgL_modz00_1978;

													{	/* Effect/cgraph.scm 101 */
														int BgL_arg2424z00_1979;

														BgL_arg2424z00_1979 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 101 */
															long BgL_auxz00_4047;

															BgL_auxz00_4047 = (long) (BgL_arg2424z00_1979);
															BgL_modz00_1978 =
																(BgL_offsetz00_1977 / BgL_auxz00_4047);
													}}
													{	/* Effect/cgraph.scm 101 */
														long BgL_restz00_1980;

														{	/* Effect/cgraph.scm 101 */
															int BgL_arg2423z00_1981;

															BgL_arg2423z00_1981 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 101 */
																long BgL_auxz00_4051;

																BgL_auxz00_4051 = (long) (BgL_arg2423z00_1981);
																BgL_restz00_1980 =
																	(BgL_offsetz00_1977 % BgL_auxz00_4051);
														}}
														{	/* Effect/cgraph.scm 101 */

															BgL_method3274z00_1970 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1975,
																	(int) (BgL_modz00_1978)),
																(int) (BgL_restz00_1980));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3274z00_1970) (BgL_method3274z00_1970,
								(obj_t) (BgL_nodez00_1968), (obj_t) (BgL_ownerz00_1969), BEOA);
				}}}
				{	/* Effect/cgraph.scm 102 */
					BgL_nodez00_bglt BgL_arg3440z00_1327;

					BgL_arg3440z00_1327 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1317))->BgL_valuez00);
					{	/* Effect/cgraph.scm 102 */
						BgL_variablez00_bglt BgL_ownerz00_1997;

						BgL_ownerz00_1997 = (BgL_variablez00_bglt) (BgL_ownerz00_1318);
						{	/* Effect/cgraph.scm 102 */
							obj_t BgL_method3274z00_1998;

							{	/* Effect/cgraph.scm 102 */
								BgL_objectz00_bglt BgL_objz00_1999;

								BgL_objz00_1999 = (BgL_objectz00_bglt) (BgL_arg3440z00_1327);
								{	/* Effect/cgraph.scm 102 */
									long BgL_objzd2classzd2numz00_2000;

									BgL_objzd2classzd2numz00_2000 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1999);
									{	/* Effect/cgraph.scm 102 */
										obj_t BgL_arg2422z00_2001;

										BgL_arg2422z00_2001 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 102 */
											obj_t BgL_arrayz00_2003;

											int BgL_offsetz00_2004;

											BgL_arrayz00_2003 = BgL_arg2422z00_2001;
											BgL_offsetz00_2004 =
												(int) (BgL_objzd2classzd2numz00_2000);
											{	/* Effect/cgraph.scm 102 */
												long BgL_offsetz00_2005;

												BgL_offsetz00_2005 =
													((long) (BgL_offsetz00_2004) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 102 */
													long BgL_modz00_2006;

													{	/* Effect/cgraph.scm 102 */
														int BgL_arg2424z00_2007;

														BgL_arg2424z00_2007 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 102 */
															long BgL_auxz00_4072;

															BgL_auxz00_4072 = (long) (BgL_arg2424z00_2007);
															BgL_modz00_2006 =
																(BgL_offsetz00_2005 / BgL_auxz00_4072);
													}}
													{	/* Effect/cgraph.scm 102 */
														long BgL_restz00_2008;

														{	/* Effect/cgraph.scm 102 */
															int BgL_arg2423z00_2009;

															BgL_arg2423z00_2009 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 102 */
																long BgL_auxz00_4076;

																BgL_auxz00_4076 = (long) (BgL_arg2423z00_2009);
																BgL_restz00_2008 =
																	(BgL_offsetz00_2005 % BgL_auxz00_4076);
														}}
														{	/* Effect/cgraph.scm 102 */

															BgL_method3274z00_1998 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2003,
																	(int) (BgL_modz00_2006)),
																(int) (BgL_restz00_2008));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_1998) (BgL_method3274z00_1998,
								(obj_t) (BgL_arg3440z00_1327),
								(obj_t) (BgL_ownerz00_1997), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-cast3286 */
	obj_t BGl_callzd2graphz12zd2cast3286z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2843, obj_t BgL_nodez00_2844, obj_t BgL_ownerz00_2845)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 86 */
			{
				BgL_castz00_bglt BgL_nodez00_1309;

				obj_t BgL_ownerz00_1310;

				BgL_nodez00_1309 = (BgL_castz00_bglt) (BgL_nodez00_2844);
				BgL_ownerz00_1310 = BgL_ownerz00_2845;
				{	/* Effect/cgraph.scm 87 */
					BgL_nodez00_bglt BgL_arg3433z00_1934;

					BgL_arg3433z00_1934 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1309))->BgL_argz00);
					{	/* Effect/cgraph.scm 87 */
						BgL_variablez00_bglt BgL_ownerz00_1937;

						BgL_ownerz00_1937 = (BgL_variablez00_bglt) (BgL_ownerz00_1310);
						{	/* Effect/cgraph.scm 87 */
							obj_t BgL_method3274z00_1938;

							{	/* Effect/cgraph.scm 87 */
								BgL_objectz00_bglt BgL_objz00_1939;

								BgL_objz00_1939 = (BgL_objectz00_bglt) (BgL_arg3433z00_1934);
								{	/* Effect/cgraph.scm 87 */
									long BgL_objzd2classzd2numz00_1940;

									BgL_objzd2classzd2numz00_1940 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1939);
									{	/* Effect/cgraph.scm 87 */
										obj_t BgL_arg2422z00_1941;

										BgL_arg2422z00_1941 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 87 */
											obj_t BgL_arrayz00_1943;

											int BgL_offsetz00_1944;

											BgL_arrayz00_1943 = BgL_arg2422z00_1941;
											BgL_offsetz00_1944 =
												(int) (BgL_objzd2classzd2numz00_1940);
											{	/* Effect/cgraph.scm 87 */
												long BgL_offsetz00_1945;

												BgL_offsetz00_1945 =
													((long) (BgL_offsetz00_1944) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 87 */
													long BgL_modz00_1946;

													{	/* Effect/cgraph.scm 87 */
														int BgL_arg2424z00_1947;

														BgL_arg2424z00_1947 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 87 */
															long BgL_auxz00_4098;

															BgL_auxz00_4098 = (long) (BgL_arg2424z00_1947);
															BgL_modz00_1946 =
																(BgL_offsetz00_1945 / BgL_auxz00_4098);
													}}
													{	/* Effect/cgraph.scm 87 */
														long BgL_restz00_1948;

														{	/* Effect/cgraph.scm 87 */
															int BgL_arg2423z00_1949;

															BgL_arg2423z00_1949 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 87 */
																long BgL_auxz00_4102;

																BgL_auxz00_4102 = (long) (BgL_arg2423z00_1949);
																BgL_restz00_1948 =
																	(BgL_offsetz00_1945 % BgL_auxz00_4102);
														}}
														{	/* Effect/cgraph.scm 87 */

															BgL_method3274z00_1938 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1943,
																	(int) (BgL_modz00_1946)),
																(int) (BgL_restz00_1948));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_1938) (BgL_method3274z00_1938,
								(obj_t) (BgL_arg3433z00_1934),
								(obj_t) (BgL_ownerz00_1937), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-extern3284 */
	obj_t BGl_callzd2graphz12zd2extern3284z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2846, obj_t BgL_nodez00_2847, obj_t BgL_ownerz00_2848)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 77 */
			{
				BgL_externz00_bglt BgL_nodez00_1300;

				obj_t BgL_ownerz00_1301;

				{	/* Effect/cgraph.scm 78 */
					bool_t BgL_auxz00_4114;

					BgL_nodez00_1300 = (BgL_externz00_bglt) (BgL_nodez00_2847);
					BgL_ownerz00_1301 = BgL_ownerz00_2848;
					{	/* Effect/cgraph.scm 79 */
						bool_t BgL_testz00_4115;

						{	/* Effect/cgraph.scm 79 */
							BgL_nodezf2effectzf2_bglt BgL_obj1946z00_1931;

							BgL_obj1946z00_1931 =
								(BgL_nodezf2effectzf2_bglt) (BgL_nodez00_1300);
							BgL_testz00_4115 =
								CBOOL(
								(((BgL_nodezf2effectzf2_bglt) CREF(BgL_obj1946z00_1931))->
									BgL_sidezd2effectzf3z21));
						}
						if (BgL_testz00_4115)
							{	/* Effect/cgraph.scm 79 */
								BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
									(BgL_variablez00_bglt) (BgL_ownerz00_1301));
							}
						else
							{	/* Effect/cgraph.scm 79 */
								BFALSE;
							}
					}
					{	/* Effect/cgraph.scm 81 */
						obj_t BgL_arg3431z00_1306;

						BgL_arg3431z00_1306 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1300))->BgL_exprza2za2);
						BgL_auxz00_4114 =
							BGl_callzd2graphza2z12z62zzeffect_cgraphz00(BgL_arg3431z00_1306,
							BgL_ownerz00_1301);
					}
					return BBOOL(BgL_auxz00_4114);
				}
			}
		}
	}



/* call-graph!-funcall3282 */
	obj_t BGl_callzd2graphz12zd2funcall3282z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2849, obj_t BgL_nodez00_2850, obj_t BgL_ownerz00_2851)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 68 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1291;

				obj_t BgL_ownerz00_1292;

				{	/* Effect/cgraph.scm 69 */
					bool_t BgL_auxz00_4125;

					BgL_nodez00_1291 = (BgL_funcallz00_bglt) (BgL_nodez00_2850);
					BgL_ownerz00_1292 = BgL_ownerz00_2851;
					BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
						(BgL_variablez00_bglt) (BgL_ownerz00_1292));
					{	/* Effect/cgraph.scm 71 */
						BgL_nodez00_bglt BgL_arg3427z00_1296;

						BgL_arg3427z00_1296 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1291))->BgL_funz00);
						{	/* Effect/cgraph.scm 71 */
							BgL_variablez00_bglt BgL_ownerz00_1904;

							BgL_ownerz00_1904 = (BgL_variablez00_bglt) (BgL_ownerz00_1292);
							{	/* Effect/cgraph.scm 71 */
								obj_t BgL_method3274z00_1905;

								{	/* Effect/cgraph.scm 71 */
									BgL_objectz00_bglt BgL_objz00_1906;

									BgL_objz00_1906 = (BgL_objectz00_bglt) (BgL_arg3427z00_1296);
									{	/* Effect/cgraph.scm 71 */
										long BgL_objzd2classzd2numz00_1907;

										BgL_objzd2classzd2numz00_1907 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1906);
										{	/* Effect/cgraph.scm 71 */
											obj_t BgL_arg2422z00_1908;

											BgL_arg2422z00_1908 =
												PROCEDURE_REF
												(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
												(int) (((long) 1)));
											{	/* Effect/cgraph.scm 71 */
												obj_t BgL_arrayz00_1910;

												int BgL_offsetz00_1911;

												BgL_arrayz00_1910 = BgL_arg2422z00_1908;
												BgL_offsetz00_1911 =
													(int) (BgL_objzd2classzd2numz00_1907);
												{	/* Effect/cgraph.scm 71 */
													long BgL_offsetz00_1912;

													BgL_offsetz00_1912 =
														((long) (BgL_offsetz00_1911) - OBJECT_TYPE);
													{	/* Effect/cgraph.scm 71 */
														long BgL_modz00_1913;

														{	/* Effect/cgraph.scm 71 */
															int BgL_arg2424z00_1914;

															BgL_arg2424z00_1914 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 71 */
																long BgL_auxz00_4138;

																BgL_auxz00_4138 = (long) (BgL_arg2424z00_1914);
																BgL_modz00_1913 =
																	(BgL_offsetz00_1912 / BgL_auxz00_4138);
														}}
														{	/* Effect/cgraph.scm 71 */
															long BgL_restz00_1915;

															{	/* Effect/cgraph.scm 71 */
																int BgL_arg2423z00_1916;

																BgL_arg2423z00_1916 = (int) (((long) 8));
																{	/* Effect/cgraph.scm 71 */
																	long BgL_auxz00_4142;

																	BgL_auxz00_4142 =
																		(long) (BgL_arg2423z00_1916);
																	BgL_restz00_1915 =
																		(BgL_offsetz00_1912 % BgL_auxz00_4142);
															}}
															{	/* Effect/cgraph.scm 71 */

																BgL_method3274z00_1905 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1910,
																		(int) (BgL_modz00_1913)),
																	(int) (BgL_restz00_1915));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3274z00_1905) (BgL_method3274z00_1905,
									(obj_t) (BgL_arg3427z00_1296),
									(obj_t) (BgL_ownerz00_1904), BEOA);
					}}}
					{	/* Effect/cgraph.scm 72 */
						obj_t BgL_arg3428z00_1297;

						BgL_arg3428z00_1297 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1291))->BgL_argsz00);
						BgL_auxz00_4125 =
							BGl_callzd2graphza2z12z62zzeffect_cgraphz00(BgL_arg3428z00_1297,
							BgL_ownerz00_1292);
					}
					return BBOOL(BgL_auxz00_4125);
				}
			}
		}
	}



/* call-graph!-app-ly3280 */
	obj_t BGl_callzd2graphz12zd2appzd2ly3280zc0zzeffect_cgraphz00(obj_t
		BgL_envz00_2852, obj_t BgL_nodez00_2853, obj_t BgL_ownerz00_2854)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 59 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1282;

				obj_t BgL_ownerz00_1283;

				BgL_nodez00_1282 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2853);
				BgL_ownerz00_1283 = BgL_ownerz00_2854;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					(BgL_variablez00_bglt) (BgL_ownerz00_1283));
				{	/* Effect/cgraph.scm 62 */
					BgL_nodez00_bglt BgL_arg3423z00_1287;

					BgL_arg3423z00_1287 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1282))->BgL_funz00);
					{	/* Effect/cgraph.scm 62 */
						BgL_variablez00_bglt BgL_ownerz00_1848;

						BgL_ownerz00_1848 = (BgL_variablez00_bglt) (BgL_ownerz00_1283);
						{	/* Effect/cgraph.scm 62 */
							obj_t BgL_method3274z00_1849;

							{	/* Effect/cgraph.scm 62 */
								BgL_objectz00_bglt BgL_objz00_1850;

								BgL_objz00_1850 = (BgL_objectz00_bglt) (BgL_arg3423z00_1287);
								{	/* Effect/cgraph.scm 62 */
									long BgL_objzd2classzd2numz00_1851;

									BgL_objzd2classzd2numz00_1851 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1850);
									{	/* Effect/cgraph.scm 62 */
										obj_t BgL_arg2422z00_1852;

										BgL_arg2422z00_1852 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 62 */
											obj_t BgL_arrayz00_1854;

											int BgL_offsetz00_1855;

											BgL_arrayz00_1854 = BgL_arg2422z00_1852;
											BgL_offsetz00_1855 =
												(int) (BgL_objzd2classzd2numz00_1851);
											{	/* Effect/cgraph.scm 62 */
												long BgL_offsetz00_1856;

												BgL_offsetz00_1856 =
													((long) (BgL_offsetz00_1855) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 62 */
													long BgL_modz00_1857;

													{	/* Effect/cgraph.scm 62 */
														int BgL_arg2424z00_1858;

														BgL_arg2424z00_1858 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 62 */
															long BgL_auxz00_4169;

															BgL_auxz00_4169 = (long) (BgL_arg2424z00_1858);
															BgL_modz00_1857 =
																(BgL_offsetz00_1856 / BgL_auxz00_4169);
													}}
													{	/* Effect/cgraph.scm 62 */
														long BgL_restz00_1859;

														{	/* Effect/cgraph.scm 62 */
															int BgL_arg2423z00_1860;

															BgL_arg2423z00_1860 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 62 */
																long BgL_auxz00_4173;

																BgL_auxz00_4173 = (long) (BgL_arg2423z00_1860);
																BgL_restz00_1859 =
																	(BgL_offsetz00_1856 % BgL_auxz00_4173);
														}}
														{	/* Effect/cgraph.scm 62 */

															BgL_method3274z00_1849 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1854,
																	(int) (BgL_modz00_1857)),
																(int) (BgL_restz00_1859));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3274z00_1849) (BgL_method3274z00_1849,
								(obj_t) (BgL_arg3423z00_1287),
								(obj_t) (BgL_ownerz00_1848), BEOA);
				}}}
				{	/* Effect/cgraph.scm 63 */
					BgL_nodez00_bglt BgL_arg3425z00_1288;

					BgL_arg3425z00_1288 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1282))->BgL_argz00);
					{	/* Effect/cgraph.scm 63 */
						BgL_variablez00_bglt BgL_ownerz00_1876;

						BgL_ownerz00_1876 = (BgL_variablez00_bglt) (BgL_ownerz00_1283);
						{	/* Effect/cgraph.scm 63 */
							obj_t BgL_method3274z00_1877;

							{	/* Effect/cgraph.scm 63 */
								BgL_objectz00_bglt BgL_objz00_1878;

								BgL_objz00_1878 = (BgL_objectz00_bglt) (BgL_arg3425z00_1288);
								{	/* Effect/cgraph.scm 63 */
									long BgL_objzd2classzd2numz00_1879;

									BgL_objzd2classzd2numz00_1879 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1878);
									{	/* Effect/cgraph.scm 63 */
										obj_t BgL_arg2422z00_1880;

										BgL_arg2422z00_1880 =
											PROCEDURE_REF
											(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
											(int) (((long) 1)));
										{	/* Effect/cgraph.scm 63 */
											obj_t BgL_arrayz00_1882;

											int BgL_offsetz00_1883;

											BgL_arrayz00_1882 = BgL_arg2422z00_1880;
											BgL_offsetz00_1883 =
												(int) (BgL_objzd2classzd2numz00_1879);
											{	/* Effect/cgraph.scm 63 */
												long BgL_offsetz00_1884;

												BgL_offsetz00_1884 =
													((long) (BgL_offsetz00_1883) - OBJECT_TYPE);
												{	/* Effect/cgraph.scm 63 */
													long BgL_modz00_1885;

													{	/* Effect/cgraph.scm 63 */
														int BgL_arg2424z00_1886;

														BgL_arg2424z00_1886 = (int) (((long) 8));
														{	/* Effect/cgraph.scm 63 */
															long BgL_auxz00_4194;

															BgL_auxz00_4194 = (long) (BgL_arg2424z00_1886);
															BgL_modz00_1885 =
																(BgL_offsetz00_1884 / BgL_auxz00_4194);
													}}
													{	/* Effect/cgraph.scm 63 */
														long BgL_restz00_1887;

														{	/* Effect/cgraph.scm 63 */
															int BgL_arg2423z00_1888;

															BgL_arg2423z00_1888 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 63 */
																long BgL_auxz00_4198;

																BgL_auxz00_4198 = (long) (BgL_arg2423z00_1888);
																BgL_restz00_1887 =
																	(BgL_offsetz00_1884 % BgL_auxz00_4198);
														}}
														{	/* Effect/cgraph.scm 63 */

															BgL_method3274z00_1877 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1882,
																	(int) (BgL_modz00_1885)),
																(int) (BgL_restz00_1887));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3274z00_1877) (BgL_method3274z00_1877,
								(obj_t) (BgL_arg3425z00_1288),
								(obj_t) (BgL_ownerz00_1876), BEOA);
						}
					}
				}
			}
		}
	}



/* call-graph!-app3278 */
	obj_t BGl_callzd2graphz12zd2app3278z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2855, obj_t BgL_nodez00_2856, obj_t BgL_ownerz00_2857)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 49 */
			{
				BgL_appz00_bglt BgL_nodez00_1272;

				obj_t BgL_ownerz00_1273;

				{	/* Effect/cgraph.scm 50 */
					bool_t BgL_auxz00_4210;

					BgL_nodez00_1272 = (BgL_appz00_bglt) (BgL_nodez00_2856);
					BgL_ownerz00_1273 = BgL_ownerz00_2857;
					{	/* Effect/cgraph.scm 53 */
						BgL_variablez00_bglt BgL_arg3419z00_1277;

						{	/* Effect/cgraph.scm 53 */
							BgL_varz00_bglt BgL_obj1993z00_1817;

							BgL_obj1993z00_1817 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1272))->BgL_funz00);
							BgL_arg3419z00_1277 =
								(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1817))->
								BgL_variablez00);
						}
						{	/* Effect/cgraph.scm 53 */
							BgL_variablez00_bglt BgL_ownerz00_1819;

							BgL_ownerz00_1819 = (BgL_variablez00_bglt) (BgL_ownerz00_1273);
							{	/* Effect/cgraph.scm 53 */
								obj_t BgL_method3310z00_1820;

								{	/* Effect/cgraph.scm 53 */
									BgL_objectz00_bglt BgL_objz00_1821;

									BgL_objz00_1821 = (BgL_objectz00_bglt) (BgL_arg3419z00_1277);
									{	/* Effect/cgraph.scm 53 */
										long BgL_objzd2classzd2numz00_1822;

										BgL_objzd2classzd2numz00_1822 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1821);
										{	/* Effect/cgraph.scm 53 */
											obj_t BgL_arg2422z00_1823;

											BgL_arg2422z00_1823 =
												PROCEDURE_REF
												(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
												(int) (((long) 1)));
											{	/* Effect/cgraph.scm 53 */
												obj_t BgL_arrayz00_1825;

												int BgL_offsetz00_1826;

												BgL_arrayz00_1825 = BgL_arg2422z00_1823;
												BgL_offsetz00_1826 =
													(int) (BgL_objzd2classzd2numz00_1822);
												{	/* Effect/cgraph.scm 53 */
													long BgL_offsetz00_1827;

													BgL_offsetz00_1827 =
														((long) (BgL_offsetz00_1826) - OBJECT_TYPE);
													{	/* Effect/cgraph.scm 53 */
														long BgL_modz00_1828;

														{	/* Effect/cgraph.scm 53 */
															int BgL_arg2424z00_1829;

															BgL_arg2424z00_1829 = (int) (((long) 8));
															{	/* Effect/cgraph.scm 53 */
																long BgL_auxz00_4222;

																BgL_auxz00_4222 = (long) (BgL_arg2424z00_1829);
																BgL_modz00_1828 =
																	(BgL_offsetz00_1827 / BgL_auxz00_4222);
														}}
														{	/* Effect/cgraph.scm 53 */
															long BgL_restz00_1830;

															{	/* Effect/cgraph.scm 53 */
																int BgL_arg2423z00_1831;

																BgL_arg2423z00_1831 = (int) (((long) 8));
																{	/* Effect/cgraph.scm 53 */
																	long BgL_auxz00_4226;

																	BgL_auxz00_4226 =
																		(long) (BgL_arg2423z00_1831);
																	BgL_restz00_1830 =
																		(BgL_offsetz00_1827 % BgL_auxz00_4226);
															}}
															{	/* Effect/cgraph.scm 53 */

																BgL_method3310z00_1820 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1825,
																		(int) (BgL_modz00_1828)),
																	(int) (BgL_restz00_1830));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3310z00_1820) (BgL_method3310z00_1820,
									(obj_t) (BgL_arg3419z00_1277),
									(obj_t) (BgL_ownerz00_1819), BEOA);
					}}}
					{	/* Effect/cgraph.scm 54 */
						obj_t BgL_arg3421z00_1279;

						BgL_arg3421z00_1279 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1272))->BgL_argsz00);
						BgL_auxz00_4210 =
							BGl_callzd2graphza2z12z62zzeffect_cgraphz00(BgL_arg3421z00_1279,
							BgL_ownerz00_1273);
					}
					return BBOOL(BgL_auxz00_4210);
				}
			}
		}
	}



/* call-graph!-sequence3276 */
	obj_t BGl_callzd2graphz12zd2sequence3276z12zzeffect_cgraphz00(obj_t
		BgL_envz00_2858, obj_t BgL_nodez00_2859, obj_t BgL_ownerz00_2860)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 43 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1265;

				obj_t BgL_ownerz00_1266;

				{	/* Effect/cgraph.scm 44 */
					bool_t BgL_auxz00_4241;

					BgL_nodez00_1265 = (BgL_sequencez00_bglt) (BgL_nodez00_2859);
					BgL_ownerz00_1266 = BgL_ownerz00_2860;
					{	/* Effect/cgraph.scm 44 */
						obj_t BgL_arg3417z00_1814;

						BgL_arg3417z00_1814 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1265))->BgL_nodesz00);
						BgL_auxz00_4241 =
							BGl_callzd2graphza2z12z62zzeffect_cgraphz00(BgL_arg3417z00_1814,
							BgL_ownerz00_1266);
					}
					return BBOOL(BgL_auxz00_4241);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3643z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3643z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3643z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3643z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3643z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3643z00zzeffect_cgraphz00));
		}
	}

#ifdef __cplusplus
}
#endif
