/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	static obj_t BGl_inlinezd2nodezd2atom3194z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_inlinezd2nodezd2letzd2var3222zd2zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_isfunz00_bglt
		BGl_makezd2isfunzd2zzinline_inlinez00(long, obj_t, obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	static obj_t BGl__makezd2isfun3514zd2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_isfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00();
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl__isfunzf3zf3zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00();
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_inlinez00();
	static obj_t BGl__fillzd2isfunz123515zc0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt
		BGl_z52allocatezd2isfunz80zzinline_inlinez00();
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_isfunz00_bglt
		BGl_wideningzd2isfunzd2zzinline_inlinez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00();
	static obj_t BGl_inlinezd2nodezd2cast3210z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl__isfunzd2nilzd2zzinline_inlinez00(obj_t);
	static obj_t BGl__inlinezd2nodezd2default3190z00zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_inlinezd2nodezd2setzd2exzd2i3224z00zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static obj_t BGl_inlinezd2nodezd2sequence3200z00zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_inlinezd2nodezd2setq3212z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2isfun3234ze3zzinline_inlinez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_inlinezd2nodezd2default3190z00zzinline_inlinez00(BgL_nodez00_bglt, long,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2nodezd2extern3208z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_inlinezd2nodezd2boxzd2setz123232zc0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_inlinezd2nodezd2appzd2ly3204zd2zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	static obj_t BGl_inlinezd2nodezd2conditio3214z00zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl__inlinezd2sfunz123512zc0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_inlinezd2nodezd2app3202z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_inlinezd2nodezd2funcall3206z00zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
	static obj_t BGl__inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_inlinezd2nodezd2jumpzd2exzd23226z00zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_inlinez00();
	BGL_EXPORTED_DECL BgL_isfunz00_bglt
		BGl_fillzd2isfunz12zc0zzinline_inlinez00(BgL_isfunz00_bglt,
		BgL_nodez00_bglt, obj_t);
	static obj_t BGl__wideningzd2isfunzd2zzinline_inlinez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_inlinezd2nodezd2fail3216z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
	static obj_t BGl__inlinezd2node3513zd2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long,
		obj_t);
	static obj_t BGl_inlinezd2nodezd2makezd2box3228zd2zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_inlinezd2nodezd2select3218z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_inlinezd2nodezd2boxzd2ref3230zd2zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt,
		long, obj_t);
	static obj_t BGl__z52allocatezd2isfunz80zzinline_inlinez00(obj_t);
	static obj_t BGl_inlinezd2nodezd2var3196z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_inlinezd2nodezd2kwote3198z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3236z83zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzinline_inlinez00();
	static obj_t BGl__sfunzf3zf3zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
	static obj_t BGl_inlinezd2nodezd2letzd2fun3220zd2zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl__isfunza7f3za7f3za7za7in3550z00, BGl__isfunzf3zf3zzinline_inlinez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_inlinezd2nodezd2default3190zd2envzd2zzinline_inlinez00,
		BgL_bgl__inlineza7d2nodeza7d3551z00,
		BGl__inlinezd2nodezd2default3190z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_sfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl__sfunza7f3za7f3za7za7inl3552z00, BGl__sfunzf3zf3zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
		BgL_bgl__inlineza7d2node353553za7,
		BGl__inlinezd2node3513zd2zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2nodeza2z12zd2envzb0zzinline_inlinez00,
		BgL_bgl__inlineza7d2nodeza7a3554z00,
		BGl__inlinezd2nodeza2z12z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl__inlineza7d2sfunza713555z00,
		BGl__inlinezd2sfunz123512zc0zzinline_inlinez00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl__wideningza7d2isfu3556za7,
		BGl__wideningzd2isfunzd2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2isfunzd2envz52zzinline_inlinez00,
		BgL_bgl__za752allocateza7d2i3557z00,
		BGl__z52allocatezd2isfunz80zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
		BgL_bgl__isfunza7d2nilza7d2za73558za7,
		BGl__isfunzd2nilzd2zzinline_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2isfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl__fillza7d2isfunza7123559z00,
		BGl__fillzd2isfunz123515zc0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl__makeza7d2isfun3513560za7,
		BGl__makezd2isfun3514zd2zzinline_inlinez00, 0L, BUNSPEC, 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3522z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23561z00,
		BGl_inlinezd2nodezd2atom3194z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3523z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23562z00,
		BGl_inlinezd2nodezd2var3196z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3524z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23563z00,
		BGl_inlinezd2nodezd2kwote3198z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3525z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23564z00,
		BGl_inlinezd2nodezd2sequence3200z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3526z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23565z00,
		BGl_inlinezd2nodezd2app3202z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3527z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23566z00,
		BGl_inlinezd2nodezd2appzd2ly3204zd2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3528z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23567z00,
		BGl_inlinezd2nodezd2funcall3206z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3530z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23568z00,
		BGl_inlinezd2nodezd2cast3210z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3529z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23569z00,
		BGl_inlinezd2nodezd2extern3208z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3531z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23570z00,
		BGl_inlinezd2nodezd2setq3212z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3532z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23571z00,
		BGl_inlinezd2nodezd2conditio3214z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3533z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23572z00,
		BGl_inlinezd2nodezd2fail3216z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3534z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23573z00,
		BGl_inlinezd2nodezd2select3218z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3535z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23574z00,
		BGl_inlinezd2nodezd2letzd2fun3220zd2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3536z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23575z00,
		BGl_inlinezd2nodezd2letzd2var3222zd2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3537z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23576z00,
		BGl_inlinezd2nodezd2setzd2exzd2i3224z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3538z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23577z00,
		BGl_inlinezd2nodezd2jumpzd2exzd23226z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3540z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23578z00,
		BGl_inlinezd2nodezd2boxzd2ref3230zd2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3539z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23579z00,
		BGl_inlinezd2nodezd2makezd2box3228zd2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3541z00zzinline_inlinez00,
		BgL_bgl_inlineza7d2nodeza7d23580z00,
		BGl_inlinezd2nodezd2boxzd2setz123232zc0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3542z00zzinline_inlinez00,
		BgL_bgl_objectza7d2za7e3stru3581z00,
		BGl_objectzd2ze3structzd2isfun3234ze3zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3543z00zzinline_inlinez00,
		BgL_bgl_structza7b2objectza73582z00,
		BGl_structzb2objectzd2ze3objec3236z83zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3521z00zzinline_inlinez00,
		BgL_bgl_string3521za700za7za7i3583za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3544z00zzinline_inlinez00,
		BgL_bgl_string3544za700za7za7i3584za7, "inline_inline", 13);
	      DEFINE_STRING(BGl_string3545z00zzinline_inlinez00,
		BgL_bgl_string3545za700za7za7i3585za7,
		"read static inline-node-default3190 isfun done ", 47);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long
		BgL_checksumz00_2731, char *BgL_fromz00_2732)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
					BGl_cnstzd2initzd2zzinline_inlinez00();
					BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
					BGl_objectzd2initzd2zzinline_inlinez00();
					BGl_genericzd2initzd2zzinline_inlinez00();
					BGl_methodzd2initzd2zzinline_inlinez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_inline");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 15 */
				obj_t BgL_cportz00_2702;

				BgL_cportz00_2702 =
					bgl_open_input_string(BGl_string3545z00zzinline_inlinez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2703;

					BgL_iz00_2703 = ((long) 4);
				BgL_loopz00_2704:
					if ((BgL_iz00_2703 == ((long) -1)))
						{	/* Inline/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/inline.scm 15 */
							{	/* Inline/inline.scm 15 */
								obj_t BgL_arg3547z00_2706;

								{	/* Inline/inline.scm 15 */

									{	/* Inline/inline.scm 15 */
										obj_t BgL_locationz00_2708;

										BgL_locationz00_2708 = BBOOL(((bool_t) 0));
										{	/* Inline/inline.scm 15 */

											BgL_arg3547z00_2706 =
												BGl_readz00zz__readerz00(BgL_cportz00_2702,
												BgL_locationz00_2708);
										}
									}
								}
								{	/* Inline/inline.scm 15 */
									int BgL_auxz00_2752;

									BgL_auxz00_2752 = (int) (BgL_iz00_2703);
									CNST_TABLE_SET(BgL_auxz00_2752, BgL_arg3547z00_2706);
							}}
							{	/* Inline/inline.scm 15 */
								int BgL_auxz00_2709;

								BgL_auxz00_2709 = (int) ((BgL_iz00_2703 - ((long) 1)));
								{
									long BgL_iz00_2757;

									BgL_iz00_2757 = (long) (BgL_auxz00_2709);
									BgL_iz00_2703 = BgL_iz00_2757;
									goto BgL_loopz00_2704;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return BUNSPEC;
		}
	}



/* inline-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt
		BgL_variablez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 34 */
			{	/* Inline/inline.scm 37 */
				BgL_valuez00_bglt BgL_sfunz00_836;

				BgL_sfunz00_836 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_1))->BgL_valuez00);
				{	/* Inline/inline.scm 37 */
					obj_t BgL_isfunz00_837;

					if (BGl_iszd2azf3z21zz__objectz00
						(BGl_sfunzf3zd2envz21zzinline_inlinez00,
							BGl_isfunz00zzinline_inlinez00))
						{	/* Inline/inline.scm 38 */
							BgL_isfunz00_837 = (obj_t) (BgL_sfunz00_836);
						}
					else
						{	/* Inline/inline.scm 40 */
							BgL_sfunz00_bglt BgL_obj3167z00_849;

							BgL_obj3167z00_849 =
								((BgL_sfunz00_bglt) (BgL_sfunz00_bglt) (BgL_sfunz00_836));
							{	/* Inline/inline.scm 40 */
								BgL_isfunz00_bglt BgL_arg3247z00_850;

								{	/* Inline/inline.scm 40 */
									obj_t BgL_arg3248z00_851;

									{
										BgL_sfunz00_bglt BgL_auxz00_2765;

										BgL_auxz00_2765 = (BgL_sfunz00_bglt) (BgL_sfunz00_836);
										BgL_arg3248z00_851 =
											(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2765))->BgL_bodyz00);
									}
									{	/* Inline/inline.scm 40 */
										BgL_isfunz00_bglt BgL_res3424z00_1523;

										{	/* Inline/inline.scm 40 */
											BgL_nodez00_bglt BgL_originalzd2body3077zd2_1514;

											BgL_originalzd2body3077zd2_1514 =
												(BgL_nodez00_bglt) (BgL_arg3248z00_851);
											{	/* Inline/inline.scm 40 */
												BgL_isfunz00_bglt BgL_new3079z00_1516;

												BgL_new3079z00_1516 =
													((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_isfunz00_bgl))));
												{	/* Inline/inline.scm 40 */
													BgL_isfunz00_bglt BgL_res3423z00_1522;

													{	/* Inline/inline.scm 40 */
														BgL_isfunz00_bglt BgL_new3104z00_1517;

														BgL_new3104z00_1517 = BgL_new3079z00_1516;
														{	/* Inline/inline.scm 40 */
															BgL_nodez00_bglt BgL_originalzd2body3102zd2_1520;

															obj_t BgL_recursivezd2calls3103zd2_1521;

															BgL_originalzd2body3102zd2_1520 =
																BgL_originalzd2body3077zd2_1514;
															BgL_recursivezd2calls3103zd2_1521 = BUNSPEC;
															((((BgL_isfunz00_bglt)
																		CREF(BgL_new3104z00_1517))->
																	BgL_originalzd2bodyzd2) =
																((BgL_nodez00_bglt)
																	BgL_originalzd2body3102zd2_1520), BUNSPEC);
															((((BgL_isfunz00_bglt)
																		CREF(BgL_new3104z00_1517))->
																	BgL_recursivezd2callszd2) =
																((obj_t) BgL_recursivezd2calls3103zd2_1521),
																BUNSPEC);
															BgL_res3423z00_1522 = BgL_new3104z00_1517;
													}} BgL_res3423z00_1522;
												}
												BgL_res3424z00_1523 = BgL_new3079z00_1516;
										}}
										BgL_arg3247z00_850 = BgL_res3424z00_1523;
								}}
								{	/* Inline/inline.scm 40 */
									obj_t BgL_auxz00_2774;

									BgL_objectz00_bglt BgL_auxz00_2772;

									BgL_auxz00_2774 = (obj_t) (BgL_arg3247z00_850);
									BgL_auxz00_2772 = (BgL_objectz00_bglt) (BgL_obj3167z00_849);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2772, BgL_auxz00_2774);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_obj3167z00_849),
								BGl_classzd2numzd2zz__objectz00
								(BGl_isfunz00zzinline_inlinez00));
							BgL_isfunz00_837 = (obj_t) (BgL_obj3167z00_849);
						}
					{	/* Inline/inline.scm 38 */
						BgL_nodez00_bglt BgL_ozd2bodyzd2_838;

						{	/* Inline/inline.scm 41 */
							BgL_isfunz00_bglt BgL_obj3116z00_1526;

							BgL_obj3116z00_1526 = (BgL_isfunz00_bglt) (BgL_isfunz00_837);
							{
								obj_t BgL_auxz00_2782;

								{	/* Inline/inline.scm 41 */
									BgL_objectz00_bglt BgL_auxz00_2783;

									BgL_auxz00_2783 = (BgL_objectz00_bglt) (BgL_obj3116z00_1526);
									BgL_auxz00_2782 = BGL_OBJECT_WIDENING(BgL_auxz00_2783);
								}
								BgL_ozd2bodyzd2_838 =
									(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2782))->
									BgL_originalzd2bodyzd2);
						}}
						{	/* Inline/inline.scm 41 */
							BgL_nodez00_bglt BgL_inlzd2bodyzd2_839;

							{	/* Inline/inline.scm 42 */
								bool_t BgL_testz00_2787;

								{	/* Inline/inline.scm 44 */
									long BgL_arg3240z00_843;

									{	/* Inline/inline.scm 44 */
										long BgL_auxz00_2788;

										{	/* Inline/inline.scm 44 */
											obj_t BgL_auxz00_2789;

											{
												BgL_sfunz00_bglt BgL_auxz00_2790;

												BgL_auxz00_2790 = (BgL_sfunz00_bglt) (BgL_sfunz00_836);
												BgL_auxz00_2789 =
													(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2790))->
													BgL_argsz00);
											}
											BgL_auxz00_2788 = bgl_list_length(BgL_auxz00_2789);
										}
										BgL_arg3240z00_843 = (((long) 1) + BgL_auxz00_2788);
									}
									BgL_testz00_2787 =
										BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_1,
										(long) CINT(BGl_za2kfactorza2z00zzinline_walkz00),
										BgL_arg3240z00_843, BNIL);
								}
								if (BgL_testz00_2787)
									{	/* Inline/inline.scm 42 */
										BgL_inlzd2bodyzd2_839 =
											BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE,
											BgL_ozd2bodyzd2_838);
									}
								else
									{	/* Inline/inline.scm 42 */
										BgL_inlzd2bodyzd2_839 = BgL_ozd2bodyzd2_838;
									}
							}
							{	/* Inline/inline.scm 42 */

								{	/* Inline/inline.scm 55 */
									BgL_nodez00_bglt BgL_arg3237z00_840;

									{	/* Inline/inline.scm 55 */
										obj_t BgL_arg3238z00_841;

										BgL_arg3238z00_841 =
											MAKE_PAIR((obj_t) (BgL_variablez00_1), BgL_stackz00_3);
										{	/* Inline/inline.scm 53 */
											BgL_nodez00_bglt BgL_res3427z00_1558;

											{	/* Inline/inline.scm 53 */
												obj_t BgL_method3191z00_1533;

												{	/* Inline/inline.scm 53 */
													BgL_objectz00_bglt BgL_objz00_1534;

													BgL_objz00_1534 =
														(BgL_objectz00_bglt) (BgL_inlzd2bodyzd2_839);
													{	/* Inline/inline.scm 53 */
														long BgL_objzd2classzd2numz00_1535;

														BgL_objzd2classzd2numz00_1535 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1534);
														{	/* Inline/inline.scm 53 */
															obj_t BgL_arg2422z00_1536;

															BgL_arg2422z00_1536 =
																PROCEDURE_REF
																(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
																(int) (((long) 1)));
															{	/* Inline/inline.scm 53 */
																obj_t BgL_arrayz00_1538;

																int BgL_offsetz00_1539;

																BgL_arrayz00_1538 = BgL_arg2422z00_1536;
																BgL_offsetz00_1539 =
																	(int) (BgL_objzd2classzd2numz00_1535);
																{	/* Inline/inline.scm 53 */
																	long BgL_offsetz00_1540;

																	BgL_offsetz00_1540 =
																		((long) (BgL_offsetz00_1539) - OBJECT_TYPE);
																	{	/* Inline/inline.scm 53 */
																		long BgL_modz00_1541;

																		{	/* Inline/inline.scm 53 */
																			int BgL_arg2424z00_1542;

																			BgL_arg2424z00_1542 = (int) (((long) 8));
																			{	/* Inline/inline.scm 53 */
																				long BgL_auxz00_2808;

																				BgL_auxz00_2808 =
																					(long) (BgL_arg2424z00_1542);
																				BgL_modz00_1541 =
																					(BgL_offsetz00_1540 /
																					BgL_auxz00_2808);
																		}}
																		{	/* Inline/inline.scm 53 */
																			long BgL_restz00_1543;

																			{	/* Inline/inline.scm 53 */
																				int BgL_arg2423z00_1544;

																				BgL_arg2423z00_1544 =
																					(int) (((long) 8));
																				{	/* Inline/inline.scm 53 */
																					long BgL_auxz00_2812;

																					BgL_auxz00_2812 =
																						(long) (BgL_arg2423z00_1544);
																					BgL_restz00_1543 =
																						(BgL_offsetz00_1540 %
																						BgL_auxz00_2812);
																			}}
																			{	/* Inline/inline.scm 53 */

																				BgL_method3191z00_1533 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1538,
																						(int) (BgL_modz00_1541)),
																					(int) (BgL_restz00_1543));
												}}}}}}}}
												BgL_res3427z00_1558 =
													(BgL_nodez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3191z00_1533) (BgL_method3191z00_1533,
														(obj_t) (BgL_inlzd2bodyzd2_839),
														BINT(BgL_kfactorz00_2), BgL_arg3238z00_841, BEOA));
											}
											BgL_arg3237z00_840 = BgL_res3427z00_1558;
									}}
									{
										obj_t BgL_auxz00_2826;

										BgL_sfunz00_bglt BgL_auxz00_2824;

										BgL_auxz00_2826 = (obj_t) (BgL_arg3237z00_840);
										BgL_auxz00_2824 = (BgL_sfunz00_bglt) (BgL_sfunz00_836);
										((((BgL_sfunz00_bglt) CREF(BgL_auxz00_2824))->BgL_bodyz00) =
											((obj_t) BgL_auxz00_2826), BUNSPEC);
								}}
								return BNIL;
							}
						}
					}
				}
			}
		}
	}



/* _inline-sfun!3512 */
	obj_t BGl__inlinezd2sfunz123512zc0zzinline_inlinez00(obj_t BgL_envz00_2541,
		obj_t BgL_variablez00_2542, obj_t BgL_kfactorz00_2543,
		obj_t BgL_stackz00_2544)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 34 */
			return
				BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
				(BgL_variablez00_bglt) (BgL_variablez00_2542),
				(long) CINT(BgL_kfactorz00_2543), BgL_stackz00_2544);
		}
	}



/* inline-node*! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t
		BgL_nodeza2za2_70, obj_t BgL_kfactorz00_71, obj_t BgL_stackz00_72)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 238 */
		BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
			if (NULLP(BgL_nodeza2za2_70))
				{	/* Inline/inline.scm 239 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Inline/inline.scm 239 */
					{	/* Inline/inline.scm 242 */
						BgL_nodez00_bglt BgL_arg3251z00_854;

						{	/* Inline/inline.scm 242 */
							obj_t BgL_arg3253z00_855;

							BgL_arg3253z00_855 = CAR(BgL_nodeza2za2_70);
							{	/* Inline/inline.scm 242 */
								BgL_nodez00_bglt BgL_res3430z00_1591;

								{	/* Inline/inline.scm 242 */
									BgL_nodez00_bglt BgL_nodez00_1563;

									long BgL_kfactorz00_1564;

									BgL_nodez00_1563 = (BgL_nodez00_bglt) (BgL_arg3253z00_855);
									BgL_kfactorz00_1564 = (long) CINT(BgL_kfactorz00_71);
									{	/* Inline/inline.scm 242 */
										obj_t BgL_method3191z00_1566;

										{	/* Inline/inline.scm 242 */
											BgL_objectz00_bglt BgL_objz00_1567;

											BgL_objz00_1567 = (BgL_objectz00_bglt) (BgL_nodez00_1563);
											{	/* Inline/inline.scm 242 */
												long BgL_objzd2classzd2numz00_1568;

												BgL_objzd2classzd2numz00_1568 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1567);
												{	/* Inline/inline.scm 242 */
													obj_t BgL_arg2422z00_1569;

													BgL_arg2422z00_1569 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 242 */
														obj_t BgL_arrayz00_1571;

														int BgL_offsetz00_1572;

														BgL_arrayz00_1571 = BgL_arg2422z00_1569;
														BgL_offsetz00_1572 =
															(int) (BgL_objzd2classzd2numz00_1568);
														{	/* Inline/inline.scm 242 */
															long BgL_offsetz00_1573;

															BgL_offsetz00_1573 =
																((long) (BgL_offsetz00_1572) - OBJECT_TYPE);
															{	/* Inline/inline.scm 242 */
																long BgL_modz00_1574;

																{	/* Inline/inline.scm 242 */
																	int BgL_arg2424z00_1575;

																	BgL_arg2424z00_1575 = (int) (((long) 8));
																	{	/* Inline/inline.scm 242 */
																		long BgL_auxz00_2846;

																		BgL_auxz00_2846 =
																			(long) (BgL_arg2424z00_1575);
																		BgL_modz00_1574 =
																			(BgL_offsetz00_1573 / BgL_auxz00_2846);
																}}
																{	/* Inline/inline.scm 242 */
																	long BgL_restz00_1576;

																	{	/* Inline/inline.scm 242 */
																		int BgL_arg2423z00_1577;

																		BgL_arg2423z00_1577 = (int) (((long) 8));
																		{	/* Inline/inline.scm 242 */
																			long BgL_auxz00_2850;

																			BgL_auxz00_2850 =
																				(long) (BgL_arg2423z00_1577);
																			BgL_restz00_1576 =
																				(BgL_offsetz00_1573 % BgL_auxz00_2850);
																	}}
																	{	/* Inline/inline.scm 242 */

																		BgL_method3191z00_1566 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1571,
																				(int) (BgL_modz00_1574)),
																			(int) (BgL_restz00_1576));
										}}}}}}}}
										BgL_res3430z00_1591 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_1566) (BgL_method3191z00_1566,
												(obj_t) (BgL_nodez00_1563), BINT(BgL_kfactorz00_1564),
												BgL_stackz00_72, BEOA));
								}}
								BgL_arg3251z00_854 = BgL_res3430z00_1591;
						}}
						{	/* Inline/inline.scm 242 */
							obj_t BgL_auxz00_2862;

							BgL_auxz00_2862 = (obj_t) (BgL_arg3251z00_854);
							SET_CAR(BgL_nodeza2za2_70, BgL_auxz00_2862);
					}}
					{
						obj_t BgL_nodeza2za2_2865;

						BgL_nodeza2za2_2865 = CDR(BgL_nodeza2za2_70);
						BgL_nodeza2za2_70 = BgL_nodeza2za2_2865;
						goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;
					}
				}
		}
	}



/* _inline-node*! */
	obj_t BGl__inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t BgL_envz00_2551,
		obj_t BgL_nodeza2za2_2552, obj_t BgL_kfactorz00_2553,
		obj_t BgL_stackz00_2554)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 238 */
			return
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_nodeza2za2_2552,
				BgL_kfactorz00_2553, BgL_stackz00_2554);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 25 */
				obj_t BgL_arg3255z00_857;

				obj_t BgL_arg3256z00_858;

				obj_t BgL_arg3259z00_861;

				BgL_arg3255z00_857 = CNST_TABLE_REF(((long) 1));
				BgL_arg3256z00_858 = BGl_sfunz00zzast_varz00;
				{	/* Inline/inline.scm 25 */
					obj_t BgL_v3189z00_862;

					BgL_v3189z00_862 = create_vector((int) (((long) 0)));
					BgL_arg3259z00_861 = BgL_v3189z00_862;
				}
				BGl_isfunz00zzinline_inlinez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3255z00_857,
					BgL_arg3256z00_858, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2isfunzd2envz52zzinline_inlinez00,
					BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
					BGl_isfunzf3zd2envz21zzinline_inlinez00, ((long) 461696808), BFALSE,
					BFALSE, BgL_arg3259z00_861);
			}
			return (BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00 = BUNSPEC, BUNSPEC);
		}
	}



/* isfun? */
	BGL_EXPORTED_DEF bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t
		BgL_obj3115z00_73)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj3115z00_73,
				BGl_isfunz00zzinline_inlinez00);
		}
	}



/* _isfun? */
	obj_t BGl__isfunzf3zf3zzinline_inlinez00(obj_t BgL_envz00_2557,
		obj_t BgL_obj3115z00_2558)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3115z00_2558,
					BGl_isfunz00zzinline_inlinez00));
		}
	}



/* widening-isfun */
	BGL_EXPORTED_DEF BgL_isfunz00_bglt
		BGl_wideningzd2isfunzd2zzinline_inlinez00(BgL_nodez00_bglt
		BgL_originalzd2body3077zd2_77, obj_t BgL_recursivezd2calls3078zd2_78)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_isfunz00_bglt BgL_new3079z00_1595;

				BgL_new3079z00_1595 =
					((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_isfunz00_bgl))));
				{	/* Inline/inline.scm 25 */
					BgL_isfunz00_bglt BgL_res3431z00_1601;

					{	/* Inline/inline.scm 25 */
						BgL_isfunz00_bglt BgL_new3104z00_1596;

						BgL_new3104z00_1596 = BgL_new3079z00_1595;
						{	/* Inline/inline.scm 25 */
							BgL_nodez00_bglt BgL_originalzd2body3102zd2_1599;

							obj_t BgL_recursivezd2calls3103zd2_1600;

							BgL_originalzd2body3102zd2_1599 = BgL_originalzd2body3077zd2_77;
							BgL_recursivezd2calls3103zd2_1600 =
								BgL_recursivezd2calls3078zd2_78;
							((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_1596))->
									BgL_originalzd2bodyzd2) =
								((BgL_nodez00_bglt) BgL_originalzd2body3102zd2_1599), BUNSPEC);
							((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_1596))->
									BgL_recursivezd2callszd2) =
								((obj_t) BgL_recursivezd2calls3103zd2_1600), BUNSPEC);
							BgL_res3431z00_1601 = BgL_new3104z00_1596;
					}} BgL_res3431z00_1601;
				}
				return BgL_new3079z00_1595;
			}
		}
	}



/* _widening-isfun */
	obj_t BGl__wideningzd2isfunzd2zzinline_inlinez00(obj_t BgL_envz00_2559,
		obj_t BgL_originalzd2body3077zd2_2560,
		obj_t BgL_recursivezd2calls3078zd2_2561)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return
				(obj_t) (BGl_wideningzd2isfunzd2zzinline_inlinez00(
					(BgL_nodez00_bglt) (BgL_originalzd2body3077zd2_2560),
					BgL_recursivezd2calls3078zd2_2561));
		}
	}



/* make-isfun */
	BGL_EXPORTED_DEF BgL_isfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long
		BgL_arity3083z00_79, obj_t BgL_sidezd2effectzf33084z21_80,
		obj_t BgL_predicatezd2of3085zd2_81, obj_t BgL_stackzd2allocator3086zd2_82,
		bool_t BgL_topzf33087zf3_83, obj_t BgL_thezd2closure3088zd2_84,
		obj_t BgL_effect3089z00_85, obj_t BgL_property3090z00_86,
		obj_t BgL_args3091z00_87, obj_t BgL_argszd2name3092zd2_88,
		obj_t BgL_body3093z00_89, obj_t BgL_class3094z00_90,
		obj_t BgL_dssslzd2keywords3095zd2_91, obj_t BgL_loc3096z00_92,
		obj_t BgL_optionals3097z00_93, obj_t BgL_keys3098z00_94,
		obj_t BgL_thezd2closurezd2global3099z00_95,
		BgL_nodez00_bglt BgL_originalzd2body3081zd2_96,
		obj_t BgL_recursivezd2calls3082zd2_97)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_sfunz00_bglt BgL_aux3100z00_1602;

				BgL_aux3100z00_1602 =
					BGl_makezd2sfunzd2zzast_varz00(BgL_arity3083z00_79,
					BgL_sidezd2effectzf33084z21_80, BgL_predicatezd2of3085zd2_81,
					BgL_stackzd2allocator3086zd2_82, BgL_topzf33087zf3_83,
					BgL_thezd2closure3088zd2_84, BgL_effect3089z00_85,
					BgL_property3090z00_86, BgL_args3091z00_87, BgL_argszd2name3092zd2_88,
					BgL_body3093z00_89, BgL_class3094z00_90,
					BgL_dssslzd2keywords3095zd2_91, BgL_loc3096z00_92,
					BgL_optionals3097z00_93, BgL_keys3098z00_94,
					BgL_thezd2closurezd2global3099z00_95);
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_aux3100z00_1602),
					BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00));
				{	/* Inline/inline.scm 25 */
					BgL_isfunz00_bglt BgL_arg3261z00_1604;

					{	/* Inline/inline.scm 25 */
						BgL_isfunz00_bglt BgL_res3433z00_1617;

						{	/* Inline/inline.scm 25 */
							BgL_isfunz00_bglt BgL_new3079z00_1610;

							BgL_new3079z00_1610 =
								((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_isfunz00_bgl))));
							{	/* Inline/inline.scm 25 */
								BgL_isfunz00_bglt BgL_res3432z00_1616;

								{	/* Inline/inline.scm 25 */
									BgL_isfunz00_bglt BgL_new3104z00_1611;

									BgL_new3104z00_1611 = BgL_new3079z00_1610;
									{	/* Inline/inline.scm 25 */
										BgL_nodez00_bglt BgL_originalzd2body3102zd2_1614;

										obj_t BgL_recursivezd2calls3103zd2_1615;

										BgL_originalzd2body3102zd2_1614 =
											BgL_originalzd2body3081zd2_96;
										BgL_recursivezd2calls3103zd2_1615 =
											BgL_recursivezd2calls3082zd2_97;
										((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_1611))->
												BgL_originalzd2bodyzd2) =
											((BgL_nodez00_bglt) BgL_originalzd2body3102zd2_1614),
											BUNSPEC);
										((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_1611))->
												BgL_recursivezd2callszd2) =
											((obj_t) BgL_recursivezd2calls3103zd2_1615), BUNSPEC);
										BgL_res3432z00_1616 = BgL_new3104z00_1611;
								}} BgL_res3432z00_1616;
							}
							BgL_res3433z00_1617 = BgL_new3079z00_1610;
						}
						BgL_arg3261z00_1604 = BgL_res3433z00_1617;
					}
					{	/* Inline/inline.scm 25 */
						obj_t BgL_auxz00_2890;

						BgL_objectz00_bglt BgL_auxz00_2888;

						BgL_auxz00_2890 = (obj_t) (BgL_arg3261z00_1604);
						BgL_auxz00_2888 = (BgL_objectz00_bglt) (BgL_aux3100z00_1602);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2888, BgL_auxz00_2890);
				}}
				return ((BgL_isfunz00_bglt) (BgL_isfunz00_bglt) (BgL_aux3100z00_1602));
			}
		}
	}



/* _make-isfun3514 */
	obj_t BGl__makezd2isfun3514zd2zzinline_inlinez00(obj_t BgL_envz00_2562,
		obj_t BgL_arity3083z00_2563, obj_t BgL_sidezd2effectzf33084z21_2564,
		obj_t BgL_predicatezd2of3085zd2_2565,
		obj_t BgL_stackzd2allocator3086zd2_2566, obj_t BgL_topzf33087zf3_2567,
		obj_t BgL_thezd2closure3088zd2_2568, obj_t BgL_effect3089z00_2569,
		obj_t BgL_property3090z00_2570, obj_t BgL_args3091z00_2571,
		obj_t BgL_argszd2name3092zd2_2572, obj_t BgL_body3093z00_2573,
		obj_t BgL_class3094z00_2574, obj_t BgL_dssslzd2keywords3095zd2_2575,
		obj_t BgL_loc3096z00_2576, obj_t BgL_optionals3097z00_2577,
		obj_t BgL_keys3098z00_2578, obj_t BgL_thezd2closurezd2global3099z00_2579,
		obj_t BgL_originalzd2body3081zd2_2580,
		obj_t BgL_recursivezd2calls3082zd2_2581)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return
				(obj_t) (BGl_makezd2isfunzd2zzinline_inlinez00(
					(long) CINT(BgL_arity3083z00_2563), BgL_sidezd2effectzf33084z21_2564,
					BgL_predicatezd2of3085zd2_2565, BgL_stackzd2allocator3086zd2_2566,
					CBOOL(BgL_topzf33087zf3_2567), BgL_thezd2closure3088zd2_2568,
					BgL_effect3089z00_2569, BgL_property3090z00_2570,
					BgL_args3091z00_2571, BgL_argszd2name3092zd2_2572,
					BgL_body3093z00_2573, BgL_class3094z00_2574,
					BgL_dssslzd2keywords3095zd2_2575, BgL_loc3096z00_2576,
					BgL_optionals3097z00_2577, BgL_keys3098z00_2578,
					BgL_thezd2closurezd2global3099z00_2579,
					(BgL_nodez00_bglt) (BgL_originalzd2body3081zd2_2580),
					BgL_recursivezd2calls3082zd2_2581));
		}
	}



/* fill-isfun! */
	BGL_EXPORTED_DEF BgL_isfunz00_bglt
		BGl_fillzd2isfunz12zc0zzinline_inlinez00(BgL_isfunz00_bglt
		BgL_new3104z00_98, BgL_nodez00_bglt BgL_originalzd2body3102zd2_99,
		obj_t BgL_recursivezd2calls3103zd2_100)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_nodez00_bglt BgL_originalzd2body3102zd2_2711;

				obj_t BgL_recursivezd2calls3103zd2_2712;

				BgL_originalzd2body3102zd2_2711 = BgL_originalzd2body3102zd2_99;
				BgL_recursivezd2calls3103zd2_2712 = BgL_recursivezd2calls3103zd2_100;
				((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_98))->
						BgL_originalzd2bodyzd2) =
					((BgL_nodez00_bglt) BgL_originalzd2body3102zd2_2711), BUNSPEC);
				((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_98))->
						BgL_recursivezd2callszd2) =
					((obj_t) BgL_recursivezd2calls3103zd2_2712), BUNSPEC);
				return BgL_new3104z00_98;
			}
		}
	}



/* _fill-isfun!3515 */
	obj_t BGl__fillzd2isfunz123515zc0zzinline_inlinez00(obj_t BgL_envz00_2582,
		obj_t BgL_new3104z00_2583, obj_t BgL_originalzd2body3102zd2_2584,
		obj_t BgL_recursivezd2calls3103zd2_2585)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_isfunz00_bglt BgL_auxz00_2902;

				{	/* Inline/inline.scm 25 */
					BgL_isfunz00_bglt BgL_res3548z00_2718;

					{	/* Inline/inline.scm 25 */
						BgL_isfunz00_bglt BgL_new3104z00_2713;

						BgL_nodez00_bglt BgL_originalzd2body3102zd2_2714;

						BgL_new3104z00_2713 = (BgL_isfunz00_bglt) (BgL_new3104z00_2583);
						BgL_originalzd2body3102zd2_2714 =
							(BgL_nodez00_bglt) (BgL_originalzd2body3102zd2_2584);
						{	/* Inline/inline.scm 25 */
							BgL_nodez00_bglt BgL_originalzd2body3102zd2_2716;

							obj_t BgL_recursivezd2calls3103zd2_2717;

							BgL_originalzd2body3102zd2_2716 = BgL_originalzd2body3102zd2_2714;
							BgL_recursivezd2calls3103zd2_2717 =
								BgL_recursivezd2calls3103zd2_2585;
							((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_2713))->
									BgL_originalzd2bodyzd2) =
								((BgL_nodez00_bglt) BgL_originalzd2body3102zd2_2716), BUNSPEC);
							((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_2713))->
									BgL_recursivezd2callszd2) =
								((obj_t) BgL_recursivezd2calls3103zd2_2717), BUNSPEC);
							BgL_res3548z00_2718 = BgL_new3104z00_2713;
						}
					}
					BgL_auxz00_2902 = BgL_res3548z00_2718;
				}
				return (obj_t) (BgL_auxz00_2902);
			}
		}
	}



/* %allocate-isfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt
		BGl_z52allocatezd2isfunz80zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_sfunz00_bglt BgL_new3108z00_2719;

				BgL_new3108z00_2719 =
					((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_sfunz00_bgl))));
				BGL_OBJECT_CLASS_NUM_SET(
					(BgL_objectz00_bglt) (BgL_new3108z00_2719),
					BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00));
				{	/* Inline/inline.scm 25 */
					BgL_objectz00_bglt BgL_auxz00_2912;

					BgL_auxz00_2912 = (BgL_objectz00_bglt) (BgL_new3108z00_2719);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2912, BFALSE);
				}
				return BgL_new3108z00_2719;
			}
		}
	}



/* _%allocate-isfun */
	obj_t BGl__z52allocatezd2isfunz80zzinline_inlinez00(obj_t BgL_envz00_2555)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{	/* Inline/inline.scm 25 */
				BgL_sfunz00_bglt BgL_auxz00_2915;

				{	/* Inline/inline.scm 25 */
					BgL_sfunz00_bglt BgL_res3549z00_2723;

					{	/* Inline/inline.scm 25 */
						BgL_sfunz00_bglt BgL_new3108z00_2721;

						BgL_new3108z00_2721 =
							((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_sfunz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3108z00_2721),
							BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00));
						{	/* Inline/inline.scm 25 */
							BgL_objectz00_bglt BgL_auxz00_2920;

							BgL_auxz00_2920 = (BgL_objectz00_bglt) (BgL_new3108z00_2721);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2920, BFALSE);
						}
						BgL_res3549z00_2723 = BgL_new3108z00_2721;
					}
					BgL_auxz00_2915 = BgL_res3549z00_2723;
				}
				return (obj_t) (BgL_auxz00_2915);
			}
		}
	}



/* isfun-nil */
	BGL_EXPORTED_DEF BgL_isfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			if ((BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00 == BUNSPEC))
				{	/* Inline/inline.scm 25 */
					{	/* Inline/inline.scm 25 */
						BgL_sfunz00_bglt BgL_res3434z00_1628;

						{	/* Inline/inline.scm 25 */
							BgL_sfunz00_bglt BgL_new1791z00_1624;

							BgL_new1791z00_1624 =
								((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1791z00_1624),
								BGl_classzd2numzd2zz__objectz00(BGl_sfunz00zzast_varz00));
							{	/* Inline/inline.scm 25 */
								BgL_objectz00_bglt BgL_auxz00_2930;

								BgL_auxz00_2930 = (BgL_objectz00_bglt) (BgL_new1791z00_1624);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2930, BFALSE);
							}
							BgL_res3434z00_1628 = BgL_new1791z00_1624;
						}
						BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00 =
							(obj_t) (BgL_res3434z00_1628);
					}
					{	/* Inline/inline.scm 25 */
						BgL_sfunz00_bglt BgL_res3435z00_1664;

						{	/* Inline/inline.scm 25 */
							BgL_sfunz00_bglt BgL_new1772z00_1629;

							BgL_new1772z00_1629 =
								(BgL_sfunz00_bglt)
								(BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00);
							{	/* Inline/inline.scm 25 */
								long BgL_arity1755z00_1647;

								obj_t BgL_sidezd2effectzf31756z21_1648;

								obj_t BgL_predicatezd2of1757zd2_1649;

								obj_t BgL_stackzd2allocator1758zd2_1650;

								bool_t BgL_topzf31759zf3_1651;

								obj_t BgL_thezd2closure1760zd2_1652;

								obj_t BgL_effect1761z00_1653;

								obj_t BgL_property1762z00_1654;

								obj_t BgL_args1763z00_1655;

								obj_t BgL_argszd2name1764zd2_1656;

								obj_t BgL_body1765z00_1657;

								obj_t BgL_class1766z00_1658;

								obj_t BgL_dssslzd2keywords1767zd2_1659;

								obj_t BgL_loc1768z00_1660;

								obj_t BgL_optionals1769z00_1661;

								obj_t BgL_keys1770z00_1662;

								obj_t BgL_thezd2closurezd2global1771z00_1663;

								BgL_arity1755z00_1647 = ((long) 0);
								BgL_sidezd2effectzf31756z21_1648 = BUNSPEC;
								BgL_predicatezd2of1757zd2_1649 = BUNSPEC;
								BgL_stackzd2allocator1758zd2_1650 = BUNSPEC;
								BgL_topzf31759zf3_1651 = ((bool_t) 0);
								BgL_thezd2closure1760zd2_1652 = BUNSPEC;
								BgL_effect1761z00_1653 = BUNSPEC;
								BgL_property1762z00_1654 = BUNSPEC;
								BgL_args1763z00_1655 = BUNSPEC;
								BgL_argszd2name1764zd2_1656 = BUNSPEC;
								BgL_body1765z00_1657 = BUNSPEC;
								BgL_class1766z00_1658 = BUNSPEC;
								BgL_dssslzd2keywords1767zd2_1659 = BUNSPEC;
								BgL_loc1768z00_1660 = BUNSPEC;
								BgL_optionals1769z00_1661 = BUNSPEC;
								BgL_keys1770z00_1662 = BUNSPEC;
								BgL_thezd2closurezd2global1771z00_1663 = BUNSPEC;
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_arityz00) = ((long) BgL_arity1755z00_1647), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_sidezd2effectzf3z21) =
									((obj_t) BgL_sidezd2effectzf31756z21_1648), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_predicatezd2ofzd2) =
									((obj_t) BgL_predicatezd2of1757zd2_1649), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_stackzd2allocatorzd2) =
									((obj_t) BgL_stackzd2allocator1758zd2_1650), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_topzf3zf3) =
									((bool_t) BgL_topzf31759zf3_1651), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_thezd2closurezd2) =
									((obj_t) BgL_thezd2closure1760zd2_1652), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_effectz00) = ((obj_t) BgL_effect1761z00_1653), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_propertyz00) =
									((obj_t) BgL_property1762z00_1654), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->BgL_argsz00) =
									((obj_t) BgL_args1763z00_1655), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_argszd2namezd2) =
									((obj_t) BgL_argszd2name1764zd2_1656), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->BgL_bodyz00) =
									((obj_t) BgL_body1765z00_1657), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_classz00) = ((obj_t) BgL_class1766z00_1658), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_dssslzd2keywordszd2) =
									((obj_t) BgL_dssslzd2keywords1767zd2_1659), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->BgL_locz00) =
									((obj_t) BgL_loc1768z00_1660), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_optionalsz00) =
									((obj_t) BgL_optionals1769z00_1661), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->BgL_keysz00) =
									((obj_t) BgL_keys1770z00_1662), BUNSPEC);
								((((BgL_sfunz00_bglt) CREF(BgL_new1772z00_1629))->
										BgL_thezd2closurezd2globalz00) =
									((obj_t) BgL_thezd2closurezd2global1771z00_1663), BUNSPEC);
								BgL_res3435z00_1664 = BgL_new1772z00_1629;
						}} BgL_res3435z00_1664;
					}
					{	/* Inline/inline.scm 25 */
						long BgL_arg3264z00_873;

						BgL_arg3264z00_873 =
							BGl_classzd2numzd2zz__objectz00(BGl_isfunz00zzinline_inlinez00);
						BGL_OBJECT_CLASS_NUM_SET(
							(BgL_objectz00_bglt)
							(BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00),
							BgL_arg3264z00_873);
					}
					{	/* Inline/inline.scm 25 */
						BgL_isfunz00_bglt BgL_arg3265z00_874;

						{	/* Inline/inline.scm 25 */
							BgL_nodez00_bglt BgL_arg3266z00_875;

							BgL_arg3266z00_875 = BGl_nodezd2nilzd2zzast_nodez00();
							{	/* Inline/inline.scm 25 */
								BgL_isfunz00_bglt BgL_res3437z00_1676;

								{	/* Inline/inline.scm 25 */
									BgL_isfunz00_bglt BgL_new3079z00_1669;

									BgL_new3079z00_1669 =
										((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_isfunz00_bgl))));
									{	/* Inline/inline.scm 25 */
										BgL_isfunz00_bglt BgL_res3436z00_1675;

										{	/* Inline/inline.scm 25 */
											BgL_isfunz00_bglt BgL_new3104z00_1670;

											BgL_new3104z00_1670 = BgL_new3079z00_1669;
											{	/* Inline/inline.scm 25 */
												BgL_nodez00_bglt BgL_originalzd2body3102zd2_1673;

												obj_t BgL_recursivezd2calls3103zd2_1674;

												BgL_originalzd2body3102zd2_1673 = BgL_arg3266z00_875;
												BgL_recursivezd2calls3103zd2_1674 = BUNSPEC;
												((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_1670))->
														BgL_originalzd2bodyzd2) =
													((BgL_nodez00_bglt) BgL_originalzd2body3102zd2_1673),
													BUNSPEC);
												((((BgL_isfunz00_bglt) CREF(BgL_new3104z00_1670))->
														BgL_recursivezd2callszd2) =
													((obj_t) BgL_recursivezd2calls3103zd2_1674), BUNSPEC);
												BgL_res3436z00_1675 = BgL_new3104z00_1670;
										}} BgL_res3436z00_1675;
									}
									BgL_res3437z00_1676 = BgL_new3079z00_1669;
								}
								BgL_arg3265z00_874 = BgL_res3437z00_1676;
						}}
						{	/* Inline/inline.scm 25 */
							obj_t BgL_auxz00_2961;

							BgL_objectz00_bglt BgL_auxz00_2959;

							BgL_auxz00_2961 = (obj_t) (BgL_arg3265z00_874);
							BgL_auxz00_2959 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2959, BgL_auxz00_2961);
				}}}
			else
				{	/* Inline/inline.scm 25 */
					BFALSE;
				}
			return
				(BgL_isfunz00_bglt) (BGl_z52thezd2isfunzd2nilz52zzinline_inlinez00);
		}
	}



/* _isfun-nil */
	obj_t BGl__isfunzd2nilzd2zzinline_inlinez00(obj_t BgL_envz00_2556)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			return (obj_t) (BGl_isfunzd2nilzd2zzinline_inlinez00());
		}
	}



/* _sfun? */
	obj_t BGl__sfunzf3zf3zzinline_inlinez00(obj_t BgL_envz00_2545,
		obj_t BgL_obj1792z00_2546)
	{
		AN_OBJECT;
		{	/* Ast/var.scm 94 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1792z00_2546,
					BGl_sfunz00zzast_varz00));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_inlinezd2nodezd2default3190zd2envzd2zzinline_inlinez00);
		}
	}



/* inline-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_4,
		long BgL_kfactorz00_5, obj_t BgL_stackz00_6)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 62 */
			{	/* Inline/inline.scm 62 */
				obj_t BgL_method3191z00_1698;

				{	/* Inline/inline.scm 62 */
					BgL_objectz00_bglt BgL_objz00_1699;

					BgL_objz00_1699 = (BgL_objectz00_bglt) (BgL_nodez00_4);
					{	/* Inline/inline.scm 62 */
						long BgL_objzd2classzd2numz00_1700;

						BgL_objzd2classzd2numz00_1700 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1699);
						{	/* Inline/inline.scm 62 */
							obj_t BgL_arg2422z00_1701;

							BgL_arg2422z00_1701 =
								PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
								(int) (((long) 1)));
							{	/* Inline/inline.scm 62 */
								obj_t BgL_arrayz00_1703;

								int BgL_offsetz00_1704;

								BgL_arrayz00_1703 = BgL_arg2422z00_1701;
								BgL_offsetz00_1704 = (int) (BgL_objzd2classzd2numz00_1700);
								{	/* Inline/inline.scm 62 */
									long BgL_offsetz00_1705;

									BgL_offsetz00_1705 =
										((long) (BgL_offsetz00_1704) - OBJECT_TYPE);
									{	/* Inline/inline.scm 62 */
										long BgL_modz00_1706;

										{	/* Inline/inline.scm 62 */
											int BgL_arg2424z00_1707;

											BgL_arg2424z00_1707 = (int) (((long) 8));
											{	/* Inline/inline.scm 62 */
												long BgL_auxz00_2978;

												BgL_auxz00_2978 = (long) (BgL_arg2424z00_1707);
												BgL_modz00_1706 =
													(BgL_offsetz00_1705 / BgL_auxz00_2978);
										}}
										{	/* Inline/inline.scm 62 */
											long BgL_restz00_1708;

											{	/* Inline/inline.scm 62 */
												int BgL_arg2423z00_1709;

												BgL_arg2423z00_1709 = (int) (((long) 8));
												{	/* Inline/inline.scm 62 */
													long BgL_auxz00_2982;

													BgL_auxz00_2982 = (long) (BgL_arg2423z00_1709);
													BgL_restz00_1708 =
														(BgL_offsetz00_1705 % BgL_auxz00_2982);
											}}
											{	/* Inline/inline.scm 62 */

												BgL_method3191z00_1698 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1703,
														(int) (BgL_modz00_1706)), (int) (BgL_restz00_1708));
				}}}}}}}}
				return
					(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3191z00_1698)
					(BgL_method3191z00_1698, (obj_t) (BgL_nodez00_4),
						BINT(BgL_kfactorz00_5), BgL_stackz00_6, BEOA));
			}
		}
	}



/* _inline-node3513 */
	obj_t BGl__inlinezd2node3513zd2zzinline_inlinez00(obj_t BgL_envz00_2547,
		obj_t BgL_nodez00_2548, obj_t BgL_kfactorz00_2549, obj_t BgL_stackz00_2550)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 62 */
			return
				(obj_t) (BGl_inlinezd2nodezd2zzinline_inlinez00(
					(BgL_nodez00_bglt) (BgL_nodez00_2548),
					(long) CINT(BgL_kfactorz00_2549), BgL_stackz00_2550));
		}
	}



/* inline-node-default3190 */
	BgL_nodez00_bglt
		BGl_inlinezd2nodezd2default3190z00zzinline_inlinez00(BgL_nodez00_bglt
		BgL_nodez00_7, long BgL_kfactorz00_8, obj_t BgL_stackz00_9)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return
				(BgL_nodez00_bglt) (BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string3521z00zzinline_inlinez00, (obj_t) (BgL_nodez00_7)));
		}
	}



/* _inline-node-default3190 */
	obj_t BGl__inlinezd2nodezd2default3190z00zzinline_inlinez00(obj_t
		BgL_envz00_2586, obj_t BgL_nodez00_2587, obj_t BgL_kfactorz00_2588,
		obj_t BgL_stackz00_2589)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return
				(obj_t) (BGl_inlinezd2nodezd2default3190z00zzinline_inlinez00(
					(BgL_nodez00_bglt) (BgL_nodez00_2587),
					(long) CINT(BgL_kfactorz00_2588), BgL_stackz00_2589));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00,
				BGl_proc3522z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00,
				BGl_proc3523z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_kwotez00zzast_nodez00, BGl_proc3524z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3525z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00,
				BGl_proc3526z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3527z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3528z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_externz00zzast_nodez00, BGl_proc3529z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00,
				BGl_proc3530z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00,
				BGl_proc3531z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3532z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00,
				BGl_proc3533z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_selectz00zzast_nodez00, BGl_proc3534z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3535z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3536z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3537z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3538z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3539z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3540z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3541z00zzinline_inlinez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc3542z00zzinline_inlinez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc3543z00zzinline_inlinez00);
		}
	}



/* struct+object->objec3236 */
	obj_t BGl_structzb2objectzd2ze3objec3236z83zzinline_inlinez00(obj_t
		BgL_envz00_2617, obj_t BgL_oz00_2618, obj_t BgL_sz00_2619)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{
				BgL_isfunz00_bglt BgL_oz00_1499;

				obj_t BgL_sz00_1500;

				{	/* Inline/inline.scm 25 */
					BgL_isfunz00_bglt BgL_auxz00_3028;

					BgL_oz00_1499 = (BgL_isfunz00_bglt) (BgL_oz00_2618);
					BgL_sz00_1500 = BgL_sz00_2619;
					{

						{	/* Inline/inline.scm 25 */
							obj_t BgL_old3112z00_1503;

							obj_t BgL_aux3113z00_1504;

							{	/* Inline/inline.scm 25 */
								obj_t BgL_nextzd2method3235zd2_1510;

								BgL_nextzd2method3235zd2_1510 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1499),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_isfunz00zzinline_inlinez00);
								if (PROCEDUREP(BgL_nextzd2method3235zd2_1510))
									{	/* Inline/inline.scm 25 */
										BgL_old3112z00_1503 =
											PROCEDURE_ENTRY(BgL_nextzd2method3235zd2_1510)
											(BgL_nextzd2method3235zd2_1510, (obj_t) (BgL_oz00_1499),
											BgL_sz00_1500, BEOA);
									}
								else
									{	/* Inline/inline.scm 25 */
										BgL_old3112z00_1503 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1499), BgL_sz00_1500));
									}
							}
							BgL_aux3113z00_1504 =
								STRUCT_REF(BgL_sz00_1500, (int) (((long) 0)));
							{	/* Inline/inline.scm 25 */
								BgL_isfunz00_bglt BgL_new3114z00_1505;

								BgL_new3114z00_1505 =
									((BgL_isfunz00_bglt) (BgL_old3112z00_1503));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new3114z00_1505),
									BGl_classzd2numzd2zz__objectz00
									(BGl_isfunz00zzinline_inlinez00));
								{	/* Inline/inline.scm 25 */
									BgL_isfunz00_bglt BgL_arg3419z00_1507;

									{	/* Inline/inline.scm 25 */
										obj_t BgL_arg3420z00_1508;

										obj_t BgL_arg3421z00_1509;

										BgL_arg3420z00_1508 =
											STRUCT_REF(BgL_aux3113z00_1504, (int) (((long) 0)));
										BgL_arg3421z00_1509 =
											STRUCT_REF(BgL_aux3113z00_1504, (int) (((long) 1)));
										{	/* Inline/inline.scm 25 */
											BgL_isfunz00_bglt BgL_res3511z00_2539;

											{	/* Inline/inline.scm 25 */
												BgL_nodez00_bglt BgL_originalzd2body3077zd2_2530;

												BgL_originalzd2body3077zd2_2530 =
													(BgL_nodez00_bglt) (BgL_arg3420z00_1508);
												{	/* Inline/inline.scm 25 */
													BgL_isfunz00_bglt BgL_new3079z00_2532;

													BgL_new3079z00_2532 =
														((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_isfunz00_bgl))));
													{	/* Inline/inline.scm 25 */
														BgL_isfunz00_bglt BgL_res3510z00_2538;

														{	/* Inline/inline.scm 25 */
															BgL_isfunz00_bglt BgL_new3104z00_2533;

															BgL_new3104z00_2533 = BgL_new3079z00_2532;
															{	/* Inline/inline.scm 25 */
																BgL_nodez00_bglt
																	BgL_originalzd2body3102zd2_2536;
																obj_t BgL_recursivezd2calls3103zd2_2537;

																BgL_originalzd2body3102zd2_2536 =
																	BgL_originalzd2body3077zd2_2530;
																BgL_recursivezd2calls3103zd2_2537 =
																	BgL_arg3421z00_1509;
																((((BgL_isfunz00_bglt)
																			CREF(BgL_new3104z00_2533))->
																		BgL_originalzd2bodyzd2) =
																	((BgL_nodez00_bglt)
																		BgL_originalzd2body3102zd2_2536), BUNSPEC);
																((((BgL_isfunz00_bglt)
																			CREF(BgL_new3104z00_2533))->
																		BgL_recursivezd2callszd2) =
																	((obj_t) BgL_recursivezd2calls3103zd2_2537),
																	BUNSPEC);
																BgL_res3510z00_2538 = BgL_new3104z00_2533;
														}} BgL_res3510z00_2538;
													}
													BgL_res3511z00_2539 = BgL_new3079z00_2532;
											}}
											BgL_arg3419z00_1507 = BgL_res3511z00_2539;
									}}
									{	/* Inline/inline.scm 25 */
										obj_t BgL_auxz00_3055;

										BgL_objectz00_bglt BgL_auxz00_3053;

										BgL_auxz00_3055 = (obj_t) (BgL_arg3419z00_1507);
										BgL_auxz00_3053 =
											(BgL_objectz00_bglt) (BgL_new3114z00_1505);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3053, BgL_auxz00_3055);
								}}
								BgL_auxz00_3028 = BgL_new3114z00_1505;
					}}}
					return (obj_t) (BgL_auxz00_3028);
				}
			}
		}
	}



/* object->struct-isfun3234 */
	obj_t BGl_objectzd2ze3structzd2isfun3234ze3zzinline_inlinez00(obj_t
		BgL_envz00_2620, obj_t BgL_obj3109z00_2621)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 25 */
			{
				BgL_isfunz00_bglt BgL_obj3109z00_1487;

				BgL_obj3109z00_1487 = (BgL_isfunz00_bglt) (BgL_obj3109z00_2621);
				{

					{	/* Inline/inline.scm 25 */
						obj_t BgL_res3110z00_1490;

						{	/* Inline/inline.scm 25 */
							obj_t BgL_nextzd2method3233zd2_1497;

							BgL_nextzd2method3233zd2_1497 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3109z00_1487),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_isfunz00zzinline_inlinez00);
							if (PROCEDUREP(BgL_nextzd2method3233zd2_1497))
								{	/* Inline/inline.scm 25 */
									BgL_res3110z00_1490 =
										PROCEDURE_ENTRY(BgL_nextzd2method3233zd2_1497)
										(BgL_nextzd2method3233zd2_1497,
										(obj_t) (BgL_obj3109z00_1487), BEOA);
								}
							else
								{	/* Inline/inline.scm 25 */
									BgL_res3110z00_1490 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3109z00_1487));
								}
						}
						{	/* Inline/inline.scm 25 */
							obj_t BgL_aux3111z00_1491;

							{	/* Inline/inline.scm 25 */
								obj_t BgL_keyz00_2501;

								BgL_keyz00_2501 = CNST_TABLE_REF(((long) 1));
								BgL_aux3111z00_1491 =
									make_struct(BgL_keyz00_2501, (int) (((long) 2)), BUNSPEC);
							}
							{	/* Inline/inline.scm 25 */
								BgL_nodez00_bglt BgL_arg3413z00_1493;

								{
									obj_t BgL_auxz00_3072;

									{	/* Inline/inline.scm 25 */
										BgL_objectz00_bglt BgL_auxz00_3073;

										BgL_auxz00_3073 =
											(BgL_objectz00_bglt) (BgL_obj3109z00_1487);
										BgL_auxz00_3072 = BGL_OBJECT_WIDENING(BgL_auxz00_3073);
									}
									BgL_arg3413z00_1493 =
										(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3072))->
										BgL_originalzd2bodyzd2);
								}
								{	/* Inline/inline.scm 25 */
									obj_t BgL_auxz00_3079;

									int BgL_auxz00_3077;

									BgL_auxz00_3079 = (obj_t) (BgL_arg3413z00_1493);
									BgL_auxz00_3077 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3111z00_1491, BgL_auxz00_3077,
										BgL_auxz00_3079);
							}}
							{	/* Inline/inline.scm 25 */
								obj_t BgL_arg3415z00_1495;

								{
									obj_t BgL_auxz00_3082;

									{	/* Inline/inline.scm 25 */
										BgL_objectz00_bglt BgL_auxz00_3083;

										BgL_auxz00_3083 =
											(BgL_objectz00_bglt) (BgL_obj3109z00_1487);
										BgL_auxz00_3082 = BGL_OBJECT_WIDENING(BgL_auxz00_3083);
									}
									BgL_arg3415z00_1495 =
										(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3082))->
										BgL_recursivezd2callszd2);
								}
								{	/* Inline/inline.scm 25 */
									int BgL_auxz00_3087;

									BgL_auxz00_3087 = (int) (((long) 1));
									STRUCT_SET(BgL_aux3111z00_1491, BgL_auxz00_3087,
										BgL_arg3415z00_1495);
							}}
							{	/* Inline/inline.scm 25 */
								int BgL_auxz00_3090;

								BgL_auxz00_3090 = (int) (((long) 0));
								STRUCT_SET(BgL_res3110z00_1490, BgL_auxz00_3090,
									BgL_aux3111z00_1491);
							}
							{	/* Inline/inline.scm 25 */
								obj_t BgL_auxz00_3093;

								BgL_auxz00_3093 = STRUCT_KEY(BgL_res3110z00_1490);
								STRUCT_KEY_SET(BgL_aux3111z00_1491, BgL_auxz00_3093);
							}
							{	/* Inline/inline.scm 25 */
								obj_t BgL_kz00_2520;

								BgL_kz00_2520 = CNST_TABLE_REF(((long) 1));
								STRUCT_KEY_SET(BgL_res3110z00_1490, BgL_kz00_2520);
							}
							return BgL_res3110z00_1490;
						}
					}
				}
			}
		}
	}



/* inline-node-box-set!3232 */
	obj_t BGl_inlinezd2nodezd2boxzd2setz123232zc0zzinline_inlinez00(obj_t
		BgL_envz00_2622, obj_t BgL_nodez00_2623, obj_t BgL_kfactorz00_2624,
		obj_t BgL_stackz00_2625)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 229 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1475;

				obj_t BgL_kfactorz00_1476;

				obj_t BgL_stackz00_1477;

				{	/* Inline/inline.scm 230 */
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_3099;

					BgL_nodez00_1475 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2623);
					BgL_kfactorz00_1476 = BgL_kfactorz00_2624;
					BgL_stackz00_1477 = BgL_stackz00_2625;
					{	/* Inline/inline.scm 231 */
						BgL_nodez00_bglt BgL_arg3407z00_1481;

						{	/* Inline/inline.scm 231 */
							BgL_varz00_bglt BgL_arg3408z00_1482;

							BgL_arg3408z00_1482 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1475))->
								BgL_varz00);
							{	/* Inline/inline.scm 231 */
								BgL_nodez00_bglt BgL_res3505z00_2466;

								{	/* Inline/inline.scm 231 */
									BgL_nodez00_bglt BgL_nodez00_2438;

									long BgL_kfactorz00_2439;

									BgL_nodez00_2438 = (BgL_nodez00_bglt) (BgL_arg3408z00_1482);
									BgL_kfactorz00_2439 = (long) CINT(BgL_kfactorz00_1476);
									{	/* Inline/inline.scm 231 */
										obj_t BgL_method3191z00_2441;

										{	/* Inline/inline.scm 231 */
											BgL_objectz00_bglt BgL_objz00_2442;

											BgL_objz00_2442 = (BgL_objectz00_bglt) (BgL_nodez00_2438);
											{	/* Inline/inline.scm 231 */
												long BgL_objzd2classzd2numz00_2443;

												BgL_objzd2classzd2numz00_2443 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2442);
												{	/* Inline/inline.scm 231 */
													obj_t BgL_arg2422z00_2444;

													BgL_arg2422z00_2444 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 231 */
														obj_t BgL_arrayz00_2446;

														int BgL_offsetz00_2447;

														BgL_arrayz00_2446 = BgL_arg2422z00_2444;
														BgL_offsetz00_2447 =
															(int) (BgL_objzd2classzd2numz00_2443);
														{	/* Inline/inline.scm 231 */
															long BgL_offsetz00_2448;

															BgL_offsetz00_2448 =
																((long) (BgL_offsetz00_2447) - OBJECT_TYPE);
															{	/* Inline/inline.scm 231 */
																long BgL_modz00_2449;

																{	/* Inline/inline.scm 231 */
																	int BgL_arg2424z00_2450;

																	BgL_arg2424z00_2450 = (int) (((long) 8));
																	{	/* Inline/inline.scm 231 */
																		long BgL_auxz00_3111;

																		BgL_auxz00_3111 =
																			(long) (BgL_arg2424z00_2450);
																		BgL_modz00_2449 =
																			(BgL_offsetz00_2448 / BgL_auxz00_3111);
																}}
																{	/* Inline/inline.scm 231 */
																	long BgL_restz00_2451;

																	{	/* Inline/inline.scm 231 */
																		int BgL_arg2423z00_2452;

																		BgL_arg2423z00_2452 = (int) (((long) 8));
																		{	/* Inline/inline.scm 231 */
																			long BgL_auxz00_3115;

																			BgL_auxz00_3115 =
																				(long) (BgL_arg2423z00_2452);
																			BgL_restz00_2451 =
																				(BgL_offsetz00_2448 % BgL_auxz00_3115);
																	}}
																	{	/* Inline/inline.scm 231 */

																		BgL_method3191z00_2441 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2446,
																				(int) (BgL_modz00_2449)),
																			(int) (BgL_restz00_2451));
										}}}}}}}}
										BgL_res3505z00_2466 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2441) (BgL_method3191z00_2441,
												(obj_t) (BgL_nodez00_2438), BINT(BgL_kfactorz00_2439),
												BgL_stackz00_1477, BEOA));
								}}
								BgL_arg3407z00_1481 = BgL_res3505z00_2466;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3127;

							BgL_auxz00_3127 = (BgL_varz00_bglt) (BgL_arg3407z00_1481);
							((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1475))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_3127), BUNSPEC);
					}}
					{	/* Inline/inline.scm 232 */
						BgL_nodez00_bglt BgL_arg3409z00_1483;

						{	/* Inline/inline.scm 232 */
							BgL_nodez00_bglt BgL_arg3410z00_1484;

							BgL_arg3410z00_1484 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1475))->
								BgL_valuez00);
							{	/* Inline/inline.scm 232 */
								BgL_nodez00_bglt BgL_res3508z00_2498;

								{	/* Inline/inline.scm 232 */
									long BgL_kfactorz00_2471;

									BgL_kfactorz00_2471 = (long) CINT(BgL_kfactorz00_1476);
									{	/* Inline/inline.scm 232 */
										obj_t BgL_method3191z00_2473;

										{	/* Inline/inline.scm 232 */
											BgL_objectz00_bglt BgL_objz00_2474;

											BgL_objz00_2474 =
												(BgL_objectz00_bglt) (BgL_arg3410z00_1484);
											{	/* Inline/inline.scm 232 */
												long BgL_objzd2classzd2numz00_2475;

												BgL_objzd2classzd2numz00_2475 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2474);
												{	/* Inline/inline.scm 232 */
													obj_t BgL_arg2422z00_2476;

													BgL_arg2422z00_2476 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 232 */
														obj_t BgL_arrayz00_2478;

														int BgL_offsetz00_2479;

														BgL_arrayz00_2478 = BgL_arg2422z00_2476;
														BgL_offsetz00_2479 =
															(int) (BgL_objzd2classzd2numz00_2475);
														{	/* Inline/inline.scm 232 */
															long BgL_offsetz00_2480;

															BgL_offsetz00_2480 =
																((long) (BgL_offsetz00_2479) - OBJECT_TYPE);
															{	/* Inline/inline.scm 232 */
																long BgL_modz00_2481;

																{	/* Inline/inline.scm 232 */
																	int BgL_arg2424z00_2482;

																	BgL_arg2424z00_2482 = (int) (((long) 8));
																	{	/* Inline/inline.scm 232 */
																		long BgL_auxz00_3140;

																		BgL_auxz00_3140 =
																			(long) (BgL_arg2424z00_2482);
																		BgL_modz00_2481 =
																			(BgL_offsetz00_2480 / BgL_auxz00_3140);
																}}
																{	/* Inline/inline.scm 232 */
																	long BgL_restz00_2483;

																	{	/* Inline/inline.scm 232 */
																		int BgL_arg2423z00_2484;

																		BgL_arg2423z00_2484 = (int) (((long) 8));
																		{	/* Inline/inline.scm 232 */
																			long BgL_auxz00_3144;

																			BgL_auxz00_3144 =
																				(long) (BgL_arg2423z00_2484);
																			BgL_restz00_2483 =
																				(BgL_offsetz00_2480 % BgL_auxz00_3144);
																	}}
																	{	/* Inline/inline.scm 232 */

																		BgL_method3191z00_2473 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2478,
																				(int) (BgL_modz00_2481)),
																			(int) (BgL_restz00_2483));
										}}}}}}}}
										BgL_res3508z00_2498 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2473) (BgL_method3191z00_2473,
												(obj_t) (BgL_arg3410z00_1484),
												BINT(BgL_kfactorz00_2471), BgL_stackz00_1477, BEOA));
								}}
								BgL_arg3409z00_1483 = BgL_res3508z00_2498;
						}}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1475))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3409z00_1483), BUNSPEC);
					}
					BgL_auxz00_3099 = BgL_nodez00_1475;
					return (obj_t) (BgL_auxz00_3099);
				}
			}
		}
	}



/* inline-node-box-ref3230 */
	obj_t BGl_inlinezd2nodezd2boxzd2ref3230zd2zzinline_inlinez00(obj_t
		BgL_envz00_2626, obj_t BgL_nodez00_2627, obj_t BgL_kfactorz00_2628,
		obj_t BgL_stackz00_2629)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 222 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1466;

				obj_t BgL_kfactorz00_1467;

				obj_t BgL_stackz00_1468;

				{	/* Inline/inline.scm 223 */
					BgL_boxzd2refzd2_bglt BgL_auxz00_3159;

					BgL_nodez00_1466 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2627);
					BgL_kfactorz00_1467 = BgL_kfactorz00_2628;
					BgL_stackz00_1468 = BgL_stackz00_2629;
					{	/* Inline/inline.scm 223 */
						BgL_nodez00_bglt BgL_arg3404z00_2403;

						{	/* Inline/inline.scm 223 */
							BgL_varz00_bglt BgL_arg3405z00_2404;

							BgL_arg3405z00_2404 =
								(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1466))->BgL_varz00);
							{	/* Inline/inline.scm 223 */
								BgL_nodez00_bglt BgL_res3502z00_2434;

								{	/* Inline/inline.scm 223 */
									BgL_nodez00_bglt BgL_nodez00_2406;

									long BgL_kfactorz00_2407;

									BgL_nodez00_2406 = (BgL_nodez00_bglt) (BgL_arg3405z00_2404);
									BgL_kfactorz00_2407 = (long) CINT(BgL_kfactorz00_1467);
									{	/* Inline/inline.scm 223 */
										obj_t BgL_method3191z00_2409;

										{	/* Inline/inline.scm 223 */
											BgL_objectz00_bglt BgL_objz00_2410;

											BgL_objz00_2410 = (BgL_objectz00_bglt) (BgL_nodez00_2406);
											{	/* Inline/inline.scm 223 */
												long BgL_objzd2classzd2numz00_2411;

												BgL_objzd2classzd2numz00_2411 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2410);
												{	/* Inline/inline.scm 223 */
													obj_t BgL_arg2422z00_2412;

													BgL_arg2422z00_2412 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 223 */
														obj_t BgL_arrayz00_2414;

														int BgL_offsetz00_2415;

														BgL_arrayz00_2414 = BgL_arg2422z00_2412;
														BgL_offsetz00_2415 =
															(int) (BgL_objzd2classzd2numz00_2411);
														{	/* Inline/inline.scm 223 */
															long BgL_offsetz00_2416;

															BgL_offsetz00_2416 =
																((long) (BgL_offsetz00_2415) - OBJECT_TYPE);
															{	/* Inline/inline.scm 223 */
																long BgL_modz00_2417;

																{	/* Inline/inline.scm 223 */
																	int BgL_arg2424z00_2418;

																	BgL_arg2424z00_2418 = (int) (((long) 8));
																	{	/* Inline/inline.scm 223 */
																		long BgL_auxz00_3171;

																		BgL_auxz00_3171 =
																			(long) (BgL_arg2424z00_2418);
																		BgL_modz00_2417 =
																			(BgL_offsetz00_2416 / BgL_auxz00_3171);
																}}
																{	/* Inline/inline.scm 223 */
																	long BgL_restz00_2419;

																	{	/* Inline/inline.scm 223 */
																		int BgL_arg2423z00_2420;

																		BgL_arg2423z00_2420 = (int) (((long) 8));
																		{	/* Inline/inline.scm 223 */
																			long BgL_auxz00_3175;

																			BgL_auxz00_3175 =
																				(long) (BgL_arg2423z00_2420);
																			BgL_restz00_2419 =
																				(BgL_offsetz00_2416 % BgL_auxz00_3175);
																	}}
																	{	/* Inline/inline.scm 223 */

																		BgL_method3191z00_2409 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2414,
																				(int) (BgL_modz00_2417)),
																			(int) (BgL_restz00_2419));
										}}}}}}}}
										BgL_res3502z00_2434 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2409) (BgL_method3191z00_2409,
												(obj_t) (BgL_nodez00_2406), BINT(BgL_kfactorz00_2407),
												BgL_stackz00_1468, BEOA));
								}}
								BgL_arg3404z00_2403 = BgL_res3502z00_2434;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3187;

							BgL_auxz00_3187 = (BgL_varz00_bglt) (BgL_arg3404z00_2403);
							((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1466))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_3187), BUNSPEC);
					}}
					BgL_auxz00_3159 = BgL_nodez00_1466;
					return (obj_t) (BgL_auxz00_3159);
				}
			}
		}
	}



/* inline-node-make-box3228 */
	obj_t BGl_inlinezd2nodezd2makezd2box3228zd2zzinline_inlinez00(obj_t
		BgL_envz00_2630, obj_t BgL_nodez00_2631, obj_t BgL_kfactorz00_2632,
		obj_t BgL_stackz00_2633)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 215 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1457;

				obj_t BgL_kfactorz00_1458;

				obj_t BgL_stackz00_1459;

				{	/* Inline/inline.scm 216 */
					BgL_makezd2boxzd2_bglt BgL_auxz00_3192;

					BgL_nodez00_1457 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2631);
					BgL_kfactorz00_1458 = BgL_kfactorz00_2632;
					BgL_stackz00_1459 = BgL_stackz00_2633;
					{	/* Inline/inline.scm 216 */
						BgL_nodez00_bglt BgL_arg3400z00_2369;

						{	/* Inline/inline.scm 216 */
							BgL_nodez00_bglt BgL_arg3401z00_2370;

							BgL_arg3401z00_2370 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1457))->
								BgL_valuez00);
							{	/* Inline/inline.scm 216 */
								BgL_nodez00_bglt BgL_res3499z00_2400;

								{	/* Inline/inline.scm 216 */
									long BgL_kfactorz00_2373;

									BgL_kfactorz00_2373 = (long) CINT(BgL_kfactorz00_1458);
									{	/* Inline/inline.scm 216 */
										obj_t BgL_method3191z00_2375;

										{	/* Inline/inline.scm 216 */
											BgL_objectz00_bglt BgL_objz00_2376;

											BgL_objz00_2376 =
												(BgL_objectz00_bglt) (BgL_arg3401z00_2370);
											{	/* Inline/inline.scm 216 */
												long BgL_objzd2classzd2numz00_2377;

												BgL_objzd2classzd2numz00_2377 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2376);
												{	/* Inline/inline.scm 216 */
													obj_t BgL_arg2422z00_2378;

													BgL_arg2422z00_2378 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 216 */
														obj_t BgL_arrayz00_2380;

														int BgL_offsetz00_2381;

														BgL_arrayz00_2380 = BgL_arg2422z00_2378;
														BgL_offsetz00_2381 =
															(int) (BgL_objzd2classzd2numz00_2377);
														{	/* Inline/inline.scm 216 */
															long BgL_offsetz00_2382;

															BgL_offsetz00_2382 =
																((long) (BgL_offsetz00_2381) - OBJECT_TYPE);
															{	/* Inline/inline.scm 216 */
																long BgL_modz00_2383;

																{	/* Inline/inline.scm 216 */
																	int BgL_arg2424z00_2384;

																	BgL_arg2424z00_2384 = (int) (((long) 8));
																	{	/* Inline/inline.scm 216 */
																		long BgL_auxz00_3203;

																		BgL_auxz00_3203 =
																			(long) (BgL_arg2424z00_2384);
																		BgL_modz00_2383 =
																			(BgL_offsetz00_2382 / BgL_auxz00_3203);
																}}
																{	/* Inline/inline.scm 216 */
																	long BgL_restz00_2385;

																	{	/* Inline/inline.scm 216 */
																		int BgL_arg2423z00_2386;

																		BgL_arg2423z00_2386 = (int) (((long) 8));
																		{	/* Inline/inline.scm 216 */
																			long BgL_auxz00_3207;

																			BgL_auxz00_3207 =
																				(long) (BgL_arg2423z00_2386);
																			BgL_restz00_2385 =
																				(BgL_offsetz00_2382 % BgL_auxz00_3207);
																	}}
																	{	/* Inline/inline.scm 216 */

																		BgL_method3191z00_2375 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2380,
																				(int) (BgL_modz00_2383)),
																			(int) (BgL_restz00_2385));
										}}}}}}}}
										BgL_res3499z00_2400 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2375) (BgL_method3191z00_2375,
												(obj_t) (BgL_arg3401z00_2370),
												BINT(BgL_kfactorz00_2373), BgL_stackz00_1459, BEOA));
								}}
								BgL_arg3400z00_2369 = BgL_res3499z00_2400;
						}}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1457))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3400z00_2369), BUNSPEC);
					}
					BgL_auxz00_3192 = BgL_nodez00_1457;
					return (obj_t) (BgL_auxz00_3192);
				}
			}
		}
	}



/* inline-node-jump-ex-3226 */
	obj_t BGl_inlinezd2nodezd2jumpzd2exzd23226z00zzinline_inlinez00(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635, obj_t BgL_kfactorz00_2636,
		obj_t BgL_stackz00_2637)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 206 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1445;

				obj_t BgL_kfactorz00_1446;

				obj_t BgL_stackz00_1447;

				{	/* Inline/inline.scm 207 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3222;

					BgL_nodez00_1445 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2635);
					BgL_kfactorz00_1446 = BgL_kfactorz00_2636;
					BgL_stackz00_1447 = BgL_stackz00_2637;
					{	/* Inline/inline.scm 208 */
						BgL_nodez00_bglt BgL_arg3395z00_1451;

						{	/* Inline/inline.scm 208 */
							BgL_nodez00_bglt BgL_arg3396z00_1452;

							BgL_arg3396z00_1452 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1445))->
								BgL_exitz00);
							{	/* Inline/inline.scm 208 */
								BgL_nodez00_bglt BgL_res3493z00_2334;

								{	/* Inline/inline.scm 208 */
									long BgL_kfactorz00_2307;

									BgL_kfactorz00_2307 = (long) CINT(BgL_kfactorz00_1446);
									{	/* Inline/inline.scm 208 */
										obj_t BgL_method3191z00_2309;

										{	/* Inline/inline.scm 208 */
											BgL_objectz00_bglt BgL_objz00_2310;

											BgL_objz00_2310 =
												(BgL_objectz00_bglt) (BgL_arg3396z00_1452);
											{	/* Inline/inline.scm 208 */
												long BgL_objzd2classzd2numz00_2311;

												BgL_objzd2classzd2numz00_2311 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2310);
												{	/* Inline/inline.scm 208 */
													obj_t BgL_arg2422z00_2312;

													BgL_arg2422z00_2312 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 208 */
														obj_t BgL_arrayz00_2314;

														int BgL_offsetz00_2315;

														BgL_arrayz00_2314 = BgL_arg2422z00_2312;
														BgL_offsetz00_2315 =
															(int) (BgL_objzd2classzd2numz00_2311);
														{	/* Inline/inline.scm 208 */
															long BgL_offsetz00_2316;

															BgL_offsetz00_2316 =
																((long) (BgL_offsetz00_2315) - OBJECT_TYPE);
															{	/* Inline/inline.scm 208 */
																long BgL_modz00_2317;

																{	/* Inline/inline.scm 208 */
																	int BgL_arg2424z00_2318;

																	BgL_arg2424z00_2318 = (int) (((long) 8));
																	{	/* Inline/inline.scm 208 */
																		long BgL_auxz00_3233;

																		BgL_auxz00_3233 =
																			(long) (BgL_arg2424z00_2318);
																		BgL_modz00_2317 =
																			(BgL_offsetz00_2316 / BgL_auxz00_3233);
																}}
																{	/* Inline/inline.scm 208 */
																	long BgL_restz00_2319;

																	{	/* Inline/inline.scm 208 */
																		int BgL_arg2423z00_2320;

																		BgL_arg2423z00_2320 = (int) (((long) 8));
																		{	/* Inline/inline.scm 208 */
																			long BgL_auxz00_3237;

																			BgL_auxz00_3237 =
																				(long) (BgL_arg2423z00_2320);
																			BgL_restz00_2319 =
																				(BgL_offsetz00_2316 % BgL_auxz00_3237);
																	}}
																	{	/* Inline/inline.scm 208 */

																		BgL_method3191z00_2309 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2314,
																				(int) (BgL_modz00_2317)),
																			(int) (BgL_restz00_2319));
										}}}}}}}}
										BgL_res3493z00_2334 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2309) (BgL_method3191z00_2309,
												(obj_t) (BgL_arg3396z00_1452),
												BINT(BgL_kfactorz00_2307), BgL_stackz00_1447, BEOA));
								}}
								BgL_arg3395z00_1451 = BgL_res3493z00_2334;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1445))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) BgL_arg3395z00_1451), BUNSPEC);
					}
					{	/* Inline/inline.scm 209 */
						BgL_nodez00_bglt BgL_arg3397z00_1453;

						{	/* Inline/inline.scm 209 */
							BgL_nodez00_bglt BgL_arg3398z00_1454;

							BgL_arg3398z00_1454 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1445))->
								BgL_valuez00);
							{	/* Inline/inline.scm 209 */
								BgL_nodez00_bglt BgL_res3496z00_2366;

								{	/* Inline/inline.scm 209 */
									long BgL_kfactorz00_2339;

									BgL_kfactorz00_2339 = (long) CINT(BgL_kfactorz00_1446);
									{	/* Inline/inline.scm 209 */
										obj_t BgL_method3191z00_2341;

										{	/* Inline/inline.scm 209 */
											BgL_objectz00_bglt BgL_objz00_2342;

											BgL_objz00_2342 =
												(BgL_objectz00_bglt) (BgL_arg3398z00_1454);
											{	/* Inline/inline.scm 209 */
												long BgL_objzd2classzd2numz00_2343;

												BgL_objzd2classzd2numz00_2343 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2342);
												{	/* Inline/inline.scm 209 */
													obj_t BgL_arg2422z00_2344;

													BgL_arg2422z00_2344 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 209 */
														obj_t BgL_arrayz00_2346;

														int BgL_offsetz00_2347;

														BgL_arrayz00_2346 = BgL_arg2422z00_2344;
														BgL_offsetz00_2347 =
															(int) (BgL_objzd2classzd2numz00_2343);
														{	/* Inline/inline.scm 209 */
															long BgL_offsetz00_2348;

															BgL_offsetz00_2348 =
																((long) (BgL_offsetz00_2347) - OBJECT_TYPE);
															{	/* Inline/inline.scm 209 */
																long BgL_modz00_2349;

																{	/* Inline/inline.scm 209 */
																	int BgL_arg2424z00_2350;

																	BgL_arg2424z00_2350 = (int) (((long) 8));
																	{	/* Inline/inline.scm 209 */
																		long BgL_auxz00_3260;

																		BgL_auxz00_3260 =
																			(long) (BgL_arg2424z00_2350);
																		BgL_modz00_2349 =
																			(BgL_offsetz00_2348 / BgL_auxz00_3260);
																}}
																{	/* Inline/inline.scm 209 */
																	long BgL_restz00_2351;

																	{	/* Inline/inline.scm 209 */
																		int BgL_arg2423z00_2352;

																		BgL_arg2423z00_2352 = (int) (((long) 8));
																		{	/* Inline/inline.scm 209 */
																			long BgL_auxz00_3264;

																			BgL_auxz00_3264 =
																				(long) (BgL_arg2423z00_2352);
																			BgL_restz00_2351 =
																				(BgL_offsetz00_2348 % BgL_auxz00_3264);
																	}}
																	{	/* Inline/inline.scm 209 */

																		BgL_method3191z00_2341 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2346,
																				(int) (BgL_modz00_2349)),
																			(int) (BgL_restz00_2351));
										}}}}}}}}
										BgL_res3496z00_2366 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2341) (BgL_method3191z00_2341,
												(obj_t) (BgL_arg3398z00_1454),
												BINT(BgL_kfactorz00_2339), BgL_stackz00_1447, BEOA));
								}}
								BgL_arg3397z00_1453 = BgL_res3496z00_2366;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1445))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3397z00_1453), BUNSPEC);
					}
					BgL_auxz00_3222 = BgL_nodez00_1445;
					return (obj_t) (BgL_auxz00_3222);
				}
			}
		}
	}



/* inline-node-set-ex-i3224 */
	obj_t BGl_inlinezd2nodezd2setzd2exzd2i3224z00zzinline_inlinez00(obj_t
		BgL_envz00_2638, obj_t BgL_nodez00_2639, obj_t BgL_kfactorz00_2640,
		obj_t BgL_stackz00_2641)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 199 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1436;

				obj_t BgL_kfactorz00_1437;

				obj_t BgL_stackz00_1438;

				{	/* Inline/inline.scm 200 */
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_3279;

					BgL_nodez00_1436 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2639);
					BgL_kfactorz00_1437 = BgL_kfactorz00_2640;
					BgL_stackz00_1438 = BgL_stackz00_2641;
					{	/* Inline/inline.scm 200 */
						BgL_nodez00_bglt BgL_arg3392z00_2271;

						{	/* Inline/inline.scm 200 */
							BgL_nodez00_bglt BgL_arg3393z00_2272;

							BgL_arg3393z00_2272 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1436))->
								BgL_bodyz00);
							{	/* Inline/inline.scm 200 */
								BgL_nodez00_bglt BgL_res3490z00_2302;

								{	/* Inline/inline.scm 200 */
									long BgL_kfactorz00_2275;

									BgL_kfactorz00_2275 = (long) CINT(BgL_kfactorz00_1437);
									{	/* Inline/inline.scm 200 */
										obj_t BgL_method3191z00_2277;

										{	/* Inline/inline.scm 200 */
											BgL_objectz00_bglt BgL_objz00_2278;

											BgL_objz00_2278 =
												(BgL_objectz00_bglt) (BgL_arg3393z00_2272);
											{	/* Inline/inline.scm 200 */
												long BgL_objzd2classzd2numz00_2279;

												BgL_objzd2classzd2numz00_2279 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2278);
												{	/* Inline/inline.scm 200 */
													obj_t BgL_arg2422z00_2280;

													BgL_arg2422z00_2280 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 200 */
														obj_t BgL_arrayz00_2282;

														int BgL_offsetz00_2283;

														BgL_arrayz00_2282 = BgL_arg2422z00_2280;
														BgL_offsetz00_2283 =
															(int) (BgL_objzd2classzd2numz00_2279);
														{	/* Inline/inline.scm 200 */
															long BgL_offsetz00_2284;

															BgL_offsetz00_2284 =
																((long) (BgL_offsetz00_2283) - OBJECT_TYPE);
															{	/* Inline/inline.scm 200 */
																long BgL_modz00_2285;

																{	/* Inline/inline.scm 200 */
																	int BgL_arg2424z00_2286;

																	BgL_arg2424z00_2286 = (int) (((long) 8));
																	{	/* Inline/inline.scm 200 */
																		long BgL_auxz00_3290;

																		BgL_auxz00_3290 =
																			(long) (BgL_arg2424z00_2286);
																		BgL_modz00_2285 =
																			(BgL_offsetz00_2284 / BgL_auxz00_3290);
																}}
																{	/* Inline/inline.scm 200 */
																	long BgL_restz00_2287;

																	{	/* Inline/inline.scm 200 */
																		int BgL_arg2423z00_2288;

																		BgL_arg2423z00_2288 = (int) (((long) 8));
																		{	/* Inline/inline.scm 200 */
																			long BgL_auxz00_3294;

																			BgL_auxz00_3294 =
																				(long) (BgL_arg2423z00_2288);
																			BgL_restz00_2287 =
																				(BgL_offsetz00_2284 % BgL_auxz00_3294);
																	}}
																	{	/* Inline/inline.scm 200 */

																		BgL_method3191z00_2277 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2282,
																				(int) (BgL_modz00_2285)),
																			(int) (BgL_restz00_2287));
										}}}}}}}}
										BgL_res3490z00_2302 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2277) (BgL_method3191z00_2277,
												(obj_t) (BgL_arg3393z00_2272),
												BINT(BgL_kfactorz00_2275), BgL_stackz00_1438, BEOA));
								}}
								BgL_arg3392z00_2271 = BgL_res3490z00_2302;
						}}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1436))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3392z00_2271), BUNSPEC);
					}
					BgL_auxz00_3279 = BgL_nodez00_1436;
					return (obj_t) (BgL_auxz00_3279);
				}
			}
		}
	}



/* inline-node-let-var3222 */
	obj_t BGl_inlinezd2nodezd2letzd2var3222zd2zzinline_inlinez00(obj_t
		BgL_envz00_2642, obj_t BgL_nodez00_2643, obj_t BgL_kfactorz00_2644,
		obj_t BgL_stackz00_2645)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 189 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1417;

				obj_t BgL_kfactorz00_1418;

				obj_t BgL_stackz00_1419;

				{	/* Inline/inline.scm 190 */
					BgL_letzd2varzd2_bglt BgL_auxz00_3309;

					BgL_nodez00_1417 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2643);
					BgL_kfactorz00_1418 = BgL_kfactorz00_2644;
					BgL_stackz00_1419 = BgL_stackz00_2645;
					{	/* Inline/inline.scm 190 */
						obj_t BgL_g3188z00_1422;

						BgL_g3188z00_1422 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1417))->
							BgL_bindingsz00);
						{
							obj_t BgL_l3186z00_1424;

							BgL_l3186z00_1424 = BgL_g3188z00_1422;
						BgL_zc3anonymousza33384ze3z83_1425:
							if (PAIRP(BgL_l3186z00_1424))
								{	/* Inline/inline.scm 192 */
									{	/* Inline/inline.scm 191 */
										obj_t BgL_bindingz00_1427;

										BgL_bindingz00_1427 = CAR(BgL_l3186z00_1424);
										{	/* Inline/inline.scm 191 */
											BgL_nodez00_bglt BgL_arg3386z00_1428;

											{	/* Inline/inline.scm 191 */
												obj_t BgL_arg3387z00_1429;

												BgL_arg3387z00_1429 = CDR(BgL_bindingz00_1427);
												{	/* Inline/inline.scm 191 */
													BgL_nodez00_bglt BgL_res3484z00_2235;

													{	/* Inline/inline.scm 191 */
														BgL_nodez00_bglt BgL_nodez00_2207;

														long BgL_kfactorz00_2208;

														BgL_nodez00_2207 =
															(BgL_nodez00_bglt) (BgL_arg3387z00_1429);
														BgL_kfactorz00_2208 =
															(long) CINT(BgL_kfactorz00_1418);
														{	/* Inline/inline.scm 191 */
															obj_t BgL_method3191z00_2210;

															{	/* Inline/inline.scm 191 */
																BgL_objectz00_bglt BgL_objz00_2211;

																BgL_objz00_2211 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2207);
																{	/* Inline/inline.scm 191 */
																	long BgL_objzd2classzd2numz00_2212;

																	BgL_objzd2classzd2numz00_2212 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2211);
																	{	/* Inline/inline.scm 191 */
																		obj_t BgL_arg2422z00_2213;

																		BgL_arg2422z00_2213 =
																			PROCEDURE_REF
																			(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
																			(int) (((long) 1)));
																		{	/* Inline/inline.scm 191 */
																			obj_t BgL_arrayz00_2215;

																			int BgL_offsetz00_2216;

																			BgL_arrayz00_2215 = BgL_arg2422z00_2213;
																			BgL_offsetz00_2216 =
																				(int) (BgL_objzd2classzd2numz00_2212);
																			{	/* Inline/inline.scm 191 */
																				long BgL_offsetz00_2217;

																				BgL_offsetz00_2217 =
																					(
																					(long) (BgL_offsetz00_2216) -
																					OBJECT_TYPE);
																				{	/* Inline/inline.scm 191 */
																					long BgL_modz00_2218;

																					{	/* Inline/inline.scm 191 */
																						int BgL_arg2424z00_2219;

																						BgL_arg2424z00_2219 =
																							(int) (((long) 8));
																						{	/* Inline/inline.scm 191 */
																							long BgL_auxz00_3325;

																							BgL_auxz00_3325 =
																								(long) (BgL_arg2424z00_2219);
																							BgL_modz00_2218 =
																								(BgL_offsetz00_2217 /
																								BgL_auxz00_3325);
																					}}
																					{	/* Inline/inline.scm 191 */
																						long BgL_restz00_2220;

																						{	/* Inline/inline.scm 191 */
																							int BgL_arg2423z00_2221;

																							BgL_arg2423z00_2221 =
																								(int) (((long) 8));
																							{	/* Inline/inline.scm 191 */
																								long BgL_auxz00_3329;

																								BgL_auxz00_3329 =
																									(long) (BgL_arg2423z00_2221);
																								BgL_restz00_2220 =
																									(BgL_offsetz00_2217 %
																									BgL_auxz00_3329);
																						}}
																						{	/* Inline/inline.scm 191 */

																							BgL_method3191z00_2210 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2215,
																									(int) (BgL_modz00_2218)),
																								(int) (BgL_restz00_2220));
															}}}}}}}}
															BgL_res3484z00_2235 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3191z00_2210)
																(BgL_method3191z00_2210,
																	(obj_t) (BgL_nodez00_2207),
																	BINT(BgL_kfactorz00_2208), BgL_stackz00_1419,
																	BEOA));
													}}
													BgL_arg3386z00_1428 = BgL_res3484z00_2235;
											}}
											{	/* Inline/inline.scm 191 */
												obj_t BgL_auxz00_3341;

												BgL_auxz00_3341 = (obj_t) (BgL_arg3386z00_1428);
												SET_CDR(BgL_bindingz00_1427, BgL_auxz00_3341);
									}}}
									{
										obj_t BgL_l3186z00_3344;

										BgL_l3186z00_3344 = CDR(BgL_l3186z00_1424);
										BgL_l3186z00_1424 = BgL_l3186z00_3344;
										goto BgL_zc3anonymousza33384ze3z83_1425;
									}
								}
							else
								{	/* Inline/inline.scm 192 */
									((bool_t) 1);
								}
						}
					}
					{	/* Inline/inline.scm 193 */
						BgL_nodez00_bglt BgL_arg3389z00_1432;

						{	/* Inline/inline.scm 193 */
							BgL_nodez00_bglt BgL_arg3390z00_1433;

							BgL_arg3390z00_1433 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1417))->BgL_bodyz00);
							{	/* Inline/inline.scm 193 */
								BgL_nodez00_bglt BgL_res3487z00_2268;

								{	/* Inline/inline.scm 193 */
									long BgL_kfactorz00_2241;

									BgL_kfactorz00_2241 = (long) CINT(BgL_kfactorz00_1418);
									{	/* Inline/inline.scm 193 */
										obj_t BgL_method3191z00_2243;

										{	/* Inline/inline.scm 193 */
											BgL_objectz00_bglt BgL_objz00_2244;

											BgL_objz00_2244 =
												(BgL_objectz00_bglt) (BgL_arg3390z00_1433);
											{	/* Inline/inline.scm 193 */
												long BgL_objzd2classzd2numz00_2245;

												BgL_objzd2classzd2numz00_2245 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2244);
												{	/* Inline/inline.scm 193 */
													obj_t BgL_arg2422z00_2246;

													BgL_arg2422z00_2246 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 193 */
														obj_t BgL_arrayz00_2248;

														int BgL_offsetz00_2249;

														BgL_arrayz00_2248 = BgL_arg2422z00_2246;
														BgL_offsetz00_2249 =
															(int) (BgL_objzd2classzd2numz00_2245);
														{	/* Inline/inline.scm 193 */
															long BgL_offsetz00_2250;

															BgL_offsetz00_2250 =
																((long) (BgL_offsetz00_2249) - OBJECT_TYPE);
															{	/* Inline/inline.scm 193 */
																long BgL_modz00_2251;

																{	/* Inline/inline.scm 193 */
																	int BgL_arg2424z00_2252;

																	BgL_arg2424z00_2252 = (int) (((long) 8));
																	{	/* Inline/inline.scm 193 */
																		long BgL_auxz00_3356;

																		BgL_auxz00_3356 =
																			(long) (BgL_arg2424z00_2252);
																		BgL_modz00_2251 =
																			(BgL_offsetz00_2250 / BgL_auxz00_3356);
																}}
																{	/* Inline/inline.scm 193 */
																	long BgL_restz00_2253;

																	{	/* Inline/inline.scm 193 */
																		int BgL_arg2423z00_2254;

																		BgL_arg2423z00_2254 = (int) (((long) 8));
																		{	/* Inline/inline.scm 193 */
																			long BgL_auxz00_3360;

																			BgL_auxz00_3360 =
																				(long) (BgL_arg2423z00_2254);
																			BgL_restz00_2253 =
																				(BgL_offsetz00_2250 % BgL_auxz00_3360);
																	}}
																	{	/* Inline/inline.scm 193 */

																		BgL_method3191z00_2243 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2248,
																				(int) (BgL_modz00_2251)),
																			(int) (BgL_restz00_2253));
										}}}}}}}}
										BgL_res3487z00_2268 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2243) (BgL_method3191z00_2243,
												(obj_t) (BgL_arg3390z00_1433),
												BINT(BgL_kfactorz00_2241), BgL_stackz00_1419, BEOA));
								}}
								BgL_arg3389z00_1432 = BgL_res3487z00_2268;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1417))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3389z00_1432), BUNSPEC);
					}
					BgL_auxz00_3309 = BgL_nodez00_1417;
					return (obj_t) (BgL_auxz00_3309);
				}
			}
		}
	}



/* inline-node-let-fun3220 */
	obj_t BGl_inlinezd2nodezd2letzd2fun3220zd2zzinline_inlinez00(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647, obj_t BgL_kfactorz00_2648,
		obj_t BgL_stackz00_2649)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 179 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1400;

				obj_t BgL_kfactorz00_1401;

				obj_t BgL_stackz00_1402;

				{	/* Inline/inline.scm 180 */
					BgL_letzd2funzd2_bglt BgL_auxz00_3375;

					BgL_nodez00_1400 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2647);
					BgL_kfactorz00_1401 = BgL_kfactorz00_2648;
					BgL_stackz00_1402 = BgL_stackz00_2649;
					{	/* Inline/inline.scm 180 */
						BgL_nodez00_bglt BgL_arg3378z00_1405;

						{	/* Inline/inline.scm 180 */
							BgL_nodez00_bglt BgL_arg3379z00_1406;

							BgL_arg3379z00_1406 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1400))->BgL_bodyz00);
							{	/* Inline/inline.scm 180 */
								BgL_nodez00_bglt BgL_res3481z00_2196;

								{	/* Inline/inline.scm 180 */
									long BgL_kfactorz00_2169;

									BgL_kfactorz00_2169 = (long) CINT(BgL_kfactorz00_1401);
									{	/* Inline/inline.scm 180 */
										obj_t BgL_method3191z00_2171;

										{	/* Inline/inline.scm 180 */
											BgL_objectz00_bglt BgL_objz00_2172;

											BgL_objz00_2172 =
												(BgL_objectz00_bglt) (BgL_arg3379z00_1406);
											{	/* Inline/inline.scm 180 */
												long BgL_objzd2classzd2numz00_2173;

												BgL_objzd2classzd2numz00_2173 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2172);
												{	/* Inline/inline.scm 180 */
													obj_t BgL_arg2422z00_2174;

													BgL_arg2422z00_2174 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 180 */
														obj_t BgL_arrayz00_2176;

														int BgL_offsetz00_2177;

														BgL_arrayz00_2176 = BgL_arg2422z00_2174;
														BgL_offsetz00_2177 =
															(int) (BgL_objzd2classzd2numz00_2173);
														{	/* Inline/inline.scm 180 */
															long BgL_offsetz00_2178;

															BgL_offsetz00_2178 =
																((long) (BgL_offsetz00_2177) - OBJECT_TYPE);
															{	/* Inline/inline.scm 180 */
																long BgL_modz00_2179;

																{	/* Inline/inline.scm 180 */
																	int BgL_arg2424z00_2180;

																	BgL_arg2424z00_2180 = (int) (((long) 8));
																	{	/* Inline/inline.scm 180 */
																		long BgL_auxz00_3386;

																		BgL_auxz00_3386 =
																			(long) (BgL_arg2424z00_2180);
																		BgL_modz00_2179 =
																			(BgL_offsetz00_2178 / BgL_auxz00_3386);
																}}
																{	/* Inline/inline.scm 180 */
																	long BgL_restz00_2181;

																	{	/* Inline/inline.scm 180 */
																		int BgL_arg2423z00_2182;

																		BgL_arg2423z00_2182 = (int) (((long) 8));
																		{	/* Inline/inline.scm 180 */
																			long BgL_auxz00_3390;

																			BgL_auxz00_3390 =
																				(long) (BgL_arg2423z00_2182);
																			BgL_restz00_2181 =
																				(BgL_offsetz00_2178 % BgL_auxz00_3390);
																	}}
																	{	/* Inline/inline.scm 180 */

																		BgL_method3191z00_2171 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2176,
																				(int) (BgL_modz00_2179)),
																			(int) (BgL_restz00_2181));
										}}}}}}}}
										BgL_res3481z00_2196 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2171) (BgL_method3191z00_2171,
												(obj_t) (BgL_arg3379z00_1406),
												BINT(BgL_kfactorz00_2169), BgL_stackz00_1402, BEOA));
								}}
								BgL_arg3378z00_1405 = BgL_res3481z00_2196;
						}}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1400))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3378z00_1405), BUNSPEC);
					}
					{	/* Inline/inline.scm 181 */
						obj_t BgL_g3185z00_1407;

						BgL_g3185z00_1407 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1400))->BgL_localsz00);
						{
							obj_t BgL_l3183z00_1409;

							BgL_l3183z00_1409 = BgL_g3185z00_1407;
						BgL_zc3anonymousza33380ze3z83_1410:
							if (PAIRP(BgL_l3183z00_1409))
								{	/* Inline/inline.scm 183 */
									{	/* Inline/inline.scm 182 */
										obj_t BgL_localz00_1412;

										BgL_localz00_1412 = CAR(BgL_l3183z00_1409);
										BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
											(BgL_variablez00_bglt) (BgL_localz00_1412),
											(long) CINT(BgL_kfactorz00_1401), BgL_stackz00_1402);
									}
									{
										obj_t BgL_l3183z00_3410;

										BgL_l3183z00_3410 = CDR(BgL_l3183z00_1409);
										BgL_l3183z00_1409 = BgL_l3183z00_3410;
										goto BgL_zc3anonymousza33380ze3z83_1410;
									}
								}
							else
								{	/* Inline/inline.scm 183 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_3375 = BgL_nodez00_1400;
					return (obj_t) (BgL_auxz00_3375);
				}
			}
		}
	}



/* inline-node-select3218 */
	obj_t BGl_inlinezd2nodezd2select3218z00zzinline_inlinez00(obj_t
		BgL_envz00_2650, obj_t BgL_nodez00_2651, obj_t BgL_kfactorz00_2652,
		obj_t BgL_stackz00_2653)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 169 */
			{
				BgL_selectz00_bglt BgL_nodez00_1381;

				obj_t BgL_kfactorz00_1382;

				obj_t BgL_stackz00_1383;

				{	/* Inline/inline.scm 170 */
					BgL_selectz00_bglt BgL_auxz00_3414;

					BgL_nodez00_1381 = (BgL_selectz00_bglt) (BgL_nodez00_2651);
					BgL_kfactorz00_1382 = BgL_kfactorz00_2652;
					BgL_stackz00_1383 = BgL_stackz00_2653;
					{	/* Inline/inline.scm 170 */
						BgL_nodez00_bglt BgL_arg3370z00_1386;

						{	/* Inline/inline.scm 170 */
							BgL_nodez00_bglt BgL_arg3371z00_1387;

							BgL_arg3371z00_1387 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1381))->BgL_testz00);
							{	/* Inline/inline.scm 170 */
								BgL_nodez00_bglt BgL_res3475z00_2128;

								{	/* Inline/inline.scm 170 */
									long BgL_kfactorz00_2101;

									BgL_kfactorz00_2101 = (long) CINT(BgL_kfactorz00_1382);
									{	/* Inline/inline.scm 170 */
										obj_t BgL_method3191z00_2103;

										{	/* Inline/inline.scm 170 */
											BgL_objectz00_bglt BgL_objz00_2104;

											BgL_objz00_2104 =
												(BgL_objectz00_bglt) (BgL_arg3371z00_1387);
											{	/* Inline/inline.scm 170 */
												long BgL_objzd2classzd2numz00_2105;

												BgL_objzd2classzd2numz00_2105 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2104);
												{	/* Inline/inline.scm 170 */
													obj_t BgL_arg2422z00_2106;

													BgL_arg2422z00_2106 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 170 */
														obj_t BgL_arrayz00_2108;

														int BgL_offsetz00_2109;

														BgL_arrayz00_2108 = BgL_arg2422z00_2106;
														BgL_offsetz00_2109 =
															(int) (BgL_objzd2classzd2numz00_2105);
														{	/* Inline/inline.scm 170 */
															long BgL_offsetz00_2110;

															BgL_offsetz00_2110 =
																((long) (BgL_offsetz00_2109) - OBJECT_TYPE);
															{	/* Inline/inline.scm 170 */
																long BgL_modz00_2111;

																{	/* Inline/inline.scm 170 */
																	int BgL_arg2424z00_2112;

																	BgL_arg2424z00_2112 = (int) (((long) 8));
																	{	/* Inline/inline.scm 170 */
																		long BgL_auxz00_3425;

																		BgL_auxz00_3425 =
																			(long) (BgL_arg2424z00_2112);
																		BgL_modz00_2111 =
																			(BgL_offsetz00_2110 / BgL_auxz00_3425);
																}}
																{	/* Inline/inline.scm 170 */
																	long BgL_restz00_2113;

																	{	/* Inline/inline.scm 170 */
																		int BgL_arg2423z00_2114;

																		BgL_arg2423z00_2114 = (int) (((long) 8));
																		{	/* Inline/inline.scm 170 */
																			long BgL_auxz00_3429;

																			BgL_auxz00_3429 =
																				(long) (BgL_arg2423z00_2114);
																			BgL_restz00_2113 =
																				(BgL_offsetz00_2110 % BgL_auxz00_3429);
																	}}
																	{	/* Inline/inline.scm 170 */

																		BgL_method3191z00_2103 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2108,
																				(int) (BgL_modz00_2111)),
																			(int) (BgL_restz00_2113));
										}}}}}}}}
										BgL_res3475z00_2128 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2103) (BgL_method3191z00_2103,
												(obj_t) (BgL_arg3371z00_1387),
												BINT(BgL_kfactorz00_2101), BgL_stackz00_1383, BEOA));
								}}
								BgL_arg3370z00_1386 = BgL_res3475z00_2128;
						}}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1381))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3370z00_1386), BUNSPEC);
					}
					{	/* Inline/inline.scm 171 */
						obj_t BgL_g3182z00_1388;

						BgL_g3182z00_1388 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1381))->BgL_clausesz00);
						{
							obj_t BgL_l3180z00_1390;

							BgL_l3180z00_1390 = BgL_g3182z00_1388;
						BgL_zc3anonymousza33372ze3z83_1391:
							if (PAIRP(BgL_l3180z00_1390))
								{	/* Inline/inline.scm 173 */
									{	/* Inline/inline.scm 172 */
										obj_t BgL_clausez00_1393;

										BgL_clausez00_1393 = CAR(BgL_l3180z00_1390);
										{	/* Inline/inline.scm 172 */
											BgL_nodez00_bglt BgL_arg3374z00_1394;

											{	/* Inline/inline.scm 172 */
												obj_t BgL_arg3375z00_1395;

												BgL_arg3375z00_1395 = CDR(BgL_clausez00_1393);
												{	/* Inline/inline.scm 172 */
													BgL_nodez00_bglt BgL_res3478z00_2163;

													{	/* Inline/inline.scm 172 */
														BgL_nodez00_bglt BgL_nodez00_2135;

														long BgL_kfactorz00_2136;

														BgL_nodez00_2135 =
															(BgL_nodez00_bglt) (BgL_arg3375z00_1395);
														BgL_kfactorz00_2136 =
															(long) CINT(BgL_kfactorz00_1382);
														{	/* Inline/inline.scm 172 */
															obj_t BgL_method3191z00_2138;

															{	/* Inline/inline.scm 172 */
																BgL_objectz00_bglt BgL_objz00_2139;

																BgL_objz00_2139 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2135);
																{	/* Inline/inline.scm 172 */
																	long BgL_objzd2classzd2numz00_2140;

																	BgL_objzd2classzd2numz00_2140 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2139);
																	{	/* Inline/inline.scm 172 */
																		obj_t BgL_arg2422z00_2141;

																		BgL_arg2422z00_2141 =
																			PROCEDURE_REF
																			(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
																			(int) (((long) 1)));
																		{	/* Inline/inline.scm 172 */
																			obj_t BgL_arrayz00_2143;

																			int BgL_offsetz00_2144;

																			BgL_arrayz00_2143 = BgL_arg2422z00_2141;
																			BgL_offsetz00_2144 =
																				(int) (BgL_objzd2classzd2numz00_2140);
																			{	/* Inline/inline.scm 172 */
																				long BgL_offsetz00_2145;

																				BgL_offsetz00_2145 =
																					(
																					(long) (BgL_offsetz00_2144) -
																					OBJECT_TYPE);
																				{	/* Inline/inline.scm 172 */
																					long BgL_modz00_2146;

																					{	/* Inline/inline.scm 172 */
																						int BgL_arg2424z00_2147;

																						BgL_arg2424z00_2147 =
																							(int) (((long) 8));
																						{	/* Inline/inline.scm 172 */
																							long BgL_auxz00_3457;

																							BgL_auxz00_3457 =
																								(long) (BgL_arg2424z00_2147);
																							BgL_modz00_2146 =
																								(BgL_offsetz00_2145 /
																								BgL_auxz00_3457);
																					}}
																					{	/* Inline/inline.scm 172 */
																						long BgL_restz00_2148;

																						{	/* Inline/inline.scm 172 */
																							int BgL_arg2423z00_2149;

																							BgL_arg2423z00_2149 =
																								(int) (((long) 8));
																							{	/* Inline/inline.scm 172 */
																								long BgL_auxz00_3461;

																								BgL_auxz00_3461 =
																									(long) (BgL_arg2423z00_2149);
																								BgL_restz00_2148 =
																									(BgL_offsetz00_2145 %
																									BgL_auxz00_3461);
																						}}
																						{	/* Inline/inline.scm 172 */

																							BgL_method3191z00_2138 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2143,
																									(int) (BgL_modz00_2146)),
																								(int) (BgL_restz00_2148));
															}}}}}}}}
															BgL_res3478z00_2163 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3191z00_2138)
																(BgL_method3191z00_2138,
																	(obj_t) (BgL_nodez00_2135),
																	BINT(BgL_kfactorz00_2136), BgL_stackz00_1383,
																	BEOA));
													}}
													BgL_arg3374z00_1394 = BgL_res3478z00_2163;
											}}
											{	/* Inline/inline.scm 172 */
												obj_t BgL_auxz00_3473;

												BgL_auxz00_3473 = (obj_t) (BgL_arg3374z00_1394);
												SET_CDR(BgL_clausez00_1393, BgL_auxz00_3473);
									}}}
									{
										obj_t BgL_l3180z00_3476;

										BgL_l3180z00_3476 = CDR(BgL_l3180z00_1390);
										BgL_l3180z00_1390 = BgL_l3180z00_3476;
										goto BgL_zc3anonymousza33372ze3z83_1391;
									}
								}
							else
								{	/* Inline/inline.scm 173 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_3414 = BgL_nodez00_1381;
					return (obj_t) (BgL_auxz00_3414);
				}
			}
		}
	}



/* inline-node-fail3216 */
	obj_t BGl_inlinezd2nodezd2fail3216z00zzinline_inlinez00(obj_t BgL_envz00_2654,
		obj_t BgL_nodez00_2655, obj_t BgL_kfactorz00_2656, obj_t BgL_stackz00_2657)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 159 */
			{
				BgL_failz00_bglt BgL_nodez00_1367;

				obj_t BgL_kfactorz00_1368;

				obj_t BgL_stackz00_1369;

				{	/* Inline/inline.scm 160 */
					BgL_failz00_bglt BgL_auxz00_3480;

					BgL_nodez00_1367 = (BgL_failz00_bglt) (BgL_nodez00_2655);
					BgL_kfactorz00_1368 = BgL_kfactorz00_2656;
					BgL_stackz00_1369 = BgL_stackz00_2657;
					{	/* Inline/inline.scm 161 */
						BgL_nodez00_bglt BgL_arg3362z00_1373;

						{	/* Inline/inline.scm 161 */
							BgL_nodez00_bglt BgL_arg3363z00_1374;

							BgL_arg3363z00_1374 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1367))->BgL_procz00);
							{	/* Inline/inline.scm 161 */
								BgL_nodez00_bglt BgL_res3466z00_2032;

								{	/* Inline/inline.scm 161 */
									long BgL_kfactorz00_2005;

									BgL_kfactorz00_2005 = (long) CINT(BgL_kfactorz00_1368);
									{	/* Inline/inline.scm 161 */
										obj_t BgL_method3191z00_2007;

										{	/* Inline/inline.scm 161 */
											BgL_objectz00_bglt BgL_objz00_2008;

											BgL_objz00_2008 =
												(BgL_objectz00_bglt) (BgL_arg3363z00_1374);
											{	/* Inline/inline.scm 161 */
												long BgL_objzd2classzd2numz00_2009;

												BgL_objzd2classzd2numz00_2009 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2008);
												{	/* Inline/inline.scm 161 */
													obj_t BgL_arg2422z00_2010;

													BgL_arg2422z00_2010 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 161 */
														obj_t BgL_arrayz00_2012;

														int BgL_offsetz00_2013;

														BgL_arrayz00_2012 = BgL_arg2422z00_2010;
														BgL_offsetz00_2013 =
															(int) (BgL_objzd2classzd2numz00_2009);
														{	/* Inline/inline.scm 161 */
															long BgL_offsetz00_2014;

															BgL_offsetz00_2014 =
																((long) (BgL_offsetz00_2013) - OBJECT_TYPE);
															{	/* Inline/inline.scm 161 */
																long BgL_modz00_2015;

																{	/* Inline/inline.scm 161 */
																	int BgL_arg2424z00_2016;

																	BgL_arg2424z00_2016 = (int) (((long) 8));
																	{	/* Inline/inline.scm 161 */
																		long BgL_auxz00_3491;

																		BgL_auxz00_3491 =
																			(long) (BgL_arg2424z00_2016);
																		BgL_modz00_2015 =
																			(BgL_offsetz00_2014 / BgL_auxz00_3491);
																}}
																{	/* Inline/inline.scm 161 */
																	long BgL_restz00_2017;

																	{	/* Inline/inline.scm 161 */
																		int BgL_arg2423z00_2018;

																		BgL_arg2423z00_2018 = (int) (((long) 8));
																		{	/* Inline/inline.scm 161 */
																			long BgL_auxz00_3495;

																			BgL_auxz00_3495 =
																				(long) (BgL_arg2423z00_2018);
																			BgL_restz00_2017 =
																				(BgL_offsetz00_2014 % BgL_auxz00_3495);
																	}}
																	{	/* Inline/inline.scm 161 */

																		BgL_method3191z00_2007 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2012,
																				(int) (BgL_modz00_2015)),
																			(int) (BgL_restz00_2017));
										}}}}}}}}
										BgL_res3466z00_2032 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2007) (BgL_method3191z00_2007,
												(obj_t) (BgL_arg3363z00_1374),
												BINT(BgL_kfactorz00_2005), BgL_stackz00_1369, BEOA));
								}}
								BgL_arg3362z00_1373 = BgL_res3466z00_2032;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1367))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_arg3362z00_1373), BUNSPEC);
					}
					{	/* Inline/inline.scm 162 */
						BgL_nodez00_bglt BgL_arg3364z00_1375;

						{	/* Inline/inline.scm 162 */
							BgL_nodez00_bglt BgL_arg3366z00_1376;

							BgL_arg3366z00_1376 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1367))->BgL_msgz00);
							{	/* Inline/inline.scm 162 */
								BgL_nodez00_bglt BgL_res3469z00_2064;

								{	/* Inline/inline.scm 162 */
									long BgL_kfactorz00_2037;

									BgL_kfactorz00_2037 = (long) CINT(BgL_kfactorz00_1368);
									{	/* Inline/inline.scm 162 */
										obj_t BgL_method3191z00_2039;

										{	/* Inline/inline.scm 162 */
											BgL_objectz00_bglt BgL_objz00_2040;

											BgL_objz00_2040 =
												(BgL_objectz00_bglt) (BgL_arg3366z00_1376);
											{	/* Inline/inline.scm 162 */
												long BgL_objzd2classzd2numz00_2041;

												BgL_objzd2classzd2numz00_2041 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2040);
												{	/* Inline/inline.scm 162 */
													obj_t BgL_arg2422z00_2042;

													BgL_arg2422z00_2042 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 162 */
														obj_t BgL_arrayz00_2044;

														int BgL_offsetz00_2045;

														BgL_arrayz00_2044 = BgL_arg2422z00_2042;
														BgL_offsetz00_2045 =
															(int) (BgL_objzd2classzd2numz00_2041);
														{	/* Inline/inline.scm 162 */
															long BgL_offsetz00_2046;

															BgL_offsetz00_2046 =
																((long) (BgL_offsetz00_2045) - OBJECT_TYPE);
															{	/* Inline/inline.scm 162 */
																long BgL_modz00_2047;

																{	/* Inline/inline.scm 162 */
																	int BgL_arg2424z00_2048;

																	BgL_arg2424z00_2048 = (int) (((long) 8));
																	{	/* Inline/inline.scm 162 */
																		long BgL_auxz00_3518;

																		BgL_auxz00_3518 =
																			(long) (BgL_arg2424z00_2048);
																		BgL_modz00_2047 =
																			(BgL_offsetz00_2046 / BgL_auxz00_3518);
																}}
																{	/* Inline/inline.scm 162 */
																	long BgL_restz00_2049;

																	{	/* Inline/inline.scm 162 */
																		int BgL_arg2423z00_2050;

																		BgL_arg2423z00_2050 = (int) (((long) 8));
																		{	/* Inline/inline.scm 162 */
																			long BgL_auxz00_3522;

																			BgL_auxz00_3522 =
																				(long) (BgL_arg2423z00_2050);
																			BgL_restz00_2049 =
																				(BgL_offsetz00_2046 % BgL_auxz00_3522);
																	}}
																	{	/* Inline/inline.scm 162 */

																		BgL_method3191z00_2039 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2044,
																				(int) (BgL_modz00_2047)),
																			(int) (BgL_restz00_2049));
										}}}}}}}}
										BgL_res3469z00_2064 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2039) (BgL_method3191z00_2039,
												(obj_t) (BgL_arg3366z00_1376),
												BINT(BgL_kfactorz00_2037), BgL_stackz00_1369, BEOA));
								}}
								BgL_arg3364z00_1375 = BgL_res3469z00_2064;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1367))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_arg3364z00_1375), BUNSPEC);
					}
					{	/* Inline/inline.scm 163 */
						BgL_nodez00_bglt BgL_arg3367z00_1377;

						{	/* Inline/inline.scm 163 */
							BgL_nodez00_bglt BgL_arg3368z00_1378;

							BgL_arg3368z00_1378 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1367))->BgL_objz00);
							{	/* Inline/inline.scm 163 */
								BgL_nodez00_bglt BgL_res3472z00_2096;

								{	/* Inline/inline.scm 163 */
									long BgL_kfactorz00_2069;

									BgL_kfactorz00_2069 = (long) CINT(BgL_kfactorz00_1368);
									{	/* Inline/inline.scm 163 */
										obj_t BgL_method3191z00_2071;

										{	/* Inline/inline.scm 163 */
											BgL_objectz00_bglt BgL_objz00_2072;

											BgL_objz00_2072 =
												(BgL_objectz00_bglt) (BgL_arg3368z00_1378);
											{	/* Inline/inline.scm 163 */
												long BgL_objzd2classzd2numz00_2073;

												BgL_objzd2classzd2numz00_2073 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2072);
												{	/* Inline/inline.scm 163 */
													obj_t BgL_arg2422z00_2074;

													BgL_arg2422z00_2074 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 163 */
														obj_t BgL_arrayz00_2076;

														int BgL_offsetz00_2077;

														BgL_arrayz00_2076 = BgL_arg2422z00_2074;
														BgL_offsetz00_2077 =
															(int) (BgL_objzd2classzd2numz00_2073);
														{	/* Inline/inline.scm 163 */
															long BgL_offsetz00_2078;

															BgL_offsetz00_2078 =
																((long) (BgL_offsetz00_2077) - OBJECT_TYPE);
															{	/* Inline/inline.scm 163 */
																long BgL_modz00_2079;

																{	/* Inline/inline.scm 163 */
																	int BgL_arg2424z00_2080;

																	BgL_arg2424z00_2080 = (int) (((long) 8));
																	{	/* Inline/inline.scm 163 */
																		long BgL_auxz00_3545;

																		BgL_auxz00_3545 =
																			(long) (BgL_arg2424z00_2080);
																		BgL_modz00_2079 =
																			(BgL_offsetz00_2078 / BgL_auxz00_3545);
																}}
																{	/* Inline/inline.scm 163 */
																	long BgL_restz00_2081;

																	{	/* Inline/inline.scm 163 */
																		int BgL_arg2423z00_2082;

																		BgL_arg2423z00_2082 = (int) (((long) 8));
																		{	/* Inline/inline.scm 163 */
																			long BgL_auxz00_3549;

																			BgL_auxz00_3549 =
																				(long) (BgL_arg2423z00_2082);
																			BgL_restz00_2081 =
																				(BgL_offsetz00_2078 % BgL_auxz00_3549);
																	}}
																	{	/* Inline/inline.scm 163 */

																		BgL_method3191z00_2071 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2076,
																				(int) (BgL_modz00_2079)),
																			(int) (BgL_restz00_2081));
										}}}}}}}}
										BgL_res3472z00_2096 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_2071) (BgL_method3191z00_2071,
												(obj_t) (BgL_arg3368z00_1378),
												BINT(BgL_kfactorz00_2069), BgL_stackz00_1369, BEOA));
								}}
								BgL_arg3367z00_1377 = BgL_res3472z00_2096;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1367))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_arg3367z00_1377), BUNSPEC);
					}
					BgL_auxz00_3480 = BgL_nodez00_1367;
					return (obj_t) (BgL_auxz00_3480);
				}
			}
		}
	}



/* inline-node-conditio3214 */
	obj_t BGl_inlinezd2nodezd2conditio3214z00zzinline_inlinez00(obj_t
		BgL_envz00_2658, obj_t BgL_nodez00_2659, obj_t BgL_kfactorz00_2660,
		obj_t BgL_stackz00_2661)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 149 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1353;

				obj_t BgL_kfactorz00_1354;

				obj_t BgL_stackz00_1355;

				{	/* Inline/inline.scm 150 */
					BgL_conditionalz00_bglt BgL_auxz00_3564;

					BgL_nodez00_1353 = (BgL_conditionalz00_bglt) (BgL_nodez00_2659);
					BgL_kfactorz00_1354 = BgL_kfactorz00_2660;
					BgL_stackz00_1355 = BgL_stackz00_2661;
					{	/* Inline/inline.scm 151 */
						BgL_nodez00_bglt BgL_arg3355z00_1359;

						{	/* Inline/inline.scm 151 */
							BgL_nodez00_bglt BgL_arg3356z00_1360;

							BgL_arg3356z00_1360 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1353))->
								BgL_testz00);
							{	/* Inline/inline.scm 151 */
								BgL_nodez00_bglt BgL_res3457z00_1936;

								{	/* Inline/inline.scm 151 */
									long BgL_kfactorz00_1909;

									BgL_kfactorz00_1909 = (long) CINT(BgL_kfactorz00_1354);
									{	/* Inline/inline.scm 151 */
										obj_t BgL_method3191z00_1911;

										{	/* Inline/inline.scm 151 */
											BgL_objectz00_bglt BgL_objz00_1912;

											BgL_objz00_1912 =
												(BgL_objectz00_bglt) (BgL_arg3356z00_1360);
											{	/* Inline/inline.scm 151 */
												long BgL_objzd2classzd2numz00_1913;

												BgL_objzd2classzd2numz00_1913 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1912);
												{	/* Inline/inline.scm 151 */
													obj_t BgL_arg2422z00_1914;

													BgL_arg2422z00_1914 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 151 */
														obj_t BgL_arrayz00_1916;

														int BgL_offsetz00_1917;

														BgL_arrayz00_1916 = BgL_arg2422z00_1914;
														BgL_offsetz00_1917 =
															(int) (BgL_objzd2classzd2numz00_1913);
														{	/* Inline/inline.scm 151 */
															long BgL_offsetz00_1918;

															BgL_offsetz00_1918 =
																((long) (BgL_offsetz00_1917) - OBJECT_TYPE);
															{	/* Inline/inline.scm 151 */
																long BgL_modz00_1919;

																{	/* Inline/inline.scm 151 */
																	int BgL_arg2424z00_1920;

																	BgL_arg2424z00_1920 = (int) (((long) 8));
																	{	/* Inline/inline.scm 151 */
																		long BgL_auxz00_3575;

																		BgL_auxz00_3575 =
																			(long) (BgL_arg2424z00_1920);
																		BgL_modz00_1919 =
																			(BgL_offsetz00_1918 / BgL_auxz00_3575);
																}}
																{	/* Inline/inline.scm 151 */
																	long BgL_restz00_1921;

																	{	/* Inline/inline.scm 151 */
																		int BgL_arg2423z00_1922;

																		BgL_arg2423z00_1922 = (int) (((long) 8));
																		{	/* Inline/inline.scm 151 */
																			long BgL_auxz00_3579;

																			BgL_auxz00_3579 =
																				(long) (BgL_arg2423z00_1922);
																			BgL_restz00_1921 =
																				(BgL_offsetz00_1918 % BgL_auxz00_3579);
																	}}
																	{	/* Inline/inline.scm 151 */

																		BgL_method3191z00_1911 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1916,
																				(int) (BgL_modz00_1919)),
																			(int) (BgL_restz00_1921));
										}}}}}}}}
										BgL_res3457z00_1936 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_1911) (BgL_method3191z00_1911,
												(obj_t) (BgL_arg3356z00_1360),
												BINT(BgL_kfactorz00_1909), BgL_stackz00_1355, BEOA));
								}}
								BgL_arg3355z00_1359 = BgL_res3457z00_1936;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1353))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3355z00_1359), BUNSPEC);
					}
					{	/* Inline/inline.scm 152 */
						BgL_nodez00_bglt BgL_arg3357z00_1361;

						{	/* Inline/inline.scm 152 */
							BgL_nodez00_bglt BgL_arg3358z00_1362;

							BgL_arg3358z00_1362 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1353))->
								BgL_truez00);
							{	/* Inline/inline.scm 152 */
								BgL_nodez00_bglt BgL_res3460z00_1968;

								{	/* Inline/inline.scm 152 */
									long BgL_kfactorz00_1941;

									BgL_kfactorz00_1941 = (long) CINT(BgL_kfactorz00_1354);
									{	/* Inline/inline.scm 152 */
										obj_t BgL_method3191z00_1943;

										{	/* Inline/inline.scm 152 */
											BgL_objectz00_bglt BgL_objz00_1944;

											BgL_objz00_1944 =
												(BgL_objectz00_bglt) (BgL_arg3358z00_1362);
											{	/* Inline/inline.scm 152 */
												long BgL_objzd2classzd2numz00_1945;

												BgL_objzd2classzd2numz00_1945 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1944);
												{	/* Inline/inline.scm 152 */
													obj_t BgL_arg2422z00_1946;

													BgL_arg2422z00_1946 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 152 */
														obj_t BgL_arrayz00_1948;

														int BgL_offsetz00_1949;

														BgL_arrayz00_1948 = BgL_arg2422z00_1946;
														BgL_offsetz00_1949 =
															(int) (BgL_objzd2classzd2numz00_1945);
														{	/* Inline/inline.scm 152 */
															long BgL_offsetz00_1950;

															BgL_offsetz00_1950 =
																((long) (BgL_offsetz00_1949) - OBJECT_TYPE);
															{	/* Inline/inline.scm 152 */
																long BgL_modz00_1951;

																{	/* Inline/inline.scm 152 */
																	int BgL_arg2424z00_1952;

																	BgL_arg2424z00_1952 = (int) (((long) 8));
																	{	/* Inline/inline.scm 152 */
																		long BgL_auxz00_3602;

																		BgL_auxz00_3602 =
																			(long) (BgL_arg2424z00_1952);
																		BgL_modz00_1951 =
																			(BgL_offsetz00_1950 / BgL_auxz00_3602);
																}}
																{	/* Inline/inline.scm 152 */
																	long BgL_restz00_1953;

																	{	/* Inline/inline.scm 152 */
																		int BgL_arg2423z00_1954;

																		BgL_arg2423z00_1954 = (int) (((long) 8));
																		{	/* Inline/inline.scm 152 */
																			long BgL_auxz00_3606;

																			BgL_auxz00_3606 =
																				(long) (BgL_arg2423z00_1954);
																			BgL_restz00_1953 =
																				(BgL_offsetz00_1950 % BgL_auxz00_3606);
																	}}
																	{	/* Inline/inline.scm 152 */

																		BgL_method3191z00_1943 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1948,
																				(int) (BgL_modz00_1951)),
																			(int) (BgL_restz00_1953));
										}}}}}}}}
										BgL_res3460z00_1968 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_1943) (BgL_method3191z00_1943,
												(obj_t) (BgL_arg3358z00_1362),
												BINT(BgL_kfactorz00_1941), BgL_stackz00_1355, BEOA));
								}}
								BgL_arg3357z00_1361 = BgL_res3460z00_1968;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1353))->BgL_truez00) =
							((BgL_nodez00_bglt) BgL_arg3357z00_1361), BUNSPEC);
					}
					{	/* Inline/inline.scm 153 */
						BgL_nodez00_bglt BgL_arg3359z00_1363;

						{	/* Inline/inline.scm 153 */
							BgL_nodez00_bglt BgL_arg3360z00_1364;

							BgL_arg3360z00_1364 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1353))->
								BgL_falsez00);
							{	/* Inline/inline.scm 153 */
								BgL_nodez00_bglt BgL_res3463z00_2000;

								{	/* Inline/inline.scm 153 */
									long BgL_kfactorz00_1973;

									BgL_kfactorz00_1973 = (long) CINT(BgL_kfactorz00_1354);
									{	/* Inline/inline.scm 153 */
										obj_t BgL_method3191z00_1975;

										{	/* Inline/inline.scm 153 */
											BgL_objectz00_bglt BgL_objz00_1976;

											BgL_objz00_1976 =
												(BgL_objectz00_bglt) (BgL_arg3360z00_1364);
											{	/* Inline/inline.scm 153 */
												long BgL_objzd2classzd2numz00_1977;

												BgL_objzd2classzd2numz00_1977 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1976);
												{	/* Inline/inline.scm 153 */
													obj_t BgL_arg2422z00_1978;

													BgL_arg2422z00_1978 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 153 */
														obj_t BgL_arrayz00_1980;

														int BgL_offsetz00_1981;

														BgL_arrayz00_1980 = BgL_arg2422z00_1978;
														BgL_offsetz00_1981 =
															(int) (BgL_objzd2classzd2numz00_1977);
														{	/* Inline/inline.scm 153 */
															long BgL_offsetz00_1982;

															BgL_offsetz00_1982 =
																((long) (BgL_offsetz00_1981) - OBJECT_TYPE);
															{	/* Inline/inline.scm 153 */
																long BgL_modz00_1983;

																{	/* Inline/inline.scm 153 */
																	int BgL_arg2424z00_1984;

																	BgL_arg2424z00_1984 = (int) (((long) 8));
																	{	/* Inline/inline.scm 153 */
																		long BgL_auxz00_3629;

																		BgL_auxz00_3629 =
																			(long) (BgL_arg2424z00_1984);
																		BgL_modz00_1983 =
																			(BgL_offsetz00_1982 / BgL_auxz00_3629);
																}}
																{	/* Inline/inline.scm 153 */
																	long BgL_restz00_1985;

																	{	/* Inline/inline.scm 153 */
																		int BgL_arg2423z00_1986;

																		BgL_arg2423z00_1986 = (int) (((long) 8));
																		{	/* Inline/inline.scm 153 */
																			long BgL_auxz00_3633;

																			BgL_auxz00_3633 =
																				(long) (BgL_arg2423z00_1986);
																			BgL_restz00_1985 =
																				(BgL_offsetz00_1982 % BgL_auxz00_3633);
																	}}
																	{	/* Inline/inline.scm 153 */

																		BgL_method3191z00_1975 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1980,
																				(int) (BgL_modz00_1983)),
																			(int) (BgL_restz00_1985));
										}}}}}}}}
										BgL_res3463z00_2000 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_1975) (BgL_method3191z00_1975,
												(obj_t) (BgL_arg3360z00_1364),
												BINT(BgL_kfactorz00_1973), BgL_stackz00_1355, BEOA));
								}}
								BgL_arg3359z00_1363 = BgL_res3463z00_2000;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1353))->
								BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_arg3359z00_1363), BUNSPEC);
					}
					BgL_auxz00_3564 = BgL_nodez00_1353;
					return (obj_t) (BgL_auxz00_3564);
				}
			}
		}
	}



/* inline-node-setq3212 */
	obj_t BGl_inlinezd2nodezd2setq3212z00zzinline_inlinez00(obj_t BgL_envz00_2662,
		obj_t BgL_nodez00_2663, obj_t BgL_kfactorz00_2664, obj_t BgL_stackz00_2665)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 142 */
			{
				BgL_setqz00_bglt BgL_nodez00_1344;

				obj_t BgL_kfactorz00_1345;

				obj_t BgL_stackz00_1346;

				{	/* Inline/inline.scm 143 */
					BgL_setqz00_bglt BgL_auxz00_3648;

					BgL_nodez00_1344 = (BgL_setqz00_bglt) (BgL_nodez00_2663);
					BgL_kfactorz00_1345 = BgL_kfactorz00_2664;
					BgL_stackz00_1346 = BgL_stackz00_2665;
					{	/* Inline/inline.scm 143 */
						BgL_nodez00_bglt BgL_arg3352z00_1873;

						{	/* Inline/inline.scm 143 */
							BgL_nodez00_bglt BgL_arg3353z00_1874;

							BgL_arg3353z00_1874 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1344))->BgL_valuez00);
							{	/* Inline/inline.scm 143 */
								BgL_nodez00_bglt BgL_res3454z00_1904;

								{	/* Inline/inline.scm 143 */
									long BgL_kfactorz00_1877;

									BgL_kfactorz00_1877 = (long) CINT(BgL_kfactorz00_1345);
									{	/* Inline/inline.scm 143 */
										obj_t BgL_method3191z00_1879;

										{	/* Inline/inline.scm 143 */
											BgL_objectz00_bglt BgL_objz00_1880;

											BgL_objz00_1880 =
												(BgL_objectz00_bglt) (BgL_arg3353z00_1874);
											{	/* Inline/inline.scm 143 */
												long BgL_objzd2classzd2numz00_1881;

												BgL_objzd2classzd2numz00_1881 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1880);
												{	/* Inline/inline.scm 143 */
													obj_t BgL_arg2422z00_1882;

													BgL_arg2422z00_1882 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 143 */
														obj_t BgL_arrayz00_1884;

														int BgL_offsetz00_1885;

														BgL_arrayz00_1884 = BgL_arg2422z00_1882;
														BgL_offsetz00_1885 =
															(int) (BgL_objzd2classzd2numz00_1881);
														{	/* Inline/inline.scm 143 */
															long BgL_offsetz00_1886;

															BgL_offsetz00_1886 =
																((long) (BgL_offsetz00_1885) - OBJECT_TYPE);
															{	/* Inline/inline.scm 143 */
																long BgL_modz00_1887;

																{	/* Inline/inline.scm 143 */
																	int BgL_arg2424z00_1888;

																	BgL_arg2424z00_1888 = (int) (((long) 8));
																	{	/* Inline/inline.scm 143 */
																		long BgL_auxz00_3659;

																		BgL_auxz00_3659 =
																			(long) (BgL_arg2424z00_1888);
																		BgL_modz00_1887 =
																			(BgL_offsetz00_1886 / BgL_auxz00_3659);
																}}
																{	/* Inline/inline.scm 143 */
																	long BgL_restz00_1889;

																	{	/* Inline/inline.scm 143 */
																		int BgL_arg2423z00_1890;

																		BgL_arg2423z00_1890 = (int) (((long) 8));
																		{	/* Inline/inline.scm 143 */
																			long BgL_auxz00_3663;

																			BgL_auxz00_3663 =
																				(long) (BgL_arg2423z00_1890);
																			BgL_restz00_1889 =
																				(BgL_offsetz00_1886 % BgL_auxz00_3663);
																	}}
																	{	/* Inline/inline.scm 143 */

																		BgL_method3191z00_1879 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1884,
																				(int) (BgL_modz00_1887)),
																			(int) (BgL_restz00_1889));
										}}}}}}}}
										BgL_res3454z00_1904 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_1879) (BgL_method3191z00_1879,
												(obj_t) (BgL_arg3353z00_1874),
												BINT(BgL_kfactorz00_1877), BgL_stackz00_1346, BEOA));
								}}
								BgL_arg3352z00_1873 = BgL_res3454z00_1904;
						}}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1344))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3352z00_1873), BUNSPEC);
					}
					BgL_auxz00_3648 = BgL_nodez00_1344;
					return (obj_t) (BgL_auxz00_3648);
				}
			}
		}
	}



/* inline-node-cast3210 */
	obj_t BGl_inlinezd2nodezd2cast3210z00zzinline_inlinez00(obj_t BgL_envz00_2666,
		obj_t BgL_nodez00_2667, obj_t BgL_kfactorz00_2668, obj_t BgL_stackz00_2669)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 135 */
			{
				BgL_castz00_bglt BgL_nodez00_1336;

				obj_t BgL_kfactorz00_1337;

				obj_t BgL_stackz00_1338;

				{	/* Inline/inline.scm 136 */
					BgL_castz00_bglt BgL_auxz00_3678;

					BgL_nodez00_1336 = (BgL_castz00_bglt) (BgL_nodez00_2667);
					BgL_kfactorz00_1337 = BgL_kfactorz00_2668;
					BgL_stackz00_1338 = BgL_stackz00_2669;
					{	/* Inline/inline.scm 136 */
						BgL_nodez00_bglt BgL_arg3350z00_1842;

						BgL_arg3350z00_1842 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1336))->BgL_argz00);
						{	/* Inline/inline.scm 136 */
							BgL_nodez00_bglt BgL_res3451z00_1872;

							{	/* Inline/inline.scm 136 */
								long BgL_kfactorz00_1845;

								BgL_kfactorz00_1845 = (long) CINT(BgL_kfactorz00_1337);
								{	/* Inline/inline.scm 136 */
									obj_t BgL_method3191z00_1847;

									{	/* Inline/inline.scm 136 */
										BgL_objectz00_bglt BgL_objz00_1848;

										BgL_objz00_1848 =
											(BgL_objectz00_bglt) (BgL_arg3350z00_1842);
										{	/* Inline/inline.scm 136 */
											long BgL_objzd2classzd2numz00_1849;

											BgL_objzd2classzd2numz00_1849 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1848);
											{	/* Inline/inline.scm 136 */
												obj_t BgL_arg2422z00_1850;

												BgL_arg2422z00_1850 =
													PROCEDURE_REF
													(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
													(int) (((long) 1)));
												{	/* Inline/inline.scm 136 */
													obj_t BgL_arrayz00_1852;

													int BgL_offsetz00_1853;

													BgL_arrayz00_1852 = BgL_arg2422z00_1850;
													BgL_offsetz00_1853 =
														(int) (BgL_objzd2classzd2numz00_1849);
													{	/* Inline/inline.scm 136 */
														long BgL_offsetz00_1854;

														BgL_offsetz00_1854 =
															((long) (BgL_offsetz00_1853) - OBJECT_TYPE);
														{	/* Inline/inline.scm 136 */
															long BgL_modz00_1855;

															{	/* Inline/inline.scm 136 */
																int BgL_arg2424z00_1856;

																BgL_arg2424z00_1856 = (int) (((long) 8));
																{	/* Inline/inline.scm 136 */
																	long BgL_auxz00_3689;

																	BgL_auxz00_3689 =
																		(long) (BgL_arg2424z00_1856);
																	BgL_modz00_1855 =
																		(BgL_offsetz00_1854 / BgL_auxz00_3689);
															}}
															{	/* Inline/inline.scm 136 */
																long BgL_restz00_1857;

																{	/* Inline/inline.scm 136 */
																	int BgL_arg2423z00_1858;

																	BgL_arg2423z00_1858 = (int) (((long) 8));
																	{	/* Inline/inline.scm 136 */
																		long BgL_auxz00_3693;

																		BgL_auxz00_3693 =
																			(long) (BgL_arg2423z00_1858);
																		BgL_restz00_1857 =
																			(BgL_offsetz00_1854 % BgL_auxz00_3693);
																}}
																{	/* Inline/inline.scm 136 */

																	BgL_method3191z00_1847 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1852,
																			(int) (BgL_modz00_1855)),
																		(int) (BgL_restz00_1857));
									}}}}}}}}
									BgL_res3451z00_1872 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3191z00_1847)
										(BgL_method3191z00_1847, (obj_t) (BgL_arg3350z00_1842),
											BINT(BgL_kfactorz00_1845), BgL_stackz00_1338, BEOA));
							}} BgL_res3451z00_1872;
					}}
					BgL_auxz00_3678 = BgL_nodez00_1336;
					return (obj_t) (BgL_auxz00_3678);
				}
			}
		}
	}



/* inline-node-extern3208 */
	obj_t BGl_inlinezd2nodezd2extern3208z00zzinline_inlinez00(obj_t
		BgL_envz00_2670, obj_t BgL_nodez00_2671, obj_t BgL_kfactorz00_2672,
		obj_t BgL_stackz00_2673)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 128 */
			{
				BgL_externz00_bglt BgL_nodez00_1328;

				obj_t BgL_kfactorz00_1329;

				obj_t BgL_stackz00_1330;

				{	/* Inline/inline.scm 129 */
					BgL_externz00_bglt BgL_auxz00_3707;

					BgL_nodez00_1328 = (BgL_externz00_bglt) (BgL_nodez00_2671);
					BgL_kfactorz00_1329 = BgL_kfactorz00_2672;
					BgL_stackz00_1330 = BgL_stackz00_2673;
					{	/* Inline/inline.scm 129 */
						obj_t BgL_arg3348z00_1840;

						BgL_arg3348z00_1840 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1328))->BgL_exprza2za2);
						BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_arg3348z00_1840,
							BgL_kfactorz00_1329, BgL_stackz00_1330);
					}
					BgL_auxz00_3707 = BgL_nodez00_1328;
					return (obj_t) (BgL_auxz00_3707);
				}
			}
		}
	}



/* inline-node-funcall3206 */
	obj_t BGl_inlinezd2nodezd2funcall3206z00zzinline_inlinez00(obj_t
		BgL_envz00_2674, obj_t BgL_nodez00_2675, obj_t BgL_kfactorz00_2676,
		obj_t BgL_stackz00_2677)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 118 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1318;

				obj_t BgL_kfactorz00_1319;

				obj_t BgL_stackz00_1320;

				{	/* Inline/inline.scm 120 */
					BgL_funcallz00_bglt BgL_auxz00_3712;

					BgL_nodez00_1318 = (BgL_funcallz00_bglt) (BgL_nodez00_2675);
					BgL_kfactorz00_1319 = BgL_kfactorz00_2676;
					BgL_stackz00_1320 = BgL_stackz00_2677;
					{	/* Inline/inline.scm 120 */
						long BgL_za71za7_1805;

						BgL_za71za7_1805 =
							(long) CINT(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00);
						BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
							BINT((BgL_za71za7_1805 + ((long) 1)));
					}
					{	/* Inline/inline.scm 121 */
						BgL_nodez00_bglt BgL_arg3344z00_1323;

						{	/* Inline/inline.scm 121 */
							BgL_nodez00_bglt BgL_arg3345z00_1324;

							BgL_arg3345z00_1324 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1318))->BgL_funz00);
							{	/* Inline/inline.scm 121 */
								BgL_nodez00_bglt BgL_res3448z00_1836;

								{	/* Inline/inline.scm 121 */
									long BgL_kfactorz00_1809;

									BgL_kfactorz00_1809 = (long) CINT(BgL_kfactorz00_1319);
									{	/* Inline/inline.scm 121 */
										obj_t BgL_method3191z00_1811;

										{	/* Inline/inline.scm 121 */
											BgL_objectz00_bglt BgL_objz00_1812;

											BgL_objz00_1812 =
												(BgL_objectz00_bglt) (BgL_arg3345z00_1324);
											{	/* Inline/inline.scm 121 */
												long BgL_objzd2classzd2numz00_1813;

												BgL_objzd2classzd2numz00_1813 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1812);
												{	/* Inline/inline.scm 121 */
													obj_t BgL_arg2422z00_1814;

													BgL_arg2422z00_1814 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 121 */
														obj_t BgL_arrayz00_1816;

														int BgL_offsetz00_1817;

														BgL_arrayz00_1816 = BgL_arg2422z00_1814;
														BgL_offsetz00_1817 =
															(int) (BgL_objzd2classzd2numz00_1813);
														{	/* Inline/inline.scm 121 */
															long BgL_offsetz00_1818;

															BgL_offsetz00_1818 =
																((long) (BgL_offsetz00_1817) - OBJECT_TYPE);
															{	/* Inline/inline.scm 121 */
																long BgL_modz00_1819;

																{	/* Inline/inline.scm 121 */
																	int BgL_arg2424z00_1820;

																	BgL_arg2424z00_1820 = (int) (((long) 8));
																	{	/* Inline/inline.scm 121 */
																		long BgL_auxz00_3726;

																		BgL_auxz00_3726 =
																			(long) (BgL_arg2424z00_1820);
																		BgL_modz00_1819 =
																			(BgL_offsetz00_1818 / BgL_auxz00_3726);
																}}
																{	/* Inline/inline.scm 121 */
																	long BgL_restz00_1821;

																	{	/* Inline/inline.scm 121 */
																		int BgL_arg2423z00_1822;

																		BgL_arg2423z00_1822 = (int) (((long) 8));
																		{	/* Inline/inline.scm 121 */
																			long BgL_auxz00_3730;

																			BgL_auxz00_3730 =
																				(long) (BgL_arg2423z00_1822);
																			BgL_restz00_1821 =
																				(BgL_offsetz00_1818 % BgL_auxz00_3730);
																	}}
																	{	/* Inline/inline.scm 121 */

																		BgL_method3191z00_1811 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1816,
																				(int) (BgL_modz00_1819)),
																			(int) (BgL_restz00_1821));
										}}}}}}}}
										BgL_res3448z00_1836 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_1811) (BgL_method3191z00_1811,
												(obj_t) (BgL_arg3345z00_1324),
												BINT(BgL_kfactorz00_1809), BgL_stackz00_1320, BEOA));
								}}
								BgL_arg3344z00_1323 = BgL_res3448z00_1836;
						}}
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1318))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3344z00_1323), BUNSPEC);
					}
					{	/* Inline/inline.scm 122 */
						obj_t BgL_arg3346z00_1325;

						BgL_arg3346z00_1325 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1318))->BgL_argsz00);
						BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_arg3346z00_1325,
							BgL_kfactorz00_1319, BgL_stackz00_1320);
					}
					BgL_auxz00_3712 = BgL_nodez00_1318;
					return (obj_t) (BgL_auxz00_3712);
				}
			}
		}
	}



/* inline-node-app-ly3204 */
	obj_t BGl_inlinezd2nodezd2appzd2ly3204zd2zzinline_inlinez00(obj_t
		BgL_envz00_2678, obj_t BgL_nodez00_2679, obj_t BgL_kfactorz00_2680,
		obj_t BgL_stackz00_2681)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 109 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1306;

				obj_t BgL_kfactorz00_1307;

				obj_t BgL_stackz00_1308;

				{	/* Inline/inline.scm 110 */
					BgL_appzd2lyzd2_bglt BgL_auxz00_3747;

					BgL_nodez00_1306 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2679);
					BgL_kfactorz00_1307 = BgL_kfactorz00_2680;
					BgL_stackz00_1308 = BgL_stackz00_2681;
					{	/* Inline/inline.scm 111 */
						BgL_nodez00_bglt BgL_arg3339z00_1312;

						{	/* Inline/inline.scm 111 */
							BgL_nodez00_bglt BgL_arg3340z00_1313;

							BgL_arg3340z00_1313 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1306))->BgL_funz00);
							{	/* Inline/inline.scm 111 */
								BgL_nodez00_bglt BgL_res3442z00_1770;

								{	/* Inline/inline.scm 111 */
									long BgL_kfactorz00_1743;

									BgL_kfactorz00_1743 = (long) CINT(BgL_kfactorz00_1307);
									{	/* Inline/inline.scm 111 */
										obj_t BgL_method3191z00_1745;

										{	/* Inline/inline.scm 111 */
											BgL_objectz00_bglt BgL_objz00_1746;

											BgL_objz00_1746 =
												(BgL_objectz00_bglt) (BgL_arg3340z00_1313);
											{	/* Inline/inline.scm 111 */
												long BgL_objzd2classzd2numz00_1747;

												BgL_objzd2classzd2numz00_1747 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1746);
												{	/* Inline/inline.scm 111 */
													obj_t BgL_arg2422z00_1748;

													BgL_arg2422z00_1748 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 111 */
														obj_t BgL_arrayz00_1750;

														int BgL_offsetz00_1751;

														BgL_arrayz00_1750 = BgL_arg2422z00_1748;
														BgL_offsetz00_1751 =
															(int) (BgL_objzd2classzd2numz00_1747);
														{	/* Inline/inline.scm 111 */
															long BgL_offsetz00_1752;

															BgL_offsetz00_1752 =
																((long) (BgL_offsetz00_1751) - OBJECT_TYPE);
															{	/* Inline/inline.scm 111 */
																long BgL_modz00_1753;

																{	/* Inline/inline.scm 111 */
																	int BgL_arg2424z00_1754;

																	BgL_arg2424z00_1754 = (int) (((long) 8));
																	{	/* Inline/inline.scm 111 */
																		long BgL_auxz00_3758;

																		BgL_auxz00_3758 =
																			(long) (BgL_arg2424z00_1754);
																		BgL_modz00_1753 =
																			(BgL_offsetz00_1752 / BgL_auxz00_3758);
																}}
																{	/* Inline/inline.scm 111 */
																	long BgL_restz00_1755;

																	{	/* Inline/inline.scm 111 */
																		int BgL_arg2423z00_1756;

																		BgL_arg2423z00_1756 = (int) (((long) 8));
																		{	/* Inline/inline.scm 111 */
																			long BgL_auxz00_3762;

																			BgL_auxz00_3762 =
																				(long) (BgL_arg2423z00_1756);
																			BgL_restz00_1755 =
																				(BgL_offsetz00_1752 % BgL_auxz00_3762);
																	}}
																	{	/* Inline/inline.scm 111 */

																		BgL_method3191z00_1745 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1750,
																				(int) (BgL_modz00_1753)),
																			(int) (BgL_restz00_1755));
										}}}}}}}}
										BgL_res3442z00_1770 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_1745) (BgL_method3191z00_1745,
												(obj_t) (BgL_arg3340z00_1313),
												BINT(BgL_kfactorz00_1743), BgL_stackz00_1308, BEOA));
								}}
								BgL_arg3339z00_1312 = BgL_res3442z00_1770;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1306))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3339z00_1312), BUNSPEC);
					}
					{	/* Inline/inline.scm 112 */
						BgL_nodez00_bglt BgL_arg3341z00_1314;

						{	/* Inline/inline.scm 112 */
							BgL_nodez00_bglt BgL_arg3342z00_1315;

							BgL_arg3342z00_1315 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1306))->BgL_argz00);
							{	/* Inline/inline.scm 112 */
								BgL_nodez00_bglt BgL_res3445z00_1802;

								{	/* Inline/inline.scm 112 */
									long BgL_kfactorz00_1775;

									BgL_kfactorz00_1775 = (long) CINT(BgL_kfactorz00_1307);
									{	/* Inline/inline.scm 112 */
										obj_t BgL_method3191z00_1777;

										{	/* Inline/inline.scm 112 */
											BgL_objectz00_bglt BgL_objz00_1778;

											BgL_objz00_1778 =
												(BgL_objectz00_bglt) (BgL_arg3342z00_1315);
											{	/* Inline/inline.scm 112 */
												long BgL_objzd2classzd2numz00_1779;

												BgL_objzd2classzd2numz00_1779 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1778);
												{	/* Inline/inline.scm 112 */
													obj_t BgL_arg2422z00_1780;

													BgL_arg2422z00_1780 =
														PROCEDURE_REF
														(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
														(int) (((long) 1)));
													{	/* Inline/inline.scm 112 */
														obj_t BgL_arrayz00_1782;

														int BgL_offsetz00_1783;

														BgL_arrayz00_1782 = BgL_arg2422z00_1780;
														BgL_offsetz00_1783 =
															(int) (BgL_objzd2classzd2numz00_1779);
														{	/* Inline/inline.scm 112 */
															long BgL_offsetz00_1784;

															BgL_offsetz00_1784 =
																((long) (BgL_offsetz00_1783) - OBJECT_TYPE);
															{	/* Inline/inline.scm 112 */
																long BgL_modz00_1785;

																{	/* Inline/inline.scm 112 */
																	int BgL_arg2424z00_1786;

																	BgL_arg2424z00_1786 = (int) (((long) 8));
																	{	/* Inline/inline.scm 112 */
																		long BgL_auxz00_3785;

																		BgL_auxz00_3785 =
																			(long) (BgL_arg2424z00_1786);
																		BgL_modz00_1785 =
																			(BgL_offsetz00_1784 / BgL_auxz00_3785);
																}}
																{	/* Inline/inline.scm 112 */
																	long BgL_restz00_1787;

																	{	/* Inline/inline.scm 112 */
																		int BgL_arg2423z00_1788;

																		BgL_arg2423z00_1788 = (int) (((long) 8));
																		{	/* Inline/inline.scm 112 */
																			long BgL_auxz00_3789;

																			BgL_auxz00_3789 =
																				(long) (BgL_arg2423z00_1788);
																			BgL_restz00_1787 =
																				(BgL_offsetz00_1784 % BgL_auxz00_3789);
																	}}
																	{	/* Inline/inline.scm 112 */

																		BgL_method3191z00_1777 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1782,
																				(int) (BgL_modz00_1785)),
																			(int) (BgL_restz00_1787));
										}}}}}}}}
										BgL_res3445z00_1802 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3191z00_1777) (BgL_method3191z00_1777,
												(obj_t) (BgL_arg3342z00_1315),
												BINT(BgL_kfactorz00_1775), BgL_stackz00_1308, BEOA));
								}}
								BgL_arg3341z00_1314 = BgL_res3445z00_1802;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1306))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_arg3341z00_1314), BUNSPEC);
					}
					BgL_auxz00_3747 = BgL_nodez00_1306;
					return (obj_t) (BgL_auxz00_3747);
				}
			}
		}
	}



/* inline-node-app3202 */
	obj_t BGl_inlinezd2nodezd2app3202z00zzinline_inlinez00(obj_t BgL_envz00_2682,
		obj_t BgL_nodez00_2683, obj_t BgL_kfactorz00_2684, obj_t BgL_stackz00_2685)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 102 */
			{
				BgL_appz00_bglt BgL_nodez00_1298;

				obj_t BgL_kfactorz00_1299;

				obj_t BgL_stackz00_1300;

				{	/* Inline/inline.scm 103 */
					BgL_nodez00_bglt BgL_auxz00_3804;

					BgL_nodez00_1298 = (BgL_appz00_bglt) (BgL_nodez00_2683);
					BgL_kfactorz00_1299 = BgL_kfactorz00_2684;
					BgL_stackz00_1300 = BgL_stackz00_2685;
					{	/* Inline/inline.scm 103 */
						obj_t BgL_arg3337z00_1739;

						BgL_arg3337z00_1739 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1298))->BgL_argsz00);
						BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_arg3337z00_1739,
							BgL_kfactorz00_1299, BgL_stackz00_1300);
					}
					BgL_auxz00_3804 =
						BGl_inlinezd2appzd2zzinline_appz00(BgL_nodez00_1298,
						(long) CINT(BgL_kfactorz00_1299), BgL_stackz00_1300);
					return (obj_t) (BgL_auxz00_3804);
				}
			}
		}
	}



/* inline-node-sequence3200 */
	obj_t BGl_inlinezd2nodezd2sequence3200z00zzinline_inlinez00(obj_t
		BgL_envz00_2686, obj_t BgL_nodez00_2687, obj_t BgL_kfactorz00_2688,
		obj_t BgL_stackz00_2689)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 95 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1290;

				obj_t BgL_kfactorz00_1291;

				obj_t BgL_stackz00_1292;

				{	/* Inline/inline.scm 96 */
					BgL_sequencez00_bglt BgL_auxz00_3811;

					BgL_nodez00_1290 = (BgL_sequencez00_bglt) (BgL_nodez00_2687);
					BgL_kfactorz00_1291 = BgL_kfactorz00_2688;
					BgL_stackz00_1292 = BgL_stackz00_2689;
					{	/* Inline/inline.scm 96 */
						obj_t BgL_arg3335z00_1737;

						BgL_arg3335z00_1737 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1290))->BgL_nodesz00);
						BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_arg3335z00_1737,
							BgL_kfactorz00_1291, BgL_stackz00_1292);
					}
					BgL_auxz00_3811 = BgL_nodez00_1290;
					return (obj_t) (BgL_auxz00_3811);
				}
			}
		}
	}



/* inline-node-kwote3198 */
	obj_t BGl_inlinezd2nodezd2kwote3198z00zzinline_inlinez00(obj_t
		BgL_envz00_2690, obj_t BgL_nodez00_2691, obj_t BgL_kfactorz00_2692,
		obj_t BgL_stackz00_2693)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 89 */
			return (obj_t) ((BgL_kwotez00_bglt) (BgL_nodez00_2691));
		}
	}



/* inline-node-var3196 */
	obj_t BGl_inlinezd2nodezd2var3196z00zzinline_inlinez00(obj_t BgL_envz00_2694,
		obj_t BgL_nodez00_2695, obj_t BgL_kfactorz00_2696, obj_t BgL_stackz00_2697)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 73 */
			{
				BgL_varz00_bglt BgL_nodez00_1256;

				obj_t BgL_kfactorz00_1257;

				obj_t BgL_stackz00_1258;

				BgL_nodez00_1256 = (BgL_varz00_bglt) (BgL_nodez00_2695);
				BgL_kfactorz00_1257 = BgL_kfactorz00_2696;
				BgL_stackz00_1258 = BgL_stackz00_2697;
				{	/* Inline/inline.scm 75 */
					bool_t BgL_testz00_3818;

					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > ((long) 0)))
						{	/* Inline/inline.scm 76 */
							bool_t BgL_testz00_3822;

							{	/* Inline/inline.scm 76 */
								BgL_variablez00_bglt BgL_arg3332z00_1280;

								BgL_arg3332z00_1280 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1256))->BgL_variablez00);
								{	/* Inline/inline.scm 76 */
									obj_t BgL_obj1589z00_1726;

									BgL_obj1589z00_1726 = (obj_t) (BgL_arg3332z00_1280);
									BgL_testz00_3822 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj1589z00_1726,
										BGl_globalz00zzast_varz00);
							}}
							if (BgL_testz00_3822)
								{	/* Inline/inline.scm 77 */
									bool_t BgL_testz00_3826;

									{	/* Inline/inline.scm 77 */
										obj_t BgL_auxz00_3827;

										{	/* Inline/inline.scm 77 */
											BgL_globalz00_bglt BgL_obj1517z00_1728;

											BgL_obj1517z00_1728 =
												(BgL_globalz00_bglt) (
												(((BgL_varz00_bglt) CREF(BgL_nodez00_1256))->
													BgL_variablez00));
											BgL_auxz00_3827 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1517z00_1728))->
												BgL_importz00);
										}
										BgL_testz00_3826 =
											(BgL_auxz00_3827 == CNST_TABLE_REF(((long) 3)));
									}
									if (BgL_testz00_3826)
										{	/* Inline/inline.scm 78 */
											bool_t BgL_testz00_3833;

											{	/* Inline/inline.scm 78 */
												obj_t BgL_auxz00_3834;

												{	/* Inline/inline.scm 78 */
													BgL_variablez00_bglt BgL_obj1452z00_1730;

													BgL_obj1452z00_1730 =
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1256))->
														BgL_variablez00);
													BgL_auxz00_3834 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1452z00_1730))->BgL_accessz00);
												}
												BgL_testz00_3833 =
													(BgL_auxz00_3834 == CNST_TABLE_REF(((long) 4)));
											}
											if (BgL_testz00_3833)
												{	/* Inline/inline.scm 79 */
													obj_t BgL_arg3324z00_1272;

													{	/* Inline/inline.scm 79 */
														BgL_globalz00_bglt BgL_obj1532z00_1732;

														BgL_obj1532z00_1732 =
															(BgL_globalz00_bglt) (
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1256))->
																BgL_variablez00));
														BgL_arg3324z00_1272 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1532z00_1732))->BgL_srcz00);
													}
													BgL_testz00_3818 =
														BGl_iszd2azf3z21zz__objectz00(BgL_arg3324z00_1272,
														BGl_atomz00zzast_nodez00);
												}
											else
												{	/* Inline/inline.scm 78 */
													BgL_testz00_3818 = ((bool_t) 0);
												}
										}
									else
										{	/* Inline/inline.scm 77 */
											BgL_testz00_3818 = ((bool_t) 0);
										}
								}
							else
								{	/* Inline/inline.scm 76 */
									BgL_testz00_3818 = ((bool_t) 0);
								}
						}
					else
						{	/* Inline/inline.scm 75 */
							BgL_testz00_3818 = ((bool_t) 0);
						}
					if (BgL_testz00_3818)
						{	/* Inline/inline.scm 75 */
							{	/* Inline/inline.scm 83 */
								obj_t BgL_arg3317z00_1265;

								obj_t BgL_arg3318z00_1266;

								{
									BgL_nodez00_bglt BgL_auxz00_3843;

									BgL_auxz00_3843 = (BgL_nodez00_bglt) (BgL_nodez00_1256);
									BgL_arg3317z00_1265 =
										(((BgL_nodez00_bglt) CREF(BgL_auxz00_3843))->BgL_locz00);
								}
								{	/* Inline/inline.scm 83 */
									BgL_globalz00_bglt BgL_obj1532z00_1736;

									BgL_obj1532z00_1736 =
										(BgL_globalz00_bglt) (
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1256))->
											BgL_variablez00));
									BgL_arg3318z00_1266 =
										(((BgL_globalz00_bglt) CREF(BgL_obj1532z00_1736))->
										BgL_srcz00);
								}
								return
									(obj_t) (BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
										BgL_arg3317z00_1265,
										(BgL_nodez00_bglt) (BgL_arg3318z00_1266)));
							}
						}
					else
						{	/* Inline/inline.scm 75 */
							return (obj_t) (BgL_nodez00_1256);
						}
				}
			}
		}
	}



/* inline-node-atom3194 */
	obj_t BGl_inlinezd2nodezd2atom3194z00zzinline_inlinez00(obj_t BgL_envz00_2698,
		obj_t BgL_nodez00_2699, obj_t BgL_kfactorz00_2700, obj_t BgL_stackz00_2701)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 67 */
			return (obj_t) ((BgL_atomz00_bglt) (BgL_nodez00_2699));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 175384950),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 472786230),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 509694479),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3544z00zzinline_inlinez00));
		}
	}

#ifdef __cplusplus
}
#endif
