/*===========================================================================*/
/*   (Inline/recursion.scm)                                                  */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/recursion.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl__findzd2recursivezd2call3615z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, BgL_appz00_bglt, obj_t);
	extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_recursionz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_wideningzd2isfunzd2zzinline_inlinez00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl__iszd2recursivezf33614z21zzinline_recursionz00(obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3256z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_findzd2recursivezd2calls3258z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3260z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3262z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3265z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3267z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3269z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3271z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3273z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3275z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinline_recursionz00();
	static obj_t BGl_findzd2recursivezd2calls3278z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3280z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3282z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3284z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3286z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3288z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2recursivezd2calls3290z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, obj_t, BgL_appz00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_recursionz00();
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_recursionz00 = BUNSPEC;
	static obj_t BGl__findzd2recursivezd2calls3253z00zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_recursionz00();
	static obj_t
		BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
	extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt,
		long, obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_zc3anonymousza33381ze3z83zzinline_recursionz00(obj_t, obj_t);
	extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl__inlinezd2appzd2recursiv3613z00zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t
		BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
	extern BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2recursivezf3zd2envzf3zzinline_recursionz00,
		BgL_bgl__isza7d2recursiveza73642z00,
		BGl__iszd2recursivezf33614z21zzinline_recursionz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2recursivezd2envzd2zzinline_recursionz00,
		BgL_bgl__inlineza7d2appza7d23643z00,
		BGl__inlinezd2appzd2recursiv3613z00zzinline_recursionz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
		BgL_bgl__findza7d2recursiv3644za7,
		BGl__findzd2recursivezd2call3615z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_findzd2recursivezd2calls3253zd2envzd2zzinline_recursionz00,
		BgL_bgl__findza7d2recursiv3645za7,
		BGl__findzd2recursivezd2calls3253z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3621z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3646za7,
		BGl_findzd2recursivezd2calls3256z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3622z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3647za7,
		BGl_findzd2recursivezd2calls3258z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3623z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3648za7,
		BGl_findzd2recursivezd2calls3260z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3624z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3649za7,
		BGl_findzd2recursivezd2calls3262z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3625z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3650za7,
		BGl_findzd2recursivezd2calls3265z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3626z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3651za7,
		BGl_findzd2recursivezd2calls3267z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3627z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3652za7,
		BGl_findzd2recursivezd2calls3269z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3628z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3653za7,
		BGl_findzd2recursivezd2calls3271z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3630z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3654za7,
		BGl_findzd2recursivezd2calls3275z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3629z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3655za7,
		BGl_findzd2recursivezd2calls3273z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3631z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3656za7,
		BGl_findzd2recursivezd2calls3278z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3632z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3657za7,
		BGl_findzd2recursivezd2calls3280z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3633z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3658za7,
		BGl_findzd2recursivezd2calls3282z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3634z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3659za7,
		BGl_findzd2recursivezd2calls3284z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3635z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3660za7,
		BGl_findzd2recursivezd2calls3286z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3636z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3661za7,
		BGl_findzd2recursivezd2calls3288z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3637z00zzinline_recursionz00,
		BgL_bgl_findza7d2recursive3662za7,
		BGl_findzd2recursivezd2calls3290z00zzinline_recursionz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3616z00zzinline_recursionz00,
		BgL_bgl_string3616za700za7za7i3663za7, "simple", 6);
	      DEFINE_STRING(BGl_string3617z00zzinline_recursionz00,
		BgL_bgl_string3617za700za7za7i3664za7, " (recursive)", 12);
	      DEFINE_STRING(BGl_string3618z00zzinline_recursionz00,
		BgL_bgl_string3618za700za7za7i3665za7, " --> ", 5);
	      DEFINE_STRING(BGl_string3620z00zzinline_recursionz00,
		BgL_bgl_string3620za700za7za7i3666za7, "unrolling", 9);
	      DEFINE_STRING(BGl_string3619z00zzinline_recursionz00,
		BgL_bgl_string3619za700za7za7i3667za7, "         ", 9);
	      DEFINE_STRING(BGl_string3638z00zzinline_recursionz00,
		BgL_bgl_string3638za700za7za7i3668za7, "inline_recursion", 16);
	      DEFINE_STRING(BGl_string3639z00zzinline_recursionz00,
		BgL_bgl_string3639za700za7za7i3669za7, "(sifun sgfun) sfun ", 19);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long
		BgL_checksumz00_2598, char *BgL_fromz00_2599)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_recursionz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_recursionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
					BGl_cnstzd2initzd2zzinline_recursionz00();
					BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
					BGl_genericzd2initzd2zzinline_recursionz00();
					BGl_methodzd2initzd2zzinline_recursionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_recursion");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			{	/* Inline/recursion.scm 15 */
				obj_t BgL_cportz00_2588;

				BgL_cportz00_2588 =
					bgl_open_input_string(BGl_string3639z00zzinline_recursionz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2589;

					BgL_iz00_2589 = ((long) 1);
				BgL_loopz00_2590:
					if ((BgL_iz00_2589 == ((long) -1)))
						{	/* Inline/recursion.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/recursion.scm 15 */
							{	/* Inline/recursion.scm 15 */
								obj_t BgL_arg3641z00_2592;

								{	/* Inline/recursion.scm 15 */

									{	/* Inline/recursion.scm 15 */
										obj_t BgL_locationz00_2594;

										BgL_locationz00_2594 = BBOOL(((bool_t) 0));
										{	/* Inline/recursion.scm 15 */

											BgL_arg3641z00_2592 =
												BGl_readz00zz__readerz00(BgL_cportz00_2588,
												BgL_locationz00_2594);
										}
									}
								}
								{	/* Inline/recursion.scm 15 */
									int BgL_auxz00_2618;

									BgL_auxz00_2618 = (int) (BgL_iz00_2589);
									CNST_TABLE_SET(BgL_auxz00_2618, BgL_arg3641z00_2592);
							}}
							{	/* Inline/recursion.scm 15 */
								int BgL_auxz00_2595;

								BgL_auxz00_2595 = (int) ((BgL_iz00_2589 - ((long) 1)));
								{
									long BgL_iz00_2623;

									BgL_iz00_2623 = (long) (BgL_auxz00_2595);
									BgL_iz00_2589 = BgL_iz00_2623;
									goto BgL_loopz00_2590;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}
	}



/* inline-app-recursive */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_1, long BgL_kfactorz00_2, obj_t BgL_stackz00_3)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 40 */
			{	/* Inline/recursion.scm 41 */
				BgL_variablez00_bglt BgL_calleez00_805;

				{	/* Inline/recursion.scm 42 */
					BgL_varz00_bglt BgL_obj1993z00_1577;

					{
						BgL_appz00_bglt BgL_auxz00_2625;

						BgL_auxz00_2625 = (BgL_appz00_bglt) (BgL_nodez00_1);
						BgL_obj1993z00_1577 =
							(((BgL_appz00_bglt) CREF(BgL_auxz00_2625))->BgL_funz00);
					}
					BgL_calleez00_805 =
						(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1577))->BgL_variablez00);
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(obj_t) (BgL_calleez00_805), BgL_stackz00_3)))
					{	/* Inline/recursion.scm 43 */
						return
							BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_1,
							BgL_kfactorz00_2, BgL_stackz00_3,
							BGl_string3616z00zzinline_recursionz00);
					}
				else
					{	/* Inline/recursion.scm 43 */
						return
							(BgL_nodez00_bglt)
							(BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_1,
								BgL_kfactorz00_2, BgL_stackz00_3));
					}
			}
		}
	}



/* _inline-app-recursiv3613 */
	obj_t BGl__inlinezd2appzd2recursiv3613z00zzinline_recursionz00(obj_t
		BgL_envz00_2503, obj_t BgL_nodez00_2504, obj_t BgL_kfactorz00_2505,
		obj_t BgL_stackz00_2506)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 40 */
			return
				(obj_t) (BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
					(BgL_nodez00_bglt) (BgL_nodez00_2504),
					(long) CINT(BgL_kfactorz00_2505), BgL_stackz00_2506));
		}
	}



/* inline-app-labels */
	obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_4, long BgL_kfactorz00_5, obj_t BgL_stackz00_6)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 59 */
			{	/* Inline/recursion.scm 60 */
				BgL_variablez00_bglt BgL_variablez00_808;

				{	/* Inline/recursion.scm 60 */
					BgL_varz00_bglt BgL_obj1993z00_1579;

					{
						BgL_appz00_bglt BgL_auxz00_2640;

						BgL_auxz00_2640 = (BgL_appz00_bglt) (BgL_nodez00_4);
						BgL_obj1993z00_1579 =
							(((BgL_appz00_bglt) CREF(BgL_auxz00_2640))->BgL_funz00);
					}
					BgL_variablez00_808 =
						(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1579))->BgL_variablez00);
				}
				{	/* Inline/recursion.scm 60 */
					long BgL_callzd2siza7ez75_809;

					{	/* Inline/recursion.scm 61 */
						long BgL_auxz00_2644;

						{	/* Inline/recursion.scm 61 */
							obj_t BgL_auxz00_2645;

							{
								BgL_appz00_bglt BgL_auxz00_2646;

								BgL_auxz00_2646 = (BgL_appz00_bglt) (BgL_nodez00_4);
								BgL_auxz00_2645 =
									(((BgL_appz00_bglt) CREF(BgL_auxz00_2646))->BgL_argsz00);
							}
							BgL_auxz00_2644 = bgl_list_length(BgL_auxz00_2645);
						}
						BgL_callzd2siza7ez75_809 = (((long) 1) + BgL_auxz00_2644);
					}
					{	/* Inline/recursion.scm 61 */
						BgL_localz00_bglt BgL_localz00_810;

						{	/* Inline/recursion.scm 62 */
							obj_t BgL_arg3361z00_930;

							BgL_typez00_bglt BgL_arg3362z00_931;

							BgL_valuez00_bglt BgL_arg3363z00_932;

							BgL_arg3361z00_930 =
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_808))->BgL_idz00);
							BgL_arg3362z00_931 =
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_808))->
								BgL_typez00);
							BgL_arg3363z00_932 =
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_808))->
								BgL_valuez00);
							BgL_localz00_810 =
								BGl_makezd2localzd2sfunz00zzast_localz00(BgL_arg3361z00_930,
								BgL_arg3362z00_931, (BgL_sfunz00_bglt) (BgL_arg3363z00_932));
						}
						{	/* Inline/recursion.scm 62 */
							BgL_valuez00_bglt BgL_oldzd2sfunzd2_811;

							BgL_oldzd2sfunzd2_811 =
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_808))->
								BgL_valuez00);
							{	/* Inline/recursion.scm 65 */
								obj_t BgL_reczd2callszd2_812;

								{	/* Inline/recursion.scm 66 */
									BgL_isfunz00_bglt BgL_obj3105z00_1587;

									BgL_obj3105z00_1587 =
										(BgL_isfunz00_bglt) (BgL_oldzd2sfunzd2_811);
									{
										obj_t BgL_auxz00_2658;

										{	/* Inline/recursion.scm 66 */
											BgL_objectz00_bglt BgL_auxz00_2659;

											BgL_auxz00_2659 =
												(BgL_objectz00_bglt) (BgL_obj3105z00_1587);
											BgL_auxz00_2658 = BGL_OBJECT_WIDENING(BgL_auxz00_2659);
										}
										BgL_reczd2callszd2_812 =
											(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2658))->
											BgL_recursivezd2callszd2);
								}}
								{	/* Inline/recursion.scm 66 */
									obj_t BgL_oldzd2argszd2_813;

									{
										BgL_sfunz00_bglt BgL_auxz00_2663;

										BgL_auxz00_2663 =
											(BgL_sfunz00_bglt) (BgL_oldzd2sfunzd2_811);
										BgL_oldzd2argszd2_813 =
											(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2663))->BgL_argsz00);
									}
									{	/* Inline/recursion.scm 67 */
										obj_t BgL_invzd2argszd2_814;

										BgL_invzd2argszd2_814 =
											BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_4,
											BgL_variablez00_808, BgL_reczd2callszd2_812);
										{	/* Inline/recursion.scm 68 */
											obj_t BgL_varzd2argszd2_815;

											BgL_varzd2argszd2_815 =
												BGl_variantzd2argszd2zzinline_variantz00
												(BgL_variablez00_808);
											{	/* Inline/recursion.scm 69 */
												obj_t BgL_newzd2argszd2_816;

												if (NULLP(BgL_varzd2argszd2_815))
													{	/* Inline/recursion.scm 70 */
														BgL_newzd2argszd2_816 = BNIL;
													}
												else
													{	/* Inline/recursion.scm 70 */
														obj_t BgL_head3237z00_914;

														BgL_head3237z00_914 = MAKE_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l3235z00_916;

															obj_t BgL_tail3238z00_917;

															BgL_l3235z00_916 = BgL_varzd2argszd2_815;
															BgL_tail3238z00_917 = BgL_head3237z00_914;
														BgL_zc3anonymousza33354ze3z83_918:
															if (NULLP(BgL_l3235z00_916))
																{	/* Inline/recursion.scm 70 */
																	BgL_newzd2argszd2_816 =
																		CDR(BgL_head3237z00_914);
																}
															else
																{	/* Inline/recursion.scm 70 */
																	obj_t BgL_newtail3239z00_920;

																	{	/* Inline/recursion.scm 70 */
																		BgL_localz00_bglt BgL_arg3357z00_922;

																		{	/* Inline/recursion.scm 70 */
																			obj_t BgL_lz00_924;

																			BgL_lz00_924 = CAR(BgL_l3235z00_916);
																			{	/* Inline/recursion.scm 73 */
																				BgL_svarz00_bglt BgL_arg3359z00_925;

																				{	/* Inline/recursion.scm 73 */
																					BgL_svarz00_bglt
																						BgL_duplicated3206z00_926;
																					{	/* Inline/recursion.scm 73 */
																						BgL_variablez00_bglt
																							BgL_obj1449z00_1595;
																						BgL_obj1449z00_1595 =
																							(BgL_variablez00_bglt)
																							(BgL_lz00_924);
																						BgL_duplicated3206z00_926 =
																							(BgL_svarz00_bglt) (((
																									(BgL_variablez00_bglt)
																									CREF(BgL_obj1449z00_1595))->
																								BgL_valuez00));
																					}
																					{	/* Inline/recursion.scm 73 */
																						BgL_svarz00_bglt BgL_new3207z00_927;

																						{	/* Inline/recursion.scm 73 */
																							obj_t BgL_arg3360z00_928;

																							BgL_arg3360z00_928 =
																								(((BgL_svarz00_bglt)
																									CREF
																									(BgL_duplicated3206z00_926))->
																								BgL_locz00);
																							BgL_new3207z00_927 =
																								BGl_makezd2svarzd2zzast_varz00
																								(BgL_arg3360z00_928);
																						}
																						{	/* Inline/recursion.scm 73 */

																							BgL_arg3359z00_925 =
																								BgL_new3207z00_927;
																						}
																					}
																				}
																				BgL_arg3357z00_922 =
																					BGl_clonezd2localzd2zzast_localz00(
																					(BgL_localz00_bglt) (BgL_lz00_924),
																					(BgL_valuez00_bglt)
																					(BgL_arg3359z00_925));
																			}
																		}
																		BgL_newtail3239z00_920 =
																			MAKE_PAIR(
																			(obj_t) (BgL_arg3357z00_922), BNIL);
																	}
																	SET_CDR(BgL_tail3238z00_917,
																		BgL_newtail3239z00_920);
																	{
																		obj_t BgL_tail3238z00_2688;

																		obj_t BgL_l3235z00_2686;

																		BgL_l3235z00_2686 = CDR(BgL_l3235z00_916);
																		BgL_tail3238z00_2688 =
																			BgL_newtail3239z00_920;
																		BgL_tail3238z00_917 = BgL_tail3238z00_2688;
																		BgL_l3235z00_916 = BgL_l3235z00_2686;
																		goto BgL_zc3anonymousza33354ze3z83_918;
																	}
																}
														}
													}
												{	/* Inline/recursion.scm 70 */
													obj_t BgL_substitutez00_817;

													{	/* Inline/recursion.scm 75 */
														obj_t BgL_arg3352z00_911;

														{
															BgL_appz00_bglt BgL_auxz00_2689;

															BgL_auxz00_2689 =
																(BgL_appz00_bglt) (BgL_nodez00_4);
															BgL_arg3352z00_911 =
																(((BgL_appz00_bglt) CREF(BgL_auxz00_2689))->
																BgL_argsz00);
														}
														BgL_substitutez00_817 =
															BGl_substitutionsz00zzinline_variantz00
															(BgL_variablez00_808, BgL_arg3352z00_911,
															BgL_newzd2argszd2_816);
													}
													{	/* Inline/recursion.scm 75 */
														obj_t BgL_oldzd2bodyzd2_818;

														{	/* Inline/recursion.scm 76 */
															bool_t BgL_testz00_2693;

															{	/* Inline/recursion.scm 76 */
																obj_t BgL_obj3103z00_1603;

																BgL_obj3103z00_1603 =
																	(obj_t) (BgL_oldzd2sfunzd2_811);
																BgL_testz00_2693 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_obj3103z00_1603,
																	BGl_isfunz00zzinline_inlinez00);
															}
															if (BgL_testz00_2693)
																{	/* Inline/recursion.scm 77 */
																	BgL_isfunz00_bglt BgL_obj3104z00_1604;

																	BgL_obj3104z00_1604 =
																		(BgL_isfunz00_bglt) (BgL_oldzd2sfunzd2_811);
																	{	/* Inline/recursion.scm 77 */
																		BgL_nodez00_bglt BgL_auxz00_2697;

																		{
																			obj_t BgL_auxz00_2698;

																			{	/* Inline/recursion.scm 77 */
																				BgL_objectz00_bglt BgL_auxz00_2699;

																				BgL_auxz00_2699 =
																					(BgL_objectz00_bglt)
																					(BgL_obj3104z00_1604);
																				BgL_auxz00_2698 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2699);
																			}
																			BgL_auxz00_2697 =
																				(((BgL_isfunz00_bglt)
																					CREF(BgL_auxz00_2698))->
																				BgL_originalzd2bodyzd2);
																		}
																		BgL_oldzd2bodyzd2_818 =
																			(obj_t) (BgL_auxz00_2697);
																	}
																}
															else
																{
																	BgL_sfunz00_bglt BgL_auxz00_2704;

																	BgL_auxz00_2704 =
																		(BgL_sfunz00_bglt) (BgL_oldzd2sfunzd2_811);
																	BgL_oldzd2bodyzd2_818 =
																		(((BgL_sfunz00_bglt)
																			CREF(BgL_auxz00_2704))->BgL_bodyz00);
																}
														}
														{	/* Inline/recursion.scm 76 */
															obj_t BgL_svgzd2callszd2argsz00_819;

															if (NULLP(BgL_reczd2callszd2_812))
																{	/* Inline/recursion.scm 79 */
																	BgL_svgzd2callszd2argsz00_819 = BNIL;
																}
															else
																{	/* Inline/recursion.scm 79 */
																	obj_t BgL_head3242z00_898;

																	BgL_head3242z00_898 = MAKE_PAIR(BNIL, BNIL);
																	{
																		obj_t BgL_l3240z00_900;

																		obj_t BgL_tail3243z00_901;

																		BgL_l3240z00_900 = BgL_reczd2callszd2_812;
																		BgL_tail3243z00_901 = BgL_head3242z00_898;
																	BgL_zc3anonymousza33346ze3z83_902:
																		if (NULLP(BgL_l3240z00_900))
																			{	/* Inline/recursion.scm 79 */
																				BgL_svgzd2callszd2argsz00_819 =
																					CDR(BgL_head3242z00_898);
																			}
																		else
																			{	/* Inline/recursion.scm 79 */
																				obj_t BgL_newtail3244z00_904;

																				{	/* Inline/recursion.scm 79 */
																					obj_t BgL_arg3349z00_906;

																					{	/* Inline/recursion.scm 79 */
																						BgL_appz00_bglt BgL_obj2090z00_1612;

																						{	/* Inline/recursion.scm 79 */
																							obj_t BgL_pairz00_1611;

																							BgL_pairz00_1611 =
																								BgL_l3240z00_900;
																							BgL_obj2090z00_1612 =
																								(BgL_appz00_bglt) (CAR
																								(BgL_pairz00_1611));
																						}
																						BgL_arg3349z00_906 =
																							(((BgL_appz00_bglt)
																								CREF(BgL_obj2090z00_1612))->
																							BgL_argsz00);
																					}
																					BgL_newtail3244z00_904 =
																						MAKE_PAIR(BgL_arg3349z00_906, BNIL);
																				}
																				SET_CDR(BgL_tail3243z00_901,
																					BgL_newtail3244z00_904);
																				{
																					obj_t BgL_tail3243z00_2720;

																					obj_t BgL_l3240z00_2718;

																					BgL_l3240z00_2718 =
																						CDR(BgL_l3240z00_900);
																					BgL_tail3243z00_2720 =
																						BgL_newtail3244z00_904;
																					BgL_tail3243z00_901 =
																						BgL_tail3243z00_2720;
																					BgL_l3240z00_900 = BgL_l3240z00_2718;
																					goto
																						BgL_zc3anonymousza33346ze3z83_902;
																				}
																			}
																	}
																}
															{	/* Inline/recursion.scm 79 */
																bool_t BgL_removez12z12_820;

																{
																	obj_t BgL_l3245z00_890;

																	BgL_l3245z00_890 = BgL_reczd2callszd2_812;
																BgL_zc3anonymousza33341ze3z83_891:
																	if (PAIRP(BgL_l3245z00_890))
																		{	/* Inline/recursion.scm 80 */
																			{	/* Inline/recursion.scm 80 */
																				obj_t BgL_arg3343z00_893;

																				BgL_arg3343z00_893 =
																					CAR(BgL_l3245z00_890);
																				BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																					((BgL_appz00_bglt)
																					(BgL_arg3343z00_893));
																			}
																			{
																				obj_t BgL_l3245z00_2726;

																				BgL_l3245z00_2726 =
																					CDR(BgL_l3245z00_890);
																				BgL_l3245z00_890 = BgL_l3245z00_2726;
																				goto BgL_zc3anonymousza33341ze3z83_891;
																			}
																		}
																	else
																		{	/* Inline/recursion.scm 80 */
																			BgL_removez12z12_820 = ((bool_t) 1);
																		}
																}
																{	/* Inline/recursion.scm 80 */
																	BgL_nodez00_bglt BgL_newzd2bodyzd2_821;

																	{	/* Inline/recursion.scm 81 */
																		obj_t BgL_arg3338z00_886;

																		obj_t BgL_arg3339z00_887;

																		obj_t BgL_arg3340z00_888;

																		BgL_arg3338z00_886 =
																			MAKE_PAIR(
																			(obj_t) (BgL_variablez00_808),
																			BgL_oldzd2argszd2_813);
																		BgL_arg3339z00_887 =
																			MAKE_PAIR((obj_t) (BgL_localz00_810),
																			BgL_substitutez00_817);
																		BgL_arg3340z00_888 =
																			(((BgL_nodez00_bglt)
																				CREF(BgL_nodez00_4))->BgL_locz00);
																		BgL_newzd2bodyzd2_821 =
																			BGl_alphatiza7eza7zzast_alphatiza7eza7
																			(BgL_arg3338z00_886, BgL_arg3339z00_887,
																			BgL_arg3340z00_888,
																			(BgL_nodez00_bglt)
																			(BgL_oldzd2bodyzd2_818));
																	}
																	{	/* Inline/recursion.scm 81 */
																		bool_t BgL_restorez12z12_822;

																		{
																			obj_t BgL_ll3247z00_877;

																			obj_t BgL_ll3248z00_878;

																			BgL_ll3247z00_877 =
																				BgL_reczd2callszd2_812;
																			BgL_ll3248z00_878 =
																				BgL_svgzd2callszd2argsz00_819;
																		BgL_zc3anonymousza33334ze3z83_879:
																			if (NULLP(BgL_ll3247z00_877))
																				{	/* Inline/recursion.scm 85 */
																					BgL_restorez12z12_822 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/recursion.scm 85 */
																					{	/* Inline/recursion.scm 86 */
																						obj_t BgL_appz00_881;

																						obj_t BgL_argsz00_882;

																						BgL_appz00_881 =
																							CAR(BgL_ll3247z00_877);
																						BgL_argsz00_882 =
																							CAR(BgL_ll3248z00_878);
																						{
																							BgL_appz00_bglt BgL_auxz00_2739;

																							BgL_auxz00_2739 =
																								(BgL_appz00_bglt)
																								(BgL_appz00_881);
																							((((BgL_appz00_bglt)
																										CREF(BgL_auxz00_2739))->
																									BgL_argsz00) =
																								((obj_t) BgL_argsz00_882),
																								BUNSPEC);
																						}
																					}
																					{
																						obj_t BgL_ll3248z00_2744;

																						obj_t BgL_ll3247z00_2742;

																						BgL_ll3247z00_2742 =
																							CDR(BgL_ll3247z00_877);
																						BgL_ll3248z00_2744 =
																							CDR(BgL_ll3248z00_878);
																						BgL_ll3248z00_878 =
																							BgL_ll3248z00_2744;
																						BgL_ll3247z00_877 =
																							BgL_ll3247z00_2742;
																						goto
																							BgL_zc3anonymousza33334ze3z83_879;
																					}
																				}
																		}
																		{	/* Inline/recursion.scm 85 */
																			BgL_sfunz00_bglt BgL_newzd2sfunzd2_823;

																			{	/* Inline/recursion.scm 89 */
																				BgL_sfunz00_bglt
																					BgL_duplicated3208z00_859;
																				BgL_duplicated3208z00_859 =
																					(BgL_sfunz00_bglt)
																					(BgL_oldzd2sfunzd2_811);
																				{	/* Inline/recursion.scm 89 */
																					BgL_sfunz00_bglt BgL_new3209z00_860;

																					{	/* Inline/recursion.scm 89 */
																						long BgL_arg3319z00_861;

																						obj_t BgL_arg3320z00_862;

																						obj_t BgL_arg3321z00_863;

																						obj_t BgL_arg3322z00_864;

																						bool_t BgL_arg3323z00_865;

																						obj_t BgL_arg3324z00_866;

																						obj_t BgL_arg3325z00_867;

																						obj_t BgL_arg3326z00_868;

																						obj_t BgL_arg3327z00_869;

																						obj_t BgL_arg3328z00_870;

																						obj_t BgL_arg3329z00_871;

																						obj_t BgL_arg3330z00_872;

																						obj_t BgL_arg3331z00_873;

																						obj_t BgL_arg3332z00_874;

																						obj_t BgL_arg3333z00_875;

																						{
																							BgL_funz00_bglt BgL_auxz00_2747;

																							BgL_auxz00_2747 =
																								(BgL_funz00_bglt)
																								(BgL_duplicated3208z00_859);
																							BgL_arg3319z00_861 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_auxz00_2747))->
																								BgL_arityz00);
																						}
																						{
																							BgL_funz00_bglt BgL_auxz00_2750;

																							BgL_auxz00_2750 =
																								(BgL_funz00_bglt)
																								(BgL_duplicated3208z00_859);
																							BgL_arg3320z00_862 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_auxz00_2750))->
																								BgL_sidezd2effectzf3z21);
																						}
																						{
																							BgL_funz00_bglt BgL_auxz00_2753;

																							BgL_auxz00_2753 =
																								(BgL_funz00_bglt)
																								(BgL_duplicated3208z00_859);
																							BgL_arg3321z00_863 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_auxz00_2753))->
																								BgL_predicatezd2ofzd2);
																						}
																						{
																							BgL_funz00_bglt BgL_auxz00_2756;

																							BgL_auxz00_2756 =
																								(BgL_funz00_bglt)
																								(BgL_duplicated3208z00_859);
																							BgL_arg3322z00_864 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_auxz00_2756))->
																								BgL_stackzd2allocatorzd2);
																						}
																						{
																							BgL_funz00_bglt BgL_auxz00_2759;

																							BgL_auxz00_2759 =
																								(BgL_funz00_bglt)
																								(BgL_duplicated3208z00_859);
																							BgL_arg3323z00_865 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_auxz00_2759))->
																								BgL_topzf3zf3);
																						}
																						{
																							BgL_funz00_bglt BgL_auxz00_2762;

																							BgL_auxz00_2762 =
																								(BgL_funz00_bglt)
																								(BgL_duplicated3208z00_859);
																							BgL_arg3324z00_866 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_auxz00_2762))->
																								BgL_thezd2closurezd2);
																						}
																						{
																							BgL_funz00_bglt BgL_auxz00_2765;

																							BgL_auxz00_2765 =
																								(BgL_funz00_bglt)
																								(BgL_duplicated3208z00_859);
																							BgL_arg3325z00_867 =
																								(((BgL_funz00_bglt)
																									CREF(BgL_auxz00_2765))->
																								BgL_effectz00);
																						}
																						BgL_arg3326z00_868 =
																							(((BgL_sfunz00_bglt)
																								CREF
																								(BgL_duplicated3208z00_859))->
																							BgL_propertyz00);
																						BgL_arg3327z00_869 =
																							(((BgL_sfunz00_bglt)
																								CREF
																								(BgL_duplicated3208z00_859))->
																							BgL_argszd2namezd2);
																						BgL_arg3328z00_870 =
																							CNST_TABLE_REF(((long) 0));
																						BgL_arg3329z00_871 =
																							(((BgL_sfunz00_bglt)
																								CREF
																								(BgL_duplicated3208z00_859))->
																							BgL_dssslzd2keywordszd2);
																						BgL_arg3330z00_872 =
																							(((BgL_sfunz00_bglt)
																								CREF
																								(BgL_duplicated3208z00_859))->
																							BgL_locz00);
																						BgL_arg3331z00_873 =
																							(((BgL_sfunz00_bglt)
																								CREF
																								(BgL_duplicated3208z00_859))->
																							BgL_optionalsz00);
																						BgL_arg3332z00_874 =
																							(((BgL_sfunz00_bglt)
																								CREF
																								(BgL_duplicated3208z00_859))->
																							BgL_keysz00);
																						BgL_arg3333z00_875 =
																							(((BgL_sfunz00_bglt)
																								CREF
																								(BgL_duplicated3208z00_859))->
																							BgL_thezd2closurezd2globalz00);
																						BgL_new3209z00_860 =
																							BGl_makezd2sfunzd2zzast_varz00
																							(BgL_arg3319z00_861,
																							BgL_arg3320z00_862,
																							BgL_arg3321z00_863,
																							BgL_arg3322z00_864,
																							BgL_arg3323z00_865,
																							BgL_arg3324z00_866,
																							BgL_arg3325z00_867,
																							BgL_arg3326z00_868,
																							BgL_newzd2argszd2_816,
																							BgL_arg3327z00_869,
																							(obj_t) (BgL_newzd2bodyzd2_821),
																							BgL_arg3328z00_870,
																							BgL_arg3329z00_871,
																							BgL_arg3330z00_872,
																							BgL_arg3331z00_873,
																							BgL_arg3332z00_874,
																							BgL_arg3333z00_875);
																					}
																					{	/* Inline/recursion.scm 89 */

																						BgL_newzd2sfunzd2_823 =
																							BgL_new3209z00_860;
																			}}}
																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_newzd2kfactorzd2_824;

																				BgL_newzd2kfactorzd2_824 =
																					PROCEDURE_ENTRY
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
																					BINT(BgL_kfactorz00_5), BEOA);
																				{	/* Inline/recursion.scm 93 */

																					{
																						obj_t BgL_ll3250z00_826;

																						obj_t BgL_ll3251z00_827;

																						BgL_ll3250z00_826 =
																							BgL_newzd2argszd2_816;
																						BgL_ll3251z00_827 =
																							BgL_varzd2argszd2_815;
																					BgL_zc3anonymousza33293ze3z83_828:
																						if (NULLP(BgL_ll3250z00_826))
																							{	/* Inline/recursion.scm 95 */
																								((bool_t) 1);
																							}
																						else
																							{	/* Inline/recursion.scm 95 */
																								{	/* Inline/recursion.scm 96 */
																									obj_t BgL_newz00_830;

																									obj_t BgL_oldz00_831;

																									BgL_newz00_830 =
																										CAR(BgL_ll3250z00_826);
																									BgL_oldz00_831 =
																										CAR(BgL_ll3251z00_827);
																									{	/* Inline/recursion.scm 96 */
																										bool_t BgL_arg3295z00_832;

																										{
																											BgL_localz00_bglt
																												BgL_auxz00_2785;
																											BgL_auxz00_2785 =
																												(BgL_localz00_bglt)
																												(BgL_oldz00_831);
																											BgL_arg3295z00_832 =
																												(((BgL_localz00_bglt)
																													CREF
																													(BgL_auxz00_2785))->
																												BgL_userzf3zf3);
																										}
																										{
																											BgL_localz00_bglt
																												BgL_auxz00_2788;
																											BgL_auxz00_2788 =
																												(BgL_localz00_bglt)
																												(BgL_newz00_830);
																											((((BgL_localz00_bglt)
																														CREF
																														(BgL_auxz00_2788))->
																													BgL_userzf3zf3) =
																												((bool_t)
																													BgL_arg3295z00_832),
																												BUNSPEC);
																										}
																									}
																								}
																								{
																									obj_t BgL_ll3251z00_2793;

																									obj_t BgL_ll3250z00_2791;

																									BgL_ll3250z00_2791 =
																										CDR(BgL_ll3250z00_826);
																									BgL_ll3251z00_2793 =
																										CDR(BgL_ll3251z00_827);
																									BgL_ll3251z00_827 =
																										BgL_ll3251z00_2793;
																									BgL_ll3250z00_826 =
																										BgL_ll3250z00_2791;
																									goto
																										BgL_zc3anonymousza33293ze3z83_828;
																								}
																							}
																					}
																					{	/* Inline/recursion.scm 101 */
																						bool_t BgL_arg3298z00_836;

																						{	/* Inline/recursion.scm 101 */
																							bool_t BgL_testz00_2795;

																							{	/* Inline/recursion.scm 101 */
																								obj_t BgL_obj1589z00_1651;

																								BgL_obj1589z00_1651 =
																									(obj_t) (BgL_variablez00_808);
																								BgL_testz00_2795 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1589z00_1651,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_2795)
																								{
																									BgL_globalz00_bglt
																										BgL_auxz00_2798;
																									BgL_auxz00_2798 =
																										(BgL_globalz00_bglt)
																										(BgL_variablez00_808);
																									BgL_arg3298z00_836 =
																										(((BgL_globalz00_bglt)
																											CREF(BgL_auxz00_2798))->
																										BgL_userzf3zf3);
																								}
																							else
																								{	/* Inline/recursion.scm 103 */
																									bool_t BgL_testz00_2801;

																									{	/* Inline/recursion.scm 103 */
																										obj_t BgL_obj1649z00_1653;

																										BgL_obj1649z00_1653 =
																											(obj_t)
																											(BgL_variablez00_808);
																										BgL_testz00_2801 =
																											BGl_iszd2azf3z21zz__objectz00
																											(BgL_obj1649z00_1653,
																											BGl_localz00zzast_varz00);
																									}
																									if (BgL_testz00_2801)
																										{
																											BgL_localz00_bglt
																												BgL_auxz00_2804;
																											BgL_auxz00_2804 =
																												(BgL_localz00_bglt)
																												(BgL_variablez00_808);
																											BgL_arg3298z00_836 =
																												(((BgL_localz00_bglt)
																													CREF
																													(BgL_auxz00_2804))->
																												BgL_userzf3zf3);
																										}
																									else
																										{	/* Inline/recursion.scm 103 */
																											BgL_arg3298z00_836 =
																												((bool_t) 0);
																										}
																								}
																						}
																						((((BgL_localz00_bglt)
																									CREF(BgL_localz00_810))->
																								BgL_userzf3zf3) =
																							((bool_t) BgL_arg3298z00_836),
																							BUNSPEC);
																					}
																					{
																						BgL_valuez00_bglt BgL_auxz00_2810;

																						BgL_variablez00_bglt
																							BgL_auxz00_2808;
																						BgL_auxz00_2810 =
																							(BgL_valuez00_bglt)
																							(BgL_newzd2sfunzd2_823);
																						BgL_auxz00_2808 =
																							(BgL_variablez00_bglt)
																							(BgL_localz00_810);
																						((((BgL_variablez00_bglt)
																									CREF(BgL_auxz00_2808))->
																								BgL_valuez00) =
																							((BgL_valuez00_bglt)
																								BgL_auxz00_2810), BUNSPEC);
																					}
																					{	/* Inline/recursion.scm 116 */
																						bool_t BgL_testz00_2813;

																						{	/* Inline/recursion.scm 116 */
																							obj_t BgL_auxz00_2814;

																							{	/* Inline/recursion.scm 116 */
																								obj_t BgL_auxz00_2815;

																								{
																									BgL_sfunz00_bglt
																										BgL_auxz00_2816;
																									BgL_auxz00_2816 =
																										(BgL_sfunz00_bglt)
																										(BgL_oldzd2sfunzd2_811);
																									BgL_auxz00_2815 =
																										(((BgL_sfunz00_bglt)
																											CREF(BgL_auxz00_2816))->
																										BgL_classz00);
																								}
																								BgL_auxz00_2814 =
																									BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(BgL_auxz00_2815,
																									CNST_TABLE_REF(((long) 1)));
																							}
																							BgL_testz00_2813 =
																								CBOOL(BgL_auxz00_2814);
																						}
																						if (BgL_testz00_2813)
																							{	/* Inline/recursion.scm 116 */
																								BFALSE;
																							}
																						else
																							{	/* Inline/recursion.scm 116 */
																								if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)), BGl_za2verboseza2z00zzengine_paramz00))
																									{	/* Inline/recursion.scm 117 */
																										obj_t BgL_arg3304z00_843;

																										obj_t BgL_arg3306z00_845;

																										BgL_arg3304z00_843 =
																											BGl_shapez00zztools_shapez00
																											((obj_t)
																											(BgL_variablez00_808));
																										BgL_arg3306z00_845 =
																											BGl_currentzd2functionzd2zztools_errorz00
																											();
																										{	/* Inline/recursion.scm 117 */
																											obj_t BgL_list3308z00_847;

																											{	/* Inline/recursion.scm 117 */
																												obj_t
																													BgL_arg3309z00_848;
																												{	/* Inline/recursion.scm 117 */
																													obj_t
																														BgL_arg3310z00_849;
																													{	/* Inline/recursion.scm 117 */
																														obj_t
																															BgL_arg3311z00_850;
																														{	/* Inline/recursion.scm 117 */
																															obj_t
																																BgL_arg3312z00_851;
																															{	/* Inline/recursion.scm 117 */
																																obj_t
																																	BgL_arg3313z00_852;
																																BgL_arg3313z00_852
																																	=
																																	MAKE_PAIR
																																	(BCHAR((
																																			(unsigned
																																				char)
																																			'\n')),
																																	BNIL);
																																BgL_arg3312z00_851
																																	=
																																	MAKE_PAIR
																																	(BGl_string3617z00zzinline_recursionz00,
																																	BgL_arg3313z00_852);
																															}
																															BgL_arg3311z00_850
																																=
																																MAKE_PAIR
																																(BgL_arg3306z00_845,
																																BgL_arg3312z00_851);
																														}
																														BgL_arg3310z00_849 =
																															MAKE_PAIR
																															(BGl_string3618z00zzinline_recursionz00,
																															BgL_arg3311z00_850);
																													}
																													BgL_arg3309z00_848 =
																														MAKE_PAIR
																														(BgL_arg3304z00_843,
																														BgL_arg3310z00_849);
																												}
																												BgL_list3308z00_847 =
																													MAKE_PAIR
																													(BGl_string3619z00zzinline_recursionz00,
																													BgL_arg3309z00_848);
																											}
																											BGl_verbosez00zztools_speekz00
																												(BINT(((long) 3)),
																												BgL_list3308z00_847);
																									}}
																								else
																									{	/* Inline/recursion.scm 117 */
																										BUNSPEC;
																									}
																							}
																					}
																					BGl_inlinezd2sfunz12zc0zzinline_inlinez00
																						((BgL_variablez00_bglt)
																						(BgL_localz00_810),
																						(long)
																						CINT(BgL_newzd2kfactorzd2_824),
																						BgL_stackz00_6);
																					{	/* Inline/recursion.scm 127 */
																						BgL_appz00_bglt
																							BgL_newzd2callzd2_855;
																						BgL_newzd2callzd2_855 =
																							BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																							((BgL_appz00_bglt)
																							(BgL_nodez00_4));
																						{	/* Inline/recursion.scm 128 */
																							bool_t BgL_testz00_2842;

																							if (CBOOL
																								(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
																								{	/* Inline/recursion.scm 128 */
																									if (BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_808))
																										{	/* Inline/recursion.scm 129 */
																											if (BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_808))
																												{	/* Inline/recursion.scm 132 */
																													BgL_testz00_2842 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Inline/recursion.scm 132 */
																													BgL_testz00_2842 =
																														BGl_inlinezd2appzf3z21zzinline_appz00
																														(
																														(BgL_variablez00_bglt)
																														(BgL_localz00_810),
																														(long)
																														CINT
																														(BgL_newzd2kfactorzd2_824),
																														BgL_callzd2siza7ez75_809,
																														BgL_stackz00_6);
																										}}
																									else
																										{	/* Inline/recursion.scm 129 */
																											BgL_testz00_2842 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Inline/recursion.scm 128 */
																									BgL_testz00_2842 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_2842)
																								{	/* Inline/recursion.scm 128 */
																									return
																										BGl_unrollzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_808,
																										BgL_nodez00_4,
																										BgL_localz00_810,
																										BgL_newzd2kfactorzd2_824,
																										BgL_newzd2callzd2_855,
																										BgL_stackz00_6);
																								}
																							else
																								{	/* Inline/recursion.scm 128 */
																									return
																										(obj_t)
																										(BGl_plainzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_808,
																											BgL_nodez00_4,
																											BgL_localz00_810,
																											BgL_newzd2callzd2_855,
																											BgL_stackz00_6));
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* plain-call */
	BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_7, BgL_nodez00_bglt BgL_nodez00_8,
		BgL_localz00_bglt BgL_localz00_9, BgL_appz00_bglt BgL_newzd2callzd2_10,
		obj_t BgL_stackz00_11)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 140 */
			BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_7);
			{	/* Inline/recursion.scm 150 */
				obj_t BgL_locz00_937;

				BgL_locz00_937 = (((BgL_nodez00_bglt) CREF(BgL_nodez00_8))->BgL_locz00);
				{	/* Inline/recursion.scm 153 */
					BgL_typez00_bglt BgL_arg3369z00_938;

					obj_t BgL_arg3371z00_940;

					BgL_nodez00_bglt BgL_arg3372z00_941;

					BgL_arg3369z00_938 =
						(((BgL_nodez00_bglt) CREF(BgL_nodez00_8))->BgL_typez00);
					{	/* Inline/recursion.scm 154 */
						obj_t BgL_list3373z00_942;

						BgL_list3373z00_942 = MAKE_PAIR((obj_t) (BgL_localz00_9), BNIL);
						BgL_arg3371z00_940 = BgL_list3373z00_942;
					}
					{	/* Inline/recursion.scm 155 */
						obj_t BgL_arg3374z00_943;

						obj_t BgL_arg3375z00_944;

						{	/* Inline/recursion.scm 155 */
							obj_t BgL_list3376z00_945;

							BgL_list3376z00_945 =
								MAKE_PAIR((obj_t) (BgL_variablez00_7), BNIL);
							BgL_arg3374z00_943 = BgL_list3376z00_945;
						}
						{	/* Inline/recursion.scm 155 */
							obj_t BgL_list3377z00_946;

							BgL_list3377z00_946 = MAKE_PAIR((obj_t) (BgL_localz00_9), BNIL);
							BgL_arg3375z00_944 = BgL_list3377z00_946;
						}
						BgL_arg3372z00_941 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg3374z00_943,
							BgL_arg3375z00_944, BgL_locz00_937,
							(BgL_nodez00_bglt) (BgL_newzd2callzd2_10));
					}
					return
						BGl_makezd2letzd2funz00zzast_nodez00(BgL_locz00_937,
						BgL_arg3369z00_938, BUNSPEC, BINT(((long) -1)), BgL_arg3371z00_940,
						BgL_arg3372z00_941);
		}}}
	}



/* unroll-call */
	obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_12, BgL_nodez00_bglt BgL_nodez00_13,
		BgL_localz00_bglt BgL_localz00_14, obj_t BgL_kfactorz00_15,
		BgL_appz00_bglt BgL_callz00_16, obj_t BgL_stackz00_17)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 160 */
			{	/* Inline/recursion.scm 166 */
				obj_t BgL_locz00_947;

				{
					BgL_nodez00_bglt BgL_auxz00_2868;

					BgL_auxz00_2868 = (BgL_nodez00_bglt) (BgL_callz00_16);
					BgL_locz00_947 =
						(((BgL_nodez00_bglt) CREF(BgL_auxz00_2868))->BgL_locz00);
				}
				{	/* Inline/recursion.scm 166 */
					BgL_nodez00_bglt BgL_newzd2callzd2_948;

					{	/* Inline/recursion.scm 167 */
						obj_t BgL_arg3389z00_966;

						obj_t BgL_arg3390z00_967;

						{	/* Inline/recursion.scm 167 */
							obj_t BgL_list3391z00_968;

							BgL_list3391z00_968 =
								MAKE_PAIR((obj_t) (BgL_variablez00_12), BNIL);
							BgL_arg3389z00_966 = BgL_list3391z00_968;
						}
						{	/* Inline/recursion.scm 167 */
							obj_t BgL_list3392z00_969;

							BgL_list3392z00_969 = MAKE_PAIR((obj_t) (BgL_localz00_14), BNIL);
							BgL_arg3390z00_967 = BgL_list3392z00_969;
						}
						BgL_newzd2callzd2_948 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg3389z00_966,
							BgL_arg3390z00_967, BgL_locz00_947,
							(BgL_nodez00_bglt) (BgL_callz00_16));
					}
					{	/* Inline/recursion.scm 168 */
						BgL_nodez00_bglt BgL_newzd2bodyzd2_950;

						{	/* Inline/recursion.scm 171 */
							obj_t BgL_arg3386z00_963;

							BgL_arg3386z00_963 =
								MAKE_PAIR((obj_t) (BgL_localz00_14), BgL_stackz00_17);
							BgL_newzd2bodyzd2_950 =
								BGl_inlinezd2appzd2simplez00zzinline_simplez00
								(BgL_newzd2callzd2_948, (long) CINT(BgL_kfactorz00_15),
								BgL_arg3386z00_963, BGl_string3620z00zzinline_recursionz00);
						}
						{	/* Inline/recursion.scm 169 */

							BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_12);
							{	/* Inline/recursion.scm 180 */
								obj_t BgL__z00_951;

								{	/* Inline/recursion.scm 186 */
									BgL_nodez00_bglt BgL_arg3378z00_953;

									{	/* Inline/recursion.scm 186 */
										obj_t BgL_zc3anonymousza33381ze3z83_2507;

										BgL_zc3anonymousza33381ze3z83_2507 =
											make_fx_procedure
											(BGl_zc3anonymousza33381ze3z83zzinline_recursionz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza33381ze3z83_2507,
											(int) (((long) 0)), (obj_t) (BgL_localz00_14));
										PROCEDURE_SET(BgL_zc3anonymousza33381ze3z83_2507,
											(int) (((long) 1)), BgL_locz00_947);
										BgL_arg3378z00_953 =
											BGl_nestzd2loopz12zc0zzinline_loopz00
											(BgL_newzd2bodyzd2_950, BgL_localz00_14,
											BgL_zc3anonymousza33381ze3z83_2507);
									}
									BgL__z00_951 =
										BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg3378z00_953,
										BNIL);
								}
								{	/* Inline/recursion.scm 180 */
									obj_t BgL_nodez00_952;

									{	/* Inline/recursion.scm 180 */
										int BgL_auxz00_2892;

										BgL_auxz00_2892 = (int) (((long) 1));
										BgL_nodez00_952 = BGL_MVALUES_VAL(BgL_auxz00_2892);
									}
									return BgL_nodez00_952;
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:3381> */
	obj_t BGl_zc3anonymousza33381ze3z83zzinline_recursionz00(obj_t
		BgL_envz00_2508, obj_t BgL_nodez00_2511)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 183 */
			{	/* Inline/recursion.scm 186 */
				obj_t BgL_localz00_2509;

				obj_t BgL_locz00_2510;

				BgL_localz00_2509 = PROCEDURE_REF(BgL_envz00_2508, (int) (((long) 0)));
				BgL_locz00_2510 = PROCEDURE_REF(BgL_envz00_2508, (int) (((long) 1)));
				{
					obj_t BgL_nodez00_956;

					{	/* Inline/recursion.scm 186 */
						BgL_letzd2funzd2_bglt BgL_auxz00_2899;

						BgL_nodez00_956 = BgL_nodez00_2511;
						{	/* Inline/recursion.scm 186 */
							BgL_typez00_bglt BgL_arg3382z00_958;

							obj_t BgL_arg3384z00_960;

							{
								BgL_nodez00_bglt BgL_auxz00_2900;

								BgL_auxz00_2900 = (BgL_nodez00_bglt) (BgL_nodez00_956);
								BgL_arg3382z00_958 =
									(((BgL_nodez00_bglt) CREF(BgL_auxz00_2900))->BgL_typez00);
							}
							{	/* Inline/recursion.scm 188 */
								obj_t BgL_list3385z00_961;

								BgL_list3385z00_961 = MAKE_PAIR(BgL_localz00_2509, BNIL);
								BgL_arg3384z00_960 = BgL_list3385z00_961;
							}
							BgL_auxz00_2899 =
								BGl_makezd2letzd2funz00zzast_nodez00(BgL_locz00_2510,
								BgL_arg3382z00_958, BUNSPEC, BINT(((long) -1)),
								BgL_arg3384z00_960, (BgL_nodez00_bglt) (BgL_nodez00_956));
						}
						return (obj_t) (BgL_auxz00_2899);
					}
				}
			}
		}
	}



/* is-recursive? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_18)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 195 */
			{	/* Inline/recursion.scm 197 */
				BgL_valuez00_bglt BgL_sfunz00_970;

				BgL_sfunz00_970 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_18))->BgL_valuez00);
				{	/* Inline/recursion.scm 198 */
					bool_t BgL_testz00_2909;

					{	/* Inline/recursion.scm 198 */
						obj_t BgL_obj3103z00_1680;

						BgL_obj3103z00_1680 = (obj_t) (BgL_sfunz00_970);
						BgL_testz00_2909 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3103z00_1680,
							BGl_isfunz00zzinline_inlinez00);
					}
					if (BgL_testz00_2909)
						{	/* Inline/recursion.scm 205 */
							bool_t BgL_testz00_2912;

							{	/* Inline/recursion.scm 205 */
								obj_t BgL_auxz00_2913;

								{	/* Inline/recursion.scm 205 */
									BgL_isfunz00_bglt BgL_obj3105z00_1681;

									BgL_obj3105z00_1681 = (BgL_isfunz00_bglt) (BgL_sfunz00_970);
									{
										obj_t BgL_auxz00_2915;

										{	/* Inline/recursion.scm 205 */
											BgL_objectz00_bglt BgL_auxz00_2916;

											BgL_auxz00_2916 =
												(BgL_objectz00_bglt) (BgL_obj3105z00_1681);
											BgL_auxz00_2915 = BGL_OBJECT_WIDENING(BgL_auxz00_2916);
										}
										BgL_auxz00_2913 =
											(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2915))->
											BgL_recursivezd2callszd2);
									}
								}
								BgL_testz00_2912 = PAIRP(BgL_auxz00_2913);
							}
							if (BgL_testz00_2912)
								{	/* Inline/recursion.scm 205 */
									return ((bool_t) 1);
								}
							else
								{	/* Inline/recursion.scm 207 */
									bool_t BgL_testz00_2921;

									{	/* Inline/recursion.scm 207 */
										obj_t BgL_auxz00_2922;

										{	/* Inline/recursion.scm 207 */
											BgL_isfunz00_bglt BgL_obj3105z00_1683;

											BgL_obj3105z00_1683 =
												(BgL_isfunz00_bglt) (BgL_sfunz00_970);
											{
												obj_t BgL_auxz00_2924;

												{	/* Inline/recursion.scm 207 */
													BgL_objectz00_bglt BgL_auxz00_2925;

													BgL_auxz00_2925 =
														(BgL_objectz00_bglt) (BgL_obj3105z00_1683);
													BgL_auxz00_2924 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2925);
												}
												BgL_auxz00_2922 =
													(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2924))->
													BgL_recursivezd2callszd2);
											}
										}
										BgL_testz00_2921 = NULLP(BgL_auxz00_2922);
									}
									if (BgL_testz00_2921)
										{	/* Inline/recursion.scm 207 */
											return ((bool_t) 0);
										}
									else
										{	/* Inline/recursion.scm 210 */
											obj_t BgL_callsz00_974;

											{	/* Inline/recursion.scm 210 */
												BgL_nodez00_bglt BgL_arg3396z00_975;

												{	/* Inline/recursion.scm 210 */
													BgL_isfunz00_bglt BgL_obj3104z00_1685;

													BgL_obj3104z00_1685 =
														(BgL_isfunz00_bglt) (BgL_sfunz00_970);
													{
														obj_t BgL_auxz00_2931;

														{	/* Inline/recursion.scm 210 */
															BgL_objectz00_bglt BgL_auxz00_2932;

															BgL_auxz00_2932 =
																(BgL_objectz00_bglt) (BgL_obj3104z00_1685);
															BgL_auxz00_2931 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2932);
														}
														BgL_arg3396z00_975 =
															(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2931))->
															BgL_originalzd2bodyzd2);
													}
												}
												{	/* Inline/recursion.scm 210 */
													obj_t BgL_method3254z00_1688;

													{	/* Inline/recursion.scm 210 */
														BgL_objectz00_bglt BgL_objz00_1689;

														BgL_objz00_1689 =
															(BgL_objectz00_bglt) (BgL_arg3396z00_975);
														{	/* Inline/recursion.scm 210 */
															long BgL_objzd2classzd2numz00_1690;

															BgL_objzd2classzd2numz00_1690 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1689);
															{	/* Inline/recursion.scm 210 */
																obj_t BgL_arg2422z00_1691;

																BgL_arg2422z00_1691 =
																	PROCEDURE_REF
																	(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
																	(int) (((long) 1)));
																{	/* Inline/recursion.scm 210 */
																	obj_t BgL_arrayz00_1693;

																	int BgL_offsetz00_1694;

																	BgL_arrayz00_1693 = BgL_arg2422z00_1691;
																	BgL_offsetz00_1694 =
																		(int) (BgL_objzd2classzd2numz00_1690);
																	{	/* Inline/recursion.scm 210 */
																		long BgL_offsetz00_1695;

																		BgL_offsetz00_1695 =
																			(
																			(long) (BgL_offsetz00_1694) -
																			OBJECT_TYPE);
																		{	/* Inline/recursion.scm 210 */
																			long BgL_modz00_1696;

																			{	/* Inline/recursion.scm 210 */
																				int BgL_arg2424z00_1697;

																				BgL_arg2424z00_1697 =
																					(int) (((long) 8));
																				{	/* Inline/recursion.scm 210 */
																					long BgL_auxz00_2944;

																					BgL_auxz00_2944 =
																						(long) (BgL_arg2424z00_1697);
																					BgL_modz00_1696 =
																						(BgL_offsetz00_1695 /
																						BgL_auxz00_2944);
																			}}
																			{	/* Inline/recursion.scm 210 */
																				long BgL_restz00_1698;

																				{	/* Inline/recursion.scm 210 */
																					int BgL_arg2423z00_1699;

																					BgL_arg2423z00_1699 =
																						(int) (((long) 8));
																					{	/* Inline/recursion.scm 210 */
																						long BgL_auxz00_2948;

																						BgL_auxz00_2948 =
																							(long) (BgL_arg2423z00_1699);
																						BgL_restz00_1698 =
																							(BgL_offsetz00_1695 %
																							BgL_auxz00_2948);
																				}}
																				{	/* Inline/recursion.scm 210 */

																					BgL_method3254z00_1688 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1693,
																							(int) (BgL_modz00_1696)),
																						(int) (BgL_restz00_1698));
													}}}}}}}}
													BgL_callsz00_974 =
														PROCEDURE_ENTRY(BgL_method3254z00_1688)
														(BgL_method3254z00_1688,
														(obj_t) (BgL_arg3396z00_975),
														(obj_t) (BgL_varz00_18), BEOA);
											}}
											{	/* Inline/recursion.scm 212 */
												BgL_isfunz00_bglt BgL_obj3107z00_1713;

												obj_t BgL_val3106z00_1714;

												BgL_obj3107z00_1713 =
													(BgL_isfunz00_bglt) (BgL_sfunz00_970);
												BgL_val3106z00_1714 = BgL_callsz00_974;
												{
													obj_t BgL_auxz00_2960;

													{	/* Inline/recursion.scm 212 */
														BgL_objectz00_bglt BgL_auxz00_2961;

														BgL_auxz00_2961 =
															(BgL_objectz00_bglt) (BgL_obj3107z00_1713);
														BgL_auxz00_2960 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2961);
													}
													((((BgL_isfunz00_bglt) CREF(BgL_auxz00_2960))->
															BgL_recursivezd2callszd2) =
														((obj_t) BgL_val3106z00_1714), BUNSPEC);
											}}
											return PAIRP(BgL_callsz00_974);
										}
								}
						}
					else
						{	/* Inline/recursion.scm 199 */
							obj_t BgL_callsz00_978;

							{	/* Inline/recursion.scm 199 */
								obj_t BgL_arg3402z00_983;

								{
									BgL_sfunz00_bglt BgL_auxz00_2966;

									BgL_auxz00_2966 = (BgL_sfunz00_bglt) (BgL_sfunz00_970);
									BgL_arg3402z00_983 =
										(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2966))->BgL_bodyz00);
								}
								{	/* Inline/recursion.scm 199 */
									BgL_nodez00_bglt BgL_nodez00_1717;

									BgL_nodez00_1717 = (BgL_nodez00_bglt) (BgL_arg3402z00_983);
									{	/* Inline/recursion.scm 199 */
										obj_t BgL_method3254z00_1719;

										{	/* Inline/recursion.scm 199 */
											BgL_objectz00_bglt BgL_objz00_1720;

											BgL_objz00_1720 = (BgL_objectz00_bglt) (BgL_nodez00_1717);
											{	/* Inline/recursion.scm 199 */
												long BgL_objzd2classzd2numz00_1721;

												BgL_objzd2classzd2numz00_1721 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1720);
												{	/* Inline/recursion.scm 199 */
													obj_t BgL_arg2422z00_1722;

													BgL_arg2422z00_1722 =
														PROCEDURE_REF
														(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
														(int) (((long) 1)));
													{	/* Inline/recursion.scm 199 */
														obj_t BgL_arrayz00_1724;

														int BgL_offsetz00_1725;

														BgL_arrayz00_1724 = BgL_arg2422z00_1722;
														BgL_offsetz00_1725 =
															(int) (BgL_objzd2classzd2numz00_1721);
														{	/* Inline/recursion.scm 199 */
															long BgL_offsetz00_1726;

															BgL_offsetz00_1726 =
																((long) (BgL_offsetz00_1725) - OBJECT_TYPE);
															{	/* Inline/recursion.scm 199 */
																long BgL_modz00_1727;

																{	/* Inline/recursion.scm 199 */
																	int BgL_arg2424z00_1728;

																	BgL_arg2424z00_1728 = (int) (((long) 8));
																	{	/* Inline/recursion.scm 199 */
																		long BgL_auxz00_2978;

																		BgL_auxz00_2978 =
																			(long) (BgL_arg2424z00_1728);
																		BgL_modz00_1727 =
																			(BgL_offsetz00_1726 / BgL_auxz00_2978);
																}}
																{	/* Inline/recursion.scm 199 */
																	long BgL_restz00_1729;

																	{	/* Inline/recursion.scm 199 */
																		int BgL_arg2423z00_1730;

																		BgL_arg2423z00_1730 = (int) (((long) 8));
																		{	/* Inline/recursion.scm 199 */
																			long BgL_auxz00_2982;

																			BgL_auxz00_2982 =
																				(long) (BgL_arg2423z00_1730);
																			BgL_restz00_1729 =
																				(BgL_offsetz00_1726 % BgL_auxz00_2982);
																	}}
																	{	/* Inline/recursion.scm 199 */

																		BgL_method3254z00_1719 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1724,
																				(int) (BgL_modz00_1727)),
																			(int) (BgL_restz00_1729));
										}}}}}}}}
										BgL_callsz00_978 =
											PROCEDURE_ENTRY(BgL_method3254z00_1719)
											(BgL_method3254z00_1719, (obj_t) (BgL_nodez00_1717),
											(obj_t) (BgL_varz00_18), BEOA);
							}}}
							{	/* Inline/recursion.scm 200 */
								BgL_sfunz00_bglt BgL_obj3213z00_979;

								BgL_obj3213z00_979 =
									((BgL_sfunz00_bglt) (BgL_sfunz00_bglt) (BgL_sfunz00_970));
								{	/* Inline/recursion.scm 201 */
									obj_t BgL_arg3399z00_980;

									{	/* Inline/recursion.scm 201 */
										obj_t BgL_arg3400z00_981;

										{
											BgL_sfunz00_bglt BgL_auxz00_2995;

											BgL_auxz00_2995 = (BgL_sfunz00_bglt) (BgL_sfunz00_970);
											BgL_arg3400z00_981 =
												(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2995))->
												BgL_bodyz00);
										}
										BgL_arg3399z00_980 =
											BGl_wideningzd2isfunzd2zzinline_inlinez00(
											(BgL_nodez00_bglt) (BgL_arg3400z00_981),
											BgL_callsz00_978);
									}
									{	/* Inline/recursion.scm 200 */
										BgL_objectz00_bglt BgL_auxz00_3000;

										BgL_auxz00_3000 = (BgL_objectz00_bglt) (BgL_obj3213z00_979);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3000,
											BgL_arg3399z00_980);
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_obj3213z00_979),
									BGl_classzd2numzd2zz__objectz00
									(BGl_isfunz00zzinline_inlinez00));
								BgL_obj3213z00_979;
							}
							return PAIRP(BgL_callsz00_978);
						}
				}
			}
		}
	}



/* _is-recursive?3614 */
	obj_t BGl__iszd2recursivezf33614z21zzinline_recursionz00(obj_t
		BgL_envz00_2512, obj_t BgL_varz00_2513)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 195 */
			return
				BBOOL(BGl_iszd2recursivezf3z21zzinline_recursionz00(
					(BgL_variablez00_bglt) (BgL_varz00_2513)));
		}
	}



/* find-recursive-calls* */
	obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t
		BgL_nodeza2za2_57, obj_t BgL_varz00_58)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 364 */
			{
				obj_t BgL_nodeza2za2_986;

				obj_t BgL_callsz00_987;

				BgL_nodeza2za2_986 = BgL_nodeza2za2_57;
				BgL_callsz00_987 = BNIL;
			BgL_zc3anonymousza33403ze3z83_988:
				if (NULLP(BgL_nodeza2za2_986))
					{	/* Inline/recursion.scm 367 */
						return BgL_callsz00_987;
					}
				else
					{	/* Inline/recursion.scm 369 */
						obj_t BgL_arg3405z00_990;

						obj_t BgL_arg3406z00_991;

						BgL_arg3405z00_990 = CDR(BgL_nodeza2za2_986);
						{	/* Inline/recursion.scm 370 */
							obj_t BgL_arg3407z00_992;

							{	/* Inline/recursion.scm 370 */
								obj_t BgL_arg3408z00_993;

								BgL_arg3408z00_993 = CAR(BgL_nodeza2za2_986);
								{	/* Inline/recursion.scm 370 */
									BgL_nodez00_bglt BgL_nodez00_1751;

									BgL_variablez00_bglt BgL_varz00_1752;

									BgL_nodez00_1751 = (BgL_nodez00_bglt) (BgL_arg3408z00_993);
									BgL_varz00_1752 = (BgL_variablez00_bglt) (BgL_varz00_58);
									{	/* Inline/recursion.scm 370 */
										obj_t BgL_method3254z00_1753;

										{	/* Inline/recursion.scm 370 */
											BgL_objectz00_bglt BgL_objz00_1754;

											BgL_objz00_1754 = (BgL_objectz00_bglt) (BgL_nodez00_1751);
											{	/* Inline/recursion.scm 370 */
												long BgL_objzd2classzd2numz00_1755;

												BgL_objzd2classzd2numz00_1755 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1754);
												{	/* Inline/recursion.scm 370 */
													obj_t BgL_arg2422z00_1756;

													BgL_arg2422z00_1756 =
														PROCEDURE_REF
														(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
														(int) (((long) 1)));
													{	/* Inline/recursion.scm 370 */
														obj_t BgL_arrayz00_1758;

														int BgL_offsetz00_1759;

														BgL_arrayz00_1758 = BgL_arg2422z00_1756;
														BgL_offsetz00_1759 =
															(int) (BgL_objzd2classzd2numz00_1755);
														{	/* Inline/recursion.scm 370 */
															long BgL_offsetz00_1760;

															BgL_offsetz00_1760 =
																((long) (BgL_offsetz00_1759) - OBJECT_TYPE);
															{	/* Inline/recursion.scm 370 */
																long BgL_modz00_1761;

																{	/* Inline/recursion.scm 370 */
																	int BgL_arg2424z00_1762;

																	BgL_arg2424z00_1762 = (int) (((long) 8));
																	{	/* Inline/recursion.scm 370 */
																		long BgL_auxz00_3024;

																		BgL_auxz00_3024 =
																			(long) (BgL_arg2424z00_1762);
																		BgL_modz00_1761 =
																			(BgL_offsetz00_1760 / BgL_auxz00_3024);
																}}
																{	/* Inline/recursion.scm 370 */
																	long BgL_restz00_1763;

																	{	/* Inline/recursion.scm 370 */
																		int BgL_arg2423z00_1764;

																		BgL_arg2423z00_1764 = (int) (((long) 8));
																		{	/* Inline/recursion.scm 370 */
																			long BgL_auxz00_3028;

																			BgL_auxz00_3028 =
																				(long) (BgL_arg2423z00_1764);
																			BgL_restz00_1763 =
																				(BgL_offsetz00_1760 % BgL_auxz00_3028);
																	}}
																	{	/* Inline/recursion.scm 370 */

																		BgL_method3254z00_1753 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1758,
																				(int) (BgL_modz00_1761)),
																			(int) (BgL_restz00_1763));
										}}}}}}}}
										BgL_arg3407z00_992 =
											PROCEDURE_ENTRY(BgL_method3254z00_1753)
											(BgL_method3254z00_1753, (obj_t) (BgL_nodez00_1751),
											(obj_t) (BgL_varz00_1752), BEOA);
							}}}
							BgL_arg3406z00_991 =
								bgl_append2(BgL_arg3407z00_992, BgL_callsz00_987);
						}
						{
							obj_t BgL_callsz00_3041;

							obj_t BgL_nodeza2za2_3040;

							BgL_nodeza2za2_3040 = BgL_arg3405z00_990;
							BgL_callsz00_3041 = BgL_arg3406z00_991;
							BgL_callsz00_987 = BgL_callsz00_3041;
							BgL_nodeza2za2_986 = BgL_nodeza2za2_3040;
							goto BgL_zc3anonymousza33403ze3z83_988;
						}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_findzd2recursivezd2calls3253zd2envzd2zzinline_recursionz00);
		}
	}



/* find-recursive-calls */
	obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_19, BgL_variablez00_bglt BgL_varz00_20)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 218 */
			{	/* Inline/recursion.scm 218 */
				obj_t BgL_method3254z00_1778;

				{	/* Inline/recursion.scm 218 */
					BgL_objectz00_bglt BgL_objz00_1779;

					BgL_objz00_1779 = (BgL_objectz00_bglt) (BgL_nodez00_19);
					{	/* Inline/recursion.scm 218 */
						long BgL_objzd2classzd2numz00_1780;

						BgL_objzd2classzd2numz00_1780 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1779);
						{	/* Inline/recursion.scm 218 */
							obj_t BgL_arg2422z00_1781;

							BgL_arg2422z00_1781 =
								PROCEDURE_REF
								(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
								(int) (((long) 1)));
							{	/* Inline/recursion.scm 218 */
								obj_t BgL_arrayz00_1783;

								int BgL_offsetz00_1784;

								BgL_arrayz00_1783 = BgL_arg2422z00_1781;
								BgL_offsetz00_1784 = (int) (BgL_objzd2classzd2numz00_1780);
								{	/* Inline/recursion.scm 218 */
									long BgL_offsetz00_1785;

									BgL_offsetz00_1785 =
										((long) (BgL_offsetz00_1784) - OBJECT_TYPE);
									{	/* Inline/recursion.scm 218 */
										long BgL_modz00_1786;

										{	/* Inline/recursion.scm 218 */
											int BgL_arg2424z00_1787;

											BgL_arg2424z00_1787 = (int) (((long) 8));
											{	/* Inline/recursion.scm 218 */
												long BgL_auxz00_3051;

												BgL_auxz00_3051 = (long) (BgL_arg2424z00_1787);
												BgL_modz00_1786 =
													(BgL_offsetz00_1785 / BgL_auxz00_3051);
										}}
										{	/* Inline/recursion.scm 218 */
											long BgL_restz00_1788;

											{	/* Inline/recursion.scm 218 */
												int BgL_arg2423z00_1789;

												BgL_arg2423z00_1789 = (int) (((long) 8));
												{	/* Inline/recursion.scm 218 */
													long BgL_auxz00_3055;

													BgL_auxz00_3055 = (long) (BgL_arg2423z00_1789);
													BgL_restz00_1788 =
														(BgL_offsetz00_1785 % BgL_auxz00_3055);
											}}
											{	/* Inline/recursion.scm 218 */

												BgL_method3254z00_1778 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1783,
														(int) (BgL_modz00_1786)), (int) (BgL_restz00_1788));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3254z00_1778) (BgL_method3254z00_1778,
					(obj_t) (BgL_nodez00_19), (obj_t) (BgL_varz00_20), BEOA);
			}
		}
	}



/* _find-recursive-call3615 */
	obj_t BGl__findzd2recursivezd2call3615z00zzinline_recursionz00(obj_t
		BgL_envz00_2514, obj_t BgL_nodez00_2515, obj_t BgL_varz00_2516)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 218 */
			return
				BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
				(BgL_nodez00_bglt) (BgL_nodez00_2515),
				(BgL_variablez00_bglt) (BgL_varz00_2516));
		}
	}



/* _find-recursive-calls3253 */
	obj_t BGl__findzd2recursivezd2calls3253z00zzinline_recursionz00(obj_t
		BgL_envz00_2517, obj_t BgL_nodez00_2518, obj_t BgL_varz00_2519)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			return BNIL;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3621z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appz00zzast_nodez00, BGl_proc3622z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3623z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3624z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_externz00zzast_nodez00, BGl_proc3625z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_castz00zzast_nodez00, BGl_proc3626z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setqz00zzast_nodez00, BGl_proc3627z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3628z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_failz00zzast_nodez00, BGl_proc3629z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_selectz00zzast_nodez00, BGl_proc3630z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3631z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3632z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3633z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3634z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3635z00zzinline_recursionz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3636z00zzinline_recursionz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3637z00zzinline_recursionz00);
		}
	}



/* find-recursive-calls3290 */
	obj_t BGl_findzd2recursivezd2calls3290z00zzinline_recursionz00(obj_t
		BgL_envz00_2537, obj_t BgL_nodez00_2538, obj_t BgL_vz00_2539)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 357 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1564;

				obj_t BgL_vz00_1565;

				BgL_nodez00_1564 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2538);
				BgL_vz00_1565 = BgL_vz00_2539;
				{	/* Inline/recursion.scm 359 */
					obj_t BgL_arg3546z00_1569;

					obj_t BgL_arg3547z00_1570;

					{	/* Inline/recursion.scm 359 */
						BgL_varz00_bglt BgL_arg3548z00_1571;

						BgL_arg3548z00_1571 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1564))->BgL_varz00);
						{	/* Inline/recursion.scm 359 */
							BgL_nodez00_bglt BgL_nodez00_2448;

							BgL_variablez00_bglt BgL_varz00_2449;

							BgL_nodez00_2448 = (BgL_nodez00_bglt) (BgL_arg3548z00_1571);
							BgL_varz00_2449 = (BgL_variablez00_bglt) (BgL_vz00_1565);
							{	/* Inline/recursion.scm 359 */
								obj_t BgL_method3254z00_2450;

								{	/* Inline/recursion.scm 359 */
									BgL_objectz00_bglt BgL_objz00_2451;

									BgL_objz00_2451 = (BgL_objectz00_bglt) (BgL_nodez00_2448);
									{	/* Inline/recursion.scm 359 */
										long BgL_objzd2classzd2numz00_2452;

										BgL_objzd2classzd2numz00_2452 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2451);
										{	/* Inline/recursion.scm 359 */
											obj_t BgL_arg2422z00_2453;

											BgL_arg2422z00_2453 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 359 */
												obj_t BgL_arrayz00_2455;

												int BgL_offsetz00_2456;

												BgL_arrayz00_2455 = BgL_arg2422z00_2453;
												BgL_offsetz00_2456 =
													(int) (BgL_objzd2classzd2numz00_2452);
												{	/* Inline/recursion.scm 359 */
													long BgL_offsetz00_2457;

													BgL_offsetz00_2457 =
														((long) (BgL_offsetz00_2456) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 359 */
														long BgL_modz00_2458;

														{	/* Inline/recursion.scm 359 */
															int BgL_arg2424z00_2459;

															BgL_arg2424z00_2459 = (int) (((long) 8));
															{	/* Inline/recursion.scm 359 */
																long BgL_auxz00_3097;

																BgL_auxz00_3097 = (long) (BgL_arg2424z00_2459);
																BgL_modz00_2458 =
																	(BgL_offsetz00_2457 / BgL_auxz00_3097);
														}}
														{	/* Inline/recursion.scm 359 */
															long BgL_restz00_2460;

															{	/* Inline/recursion.scm 359 */
																int BgL_arg2423z00_2461;

																BgL_arg2423z00_2461 = (int) (((long) 8));
																{	/* Inline/recursion.scm 359 */
																	long BgL_auxz00_3101;

																	BgL_auxz00_3101 =
																		(long) (BgL_arg2423z00_2461);
																	BgL_restz00_2460 =
																		(BgL_offsetz00_2457 % BgL_auxz00_3101);
															}}
															{	/* Inline/recursion.scm 359 */

																BgL_method3254z00_2450 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2455,
																		(int) (BgL_modz00_2458)),
																	(int) (BgL_restz00_2460));
								}}}}}}}}
								BgL_arg3546z00_1569 =
									PROCEDURE_ENTRY(BgL_method3254z00_2450)
									(BgL_method3254z00_2450, (obj_t) (BgL_nodez00_2448),
									(obj_t) (BgL_varz00_2449), BEOA);
					}}}
					{	/* Inline/recursion.scm 359 */
						BgL_nodez00_bglt BgL_arg3549z00_1572;

						BgL_arg3549z00_1572 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1564))->
							BgL_valuez00);
						{	/* Inline/recursion.scm 359 */
							BgL_variablez00_bglt BgL_varz00_2477;

							BgL_varz00_2477 = (BgL_variablez00_bglt) (BgL_vz00_1565);
							{	/* Inline/recursion.scm 359 */
								obj_t BgL_method3254z00_2478;

								{	/* Inline/recursion.scm 359 */
									BgL_objectz00_bglt BgL_objz00_2479;

									BgL_objz00_2479 = (BgL_objectz00_bglt) (BgL_arg3549z00_1572);
									{	/* Inline/recursion.scm 359 */
										long BgL_objzd2classzd2numz00_2480;

										BgL_objzd2classzd2numz00_2480 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2479);
										{	/* Inline/recursion.scm 359 */
											obj_t BgL_arg2422z00_2481;

											BgL_arg2422z00_2481 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 359 */
												obj_t BgL_arrayz00_2483;

												int BgL_offsetz00_2484;

												BgL_arrayz00_2483 = BgL_arg2422z00_2481;
												BgL_offsetz00_2484 =
													(int) (BgL_objzd2classzd2numz00_2480);
												{	/* Inline/recursion.scm 359 */
													long BgL_offsetz00_2485;

													BgL_offsetz00_2485 =
														((long) (BgL_offsetz00_2484) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 359 */
														long BgL_modz00_2486;

														{	/* Inline/recursion.scm 359 */
															int BgL_arg2424z00_2487;

															BgL_arg2424z00_2487 = (int) (((long) 8));
															{	/* Inline/recursion.scm 359 */
																long BgL_auxz00_3122;

																BgL_auxz00_3122 = (long) (BgL_arg2424z00_2487);
																BgL_modz00_2486 =
																	(BgL_offsetz00_2485 / BgL_auxz00_3122);
														}}
														{	/* Inline/recursion.scm 359 */
															long BgL_restz00_2488;

															{	/* Inline/recursion.scm 359 */
																int BgL_arg2423z00_2489;

																BgL_arg2423z00_2489 = (int) (((long) 8));
																{	/* Inline/recursion.scm 359 */
																	long BgL_auxz00_3126;

																	BgL_auxz00_3126 =
																		(long) (BgL_arg2423z00_2489);
																	BgL_restz00_2488 =
																		(BgL_offsetz00_2485 % BgL_auxz00_3126);
															}}
															{	/* Inline/recursion.scm 359 */

																BgL_method3254z00_2478 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2483,
																		(int) (BgL_modz00_2486)),
																	(int) (BgL_restz00_2488));
								}}}}}}}}
								BgL_arg3547z00_1570 =
									PROCEDURE_ENTRY(BgL_method3254z00_2478)
									(BgL_method3254z00_2478, (obj_t) (BgL_arg3549z00_1572),
									(obj_t) (BgL_varz00_2477), BEOA);
					}}}
					return bgl_append2(BgL_arg3546z00_1569, BgL_arg3547z00_1570);
				}
			}
		}
	}



/* find-recursive-calls3288 */
	obj_t BGl_findzd2recursivezd2calls3288z00zzinline_recursionz00(obj_t
		BgL_envz00_2540, obj_t BgL_nodez00_2541, obj_t BgL_varz00_2542)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 351 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1557;

				obj_t BgL_varz00_1558;

				BgL_nodez00_1557 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2541);
				BgL_varz00_1558 = BgL_varz00_2542;
				{	/* Inline/recursion.scm 352 */
					BgL_varz00_bglt BgL_arg3544z00_2418;

					BgL_arg3544z00_2418 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1557))->BgL_varz00);
					{	/* Inline/recursion.scm 352 */
						BgL_nodez00_bglt BgL_nodez00_2420;

						BgL_variablez00_bglt BgL_varz00_2421;

						BgL_nodez00_2420 = (BgL_nodez00_bglt) (BgL_arg3544z00_2418);
						BgL_varz00_2421 = (BgL_variablez00_bglt) (BgL_varz00_1558);
						{	/* Inline/recursion.scm 352 */
							obj_t BgL_method3254z00_2422;

							{	/* Inline/recursion.scm 352 */
								BgL_objectz00_bglt BgL_objz00_2423;

								BgL_objz00_2423 = (BgL_objectz00_bglt) (BgL_nodez00_2420);
								{	/* Inline/recursion.scm 352 */
									long BgL_objzd2classzd2numz00_2424;

									BgL_objzd2classzd2numz00_2424 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2423);
									{	/* Inline/recursion.scm 352 */
										obj_t BgL_arg2422z00_2425;

										BgL_arg2422z00_2425 =
											PROCEDURE_REF
											(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
											(int) (((long) 1)));
										{	/* Inline/recursion.scm 352 */
											obj_t BgL_arrayz00_2427;

											int BgL_offsetz00_2428;

											BgL_arrayz00_2427 = BgL_arg2422z00_2425;
											BgL_offsetz00_2428 =
												(int) (BgL_objzd2classzd2numz00_2424);
											{	/* Inline/recursion.scm 352 */
												long BgL_offsetz00_2429;

												BgL_offsetz00_2429 =
													((long) (BgL_offsetz00_2428) - OBJECT_TYPE);
												{	/* Inline/recursion.scm 352 */
													long BgL_modz00_2430;

													{	/* Inline/recursion.scm 352 */
														int BgL_arg2424z00_2431;

														BgL_arg2424z00_2431 = (int) (((long) 8));
														{	/* Inline/recursion.scm 352 */
															long BgL_auxz00_3150;

															BgL_auxz00_3150 = (long) (BgL_arg2424z00_2431);
															BgL_modz00_2430 =
																(BgL_offsetz00_2429 / BgL_auxz00_3150);
													}}
													{	/* Inline/recursion.scm 352 */
														long BgL_restz00_2432;

														{	/* Inline/recursion.scm 352 */
															int BgL_arg2423z00_2433;

															BgL_arg2423z00_2433 = (int) (((long) 8));
															{	/* Inline/recursion.scm 352 */
																long BgL_auxz00_3154;

																BgL_auxz00_3154 = (long) (BgL_arg2423z00_2433);
																BgL_restz00_2432 =
																	(BgL_offsetz00_2429 % BgL_auxz00_3154);
														}}
														{	/* Inline/recursion.scm 352 */

															BgL_method3254z00_2422 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2427,
																	(int) (BgL_modz00_2430)),
																(int) (BgL_restz00_2432));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3254z00_2422) (BgL_method3254z00_2422,
								(obj_t) (BgL_nodez00_2420), (obj_t) (BgL_varz00_2421), BEOA);
						}
					}
				}
			}
		}
	}



/* find-recursive-calls3286 */
	obj_t BGl_findzd2recursivezd2calls3286z00zzinline_recursionz00(obj_t
		BgL_envz00_2543, obj_t BgL_nodez00_2544, obj_t BgL_varz00_2545)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 345 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1550;

				obj_t BgL_varz00_1551;

				BgL_nodez00_1550 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2544);
				BgL_varz00_1551 = BgL_varz00_2545;
				{	/* Inline/recursion.scm 346 */
					BgL_nodez00_bglt BgL_arg3542z00_2389;

					BgL_arg3542z00_2389 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1550))->BgL_valuez00);
					{	/* Inline/recursion.scm 346 */
						BgL_variablez00_bglt BgL_varz00_2392;

						BgL_varz00_2392 = (BgL_variablez00_bglt) (BgL_varz00_1551);
						{	/* Inline/recursion.scm 346 */
							obj_t BgL_method3254z00_2393;

							{	/* Inline/recursion.scm 346 */
								BgL_objectz00_bglt BgL_objz00_2394;

								BgL_objz00_2394 = (BgL_objectz00_bglt) (BgL_arg3542z00_2389);
								{	/* Inline/recursion.scm 346 */
									long BgL_objzd2classzd2numz00_2395;

									BgL_objzd2classzd2numz00_2395 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2394);
									{	/* Inline/recursion.scm 346 */
										obj_t BgL_arg2422z00_2396;

										BgL_arg2422z00_2396 =
											PROCEDURE_REF
											(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
											(int) (((long) 1)));
										{	/* Inline/recursion.scm 346 */
											obj_t BgL_arrayz00_2398;

											int BgL_offsetz00_2399;

											BgL_arrayz00_2398 = BgL_arg2422z00_2396;
											BgL_offsetz00_2399 =
												(int) (BgL_objzd2classzd2numz00_2395);
											{	/* Inline/recursion.scm 346 */
												long BgL_offsetz00_2400;

												BgL_offsetz00_2400 =
													((long) (BgL_offsetz00_2399) - OBJECT_TYPE);
												{	/* Inline/recursion.scm 346 */
													long BgL_modz00_2401;

													{	/* Inline/recursion.scm 346 */
														int BgL_arg2424z00_2402;

														BgL_arg2424z00_2402 = (int) (((long) 8));
														{	/* Inline/recursion.scm 346 */
															long BgL_auxz00_3176;

															BgL_auxz00_3176 = (long) (BgL_arg2424z00_2402);
															BgL_modz00_2401 =
																(BgL_offsetz00_2400 / BgL_auxz00_3176);
													}}
													{	/* Inline/recursion.scm 346 */
														long BgL_restz00_2403;

														{	/* Inline/recursion.scm 346 */
															int BgL_arg2423z00_2404;

															BgL_arg2423z00_2404 = (int) (((long) 8));
															{	/* Inline/recursion.scm 346 */
																long BgL_auxz00_3180;

																BgL_auxz00_3180 = (long) (BgL_arg2423z00_2404);
																BgL_restz00_2403 =
																	(BgL_offsetz00_2400 % BgL_auxz00_3180);
														}}
														{	/* Inline/recursion.scm 346 */

															BgL_method3254z00_2393 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2398,
																	(int) (BgL_modz00_2401)),
																(int) (BgL_restz00_2403));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3254z00_2393) (BgL_method3254z00_2393,
								(obj_t) (BgL_arg3542z00_2389), (obj_t) (BgL_varz00_2392), BEOA);
						}
					}
				}
			}
		}
	}



/* find-recursive-calls3284 */
	obj_t BGl_findzd2recursivezd2calls3284z00zzinline_recursionz00(obj_t
		BgL_envz00_2546, obj_t BgL_nodez00_2547, obj_t BgL_vz00_2548)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 338 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1539;

				obj_t BgL_vz00_1540;

				BgL_nodez00_1539 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2547);
				BgL_vz00_1540 = BgL_vz00_2548;
				{	/* Inline/recursion.scm 340 */
					obj_t BgL_arg3537z00_1544;

					obj_t BgL_arg3538z00_1545;

					{	/* Inline/recursion.scm 340 */
						BgL_nodez00_bglt BgL_arg3539z00_1546;

						BgL_arg3539z00_1546 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1539))->
							BgL_exitz00);
						{	/* Inline/recursion.scm 340 */
							BgL_variablez00_bglt BgL_varz00_2335;

							BgL_varz00_2335 = (BgL_variablez00_bglt) (BgL_vz00_1540);
							{	/* Inline/recursion.scm 340 */
								obj_t BgL_method3254z00_2336;

								{	/* Inline/recursion.scm 340 */
									BgL_objectz00_bglt BgL_objz00_2337;

									BgL_objz00_2337 = (BgL_objectz00_bglt) (BgL_arg3539z00_1546);
									{	/* Inline/recursion.scm 340 */
										long BgL_objzd2classzd2numz00_2338;

										BgL_objzd2classzd2numz00_2338 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2337);
										{	/* Inline/recursion.scm 340 */
											obj_t BgL_arg2422z00_2339;

											BgL_arg2422z00_2339 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 340 */
												obj_t BgL_arrayz00_2341;

												int BgL_offsetz00_2342;

												BgL_arrayz00_2341 = BgL_arg2422z00_2339;
												BgL_offsetz00_2342 =
													(int) (BgL_objzd2classzd2numz00_2338);
												{	/* Inline/recursion.scm 340 */
													long BgL_offsetz00_2343;

													BgL_offsetz00_2343 =
														((long) (BgL_offsetz00_2342) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 340 */
														long BgL_modz00_2344;

														{	/* Inline/recursion.scm 340 */
															int BgL_arg2424z00_2345;

															BgL_arg2424z00_2345 = (int) (((long) 8));
															{	/* Inline/recursion.scm 340 */
																long BgL_auxz00_3202;

																BgL_auxz00_3202 = (long) (BgL_arg2424z00_2345);
																BgL_modz00_2344 =
																	(BgL_offsetz00_2343 / BgL_auxz00_3202);
														}}
														{	/* Inline/recursion.scm 340 */
															long BgL_restz00_2346;

															{	/* Inline/recursion.scm 340 */
																int BgL_arg2423z00_2347;

																BgL_arg2423z00_2347 = (int) (((long) 8));
																{	/* Inline/recursion.scm 340 */
																	long BgL_auxz00_3206;

																	BgL_auxz00_3206 =
																		(long) (BgL_arg2423z00_2347);
																	BgL_restz00_2346 =
																		(BgL_offsetz00_2343 % BgL_auxz00_3206);
															}}
															{	/* Inline/recursion.scm 340 */

																BgL_method3254z00_2336 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2341,
																		(int) (BgL_modz00_2344)),
																	(int) (BgL_restz00_2346));
								}}}}}}}}
								BgL_arg3537z00_1544 =
									PROCEDURE_ENTRY(BgL_method3254z00_2336)
									(BgL_method3254z00_2336, (obj_t) (BgL_arg3539z00_1546),
									(obj_t) (BgL_varz00_2335), BEOA);
					}}}
					{	/* Inline/recursion.scm 340 */
						BgL_nodez00_bglt BgL_arg3540z00_1547;

						BgL_arg3540z00_1547 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1539))->
							BgL_valuez00);
						{	/* Inline/recursion.scm 340 */
							BgL_variablez00_bglt BgL_varz00_2363;

							BgL_varz00_2363 = (BgL_variablez00_bglt) (BgL_vz00_1540);
							{	/* Inline/recursion.scm 340 */
								obj_t BgL_method3254z00_2364;

								{	/* Inline/recursion.scm 340 */
									BgL_objectz00_bglt BgL_objz00_2365;

									BgL_objz00_2365 = (BgL_objectz00_bglt) (BgL_arg3540z00_1547);
									{	/* Inline/recursion.scm 340 */
										long BgL_objzd2classzd2numz00_2366;

										BgL_objzd2classzd2numz00_2366 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2365);
										{	/* Inline/recursion.scm 340 */
											obj_t BgL_arg2422z00_2367;

											BgL_arg2422z00_2367 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 340 */
												obj_t BgL_arrayz00_2369;

												int BgL_offsetz00_2370;

												BgL_arrayz00_2369 = BgL_arg2422z00_2367;
												BgL_offsetz00_2370 =
													(int) (BgL_objzd2classzd2numz00_2366);
												{	/* Inline/recursion.scm 340 */
													long BgL_offsetz00_2371;

													BgL_offsetz00_2371 =
														((long) (BgL_offsetz00_2370) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 340 */
														long BgL_modz00_2372;

														{	/* Inline/recursion.scm 340 */
															int BgL_arg2424z00_2373;

															BgL_arg2424z00_2373 = (int) (((long) 8));
															{	/* Inline/recursion.scm 340 */
																long BgL_auxz00_3227;

																BgL_auxz00_3227 = (long) (BgL_arg2424z00_2373);
																BgL_modz00_2372 =
																	(BgL_offsetz00_2371 / BgL_auxz00_3227);
														}}
														{	/* Inline/recursion.scm 340 */
															long BgL_restz00_2374;

															{	/* Inline/recursion.scm 340 */
																int BgL_arg2423z00_2375;

																BgL_arg2423z00_2375 = (int) (((long) 8));
																{	/* Inline/recursion.scm 340 */
																	long BgL_auxz00_3231;

																	BgL_auxz00_3231 =
																		(long) (BgL_arg2423z00_2375);
																	BgL_restz00_2374 =
																		(BgL_offsetz00_2371 % BgL_auxz00_3231);
															}}
															{	/* Inline/recursion.scm 340 */

																BgL_method3254z00_2364 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2369,
																		(int) (BgL_modz00_2372)),
																	(int) (BgL_restz00_2374));
								}}}}}}}}
								BgL_arg3538z00_1545 =
									PROCEDURE_ENTRY(BgL_method3254z00_2364)
									(BgL_method3254z00_2364, (obj_t) (BgL_arg3540z00_1547),
									(obj_t) (BgL_varz00_2363), BEOA);
					}}}
					return bgl_append2(BgL_arg3537z00_1544, BgL_arg3538z00_1545);
				}
			}
		}
	}



/* find-recursive-calls3282 */
	obj_t BGl_findzd2recursivezd2calls3282z00zzinline_recursionz00(obj_t
		BgL_envz00_2549, obj_t BgL_nodez00_2550, obj_t BgL_varz00_2551)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 332 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1532;

				obj_t BgL_varz00_1533;

				BgL_nodez00_1532 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2550);
				BgL_varz00_1533 = BgL_varz00_2551;
				{	/* Inline/recursion.scm 333 */
					BgL_nodez00_bglt BgL_arg3535z00_2304;

					BgL_arg3535z00_2304 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1532))->BgL_bodyz00);
					{	/* Inline/recursion.scm 333 */
						BgL_variablez00_bglt BgL_varz00_2307;

						BgL_varz00_2307 = (BgL_variablez00_bglt) (BgL_varz00_1533);
						{	/* Inline/recursion.scm 333 */
							obj_t BgL_method3254z00_2308;

							{	/* Inline/recursion.scm 333 */
								BgL_objectz00_bglt BgL_objz00_2309;

								BgL_objz00_2309 = (BgL_objectz00_bglt) (BgL_arg3535z00_2304);
								{	/* Inline/recursion.scm 333 */
									long BgL_objzd2classzd2numz00_2310;

									BgL_objzd2classzd2numz00_2310 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2309);
									{	/* Inline/recursion.scm 333 */
										obj_t BgL_arg2422z00_2311;

										BgL_arg2422z00_2311 =
											PROCEDURE_REF
											(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
											(int) (((long) 1)));
										{	/* Inline/recursion.scm 333 */
											obj_t BgL_arrayz00_2313;

											int BgL_offsetz00_2314;

											BgL_arrayz00_2313 = BgL_arg2422z00_2311;
											BgL_offsetz00_2314 =
												(int) (BgL_objzd2classzd2numz00_2310);
											{	/* Inline/recursion.scm 333 */
												long BgL_offsetz00_2315;

												BgL_offsetz00_2315 =
													((long) (BgL_offsetz00_2314) - OBJECT_TYPE);
												{	/* Inline/recursion.scm 333 */
													long BgL_modz00_2316;

													{	/* Inline/recursion.scm 333 */
														int BgL_arg2424z00_2317;

														BgL_arg2424z00_2317 = (int) (((long) 8));
														{	/* Inline/recursion.scm 333 */
															long BgL_auxz00_3254;

															BgL_auxz00_3254 = (long) (BgL_arg2424z00_2317);
															BgL_modz00_2316 =
																(BgL_offsetz00_2315 / BgL_auxz00_3254);
													}}
													{	/* Inline/recursion.scm 333 */
														long BgL_restz00_2318;

														{	/* Inline/recursion.scm 333 */
															int BgL_arg2423z00_2319;

															BgL_arg2423z00_2319 = (int) (((long) 8));
															{	/* Inline/recursion.scm 333 */
																long BgL_auxz00_3258;

																BgL_auxz00_3258 = (long) (BgL_arg2423z00_2319);
																BgL_restz00_2318 =
																	(BgL_offsetz00_2315 % BgL_auxz00_3258);
														}}
														{	/* Inline/recursion.scm 333 */

															BgL_method3254z00_2308 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2313,
																	(int) (BgL_modz00_2316)),
																(int) (BgL_restz00_2318));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3254z00_2308) (BgL_method3254z00_2308,
								(obj_t) (BgL_arg3535z00_2304), (obj_t) (BgL_varz00_2307), BEOA);
						}
					}
				}
			}
		}
	}



/* find-recursive-calls3280 */
	obj_t BGl_findzd2recursivezd2calls3280z00zzinline_recursionz00(obj_t
		BgL_envz00_2552, obj_t BgL_nodez00_2553, obj_t BgL_varz00_2554)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 320 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1512;

				obj_t BgL_varz00_1513;

				BgL_nodez00_1512 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2553);
				BgL_varz00_1513 = BgL_varz00_2554;
				{	/* Inline/recursion.scm 321 */
					obj_t BgL_g3228z00_1516;

					obj_t BgL_g3229z00_1517;

					BgL_g3228z00_1516 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1512))->BgL_bindingsz00);
					{	/* Inline/recursion.scm 322 */
						BgL_nodez00_bglt BgL_arg3533z00_1529;

						BgL_arg3533z00_1529 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1512))->BgL_bodyz00);
						{	/* Inline/recursion.scm 322 */
							BgL_variablez00_bglt BgL_varz00_2247;

							BgL_varz00_2247 = (BgL_variablez00_bglt) (BgL_varz00_1513);
							{	/* Inline/recursion.scm 322 */
								obj_t BgL_method3254z00_2248;

								{	/* Inline/recursion.scm 322 */
									BgL_objectz00_bglt BgL_objz00_2249;

									BgL_objz00_2249 = (BgL_objectz00_bglt) (BgL_arg3533z00_1529);
									{	/* Inline/recursion.scm 322 */
										long BgL_objzd2classzd2numz00_2250;

										BgL_objzd2classzd2numz00_2250 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2249);
										{	/* Inline/recursion.scm 322 */
											obj_t BgL_arg2422z00_2251;

											BgL_arg2422z00_2251 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 322 */
												obj_t BgL_arrayz00_2253;

												int BgL_offsetz00_2254;

												BgL_arrayz00_2253 = BgL_arg2422z00_2251;
												BgL_offsetz00_2254 =
													(int) (BgL_objzd2classzd2numz00_2250);
												{	/* Inline/recursion.scm 322 */
													long BgL_offsetz00_2255;

													BgL_offsetz00_2255 =
														((long) (BgL_offsetz00_2254) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 322 */
														long BgL_modz00_2256;

														{	/* Inline/recursion.scm 322 */
															int BgL_arg2424z00_2257;

															BgL_arg2424z00_2257 = (int) (((long) 8));
															{	/* Inline/recursion.scm 322 */
																long BgL_auxz00_3281;

																BgL_auxz00_3281 = (long) (BgL_arg2424z00_2257);
																BgL_modz00_2256 =
																	(BgL_offsetz00_2255 / BgL_auxz00_3281);
														}}
														{	/* Inline/recursion.scm 322 */
															long BgL_restz00_2258;

															{	/* Inline/recursion.scm 322 */
																int BgL_arg2423z00_2259;

																BgL_arg2423z00_2259 = (int) (((long) 8));
																{	/* Inline/recursion.scm 322 */
																	long BgL_auxz00_3285;

																	BgL_auxz00_3285 =
																		(long) (BgL_arg2423z00_2259);
																	BgL_restz00_2258 =
																		(BgL_offsetz00_2255 % BgL_auxz00_3285);
															}}
															{	/* Inline/recursion.scm 322 */

																BgL_method3254z00_2248 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2253,
																		(int) (BgL_modz00_2256)),
																	(int) (BgL_restz00_2258));
								}}}}}}}}
								BgL_g3229z00_1517 =
									PROCEDURE_ENTRY(BgL_method3254z00_2248)
									(BgL_method3254z00_2248, (obj_t) (BgL_arg3533z00_1529),
									(obj_t) (BgL_varz00_2247), BEOA);
					}}}
					{
						obj_t BgL_bindingsz00_1519;

						obj_t BgL_callsz00_1520;

						BgL_bindingsz00_1519 = BgL_g3228z00_1516;
						BgL_callsz00_1520 = BgL_g3229z00_1517;
					BgL_zc3anonymousza33526ze3z83_1521:
						if (NULLP(BgL_bindingsz00_1519))
							{	/* Inline/recursion.scm 323 */
								return BgL_callsz00_1520;
							}
						else
							{	/* Inline/recursion.scm 325 */
								obj_t BgL_arg3528z00_1523;

								obj_t BgL_arg3529z00_1524;

								BgL_arg3528z00_1523 = CDR(BgL_bindingsz00_1519);
								{	/* Inline/recursion.scm 327 */
									obj_t BgL_arg3530z00_1525;

									{	/* Inline/recursion.scm 327 */
										obj_t BgL_arg3531z00_1526;

										BgL_arg3531z00_1526 = CDR(CAR(BgL_bindingsz00_1519));
										{	/* Inline/recursion.scm 327 */
											BgL_nodez00_bglt BgL_nodez00_2277;

											BgL_variablez00_bglt BgL_varz00_2278;

											BgL_nodez00_2277 =
												(BgL_nodez00_bglt) (BgL_arg3531z00_1526);
											BgL_varz00_2278 =
												(BgL_variablez00_bglt) (BgL_varz00_1513);
											{	/* Inline/recursion.scm 327 */
												obj_t BgL_method3254z00_2279;

												{	/* Inline/recursion.scm 327 */
													BgL_objectz00_bglt BgL_objz00_2280;

													BgL_objz00_2280 =
														(BgL_objectz00_bglt) (BgL_nodez00_2277);
													{	/* Inline/recursion.scm 327 */
														long BgL_objzd2classzd2numz00_2281;

														BgL_objzd2classzd2numz00_2281 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_2280);
														{	/* Inline/recursion.scm 327 */
															obj_t BgL_arg2422z00_2282;

															BgL_arg2422z00_2282 =
																PROCEDURE_REF
																(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
																(int) (((long) 1)));
															{	/* Inline/recursion.scm 327 */
																obj_t BgL_arrayz00_2284;

																int BgL_offsetz00_2285;

																BgL_arrayz00_2284 = BgL_arg2422z00_2282;
																BgL_offsetz00_2285 =
																	(int) (BgL_objzd2classzd2numz00_2281);
																{	/* Inline/recursion.scm 327 */
																	long BgL_offsetz00_2286;

																	BgL_offsetz00_2286 =
																		((long) (BgL_offsetz00_2285) - OBJECT_TYPE);
																	{	/* Inline/recursion.scm 327 */
																		long BgL_modz00_2287;

																		{	/* Inline/recursion.scm 327 */
																			int BgL_arg2424z00_2288;

																			BgL_arg2424z00_2288 = (int) (((long) 8));
																			{	/* Inline/recursion.scm 327 */
																				long BgL_auxz00_3311;

																				BgL_auxz00_3311 =
																					(long) (BgL_arg2424z00_2288);
																				BgL_modz00_2287 =
																					(BgL_offsetz00_2286 /
																					BgL_auxz00_3311);
																		}}
																		{	/* Inline/recursion.scm 327 */
																			long BgL_restz00_2289;

																			{	/* Inline/recursion.scm 327 */
																				int BgL_arg2423z00_2290;

																				BgL_arg2423z00_2290 =
																					(int) (((long) 8));
																				{	/* Inline/recursion.scm 327 */
																					long BgL_auxz00_3315;

																					BgL_auxz00_3315 =
																						(long) (BgL_arg2423z00_2290);
																					BgL_restz00_2289 =
																						(BgL_offsetz00_2286 %
																						BgL_auxz00_3315);
																			}}
																			{	/* Inline/recursion.scm 327 */

																				BgL_method3254z00_2279 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_2284,
																						(int) (BgL_modz00_2287)),
																					(int) (BgL_restz00_2289));
												}}}}}}}}
												BgL_arg3530z00_1525 =
													PROCEDURE_ENTRY(BgL_method3254z00_2279)
													(BgL_method3254z00_2279, (obj_t) (BgL_nodez00_2277),
													(obj_t) (BgL_varz00_2278), BEOA);
									}}}
									BgL_arg3529z00_1524 =
										bgl_append2(BgL_callsz00_1520, BgL_arg3530z00_1525);
								}
								{
									obj_t BgL_callsz00_3328;

									obj_t BgL_bindingsz00_3327;

									BgL_bindingsz00_3327 = BgL_arg3528z00_1523;
									BgL_callsz00_3328 = BgL_arg3529z00_1524;
									BgL_callsz00_1520 = BgL_callsz00_3328;
									BgL_bindingsz00_1519 = BgL_bindingsz00_3327;
									goto BgL_zc3anonymousza33526ze3z83_1521;
								}
							}
					}
				}
			}
		}
	}



/* find-recursive-calls3278 */
	obj_t BGl_findzd2recursivezd2calls3278z00zzinline_recursionz00(obj_t
		BgL_envz00_2555, obj_t BgL_nodez00_2556, obj_t BgL_varz00_2557)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 306 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1491;

				obj_t BgL_varz00_1492;

				BgL_nodez00_1491 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2556);
				BgL_varz00_1492 = BgL_varz00_2557;
				{	/* Inline/recursion.scm 307 */
					obj_t BgL_g3226z00_1495;

					obj_t BgL_g3227z00_1496;

					BgL_g3226z00_1495 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1491))->BgL_localsz00);
					{	/* Inline/recursion.scm 308 */
						BgL_nodez00_bglt BgL_arg3524z00_1509;

						BgL_arg3524z00_1509 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1491))->BgL_bodyz00);
						{	/* Inline/recursion.scm 308 */
							BgL_variablez00_bglt BgL_varz00_2186;

							BgL_varz00_2186 = (BgL_variablez00_bglt) (BgL_varz00_1492);
							{	/* Inline/recursion.scm 308 */
								obj_t BgL_method3254z00_2187;

								{	/* Inline/recursion.scm 308 */
									BgL_objectz00_bglt BgL_objz00_2188;

									BgL_objz00_2188 = (BgL_objectz00_bglt) (BgL_arg3524z00_1509);
									{	/* Inline/recursion.scm 308 */
										long BgL_objzd2classzd2numz00_2189;

										BgL_objzd2classzd2numz00_2189 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2188);
										{	/* Inline/recursion.scm 308 */
											obj_t BgL_arg2422z00_2190;

											BgL_arg2422z00_2190 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 308 */
												obj_t BgL_arrayz00_2192;

												int BgL_offsetz00_2193;

												BgL_arrayz00_2192 = BgL_arg2422z00_2190;
												BgL_offsetz00_2193 =
													(int) (BgL_objzd2classzd2numz00_2189);
												{	/* Inline/recursion.scm 308 */
													long BgL_offsetz00_2194;

													BgL_offsetz00_2194 =
														((long) (BgL_offsetz00_2193) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 308 */
														long BgL_modz00_2195;

														{	/* Inline/recursion.scm 308 */
															int BgL_arg2424z00_2196;

															BgL_arg2424z00_2196 = (int) (((long) 8));
															{	/* Inline/recursion.scm 308 */
																long BgL_auxz00_3341;

																BgL_auxz00_3341 = (long) (BgL_arg2424z00_2196);
																BgL_modz00_2195 =
																	(BgL_offsetz00_2194 / BgL_auxz00_3341);
														}}
														{	/* Inline/recursion.scm 308 */
															long BgL_restz00_2197;

															{	/* Inline/recursion.scm 308 */
																int BgL_arg2423z00_2198;

																BgL_arg2423z00_2198 = (int) (((long) 8));
																{	/* Inline/recursion.scm 308 */
																	long BgL_auxz00_3345;

																	BgL_auxz00_3345 =
																		(long) (BgL_arg2423z00_2198);
																	BgL_restz00_2197 =
																		(BgL_offsetz00_2194 % BgL_auxz00_3345);
															}}
															{	/* Inline/recursion.scm 308 */

																BgL_method3254z00_2187 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2192,
																		(int) (BgL_modz00_2195)),
																	(int) (BgL_restz00_2197));
								}}}}}}}}
								BgL_g3227z00_1496 =
									PROCEDURE_ENTRY(BgL_method3254z00_2187)
									(BgL_method3254z00_2187, (obj_t) (BgL_arg3524z00_1509),
									(obj_t) (BgL_varz00_2186), BEOA);
					}}}
					{
						obj_t BgL_localsz00_1498;

						obj_t BgL_callsz00_1499;

						BgL_localsz00_1498 = BgL_g3226z00_1495;
						BgL_callsz00_1499 = BgL_g3227z00_1496;
					BgL_zc3anonymousza33514ze3z83_1500:
						if (NULLP(BgL_localsz00_1498))
							{	/* Inline/recursion.scm 309 */
								return BgL_callsz00_1499;
							}
						else
							{	/* Inline/recursion.scm 311 */
								obj_t BgL_arg3518z00_1502;

								obj_t BgL_arg3519z00_1503;

								BgL_arg3518z00_1502 = CDR(BgL_localsz00_1498);
								{	/* Inline/recursion.scm 314 */
									obj_t BgL_arg3520z00_1504;

									{	/* Inline/recursion.scm 314 */
										obj_t BgL_arg3521z00_1505;

										{	/* Inline/recursion.scm 314 */
											BgL_sfunz00_bglt BgL_obj1720z00_2216;

											{	/* Inline/recursion.scm 314 */
												BgL_valuez00_bglt BgL_auxz00_3359;

												{	/* Inline/recursion.scm 314 */
													BgL_variablez00_bglt BgL_obj1449z00_2215;

													{	/* Inline/recursion.scm 314 */
														obj_t BgL_pairz00_2214;

														BgL_pairz00_2214 = BgL_localsz00_1498;
														BgL_obj1449z00_2215 =
															(BgL_variablez00_bglt) (CAR(BgL_pairz00_2214));
													}
													BgL_auxz00_3359 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1449z00_2215))->BgL_valuez00);
												}
												BgL_obj1720z00_2216 =
													(BgL_sfunz00_bglt) (BgL_auxz00_3359);
											}
											BgL_arg3521z00_1505 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1720z00_2216))->
												BgL_bodyz00);
										}
										{	/* Inline/recursion.scm 313 */
											BgL_nodez00_bglt BgL_nodez00_2217;

											BgL_variablez00_bglt BgL_varz00_2218;

											BgL_nodez00_2217 =
												(BgL_nodez00_bglt) (BgL_arg3521z00_1505);
											BgL_varz00_2218 =
												(BgL_variablez00_bglt) (BgL_varz00_1492);
											{	/* Inline/recursion.scm 313 */
												obj_t BgL_method3254z00_2219;

												{	/* Inline/recursion.scm 313 */
													BgL_objectz00_bglt BgL_objz00_2220;

													BgL_objz00_2220 =
														(BgL_objectz00_bglt) (BgL_nodez00_2217);
													{	/* Inline/recursion.scm 313 */
														long BgL_objzd2classzd2numz00_2221;

														BgL_objzd2classzd2numz00_2221 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_2220);
														{	/* Inline/recursion.scm 313 */
															obj_t BgL_arg2422z00_2222;

															BgL_arg2422z00_2222 =
																PROCEDURE_REF
																(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
																(int) (((long) 1)));
															{	/* Inline/recursion.scm 313 */
																obj_t BgL_arrayz00_2224;

																int BgL_offsetz00_2225;

																BgL_arrayz00_2224 = BgL_arg2422z00_2222;
																BgL_offsetz00_2225 =
																	(int) (BgL_objzd2classzd2numz00_2221);
																{	/* Inline/recursion.scm 313 */
																	long BgL_offsetz00_2226;

																	BgL_offsetz00_2226 =
																		((long) (BgL_offsetz00_2225) - OBJECT_TYPE);
																	{	/* Inline/recursion.scm 313 */
																		long BgL_modz00_2227;

																		{	/* Inline/recursion.scm 313 */
																			int BgL_arg2424z00_2228;

																			BgL_arg2424z00_2228 = (int) (((long) 8));
																			{	/* Inline/recursion.scm 313 */
																				long BgL_auxz00_3375;

																				BgL_auxz00_3375 =
																					(long) (BgL_arg2424z00_2228);
																				BgL_modz00_2227 =
																					(BgL_offsetz00_2226 /
																					BgL_auxz00_3375);
																		}}
																		{	/* Inline/recursion.scm 313 */
																			long BgL_restz00_2229;

																			{	/* Inline/recursion.scm 313 */
																				int BgL_arg2423z00_2230;

																				BgL_arg2423z00_2230 =
																					(int) (((long) 8));
																				{	/* Inline/recursion.scm 313 */
																					long BgL_auxz00_3379;

																					BgL_auxz00_3379 =
																						(long) (BgL_arg2423z00_2230);
																					BgL_restz00_2229 =
																						(BgL_offsetz00_2226 %
																						BgL_auxz00_3379);
																			}}
																			{	/* Inline/recursion.scm 313 */

																				BgL_method3254z00_2219 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_2224,
																						(int) (BgL_modz00_2227)),
																					(int) (BgL_restz00_2229));
												}}}}}}}}
												BgL_arg3520z00_1504 =
													PROCEDURE_ENTRY(BgL_method3254z00_2219)
													(BgL_method3254z00_2219, (obj_t) (BgL_nodez00_2217),
													(obj_t) (BgL_varz00_2218), BEOA);
									}}}
									BgL_arg3519z00_1503 =
										bgl_append2(BgL_callsz00_1499, BgL_arg3520z00_1504);
								}
								{
									obj_t BgL_callsz00_3392;

									obj_t BgL_localsz00_3391;

									BgL_localsz00_3391 = BgL_arg3518z00_1502;
									BgL_callsz00_3392 = BgL_arg3519z00_1503;
									BgL_callsz00_1499 = BgL_callsz00_3392;
									BgL_localsz00_1498 = BgL_localsz00_3391;
									goto BgL_zc3anonymousza33514ze3z83_1500;
								}
							}
					}
				}
			}
		}
	}



/* find-recursive-calls3275 */
	obj_t BGl_findzd2recursivezd2calls3275z00zzinline_recursionz00(obj_t
		BgL_envz00_2558, obj_t BgL_nodez00_2559, obj_t BgL_varz00_2560)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 294 */
			{
				BgL_selectz00_bglt BgL_nodez00_1471;

				obj_t BgL_varz00_1472;

				BgL_nodez00_1471 = (BgL_selectz00_bglt) (BgL_nodez00_2559);
				BgL_varz00_1472 = BgL_varz00_2560;
				{	/* Inline/recursion.scm 295 */
					obj_t BgL_g3224z00_1475;

					obj_t BgL_g3225z00_1476;

					BgL_g3224z00_1475 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1471))->BgL_clausesz00);
					{	/* Inline/recursion.scm 296 */
						BgL_nodez00_bglt BgL_arg3512z00_1488;

						BgL_arg3512z00_1488 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1471))->BgL_testz00);
						{	/* Inline/recursion.scm 296 */
							BgL_variablez00_bglt BgL_varz00_2126;

							BgL_varz00_2126 = (BgL_variablez00_bglt) (BgL_varz00_1472);
							{	/* Inline/recursion.scm 296 */
								obj_t BgL_method3254z00_2127;

								{	/* Inline/recursion.scm 296 */
									BgL_objectz00_bglt BgL_objz00_2128;

									BgL_objz00_2128 = (BgL_objectz00_bglt) (BgL_arg3512z00_1488);
									{	/* Inline/recursion.scm 296 */
										long BgL_objzd2classzd2numz00_2129;

										BgL_objzd2classzd2numz00_2129 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2128);
										{	/* Inline/recursion.scm 296 */
											obj_t BgL_arg2422z00_2130;

											BgL_arg2422z00_2130 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 296 */
												obj_t BgL_arrayz00_2132;

												int BgL_offsetz00_2133;

												BgL_arrayz00_2132 = BgL_arg2422z00_2130;
												BgL_offsetz00_2133 =
													(int) (BgL_objzd2classzd2numz00_2129);
												{	/* Inline/recursion.scm 296 */
													long BgL_offsetz00_2134;

													BgL_offsetz00_2134 =
														((long) (BgL_offsetz00_2133) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 296 */
														long BgL_modz00_2135;

														{	/* Inline/recursion.scm 296 */
															int BgL_arg2424z00_2136;

															BgL_arg2424z00_2136 = (int) (((long) 8));
															{	/* Inline/recursion.scm 296 */
																long BgL_auxz00_3405;

																BgL_auxz00_3405 = (long) (BgL_arg2424z00_2136);
																BgL_modz00_2135 =
																	(BgL_offsetz00_2134 / BgL_auxz00_3405);
														}}
														{	/* Inline/recursion.scm 296 */
															long BgL_restz00_2137;

															{	/* Inline/recursion.scm 296 */
																int BgL_arg2423z00_2138;

																BgL_arg2423z00_2138 = (int) (((long) 8));
																{	/* Inline/recursion.scm 296 */
																	long BgL_auxz00_3409;

																	BgL_auxz00_3409 =
																		(long) (BgL_arg2423z00_2138);
																	BgL_restz00_2137 =
																		(BgL_offsetz00_2134 % BgL_auxz00_3409);
															}}
															{	/* Inline/recursion.scm 296 */

																BgL_method3254z00_2127 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2132,
																		(int) (BgL_modz00_2135)),
																	(int) (BgL_restz00_2137));
								}}}}}}}}
								BgL_g3225z00_1476 =
									PROCEDURE_ENTRY(BgL_method3254z00_2127)
									(BgL_method3254z00_2127, (obj_t) (BgL_arg3512z00_1488),
									(obj_t) (BgL_varz00_2126), BEOA);
					}}}
					{
						obj_t BgL_clausesz00_1478;

						obj_t BgL_callsz00_1479;

						BgL_clausesz00_1478 = BgL_g3224z00_1475;
						BgL_callsz00_1479 = BgL_g3225z00_1476;
					BgL_zc3anonymousza33505ze3z83_1480:
						if (NULLP(BgL_clausesz00_1478))
							{	/* Inline/recursion.scm 297 */
								return BgL_callsz00_1479;
							}
						else
							{	/* Inline/recursion.scm 299 */
								obj_t BgL_arg3507z00_1482;

								obj_t BgL_arg3508z00_1483;

								BgL_arg3507z00_1482 = CDR(BgL_clausesz00_1478);
								{	/* Inline/recursion.scm 300 */
									obj_t BgL_arg3509z00_1484;

									{	/* Inline/recursion.scm 300 */
										obj_t BgL_arg3510z00_1485;

										BgL_arg3510z00_1485 = CDR(CAR(BgL_clausesz00_1478));
										{	/* Inline/recursion.scm 300 */
											BgL_nodez00_bglt BgL_nodez00_2156;

											BgL_variablez00_bglt BgL_varz00_2157;

											BgL_nodez00_2156 =
												(BgL_nodez00_bglt) (BgL_arg3510z00_1485);
											BgL_varz00_2157 =
												(BgL_variablez00_bglt) (BgL_varz00_1472);
											{	/* Inline/recursion.scm 300 */
												obj_t BgL_method3254z00_2158;

												{	/* Inline/recursion.scm 300 */
													BgL_objectz00_bglt BgL_objz00_2159;

													BgL_objz00_2159 =
														(BgL_objectz00_bglt) (BgL_nodez00_2156);
													{	/* Inline/recursion.scm 300 */
														long BgL_objzd2classzd2numz00_2160;

														BgL_objzd2classzd2numz00_2160 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_2159);
														{	/* Inline/recursion.scm 300 */
															obj_t BgL_arg2422z00_2161;

															BgL_arg2422z00_2161 =
																PROCEDURE_REF
																(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
																(int) (((long) 1)));
															{	/* Inline/recursion.scm 300 */
																obj_t BgL_arrayz00_2163;

																int BgL_offsetz00_2164;

																BgL_arrayz00_2163 = BgL_arg2422z00_2161;
																BgL_offsetz00_2164 =
																	(int) (BgL_objzd2classzd2numz00_2160);
																{	/* Inline/recursion.scm 300 */
																	long BgL_offsetz00_2165;

																	BgL_offsetz00_2165 =
																		((long) (BgL_offsetz00_2164) - OBJECT_TYPE);
																	{	/* Inline/recursion.scm 300 */
																		long BgL_modz00_2166;

																		{	/* Inline/recursion.scm 300 */
																			int BgL_arg2424z00_2167;

																			BgL_arg2424z00_2167 = (int) (((long) 8));
																			{	/* Inline/recursion.scm 300 */
																				long BgL_auxz00_3435;

																				BgL_auxz00_3435 =
																					(long) (BgL_arg2424z00_2167);
																				BgL_modz00_2166 =
																					(BgL_offsetz00_2165 /
																					BgL_auxz00_3435);
																		}}
																		{	/* Inline/recursion.scm 300 */
																			long BgL_restz00_2168;

																			{	/* Inline/recursion.scm 300 */
																				int BgL_arg2423z00_2169;

																				BgL_arg2423z00_2169 =
																					(int) (((long) 8));
																				{	/* Inline/recursion.scm 300 */
																					long BgL_auxz00_3439;

																					BgL_auxz00_3439 =
																						(long) (BgL_arg2423z00_2169);
																					BgL_restz00_2168 =
																						(BgL_offsetz00_2165 %
																						BgL_auxz00_3439);
																			}}
																			{	/* Inline/recursion.scm 300 */

																				BgL_method3254z00_2158 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_2163,
																						(int) (BgL_modz00_2166)),
																					(int) (BgL_restz00_2168));
												}}}}}}}}
												BgL_arg3509z00_1484 =
													PROCEDURE_ENTRY(BgL_method3254z00_2158)
													(BgL_method3254z00_2158, (obj_t) (BgL_nodez00_2156),
													(obj_t) (BgL_varz00_2157), BEOA);
									}}}
									BgL_arg3508z00_1483 =
										bgl_append2(BgL_arg3509z00_1484, BgL_callsz00_1479);
								}
								{
									obj_t BgL_callsz00_3452;

									obj_t BgL_clausesz00_3451;

									BgL_clausesz00_3451 = BgL_arg3507z00_1482;
									BgL_callsz00_3452 = BgL_arg3508z00_1483;
									BgL_callsz00_1479 = BgL_callsz00_3452;
									BgL_clausesz00_1478 = BgL_clausesz00_3451;
									goto BgL_zc3anonymousza33505ze3z83_1480;
								}
							}
					}
				}
			}
		}
	}



/* find-recursive-calls3273 */
	obj_t BGl_findzd2recursivezd2calls3273z00zzinline_recursionz00(obj_t
		BgL_envz00_2561, obj_t BgL_nodez00_2562, obj_t BgL_varz00_2563)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 285 */
			{
				BgL_failz00_bglt BgL_nodez00_1455;

				obj_t BgL_varz00_1456;

				BgL_nodez00_1455 = (BgL_failz00_bglt) (BgL_nodez00_2562);
				BgL_varz00_1456 = BgL_varz00_2563;
				{	/* Inline/recursion.scm 287 */
					obj_t BgL_arg3495z00_1460;

					obj_t BgL_arg3496z00_1461;

					obj_t BgL_arg3497z00_1462;

					{	/* Inline/recursion.scm 287 */
						BgL_nodez00_bglt BgL_arg3501z00_1466;

						BgL_arg3501z00_1466 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1455))->BgL_procz00);
						{	/* Inline/recursion.scm 287 */
							BgL_variablez00_bglt BgL_varz00_2041;

							BgL_varz00_2041 = (BgL_variablez00_bglt) (BgL_varz00_1456);
							{	/* Inline/recursion.scm 287 */
								obj_t BgL_method3254z00_2042;

								{	/* Inline/recursion.scm 287 */
									BgL_objectz00_bglt BgL_objz00_2043;

									BgL_objz00_2043 = (BgL_objectz00_bglt) (BgL_arg3501z00_1466);
									{	/* Inline/recursion.scm 287 */
										long BgL_objzd2classzd2numz00_2044;

										BgL_objzd2classzd2numz00_2044 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2043);
										{	/* Inline/recursion.scm 287 */
											obj_t BgL_arg2422z00_2045;

											BgL_arg2422z00_2045 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 287 */
												obj_t BgL_arrayz00_2047;

												int BgL_offsetz00_2048;

												BgL_arrayz00_2047 = BgL_arg2422z00_2045;
												BgL_offsetz00_2048 =
													(int) (BgL_objzd2classzd2numz00_2044);
												{	/* Inline/recursion.scm 287 */
													long BgL_offsetz00_2049;

													BgL_offsetz00_2049 =
														((long) (BgL_offsetz00_2048) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 287 */
														long BgL_modz00_2050;

														{	/* Inline/recursion.scm 287 */
															int BgL_arg2424z00_2051;

															BgL_arg2424z00_2051 = (int) (((long) 8));
															{	/* Inline/recursion.scm 287 */
																long BgL_auxz00_3464;

																BgL_auxz00_3464 = (long) (BgL_arg2424z00_2051);
																BgL_modz00_2050 =
																	(BgL_offsetz00_2049 / BgL_auxz00_3464);
														}}
														{	/* Inline/recursion.scm 287 */
															long BgL_restz00_2052;

															{	/* Inline/recursion.scm 287 */
																int BgL_arg2423z00_2053;

																BgL_arg2423z00_2053 = (int) (((long) 8));
																{	/* Inline/recursion.scm 287 */
																	long BgL_auxz00_3468;

																	BgL_auxz00_3468 =
																		(long) (BgL_arg2423z00_2053);
																	BgL_restz00_2052 =
																		(BgL_offsetz00_2049 % BgL_auxz00_3468);
															}}
															{	/* Inline/recursion.scm 287 */

																BgL_method3254z00_2042 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2047,
																		(int) (BgL_modz00_2050)),
																	(int) (BgL_restz00_2052));
								}}}}}}}}
								BgL_arg3495z00_1460 =
									PROCEDURE_ENTRY(BgL_method3254z00_2042)
									(BgL_method3254z00_2042, (obj_t) (BgL_arg3501z00_1466),
									(obj_t) (BgL_varz00_2041), BEOA);
					}}}
					{	/* Inline/recursion.scm 288 */
						BgL_nodez00_bglt BgL_arg3502z00_1467;

						BgL_arg3502z00_1467 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1455))->BgL_msgz00);
						{	/* Inline/recursion.scm 288 */
							BgL_variablez00_bglt BgL_varz00_2069;

							BgL_varz00_2069 = (BgL_variablez00_bglt) (BgL_varz00_1456);
							{	/* Inline/recursion.scm 288 */
								obj_t BgL_method3254z00_2070;

								{	/* Inline/recursion.scm 288 */
									BgL_objectz00_bglt BgL_objz00_2071;

									BgL_objz00_2071 = (BgL_objectz00_bglt) (BgL_arg3502z00_1467);
									{	/* Inline/recursion.scm 288 */
										long BgL_objzd2classzd2numz00_2072;

										BgL_objzd2classzd2numz00_2072 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2071);
										{	/* Inline/recursion.scm 288 */
											obj_t BgL_arg2422z00_2073;

											BgL_arg2422z00_2073 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 288 */
												obj_t BgL_arrayz00_2075;

												int BgL_offsetz00_2076;

												BgL_arrayz00_2075 = BgL_arg2422z00_2073;
												BgL_offsetz00_2076 =
													(int) (BgL_objzd2classzd2numz00_2072);
												{	/* Inline/recursion.scm 288 */
													long BgL_offsetz00_2077;

													BgL_offsetz00_2077 =
														((long) (BgL_offsetz00_2076) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 288 */
														long BgL_modz00_2078;

														{	/* Inline/recursion.scm 288 */
															int BgL_arg2424z00_2079;

															BgL_arg2424z00_2079 = (int) (((long) 8));
															{	/* Inline/recursion.scm 288 */
																long BgL_auxz00_3489;

																BgL_auxz00_3489 = (long) (BgL_arg2424z00_2079);
																BgL_modz00_2078 =
																	(BgL_offsetz00_2077 / BgL_auxz00_3489);
														}}
														{	/* Inline/recursion.scm 288 */
															long BgL_restz00_2080;

															{	/* Inline/recursion.scm 288 */
																int BgL_arg2423z00_2081;

																BgL_arg2423z00_2081 = (int) (((long) 8));
																{	/* Inline/recursion.scm 288 */
																	long BgL_auxz00_3493;

																	BgL_auxz00_3493 =
																		(long) (BgL_arg2423z00_2081);
																	BgL_restz00_2080 =
																		(BgL_offsetz00_2077 % BgL_auxz00_3493);
															}}
															{	/* Inline/recursion.scm 288 */

																BgL_method3254z00_2070 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2075,
																		(int) (BgL_modz00_2078)),
																	(int) (BgL_restz00_2080));
								}}}}}}}}
								BgL_arg3496z00_1461 =
									PROCEDURE_ENTRY(BgL_method3254z00_2070)
									(BgL_method3254z00_2070, (obj_t) (BgL_arg3502z00_1467),
									(obj_t) (BgL_varz00_2069), BEOA);
					}}}
					{	/* Inline/recursion.scm 289 */
						BgL_nodez00_bglt BgL_arg3503z00_1468;

						BgL_arg3503z00_1468 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1455))->BgL_objz00);
						{	/* Inline/recursion.scm 289 */
							BgL_variablez00_bglt BgL_varz00_2097;

							BgL_varz00_2097 = (BgL_variablez00_bglt) (BgL_varz00_1456);
							{	/* Inline/recursion.scm 289 */
								obj_t BgL_method3254z00_2098;

								{	/* Inline/recursion.scm 289 */
									BgL_objectz00_bglt BgL_objz00_2099;

									BgL_objz00_2099 = (BgL_objectz00_bglt) (BgL_arg3503z00_1468);
									{	/* Inline/recursion.scm 289 */
										long BgL_objzd2classzd2numz00_2100;

										BgL_objzd2classzd2numz00_2100 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2099);
										{	/* Inline/recursion.scm 289 */
											obj_t BgL_arg2422z00_2101;

											BgL_arg2422z00_2101 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 289 */
												obj_t BgL_arrayz00_2103;

												int BgL_offsetz00_2104;

												BgL_arrayz00_2103 = BgL_arg2422z00_2101;
												BgL_offsetz00_2104 =
													(int) (BgL_objzd2classzd2numz00_2100);
												{	/* Inline/recursion.scm 289 */
													long BgL_offsetz00_2105;

													BgL_offsetz00_2105 =
														((long) (BgL_offsetz00_2104) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 289 */
														long BgL_modz00_2106;

														{	/* Inline/recursion.scm 289 */
															int BgL_arg2424z00_2107;

															BgL_arg2424z00_2107 = (int) (((long) 8));
															{	/* Inline/recursion.scm 289 */
																long BgL_auxz00_3514;

																BgL_auxz00_3514 = (long) (BgL_arg2424z00_2107);
																BgL_modz00_2106 =
																	(BgL_offsetz00_2105 / BgL_auxz00_3514);
														}}
														{	/* Inline/recursion.scm 289 */
															long BgL_restz00_2108;

															{	/* Inline/recursion.scm 289 */
																int BgL_arg2423z00_2109;

																BgL_arg2423z00_2109 = (int) (((long) 8));
																{	/* Inline/recursion.scm 289 */
																	long BgL_auxz00_3518;

																	BgL_auxz00_3518 =
																		(long) (BgL_arg2423z00_2109);
																	BgL_restz00_2108 =
																		(BgL_offsetz00_2105 % BgL_auxz00_3518);
															}}
															{	/* Inline/recursion.scm 289 */

																BgL_method3254z00_2098 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2103,
																		(int) (BgL_modz00_2106)),
																	(int) (BgL_restz00_2108));
								}}}}}}}}
								BgL_arg3497z00_1462 =
									PROCEDURE_ENTRY(BgL_method3254z00_2098)
									(BgL_method3254z00_2098, (obj_t) (BgL_arg3503z00_1468),
									(obj_t) (BgL_varz00_2097), BEOA);
					}}}
					{	/* Inline/recursion.scm 287 */
						obj_t BgL_list3498z00_1463;

						{	/* Inline/recursion.scm 287 */
							obj_t BgL_arg3499z00_1464;

							{	/* Inline/recursion.scm 287 */
								obj_t BgL_arg3500z00_1465;

								BgL_arg3500z00_1465 = MAKE_PAIR(BgL_arg3497z00_1462, BNIL);
								BgL_arg3499z00_1464 =
									MAKE_PAIR(BgL_arg3496z00_1461, BgL_arg3500z00_1465);
							}
							BgL_list3498z00_1463 =
								MAKE_PAIR(BgL_arg3495z00_1460, BgL_arg3499z00_1464);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3498z00_1463);
					}
				}
			}
		}
	}



/* find-recursive-calls3271 */
	obj_t BGl_findzd2recursivezd2calls3271z00zzinline_recursionz00(obj_t
		BgL_envz00_2564, obj_t BgL_nodez00_2565, obj_t BgL_varz00_2566)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 276 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1439;

				obj_t BgL_varz00_1440;

				BgL_nodez00_1439 = (BgL_conditionalz00_bglt) (BgL_nodez00_2565);
				BgL_varz00_1440 = BgL_varz00_2566;
				{	/* Inline/recursion.scm 278 */
					obj_t BgL_arg3485z00_1444;

					obj_t BgL_arg3486z00_1445;

					obj_t BgL_arg3487z00_1446;

					{	/* Inline/recursion.scm 278 */
						BgL_nodez00_bglt BgL_arg3491z00_1450;

						BgL_arg3491z00_1450 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1439))->BgL_testz00);
						{	/* Inline/recursion.scm 278 */
							BgL_variablez00_bglt BgL_varz00_1957;

							BgL_varz00_1957 = (BgL_variablez00_bglt) (BgL_varz00_1440);
							{	/* Inline/recursion.scm 278 */
								obj_t BgL_method3254z00_1958;

								{	/* Inline/recursion.scm 278 */
									BgL_objectz00_bglt BgL_objz00_1959;

									BgL_objz00_1959 = (BgL_objectz00_bglt) (BgL_arg3491z00_1450);
									{	/* Inline/recursion.scm 278 */
										long BgL_objzd2classzd2numz00_1960;

										BgL_objzd2classzd2numz00_1960 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1959);
										{	/* Inline/recursion.scm 278 */
											obj_t BgL_arg2422z00_1961;

											BgL_arg2422z00_1961 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 278 */
												obj_t BgL_arrayz00_1963;

												int BgL_offsetz00_1964;

												BgL_arrayz00_1963 = BgL_arg2422z00_1961;
												BgL_offsetz00_1964 =
													(int) (BgL_objzd2classzd2numz00_1960);
												{	/* Inline/recursion.scm 278 */
													long BgL_offsetz00_1965;

													BgL_offsetz00_1965 =
														((long) (BgL_offsetz00_1964) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 278 */
														long BgL_modz00_1966;

														{	/* Inline/recursion.scm 278 */
															int BgL_arg2424z00_1967;

															BgL_arg2424z00_1967 = (int) (((long) 8));
															{	/* Inline/recursion.scm 278 */
																long BgL_auxz00_3544;

																BgL_auxz00_3544 = (long) (BgL_arg2424z00_1967);
																BgL_modz00_1966 =
																	(BgL_offsetz00_1965 / BgL_auxz00_3544);
														}}
														{	/* Inline/recursion.scm 278 */
															long BgL_restz00_1968;

															{	/* Inline/recursion.scm 278 */
																int BgL_arg2423z00_1969;

																BgL_arg2423z00_1969 = (int) (((long) 8));
																{	/* Inline/recursion.scm 278 */
																	long BgL_auxz00_3548;

																	BgL_auxz00_3548 =
																		(long) (BgL_arg2423z00_1969);
																	BgL_restz00_1968 =
																		(BgL_offsetz00_1965 % BgL_auxz00_3548);
															}}
															{	/* Inline/recursion.scm 278 */

																BgL_method3254z00_1958 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1963,
																		(int) (BgL_modz00_1966)),
																	(int) (BgL_restz00_1968));
								}}}}}}}}
								BgL_arg3485z00_1444 =
									PROCEDURE_ENTRY(BgL_method3254z00_1958)
									(BgL_method3254z00_1958, (obj_t) (BgL_arg3491z00_1450),
									(obj_t) (BgL_varz00_1957), BEOA);
					}}}
					{	/* Inline/recursion.scm 279 */
						BgL_nodez00_bglt BgL_arg3492z00_1451;

						BgL_arg3492z00_1451 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1439))->BgL_truez00);
						{	/* Inline/recursion.scm 279 */
							BgL_variablez00_bglt BgL_varz00_1985;

							BgL_varz00_1985 = (BgL_variablez00_bglt) (BgL_varz00_1440);
							{	/* Inline/recursion.scm 279 */
								obj_t BgL_method3254z00_1986;

								{	/* Inline/recursion.scm 279 */
									BgL_objectz00_bglt BgL_objz00_1987;

									BgL_objz00_1987 = (BgL_objectz00_bglt) (BgL_arg3492z00_1451);
									{	/* Inline/recursion.scm 279 */
										long BgL_objzd2classzd2numz00_1988;

										BgL_objzd2classzd2numz00_1988 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1987);
										{	/* Inline/recursion.scm 279 */
											obj_t BgL_arg2422z00_1989;

											BgL_arg2422z00_1989 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 279 */
												obj_t BgL_arrayz00_1991;

												int BgL_offsetz00_1992;

												BgL_arrayz00_1991 = BgL_arg2422z00_1989;
												BgL_offsetz00_1992 =
													(int) (BgL_objzd2classzd2numz00_1988);
												{	/* Inline/recursion.scm 279 */
													long BgL_offsetz00_1993;

													BgL_offsetz00_1993 =
														((long) (BgL_offsetz00_1992) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 279 */
														long BgL_modz00_1994;

														{	/* Inline/recursion.scm 279 */
															int BgL_arg2424z00_1995;

															BgL_arg2424z00_1995 = (int) (((long) 8));
															{	/* Inline/recursion.scm 279 */
																long BgL_auxz00_3569;

																BgL_auxz00_3569 = (long) (BgL_arg2424z00_1995);
																BgL_modz00_1994 =
																	(BgL_offsetz00_1993 / BgL_auxz00_3569);
														}}
														{	/* Inline/recursion.scm 279 */
															long BgL_restz00_1996;

															{	/* Inline/recursion.scm 279 */
																int BgL_arg2423z00_1997;

																BgL_arg2423z00_1997 = (int) (((long) 8));
																{	/* Inline/recursion.scm 279 */
																	long BgL_auxz00_3573;

																	BgL_auxz00_3573 =
																		(long) (BgL_arg2423z00_1997);
																	BgL_restz00_1996 =
																		(BgL_offsetz00_1993 % BgL_auxz00_3573);
															}}
															{	/* Inline/recursion.scm 279 */

																BgL_method3254z00_1986 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1991,
																		(int) (BgL_modz00_1994)),
																	(int) (BgL_restz00_1996));
								}}}}}}}}
								BgL_arg3486z00_1445 =
									PROCEDURE_ENTRY(BgL_method3254z00_1986)
									(BgL_method3254z00_1986, (obj_t) (BgL_arg3492z00_1451),
									(obj_t) (BgL_varz00_1985), BEOA);
					}}}
					{	/* Inline/recursion.scm 280 */
						BgL_nodez00_bglt BgL_arg3493z00_1452;

						BgL_arg3493z00_1452 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1439))->
							BgL_falsez00);
						{	/* Inline/recursion.scm 280 */
							BgL_variablez00_bglt BgL_varz00_2013;

							BgL_varz00_2013 = (BgL_variablez00_bglt) (BgL_varz00_1440);
							{	/* Inline/recursion.scm 280 */
								obj_t BgL_method3254z00_2014;

								{	/* Inline/recursion.scm 280 */
									BgL_objectz00_bglt BgL_objz00_2015;

									BgL_objz00_2015 = (BgL_objectz00_bglt) (BgL_arg3493z00_1452);
									{	/* Inline/recursion.scm 280 */
										long BgL_objzd2classzd2numz00_2016;

										BgL_objzd2classzd2numz00_2016 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2015);
										{	/* Inline/recursion.scm 280 */
											obj_t BgL_arg2422z00_2017;

											BgL_arg2422z00_2017 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 280 */
												obj_t BgL_arrayz00_2019;

												int BgL_offsetz00_2020;

												BgL_arrayz00_2019 = BgL_arg2422z00_2017;
												BgL_offsetz00_2020 =
													(int) (BgL_objzd2classzd2numz00_2016);
												{	/* Inline/recursion.scm 280 */
													long BgL_offsetz00_2021;

													BgL_offsetz00_2021 =
														((long) (BgL_offsetz00_2020) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 280 */
														long BgL_modz00_2022;

														{	/* Inline/recursion.scm 280 */
															int BgL_arg2424z00_2023;

															BgL_arg2424z00_2023 = (int) (((long) 8));
															{	/* Inline/recursion.scm 280 */
																long BgL_auxz00_3594;

																BgL_auxz00_3594 = (long) (BgL_arg2424z00_2023);
																BgL_modz00_2022 =
																	(BgL_offsetz00_2021 / BgL_auxz00_3594);
														}}
														{	/* Inline/recursion.scm 280 */
															long BgL_restz00_2024;

															{	/* Inline/recursion.scm 280 */
																int BgL_arg2423z00_2025;

																BgL_arg2423z00_2025 = (int) (((long) 8));
																{	/* Inline/recursion.scm 280 */
																	long BgL_auxz00_3598;

																	BgL_auxz00_3598 =
																		(long) (BgL_arg2423z00_2025);
																	BgL_restz00_2024 =
																		(BgL_offsetz00_2021 % BgL_auxz00_3598);
															}}
															{	/* Inline/recursion.scm 280 */

																BgL_method3254z00_2014 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2019,
																		(int) (BgL_modz00_2022)),
																	(int) (BgL_restz00_2024));
								}}}}}}}}
								BgL_arg3487z00_1446 =
									PROCEDURE_ENTRY(BgL_method3254z00_2014)
									(BgL_method3254z00_2014, (obj_t) (BgL_arg3493z00_1452),
									(obj_t) (BgL_varz00_2013), BEOA);
					}}}
					{	/* Inline/recursion.scm 278 */
						obj_t BgL_list3488z00_1447;

						{	/* Inline/recursion.scm 278 */
							obj_t BgL_arg3489z00_1448;

							{	/* Inline/recursion.scm 278 */
								obj_t BgL_arg3490z00_1449;

								BgL_arg3490z00_1449 = MAKE_PAIR(BgL_arg3487z00_1446, BNIL);
								BgL_arg3489z00_1448 =
									MAKE_PAIR(BgL_arg3486z00_1445, BgL_arg3490z00_1449);
							}
							BgL_list3488z00_1447 =
								MAKE_PAIR(BgL_arg3485z00_1444, BgL_arg3489z00_1448);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3488z00_1447);
					}
				}
			}
		}
	}



/* find-recursive-calls3269 */
	obj_t BGl_findzd2recursivezd2calls3269z00zzinline_recursionz00(obj_t
		BgL_envz00_2567, obj_t BgL_nodez00_2568, obj_t BgL_varz00_2569)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 270 */
			{
				BgL_setqz00_bglt BgL_nodez00_1432;

				obj_t BgL_varz00_1433;

				BgL_nodez00_1432 = (BgL_setqz00_bglt) (BgL_nodez00_2568);
				BgL_varz00_1433 = BgL_varz00_2569;
				{	/* Inline/recursion.scm 271 */
					BgL_nodez00_bglt BgL_arg3483z00_1926;

					BgL_arg3483z00_1926 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1432))->BgL_valuez00);
					{	/* Inline/recursion.scm 271 */
						BgL_variablez00_bglt BgL_varz00_1929;

						BgL_varz00_1929 = (BgL_variablez00_bglt) (BgL_varz00_1433);
						{	/* Inline/recursion.scm 271 */
							obj_t BgL_method3254z00_1930;

							{	/* Inline/recursion.scm 271 */
								BgL_objectz00_bglt BgL_objz00_1931;

								BgL_objz00_1931 = (BgL_objectz00_bglt) (BgL_arg3483z00_1926);
								{	/* Inline/recursion.scm 271 */
									long BgL_objzd2classzd2numz00_1932;

									BgL_objzd2classzd2numz00_1932 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1931);
									{	/* Inline/recursion.scm 271 */
										obj_t BgL_arg2422z00_1933;

										BgL_arg2422z00_1933 =
											PROCEDURE_REF
											(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
											(int) (((long) 1)));
										{	/* Inline/recursion.scm 271 */
											obj_t BgL_arrayz00_1935;

											int BgL_offsetz00_1936;

											BgL_arrayz00_1935 = BgL_arg2422z00_1933;
											BgL_offsetz00_1936 =
												(int) (BgL_objzd2classzd2numz00_1932);
											{	/* Inline/recursion.scm 271 */
												long BgL_offsetz00_1937;

												BgL_offsetz00_1937 =
													((long) (BgL_offsetz00_1936) - OBJECT_TYPE);
												{	/* Inline/recursion.scm 271 */
													long BgL_modz00_1938;

													{	/* Inline/recursion.scm 271 */
														int BgL_arg2424z00_1939;

														BgL_arg2424z00_1939 = (int) (((long) 8));
														{	/* Inline/recursion.scm 271 */
															long BgL_auxz00_3624;

															BgL_auxz00_3624 = (long) (BgL_arg2424z00_1939);
															BgL_modz00_1938 =
																(BgL_offsetz00_1937 / BgL_auxz00_3624);
													}}
													{	/* Inline/recursion.scm 271 */
														long BgL_restz00_1940;

														{	/* Inline/recursion.scm 271 */
															int BgL_arg2423z00_1941;

															BgL_arg2423z00_1941 = (int) (((long) 8));
															{	/* Inline/recursion.scm 271 */
																long BgL_auxz00_3628;

																BgL_auxz00_3628 = (long) (BgL_arg2423z00_1941);
																BgL_restz00_1940 =
																	(BgL_offsetz00_1937 % BgL_auxz00_3628);
														}}
														{	/* Inline/recursion.scm 271 */

															BgL_method3254z00_1930 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1935,
																	(int) (BgL_modz00_1938)),
																(int) (BgL_restz00_1940));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3254z00_1930) (BgL_method3254z00_1930,
								(obj_t) (BgL_arg3483z00_1926), (obj_t) (BgL_varz00_1929), BEOA);
						}
					}
				}
			}
		}
	}



/* find-recursive-calls3267 */
	obj_t BGl_findzd2recursivezd2calls3267z00zzinline_recursionz00(obj_t
		BgL_envz00_2570, obj_t BgL_nodez00_2571, obj_t BgL_varz00_2572)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 264 */
			{
				BgL_castz00_bglt BgL_nodez00_1425;

				obj_t BgL_varz00_1426;

				BgL_nodez00_1425 = (BgL_castz00_bglt) (BgL_nodez00_2571);
				BgL_varz00_1426 = BgL_varz00_2572;
				{	/* Inline/recursion.scm 265 */
					BgL_nodez00_bglt BgL_arg3481z00_1897;

					BgL_arg3481z00_1897 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1425))->BgL_argz00);
					{	/* Inline/recursion.scm 265 */
						BgL_variablez00_bglt BgL_varz00_1900;

						BgL_varz00_1900 = (BgL_variablez00_bglt) (BgL_varz00_1426);
						{	/* Inline/recursion.scm 265 */
							obj_t BgL_method3254z00_1901;

							{	/* Inline/recursion.scm 265 */
								BgL_objectz00_bglt BgL_objz00_1902;

								BgL_objz00_1902 = (BgL_objectz00_bglt) (BgL_arg3481z00_1897);
								{	/* Inline/recursion.scm 265 */
									long BgL_objzd2classzd2numz00_1903;

									BgL_objzd2classzd2numz00_1903 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1902);
									{	/* Inline/recursion.scm 265 */
										obj_t BgL_arg2422z00_1904;

										BgL_arg2422z00_1904 =
											PROCEDURE_REF
											(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
											(int) (((long) 1)));
										{	/* Inline/recursion.scm 265 */
											obj_t BgL_arrayz00_1906;

											int BgL_offsetz00_1907;

											BgL_arrayz00_1906 = BgL_arg2422z00_1904;
											BgL_offsetz00_1907 =
												(int) (BgL_objzd2classzd2numz00_1903);
											{	/* Inline/recursion.scm 265 */
												long BgL_offsetz00_1908;

												BgL_offsetz00_1908 =
													((long) (BgL_offsetz00_1907) - OBJECT_TYPE);
												{	/* Inline/recursion.scm 265 */
													long BgL_modz00_1909;

													{	/* Inline/recursion.scm 265 */
														int BgL_arg2424z00_1910;

														BgL_arg2424z00_1910 = (int) (((long) 8));
														{	/* Inline/recursion.scm 265 */
															long BgL_auxz00_3650;

															BgL_auxz00_3650 = (long) (BgL_arg2424z00_1910);
															BgL_modz00_1909 =
																(BgL_offsetz00_1908 / BgL_auxz00_3650);
													}}
													{	/* Inline/recursion.scm 265 */
														long BgL_restz00_1911;

														{	/* Inline/recursion.scm 265 */
															int BgL_arg2423z00_1912;

															BgL_arg2423z00_1912 = (int) (((long) 8));
															{	/* Inline/recursion.scm 265 */
																long BgL_auxz00_3654;

																BgL_auxz00_3654 = (long) (BgL_arg2423z00_1912);
																BgL_restz00_1911 =
																	(BgL_offsetz00_1908 % BgL_auxz00_3654);
														}}
														{	/* Inline/recursion.scm 265 */

															BgL_method3254z00_1901 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1906,
																	(int) (BgL_modz00_1909)),
																(int) (BgL_restz00_1911));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3254z00_1901) (BgL_method3254z00_1901,
								(obj_t) (BgL_arg3481z00_1897), (obj_t) (BgL_varz00_1900), BEOA);
						}
					}
				}
			}
		}
	}



/* find-recursive-calls3265 */
	obj_t BGl_findzd2recursivezd2calls3265z00zzinline_recursionz00(obj_t
		BgL_envz00_2573, obj_t BgL_nodez00_2574, obj_t BgL_varz00_2575)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 258 */
			{
				BgL_externz00_bglt BgL_nodez00_1418;

				obj_t BgL_varz00_1419;

				BgL_nodez00_1418 = (BgL_externz00_bglt) (BgL_nodez00_2574);
				BgL_varz00_1419 = BgL_varz00_2575;
				{	/* Inline/recursion.scm 259 */
					obj_t BgL_arg3479z00_1895;

					BgL_arg3479z00_1895 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1418))->BgL_exprza2za2);
					return
						BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00
						(BgL_arg3479z00_1895, BgL_varz00_1419);
				}
			}
		}
	}



/* find-recursive-calls3262 */
	obj_t BGl_findzd2recursivezd2calls3262z00zzinline_recursionz00(obj_t
		BgL_envz00_2576, obj_t BgL_nodez00_2577, obj_t BgL_varz00_2578)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 250 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1407;

				obj_t BgL_varz00_1408;

				BgL_nodez00_1407 = (BgL_funcallz00_bglt) (BgL_nodez00_2577);
				BgL_varz00_1408 = BgL_varz00_2578;
				{	/* Inline/recursion.scm 252 */
					obj_t BgL_arg3474z00_1412;

					obj_t BgL_arg3475z00_1413;

					{	/* Inline/recursion.scm 252 */
						BgL_nodez00_bglt BgL_arg3476z00_1414;

						BgL_arg3476z00_1414 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1407))->BgL_funz00);
						{	/* Inline/recursion.scm 252 */
							BgL_variablez00_bglt BgL_varz00_1868;

							BgL_varz00_1868 = (BgL_variablez00_bglt) (BgL_varz00_1408);
							{	/* Inline/recursion.scm 252 */
								obj_t BgL_method3254z00_1869;

								{	/* Inline/recursion.scm 252 */
									BgL_objectz00_bglt BgL_objz00_1870;

									BgL_objz00_1870 = (BgL_objectz00_bglt) (BgL_arg3476z00_1414);
									{	/* Inline/recursion.scm 252 */
										long BgL_objzd2classzd2numz00_1871;

										BgL_objzd2classzd2numz00_1871 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1870);
										{	/* Inline/recursion.scm 252 */
											obj_t BgL_arg2422z00_1872;

											BgL_arg2422z00_1872 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 252 */
												obj_t BgL_arrayz00_1874;

												int BgL_offsetz00_1875;

												BgL_arrayz00_1874 = BgL_arg2422z00_1872;
												BgL_offsetz00_1875 =
													(int) (BgL_objzd2classzd2numz00_1871);
												{	/* Inline/recursion.scm 252 */
													long BgL_offsetz00_1876;

													BgL_offsetz00_1876 =
														((long) (BgL_offsetz00_1875) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 252 */
														long BgL_modz00_1877;

														{	/* Inline/recursion.scm 252 */
															int BgL_arg2424z00_1878;

															BgL_arg2424z00_1878 = (int) (((long) 8));
															{	/* Inline/recursion.scm 252 */
																long BgL_auxz00_3679;

																BgL_auxz00_3679 = (long) (BgL_arg2424z00_1878);
																BgL_modz00_1877 =
																	(BgL_offsetz00_1876 / BgL_auxz00_3679);
														}}
														{	/* Inline/recursion.scm 252 */
															long BgL_restz00_1879;

															{	/* Inline/recursion.scm 252 */
																int BgL_arg2423z00_1880;

																BgL_arg2423z00_1880 = (int) (((long) 8));
																{	/* Inline/recursion.scm 252 */
																	long BgL_auxz00_3683;

																	BgL_auxz00_3683 =
																		(long) (BgL_arg2423z00_1880);
																	BgL_restz00_1879 =
																		(BgL_offsetz00_1876 % BgL_auxz00_3683);
															}}
															{	/* Inline/recursion.scm 252 */

																BgL_method3254z00_1869 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1874,
																		(int) (BgL_modz00_1877)),
																	(int) (BgL_restz00_1879));
								}}}}}}}}
								BgL_arg3474z00_1412 =
									PROCEDURE_ENTRY(BgL_method3254z00_1869)
									(BgL_method3254z00_1869, (obj_t) (BgL_arg3476z00_1414),
									(obj_t) (BgL_varz00_1868), BEOA);
					}}}
					{	/* Inline/recursion.scm 253 */
						obj_t BgL_arg3477z00_1415;

						BgL_arg3477z00_1415 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1407))->BgL_argsz00);
						BgL_arg3475z00_1413 =
							BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00
							(BgL_arg3477z00_1415, BgL_varz00_1408);
					}
					return bgl_append2(BgL_arg3474z00_1412, BgL_arg3475z00_1413);
				}
			}
		}
	}



/* find-recursive-calls3260 */
	obj_t BGl_findzd2recursivezd2calls3260z00zzinline_recursionz00(obj_t
		BgL_envz00_2579, obj_t BgL_nodez00_2580, obj_t BgL_varz00_2581)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 243 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1396;

				obj_t BgL_varz00_1397;

				BgL_nodez00_1396 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2580);
				BgL_varz00_1397 = BgL_varz00_2581;
				{	/* Inline/recursion.scm 245 */
					obj_t BgL_arg3469z00_1401;

					obj_t BgL_arg3470z00_1402;

					{	/* Inline/recursion.scm 245 */
						BgL_nodez00_bglt BgL_arg3471z00_1403;

						BgL_arg3471z00_1403 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1396))->BgL_funz00);
						{	/* Inline/recursion.scm 245 */
							BgL_variablez00_bglt BgL_varz00_1812;

							BgL_varz00_1812 = (BgL_variablez00_bglt) (BgL_varz00_1397);
							{	/* Inline/recursion.scm 245 */
								obj_t BgL_method3254z00_1813;

								{	/* Inline/recursion.scm 245 */
									BgL_objectz00_bglt BgL_objz00_1814;

									BgL_objz00_1814 = (BgL_objectz00_bglt) (BgL_arg3471z00_1403);
									{	/* Inline/recursion.scm 245 */
										long BgL_objzd2classzd2numz00_1815;

										BgL_objzd2classzd2numz00_1815 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1814);
										{	/* Inline/recursion.scm 245 */
											obj_t BgL_arg2422z00_1816;

											BgL_arg2422z00_1816 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 245 */
												obj_t BgL_arrayz00_1818;

												int BgL_offsetz00_1819;

												BgL_arrayz00_1818 = BgL_arg2422z00_1816;
												BgL_offsetz00_1819 =
													(int) (BgL_objzd2classzd2numz00_1815);
												{	/* Inline/recursion.scm 245 */
													long BgL_offsetz00_1820;

													BgL_offsetz00_1820 =
														((long) (BgL_offsetz00_1819) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 245 */
														long BgL_modz00_1821;

														{	/* Inline/recursion.scm 245 */
															int BgL_arg2424z00_1822;

															BgL_arg2424z00_1822 = (int) (((long) 8));
															{	/* Inline/recursion.scm 245 */
																long BgL_auxz00_3708;

																BgL_auxz00_3708 = (long) (BgL_arg2424z00_1822);
																BgL_modz00_1821 =
																	(BgL_offsetz00_1820 / BgL_auxz00_3708);
														}}
														{	/* Inline/recursion.scm 245 */
															long BgL_restz00_1823;

															{	/* Inline/recursion.scm 245 */
																int BgL_arg2423z00_1824;

																BgL_arg2423z00_1824 = (int) (((long) 8));
																{	/* Inline/recursion.scm 245 */
																	long BgL_auxz00_3712;

																	BgL_auxz00_3712 =
																		(long) (BgL_arg2423z00_1824);
																	BgL_restz00_1823 =
																		(BgL_offsetz00_1820 % BgL_auxz00_3712);
															}}
															{	/* Inline/recursion.scm 245 */

																BgL_method3254z00_1813 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1818,
																		(int) (BgL_modz00_1821)),
																	(int) (BgL_restz00_1823));
								}}}}}}}}
								BgL_arg3469z00_1401 =
									PROCEDURE_ENTRY(BgL_method3254z00_1813)
									(BgL_method3254z00_1813, (obj_t) (BgL_arg3471z00_1403),
									(obj_t) (BgL_varz00_1812), BEOA);
					}}}
					{	/* Inline/recursion.scm 245 */
						BgL_nodez00_bglt BgL_arg3472z00_1404;

						BgL_arg3472z00_1404 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1396))->BgL_argz00);
						{	/* Inline/recursion.scm 245 */
							BgL_variablez00_bglt BgL_varz00_1840;

							BgL_varz00_1840 = (BgL_variablez00_bglt) (BgL_varz00_1397);
							{	/* Inline/recursion.scm 245 */
								obj_t BgL_method3254z00_1841;

								{	/* Inline/recursion.scm 245 */
									BgL_objectz00_bglt BgL_objz00_1842;

									BgL_objz00_1842 = (BgL_objectz00_bglt) (BgL_arg3472z00_1404);
									{	/* Inline/recursion.scm 245 */
										long BgL_objzd2classzd2numz00_1843;

										BgL_objzd2classzd2numz00_1843 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1842);
										{	/* Inline/recursion.scm 245 */
											obj_t BgL_arg2422z00_1844;

											BgL_arg2422z00_1844 =
												PROCEDURE_REF
												(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
												(int) (((long) 1)));
											{	/* Inline/recursion.scm 245 */
												obj_t BgL_arrayz00_1846;

												int BgL_offsetz00_1847;

												BgL_arrayz00_1846 = BgL_arg2422z00_1844;
												BgL_offsetz00_1847 =
													(int) (BgL_objzd2classzd2numz00_1843);
												{	/* Inline/recursion.scm 245 */
													long BgL_offsetz00_1848;

													BgL_offsetz00_1848 =
														((long) (BgL_offsetz00_1847) - OBJECT_TYPE);
													{	/* Inline/recursion.scm 245 */
														long BgL_modz00_1849;

														{	/* Inline/recursion.scm 245 */
															int BgL_arg2424z00_1850;

															BgL_arg2424z00_1850 = (int) (((long) 8));
															{	/* Inline/recursion.scm 245 */
																long BgL_auxz00_3733;

																BgL_auxz00_3733 = (long) (BgL_arg2424z00_1850);
																BgL_modz00_1849 =
																	(BgL_offsetz00_1848 / BgL_auxz00_3733);
														}}
														{	/* Inline/recursion.scm 245 */
															long BgL_restz00_1851;

															{	/* Inline/recursion.scm 245 */
																int BgL_arg2423z00_1852;

																BgL_arg2423z00_1852 = (int) (((long) 8));
																{	/* Inline/recursion.scm 245 */
																	long BgL_auxz00_3737;

																	BgL_auxz00_3737 =
																		(long) (BgL_arg2423z00_1852);
																	BgL_restz00_1851 =
																		(BgL_offsetz00_1848 % BgL_auxz00_3737);
															}}
															{	/* Inline/recursion.scm 245 */

																BgL_method3254z00_1841 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1846,
																		(int) (BgL_modz00_1849)),
																	(int) (BgL_restz00_1851));
								}}}}}}}}
								BgL_arg3470z00_1402 =
									PROCEDURE_ENTRY(BgL_method3254z00_1841)
									(BgL_method3254z00_1841, (obj_t) (BgL_arg3472z00_1404),
									(obj_t) (BgL_varz00_1840), BEOA);
					}}}
					return bgl_append2(BgL_arg3469z00_1401, BgL_arg3470z00_1402);
				}
			}
		}
	}



/* find-recursive-calls3258 */
	obj_t BGl_findzd2recursivezd2calls3258z00zzinline_recursionz00(obj_t
		BgL_envz00_2582, obj_t BgL_nodez00_2583, obj_t BgL_varz00_2584)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 233 */
			{
				BgL_appz00_bglt BgL_nodez00_1382;

				obj_t BgL_varz00_1383;

				BgL_nodez00_1382 = (BgL_appz00_bglt) (BgL_nodez00_2583);
				BgL_varz00_1383 = BgL_varz00_2584;
				{	/* Inline/recursion.scm 235 */
					obj_t BgL_argszd2callszd2_1387;

					{	/* Inline/recursion.scm 235 */
						obj_t BgL_arg3467z00_1393;

						BgL_arg3467z00_1393 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1382))->BgL_argsz00);
						BgL_argszd2callszd2_1387 =
							BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00
							(BgL_arg3467z00_1393, BgL_varz00_1383);
					}
					{	/* Inline/recursion.scm 236 */
						bool_t BgL_testz00_3752;

						{	/* Inline/recursion.scm 236 */
							bool_t BgL_testz00_3753;

							{	/* Inline/recursion.scm 236 */
								BgL_varz00_bglt BgL_arg3466z00_1392;

								BgL_arg3466z00_1392 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1382))->BgL_funz00);
								{	/* Inline/recursion.scm 236 */
									obj_t BgL_obj2008z00_1807;

									BgL_obj2008z00_1807 = (obj_t) (BgL_arg3466z00_1392);
									BgL_testz00_3753 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2008z00_1807,
										BGl_varz00zzast_nodez00);
								}
							}
							if (BgL_testz00_3753)
								{	/* Inline/recursion.scm 236 */
									obj_t BgL_auxz00_3757;

									{	/* Inline/recursion.scm 236 */
										BgL_variablez00_bglt BgL_auxz00_3758;

										{	/* Inline/recursion.scm 236 */
											BgL_varz00_bglt BgL_obj1993z00_1809;

											BgL_obj1993z00_1809 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1382))->
												BgL_funz00);
											BgL_auxz00_3758 =
												(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1809))->
												BgL_variablez00);
										}
										BgL_auxz00_3757 = (obj_t) (BgL_auxz00_3758);
									}
									BgL_testz00_3752 = (BgL_auxz00_3757 == BgL_varz00_1383);
								}
							else
								{	/* Inline/recursion.scm 236 */
									BgL_testz00_3752 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3752)
							{	/* Inline/recursion.scm 236 */
								return
									MAKE_PAIR(
									(obj_t) (BgL_nodez00_1382), BgL_argszd2callszd2_1387);
							}
						else
							{	/* Inline/recursion.scm 236 */
								return BgL_argszd2callszd2_1387;
							}
					}
				}
			}
		}
	}



/* find-recursive-calls3256 */
	obj_t BGl_findzd2recursivezd2calls3256z00zzinline_recursionz00(obj_t
		BgL_envz00_2585, obj_t BgL_nodez00_2586, obj_t BgL_varz00_2587)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 224 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1375;

				obj_t BgL_varz00_1376;

				BgL_nodez00_1375 = (BgL_sequencez00_bglt) (BgL_nodez00_2586);
				BgL_varz00_1376 = BgL_varz00_2587;
				{	/* Inline/recursion.scm 225 */
					obj_t BgL_arg3460z00_1803;

					BgL_arg3460z00_1803 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1375))->BgL_nodesz00);
					return
						BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00
						(BgL_arg3460z00_1803, BgL_varz00_1376);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 509694479),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 80496154),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 326457085),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 168165545),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 432906461),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_loopz00(((long) 219405810),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 472786230),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_csez00(((long) 318913315),
				BSTRING_TO_STRING(BGl_string3638z00zzinline_recursionz00));
		}
	}

#ifdef __cplusplus
}
#endif
