/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/node.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	extern BgL_boxzd2refzd2_bglt BGl_makezd2boxzd2refz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt);
	static obj_t BGl__integratezd2celledzf33790z21zzintegrate_nodez00(obj_t,
		obj_t);
	static obj_t BGl_gloz12zd2boxzd2setz123449z00zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_makezd2boxzd2_bglt BGl_makezd2makezd2boxz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_gloz12zd2jumpzd2exzd2it3443zc0zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gloz12zd2fail3432zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00(obj_t, obj_t,
		bool_t, bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gloz12zd2conditional3430zc0zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_gloz12zd2select3434zc0zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_gloz12zd2var3411zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_gloz12zd2makezd2box3445z12zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_gloz12zd2default3403zc0zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_closurez00zzast_nodez00;
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_gloz12zd2funcall3422zc0zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static obj_t BGl_gloz12zd2atom3407zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	static obj_t BGl__gloz12zd2default3403zc0zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_boxzd2setz12zc0_bglt BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_gloz12zd2boxzd2ref3447z12zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl__globaliza7ez123788zb5zzintegrate_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_gloz12zd2setzd2exzd2it3441zc0zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__gloz123789z12zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_gloz12zd2cast3426zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_gloz12zd2letzd2fun3437z12zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_gloz12zd2closure3413zc0zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_gloz12zd2setq3428zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_gloz12zd2extern3424zc0zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_gloz12zd2kwote3409zc0zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	static obj_t BGl_gloz12zd2appzd2ly3420z12zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_gloz12zd2letzd2var3439z12zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
	static obj_t BGl_gloz12zd2app3418zc0zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_gloz12zd2sequence3415zc0zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STRING(BGl_string3791z00zzintegrate_nodez00,
		BgL_bgl_string3791za700za7za7i3819za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3813z00zzintegrate_nodez00,
		BgL_bgl_string3813za700za7za7i3820za7, "node-free", 9);
	      DEFINE_STRING(BGl_string3814z00zzintegrate_nodez00,
		BgL_bgl_string3814za700za7za7i3821za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string3815z00zzintegrate_nodez00,
		BgL_bgl_string3815za700za7za7i3822za7, "integrate_node", 14);
	      DEFINE_STRING(BGl_string3816z00zzintegrate_nodez00,
		BgL_bgl_string3816za700za7za7i3823za7,
		"aux glo!-default3403 done (write cell-integrate) cell-integrate ", 64);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl__integrateza7d2cel3824za7,
		BGl__integratezd2celledzf33790z21zzintegrate_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globaliza7ez12zd2envz67zzintegrate_nodez00,
		BgL_bgl__globaliza7a7eza71233825z00,
		BGl__globaliza7ez123788zb5zzintegrate_nodez00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_gloz12zd2default3403zd2envz12zzintegrate_nodez00,
		BgL_bgl__gloza712za7d2defaul3826z00,
		BGl__gloz12zd2default3403zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl__gloza7123789za712za7za73827z00,
		BGl__gloz123789z12zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3800z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2extern33828z00,
		BGl_gloz12zd2extern3424zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3801z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2cast3423829z00,
		BGl_gloz12zd2cast3426zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3802z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2setq3423830z00,
		BGl_gloz12zd2setq3428zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3792z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2atom3403831z00,
		BGl_gloz12zd2atom3407zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3803z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2conditi3832z00,
		BGl_gloz12zd2conditional3430zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3793z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2kwote343833z00,
		BGl_gloz12zd2kwote3409zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3804z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2fail3433834z00,
		BGl_gloz12zd2fail3432zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3794z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2var34113835z00,
		BGl_gloz12zd2var3411zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3805z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2select33836z00,
		BGl_gloz12zd2select3434zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3795z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2closure3837z00,
		BGl_gloz12zd2closure3413zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3806z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2letza7d2f3838za7,
		BGl_gloz12zd2letzd2fun3437z12zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3796z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2sequenc3839z00,
		BGl_gloz12zd2sequence3415zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3807z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2letza7d2v3840za7,
		BGl_gloz12zd2letzd2var3439z12zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3797z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2app34183841z00,
		BGl_gloz12zd2app3418zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3808z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2setza7d2e3842za7,
		BGl_gloz12zd2setzd2exzd2it3441zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3798z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2appza7d2l3843za7,
		BGl_gloz12zd2appzd2ly3420z12zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3810z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2makeza7d23844za7,
		BGl_gloz12zd2makezd2box3445z12zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3809z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2jumpza7d23845za7,
		BGl_gloz12zd2jumpzd2exzd2it3443zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3799z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2funcall3846z00,
		BGl_gloz12zd2funcall3422zc0zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3811z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2boxza7d2r3847za7,
		BGl_gloz12zd2boxzd2ref3447z12zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3812z00zzintegrate_nodez00,
		BgL_bgl_gloza712za7d2boxza7d2s3848za7,
		BGl_gloz12zd2boxzd2setz123449z00zzintegrate_nodez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_2905, char *BgL_fromz00_2906)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_node");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_2891;

				BgL_cportz00_2891 =
					bgl_open_input_string(BGl_string3816z00zzintegrate_nodez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2892;

					BgL_iz00_2892 = ((long) 4);
				BgL_loopz00_2893:
					if ((BgL_iz00_2892 == ((long) -1)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg3818z00_2895;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_2897;

										BgL_locationz00_2897 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg3818z00_2895 =
												BGl_readz00zz__readerz00(BgL_cportz00_2891,
												BgL_locationz00_2897);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_auxz00_2925;

									BgL_auxz00_2925 = (int) (BgL_iz00_2892);
									CNST_TABLE_SET(BgL_auxz00_2925, BgL_arg3818z00_2895);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_2898;

								BgL_auxz00_2898 = (int) ((BgL_iz00_2892 - ((long) 1)));
								{
									long BgL_iz00_2930;

									BgL_iz00_2930 = (long) (BgL_auxz00_2898);
									BgL_iz00_2892 = BgL_iz00_2930;
									goto BgL_loopz00_2893;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}
	}



/* globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt BgL_astz00_1,
		BgL_variablez00_bglt BgL_integratorz00_2, obj_t BgL_whatzf2byza2z50_3)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 35 */
			{	/* Integrate/node.scm 41 */
				BgL_valuez00_bglt BgL_funz00_901;

				BgL_funz00_901 =
					(((BgL_variablez00_bglt) CREF(BgL_integratorz00_2))->BgL_valuez00);
				{	/* Integrate/node.scm 41 */
					obj_t BgL_celledz00_902;

					{	/* Integrate/node.scm 42 */
						obj_t BgL_arg3460z00_923;

						{
							BgL_sfunz00_bglt BgL_auxz00_2933;

							BgL_auxz00_2933 = (BgL_sfunz00_bglt) (BgL_funz00_901);
							BgL_arg3460z00_923 =
								(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2933))->BgL_argsz00);
						}
						BgL_celledz00_902 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg3460z00_923);
					}
					{	/* Integrate/node.scm 42 */
						obj_t BgL_whatzf2byza2z50_903;

						BgL_whatzf2byza2z50_903 =
							bgl_append2(BgL_celledz00_902, BgL_whatzf2byza2z50_3);
						{	/* Integrate/node.scm 43 */

							{
								obj_t BgL_l3381z00_905;

								BgL_l3381z00_905 = BgL_whatzf2byza2z50_903;
							BgL_zc3anonymousza33450ze3z83_906:
								if (PAIRP(BgL_l3381z00_905))
									{	/* Integrate/node.scm 45 */
										{	/* Integrate/node.scm 46 */
											obj_t BgL_wze2bze2_908;

											BgL_wze2bze2_908 = CAR(BgL_l3381z00_905);
											{	/* Integrate/node.scm 46 */
												obj_t BgL_arg3452z00_909;

												obj_t BgL_arg3453z00_910;

												BgL_arg3452z00_909 = CAR(BgL_wze2bze2_908);
												BgL_arg3453z00_910 = CDR(BgL_wze2bze2_908);
												{
													BgL_variablez00_bglt BgL_auxz00_2943;

													BgL_auxz00_2943 =
														(BgL_variablez00_bglt) (BgL_arg3452z00_909);
													((((BgL_variablez00_bglt) CREF(BgL_auxz00_2943))->
															BgL_fastzd2alphazd2) =
														((obj_t) BgL_arg3453z00_910), BUNSPEC);
												}
											}
										}
										{
											obj_t BgL_l3381z00_2946;

											BgL_l3381z00_2946 = CDR(BgL_l3381z00_905);
											BgL_l3381z00_905 = BgL_l3381z00_2946;
											goto BgL_zc3anonymousza33450ze3z83_906;
										}
									}
								else
									{	/* Integrate/node.scm 45 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 48 */
								obj_t BgL_resz00_913;

								{	/* Integrate/node.scm 48 */
									BgL_nodez00_bglt BgL_arg3459z00_922;

									{	/* Integrate/node.scm 48 */
										BgL_nodez00_bglt BgL_res3700z00_1749;

										{	/* Integrate/node.scm 48 */
											obj_t BgL_method3405z00_1724;

											{	/* Integrate/node.scm 48 */
												BgL_objectz00_bglt BgL_objz00_1725;

												BgL_objz00_1725 = (BgL_objectz00_bglt) (BgL_astz00_1);
												{	/* Integrate/node.scm 48 */
													long BgL_objzd2classzd2numz00_1726;

													BgL_objzd2classzd2numz00_1726 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1725);
													{	/* Integrate/node.scm 48 */
														obj_t BgL_arg2422z00_1727;

														BgL_arg2422z00_1727 =
															PROCEDURE_REF
															(BGl_gloz12zd2envzc0zzintegrate_nodez00,
															(int) (((long) 1)));
														{	/* Integrate/node.scm 48 */
															obj_t BgL_arrayz00_1729;

															int BgL_offsetz00_1730;

															BgL_arrayz00_1729 = BgL_arg2422z00_1727;
															BgL_offsetz00_1730 =
																(int) (BgL_objzd2classzd2numz00_1726);
															{	/* Integrate/node.scm 48 */
																long BgL_offsetz00_1731;

																BgL_offsetz00_1731 =
																	((long) (BgL_offsetz00_1730) - OBJECT_TYPE);
																{	/* Integrate/node.scm 48 */
																	long BgL_modz00_1732;

																	{	/* Integrate/node.scm 48 */
																		int BgL_arg2424z00_1733;

																		BgL_arg2424z00_1733 = (int) (((long) 8));
																		{	/* Integrate/node.scm 48 */
																			long BgL_auxz00_2956;

																			BgL_auxz00_2956 =
																				(long) (BgL_arg2424z00_1733);
																			BgL_modz00_1732 =
																				(BgL_offsetz00_1731 / BgL_auxz00_2956);
																	}}
																	{	/* Integrate/node.scm 48 */
																		long BgL_restz00_1734;

																		{	/* Integrate/node.scm 48 */
																			int BgL_arg2423z00_1735;

																			BgL_arg2423z00_1735 = (int) (((long) 8));
																			{	/* Integrate/node.scm 48 */
																				long BgL_auxz00_2960;

																				BgL_auxz00_2960 =
																					(long) (BgL_arg2423z00_1735);
																				BgL_restz00_1734 =
																					(BgL_offsetz00_1731 %
																					BgL_auxz00_2960);
																		}}
																		{	/* Integrate/node.scm 48 */

																			BgL_method3405z00_1724 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1729,
																					(int) (BgL_modz00_1732)),
																				(int) (BgL_restz00_1734));
											}}}}}}}}
											BgL_res3700z00_1749 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3405z00_1724) (BgL_method3405z00_1724,
													(obj_t) (BgL_astz00_1), (obj_t) (BgL_integratorz00_2),
													BEOA));
										}
										BgL_arg3459z00_922 = BgL_res3700z00_1749;
									}
									BgL_resz00_913 =
										BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_902,
										BgL_arg3459z00_922);
								}
								{
									obj_t BgL_l3383z00_915;

									BgL_l3383z00_915 = BgL_whatzf2byza2z50_903;
								BgL_zc3anonymousza33455ze3z83_916:
									if (PAIRP(BgL_l3383z00_915))
										{	/* Integrate/node.scm 50 */
											{	/* Integrate/node.scm 51 */
												obj_t BgL_wze2bze2_918;

												BgL_wze2bze2_918 = CAR(BgL_l3383z00_915);
												{	/* Integrate/node.scm 51 */
													obj_t BgL_arg3457z00_919;

													BgL_arg3457z00_919 = CAR(BgL_wze2bze2_918);
													{
														BgL_variablez00_bglt BgL_auxz00_2977;

														BgL_auxz00_2977 =
															(BgL_variablez00_bglt) (BgL_arg3457z00_919);
														((((BgL_variablez00_bglt) CREF(BgL_auxz00_2977))->
																BgL_fastzd2alphazd2) =
															((obj_t) BUNSPEC), BUNSPEC);
													}
												}
											}
											{
												obj_t BgL_l3383z00_2980;

												BgL_l3383z00_2980 = CDR(BgL_l3383z00_915);
												BgL_l3383z00_915 = BgL_l3383z00_2980;
												goto BgL_zc3anonymousza33455ze3z83_916;
											}
										}
									else
										{	/* Integrate/node.scm 50 */
											((bool_t) 1);
										}
								}
								return BgL_resz00_913;
							}
						}
					}
				}
			}
		}
	}



/* _globalize!3788 */
	obj_t BGl__globaliza7ez123788zb5zzintegrate_nodez00(obj_t BgL_envz00_2795,
		obj_t BgL_astz00_2796, obj_t BgL_integratorz00_2797,
		obj_t BgL_whatzf2byza2z50_2798)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 35 */
			return
				BGl_globaliza7ez12zb5zzintegrate_nodez00(
				(BgL_nodez00_bglt) (BgL_astz00_2796),
				(BgL_variablez00_bglt) (BgL_integratorz00_2797),
				BgL_whatzf2byza2z50_2798);
		}
	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_4)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 58 */
			{
				obj_t BgL_celledz00_926;

				obj_t BgL_formalsz00_927;

				BgL_celledz00_926 = BNIL;
				BgL_formalsz00_927 = BgL_formalsz00_4;
			BgL_zc3anonymousza33461ze3z83_928:
				if (NULLP(BgL_formalsz00_927))
					{	/* Integrate/node.scm 62 */
						return BgL_celledz00_926;
					}
				else
					{	/* Integrate/node.scm 62 */
						if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								(BgL_localz00_bglt) (CAR(BgL_formalsz00_927))))
							{	/* Integrate/node.scm 67 */
								BgL_localz00_bglt BgL_varz00_931;

								{	/* Integrate/node.scm 67 */
									obj_t BgL_arg3469z00_939;

									{	/* Integrate/node.scm 67 */
										BgL_variablez00_bglt BgL_obj1442z00_1759;

										{	/* Integrate/node.scm 67 */
											obj_t BgL_pairz00_1758;

											BgL_pairz00_1758 = BgL_formalsz00_927;
											BgL_obj1442z00_1759 =
												(BgL_variablez00_bglt) (CAR(BgL_pairz00_1758));
										}
										BgL_arg3469z00_939 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1442z00_1759))->
											BgL_idz00);
									}
									BgL_varz00_931 =
										BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3469z00_939,
										(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
								}
								{	/* Integrate/node.scm 67 */
									obj_t BgL_oze2nze2_932;

									BgL_oze2nze2_932 =
										MAKE_PAIR(CAR(BgL_formalsz00_927),
										(obj_t) (BgL_varz00_931));
									{	/* Integrate/node.scm 68 */

										{	/* Integrate/node.scm 69 */
											BgL_variablez00_bglt BgL_obj1454z00_1761;

											obj_t BgL_val1453z00_1762;

											BgL_obj1454z00_1761 =
												(BgL_variablez00_bglt) (BgL_varz00_931);
											BgL_val1453z00_1762 = CNST_TABLE_REF(((long) 0));
											((((BgL_variablez00_bglt) CREF(BgL_obj1454z00_1761))->
													BgL_accessz00) =
												((obj_t) BgL_val1453z00_1762), BUNSPEC);
										}
										{	/* Integrate/node.scm 70 */
											BgL_svarz00_bglt BgL_obj3329z00_933;

											{
												BgL_svarz00_bglt BgL_auxz00_3002;

												{	/* Integrate/node.scm 70 */
													BgL_valuez00_bglt BgL_auxz00_3003;

													{
														BgL_variablez00_bglt BgL_auxz00_3004;

														BgL_auxz00_3004 =
															(BgL_variablez00_bglt) (BgL_varz00_931);
														BgL_auxz00_3003 =
															(((BgL_variablez00_bglt) CREF(BgL_auxz00_3004))->
															BgL_valuez00);
													}
													BgL_auxz00_3002 =
														(BgL_svarz00_bglt) (BgL_auxz00_3003);
												}
												BgL_obj3329z00_933 =
													((BgL_svarz00_bglt) BgL_auxz00_3002);
											}
											{	/* Integrate/node.scm 70 */
												obj_t BgL_auxz00_3011;

												BgL_objectz00_bglt BgL_auxz00_3009;

												BgL_auxz00_3011 =
													BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00
													(BUNSPEC, BUNSPEC, ((bool_t) 1), ((bool_t) 1));
												BgL_auxz00_3009 =
													(BgL_objectz00_bglt) (BgL_obj3329z00_933);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_3009,
													BgL_auxz00_3011);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												(BgL_objectz00_bglt) (BgL_obj3329z00_933),
												BGl_classzd2numzd2zz__objectz00
												(BGl_svarzf2Iinfozf2zzintegrate_infoz00));
											BgL_obj3329z00_933;
										}
										{	/* Integrate/node.scm 73 */
											obj_t BgL_arg3466z00_936;

											obj_t BgL_arg3467z00_937;

											BgL_arg3466z00_936 =
												MAKE_PAIR(BgL_oze2nze2_932, BgL_celledz00_926);
											BgL_arg3467z00_937 = CDR(BgL_formalsz00_927);
											{
												obj_t BgL_formalsz00_3020;

												obj_t BgL_celledz00_3019;

												BgL_celledz00_3019 = BgL_arg3466z00_936;
												BgL_formalsz00_3020 = BgL_arg3467z00_937;
												BgL_formalsz00_927 = BgL_formalsz00_3020;
												BgL_celledz00_926 = BgL_celledz00_3019;
												goto BgL_zc3anonymousza33461ze3z83_928;
											}
										}
									}
								}
							}
						else
							{
								obj_t BgL_formalsz00_3021;

								BgL_formalsz00_3021 = CDR(BgL_formalsz00_927);
								BgL_formalsz00_927 = BgL_formalsz00_3021;
								goto BgL_zc3anonymousza33461ze3z83_928;
							}
					}
			}
		}
	}



/* cell-formals */
	obj_t BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t BgL_celledz00_5,
		BgL_nodez00_bglt BgL_bodyz00_6)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 78 */
			if (NULLP(BgL_celledz00_5))
				{	/* Integrate/node.scm 79 */
					return (obj_t) (BgL_bodyz00_6);
				}
			else
				{	/* Integrate/node.scm 81 */
					obj_t BgL_locz00_945;

					BgL_locz00_945 =
						(((BgL_nodez00_bglt) CREF(BgL_bodyz00_6))->BgL_locz00);
					{	/* Integrate/node.scm 82 */
						obj_t BgL_arg3475z00_947;

						{	/* Integrate/node.scm 86 */
							obj_t BgL_head3387z00_950;

							BgL_head3387z00_950 = MAKE_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l3385z00_952;

								obj_t BgL_tail3388z00_953;

								BgL_l3385z00_952 = BgL_celledz00_5;
								BgL_tail3388z00_953 = BgL_head3387z00_950;
							BgL_zc3anonymousza33477ze3z83_954:
								if (NULLP(BgL_l3385z00_952))
									{	/* Integrate/node.scm 86 */
										BgL_arg3475z00_947 = CDR(BgL_head3387z00_950);
									}
								else
									{	/* Integrate/node.scm 86 */
										obj_t BgL_newtail3389z00_956;

										{	/* Integrate/node.scm 86 */
											obj_t BgL_arg3480z00_958;

											{	/* Integrate/node.scm 86 */
												obj_t BgL_oze2nze2_960;

												BgL_oze2nze2_960 = CAR(BgL_l3385z00_952);
												{	/* Integrate/node.scm 87 */
													obj_t BgL_arg3482z00_961;

													BgL_makezd2boxzd2_bglt BgL_arg3483z00_962;

													BgL_arg3482z00_961 = CDR(BgL_oze2nze2_960);
													{	/* Integrate/node.scm 91 */
														BgL_varz00_bglt BgL_arg3484z00_963;

														obj_t BgL_arg3485z00_964;

														{	/* Integrate/node.scm 91 */
															obj_t BgL_arg3486z00_965;

															BgL_arg3486z00_965 = CAR(BgL_oze2nze2_960);
															BgL_arg3484z00_963 =
																BGl_makezd2varzd2zzast_nodez00(BgL_locz00_945,
																(BgL_typez00_bglt)
																(BGl_za2_za2z00zztype_cachez00),
																(BgL_variablez00_bglt) (BgL_arg3486z00_965));
														}
														BgL_arg3485z00_964 = CAR(BgL_oze2nze2_960);
														BgL_arg3483z00_962 =
															BGl_azd2makezd2cellz00zzintegrate_nodez00(
															(BgL_nodez00_bglt) (BgL_arg3484z00_963),
															(BgL_variablez00_bglt) (BgL_arg3485z00_964));
													}
													BgL_arg3480z00_958 =
														MAKE_PAIR(BgL_arg3482z00_961,
														(obj_t) (BgL_arg3483z00_962));
												}
											}
											BgL_newtail3389z00_956 =
												MAKE_PAIR(BgL_arg3480z00_958, BNIL);
										}
										SET_CDR(BgL_tail3388z00_953, BgL_newtail3389z00_956);
										{
											obj_t BgL_tail3388z00_3047;

											obj_t BgL_l3385z00_3045;

											BgL_l3385z00_3045 = CDR(BgL_l3385z00_952);
											BgL_tail3388z00_3047 = BgL_newtail3389z00_956;
											BgL_tail3388z00_953 = BgL_tail3388z00_3047;
											BgL_l3385z00_952 = BgL_l3385z00_3045;
											goto BgL_zc3anonymousza33477ze3z83_954;
										}
									}
							}
						}
						return
							(obj_t) (BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_945,
								(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00), BUNSPEC,
								BINT(((long) -1)), BgL_arg3475z00_947, BgL_bodyz00_6,
								((bool_t) 1)));
		}}}
	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_7,
		BgL_variablez00_bglt BgL_variablez00_8)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 98 */
			{	/* Integrate/node.scm 102 */
				BgL_variablez00_bglt BgL_obj1454z00_1784;

				obj_t BgL_val1453z00_1785;

				BgL_obj1454z00_1784 = BgL_variablez00_8;
				BgL_val1453z00_1785 = CNST_TABLE_REF(((long) 0));
				((((BgL_variablez00_bglt) CREF(BgL_obj1454z00_1784))->BgL_accessz00) =
					((obj_t) BgL_val1453z00_1785), BUNSPEC);
			}
			{	/* Integrate/node.scm 103 */
				BgL_valuez00_bglt BgL_arg3487z00_968;

				BgL_arg3487z00_968 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_8))->BgL_valuez00);
				{	/* Integrate/node.scm 103 */
					BgL_svarzf2iinfozf2_bglt BgL_obj3109z00_1787;

					bool_t BgL_val3107z00_1788;

					BgL_obj3109z00_1787 = (BgL_svarzf2iinfozf2_bglt) (BgL_arg3487z00_968);
					BgL_val3107z00_1788 = ((bool_t) 1);
					{
						obj_t BgL_auxz00_3056;

						{	/* Integrate/node.scm 103 */
							BgL_objectz00_bglt BgL_auxz00_3057;

							BgL_auxz00_3057 = (BgL_objectz00_bglt) (BgL_obj3109z00_1787);
							BgL_auxz00_3056 = BGL_OBJECT_WIDENING(BgL_auxz00_3057);
						}
						((((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3056))->
								BgL_celledzf3zf3) = ((bool_t) BgL_val3107z00_1788), BUNSPEC);
			}}}
			{	/* Integrate/node.scm 104 */
				obj_t BgL_arg3488z00_969;

				BgL_arg3488z00_969 =
					(((BgL_nodez00_bglt) CREF(BgL_nodez00_7))->BgL_locz00);
				return
					BGl_makezd2makezd2boxz00zzast_nodez00(BgL_arg3488z00_969,
					(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00), BUNSPEC,
					BINT(((long) -1)), BgL_nodez00_7);
		}}
	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_9)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 109 */
			{	/* Integrate/node.scm 120 */
				bool_t BgL_testz00_3065;

				{	/* Integrate/node.scm 120 */
					BgL_valuez00_bglt BgL_arg3494z00_978;

					{
						BgL_variablez00_bglt BgL_auxz00_3066;

						BgL_auxz00_3066 = (BgL_variablez00_bglt) (BgL_variablez00_9);
						BgL_arg3494z00_978 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_3066))->BgL_valuez00);
					}
					{	/* Integrate/node.scm 120 */
						obj_t BgL_obj3094z00_1791;

						BgL_obj3094z00_1791 = (obj_t) (BgL_arg3494z00_978);
						BgL_testz00_3065 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3094z00_1791,
							BGl_svarzf2Iinfozf2zzintegrate_infoz00);
				}}
				if (BgL_testz00_3065)
					{	/* Integrate/node.scm 121 */
						bool_t BgL__ortest_3336z00_972;

						{	/* Integrate/node.scm 121 */
							BgL_svarzf2iinfozf2_bglt BgL_obj3106z00_1793;

							{	/* Integrate/node.scm 121 */
								BgL_variablez00_bglt BgL_obj1449z00_1792;

								BgL_obj1449z00_1792 =
									(BgL_variablez00_bglt) (BgL_variablez00_9);
								BgL_obj3106z00_1793 =
									(BgL_svarzf2iinfozf2_bglt) (
									(((BgL_variablez00_bglt) CREF(BgL_obj1449z00_1792))->
										BgL_valuez00));
							}
							{
								obj_t BgL_auxz00_3074;

								{	/* Integrate/node.scm 121 */
									BgL_objectz00_bglt BgL_auxz00_3075;

									BgL_auxz00_3075 = (BgL_objectz00_bglt) (BgL_obj3106z00_1793);
									BgL_auxz00_3074 = BGL_OBJECT_WIDENING(BgL_auxz00_3075);
								}
								BgL__ortest_3336z00_972 =
									(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3074))->
									BgL_celledzf3zf3);
							}
						}
						if (BgL__ortest_3336z00_972)
							{	/* Integrate/node.scm 121 */
								return BgL__ortest_3336z00_972;
							}
						else
							{	/* Integrate/node.scm 122 */
								bool_t BgL_testz00_3080;

								{	/* Integrate/node.scm 122 */
									obj_t BgL_auxz00_3081;

									{	/* Integrate/node.scm 122 */
										obj_t BgL_auxz00_3082;

										{
											BgL_variablez00_bglt BgL_auxz00_3083;

											BgL_auxz00_3083 =
												(BgL_variablez00_bglt) (BgL_variablez00_9);
											BgL_auxz00_3082 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_3083))->
												BgL_accessz00);
										}
										BgL_auxz00_3081 =
											BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3082,
											CNST_TABLE_REF(((long) 1)));
									}
									BgL_testz00_3080 = CBOOL(BgL_auxz00_3081);
								}
								if (BgL_testz00_3080)
									{	/* Integrate/node.scm 123 */
										BgL_svarzf2iinfozf2_bglt BgL_obj3103z00_1796;

										{	/* Integrate/node.scm 123 */
											BgL_variablez00_bglt BgL_obj1449z00_1795;

											BgL_obj1449z00_1795 =
												(BgL_variablez00_bglt) (BgL_variablez00_9);
											BgL_obj3103z00_1796 =
												(BgL_svarzf2iinfozf2_bglt) (
												(((BgL_variablez00_bglt) CREF(BgL_obj1449z00_1795))->
													BgL_valuez00));
										}
										{
											obj_t BgL_auxz00_3092;

											{	/* Integrate/node.scm 123 */
												BgL_objectz00_bglt BgL_auxz00_3093;

												BgL_auxz00_3093 =
													(BgL_objectz00_bglt) (BgL_obj3103z00_1796);
												BgL_auxz00_3092 = BGL_OBJECT_WIDENING(BgL_auxz00_3093);
											}
											return
												(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3092))->
												BgL_kapturedzf3zf3);
										}
									}
								else
									{	/* Integrate/node.scm 122 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 120 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _integrate-celled?3790 */
	obj_t BGl__integratezd2celledzf33790z21zzintegrate_nodez00(obj_t
		BgL_envz00_2802, obj_t BgL_variablez00_2803)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 109 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					(BgL_localz00_bglt) (BgL_variablez00_2803)));
		}
	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_56,
		obj_t BgL_integratorz00_57)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 395 */
			{
				obj_t BgL_nodeza2za2_980;

				BgL_nodeza2za2_980 = BgL_nodeza2za2_56;
			BgL_zc3anonymousza33495ze3z83_981:
				if (NULLP(BgL_nodeza2za2_980))
					{	/* Integrate/node.scm 397 */
						return CNST_TABLE_REF(((long) 2));
					}
				else
					{	/* Integrate/node.scm 397 */
						{	/* Integrate/node.scm 400 */
							BgL_nodez00_bglt BgL_arg3497z00_983;

							{	/* Integrate/node.scm 400 */
								obj_t BgL_arg3498z00_984;

								BgL_arg3498z00_984 = CAR(BgL_nodeza2za2_980);
								{	/* Integrate/node.scm 400 */
									BgL_nodez00_bglt BgL_res3703z00_1826;

									{	/* Integrate/node.scm 400 */
										BgL_nodez00_bglt BgL_nodez00_1799;

										BgL_variablez00_bglt BgL_integratorz00_1800;

										BgL_nodez00_1799 = (BgL_nodez00_bglt) (BgL_arg3498z00_984);
										BgL_integratorz00_1800 =
											(BgL_variablez00_bglt) (BgL_integratorz00_57);
										{	/* Integrate/node.scm 400 */
											obj_t BgL_method3405z00_1801;

											{	/* Integrate/node.scm 400 */
												BgL_objectz00_bglt BgL_objz00_1802;

												BgL_objz00_1802 =
													(BgL_objectz00_bglt) (BgL_nodez00_1799);
												{	/* Integrate/node.scm 400 */
													long BgL_objzd2classzd2numz00_1803;

													BgL_objzd2classzd2numz00_1803 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1802);
													{	/* Integrate/node.scm 400 */
														obj_t BgL_arg2422z00_1804;

														BgL_arg2422z00_1804 =
															PROCEDURE_REF
															(BGl_gloz12zd2envzc0zzintegrate_nodez00,
															(int) (((long) 1)));
														{	/* Integrate/node.scm 400 */
															obj_t BgL_arrayz00_1806;

															int BgL_offsetz00_1807;

															BgL_arrayz00_1806 = BgL_arg2422z00_1804;
															BgL_offsetz00_1807 =
																(int) (BgL_objzd2classzd2numz00_1803);
															{	/* Integrate/node.scm 400 */
																long BgL_offsetz00_1808;

																BgL_offsetz00_1808 =
																	((long) (BgL_offsetz00_1807) - OBJECT_TYPE);
																{	/* Integrate/node.scm 400 */
																	long BgL_modz00_1809;

																	{	/* Integrate/node.scm 400 */
																		int BgL_arg2424z00_1810;

																		BgL_arg2424z00_1810 = (int) (((long) 8));
																		{	/* Integrate/node.scm 400 */
																			long BgL_auxz00_3114;

																			BgL_auxz00_3114 =
																				(long) (BgL_arg2424z00_1810);
																			BgL_modz00_1809 =
																				(BgL_offsetz00_1808 / BgL_auxz00_3114);
																	}}
																	{	/* Integrate/node.scm 400 */
																		long BgL_restz00_1811;

																		{	/* Integrate/node.scm 400 */
																			int BgL_arg2423z00_1812;

																			BgL_arg2423z00_1812 = (int) (((long) 8));
																			{	/* Integrate/node.scm 400 */
																				long BgL_auxz00_3118;

																				BgL_auxz00_3118 =
																					(long) (BgL_arg2423z00_1812);
																				BgL_restz00_1811 =
																					(BgL_offsetz00_1808 %
																					BgL_auxz00_3118);
																		}}
																		{	/* Integrate/node.scm 400 */

																			BgL_method3405z00_1801 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1806,
																					(int) (BgL_modz00_1809)),
																				(int) (BgL_restz00_1811));
											}}}}}}}}
											BgL_res3703z00_1826 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3405z00_1801) (BgL_method3405z00_1801,
													(obj_t) (BgL_nodez00_1799),
													(obj_t) (BgL_integratorz00_1800), BEOA));
									}}
									BgL_arg3497z00_983 = BgL_res3703z00_1826;
							}}
							{	/* Integrate/node.scm 400 */
								obj_t BgL_auxz00_3130;

								BgL_auxz00_3130 = (obj_t) (BgL_arg3497z00_983);
								SET_CAR(BgL_nodeza2za2_980, BgL_auxz00_3130);
						}}
						{
							obj_t BgL_nodeza2za2_3133;

							BgL_nodeza2za2_3133 = CDR(BgL_nodeza2za2_980);
							BgL_nodeza2za2_980 = BgL_nodeza2za2_3133;
							goto BgL_zc3anonymousza33495ze3z83_981;
						}
					}
			}
		}
	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_58, BgL_variablez00_bglt BgL_integratorz00_59)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 406 */
			{	/* Integrate/node.scm 409 */
				BgL_valuez00_bglt BgL_funz00_987;

				{
					BgL_variablez00_bglt BgL_auxz00_3135;

					BgL_auxz00_3135 = (BgL_variablez00_bglt) (BgL_localz00_58);
					BgL_funz00_987 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_3135))->BgL_valuez00);
				}
				{	/* Integrate/node.scm 409 */
					obj_t BgL_obodyz00_988;

					{
						BgL_sfunz00_bglt BgL_auxz00_3138;

						BgL_auxz00_3138 = (BgL_sfunz00_bglt) (BgL_funz00_987);
						BgL_obodyz00_988 =
							(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3138))->BgL_bodyz00);
					}
					{	/* Integrate/node.scm 410 */

						if (((obj_t) (BgL_localz00_58) == (obj_t) (BgL_integratorz00_59)))
							{	/* Integrate/node.scm 412 */
								BgL_nodez00_bglt BgL_arg3501z00_990;

								{	/* Integrate/node.scm 412 */
									BgL_nodez00_bglt BgL_res3706z00_1859;

									{	/* Integrate/node.scm 412 */
										BgL_nodez00_bglt BgL_nodez00_1832;

										BgL_nodez00_1832 = (BgL_nodez00_bglt) (BgL_obodyz00_988);
										{	/* Integrate/node.scm 412 */
											obj_t BgL_method3405z00_1834;

											{	/* Integrate/node.scm 412 */
												BgL_objectz00_bglt BgL_objz00_1835;

												BgL_objz00_1835 =
													(BgL_objectz00_bglt) (BgL_nodez00_1832);
												{	/* Integrate/node.scm 412 */
													long BgL_objzd2classzd2numz00_1836;

													BgL_objzd2classzd2numz00_1836 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1835);
													{	/* Integrate/node.scm 412 */
														obj_t BgL_arg2422z00_1837;

														BgL_arg2422z00_1837 =
															PROCEDURE_REF
															(BGl_gloz12zd2envzc0zzintegrate_nodez00,
															(int) (((long) 1)));
														{	/* Integrate/node.scm 412 */
															obj_t BgL_arrayz00_1839;

															int BgL_offsetz00_1840;

															BgL_arrayz00_1839 = BgL_arg2422z00_1837;
															BgL_offsetz00_1840 =
																(int) (BgL_objzd2classzd2numz00_1836);
															{	/* Integrate/node.scm 412 */
																long BgL_offsetz00_1841;

																BgL_offsetz00_1841 =
																	((long) (BgL_offsetz00_1840) - OBJECT_TYPE);
																{	/* Integrate/node.scm 412 */
																	long BgL_modz00_1842;

																	{	/* Integrate/node.scm 412 */
																		int BgL_arg2424z00_1843;

																		BgL_arg2424z00_1843 = (int) (((long) 8));
																		{	/* Integrate/node.scm 412 */
																			long BgL_auxz00_3154;

																			BgL_auxz00_3154 =
																				(long) (BgL_arg2424z00_1843);
																			BgL_modz00_1842 =
																				(BgL_offsetz00_1841 / BgL_auxz00_3154);
																	}}
																	{	/* Integrate/node.scm 412 */
																		long BgL_restz00_1844;

																		{	/* Integrate/node.scm 412 */
																			int BgL_arg2423z00_1845;

																			BgL_arg2423z00_1845 = (int) (((long) 8));
																			{	/* Integrate/node.scm 412 */
																				long BgL_auxz00_3158;

																				BgL_auxz00_3158 =
																					(long) (BgL_arg2423z00_1845);
																				BgL_restz00_1844 =
																					(BgL_offsetz00_1841 %
																					BgL_auxz00_3158);
																		}}
																		{	/* Integrate/node.scm 412 */

																			BgL_method3405z00_1834 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1839,
																					(int) (BgL_modz00_1842)),
																				(int) (BgL_restz00_1844));
											}}}}}}}}
											BgL_res3706z00_1859 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3405z00_1834) (BgL_method3405z00_1834,
													(obj_t) (BgL_nodez00_1832),
													(obj_t) (BgL_integratorz00_59), BEOA));
									}}
									BgL_arg3501z00_990 = BgL_res3706z00_1859;
								}
								{
									obj_t BgL_auxz00_3172;

									BgL_sfunz00_bglt BgL_auxz00_3170;

									BgL_auxz00_3172 = (obj_t) (BgL_arg3501z00_990);
									BgL_auxz00_3170 = (BgL_sfunz00_bglt) (BgL_funz00_987);
									return
										((((BgL_sfunz00_bglt) CREF(BgL_auxz00_3170))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_3172), BUNSPEC);
								}
							}
						else
							{	/* Integrate/node.scm 413 */
								obj_t BgL_celledz00_991;

								{	/* Integrate/node.scm 413 */
									obj_t BgL_arg3511z00_1011;

									{
										BgL_sfunz00_bglt BgL_auxz00_3175;

										BgL_auxz00_3175 = (BgL_sfunz00_bglt) (BgL_funz00_987);
										BgL_arg3511z00_1011 =
											(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3175))->BgL_argsz00);
									}
									BgL_celledz00_991 =
										BGl_celledzd2bindingszd2zzintegrate_nodez00
										(BgL_arg3511z00_1011);
								}
								{
									obj_t BgL_l3399z00_993;

									BgL_l3399z00_993 = BgL_celledz00_991;
								BgL_zc3anonymousza33502ze3z83_994:
									if (PAIRP(BgL_l3399z00_993))
										{	/* Integrate/node.scm 414 */
											{	/* Integrate/node.scm 415 */
												obj_t BgL_wze2bze2_996;

												BgL_wze2bze2_996 = CAR(BgL_l3399z00_993);
												{	/* Integrate/node.scm 415 */
													obj_t BgL_arg3504z00_997;

													obj_t BgL_arg3505z00_998;

													BgL_arg3504z00_997 = CAR(BgL_wze2bze2_996);
													BgL_arg3505z00_998 = CDR(BgL_wze2bze2_996);
													{
														BgL_variablez00_bglt BgL_auxz00_3184;

														BgL_auxz00_3184 =
															(BgL_variablez00_bglt) (BgL_arg3504z00_997);
														((((BgL_variablez00_bglt) CREF(BgL_auxz00_3184))->
																BgL_fastzd2alphazd2) =
															((obj_t) BgL_arg3505z00_998), BUNSPEC);
													}
												}
											}
											{
												obj_t BgL_l3399z00_3187;

												BgL_l3399z00_3187 = CDR(BgL_l3399z00_993);
												BgL_l3399z00_993 = BgL_l3399z00_3187;
												goto BgL_zc3anonymousza33502ze3z83_994;
											}
										}
									else
										{	/* Integrate/node.scm 414 */
											((bool_t) 1);
										}
								}
								{	/* Integrate/node.scm 417 */
									BgL_nodez00_bglt BgL_nbody1z00_1001;

									{	/* Integrate/node.scm 417 */
										BgL_nodez00_bglt BgL_res3709z00_1897;

										{	/* Integrate/node.scm 417 */
											BgL_nodez00_bglt BgL_nodez00_1870;

											BgL_nodez00_1870 = (BgL_nodez00_bglt) (BgL_obodyz00_988);
											{	/* Integrate/node.scm 417 */
												obj_t BgL_method3405z00_1872;

												{	/* Integrate/node.scm 417 */
													BgL_objectz00_bglt BgL_objz00_1873;

													BgL_objz00_1873 =
														(BgL_objectz00_bglt) (BgL_nodez00_1870);
													{	/* Integrate/node.scm 417 */
														long BgL_objzd2classzd2numz00_1874;

														BgL_objzd2classzd2numz00_1874 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1873);
														{	/* Integrate/node.scm 417 */
															obj_t BgL_arg2422z00_1875;

															BgL_arg2422z00_1875 =
																PROCEDURE_REF
																(BGl_gloz12zd2envzc0zzintegrate_nodez00,
																(int) (((long) 1)));
															{	/* Integrate/node.scm 417 */
																obj_t BgL_arrayz00_1877;

																int BgL_offsetz00_1878;

																BgL_arrayz00_1877 = BgL_arg2422z00_1875;
																BgL_offsetz00_1878 =
																	(int) (BgL_objzd2classzd2numz00_1874);
																{	/* Integrate/node.scm 417 */
																	long BgL_offsetz00_1879;

																	BgL_offsetz00_1879 =
																		((long) (BgL_offsetz00_1878) - OBJECT_TYPE);
																	{	/* Integrate/node.scm 417 */
																		long BgL_modz00_1880;

																		{	/* Integrate/node.scm 417 */
																			int BgL_arg2424z00_1881;

																			BgL_arg2424z00_1881 = (int) (((long) 8));
																			{	/* Integrate/node.scm 417 */
																				long BgL_auxz00_3198;

																				BgL_auxz00_3198 =
																					(long) (BgL_arg2424z00_1881);
																				BgL_modz00_1880 =
																					(BgL_offsetz00_1879 /
																					BgL_auxz00_3198);
																		}}
																		{	/* Integrate/node.scm 417 */
																			long BgL_restz00_1882;

																			{	/* Integrate/node.scm 417 */
																				int BgL_arg2423z00_1883;

																				BgL_arg2423z00_1883 =
																					(int) (((long) 8));
																				{	/* Integrate/node.scm 417 */
																					long BgL_auxz00_3202;

																					BgL_auxz00_3202 =
																						(long) (BgL_arg2423z00_1883);
																					BgL_restz00_1882 =
																						(BgL_offsetz00_1879 %
																						BgL_auxz00_3202);
																			}}
																			{	/* Integrate/node.scm 417 */

																				BgL_method3405z00_1872 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1877,
																						(int) (BgL_modz00_1880)),
																					(int) (BgL_restz00_1882));
												}}}}}}}}
												BgL_res3709z00_1897 =
													(BgL_nodez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3405z00_1872) (BgL_method3405z00_1872,
														(obj_t) (BgL_nodez00_1870),
														(obj_t) (BgL_integratorz00_59), BEOA));
										}}
										BgL_nbody1z00_1001 = BgL_res3709z00_1897;
									}
									{	/* Integrate/node.scm 417 */
										obj_t BgL_nbody2z00_1002;

										BgL_nbody2z00_1002 =
											BGl_cellzd2formalszd2zzintegrate_nodez00
											(BgL_celledz00_991, BgL_nbody1z00_1001);
										{	/* Integrate/node.scm 418 */

											{
												obj_t BgL_l3401z00_1004;

												BgL_l3401z00_1004 = BgL_celledz00_991;
											BgL_zc3anonymousza33507ze3z83_1005:
												if (PAIRP(BgL_l3401z00_1004))
													{	/* Integrate/node.scm 419 */
														{	/* Integrate/node.scm 420 */
															obj_t BgL_wze2bze2_1007;

															BgL_wze2bze2_1007 = CAR(BgL_l3401z00_1004);
															{	/* Integrate/node.scm 420 */
																obj_t BgL_arg3509z00_1008;

																BgL_arg3509z00_1008 = CAR(BgL_wze2bze2_1007);
																{
																	BgL_variablez00_bglt BgL_auxz00_3219;

																	BgL_auxz00_3219 =
																		(BgL_variablez00_bglt)
																		(BgL_arg3509z00_1008);
																	((((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_3219))->
																			BgL_fastzd2alphazd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																}
															}
														}
														{
															obj_t BgL_l3401z00_3222;

															BgL_l3401z00_3222 = CDR(BgL_l3401z00_1004);
															BgL_l3401z00_1004 = BgL_l3401z00_3222;
															goto BgL_zc3anonymousza33507ze3z83_1005;
														}
													}
												else
													{	/* Integrate/node.scm 419 */
														((bool_t) 1);
													}
											}
											{
												BgL_sfunz00_bglt BgL_auxz00_3224;

												BgL_auxz00_3224 = (BgL_sfunz00_bglt) (BgL_funz00_987);
												return
													((((BgL_sfunz00_bglt) CREF(BgL_auxz00_3224))->
														BgL_bodyz00) =
													((obj_t) BgL_nbody2z00_1002), BUNSPEC);
											}
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_gloz12zd2default3403zd2envz12zzintegrate_nodez00);
		}
	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_10, BgL_variablez00_bglt BgL_integratorz00_11)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 128 */
			{	/* Integrate/node.scm 128 */
				obj_t BgL_method3405z00_1906;

				{	/* Integrate/node.scm 128 */
					BgL_objectz00_bglt BgL_objz00_1907;

					BgL_objz00_1907 = (BgL_objectz00_bglt) (BgL_nodez00_10);
					{	/* Integrate/node.scm 128 */
						long BgL_objzd2classzd2numz00_1908;

						BgL_objzd2classzd2numz00_1908 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1907);
						{	/* Integrate/node.scm 128 */
							obj_t BgL_arg2422z00_1909;

							BgL_arg2422z00_1909 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
								(int) (((long) 1)));
							{	/* Integrate/node.scm 128 */
								obj_t BgL_arrayz00_1911;

								int BgL_offsetz00_1912;

								BgL_arrayz00_1911 = BgL_arg2422z00_1909;
								BgL_offsetz00_1912 = (int) (BgL_objzd2classzd2numz00_1908);
								{	/* Integrate/node.scm 128 */
									long BgL_offsetz00_1913;

									BgL_offsetz00_1913 =
										((long) (BgL_offsetz00_1912) - OBJECT_TYPE);
									{	/* Integrate/node.scm 128 */
										long BgL_modz00_1914;

										{	/* Integrate/node.scm 128 */
											int BgL_arg2424z00_1915;

											BgL_arg2424z00_1915 = (int) (((long) 8));
											{	/* Integrate/node.scm 128 */
												long BgL_auxz00_3236;

												BgL_auxz00_3236 = (long) (BgL_arg2424z00_1915);
												BgL_modz00_1914 =
													(BgL_offsetz00_1913 / BgL_auxz00_3236);
										}}
										{	/* Integrate/node.scm 128 */
											long BgL_restz00_1916;

											{	/* Integrate/node.scm 128 */
												int BgL_arg2423z00_1917;

												BgL_arg2423z00_1917 = (int) (((long) 8));
												{	/* Integrate/node.scm 128 */
													long BgL_auxz00_3240;

													BgL_auxz00_3240 = (long) (BgL_arg2423z00_1917);
													BgL_restz00_1916 =
														(BgL_offsetz00_1913 % BgL_auxz00_3240);
											}}
											{	/* Integrate/node.scm 128 */

												BgL_method3405z00_1906 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1911,
														(int) (BgL_modz00_1914)), (int) (BgL_restz00_1916));
				}}}}}}}}
				return
					(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_1906)
					(BgL_method3405z00_1906, (obj_t) (BgL_nodez00_10),
						(obj_t) (BgL_integratorz00_11), BEOA));
			}
		}
	}



/* _glo!3789 */
	obj_t BGl__gloz123789z12zzintegrate_nodez00(obj_t BgL_envz00_2799,
		obj_t BgL_nodez00_2800, obj_t BgL_integratorz00_2801)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 128 */
			return
				(obj_t) (BGl_gloz12z12zzintegrate_nodez00(
					(BgL_nodez00_bglt) (BgL_nodez00_2800),
					(BgL_variablez00_bglt) (BgL_integratorz00_2801)));
		}
	}



/* glo!-default3403 */
	BgL_nodez00_bglt
		BGl_gloz12zd2default3403zc0zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_12, BgL_variablez00_bglt BgL_integratorz00_13)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return
				(BgL_nodez00_bglt) (BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
					BGl_string3791z00zzintegrate_nodez00, (obj_t) (BgL_nodez00_12)));
		}
	}



/* _glo!-default3403 */
	obj_t BGl__gloz12zd2default3403zc0zzintegrate_nodez00(obj_t BgL_envz00_2804,
		obj_t BgL_nodez00_2805, obj_t BgL_integratorz00_2806)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return
				(obj_t) (BGl_gloz12zd2default3403zc0zzintegrate_nodez00(
					(BgL_nodez00_bglt) (BgL_nodez00_2805),
					(BgL_variablez00_bglt) (BgL_integratorz00_2806)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc3792z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3793z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc3794z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc3795z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3796z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc3797z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3798z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3799z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc3800z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc3801z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc3802z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3803z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc3804z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_selectz00zzast_nodez00,
				BGl_proc3805z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc3806z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3807z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3808z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3809z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3810z00zzintegrate_nodez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3811z00zzintegrate_nodez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3812z00zzintegrate_nodez00);
		}
	}



/* glo!-box-set!3449 */
	obj_t BGl_gloz12zd2boxzd2setz123449z00zzintegrate_nodez00(obj_t
		BgL_envz00_2828, obj_t BgL_nodez00_2829, obj_t BgL_integratorz00_2830)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 385 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1702;

				obj_t BgL_integratorz00_1703;

				{	/* Tools/trace.sch 53 */
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_3285;

					BgL_nodez00_1702 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2829);
					BgL_integratorz00_1703 = BgL_integratorz00_2830;
					{	/* Integrate/node.scm 388 */
						BgL_nodez00_bglt BgL_arg3693z00_1707;

						{	/* Integrate/node.scm 388 */
							BgL_varz00_bglt BgL_arg3694z00_1708;

							BgL_arg3694z00_1708 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1702))->
								BgL_varz00);
							{	/* Integrate/node.scm 388 */
								BgL_nodez00_bglt BgL_res3784z00_2761;

								{	/* Integrate/node.scm 388 */
									BgL_nodez00_bglt BgL_nodez00_2734;

									BgL_variablez00_bglt BgL_integratorz00_2735;

									BgL_nodez00_2734 = (BgL_nodez00_bglt) (BgL_arg3694z00_1708);
									BgL_integratorz00_2735 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1703);
									{	/* Integrate/node.scm 388 */
										obj_t BgL_method3405z00_2736;

										{	/* Integrate/node.scm 388 */
											BgL_objectz00_bglt BgL_objz00_2737;

											BgL_objz00_2737 = (BgL_objectz00_bglt) (BgL_nodez00_2734);
											{	/* Integrate/node.scm 388 */
												long BgL_objzd2classzd2numz00_2738;

												BgL_objzd2classzd2numz00_2738 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2737);
												{	/* Integrate/node.scm 388 */
													obj_t BgL_arg2422z00_2739;

													BgL_arg2422z00_2739 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 388 */
														obj_t BgL_arrayz00_2741;

														int BgL_offsetz00_2742;

														BgL_arrayz00_2741 = BgL_arg2422z00_2739;
														BgL_offsetz00_2742 =
															(int) (BgL_objzd2classzd2numz00_2738);
														{	/* Integrate/node.scm 388 */
															long BgL_offsetz00_2743;

															BgL_offsetz00_2743 =
																((long) (BgL_offsetz00_2742) - OBJECT_TYPE);
															{	/* Integrate/node.scm 388 */
																long BgL_modz00_2744;

																{	/* Integrate/node.scm 388 */
																	int BgL_arg2424z00_2745;

																	BgL_arg2424z00_2745 = (int) (((long) 8));
																	{	/* Integrate/node.scm 388 */
																		long BgL_auxz00_3297;

																		BgL_auxz00_3297 =
																			(long) (BgL_arg2424z00_2745);
																		BgL_modz00_2744 =
																			(BgL_offsetz00_2743 / BgL_auxz00_3297);
																}}
																{	/* Integrate/node.scm 388 */
																	long BgL_restz00_2746;

																	{	/* Integrate/node.scm 388 */
																		int BgL_arg2423z00_2747;

																		BgL_arg2423z00_2747 = (int) (((long) 8));
																		{	/* Integrate/node.scm 388 */
																			long BgL_auxz00_3301;

																			BgL_auxz00_3301 =
																				(long) (BgL_arg2423z00_2747);
																			BgL_restz00_2746 =
																				(BgL_offsetz00_2743 % BgL_auxz00_3301);
																	}}
																	{	/* Integrate/node.scm 388 */

																		BgL_method3405z00_2736 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2741,
																				(int) (BgL_modz00_2744)),
																			(int) (BgL_restz00_2746));
										}}}}}}}}
										BgL_res3784z00_2761 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2736) (BgL_method3405z00_2736,
												(obj_t) (BgL_nodez00_2734),
												(obj_t) (BgL_integratorz00_2735), BEOA));
								}}
								BgL_arg3693z00_1707 = BgL_res3784z00_2761;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3313;

							BgL_auxz00_3313 = (BgL_varz00_bglt) (BgL_arg3693z00_1707);
							((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1702))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_3313), BUNSPEC);
					}}
					{	/* Integrate/node.scm 389 */
						BgL_nodez00_bglt BgL_arg3695z00_1709;

						{	/* Integrate/node.scm 389 */
							BgL_nodez00_bglt BgL_arg3696z00_1710;

							BgL_arg3696z00_1710 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1702))->
								BgL_valuez00);
							{	/* Integrate/node.scm 389 */
								BgL_nodez00_bglt BgL_res3787z00_2792;

								{	/* Integrate/node.scm 389 */
									BgL_variablez00_bglt BgL_integratorz00_2766;

									BgL_integratorz00_2766 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1703);
									{	/* Integrate/node.scm 389 */
										obj_t BgL_method3405z00_2767;

										{	/* Integrate/node.scm 389 */
											BgL_objectz00_bglt BgL_objz00_2768;

											BgL_objz00_2768 =
												(BgL_objectz00_bglt) (BgL_arg3696z00_1710);
											{	/* Integrate/node.scm 389 */
												long BgL_objzd2classzd2numz00_2769;

												BgL_objzd2classzd2numz00_2769 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2768);
												{	/* Integrate/node.scm 389 */
													obj_t BgL_arg2422z00_2770;

													BgL_arg2422z00_2770 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 389 */
														obj_t BgL_arrayz00_2772;

														int BgL_offsetz00_2773;

														BgL_arrayz00_2772 = BgL_arg2422z00_2770;
														BgL_offsetz00_2773 =
															(int) (BgL_objzd2classzd2numz00_2769);
														{	/* Integrate/node.scm 389 */
															long BgL_offsetz00_2774;

															BgL_offsetz00_2774 =
																((long) (BgL_offsetz00_2773) - OBJECT_TYPE);
															{	/* Integrate/node.scm 389 */
																long BgL_modz00_2775;

																{	/* Integrate/node.scm 389 */
																	int BgL_arg2424z00_2776;

																	BgL_arg2424z00_2776 = (int) (((long) 8));
																	{	/* Integrate/node.scm 389 */
																		long BgL_auxz00_3326;

																		BgL_auxz00_3326 =
																			(long) (BgL_arg2424z00_2776);
																		BgL_modz00_2775 =
																			(BgL_offsetz00_2774 / BgL_auxz00_3326);
																}}
																{	/* Integrate/node.scm 389 */
																	long BgL_restz00_2777;

																	{	/* Integrate/node.scm 389 */
																		int BgL_arg2423z00_2778;

																		BgL_arg2423z00_2778 = (int) (((long) 8));
																		{	/* Integrate/node.scm 389 */
																			long BgL_auxz00_3330;

																			BgL_auxz00_3330 =
																				(long) (BgL_arg2423z00_2778);
																			BgL_restz00_2777 =
																				(BgL_offsetz00_2774 % BgL_auxz00_3330);
																	}}
																	{	/* Integrate/node.scm 389 */

																		BgL_method3405z00_2767 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2772,
																				(int) (BgL_modz00_2775)),
																			(int) (BgL_restz00_2777));
										}}}}}}}}
										BgL_res3787z00_2792 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2767) (BgL_method3405z00_2767,
												(obj_t) (BgL_arg3696z00_1710),
												(obj_t) (BgL_integratorz00_2766), BEOA));
								}}
								BgL_arg3695z00_1709 = BgL_res3787z00_2792;
						}}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1702))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3695z00_1709), BUNSPEC);
					}
					BgL_auxz00_3285 = BgL_nodez00_1702;
					return (obj_t) (BgL_auxz00_3285);
				}
			}
		}
	}



/* glo!-box-ref3447 */
	obj_t BGl_gloz12zd2boxzd2ref3447z12zzintegrate_nodez00(obj_t BgL_envz00_2831,
		obj_t BgL_nodez00_2832, obj_t BgL_integratorz00_2833)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 376 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1693;

				obj_t BgL_integratorz00_1694;

				{	/* Tools/trace.sch 53 */
					BgL_boxzd2refzd2_bglt BgL_auxz00_3345;

					BgL_nodez00_1693 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2832);
					BgL_integratorz00_1694 = BgL_integratorz00_2833;
					{	/* Integrate/node.scm 378 */
						BgL_nodez00_bglt BgL_arg3690z00_2700;

						{	/* Integrate/node.scm 378 */
							BgL_varz00_bglt BgL_arg3691z00_2701;

							BgL_arg3691z00_2701 =
								(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1693))->BgL_varz00);
							{	/* Integrate/node.scm 378 */
								BgL_nodez00_bglt BgL_res3781z00_2730;

								{	/* Integrate/node.scm 378 */
									BgL_nodez00_bglt BgL_nodez00_2703;

									BgL_variablez00_bglt BgL_integratorz00_2704;

									BgL_nodez00_2703 = (BgL_nodez00_bglt) (BgL_arg3691z00_2701);
									BgL_integratorz00_2704 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1694);
									{	/* Integrate/node.scm 378 */
										obj_t BgL_method3405z00_2705;

										{	/* Integrate/node.scm 378 */
											BgL_objectz00_bglt BgL_objz00_2706;

											BgL_objz00_2706 = (BgL_objectz00_bglt) (BgL_nodez00_2703);
											{	/* Integrate/node.scm 378 */
												long BgL_objzd2classzd2numz00_2707;

												BgL_objzd2classzd2numz00_2707 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2706);
												{	/* Integrate/node.scm 378 */
													obj_t BgL_arg2422z00_2708;

													BgL_arg2422z00_2708 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 378 */
														obj_t BgL_arrayz00_2710;

														int BgL_offsetz00_2711;

														BgL_arrayz00_2710 = BgL_arg2422z00_2708;
														BgL_offsetz00_2711 =
															(int) (BgL_objzd2classzd2numz00_2707);
														{	/* Integrate/node.scm 378 */
															long BgL_offsetz00_2712;

															BgL_offsetz00_2712 =
																((long) (BgL_offsetz00_2711) - OBJECT_TYPE);
															{	/* Integrate/node.scm 378 */
																long BgL_modz00_2713;

																{	/* Integrate/node.scm 378 */
																	int BgL_arg2424z00_2714;

																	BgL_arg2424z00_2714 = (int) (((long) 8));
																	{	/* Integrate/node.scm 378 */
																		long BgL_auxz00_3357;

																		BgL_auxz00_3357 =
																			(long) (BgL_arg2424z00_2714);
																		BgL_modz00_2713 =
																			(BgL_offsetz00_2712 / BgL_auxz00_3357);
																}}
																{	/* Integrate/node.scm 378 */
																	long BgL_restz00_2715;

																	{	/* Integrate/node.scm 378 */
																		int BgL_arg2423z00_2716;

																		BgL_arg2423z00_2716 = (int) (((long) 8));
																		{	/* Integrate/node.scm 378 */
																			long BgL_auxz00_3361;

																			BgL_auxz00_3361 =
																				(long) (BgL_arg2423z00_2716);
																			BgL_restz00_2715 =
																				(BgL_offsetz00_2712 % BgL_auxz00_3361);
																	}}
																	{	/* Integrate/node.scm 378 */

																		BgL_method3405z00_2705 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2710,
																				(int) (BgL_modz00_2713)),
																			(int) (BgL_restz00_2715));
										}}}}}}}}
										BgL_res3781z00_2730 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2705) (BgL_method3405z00_2705,
												(obj_t) (BgL_nodez00_2703),
												(obj_t) (BgL_integratorz00_2704), BEOA));
								}}
								BgL_arg3690z00_2700 = BgL_res3781z00_2730;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3373;

							BgL_auxz00_3373 = (BgL_varz00_bglt) (BgL_arg3690z00_2700);
							((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1693))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_3373), BUNSPEC);
					}}
					BgL_auxz00_3345 = BgL_nodez00_1693;
					return (obj_t) (BgL_auxz00_3345);
				}
			}
		}
	}



/* glo!-make-box3445 */
	obj_t BGl_gloz12zd2makezd2box3445z12zzintegrate_nodez00(obj_t BgL_envz00_2834,
		obj_t BgL_nodez00_2835, obj_t BgL_integratorz00_2836)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 368 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1684;

				obj_t BgL_integratorz00_1685;

				{	/* Integrate/node.scm 369 */
					BgL_makezd2boxzd2_bglt BgL_auxz00_3378;

					BgL_nodez00_1684 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2835);
					BgL_integratorz00_1685 = BgL_integratorz00_2836;
					{	/* Integrate/node.scm 369 */
						BgL_nodez00_bglt BgL_arg3687z00_2666;

						{	/* Integrate/node.scm 369 */
							BgL_nodez00_bglt BgL_arg3688z00_2667;

							BgL_arg3688z00_2667 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1684))->
								BgL_valuez00);
							{	/* Integrate/node.scm 369 */
								BgL_nodez00_bglt BgL_res3778z00_2696;

								{	/* Integrate/node.scm 369 */
									BgL_variablez00_bglt BgL_integratorz00_2670;

									BgL_integratorz00_2670 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1685);
									{	/* Integrate/node.scm 369 */
										obj_t BgL_method3405z00_2671;

										{	/* Integrate/node.scm 369 */
											BgL_objectz00_bglt BgL_objz00_2672;

											BgL_objz00_2672 =
												(BgL_objectz00_bglt) (BgL_arg3688z00_2667);
											{	/* Integrate/node.scm 369 */
												long BgL_objzd2classzd2numz00_2673;

												BgL_objzd2classzd2numz00_2673 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2672);
												{	/* Integrate/node.scm 369 */
													obj_t BgL_arg2422z00_2674;

													BgL_arg2422z00_2674 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 369 */
														obj_t BgL_arrayz00_2676;

														int BgL_offsetz00_2677;

														BgL_arrayz00_2676 = BgL_arg2422z00_2674;
														BgL_offsetz00_2677 =
															(int) (BgL_objzd2classzd2numz00_2673);
														{	/* Integrate/node.scm 369 */
															long BgL_offsetz00_2678;

															BgL_offsetz00_2678 =
																((long) (BgL_offsetz00_2677) - OBJECT_TYPE);
															{	/* Integrate/node.scm 369 */
																long BgL_modz00_2679;

																{	/* Integrate/node.scm 369 */
																	int BgL_arg2424z00_2680;

																	BgL_arg2424z00_2680 = (int) (((long) 8));
																	{	/* Integrate/node.scm 369 */
																		long BgL_auxz00_3389;

																		BgL_auxz00_3389 =
																			(long) (BgL_arg2424z00_2680);
																		BgL_modz00_2679 =
																			(BgL_offsetz00_2678 / BgL_auxz00_3389);
																}}
																{	/* Integrate/node.scm 369 */
																	long BgL_restz00_2681;

																	{	/* Integrate/node.scm 369 */
																		int BgL_arg2423z00_2682;

																		BgL_arg2423z00_2682 = (int) (((long) 8));
																		{	/* Integrate/node.scm 369 */
																			long BgL_auxz00_3393;

																			BgL_auxz00_3393 =
																				(long) (BgL_arg2423z00_2682);
																			BgL_restz00_2681 =
																				(BgL_offsetz00_2678 % BgL_auxz00_3393);
																	}}
																	{	/* Integrate/node.scm 369 */

																		BgL_method3405z00_2671 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2676,
																				(int) (BgL_modz00_2679)),
																			(int) (BgL_restz00_2681));
										}}}}}}}}
										BgL_res3778z00_2696 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2671) (BgL_method3405z00_2671,
												(obj_t) (BgL_arg3688z00_2667),
												(obj_t) (BgL_integratorz00_2670), BEOA));
								}}
								BgL_arg3687z00_2666 = BgL_res3778z00_2696;
						}}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1684))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3687z00_2666), BUNSPEC);
					}
					BgL_auxz00_3378 = BgL_nodez00_1684;
					return (obj_t) (BgL_auxz00_3378);
				}
			}
		}
	}



/* glo!-jump-ex-it3443 */
	obj_t BGl_gloz12zd2jumpzd2exzd2it3443zc0zzintegrate_nodez00(obj_t
		BgL_envz00_2837, obj_t BgL_nodez00_2838, obj_t BgL_integratorz00_2839)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 359 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1673;

				obj_t BgL_integratorz00_1674;

				{	/* Integrate/node.scm 360 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3408;

					BgL_nodez00_1673 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2838);
					BgL_integratorz00_1674 = BgL_integratorz00_2839;
					{	/* Integrate/node.scm 361 */
						BgL_nodez00_bglt BgL_arg3682z00_1678;

						{	/* Integrate/node.scm 361 */
							BgL_nodez00_bglt BgL_arg3683z00_1679;

							BgL_arg3683z00_1679 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1673))->
								BgL_exitz00);
							{	/* Integrate/node.scm 361 */
								BgL_nodez00_bglt BgL_res3772z00_2631;

								{	/* Integrate/node.scm 361 */
									BgL_variablez00_bglt BgL_integratorz00_2605;

									BgL_integratorz00_2605 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1674);
									{	/* Integrate/node.scm 361 */
										obj_t BgL_method3405z00_2606;

										{	/* Integrate/node.scm 361 */
											BgL_objectz00_bglt BgL_objz00_2607;

											BgL_objz00_2607 =
												(BgL_objectz00_bglt) (BgL_arg3683z00_1679);
											{	/* Integrate/node.scm 361 */
												long BgL_objzd2classzd2numz00_2608;

												BgL_objzd2classzd2numz00_2608 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2607);
												{	/* Integrate/node.scm 361 */
													obj_t BgL_arg2422z00_2609;

													BgL_arg2422z00_2609 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 361 */
														obj_t BgL_arrayz00_2611;

														int BgL_offsetz00_2612;

														BgL_arrayz00_2611 = BgL_arg2422z00_2609;
														BgL_offsetz00_2612 =
															(int) (BgL_objzd2classzd2numz00_2608);
														{	/* Integrate/node.scm 361 */
															long BgL_offsetz00_2613;

															BgL_offsetz00_2613 =
																((long) (BgL_offsetz00_2612) - OBJECT_TYPE);
															{	/* Integrate/node.scm 361 */
																long BgL_modz00_2614;

																{	/* Integrate/node.scm 361 */
																	int BgL_arg2424z00_2615;

																	BgL_arg2424z00_2615 = (int) (((long) 8));
																	{	/* Integrate/node.scm 361 */
																		long BgL_auxz00_3419;

																		BgL_auxz00_3419 =
																			(long) (BgL_arg2424z00_2615);
																		BgL_modz00_2614 =
																			(BgL_offsetz00_2613 / BgL_auxz00_3419);
																}}
																{	/* Integrate/node.scm 361 */
																	long BgL_restz00_2616;

																	{	/* Integrate/node.scm 361 */
																		int BgL_arg2423z00_2617;

																		BgL_arg2423z00_2617 = (int) (((long) 8));
																		{	/* Integrate/node.scm 361 */
																			long BgL_auxz00_3423;

																			BgL_auxz00_3423 =
																				(long) (BgL_arg2423z00_2617);
																			BgL_restz00_2616 =
																				(BgL_offsetz00_2613 % BgL_auxz00_3423);
																	}}
																	{	/* Integrate/node.scm 361 */

																		BgL_method3405z00_2606 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2611,
																				(int) (BgL_modz00_2614)),
																			(int) (BgL_restz00_2616));
										}}}}}}}}
										BgL_res3772z00_2631 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2606) (BgL_method3405z00_2606,
												(obj_t) (BgL_arg3683z00_1679),
												(obj_t) (BgL_integratorz00_2605), BEOA));
								}}
								BgL_arg3682z00_1678 = BgL_res3772z00_2631;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1673))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) BgL_arg3682z00_1678), BUNSPEC);
					}
					{	/* Integrate/node.scm 362 */
						BgL_nodez00_bglt BgL_arg3684z00_1680;

						{	/* Integrate/node.scm 362 */
							BgL_nodez00_bglt BgL_arg3685z00_1681;

							BgL_arg3685z00_1681 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1673))->
								BgL_valuez00);
							{	/* Integrate/node.scm 362 */
								BgL_nodez00_bglt BgL_res3775z00_2662;

								{	/* Integrate/node.scm 362 */
									BgL_variablez00_bglt BgL_integratorz00_2636;

									BgL_integratorz00_2636 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1674);
									{	/* Integrate/node.scm 362 */
										obj_t BgL_method3405z00_2637;

										{	/* Integrate/node.scm 362 */
											BgL_objectz00_bglt BgL_objz00_2638;

											BgL_objz00_2638 =
												(BgL_objectz00_bglt) (BgL_arg3685z00_1681);
											{	/* Integrate/node.scm 362 */
												long BgL_objzd2classzd2numz00_2639;

												BgL_objzd2classzd2numz00_2639 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2638);
												{	/* Integrate/node.scm 362 */
													obj_t BgL_arg2422z00_2640;

													BgL_arg2422z00_2640 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 362 */
														obj_t BgL_arrayz00_2642;

														int BgL_offsetz00_2643;

														BgL_arrayz00_2642 = BgL_arg2422z00_2640;
														BgL_offsetz00_2643 =
															(int) (BgL_objzd2classzd2numz00_2639);
														{	/* Integrate/node.scm 362 */
															long BgL_offsetz00_2644;

															BgL_offsetz00_2644 =
																((long) (BgL_offsetz00_2643) - OBJECT_TYPE);
															{	/* Integrate/node.scm 362 */
																long BgL_modz00_2645;

																{	/* Integrate/node.scm 362 */
																	int BgL_arg2424z00_2646;

																	BgL_arg2424z00_2646 = (int) (((long) 8));
																	{	/* Integrate/node.scm 362 */
																		long BgL_auxz00_3446;

																		BgL_auxz00_3446 =
																			(long) (BgL_arg2424z00_2646);
																		BgL_modz00_2645 =
																			(BgL_offsetz00_2644 / BgL_auxz00_3446);
																}}
																{	/* Integrate/node.scm 362 */
																	long BgL_restz00_2647;

																	{	/* Integrate/node.scm 362 */
																		int BgL_arg2423z00_2648;

																		BgL_arg2423z00_2648 = (int) (((long) 8));
																		{	/* Integrate/node.scm 362 */
																			long BgL_auxz00_3450;

																			BgL_auxz00_3450 =
																				(long) (BgL_arg2423z00_2648);
																			BgL_restz00_2647 =
																				(BgL_offsetz00_2644 % BgL_auxz00_3450);
																	}}
																	{	/* Integrate/node.scm 362 */

																		BgL_method3405z00_2637 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2642,
																				(int) (BgL_modz00_2645)),
																			(int) (BgL_restz00_2647));
										}}}}}}}}
										BgL_res3775z00_2662 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2637) (BgL_method3405z00_2637,
												(obj_t) (BgL_arg3685z00_1681),
												(obj_t) (BgL_integratorz00_2636), BEOA));
								}}
								BgL_arg3684z00_1680 = BgL_res3775z00_2662;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1673))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3684z00_1680), BUNSPEC);
					}
					BgL_auxz00_3408 = BgL_nodez00_1673;
					return (obj_t) (BgL_auxz00_3408);
				}
			}
		}
	}



/* glo!-set-ex-it3441 */
	obj_t BGl_gloz12zd2setzd2exzd2it3441zc0zzintegrate_nodez00(obj_t
		BgL_envz00_2840, obj_t BgL_nodez00_2841, obj_t BgL_integratorz00_2842)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 351 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1664;

				obj_t BgL_integratorz00_1665;

				{	/* Integrate/node.scm 352 */
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_3465;

					BgL_nodez00_1664 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2841);
					BgL_integratorz00_1665 = BgL_integratorz00_2842;
					{	/* Integrate/node.scm 352 */
						BgL_nodez00_bglt BgL_arg3679z00_2570;

						{	/* Integrate/node.scm 352 */
							BgL_nodez00_bglt BgL_arg3680z00_2571;

							BgL_arg3680z00_2571 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1664))->
								BgL_bodyz00);
							{	/* Integrate/node.scm 352 */
								BgL_nodez00_bglt BgL_res3769z00_2600;

								{	/* Integrate/node.scm 352 */
									BgL_variablez00_bglt BgL_integratorz00_2574;

									BgL_integratorz00_2574 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1665);
									{	/* Integrate/node.scm 352 */
										obj_t BgL_method3405z00_2575;

										{	/* Integrate/node.scm 352 */
											BgL_objectz00_bglt BgL_objz00_2576;

											BgL_objz00_2576 =
												(BgL_objectz00_bglt) (BgL_arg3680z00_2571);
											{	/* Integrate/node.scm 352 */
												long BgL_objzd2classzd2numz00_2577;

												BgL_objzd2classzd2numz00_2577 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2576);
												{	/* Integrate/node.scm 352 */
													obj_t BgL_arg2422z00_2578;

													BgL_arg2422z00_2578 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 352 */
														obj_t BgL_arrayz00_2580;

														int BgL_offsetz00_2581;

														BgL_arrayz00_2580 = BgL_arg2422z00_2578;
														BgL_offsetz00_2581 =
															(int) (BgL_objzd2classzd2numz00_2577);
														{	/* Integrate/node.scm 352 */
															long BgL_offsetz00_2582;

															BgL_offsetz00_2582 =
																((long) (BgL_offsetz00_2581) - OBJECT_TYPE);
															{	/* Integrate/node.scm 352 */
																long BgL_modz00_2583;

																{	/* Integrate/node.scm 352 */
																	int BgL_arg2424z00_2584;

																	BgL_arg2424z00_2584 = (int) (((long) 8));
																	{	/* Integrate/node.scm 352 */
																		long BgL_auxz00_3476;

																		BgL_auxz00_3476 =
																			(long) (BgL_arg2424z00_2584);
																		BgL_modz00_2583 =
																			(BgL_offsetz00_2582 / BgL_auxz00_3476);
																}}
																{	/* Integrate/node.scm 352 */
																	long BgL_restz00_2585;

																	{	/* Integrate/node.scm 352 */
																		int BgL_arg2423z00_2586;

																		BgL_arg2423z00_2586 = (int) (((long) 8));
																		{	/* Integrate/node.scm 352 */
																			long BgL_auxz00_3480;

																			BgL_auxz00_3480 =
																				(long) (BgL_arg2423z00_2586);
																			BgL_restz00_2585 =
																				(BgL_offsetz00_2582 % BgL_auxz00_3480);
																	}}
																	{	/* Integrate/node.scm 352 */

																		BgL_method3405z00_2575 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2580,
																				(int) (BgL_modz00_2583)),
																			(int) (BgL_restz00_2585));
										}}}}}}}}
										BgL_res3769z00_2600 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2575) (BgL_method3405z00_2575,
												(obj_t) (BgL_arg3680z00_2571),
												(obj_t) (BgL_integratorz00_2574), BEOA));
								}}
								BgL_arg3679z00_2570 = BgL_res3769z00_2600;
						}}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1664))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3679z00_2570), BUNSPEC);
					}
					BgL_auxz00_3465 = BgL_nodez00_1664;
					return (obj_t) (BgL_auxz00_3465);
				}
			}
		}
	}



/* glo!-let-var3439 */
	obj_t BGl_gloz12zd2letzd2var3439z12zzintegrate_nodez00(obj_t BgL_envz00_2843,
		obj_t BgL_nodez00_2844, obj_t BgL_integratorz00_2845)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 333 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1641;

				obj_t BgL_integratorz00_1642;

				{	/* Integrate/node.scm 334 */
					BgL_letzd2varzd2_bglt BgL_auxz00_3495;

					BgL_nodez00_1641 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2844);
					BgL_integratorz00_1642 = BgL_integratorz00_2845;
					{	/* Integrate/node.scm 335 */
						obj_t BgL_g3398z00_1646;

						BgL_g3398z00_1646 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1641))->
							BgL_bindingsz00);
						{
							obj_t BgL_l3396z00_1648;

							BgL_l3396z00_1648 = BgL_g3398z00_1646;
						BgL_zc3anonymousza33669ze3z83_1649:
							if (PAIRP(BgL_l3396z00_1648))
								{	/* Integrate/node.scm 335 */
									{	/* Integrate/node.scm 336 */
										obj_t BgL_bindingz00_1651;

										BgL_bindingz00_1651 = CAR(BgL_l3396z00_1648);
										{	/* Integrate/node.scm 336 */
											obj_t BgL_varz00_1652;

											obj_t BgL_valz00_1653;

											BgL_varz00_1652 = CAR(BgL_bindingz00_1651);
											BgL_valz00_1653 = CDR(BgL_bindingz00_1651);
											{	/* Integrate/node.scm 338 */
												BgL_nodez00_bglt BgL_arg3671z00_1654;

												{	/* Integrate/node.scm 338 */
													BgL_nodez00_bglt BgL_res3763z00_2529;

													{	/* Integrate/node.scm 338 */
														BgL_nodez00_bglt BgL_nodez00_2502;

														BgL_variablez00_bglt BgL_integratorz00_2503;

														BgL_nodez00_2502 =
															(BgL_nodez00_bglt) (BgL_valz00_1653);
														BgL_integratorz00_2503 =
															(BgL_variablez00_bglt) (BgL_integratorz00_1642);
														{	/* Integrate/node.scm 338 */
															obj_t BgL_method3405z00_2504;

															{	/* Integrate/node.scm 338 */
																BgL_objectz00_bglt BgL_objz00_2505;

																BgL_objz00_2505 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2502);
																{	/* Integrate/node.scm 338 */
																	long BgL_objzd2classzd2numz00_2506;

																	BgL_objzd2classzd2numz00_2506 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2505);
																	{	/* Integrate/node.scm 338 */
																		obj_t BgL_arg2422z00_2507;

																		BgL_arg2422z00_2507 =
																			PROCEDURE_REF
																			(BGl_gloz12zd2envzc0zzintegrate_nodez00,
																			(int) (((long) 1)));
																		{	/* Integrate/node.scm 338 */
																			obj_t BgL_arrayz00_2509;

																			int BgL_offsetz00_2510;

																			BgL_arrayz00_2509 = BgL_arg2422z00_2507;
																			BgL_offsetz00_2510 =
																				(int) (BgL_objzd2classzd2numz00_2506);
																			{	/* Integrate/node.scm 338 */
																				long BgL_offsetz00_2511;

																				BgL_offsetz00_2511 =
																					(
																					(long) (BgL_offsetz00_2510) -
																					OBJECT_TYPE);
																				{	/* Integrate/node.scm 338 */
																					long BgL_modz00_2512;

																					{	/* Integrate/node.scm 338 */
																						int BgL_arg2424z00_2513;

																						BgL_arg2424z00_2513 =
																							(int) (((long) 8));
																						{	/* Integrate/node.scm 338 */
																							long BgL_auxz00_3512;

																							BgL_auxz00_3512 =
																								(long) (BgL_arg2424z00_2513);
																							BgL_modz00_2512 =
																								(BgL_offsetz00_2511 /
																								BgL_auxz00_3512);
																					}}
																					{	/* Integrate/node.scm 338 */
																						long BgL_restz00_2514;

																						{	/* Integrate/node.scm 338 */
																							int BgL_arg2423z00_2515;

																							BgL_arg2423z00_2515 =
																								(int) (((long) 8));
																							{	/* Integrate/node.scm 338 */
																								long BgL_auxz00_3516;

																								BgL_auxz00_3516 =
																									(long) (BgL_arg2423z00_2515);
																								BgL_restz00_2514 =
																									(BgL_offsetz00_2511 %
																									BgL_auxz00_3516);
																						}}
																						{	/* Integrate/node.scm 338 */

																							BgL_method3405z00_2504 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2509,
																									(int) (BgL_modz00_2512)),
																								(int) (BgL_restz00_2514));
															}}}}}}}}
															BgL_res3763z00_2529 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3405z00_2504)
																(BgL_method3405z00_2504,
																	(obj_t) (BgL_nodez00_2502),
																	(obj_t) (BgL_integratorz00_2503), BEOA));
													}}
													BgL_arg3671z00_1654 = BgL_res3763z00_2529;
												}
												{	/* Integrate/node.scm 338 */
													obj_t BgL_auxz00_3528;

													BgL_auxz00_3528 = (obj_t) (BgL_arg3671z00_1654);
													SET_CDR(BgL_bindingz00_1651, BgL_auxz00_3528);
											}}
											if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
													(BgL_localz00_bglt) (BgL_varz00_1652)))
												{	/* Integrate/node.scm 339 */
													{
														BgL_typez00_bglt BgL_auxz00_3536;

														BgL_variablez00_bglt BgL_auxz00_3534;

														BgL_auxz00_3536 =
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00);
														BgL_auxz00_3534 =
															(BgL_variablez00_bglt) (BgL_varz00_1652);
														((((BgL_variablez00_bglt) CREF(BgL_auxz00_3534))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_3536), BUNSPEC);
													}
													{	/* Integrate/node.scm 342 */
														BgL_makezd2boxzd2_bglt BgL_arg3673z00_1656;

														{	/* Integrate/node.scm 342 */
															obj_t BgL_arg3674z00_1657;

															BgL_arg3674z00_1657 = CDR(BgL_bindingz00_1651);
															BgL_arg3673z00_1656 =
																BGl_azd2makezd2cellz00zzintegrate_nodez00(
																(BgL_nodez00_bglt) (BgL_arg3674z00_1657),
																(BgL_variablez00_bglt) (BgL_varz00_1652));
														}
														{	/* Integrate/node.scm 342 */
															obj_t BgL_auxz00_3543;

															BgL_auxz00_3543 = (obj_t) (BgL_arg3673z00_1656);
															SET_CDR(BgL_bindingz00_1651, BgL_auxz00_3543);
														}
													}
												}
											else
												{	/* Integrate/node.scm 339 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l3396z00_3546;

										BgL_l3396z00_3546 = CDR(BgL_l3396z00_1648);
										BgL_l3396z00_1648 = BgL_l3396z00_3546;
										goto BgL_zc3anonymousza33669ze3z83_1649;
									}
								}
							else
								{	/* Integrate/node.scm 335 */
									((bool_t) 1);
								}
						}
					}
					{	/* Integrate/node.scm 345 */
						BgL_nodez00_bglt BgL_arg3676z00_1660;

						{	/* Integrate/node.scm 345 */
							BgL_nodez00_bglt BgL_arg3677z00_1661;

							BgL_arg3677z00_1661 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1641))->BgL_bodyz00);
							{	/* Integrate/node.scm 345 */
								BgL_nodez00_bglt BgL_res3766z00_2566;

								{	/* Integrate/node.scm 345 */
									BgL_variablez00_bglt BgL_integratorz00_2540;

									BgL_integratorz00_2540 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1642);
									{	/* Integrate/node.scm 345 */
										obj_t BgL_method3405z00_2541;

										{	/* Integrate/node.scm 345 */
											BgL_objectz00_bglt BgL_objz00_2542;

											BgL_objz00_2542 =
												(BgL_objectz00_bglt) (BgL_arg3677z00_1661);
											{	/* Integrate/node.scm 345 */
												long BgL_objzd2classzd2numz00_2543;

												BgL_objzd2classzd2numz00_2543 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2542);
												{	/* Integrate/node.scm 345 */
													obj_t BgL_arg2422z00_2544;

													BgL_arg2422z00_2544 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 345 */
														obj_t BgL_arrayz00_2546;

														int BgL_offsetz00_2547;

														BgL_arrayz00_2546 = BgL_arg2422z00_2544;
														BgL_offsetz00_2547 =
															(int) (BgL_objzd2classzd2numz00_2543);
														{	/* Integrate/node.scm 345 */
															long BgL_offsetz00_2548;

															BgL_offsetz00_2548 =
																((long) (BgL_offsetz00_2547) - OBJECT_TYPE);
															{	/* Integrate/node.scm 345 */
																long BgL_modz00_2549;

																{	/* Integrate/node.scm 345 */
																	int BgL_arg2424z00_2550;

																	BgL_arg2424z00_2550 = (int) (((long) 8));
																	{	/* Integrate/node.scm 345 */
																		long BgL_auxz00_3558;

																		BgL_auxz00_3558 =
																			(long) (BgL_arg2424z00_2550);
																		BgL_modz00_2549 =
																			(BgL_offsetz00_2548 / BgL_auxz00_3558);
																}}
																{	/* Integrate/node.scm 345 */
																	long BgL_restz00_2551;

																	{	/* Integrate/node.scm 345 */
																		int BgL_arg2423z00_2552;

																		BgL_arg2423z00_2552 = (int) (((long) 8));
																		{	/* Integrate/node.scm 345 */
																			long BgL_auxz00_3562;

																			BgL_auxz00_3562 =
																				(long) (BgL_arg2423z00_2552);
																			BgL_restz00_2551 =
																				(BgL_offsetz00_2548 % BgL_auxz00_3562);
																	}}
																	{	/* Integrate/node.scm 345 */

																		BgL_method3405z00_2541 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2546,
																				(int) (BgL_modz00_2549)),
																			(int) (BgL_restz00_2551));
										}}}}}}}}
										BgL_res3766z00_2566 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2541) (BgL_method3405z00_2541,
												(obj_t) (BgL_arg3677z00_1661),
												(obj_t) (BgL_integratorz00_2540), BEOA));
								}}
								BgL_arg3676z00_1660 = BgL_res3766z00_2566;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1641))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3676z00_1660), BUNSPEC);
					}
					BgL_auxz00_3495 = BgL_nodez00_1641;
					return (obj_t) (BgL_auxz00_3495);
				}
			}
		}
	}



/* glo!-let-fun3437 */
	obj_t BGl_gloz12zd2letzd2fun3437z12zzintegrate_nodez00(obj_t BgL_envz00_2846,
		obj_t BgL_nodez00_2847, obj_t BgL_integratorz00_2848)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 322 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1624;

				obj_t BgL_integratorz00_1625;

				{	/* Integrate/node.scm 323 */
					BgL_letzd2funzd2_bglt BgL_auxz00_3577;

					BgL_nodez00_1624 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2847);
					BgL_integratorz00_1625 = BgL_integratorz00_2848;
					{	/* Integrate/node.scm 324 */
						BgL_nodez00_bglt BgL_arg3663z00_1629;

						{	/* Integrate/node.scm 324 */
							BgL_nodez00_bglt BgL_arg3664z00_1630;

							BgL_arg3664z00_1630 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1624))->BgL_bodyz00);
							{	/* Integrate/node.scm 324 */
								BgL_nodez00_bglt BgL_res3760z00_2490;

								{	/* Integrate/node.scm 324 */
									BgL_variablez00_bglt BgL_integratorz00_2464;

									BgL_integratorz00_2464 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1625);
									{	/* Integrate/node.scm 324 */
										obj_t BgL_method3405z00_2465;

										{	/* Integrate/node.scm 324 */
											BgL_objectz00_bglt BgL_objz00_2466;

											BgL_objz00_2466 =
												(BgL_objectz00_bglt) (BgL_arg3664z00_1630);
											{	/* Integrate/node.scm 324 */
												long BgL_objzd2classzd2numz00_2467;

												BgL_objzd2classzd2numz00_2467 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2466);
												{	/* Integrate/node.scm 324 */
													obj_t BgL_arg2422z00_2468;

													BgL_arg2422z00_2468 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 324 */
														obj_t BgL_arrayz00_2470;

														int BgL_offsetz00_2471;

														BgL_arrayz00_2470 = BgL_arg2422z00_2468;
														BgL_offsetz00_2471 =
															(int) (BgL_objzd2classzd2numz00_2467);
														{	/* Integrate/node.scm 324 */
															long BgL_offsetz00_2472;

															BgL_offsetz00_2472 =
																((long) (BgL_offsetz00_2471) - OBJECT_TYPE);
															{	/* Integrate/node.scm 324 */
																long BgL_modz00_2473;

																{	/* Integrate/node.scm 324 */
																	int BgL_arg2424z00_2474;

																	BgL_arg2424z00_2474 = (int) (((long) 8));
																	{	/* Integrate/node.scm 324 */
																		long BgL_auxz00_3588;

																		BgL_auxz00_3588 =
																			(long) (BgL_arg2424z00_2474);
																		BgL_modz00_2473 =
																			(BgL_offsetz00_2472 / BgL_auxz00_3588);
																}}
																{	/* Integrate/node.scm 324 */
																	long BgL_restz00_2475;

																	{	/* Integrate/node.scm 324 */
																		int BgL_arg2423z00_2476;

																		BgL_arg2423z00_2476 = (int) (((long) 8));
																		{	/* Integrate/node.scm 324 */
																			long BgL_auxz00_3592;

																			BgL_auxz00_3592 =
																				(long) (BgL_arg2423z00_2476);
																			BgL_restz00_2475 =
																				(BgL_offsetz00_2472 % BgL_auxz00_3592);
																	}}
																	{	/* Integrate/node.scm 324 */

																		BgL_method3405z00_2465 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2470,
																				(int) (BgL_modz00_2473)),
																			(int) (BgL_restz00_2475));
										}}}}}}}}
										BgL_res3760z00_2490 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2465) (BgL_method3405z00_2465,
												(obj_t) (BgL_arg3664z00_1630),
												(obj_t) (BgL_integratorz00_2464), BEOA));
								}}
								BgL_arg3663z00_1629 = BgL_res3760z00_2490;
						}}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1624))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3663z00_1629), BUNSPEC);
					}
					{	/* Integrate/node.scm 325 */
						obj_t BgL_g3395z00_1631;

						BgL_g3395z00_1631 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1624))->BgL_localsz00);
						{
							obj_t BgL_l3393z00_1633;

							BgL_l3393z00_1633 = BgL_g3395z00_1631;
						BgL_zc3anonymousza33665ze3z83_1634:
							if (PAIRP(BgL_l3393z00_1633))
								{	/* Integrate/node.scm 325 */
									{	/* Integrate/node.scm 326 */
										obj_t BgL_localz00_1636;

										BgL_localz00_1636 = CAR(BgL_l3393z00_1633);
										BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
											(BgL_localz00_bglt) (BgL_localz00_1636),
											(BgL_variablez00_bglt) (BgL_integratorz00_1625));
									}
									{
										obj_t BgL_l3393z00_3612;

										BgL_l3393z00_3612 = CDR(BgL_l3393z00_1633);
										BgL_l3393z00_1633 = BgL_l3393z00_3612;
										goto BgL_zc3anonymousza33665ze3z83_1634;
									}
								}
							else
								{	/* Integrate/node.scm 325 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_3577 = BgL_nodez00_1624;
					return (obj_t) (BgL_auxz00_3577);
				}
			}
		}
	}



/* glo!-select3434 */
	obj_t BGl_gloz12zd2select3434zc0zzintegrate_nodez00(obj_t BgL_envz00_2849,
		obj_t BgL_nodez00_2850, obj_t BgL_integratorz00_2851)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 311 */
			{
				BgL_selectz00_bglt BgL_nodez00_1605;

				obj_t BgL_integratorz00_1606;

				{	/* Integrate/node.scm 312 */
					BgL_selectz00_bglt BgL_auxz00_3616;

					BgL_nodez00_1605 = (BgL_selectz00_bglt) (BgL_nodez00_2850);
					BgL_integratorz00_1606 = BgL_integratorz00_2851;
					{	/* Integrate/node.scm 313 */
						BgL_nodez00_bglt BgL_arg3655z00_1610;

						{	/* Integrate/node.scm 313 */
							BgL_nodez00_bglt BgL_arg3656z00_1611;

							BgL_arg3656z00_1611 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1605))->BgL_testz00);
							{	/* Integrate/node.scm 313 */
								BgL_nodez00_bglt BgL_res3754z00_2424;

								{	/* Integrate/node.scm 313 */
									BgL_variablez00_bglt BgL_integratorz00_2398;

									BgL_integratorz00_2398 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1606);
									{	/* Integrate/node.scm 313 */
										obj_t BgL_method3405z00_2399;

										{	/* Integrate/node.scm 313 */
											BgL_objectz00_bglt BgL_objz00_2400;

											BgL_objz00_2400 =
												(BgL_objectz00_bglt) (BgL_arg3656z00_1611);
											{	/* Integrate/node.scm 313 */
												long BgL_objzd2classzd2numz00_2401;

												BgL_objzd2classzd2numz00_2401 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2400);
												{	/* Integrate/node.scm 313 */
													obj_t BgL_arg2422z00_2402;

													BgL_arg2422z00_2402 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 313 */
														obj_t BgL_arrayz00_2404;

														int BgL_offsetz00_2405;

														BgL_arrayz00_2404 = BgL_arg2422z00_2402;
														BgL_offsetz00_2405 =
															(int) (BgL_objzd2classzd2numz00_2401);
														{	/* Integrate/node.scm 313 */
															long BgL_offsetz00_2406;

															BgL_offsetz00_2406 =
																((long) (BgL_offsetz00_2405) - OBJECT_TYPE);
															{	/* Integrate/node.scm 313 */
																long BgL_modz00_2407;

																{	/* Integrate/node.scm 313 */
																	int BgL_arg2424z00_2408;

																	BgL_arg2424z00_2408 = (int) (((long) 8));
																	{	/* Integrate/node.scm 313 */
																		long BgL_auxz00_3627;

																		BgL_auxz00_3627 =
																			(long) (BgL_arg2424z00_2408);
																		BgL_modz00_2407 =
																			(BgL_offsetz00_2406 / BgL_auxz00_3627);
																}}
																{	/* Integrate/node.scm 313 */
																	long BgL_restz00_2409;

																	{	/* Integrate/node.scm 313 */
																		int BgL_arg2423z00_2410;

																		BgL_arg2423z00_2410 = (int) (((long) 8));
																		{	/* Integrate/node.scm 313 */
																			long BgL_auxz00_3631;

																			BgL_auxz00_3631 =
																				(long) (BgL_arg2423z00_2410);
																			BgL_restz00_2409 =
																				(BgL_offsetz00_2406 % BgL_auxz00_3631);
																	}}
																	{	/* Integrate/node.scm 313 */

																		BgL_method3405z00_2399 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2404,
																				(int) (BgL_modz00_2407)),
																			(int) (BgL_restz00_2409));
										}}}}}}}}
										BgL_res3754z00_2424 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2399) (BgL_method3405z00_2399,
												(obj_t) (BgL_arg3656z00_1611),
												(obj_t) (BgL_integratorz00_2398), BEOA));
								}}
								BgL_arg3655z00_1610 = BgL_res3754z00_2424;
						}}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1605))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3655z00_1610), BUNSPEC);
					}
					{	/* Integrate/node.scm 314 */
						obj_t BgL_g3392z00_1612;

						BgL_g3392z00_1612 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1605))->BgL_clausesz00);
						{
							obj_t BgL_l3390z00_1614;

							BgL_l3390z00_1614 = BgL_g3392z00_1612;
						BgL_zc3anonymousza33657ze3z83_1615:
							if (PAIRP(BgL_l3390z00_1614))
								{	/* Integrate/node.scm 314 */
									{	/* Integrate/node.scm 315 */
										obj_t BgL_clausez00_1617;

										BgL_clausez00_1617 = CAR(BgL_l3390z00_1614);
										{	/* Integrate/node.scm 315 */
											BgL_nodez00_bglt BgL_arg3659z00_1618;

											{	/* Integrate/node.scm 315 */
												obj_t BgL_arg3660z00_1619;

												BgL_arg3660z00_1619 = CDR(BgL_clausez00_1617);
												{	/* Integrate/node.scm 315 */
													BgL_nodez00_bglt BgL_res3757z00_2458;

													{	/* Integrate/node.scm 315 */
														BgL_nodez00_bglt BgL_nodez00_2431;

														BgL_variablez00_bglt BgL_integratorz00_2432;

														BgL_nodez00_2431 =
															(BgL_nodez00_bglt) (BgL_arg3660z00_1619);
														BgL_integratorz00_2432 =
															(BgL_variablez00_bglt) (BgL_integratorz00_1606);
														{	/* Integrate/node.scm 315 */
															obj_t BgL_method3405z00_2433;

															{	/* Integrate/node.scm 315 */
																BgL_objectz00_bglt BgL_objz00_2434;

																BgL_objz00_2434 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2431);
																{	/* Integrate/node.scm 315 */
																	long BgL_objzd2classzd2numz00_2435;

																	BgL_objzd2classzd2numz00_2435 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2434);
																	{	/* Integrate/node.scm 315 */
																		obj_t BgL_arg2422z00_2436;

																		BgL_arg2422z00_2436 =
																			PROCEDURE_REF
																			(BGl_gloz12zd2envzc0zzintegrate_nodez00,
																			(int) (((long) 1)));
																		{	/* Integrate/node.scm 315 */
																			obj_t BgL_arrayz00_2438;

																			int BgL_offsetz00_2439;

																			BgL_arrayz00_2438 = BgL_arg2422z00_2436;
																			BgL_offsetz00_2439 =
																				(int) (BgL_objzd2classzd2numz00_2435);
																			{	/* Integrate/node.scm 315 */
																				long BgL_offsetz00_2440;

																				BgL_offsetz00_2440 =
																					(
																					(long) (BgL_offsetz00_2439) -
																					OBJECT_TYPE);
																				{	/* Integrate/node.scm 315 */
																					long BgL_modz00_2441;

																					{	/* Integrate/node.scm 315 */
																						int BgL_arg2424z00_2442;

																						BgL_arg2424z00_2442 =
																							(int) (((long) 8));
																						{	/* Integrate/node.scm 315 */
																							long BgL_auxz00_3659;

																							BgL_auxz00_3659 =
																								(long) (BgL_arg2424z00_2442);
																							BgL_modz00_2441 =
																								(BgL_offsetz00_2440 /
																								BgL_auxz00_3659);
																					}}
																					{	/* Integrate/node.scm 315 */
																						long BgL_restz00_2443;

																						{	/* Integrate/node.scm 315 */
																							int BgL_arg2423z00_2444;

																							BgL_arg2423z00_2444 =
																								(int) (((long) 8));
																							{	/* Integrate/node.scm 315 */
																								long BgL_auxz00_3663;

																								BgL_auxz00_3663 =
																									(long) (BgL_arg2423z00_2444);
																								BgL_restz00_2443 =
																									(BgL_offsetz00_2440 %
																									BgL_auxz00_3663);
																						}}
																						{	/* Integrate/node.scm 315 */

																							BgL_method3405z00_2433 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2438,
																									(int) (BgL_modz00_2441)),
																								(int) (BgL_restz00_2443));
															}}}}}}}}
															BgL_res3757z00_2458 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3405z00_2433)
																(BgL_method3405z00_2433,
																	(obj_t) (BgL_nodez00_2431),
																	(obj_t) (BgL_integratorz00_2432), BEOA));
													}}
													BgL_arg3659z00_1618 = BgL_res3757z00_2458;
											}}
											{	/* Integrate/node.scm 315 */
												obj_t BgL_auxz00_3675;

												BgL_auxz00_3675 = (obj_t) (BgL_arg3659z00_1618);
												SET_CDR(BgL_clausez00_1617, BgL_auxz00_3675);
									}}}
									{
										obj_t BgL_l3390z00_3678;

										BgL_l3390z00_3678 = CDR(BgL_l3390z00_1614);
										BgL_l3390z00_1614 = BgL_l3390z00_3678;
										goto BgL_zc3anonymousza33657ze3z83_1615;
									}
								}
							else
								{	/* Integrate/node.scm 314 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_3616 = BgL_nodez00_1605;
					return (obj_t) (BgL_auxz00_3616);
				}
			}
		}
	}



/* glo!-fail3432 */
	obj_t BGl_gloz12zd2fail3432zc0zzintegrate_nodez00(obj_t BgL_envz00_2852,
		obj_t BgL_nodez00_2853, obj_t BgL_integratorz00_2854)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 301 */
			{
				BgL_failz00_bglt BgL_nodez00_1592;

				obj_t BgL_integratorz00_1593;

				{	/* Integrate/node.scm 302 */
					BgL_failz00_bglt BgL_auxz00_3682;

					BgL_nodez00_1592 = (BgL_failz00_bglt) (BgL_nodez00_2853);
					BgL_integratorz00_1593 = BgL_integratorz00_2854;
					{	/* Integrate/node.scm 303 */
						BgL_nodez00_bglt BgL_arg3648z00_1597;

						{	/* Integrate/node.scm 303 */
							BgL_nodez00_bglt BgL_arg3649z00_1598;

							BgL_arg3649z00_1598 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1592))->BgL_procz00);
							{	/* Integrate/node.scm 303 */
								BgL_nodez00_bglt BgL_res3745z00_2331;

								{	/* Integrate/node.scm 303 */
									BgL_variablez00_bglt BgL_integratorz00_2305;

									BgL_integratorz00_2305 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1593);
									{	/* Integrate/node.scm 303 */
										obj_t BgL_method3405z00_2306;

										{	/* Integrate/node.scm 303 */
											BgL_objectz00_bglt BgL_objz00_2307;

											BgL_objz00_2307 =
												(BgL_objectz00_bglt) (BgL_arg3649z00_1598);
											{	/* Integrate/node.scm 303 */
												long BgL_objzd2classzd2numz00_2308;

												BgL_objzd2classzd2numz00_2308 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2307);
												{	/* Integrate/node.scm 303 */
													obj_t BgL_arg2422z00_2309;

													BgL_arg2422z00_2309 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 303 */
														obj_t BgL_arrayz00_2311;

														int BgL_offsetz00_2312;

														BgL_arrayz00_2311 = BgL_arg2422z00_2309;
														BgL_offsetz00_2312 =
															(int) (BgL_objzd2classzd2numz00_2308);
														{	/* Integrate/node.scm 303 */
															long BgL_offsetz00_2313;

															BgL_offsetz00_2313 =
																((long) (BgL_offsetz00_2312) - OBJECT_TYPE);
															{	/* Integrate/node.scm 303 */
																long BgL_modz00_2314;

																{	/* Integrate/node.scm 303 */
																	int BgL_arg2424z00_2315;

																	BgL_arg2424z00_2315 = (int) (((long) 8));
																	{	/* Integrate/node.scm 303 */
																		long BgL_auxz00_3693;

																		BgL_auxz00_3693 =
																			(long) (BgL_arg2424z00_2315);
																		BgL_modz00_2314 =
																			(BgL_offsetz00_2313 / BgL_auxz00_3693);
																}}
																{	/* Integrate/node.scm 303 */
																	long BgL_restz00_2316;

																	{	/* Integrate/node.scm 303 */
																		int BgL_arg2423z00_2317;

																		BgL_arg2423z00_2317 = (int) (((long) 8));
																		{	/* Integrate/node.scm 303 */
																			long BgL_auxz00_3697;

																			BgL_auxz00_3697 =
																				(long) (BgL_arg2423z00_2317);
																			BgL_restz00_2316 =
																				(BgL_offsetz00_2313 % BgL_auxz00_3697);
																	}}
																	{	/* Integrate/node.scm 303 */

																		BgL_method3405z00_2306 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2311,
																				(int) (BgL_modz00_2314)),
																			(int) (BgL_restz00_2316));
										}}}}}}}}
										BgL_res3745z00_2331 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2306) (BgL_method3405z00_2306,
												(obj_t) (BgL_arg3649z00_1598),
												(obj_t) (BgL_integratorz00_2305), BEOA));
								}}
								BgL_arg3648z00_1597 = BgL_res3745z00_2331;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1592))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_arg3648z00_1597), BUNSPEC);
					}
					{	/* Integrate/node.scm 304 */
						BgL_nodez00_bglt BgL_arg3650z00_1599;

						{	/* Integrate/node.scm 304 */
							BgL_nodez00_bglt BgL_arg3651z00_1600;

							BgL_arg3651z00_1600 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1592))->BgL_msgz00);
							{	/* Integrate/node.scm 304 */
								BgL_nodez00_bglt BgL_res3748z00_2362;

								{	/* Integrate/node.scm 304 */
									BgL_variablez00_bglt BgL_integratorz00_2336;

									BgL_integratorz00_2336 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1593);
									{	/* Integrate/node.scm 304 */
										obj_t BgL_method3405z00_2337;

										{	/* Integrate/node.scm 304 */
											BgL_objectz00_bglt BgL_objz00_2338;

											BgL_objz00_2338 =
												(BgL_objectz00_bglt) (BgL_arg3651z00_1600);
											{	/* Integrate/node.scm 304 */
												long BgL_objzd2classzd2numz00_2339;

												BgL_objzd2classzd2numz00_2339 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2338);
												{	/* Integrate/node.scm 304 */
													obj_t BgL_arg2422z00_2340;

													BgL_arg2422z00_2340 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 304 */
														obj_t BgL_arrayz00_2342;

														int BgL_offsetz00_2343;

														BgL_arrayz00_2342 = BgL_arg2422z00_2340;
														BgL_offsetz00_2343 =
															(int) (BgL_objzd2classzd2numz00_2339);
														{	/* Integrate/node.scm 304 */
															long BgL_offsetz00_2344;

															BgL_offsetz00_2344 =
																((long) (BgL_offsetz00_2343) - OBJECT_TYPE);
															{	/* Integrate/node.scm 304 */
																long BgL_modz00_2345;

																{	/* Integrate/node.scm 304 */
																	int BgL_arg2424z00_2346;

																	BgL_arg2424z00_2346 = (int) (((long) 8));
																	{	/* Integrate/node.scm 304 */
																		long BgL_auxz00_3720;

																		BgL_auxz00_3720 =
																			(long) (BgL_arg2424z00_2346);
																		BgL_modz00_2345 =
																			(BgL_offsetz00_2344 / BgL_auxz00_3720);
																}}
																{	/* Integrate/node.scm 304 */
																	long BgL_restz00_2347;

																	{	/* Integrate/node.scm 304 */
																		int BgL_arg2423z00_2348;

																		BgL_arg2423z00_2348 = (int) (((long) 8));
																		{	/* Integrate/node.scm 304 */
																			long BgL_auxz00_3724;

																			BgL_auxz00_3724 =
																				(long) (BgL_arg2423z00_2348);
																			BgL_restz00_2347 =
																				(BgL_offsetz00_2344 % BgL_auxz00_3724);
																	}}
																	{	/* Integrate/node.scm 304 */

																		BgL_method3405z00_2337 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2342,
																				(int) (BgL_modz00_2345)),
																			(int) (BgL_restz00_2347));
										}}}}}}}}
										BgL_res3748z00_2362 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2337) (BgL_method3405z00_2337,
												(obj_t) (BgL_arg3651z00_1600),
												(obj_t) (BgL_integratorz00_2336), BEOA));
								}}
								BgL_arg3650z00_1599 = BgL_res3748z00_2362;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1592))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_arg3650z00_1599), BUNSPEC);
					}
					{	/* Integrate/node.scm 305 */
						BgL_nodez00_bglt BgL_arg3652z00_1601;

						{	/* Integrate/node.scm 305 */
							BgL_nodez00_bglt BgL_arg3653z00_1602;

							BgL_arg3653z00_1602 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1592))->BgL_objz00);
							{	/* Integrate/node.scm 305 */
								BgL_nodez00_bglt BgL_res3751z00_2393;

								{	/* Integrate/node.scm 305 */
									BgL_variablez00_bglt BgL_integratorz00_2367;

									BgL_integratorz00_2367 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1593);
									{	/* Integrate/node.scm 305 */
										obj_t BgL_method3405z00_2368;

										{	/* Integrate/node.scm 305 */
											BgL_objectz00_bglt BgL_objz00_2369;

											BgL_objz00_2369 =
												(BgL_objectz00_bglt) (BgL_arg3653z00_1602);
											{	/* Integrate/node.scm 305 */
												long BgL_objzd2classzd2numz00_2370;

												BgL_objzd2classzd2numz00_2370 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2369);
												{	/* Integrate/node.scm 305 */
													obj_t BgL_arg2422z00_2371;

													BgL_arg2422z00_2371 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 305 */
														obj_t BgL_arrayz00_2373;

														int BgL_offsetz00_2374;

														BgL_arrayz00_2373 = BgL_arg2422z00_2371;
														BgL_offsetz00_2374 =
															(int) (BgL_objzd2classzd2numz00_2370);
														{	/* Integrate/node.scm 305 */
															long BgL_offsetz00_2375;

															BgL_offsetz00_2375 =
																((long) (BgL_offsetz00_2374) - OBJECT_TYPE);
															{	/* Integrate/node.scm 305 */
																long BgL_modz00_2376;

																{	/* Integrate/node.scm 305 */
																	int BgL_arg2424z00_2377;

																	BgL_arg2424z00_2377 = (int) (((long) 8));
																	{	/* Integrate/node.scm 305 */
																		long BgL_auxz00_3747;

																		BgL_auxz00_3747 =
																			(long) (BgL_arg2424z00_2377);
																		BgL_modz00_2376 =
																			(BgL_offsetz00_2375 / BgL_auxz00_3747);
																}}
																{	/* Integrate/node.scm 305 */
																	long BgL_restz00_2378;

																	{	/* Integrate/node.scm 305 */
																		int BgL_arg2423z00_2379;

																		BgL_arg2423z00_2379 = (int) (((long) 8));
																		{	/* Integrate/node.scm 305 */
																			long BgL_auxz00_3751;

																			BgL_auxz00_3751 =
																				(long) (BgL_arg2423z00_2379);
																			BgL_restz00_2378 =
																				(BgL_offsetz00_2375 % BgL_auxz00_3751);
																	}}
																	{	/* Integrate/node.scm 305 */

																		BgL_method3405z00_2368 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2373,
																				(int) (BgL_modz00_2376)),
																			(int) (BgL_restz00_2378));
										}}}}}}}}
										BgL_res3751z00_2393 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2368) (BgL_method3405z00_2368,
												(obj_t) (BgL_arg3653z00_1602),
												(obj_t) (BgL_integratorz00_2367), BEOA));
								}}
								BgL_arg3652z00_1601 = BgL_res3751z00_2393;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1592))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_arg3652z00_1601), BUNSPEC);
					}
					BgL_auxz00_3682 = BgL_nodez00_1592;
					return (obj_t) (BgL_auxz00_3682);
				}
			}
		}
	}



/* glo!-conditional3430 */
	obj_t BGl_gloz12zd2conditional3430zc0zzintegrate_nodez00(obj_t
		BgL_envz00_2855, obj_t BgL_nodez00_2856, obj_t BgL_integratorz00_2857)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 291 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1579;

				obj_t BgL_integratorz00_1580;

				{	/* Integrate/node.scm 292 */
					BgL_conditionalz00_bglt BgL_auxz00_3766;

					BgL_nodez00_1579 = (BgL_conditionalz00_bglt) (BgL_nodez00_2856);
					BgL_integratorz00_1580 = BgL_integratorz00_2857;
					{	/* Integrate/node.scm 293 */
						BgL_nodez00_bglt BgL_arg3641z00_1584;

						{	/* Integrate/node.scm 293 */
							BgL_nodez00_bglt BgL_arg3642z00_1585;

							BgL_arg3642z00_1585 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1579))->
								BgL_testz00);
							{	/* Integrate/node.scm 293 */
								BgL_nodez00_bglt BgL_res3736z00_2238;

								{	/* Integrate/node.scm 293 */
									BgL_variablez00_bglt BgL_integratorz00_2212;

									BgL_integratorz00_2212 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1580);
									{	/* Integrate/node.scm 293 */
										obj_t BgL_method3405z00_2213;

										{	/* Integrate/node.scm 293 */
											BgL_objectz00_bglt BgL_objz00_2214;

											BgL_objz00_2214 =
												(BgL_objectz00_bglt) (BgL_arg3642z00_1585);
											{	/* Integrate/node.scm 293 */
												long BgL_objzd2classzd2numz00_2215;

												BgL_objzd2classzd2numz00_2215 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2214);
												{	/* Integrate/node.scm 293 */
													obj_t BgL_arg2422z00_2216;

													BgL_arg2422z00_2216 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 293 */
														obj_t BgL_arrayz00_2218;

														int BgL_offsetz00_2219;

														BgL_arrayz00_2218 = BgL_arg2422z00_2216;
														BgL_offsetz00_2219 =
															(int) (BgL_objzd2classzd2numz00_2215);
														{	/* Integrate/node.scm 293 */
															long BgL_offsetz00_2220;

															BgL_offsetz00_2220 =
																((long) (BgL_offsetz00_2219) - OBJECT_TYPE);
															{	/* Integrate/node.scm 293 */
																long BgL_modz00_2221;

																{	/* Integrate/node.scm 293 */
																	int BgL_arg2424z00_2222;

																	BgL_arg2424z00_2222 = (int) (((long) 8));
																	{	/* Integrate/node.scm 293 */
																		long BgL_auxz00_3777;

																		BgL_auxz00_3777 =
																			(long) (BgL_arg2424z00_2222);
																		BgL_modz00_2221 =
																			(BgL_offsetz00_2220 / BgL_auxz00_3777);
																}}
																{	/* Integrate/node.scm 293 */
																	long BgL_restz00_2223;

																	{	/* Integrate/node.scm 293 */
																		int BgL_arg2423z00_2224;

																		BgL_arg2423z00_2224 = (int) (((long) 8));
																		{	/* Integrate/node.scm 293 */
																			long BgL_auxz00_3781;

																			BgL_auxz00_3781 =
																				(long) (BgL_arg2423z00_2224);
																			BgL_restz00_2223 =
																				(BgL_offsetz00_2220 % BgL_auxz00_3781);
																	}}
																	{	/* Integrate/node.scm 293 */

																		BgL_method3405z00_2213 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2218,
																				(int) (BgL_modz00_2221)),
																			(int) (BgL_restz00_2223));
										}}}}}}}}
										BgL_res3736z00_2238 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2213) (BgL_method3405z00_2213,
												(obj_t) (BgL_arg3642z00_1585),
												(obj_t) (BgL_integratorz00_2212), BEOA));
								}}
								BgL_arg3641z00_1584 = BgL_res3736z00_2238;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1579))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3641z00_1584), BUNSPEC);
					}
					{	/* Integrate/node.scm 294 */
						BgL_nodez00_bglt BgL_arg3643z00_1586;

						{	/* Integrate/node.scm 294 */
							BgL_nodez00_bglt BgL_arg3644z00_1587;

							BgL_arg3644z00_1587 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1579))->
								BgL_truez00);
							{	/* Integrate/node.scm 294 */
								BgL_nodez00_bglt BgL_res3739z00_2269;

								{	/* Integrate/node.scm 294 */
									BgL_variablez00_bglt BgL_integratorz00_2243;

									BgL_integratorz00_2243 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1580);
									{	/* Integrate/node.scm 294 */
										obj_t BgL_method3405z00_2244;

										{	/* Integrate/node.scm 294 */
											BgL_objectz00_bglt BgL_objz00_2245;

											BgL_objz00_2245 =
												(BgL_objectz00_bglt) (BgL_arg3644z00_1587);
											{	/* Integrate/node.scm 294 */
												long BgL_objzd2classzd2numz00_2246;

												BgL_objzd2classzd2numz00_2246 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2245);
												{	/* Integrate/node.scm 294 */
													obj_t BgL_arg2422z00_2247;

													BgL_arg2422z00_2247 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 294 */
														obj_t BgL_arrayz00_2249;

														int BgL_offsetz00_2250;

														BgL_arrayz00_2249 = BgL_arg2422z00_2247;
														BgL_offsetz00_2250 =
															(int) (BgL_objzd2classzd2numz00_2246);
														{	/* Integrate/node.scm 294 */
															long BgL_offsetz00_2251;

															BgL_offsetz00_2251 =
																((long) (BgL_offsetz00_2250) - OBJECT_TYPE);
															{	/* Integrate/node.scm 294 */
																long BgL_modz00_2252;

																{	/* Integrate/node.scm 294 */
																	int BgL_arg2424z00_2253;

																	BgL_arg2424z00_2253 = (int) (((long) 8));
																	{	/* Integrate/node.scm 294 */
																		long BgL_auxz00_3804;

																		BgL_auxz00_3804 =
																			(long) (BgL_arg2424z00_2253);
																		BgL_modz00_2252 =
																			(BgL_offsetz00_2251 / BgL_auxz00_3804);
																}}
																{	/* Integrate/node.scm 294 */
																	long BgL_restz00_2254;

																	{	/* Integrate/node.scm 294 */
																		int BgL_arg2423z00_2255;

																		BgL_arg2423z00_2255 = (int) (((long) 8));
																		{	/* Integrate/node.scm 294 */
																			long BgL_auxz00_3808;

																			BgL_auxz00_3808 =
																				(long) (BgL_arg2423z00_2255);
																			BgL_restz00_2254 =
																				(BgL_offsetz00_2251 % BgL_auxz00_3808);
																	}}
																	{	/* Integrate/node.scm 294 */

																		BgL_method3405z00_2244 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2249,
																				(int) (BgL_modz00_2252)),
																			(int) (BgL_restz00_2254));
										}}}}}}}}
										BgL_res3739z00_2269 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2244) (BgL_method3405z00_2244,
												(obj_t) (BgL_arg3644z00_1587),
												(obj_t) (BgL_integratorz00_2243), BEOA));
								}}
								BgL_arg3643z00_1586 = BgL_res3739z00_2269;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1579))->BgL_truez00) =
							((BgL_nodez00_bglt) BgL_arg3643z00_1586), BUNSPEC);
					}
					{	/* Integrate/node.scm 295 */
						BgL_nodez00_bglt BgL_arg3645z00_1588;

						{	/* Integrate/node.scm 295 */
							BgL_nodez00_bglt BgL_arg3646z00_1589;

							BgL_arg3646z00_1589 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1579))->
								BgL_falsez00);
							{	/* Integrate/node.scm 295 */
								BgL_nodez00_bglt BgL_res3742z00_2300;

								{	/* Integrate/node.scm 295 */
									BgL_variablez00_bglt BgL_integratorz00_2274;

									BgL_integratorz00_2274 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1580);
									{	/* Integrate/node.scm 295 */
										obj_t BgL_method3405z00_2275;

										{	/* Integrate/node.scm 295 */
											BgL_objectz00_bglt BgL_objz00_2276;

											BgL_objz00_2276 =
												(BgL_objectz00_bglt) (BgL_arg3646z00_1589);
											{	/* Integrate/node.scm 295 */
												long BgL_objzd2classzd2numz00_2277;

												BgL_objzd2classzd2numz00_2277 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2276);
												{	/* Integrate/node.scm 295 */
													obj_t BgL_arg2422z00_2278;

													BgL_arg2422z00_2278 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 295 */
														obj_t BgL_arrayz00_2280;

														int BgL_offsetz00_2281;

														BgL_arrayz00_2280 = BgL_arg2422z00_2278;
														BgL_offsetz00_2281 =
															(int) (BgL_objzd2classzd2numz00_2277);
														{	/* Integrate/node.scm 295 */
															long BgL_offsetz00_2282;

															BgL_offsetz00_2282 =
																((long) (BgL_offsetz00_2281) - OBJECT_TYPE);
															{	/* Integrate/node.scm 295 */
																long BgL_modz00_2283;

																{	/* Integrate/node.scm 295 */
																	int BgL_arg2424z00_2284;

																	BgL_arg2424z00_2284 = (int) (((long) 8));
																	{	/* Integrate/node.scm 295 */
																		long BgL_auxz00_3831;

																		BgL_auxz00_3831 =
																			(long) (BgL_arg2424z00_2284);
																		BgL_modz00_2283 =
																			(BgL_offsetz00_2282 / BgL_auxz00_3831);
																}}
																{	/* Integrate/node.scm 295 */
																	long BgL_restz00_2285;

																	{	/* Integrate/node.scm 295 */
																		int BgL_arg2423z00_2286;

																		BgL_arg2423z00_2286 = (int) (((long) 8));
																		{	/* Integrate/node.scm 295 */
																			long BgL_auxz00_3835;

																			BgL_auxz00_3835 =
																				(long) (BgL_arg2423z00_2286);
																			BgL_restz00_2285 =
																				(BgL_offsetz00_2282 % BgL_auxz00_3835);
																	}}
																	{	/* Integrate/node.scm 295 */

																		BgL_method3405z00_2275 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2280,
																				(int) (BgL_modz00_2283)),
																			(int) (BgL_restz00_2285));
										}}}}}}}}
										BgL_res3742z00_2300 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2275) (BgL_method3405z00_2275,
												(obj_t) (BgL_arg3646z00_1589),
												(obj_t) (BgL_integratorz00_2274), BEOA));
								}}
								BgL_arg3645z00_1588 = BgL_res3742z00_2300;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1579))->
								BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_arg3645z00_1588), BUNSPEC);
					}
					BgL_auxz00_3766 = BgL_nodez00_1579;
					return (obj_t) (BgL_auxz00_3766);
				}
			}
		}
	}



/* glo!-setq3428 */
	obj_t BGl_gloz12zd2setq3428zc0zzintegrate_nodez00(obj_t BgL_envz00_2858,
		obj_t BgL_nodez00_2859, obj_t BgL_integratorz00_2860)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 257 */
			{
				BgL_setqz00_bglt BgL_nodez00_1542;

				obj_t BgL_integratorz00_1543;

				BgL_nodez00_1542 = (BgL_setqz00_bglt) (BgL_nodez00_2859);
				BgL_integratorz00_1543 = BgL_integratorz00_2860;
				{	/* Integrate/node.scm 259 */
					BgL_nodez00_bglt BgL_arg3620z00_1547;

					{	/* Integrate/node.scm 259 */
						BgL_nodez00_bglt BgL_arg3621z00_1548;

						BgL_arg3621z00_1548 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1542))->BgL_valuez00);
						{	/* Integrate/node.scm 259 */
							BgL_nodez00_bglt BgL_res3732z00_2186;

							{	/* Integrate/node.scm 259 */
								BgL_variablez00_bglt BgL_integratorz00_2160;

								BgL_integratorz00_2160 =
									(BgL_variablez00_bglt) (BgL_integratorz00_1543);
								{	/* Integrate/node.scm 259 */
									obj_t BgL_method3405z00_2161;

									{	/* Integrate/node.scm 259 */
										BgL_objectz00_bglt BgL_objz00_2162;

										BgL_objz00_2162 =
											(BgL_objectz00_bglt) (BgL_arg3621z00_1548);
										{	/* Integrate/node.scm 259 */
											long BgL_objzd2classzd2numz00_2163;

											BgL_objzd2classzd2numz00_2163 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2162);
											{	/* Integrate/node.scm 259 */
												obj_t BgL_arg2422z00_2164;

												BgL_arg2422z00_2164 =
													PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
													(int) (((long) 1)));
												{	/* Integrate/node.scm 259 */
													obj_t BgL_arrayz00_2166;

													int BgL_offsetz00_2167;

													BgL_arrayz00_2166 = BgL_arg2422z00_2164;
													BgL_offsetz00_2167 =
														(int) (BgL_objzd2classzd2numz00_2163);
													{	/* Integrate/node.scm 259 */
														long BgL_offsetz00_2168;

														BgL_offsetz00_2168 =
															((long) (BgL_offsetz00_2167) - OBJECT_TYPE);
														{	/* Integrate/node.scm 259 */
															long BgL_modz00_2169;

															{	/* Integrate/node.scm 259 */
																int BgL_arg2424z00_2170;

																BgL_arg2424z00_2170 = (int) (((long) 8));
																{	/* Integrate/node.scm 259 */
																	long BgL_auxz00_3860;

																	BgL_auxz00_3860 =
																		(long) (BgL_arg2424z00_2170);
																	BgL_modz00_2169 =
																		(BgL_offsetz00_2168 / BgL_auxz00_3860);
															}}
															{	/* Integrate/node.scm 259 */
																long BgL_restz00_2171;

																{	/* Integrate/node.scm 259 */
																	int BgL_arg2423z00_2172;

																	BgL_arg2423z00_2172 = (int) (((long) 8));
																	{	/* Integrate/node.scm 259 */
																		long BgL_auxz00_3864;

																		BgL_auxz00_3864 =
																			(long) (BgL_arg2423z00_2172);
																		BgL_restz00_2171 =
																			(BgL_offsetz00_2168 % BgL_auxz00_3864);
																}}
																{	/* Integrate/node.scm 259 */

																	BgL_method3405z00_2161 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2166,
																			(int) (BgL_modz00_2169)),
																		(int) (BgL_restz00_2171));
									}}}}}}}}
									BgL_res3732z00_2186 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2161)
										(BgL_method3405z00_2161, (obj_t) (BgL_arg3621z00_1548),
											(obj_t) (BgL_integratorz00_2160), BEOA));
							}}
							BgL_arg3620z00_1547 = BgL_res3732z00_2186;
					}}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1542))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg3620z00_1547), BUNSPEC);
				}
				{	/* Integrate/node.scm 260 */
					BgL_variablez00_bglt BgL_varz00_1549;

					{	/* Integrate/node.scm 260 */
						BgL_varz00_bglt BgL_obj1993z00_2190;

						BgL_obj1993z00_2190 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1542))->BgL_varz00);
						BgL_varz00_1549 =
							(((BgL_varz00_bglt) CREF(BgL_obj1993z00_2190))->BgL_variablez00);
					}
					{	/* Integrate/node.scm 261 */
						obj_t BgL_g3356z00_1550;

						BgL_g3356z00_1550 =
							(((BgL_variablez00_bglt) CREF(BgL_varz00_1549))->
							BgL_fastzd2alphazd2);
						{
							obj_t BgL_varz00_1552;

							obj_t BgL_alphaz00_1553;

							BgL_varz00_1552 = (obj_t) (BgL_varz00_1549);
							BgL_alphaz00_1553 = BgL_g3356z00_1550;
						BgL_zc3anonymousza33622ze3z83_1554:
							if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1553,
									BGl_localz00zzast_varz00))
								{	/* Integrate/node.scm 263 */
									{	/* Integrate/node.scm 265 */
										BgL_varz00_bglt BgL_arg3624z00_1556;

										BgL_arg3624z00_1556 =
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1542))->BgL_varz00);
										{
											BgL_variablez00_bglt BgL_auxz00_3883;

											BgL_auxz00_3883 =
												(BgL_variablez00_bglt) (BgL_alphaz00_1553);
											((((BgL_varz00_bglt) CREF(BgL_arg3624z00_1556))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) BgL_auxz00_3883), BUNSPEC);
										}
									}
									{	/* Integrate/node.scm 266 */
										obj_t BgL_arg3625z00_1557;

										{
											BgL_variablez00_bglt BgL_auxz00_3886;

											BgL_auxz00_3886 =
												(BgL_variablez00_bglt) (BgL_alphaz00_1553);
											BgL_arg3625z00_1557 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_3886))->
												BgL_fastzd2alphazd2);
										}
										{
											obj_t BgL_alphaz00_3890;

											obj_t BgL_varz00_3889;

											BgL_varz00_3889 = BgL_alphaz00_1553;
											BgL_alphaz00_3890 = BgL_arg3625z00_1557;
											BgL_alphaz00_1553 = BgL_alphaz00_3890;
											BgL_varz00_1552 = BgL_varz00_3889;
											goto BgL_zc3anonymousza33622ze3z83_1554;
										}
									}
								}
							else
								{	/* Integrate/node.scm 267 */
									BgL_variablez00_bglt BgL_varz00_1558;

									{	/* Integrate/node.scm 267 */
										BgL_varz00_bglt BgL_obj1993z00_2198;

										BgL_obj1993z00_2198 =
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1542))->BgL_varz00);
										BgL_varz00_1558 =
											(((BgL_varz00_bglt) CREF(BgL_obj1993z00_2198))->
											BgL_variablez00);
									}
									{	/* Integrate/node.scm 268 */
										bool_t BgL_testz00_3893;

										{	/* Integrate/node.scm 268 */
											bool_t BgL_testz00_3894;

											{	/* Integrate/node.scm 268 */
												obj_t BgL_obj1649z00_2199;

												BgL_obj1649z00_2199 = (obj_t) (BgL_varz00_1558);
												BgL_testz00_3894 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj1649z00_2199,
													BGl_localz00zzast_varz00);
											}
											if (BgL_testz00_3894)
												{	/* Integrate/node.scm 268 */
													BgL_testz00_3893 =
														BGl_integratezd2celledzf3z21zzintegrate_nodez00(
														(BgL_localz00_bglt) (BgL_varz00_1558));
												}
											else
												{	/* Integrate/node.scm 268 */
													BgL_testz00_3893 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_3893)
											{	/* Integrate/node.scm 269 */
												BgL_localz00_bglt BgL_azd2varzd2_1560;

												obj_t BgL_locz00_1561;

												BgL_azd2varzd2_1560 =
													BGl_makezd2localzd2svarz00zzast_localz00
													(CNST_TABLE_REF(((long) 4)),
													(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
												{
													BgL_nodez00_bglt BgL_auxz00_3902;

													BgL_auxz00_3902 =
														(BgL_nodez00_bglt) (BgL_nodez00_1542);
													BgL_locz00_1561 =
														(((BgL_nodez00_bglt) CREF(BgL_auxz00_3902))->
														BgL_locz00);
												}
												{	/* Integrate/node.scm 271 */
													BgL_variablez00_bglt BgL_obj1454z00_2201;

													obj_t BgL_val1453z00_2202;

													BgL_obj1454z00_2201 = BgL_varz00_1558;
													BgL_val1453z00_2202 = CNST_TABLE_REF(((long) 0));
													((((BgL_variablez00_bglt) CREF(BgL_obj1454z00_2201))->
															BgL_accessz00) =
														((obj_t) BgL_val1453z00_2202), BUNSPEC);
												}
												{	/* Integrate/node.scm 272 */
													BgL_svarz00_bglt BgL_obj3357z00_1562;

													{
														BgL_svarz00_bglt BgL_auxz00_3907;

														{	/* Integrate/node.scm 272 */
															BgL_valuez00_bglt BgL_auxz00_3908;

															{
																BgL_variablez00_bglt BgL_auxz00_3909;

																BgL_auxz00_3909 =
																	(BgL_variablez00_bglt) (BgL_azd2varzd2_1560);
																BgL_auxz00_3908 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_3909))->BgL_valuez00);
															}
															BgL_auxz00_3907 =
																(BgL_svarz00_bglt) (BgL_auxz00_3908);
														}
														BgL_obj3357z00_1562 =
															((BgL_svarz00_bglt) BgL_auxz00_3907);
													}
													{	/* Integrate/node.scm 272 */
														obj_t BgL_auxz00_3916;

														BgL_objectz00_bglt BgL_auxz00_3914;

														BgL_auxz00_3916 =
															BGl_wideningzd2svarzf2Iinfoz20zzintegrate_infoz00
															(BUNSPEC, BUNSPEC, ((bool_t) 0), ((bool_t) 0));
														BgL_auxz00_3914 =
															(BgL_objectz00_bglt) (BgL_obj3357z00_1562);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3914,
															BgL_auxz00_3916);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														(BgL_objectz00_bglt) (BgL_obj3357z00_1562),
														BGl_classzd2numzd2zz__objectz00
														(BGl_svarzf2Iinfozf2zzintegrate_infoz00));
													BgL_obj3357z00_1562;
												}
												{	/* Integrate/node.scm 274 */
													obj_t BgL_arg3630z00_1566;

													BgL_boxzd2setz12zc0_bglt BgL_arg3631z00_1567;

													{	/* Integrate/node.scm 277 */
														obj_t BgL_arg3632z00_1568;

														{	/* Integrate/node.scm 277 */
															BgL_nodez00_bglt BgL_arg3634z00_1570;

															BgL_arg3634z00_1570 =
																(((BgL_setqz00_bglt) CREF(BgL_nodez00_1542))->
																BgL_valuez00);
															BgL_arg3632z00_1568 =
																MAKE_PAIR((obj_t) (BgL_azd2varzd2_1560),
																(obj_t) (BgL_arg3634z00_1570));
														}
														{	/* Integrate/node.scm 277 */
															obj_t BgL_list3633z00_1569;

															BgL_list3633z00_1569 =
																MAKE_PAIR(BgL_arg3632z00_1568, BNIL);
															BgL_arg3630z00_1566 = BgL_list3633z00_1569;
													}}
													{	/* Integrate/node.scm 281 */
														BgL_varz00_bglt BgL_arg3635z00_1571;

														BgL_varz00_bglt BgL_arg3636z00_1572;

														BgL_arg3635z00_1571 =
															(((BgL_setqz00_bglt) CREF(BgL_nodez00_1542))->
															BgL_varz00);
														BgL_arg3636z00_1572 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1561,
															(BgL_typez00_bglt)
															(BGl_za2_za2z00zztype_cachez00),
															(BgL_variablez00_bglt) (BgL_azd2varzd2_1560));
														BgL_arg3631z00_1567 =
															BGl_makezd2boxzd2setz12z12zzast_nodez00
															(BgL_locz00_1561,
															(BgL_typez00_bglt)
															(BGl_za2_za2z00zztype_cachez00),
															BgL_arg3635z00_1571,
															(BgL_nodez00_bglt) (BgL_arg3636z00_1572));
													}
													return
														(obj_t) (BGl_makezd2letzd2varz00zzast_nodez00
														(BgL_locz00_1561,
															(BgL_typez00_bglt)
															(BGl_za2_za2z00zztype_cachez00), BUNSPEC,
															BINT(((long) -1)), BgL_arg3630z00_1566,
															(BgL_nodez00_bglt) (BgL_arg3631z00_1567),
															((bool_t) 1)));
											}}
										else
											{	/* Integrate/node.scm 268 */
												return (obj_t) (BgL_nodez00_1542);
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* glo!-cast3426 */
	obj_t BGl_gloz12zd2cast3426zc0zzintegrate_nodez00(obj_t BgL_envz00_2861,
		obj_t BgL_nodez00_2862, obj_t BgL_integratorz00_2863)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 249 */
			{
				BgL_castz00_bglt BgL_nodez00_1534;

				obj_t BgL_integratorz00_1535;

				{	/* Integrate/node.scm 250 */
					BgL_castz00_bglt BgL_auxz00_3942;

					BgL_nodez00_1534 = (BgL_castz00_bglt) (BgL_nodez00_2862);
					BgL_integratorz00_1535 = BgL_integratorz00_2863;
					{	/* Integrate/node.scm 250 */
						BgL_nodez00_bglt BgL_arg3618z00_2128;

						BgL_arg3618z00_2128 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1534))->BgL_argz00);
						{	/* Integrate/node.scm 250 */
							BgL_nodez00_bglt BgL_res3729z00_2157;

							{	/* Integrate/node.scm 250 */
								BgL_variablez00_bglt BgL_integratorz00_2131;

								BgL_integratorz00_2131 =
									(BgL_variablez00_bglt) (BgL_integratorz00_1535);
								{	/* Integrate/node.scm 250 */
									obj_t BgL_method3405z00_2132;

									{	/* Integrate/node.scm 250 */
										BgL_objectz00_bglt BgL_objz00_2133;

										BgL_objz00_2133 =
											(BgL_objectz00_bglt) (BgL_arg3618z00_2128);
										{	/* Integrate/node.scm 250 */
											long BgL_objzd2classzd2numz00_2134;

											BgL_objzd2classzd2numz00_2134 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2133);
											{	/* Integrate/node.scm 250 */
												obj_t BgL_arg2422z00_2135;

												BgL_arg2422z00_2135 =
													PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
													(int) (((long) 1)));
												{	/* Integrate/node.scm 250 */
													obj_t BgL_arrayz00_2137;

													int BgL_offsetz00_2138;

													BgL_arrayz00_2137 = BgL_arg2422z00_2135;
													BgL_offsetz00_2138 =
														(int) (BgL_objzd2classzd2numz00_2134);
													{	/* Integrate/node.scm 250 */
														long BgL_offsetz00_2139;

														BgL_offsetz00_2139 =
															((long) (BgL_offsetz00_2138) - OBJECT_TYPE);
														{	/* Integrate/node.scm 250 */
															long BgL_modz00_2140;

															{	/* Integrate/node.scm 250 */
																int BgL_arg2424z00_2141;

																BgL_arg2424z00_2141 = (int) (((long) 8));
																{	/* Integrate/node.scm 250 */
																	long BgL_auxz00_3953;

																	BgL_auxz00_3953 =
																		(long) (BgL_arg2424z00_2141);
																	BgL_modz00_2140 =
																		(BgL_offsetz00_2139 / BgL_auxz00_3953);
															}}
															{	/* Integrate/node.scm 250 */
																long BgL_restz00_2142;

																{	/* Integrate/node.scm 250 */
																	int BgL_arg2423z00_2143;

																	BgL_arg2423z00_2143 = (int) (((long) 8));
																	{	/* Integrate/node.scm 250 */
																		long BgL_auxz00_3957;

																		BgL_auxz00_3957 =
																			(long) (BgL_arg2423z00_2143);
																		BgL_restz00_2142 =
																			(BgL_offsetz00_2139 % BgL_auxz00_3957);
																}}
																{	/* Integrate/node.scm 250 */

																	BgL_method3405z00_2132 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2137,
																			(int) (BgL_modz00_2140)),
																		(int) (BgL_restz00_2142));
									}}}}}}}}
									BgL_res3729z00_2157 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2132)
										(BgL_method3405z00_2132, (obj_t) (BgL_arg3618z00_2128),
											(obj_t) (BgL_integratorz00_2131), BEOA));
							}} BgL_res3729z00_2157;
					}}
					BgL_auxz00_3942 = BgL_nodez00_1534;
					return (obj_t) (BgL_auxz00_3942);
				}
			}
		}
	}



/* glo!-extern3424 */
	obj_t BGl_gloz12zd2extern3424zc0zzintegrate_nodez00(obj_t BgL_envz00_2864,
		obj_t BgL_nodez00_2865, obj_t BgL_integratorz00_2866)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 241 */
			{
				BgL_externz00_bglt BgL_nodez00_1526;

				obj_t BgL_integratorz00_1527;

				{	/* Integrate/node.scm 242 */
					BgL_externz00_bglt BgL_auxz00_3971;

					BgL_nodez00_1526 = (BgL_externz00_bglt) (BgL_nodez00_2865);
					BgL_integratorz00_1527 = BgL_integratorz00_2866;
					{	/* Integrate/node.scm 242 */
						obj_t BgL_arg3616z00_2125;

						BgL_arg3616z00_2125 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1526))->BgL_exprza2za2);
						BGl_gloza2z12zb0zzintegrate_nodez00(BgL_arg3616z00_2125,
							BgL_integratorz00_1527);
					}
					BgL_auxz00_3971 = BgL_nodez00_1526;
					return (obj_t) (BgL_auxz00_3971);
				}
			}
		}
	}



/* glo!-funcall3422 */
	obj_t BGl_gloz12zd2funcall3422zc0zzintegrate_nodez00(obj_t BgL_envz00_2867,
		obj_t BgL_nodez00_2868, obj_t BgL_integratorz00_2869)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 232 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1516;

				obj_t BgL_integratorz00_1517;

				{	/* Integrate/node.scm 233 */
					BgL_funcallz00_bglt BgL_auxz00_3976;

					BgL_nodez00_1516 = (BgL_funcallz00_bglt) (BgL_nodez00_2868);
					BgL_integratorz00_1517 = BgL_integratorz00_2869;
					{	/* Integrate/node.scm 234 */
						BgL_nodez00_bglt BgL_arg3612z00_1521;

						{	/* Integrate/node.scm 234 */
							BgL_nodez00_bglt BgL_arg3613z00_1522;

							BgL_arg3613z00_1522 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1516))->BgL_funz00);
							{	/* Integrate/node.scm 234 */
								BgL_nodez00_bglt BgL_res3726z00_2120;

								{	/* Integrate/node.scm 234 */
									BgL_variablez00_bglt BgL_integratorz00_2094;

									BgL_integratorz00_2094 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1517);
									{	/* Integrate/node.scm 234 */
										obj_t BgL_method3405z00_2095;

										{	/* Integrate/node.scm 234 */
											BgL_objectz00_bglt BgL_objz00_2096;

											BgL_objz00_2096 =
												(BgL_objectz00_bglt) (BgL_arg3613z00_1522);
											{	/* Integrate/node.scm 234 */
												long BgL_objzd2classzd2numz00_2097;

												BgL_objzd2classzd2numz00_2097 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2096);
												{	/* Integrate/node.scm 234 */
													obj_t BgL_arg2422z00_2098;

													BgL_arg2422z00_2098 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 234 */
														obj_t BgL_arrayz00_2100;

														int BgL_offsetz00_2101;

														BgL_arrayz00_2100 = BgL_arg2422z00_2098;
														BgL_offsetz00_2101 =
															(int) (BgL_objzd2classzd2numz00_2097);
														{	/* Integrate/node.scm 234 */
															long BgL_offsetz00_2102;

															BgL_offsetz00_2102 =
																((long) (BgL_offsetz00_2101) - OBJECT_TYPE);
															{	/* Integrate/node.scm 234 */
																long BgL_modz00_2103;

																{	/* Integrate/node.scm 234 */
																	int BgL_arg2424z00_2104;

																	BgL_arg2424z00_2104 = (int) (((long) 8));
																	{	/* Integrate/node.scm 234 */
																		long BgL_auxz00_3987;

																		BgL_auxz00_3987 =
																			(long) (BgL_arg2424z00_2104);
																		BgL_modz00_2103 =
																			(BgL_offsetz00_2102 / BgL_auxz00_3987);
																}}
																{	/* Integrate/node.scm 234 */
																	long BgL_restz00_2105;

																	{	/* Integrate/node.scm 234 */
																		int BgL_arg2423z00_2106;

																		BgL_arg2423z00_2106 = (int) (((long) 8));
																		{	/* Integrate/node.scm 234 */
																			long BgL_auxz00_3991;

																			BgL_auxz00_3991 =
																				(long) (BgL_arg2423z00_2106);
																			BgL_restz00_2105 =
																				(BgL_offsetz00_2102 % BgL_auxz00_3991);
																	}}
																	{	/* Integrate/node.scm 234 */

																		BgL_method3405z00_2095 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2100,
																				(int) (BgL_modz00_2103)),
																			(int) (BgL_restz00_2105));
										}}}}}}}}
										BgL_res3726z00_2120 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2095) (BgL_method3405z00_2095,
												(obj_t) (BgL_arg3613z00_1522),
												(obj_t) (BgL_integratorz00_2094), BEOA));
								}}
								BgL_arg3612z00_1521 = BgL_res3726z00_2120;
						}}
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1516))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3612z00_1521), BUNSPEC);
					}
					{	/* Integrate/node.scm 235 */
						obj_t BgL_arg3614z00_1523;

						BgL_arg3614z00_1523 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1516))->BgL_argsz00);
						BGl_gloza2z12zb0zzintegrate_nodez00(BgL_arg3614z00_1523,
							BgL_integratorz00_1517);
					}
					BgL_auxz00_3976 = BgL_nodez00_1516;
					return (obj_t) (BgL_auxz00_3976);
				}
			}
		}
	}



/* glo!-app-ly3420 */
	obj_t BGl_gloz12zd2appzd2ly3420z12zzintegrate_nodez00(obj_t BgL_envz00_2870,
		obj_t BgL_nodez00_2871, obj_t BgL_integratorz00_2872)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 223 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1505;

				obj_t BgL_integratorz00_1506;

				{	/* Integrate/node.scm 224 */
					BgL_appzd2lyzd2_bglt BgL_auxz00_4008;

					BgL_nodez00_1505 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2871);
					BgL_integratorz00_1506 = BgL_integratorz00_2872;
					{	/* Integrate/node.scm 225 */
						BgL_nodez00_bglt BgL_arg3607z00_1510;

						{	/* Integrate/node.scm 225 */
							BgL_nodez00_bglt BgL_arg3608z00_1511;

							BgL_arg3608z00_1511 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1505))->BgL_funz00);
							{	/* Integrate/node.scm 225 */
								BgL_nodez00_bglt BgL_res3720z00_2058;

								{	/* Integrate/node.scm 225 */
									BgL_variablez00_bglt BgL_integratorz00_2032;

									BgL_integratorz00_2032 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1506);
									{	/* Integrate/node.scm 225 */
										obj_t BgL_method3405z00_2033;

										{	/* Integrate/node.scm 225 */
											BgL_objectz00_bglt BgL_objz00_2034;

											BgL_objz00_2034 =
												(BgL_objectz00_bglt) (BgL_arg3608z00_1511);
											{	/* Integrate/node.scm 225 */
												long BgL_objzd2classzd2numz00_2035;

												BgL_objzd2classzd2numz00_2035 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2034);
												{	/* Integrate/node.scm 225 */
													obj_t BgL_arg2422z00_2036;

													BgL_arg2422z00_2036 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 225 */
														obj_t BgL_arrayz00_2038;

														int BgL_offsetz00_2039;

														BgL_arrayz00_2038 = BgL_arg2422z00_2036;
														BgL_offsetz00_2039 =
															(int) (BgL_objzd2classzd2numz00_2035);
														{	/* Integrate/node.scm 225 */
															long BgL_offsetz00_2040;

															BgL_offsetz00_2040 =
																((long) (BgL_offsetz00_2039) - OBJECT_TYPE);
															{	/* Integrate/node.scm 225 */
																long BgL_modz00_2041;

																{	/* Integrate/node.scm 225 */
																	int BgL_arg2424z00_2042;

																	BgL_arg2424z00_2042 = (int) (((long) 8));
																	{	/* Integrate/node.scm 225 */
																		long BgL_auxz00_4019;

																		BgL_auxz00_4019 =
																			(long) (BgL_arg2424z00_2042);
																		BgL_modz00_2041 =
																			(BgL_offsetz00_2040 / BgL_auxz00_4019);
																}}
																{	/* Integrate/node.scm 225 */
																	long BgL_restz00_2043;

																	{	/* Integrate/node.scm 225 */
																		int BgL_arg2423z00_2044;

																		BgL_arg2423z00_2044 = (int) (((long) 8));
																		{	/* Integrate/node.scm 225 */
																			long BgL_auxz00_4023;

																			BgL_auxz00_4023 =
																				(long) (BgL_arg2423z00_2044);
																			BgL_restz00_2043 =
																				(BgL_offsetz00_2040 % BgL_auxz00_4023);
																	}}
																	{	/* Integrate/node.scm 225 */

																		BgL_method3405z00_2033 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2038,
																				(int) (BgL_modz00_2041)),
																			(int) (BgL_restz00_2043));
										}}}}}}}}
										BgL_res3720z00_2058 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2033) (BgL_method3405z00_2033,
												(obj_t) (BgL_arg3608z00_1511),
												(obj_t) (BgL_integratorz00_2032), BEOA));
								}}
								BgL_arg3607z00_1510 = BgL_res3720z00_2058;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1505))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3607z00_1510), BUNSPEC);
					}
					{	/* Integrate/node.scm 226 */
						BgL_nodez00_bglt BgL_arg3609z00_1512;

						{	/* Integrate/node.scm 226 */
							BgL_nodez00_bglt BgL_arg3610z00_1513;

							BgL_arg3610z00_1513 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1505))->BgL_argz00);
							{	/* Integrate/node.scm 226 */
								BgL_nodez00_bglt BgL_res3723z00_2089;

								{	/* Integrate/node.scm 226 */
									BgL_variablez00_bglt BgL_integratorz00_2063;

									BgL_integratorz00_2063 =
										(BgL_variablez00_bglt) (BgL_integratorz00_1506);
									{	/* Integrate/node.scm 226 */
										obj_t BgL_method3405z00_2064;

										{	/* Integrate/node.scm 226 */
											BgL_objectz00_bglt BgL_objz00_2065;

											BgL_objz00_2065 =
												(BgL_objectz00_bglt) (BgL_arg3610z00_1513);
											{	/* Integrate/node.scm 226 */
												long BgL_objzd2classzd2numz00_2066;

												BgL_objzd2classzd2numz00_2066 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2065);
												{	/* Integrate/node.scm 226 */
													obj_t BgL_arg2422z00_2067;

													BgL_arg2422z00_2067 =
														PROCEDURE_REF
														(BGl_gloz12zd2envzc0zzintegrate_nodez00,
														(int) (((long) 1)));
													{	/* Integrate/node.scm 226 */
														obj_t BgL_arrayz00_2069;

														int BgL_offsetz00_2070;

														BgL_arrayz00_2069 = BgL_arg2422z00_2067;
														BgL_offsetz00_2070 =
															(int) (BgL_objzd2classzd2numz00_2066);
														{	/* Integrate/node.scm 226 */
															long BgL_offsetz00_2071;

															BgL_offsetz00_2071 =
																((long) (BgL_offsetz00_2070) - OBJECT_TYPE);
															{	/* Integrate/node.scm 226 */
																long BgL_modz00_2072;

																{	/* Integrate/node.scm 226 */
																	int BgL_arg2424z00_2073;

																	BgL_arg2424z00_2073 = (int) (((long) 8));
																	{	/* Integrate/node.scm 226 */
																		long BgL_auxz00_4046;

																		BgL_auxz00_4046 =
																			(long) (BgL_arg2424z00_2073);
																		BgL_modz00_2072 =
																			(BgL_offsetz00_2071 / BgL_auxz00_4046);
																}}
																{	/* Integrate/node.scm 226 */
																	long BgL_restz00_2074;

																	{	/* Integrate/node.scm 226 */
																		int BgL_arg2423z00_2075;

																		BgL_arg2423z00_2075 = (int) (((long) 8));
																		{	/* Integrate/node.scm 226 */
																			long BgL_auxz00_4050;

																			BgL_auxz00_4050 =
																				(long) (BgL_arg2423z00_2075);
																			BgL_restz00_2074 =
																				(BgL_offsetz00_2071 % BgL_auxz00_4050);
																	}}
																	{	/* Integrate/node.scm 226 */

																		BgL_method3405z00_2064 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2069,
																				(int) (BgL_modz00_2072)),
																			(int) (BgL_restz00_2074));
										}}}}}}}}
										BgL_res3723z00_2089 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2064) (BgL_method3405z00_2064,
												(obj_t) (BgL_arg3610z00_1513),
												(obj_t) (BgL_integratorz00_2063), BEOA));
								}}
								BgL_arg3609z00_1512 = BgL_res3723z00_2089;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1505))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_arg3609z00_1512), BUNSPEC);
					}
					BgL_auxz00_4008 = BgL_nodez00_1505;
					return (obj_t) (BgL_auxz00_4008);
				}
			}
		}
	}



/* glo!-app3418 */
	obj_t BGl_gloz12zd2app3418zc0zzintegrate_nodez00(obj_t BgL_envz00_2873,
		obj_t BgL_nodez00_2874, obj_t BgL_integratorz00_2875)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 180 */
			{
				BgL_appz00_bglt BgL_nodez00_1460;

				obj_t BgL_integratorz00_1461;

				{	/* Integrate/node.scm 181 */
					BgL_appz00_bglt BgL_auxz00_4065;

					BgL_nodez00_1460 = (BgL_appz00_bglt) (BgL_nodez00_2874);
					BgL_integratorz00_1461 = BgL_integratorz00_2875;
					{	/* Integrate/node.scm 182 */
						BgL_variablez00_bglt BgL_funz00_1465;

						{	/* Integrate/node.scm 182 */
							BgL_varz00_bglt BgL_obj1993z00_1976;

							BgL_obj1993z00_1976 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1460))->BgL_funz00);
							BgL_funz00_1465 =
								(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1976))->
								BgL_variablez00);
						}
						{	/* Integrate/node.scm 182 */
							BgL_valuez00_bglt BgL_infoz00_1466;

							BgL_infoz00_1466 =
								(((BgL_variablez00_bglt) CREF(BgL_funz00_1465))->BgL_valuez00);
							{	/* Integrate/node.scm 183 */

								{	/* Integrate/node.scm 185 */
									bool_t BgL_testz00_4069;

									{	/* Integrate/node.scm 185 */
										bool_t BgL_testz00_4070;

										{	/* Integrate/node.scm 185 */
											obj_t BgL_obj1649z00_1978;

											BgL_obj1649z00_1978 = (obj_t) (BgL_funz00_1465);
											BgL_testz00_4070 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1649z00_1978,
												BGl_localz00zzast_varz00);
										}
										if (BgL_testz00_4070)
											{	/* Integrate/node.scm 185 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3258z00_1979;

												BgL_obj3258z00_1979 =
													(BgL_sfunzf2iinfozf2_bglt) (BgL_infoz00_1466);
												{
													obj_t BgL_auxz00_4074;

													{	/* Integrate/node.scm 185 */
														BgL_objectz00_bglt BgL_auxz00_4075;

														BgL_auxz00_4075 =
															(BgL_objectz00_bglt) (BgL_obj3258z00_1979);
														BgL_auxz00_4074 =
															BGL_OBJECT_WIDENING(BgL_auxz00_4075);
													}
													BgL_testz00_4069 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_4074))->BgL_gzf3zf3);
												}
											}
										else
											{	/* Integrate/node.scm 185 */
												BgL_testz00_4069 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4069)
										{	/* Integrate/node.scm 188 */
											BgL_varz00_bglt BgL_arg3581z00_1468;

											{	/* Integrate/node.scm 188 */
												obj_t BgL_arg3582z00_1469;

												BgL_typez00_bglt BgL_arg3584z00_1470;

												obj_t BgL_arg3585z00_1471;

												{
													BgL_nodez00_bglt BgL_auxz00_4079;

													BgL_auxz00_4079 =
														(BgL_nodez00_bglt) (BgL_nodez00_1460);
													BgL_arg3582z00_1469 =
														(((BgL_nodez00_bglt) CREF(BgL_auxz00_4079))->
														BgL_locz00);
												}
												{	/* Integrate/node.scm 189 */
													obj_t BgL_arg3586z00_1472;

													BgL_arg3586z00_1472 =
														BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
														(BgL_localz00_bglt) (BgL_funz00_1465));
													{
														BgL_variablez00_bglt BgL_auxz00_4084;

														BgL_auxz00_4084 =
															(BgL_variablez00_bglt) (BgL_arg3586z00_1472);
														BgL_arg3584z00_1470 =
															(((BgL_variablez00_bglt) CREF(BgL_auxz00_4084))->
															BgL_typez00);
													}
												}
												BgL_arg3585z00_1471 =
													BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
													(BgL_localz00_bglt) (BgL_funz00_1465));
												BgL_arg3581z00_1468 =
													BGl_makezd2varzd2zzast_nodez00(BgL_arg3582z00_1469,
													BgL_arg3584z00_1470,
													(BgL_variablez00_bglt) (BgL_arg3585z00_1471));
											}
											((((BgL_appz00_bglt) CREF(BgL_nodez00_1460))->
													BgL_funz00) =
												((BgL_varz00_bglt) BgL_arg3581z00_1468), BUNSPEC);
										}
									else
										{	/* Integrate/node.scm 185 */
											BFALSE;
										}
								}
								{
									obj_t BgL_nodesz00_1476;

									{	/* Integrate/node.scm 193 */
										obj_t BgL_arg3588z00_1475;

										BgL_arg3588z00_1475 =
											(((BgL_appz00_bglt) CREF(BgL_nodez00_1460))->BgL_argsz00);
										BgL_nodesz00_1476 = BgL_arg3588z00_1475;
									BgL_zc3anonymousza33589ze3z83_1477:
										if (NULLP(BgL_nodesz00_1476))
											{	/* Integrate/node.scm 194 */
												CNST_TABLE_REF(((long) 2));
											}
										else
											{	/* Integrate/node.scm 194 */
												{	/* Integrate/node.scm 197 */
													BgL_nodez00_bglt BgL_arg3591z00_1479;

													{	/* Integrate/node.scm 197 */
														obj_t BgL_arg3592z00_1480;

														BgL_arg3592z00_1480 = CAR(BgL_nodesz00_1476);
														{	/* Integrate/node.scm 197 */
															BgL_nodez00_bglt BgL_res3717z00_2014;

															{	/* Integrate/node.scm 197 */
																BgL_nodez00_bglt BgL_nodez00_1987;

																BgL_variablez00_bglt BgL_integratorz00_1988;

																BgL_nodez00_1987 =
																	(BgL_nodez00_bglt) (BgL_arg3592z00_1480);
																BgL_integratorz00_1988 =
																	(BgL_variablez00_bglt)
																	(BgL_integratorz00_1461);
																{	/* Integrate/node.scm 197 */
																	obj_t BgL_method3405z00_1989;

																	{	/* Integrate/node.scm 197 */
																		BgL_objectz00_bglt BgL_objz00_1990;

																		BgL_objz00_1990 =
																			(BgL_objectz00_bglt) (BgL_nodez00_1987);
																		{	/* Integrate/node.scm 197 */
																			long BgL_objzd2classzd2numz00_1991;

																			BgL_objzd2classzd2numz00_1991 =
																				BGL_OBJECT_CLASS_NUM(BgL_objz00_1990);
																			{	/* Integrate/node.scm 197 */
																				obj_t BgL_arg2422z00_1992;

																				BgL_arg2422z00_1992 =
																					PROCEDURE_REF
																					(BGl_gloz12zd2envzc0zzintegrate_nodez00,
																					(int) (((long) 1)));
																				{	/* Integrate/node.scm 197 */
																					obj_t BgL_arrayz00_1994;

																					int BgL_offsetz00_1995;

																					BgL_arrayz00_1994 =
																						BgL_arg2422z00_1992;
																					BgL_offsetz00_1995 =
																						(int)
																						(BgL_objzd2classzd2numz00_1991);
																					{	/* Integrate/node.scm 197 */
																						long BgL_offsetz00_1996;

																						BgL_offsetz00_1996 =
																							(
																							(long) (BgL_offsetz00_1995) -
																							OBJECT_TYPE);
																						{	/* Integrate/node.scm 197 */
																							long BgL_modz00_1997;

																							{	/* Integrate/node.scm 197 */
																								int BgL_arg2424z00_1998;

																								BgL_arg2424z00_1998 =
																									(int) (((long) 8));
																								{	/* Integrate/node.scm 197 */
																									long BgL_auxz00_4107;

																									BgL_auxz00_4107 =
																										(long)
																										(BgL_arg2424z00_1998);
																									BgL_modz00_1997 =
																										(BgL_offsetz00_1996 /
																										BgL_auxz00_4107);
																							}}
																							{	/* Integrate/node.scm 197 */
																								long BgL_restz00_1999;

																								{	/* Integrate/node.scm 197 */
																									int BgL_arg2423z00_2000;

																									BgL_arg2423z00_2000 =
																										(int) (((long) 8));
																									{	/* Integrate/node.scm 197 */
																										long BgL_auxz00_4111;

																										BgL_auxz00_4111 =
																											(long)
																											(BgL_arg2423z00_2000);
																										BgL_restz00_1999 =
																											(BgL_offsetz00_1996 %
																											BgL_auxz00_4111);
																								}}
																								{	/* Integrate/node.scm 197 */

																									BgL_method3405z00_1989 =
																										VECTOR_REF(VECTOR_REF
																										(BgL_arrayz00_1994,
																											(int) (BgL_modz00_1997)),
																										(int) (BgL_restz00_1999));
																	}}}}}}}}
																	BgL_res3717z00_2014 =
																		(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																		(BgL_method3405z00_1989)
																		(BgL_method3405z00_1989,
																			(obj_t) (BgL_nodez00_1987),
																			(obj_t) (BgL_integratorz00_1988), BEOA));
															}}
															BgL_arg3591z00_1479 = BgL_res3717z00_2014;
													}}
													{	/* Integrate/node.scm 197 */
														obj_t BgL_auxz00_4123;

														BgL_auxz00_4123 = (obj_t) (BgL_arg3591z00_1479);
														SET_CAR(BgL_nodesz00_1476, BgL_auxz00_4123);
												}}
												{
													obj_t BgL_nodesz00_4126;

													BgL_nodesz00_4126 = CDR(BgL_nodesz00_1476);
													BgL_nodesz00_1476 = BgL_nodesz00_4126;
													goto BgL_zc3anonymousza33589ze3z83_1477;
												}
											}
									}
								}
								{	/* Integrate/node.scm 200 */
									bool_t BgL_testz00_4128;

									{	/* Integrate/node.scm 200 */
										bool_t BgL_testz00_4129;

										{	/* Integrate/node.scm 200 */
											obj_t BgL_obj1589z00_2018;

											BgL_obj1589z00_2018 = (obj_t) (BgL_funz00_1465);
											BgL_testz00_4129 =
												BGl_iszd2azf3z21zz__objectz00(BgL_obj1589z00_2018,
												BGl_globalz00zzast_varz00);
										}
										if (BgL_testz00_4129)
											{	/* Integrate/node.scm 200 */
												BgL_testz00_4128 = ((bool_t) 1);
											}
										else
											{	/* Integrate/node.scm 200 */
												bool_t BgL_testz00_4132;

												{	/* Integrate/node.scm 200 */
													BgL_sfunzf2iinfozf2_bglt BgL_obj3258z00_2019;

													BgL_obj3258z00_2019 =
														(BgL_sfunzf2iinfozf2_bglt) (BgL_infoz00_1466);
													{
														obj_t BgL_auxz00_4134;

														{	/* Integrate/node.scm 200 */
															BgL_objectz00_bglt BgL_auxz00_4135;

															BgL_auxz00_4135 =
																(BgL_objectz00_bglt) (BgL_obj3258z00_2019);
															BgL_auxz00_4134 =
																BGL_OBJECT_WIDENING(BgL_auxz00_4135);
														}
														BgL_testz00_4132 =
															(((BgL_sfunzf2iinfozf2_bglt)
																CREF(BgL_auxz00_4134))->BgL_gzf3zf3);
													}
												}
												if (BgL_testz00_4132)
													{	/* Integrate/node.scm 200 */
														BgL_testz00_4128 = ((bool_t) 0);
													}
												else
													{	/* Integrate/node.scm 200 */
														BgL_testz00_4128 = ((bool_t) 1);
													}
											}
									}
									if (BgL_testz00_4128)
										{	/* Integrate/node.scm 200 */
											CNST_TABLE_REF(((long) 2));
										}
									else
										{	/* Integrate/node.scm 205 */
											obj_t BgL_g3344z00_1484;

											{	/* Integrate/node.scm 206 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3274z00_2020;

												BgL_obj3274z00_2020 =
													(BgL_sfunzf2iinfozf2_bglt) (BgL_infoz00_1466);
												{
													obj_t BgL_auxz00_4141;

													{	/* Integrate/node.scm 206 */
														BgL_objectz00_bglt BgL_auxz00_4142;

														BgL_auxz00_4142 =
															(BgL_objectz00_bglt) (BgL_obj3274z00_2020);
														BgL_auxz00_4141 =
															BGL_OBJECT_WIDENING(BgL_auxz00_4142);
													}
													BgL_g3344z00_1484 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_4141))->BgL_kapturedz00);
												}
											}
											{
												obj_t BgL_newzd2actualszd2_1487;

												obj_t BgL_kapturedz00_1488;

												{	/* Integrate/node.scm 205 */
													obj_t BgL_arg3595z00_1486;

													BgL_arg3595z00_1486 =
														(((BgL_appz00_bglt) CREF(BgL_nodez00_1460))->
														BgL_argsz00);
													BgL_newzd2actualszd2_1487 = BgL_arg3595z00_1486;
													BgL_kapturedz00_1488 = BgL_g3344z00_1484;
												BgL_zc3anonymousza33596ze3z83_1489:
													if (NULLP(BgL_kapturedz00_1488))
														{	/* Integrate/node.scm 207 */
															((((BgL_appz00_bglt) CREF(BgL_nodez00_1460))->
																	BgL_argsz00) =
																((obj_t) BgL_newzd2actualszd2_1487), BUNSPEC);
														}
													else
														{	/* Integrate/node.scm 209 */
															obj_t BgL_kapz00_1491;

															BgL_kapz00_1491 = CAR(BgL_kapturedz00_1488);
															{	/* Integrate/node.scm 209 */
																obj_t BgL_alphaz00_1492;

																{
																	BgL_variablez00_bglt BgL_auxz00_4151;

																	BgL_auxz00_4151 =
																		(BgL_variablez00_bglt) (BgL_kapz00_1491);
																	BgL_alphaz00_1492 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_auxz00_4151))->
																		BgL_fastzd2alphazd2);
																}
																{	/* Integrate/node.scm 210 */
																	obj_t BgL_varz00_1493;

																	if (BGl_iszd2azf3z21zz__objectz00
																		(BgL_alphaz00_1492,
																			BGl_localz00zzast_varz00))
																		{	/* Integrate/node.scm 211 */
																			BgL_varz00_1493 = BgL_alphaz00_1492;
																		}
																	else
																		{	/* Integrate/node.scm 211 */
																			BgL_varz00_1493 = BgL_kapz00_1491;
																		}
																	{	/* Integrate/node.scm 211 */

																		{	/* Integrate/node.scm 213 */
																			obj_t BgL_arg3598z00_1494;

																			obj_t BgL_arg3599z00_1495;

																			{	/* Integrate/node.scm 213 */
																				BgL_varz00_bglt BgL_arg3600z00_1496;

																				{	/* Integrate/node.scm 213 */
																					obj_t BgL_arg3601z00_1497;

																					{
																						BgL_nodez00_bglt BgL_auxz00_4156;

																						BgL_auxz00_4156 =
																							(BgL_nodez00_bglt)
																							(BgL_nodez00_1460);
																						BgL_arg3601z00_1497 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_auxz00_4156))->
																							BgL_locz00);
																					}
																					BgL_arg3600z00_1496 =
																						BGl_makezd2varzd2zzast_nodez00
																						(BgL_arg3601z00_1497,
																						(BgL_typez00_bglt)
																						(BGl_za2_za2z00zztype_cachez00),
																						(BgL_variablez00_bglt)
																						(BgL_varz00_1493));
																				}
																				BgL_arg3598z00_1494 =
																					MAKE_PAIR(
																					(obj_t) (BgL_arg3600z00_1496),
																					BgL_newzd2actualszd2_1487);
																			}
																			BgL_arg3599z00_1495 =
																				CDR(BgL_kapturedz00_1488);
																			{
																				obj_t BgL_kapturedz00_4166;

																				obj_t BgL_newzd2actualszd2_4165;

																				BgL_newzd2actualszd2_4165 =
																					BgL_arg3598z00_1494;
																				BgL_kapturedz00_4166 =
																					BgL_arg3599z00_1495;
																				BgL_kapturedz00_1488 =
																					BgL_kapturedz00_4166;
																				BgL_newzd2actualszd2_1487 =
																					BgL_newzd2actualszd2_4165;
																				goto BgL_zc3anonymousza33596ze3z83_1489;
																			}
																		}
																	}
																}
															}
														}
												}
											}
										}
								}
								BgL_auxz00_4065 = BgL_nodez00_1460;
							}
						}
					}
					return (obj_t) (BgL_auxz00_4065);
				}
			}
		}
	}



/* glo!-sequence3415 */
	obj_t BGl_gloz12zd2sequence3415zc0zzintegrate_nodez00(obj_t BgL_envz00_2876,
		obj_t BgL_nodez00_2877, obj_t BgL_integratorz00_2878)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 172 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1452;

				obj_t BgL_integratorz00_1453;

				{	/* Integrate/node.scm 173 */
					BgL_sequencez00_bglt BgL_auxz00_4169;

					BgL_nodez00_1452 = (BgL_sequencez00_bglt) (BgL_nodez00_2877);
					BgL_integratorz00_1453 = BgL_integratorz00_2878;
					{	/* Integrate/node.scm 173 */
						obj_t BgL_arg3578z00_1973;

						BgL_arg3578z00_1973 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1452))->BgL_nodesz00);
						BGl_gloza2z12zb0zzintegrate_nodez00(BgL_arg3578z00_1973,
							BgL_integratorz00_1453);
					}
					BgL_auxz00_4169 = BgL_nodez00_1452;
					return (obj_t) (BgL_auxz00_4169);
				}
			}
		}
	}



/* glo!-closure3413 */
	obj_t BGl_gloz12zd2closure3413zc0zzintegrate_nodez00(obj_t BgL_envz00_2879,
		obj_t BgL_nodez00_2880, obj_t BgL_integratorz00_2881)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 166 */
			{
				BgL_closurez00_bglt BgL_nodez00_1443;

				obj_t BgL_integratorz00_1444;

				BgL_nodez00_1443 = (BgL_closurez00_bglt) (BgL_nodez00_2880);
				BgL_integratorz00_1444 = BgL_integratorz00_2881;
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string3813z00zzintegrate_nodez00,
					BGl_string3814z00zzintegrate_nodez00,
					BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1443)));
			}
		}
	}



/* glo!-var3411 */
	obj_t BGl_gloz12zd2var3411zc0zzintegrate_nodez00(obj_t BgL_envz00_2882,
		obj_t BgL_nodez00_2883, obj_t BgL_integratorz00_2884)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 145 */
			{
				BgL_varz00_bglt BgL_nodez00_1429;

				obj_t BgL_integratorz00_1430;

				BgL_nodez00_1429 = (BgL_varz00_bglt) (BgL_nodez00_2883);
				BgL_integratorz00_1430 = BgL_integratorz00_2884;
				{	/* Integrate/node.scm 146 */
					BgL_variablez00_bglt BgL_varz00_1433;

					BgL_varz00_1433 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1429))->BgL_variablez00);
					{	/* Integrate/node.scm 146 */
						obj_t BgL_alphaz00_1434;

						BgL_alphaz00_1434 =
							(((BgL_variablez00_bglt) CREF(BgL_varz00_1433))->
							BgL_fastzd2alphazd2);
						{	/* Integrate/node.scm 147 */

							if (BGl_iszd2azf3z21zz__objectz00(BgL_alphaz00_1434,
									BGl_localz00zzast_varz00))
								{	/* Integrate/node.scm 149 */
									{
										BgL_variablez00_bglt BgL_auxz00_4182;

										BgL_auxz00_4182 =
											(BgL_variablez00_bglt) (BgL_alphaz00_1434);
										((((BgL_varz00_bglt) CREF(BgL_nodez00_1429))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) BgL_auxz00_4182), BUNSPEC);
									}
									{	/* Integrate/node.scm 151 */
										BgL_nodez00_bglt BgL_res3714z00_1963;

										{	/* Integrate/node.scm 151 */
											BgL_nodez00_bglt BgL_nodez00_1936;

											BgL_variablez00_bglt BgL_integratorz00_1937;

											BgL_nodez00_1936 = (BgL_nodez00_bglt) (BgL_nodez00_1429);
											BgL_integratorz00_1937 =
												(BgL_variablez00_bglt) (BgL_integratorz00_1430);
											{	/* Integrate/node.scm 151 */
												obj_t BgL_method3405z00_1938;

												{	/* Integrate/node.scm 151 */
													BgL_objectz00_bglt BgL_objz00_1939;

													BgL_objz00_1939 =
														(BgL_objectz00_bglt) (BgL_nodez00_1936);
													{	/* Integrate/node.scm 151 */
														long BgL_objzd2classzd2numz00_1940;

														BgL_objzd2classzd2numz00_1940 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1939);
														{	/* Integrate/node.scm 151 */
															obj_t BgL_arg2422z00_1941;

															BgL_arg2422z00_1941 =
																PROCEDURE_REF
																(BGl_gloz12zd2envzc0zzintegrate_nodez00,
																(int) (((long) 1)));
															{	/* Integrate/node.scm 151 */
																obj_t BgL_arrayz00_1943;

																int BgL_offsetz00_1944;

																BgL_arrayz00_1943 = BgL_arg2422z00_1941;
																BgL_offsetz00_1944 =
																	(int) (BgL_objzd2classzd2numz00_1940);
																{	/* Integrate/node.scm 151 */
																	long BgL_offsetz00_1945;

																	BgL_offsetz00_1945 =
																		((long) (BgL_offsetz00_1944) - OBJECT_TYPE);
																	{	/* Integrate/node.scm 151 */
																		long BgL_modz00_1946;

																		{	/* Integrate/node.scm 151 */
																			int BgL_arg2424z00_1947;

																			BgL_arg2424z00_1947 = (int) (((long) 8));
																			{	/* Integrate/node.scm 151 */
																				long BgL_auxz00_4195;

																				BgL_auxz00_4195 =
																					(long) (BgL_arg2424z00_1947);
																				BgL_modz00_1946 =
																					(BgL_offsetz00_1945 /
																					BgL_auxz00_4195);
																		}}
																		{	/* Integrate/node.scm 151 */
																			long BgL_restz00_1948;

																			{	/* Integrate/node.scm 151 */
																				int BgL_arg2423z00_1949;

																				BgL_arg2423z00_1949 =
																					(int) (((long) 8));
																				{	/* Integrate/node.scm 151 */
																					long BgL_auxz00_4199;

																					BgL_auxz00_4199 =
																						(long) (BgL_arg2423z00_1949);
																					BgL_restz00_1948 =
																						(BgL_offsetz00_1945 %
																						BgL_auxz00_4199);
																			}}
																			{	/* Integrate/node.scm 151 */

																				BgL_method3405z00_1938 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1943,
																						(int) (BgL_modz00_1946)),
																					(int) (BgL_restz00_1948));
												}}}}}}}}
												BgL_res3714z00_1963 =
													(BgL_nodez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3405z00_1938) (BgL_method3405z00_1938,
														(obj_t) (BgL_nodez00_1936),
														(obj_t) (BgL_integratorz00_1937), BEOA));
										}}
										return (obj_t) (BgL_res3714z00_1963);
									}
								}
							else
								{	/* Integrate/node.scm 152 */
									bool_t BgL_testz00_4212;

									{	/* Integrate/node.scm 152 */
										obj_t BgL_obj1589z00_1964;

										BgL_obj1589z00_1964 = (obj_t) (BgL_varz00_1433);
										BgL_testz00_4212 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1589z00_1964,
											BGl_globalz00zzast_varz00);
									}
									if (BgL_testz00_4212)
										{	/* Integrate/node.scm 152 */
											return (obj_t) (BgL_nodez00_1429);
										}
									else
										{	/* Integrate/node.scm 152 */
											if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
													(BgL_localz00_bglt) (BgL_varz00_1433)))
												{	/* Integrate/node.scm 154 */
													{	/* Integrate/node.scm 155 */
														BgL_variablez00_bglt BgL_obj1454z00_1965;

														obj_t BgL_val1453z00_1966;

														BgL_obj1454z00_1965 = BgL_varz00_1433;
														BgL_val1453z00_1966 = CNST_TABLE_REF(((long) 0));
														((((BgL_variablez00_bglt)
																	CREF(BgL_obj1454z00_1965))->BgL_accessz00) =
															((obj_t) BgL_val1453z00_1966), BUNSPEC);
													}
													{	/* Integrate/node.scm 157 */
														obj_t BgL_arg3570z00_1438;

														BgL_typez00_bglt BgL_arg3571z00_1439;

														{
															BgL_nodez00_bglt BgL_auxz00_4221;

															BgL_auxz00_4221 =
																(BgL_nodez00_bglt) (BgL_nodez00_1429);
															BgL_arg3570z00_1438 =
																(((BgL_nodez00_bglt) CREF(BgL_auxz00_4221))->
																BgL_locz00);
														}
														{
															BgL_nodez00_bglt BgL_auxz00_4224;

															BgL_auxz00_4224 =
																(BgL_nodez00_bglt) (BgL_nodez00_1429);
															BgL_arg3571z00_1439 =
																(((BgL_nodez00_bglt) CREF(BgL_auxz00_4224))->
																BgL_typez00);
														}
														return
															(obj_t) (BGl_makezd2boxzd2refz00zzast_nodez00
															(BgL_arg3570z00_1438, BgL_arg3571z00_1439,
																BUNSPEC, BINT(((long) -1)), BgL_nodez00_1429));
												}}
											else
												{	/* Integrate/node.scm 154 */
													return (obj_t) (BgL_nodez00_1429);
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* glo!-kwote3409 */
	obj_t BGl_gloz12zd2kwote3409zc0zzintegrate_nodez00(obj_t BgL_envz00_2885,
		obj_t BgL_nodez00_2886, obj_t BgL_integratorz00_2887)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 139 */
			return (obj_t) ((BgL_kwotez00_bglt) (BgL_nodez00_2886));
		}
	}



/* glo!-atom3407 */
	obj_t BGl_gloz12zd2atom3407zc0zzintegrate_nodez00(obj_t BgL_envz00_2888,
		obj_t BgL_nodez00_2889, obj_t BgL_integratorz00_2890)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 133 */
			return (obj_t) ((BgL_atomz00_bglt) (BgL_nodez00_2889));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					154146174), BSTRING_TO_STRING(BGl_string3815z00zzintegrate_nodez00));
		}
	}

#ifdef __cplusplus
}
#endif
