/*===========================================================================*/
/*   (Object/creator.scm)                                                    */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/creator.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t
		BGl_makezd2classzd2slotzd2makez12zc0zzobject_creatorz00(BgL_tclassz00_bglt,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t
		BGl_importzd2inlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	static obj_t
		BGl_genzd2inlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00
		(BgL_jclassz00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2plainzd2classzd2creatorszd2zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	extern obj_t
		BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_creatorz00 = BUNSPEC;
	static obj_t
		BGl_importzd2inlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_creatorz00();
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__genzd2javazd2classzd2cons3291zd2zzobject_creatorz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl__genzd2plainzd2classzd2cre3286zd2zzobject_creatorz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t
		BGl_importzd2noinlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00
		(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_creatorz00();
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt,
		obj_t, obj_t);
	static obj_t
		BGl_genzd2noinlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_creatorz00();
	static obj_t BGl__importzd2plainzd2classzd23288zd2zzobject_creatorz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_tclassz00_bglt,
		obj_t, obj_t);
	static bool_t BGl_inlinezd2creatorszf3z21zzobject_creatorz00();
	extern obj_t
		BGl_findzd2classzd2constructorsz00zzobject_classz00(BgL_tclassz00_bglt);
	static obj_t
		BGl_genzd2noinlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_creatorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static obj_t BGl__genzd2widezd2classzd2crea3287zd2zzobject_creatorz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sawzd2widezd2classzd2idzd2zzobject_classz00(obj_t);
	extern obj_t BGl_stringzd2sanszd2z42z42zztype_toolsz00(obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_genzd2classzd2allocatez12z12zzobject_creatorz00(obj_t, obj_t,
		BgL_globalz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	extern obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t);
	extern obj_t
		BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00
		(BgL_jclassz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genzd2onezd2constructorz00zzobject_creatorz00(obj_t,
		BgL_jclassz00_bglt, obj_t);
	static obj_t BGl_alloczd2wideningzd2zzobject_creatorz00(obj_t,
		BgL_tclassz00_bglt);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t
		BGl_genzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_jclassz00_bglt,
		obj_t);
	extern obj_t BGl_za2sawza2z00zzengine_paramz00;
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern obj_t
		BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00
		(BgL_typez00_bglt, BgL_slotz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_genzd2inlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	static obj_t BGl_genzd2widezd2classzd2makez12zc0zzobject_creatorz00(obj_t,
		BgL_tclassz00_bglt, obj_t, obj_t);
	extern obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__importzd2javazd2classzd2c3290zd2zzobject_creatorz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl__importzd2widezd2classzd2c3289zd2zzobject_creatorz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_importzd2noinlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_genzd2classzd2fillz12z12zzobject_creatorz00(obj_t, obj_t,
		BgL_tclassz00_bglt, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_creatorz00();
	static obj_t BGl_genzd2classzd2makez12z12zzobject_creatorz00(obj_t, obj_t,
		obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_creatorz00();
	static obj_t __cnst[39];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2javazd2classzd2creatorzd2envz00zzobject_creatorz00,
		BgL_bgl__importza7d2javaza7d3301z00,
		BGl__importzd2javazd2classzd2c3290zd2zzobject_creatorz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2widezd2classzd2creatorszd2envz00zzobject_creatorz00,
		BgL_bgl__genza7d2wideza7d2cl3302z00,
		BGl__genzd2widezd2classzd2crea3287zd2zzobject_creatorz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2plainzd2classzd2creatorszd2envz00zzobject_creatorz00,
		BgL_bgl__genza7d2plainza7d2c3303z00,
		BGl__genzd2plainzd2classzd2cre3286zd2zzobject_creatorz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2widezd2classzd2creatorszd2envz00zzobject_creatorz00,
		BgL_bgl__importza7d2wideza7d3304z00,
		BGl__importzd2widezd2classzd2c3289zd2zzobject_creatorz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3292z00zzobject_creatorz00,
		BgL_bgl_string3292za700za7za7o3305za7, "))))", 4);
	      DEFINE_STRING(BGl_string3293z00zzobject_creatorz00,
		BgL_bgl_string3293za700za7za7o3306za7, ")BREF( GC_MALLOC (sizeof(", 25);
	      DEFINE_STRING(BGl_string3294z00zzobject_creatorz00,
		BgL_bgl_string3294za700za7za7o3307za7, "((", 2);
	      DEFINE_STRING(BGl_string3295z00zzobject_creatorz00,
		BgL_bgl_string3295za700za7za7o3308za7, ") )))", 5);
	      DEFINE_STRING(BGl_string3296z00zzobject_creatorz00,
		BgL_bgl_string3296za700za7za7o3309za7, ")BREF( GC_MALLOC ( sizeof(", 26);
	      DEFINE_STRING(BGl_string3297z00zzobject_creatorz00,
		BgL_bgl_string3297za700za7za7o3310za7, "object_creator", 14);
	      DEFINE_STRING(BGl_string3298z00zzobject_creatorz00,
		BgL_bgl_string3298za700za7za7o3311za7,
		"cast aux object-widening-set! class-num __object @ object-class-num-set! +fx done =fx if labels loop free-pragma allocator pragma jvm begin let ::long i export quote define obj widening- o inline static new define-inline %allocate- widening - make make- ! fill- (make-heap make-add-heap) ",
		288);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2javazd2classzd2constructorszd2envz00zzobject_creatorz00,
		BgL_bgl__genza7d2javaza7d2cl3312z00,
		BGl__genzd2javazd2classzd2cons3291zd2zzobject_creatorz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2plainzd2classzd2creatorszd2envz00zzobject_creatorz00,
		BgL_bgl__importza7d2plainza73313z00,
		BGl__importzd2plainzd2classzd23288zd2zzobject_creatorz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_creatorz00(long
		BgL_checksumz00_2106, char *BgL_fromz00_2107)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_creatorz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_creatorz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_creatorz00();
					BGl_cnstzd2initzd2zzobject_creatorz00();
					BGl_importedzd2moduleszd2initz00zzobject_creatorz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_creatorz00()
	{
		AN_OBJECT;
		{	/* Object/creator.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_creator");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_creator");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_creator");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_creator");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_creatorz00()
	{
		AN_OBJECT;
		{	/* Object/creator.scm 21 */
			{	/* Object/creator.scm 21 */
				obj_t BgL_cportz00_2098;

				BgL_cportz00_2098 =
					bgl_open_input_string(BGl_string3298z00zzobject_creatorz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2099;

					BgL_iz00_2099 = ((long) 38);
				BgL_loopz00_2100:
					if ((BgL_iz00_2099 == ((long) -1)))
						{	/* Object/creator.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/creator.scm 21 */
							{	/* Object/creator.scm 21 */
								obj_t BgL_arg3300z00_2102;

								{	/* Object/creator.scm 21 */

									{	/* Object/creator.scm 21 */
										obj_t BgL_locationz00_2104;

										BgL_locationz00_2104 = BBOOL(((bool_t) 0));
										{	/* Object/creator.scm 21 */

											BgL_arg3300z00_2102 =
												BGl_readz00zz__readerz00(BgL_cportz00_2098,
												BgL_locationz00_2104);
										}
									}
								}
								{	/* Object/creator.scm 21 */
									int BgL_auxz00_2124;

									BgL_auxz00_2124 = (int) (BgL_iz00_2099);
									CNST_TABLE_SET(BgL_auxz00_2124, BgL_arg3300z00_2102);
							}}
							{	/* Object/creator.scm 21 */
								int BgL_auxz00_2105;

								BgL_auxz00_2105 = (int) ((BgL_iz00_2099 - ((long) 1)));
								{
									long BgL_iz00_2129;

									BgL_iz00_2129 = (long) (BgL_auxz00_2105);
									BgL_iz00_2099 = BgL_iz00_2129;
									goto BgL_loopz00_2100;
								}
							}
						}
				}
			}
		}
	}



/* inline-creators? */
	bool_t BGl_inlinezd2creatorszf3z21zzobject_creatorz00()
	{
		AN_OBJECT;
		{	/* Object/creator.scm 56 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Object/creator.scm 58 */
					bool_t BgL_testz00_2134;

					{	/* Object/creator.scm 58 */
						bool_t BgL__ortest_2356z00_579;

						{	/* Object/creator.scm 58 */
							bool_t BgL_testz00_2135;

							{	/* Object/creator.scm 58 */
								bool_t BgL_res3280z00_1790;

								{	/* Object/creator.scm 58 */
									obj_t BgL_objz00_1780;

									BgL_objz00_1780 =
										BGl_za2profilezd2modeza2zd2zzengine_paramz00;
									if (INTEGERP(BgL_objz00_1780))
										{	/* Object/creator.scm 58 */
											BgL_res3280z00_1790 = ((bool_t) 1);
										}
									else
										{	/* Object/creator.scm 58 */
											if (REALP(BgL_objz00_1780))
												{	/* Object/creator.scm 58 */
													BgL_res3280z00_1790 = ((bool_t) 1);
												}
											else
												{	/* Object/creator.scm 58 */
													if (ELONGP(BgL_objz00_1780))
														{	/* Object/creator.scm 58 */
															BgL_res3280z00_1790 = ((bool_t) 1);
														}
													else
														{	/* Object/creator.scm 58 */
															if (LLONGP(BgL_objz00_1780))
																{	/* Object/creator.scm 58 */
																	BgL_res3280z00_1790 = ((bool_t) 1);
																}
															else
																{	/* Object/creator.scm 58 */
																	BgL_res3280z00_1790 =
																		BIGNUMP(BgL_objz00_1780);
																}
														}
												}
										}
								}
								BgL_testz00_2135 = BgL_res3280z00_1790;
							}
							if (BgL_testz00_2135)
								{	/* Object/creator.scm 58 */
									BgL__ortest_2356z00_579 = ((bool_t) 0);
								}
							else
								{	/* Object/creator.scm 58 */
									BgL__ortest_2356z00_579 = ((bool_t) 1);
								}
						}
						if (BgL__ortest_2356z00_579)
							{	/* Object/creator.scm 58 */
								BgL_testz00_2134 = BgL__ortest_2356z00_579;
							}
						else
							{	/* Object/creator.scm 58 */
								BgL_testz00_2134 =
									(
									(long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) <
									((long) 1));
					}}
					if (BgL_testz00_2134)
						{	/* Object/creator.scm 58 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BGl_za2passza2z00zzengine_paramz00,
										CNST_TABLE_REF(((long) 0)))))
								{	/* Object/creator.scm 60 */
									return ((bool_t) 0);
								}
							else
								{	/* Object/creator.scm 60 */
									return ((bool_t) 1);
								}
						}
					else
						{	/* Object/creator.scm 58 */
							return ((bool_t) 0);
						}
				}
			else
				{	/* Object/creator.scm 57 */
					return ((bool_t) 0);
				}
		}
	}



/* gen-plain-class-creators */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt
		BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_importz00_3)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 65 */
			{	/* Object/creator.scm 66 */
				obj_t BgL_arg2421z00_581;

				obj_t BgL_arg2427z00_582;

				obj_t BgL_arg2428z00_583;

				BgL_arg2421z00_581 =
					BGl_genzd2noinlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
					(BgL_classz00_1, BgL_srczd2defzd2_2, BgL_importz00_3);
				BgL_arg2427z00_582 =
					BGl_genzd2inlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
					(BgL_classz00_1, BgL_srczd2defzd2_2, BgL_importz00_3);
				BgL_arg2428z00_583 =
					BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_classz00_1,
					BgL_srczd2defzd2_2, BgL_importz00_3);
				{	/* Object/creator.scm 66 */
					obj_t BgL_list2429z00_584;

					{	/* Object/creator.scm 66 */
						obj_t BgL_arg2430z00_585;

						{	/* Object/creator.scm 66 */
							obj_t BgL_arg2431z00_586;

							BgL_arg2431z00_586 = MAKE_PAIR(BgL_arg2428z00_583, BNIL);
							BgL_arg2430z00_585 =
								MAKE_PAIR(BgL_arg2427z00_582, BgL_arg2431z00_586);
						}
						BgL_list2429z00_584 =
							MAKE_PAIR(BgL_arg2421z00_581, BgL_arg2430z00_585);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2429z00_584);
				}
			}
		}
	}



/* _gen-plain-class-cre3286 */
	obj_t BGl__genzd2plainzd2classzd2cre3286zd2zzobject_creatorz00(obj_t
		BgL_envz00_2070, obj_t BgL_classz00_2071, obj_t BgL_srczd2defzd2_2072,
		obj_t BgL_importz00_2073)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 65 */
			return
				BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(
				(BgL_tclassz00_bglt) (BgL_classz00_2071), BgL_srczd2defzd2_2072,
				BgL_importz00_2073);
		}
	}



/* gen-inline-plain-class-creators */
	obj_t
		BGl_genzd2inlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_4, obj_t BgL_srczd2defzd2_5,
		obj_t BgL_importz00_6)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 76 */
			{	/* Object/creator.scm 78 */
				obj_t BgL_idz00_588;

				{
					BgL_typez00_bglt BgL_auxz00_2161;

					BgL_auxz00_2161 = (BgL_typez00_bglt) (BgL_classz00_4);
					BgL_idz00_588 =
						(((BgL_typez00_bglt) CREF(BgL_auxz00_2161))->BgL_idz00);
				}
				{	/* Object/creator.scm 78 */
					BgL_globalz00_bglt BgL_holderz00_589;

					{
						obj_t BgL_auxz00_2164;

						{	/* Object/creator.scm 79 */
							BgL_objectz00_bglt BgL_auxz00_2165;

							BgL_auxz00_2165 = (BgL_objectz00_bglt) (BgL_classz00_4);
							BgL_auxz00_2164 = BGL_OBJECT_WIDENING(BgL_auxz00_2165);
						}
						BgL_holderz00_589 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2164))->BgL_holderz00);
					}
					{	/* Object/creator.scm 79 */
						obj_t BgL_fillzd2idzd2_590;

						{	/* Object/creator.scm 80 */
							obj_t BgL_list2436z00_595;

							{	/* Object/creator.scm 80 */
								obj_t BgL_arg2437z00_596;

								obj_t BgL_arg2438z00_597;

								BgL_arg2437z00_596 = CNST_TABLE_REF(((long) 1));
								{	/* Object/creator.scm 80 */
									obj_t BgL_arg2439z00_598;

									BgL_arg2439z00_598 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
									BgL_arg2438z00_597 =
										MAKE_PAIR(BgL_idz00_588, BgL_arg2439z00_598);
								}
								BgL_list2436z00_595 =
									MAKE_PAIR(BgL_arg2437z00_596, BgL_arg2438z00_597);
							}
							BgL_fillzd2idzd2_590 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2436z00_595);
						}
						{	/* Object/creator.scm 80 */

							{	/* Object/creator.scm 81 */
								obj_t BgL_arg2432z00_591;

								obj_t BgL_arg2433z00_592;

								BgL_arg2432z00_591 =
									BGl_genzd2classzd2fillz12z12zzobject_creatorz00
									(BgL_fillzd2idzd2_590, BgL_idz00_588, BgL_classz00_4,
									BgL_srczd2defzd2_5, BgL_importz00_6);
								BgL_arg2433z00_592 =
									BGl_genzd2classzd2allocatez12z12zzobject_creatorz00
									(BgL_idz00_588, (obj_t) (BgL_classz00_4), BgL_holderz00_589,
									BgL_srczd2defzd2_5, BgL_importz00_6);
								{	/* Object/creator.scm 81 */
									obj_t BgL_list2434z00_593;

									{	/* Object/creator.scm 81 */
										obj_t BgL_arg2435z00_594;

										BgL_arg2435z00_594 = MAKE_PAIR(BgL_arg2433z00_592, BNIL);
										BgL_list2434z00_593 =
											MAKE_PAIR(BgL_arg2432z00_591, BgL_arg2435z00_594);
									}
									return BgL_list2434z00_593;
								}
							}
						}
					}
				}
			}
		}
	}



/* gen-noinline-plain-class-creators */
	obj_t
		BGl_genzd2noinlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_7, obj_t BgL_srczd2defzd2_8,
		obj_t BgL_importz00_9)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 87 */
			{	/* Object/creator.scm 89 */
				bool_t BgL_testz00_2180;

				{
					obj_t BgL_auxz00_2181;

					{	/* Object/creator.scm 89 */
						BgL_objectz00_bglt BgL_auxz00_2182;

						BgL_auxz00_2182 = (BgL_objectz00_bglt) (BgL_classz00_7);
						BgL_auxz00_2181 = BGL_OBJECT_WIDENING(BgL_auxz00_2182);
					}
					BgL_testz00_2180 =
						(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2181))->BgL_abstractzf3zf3);
				}
				if (BgL_testz00_2180)
					{	/* Object/creator.scm 89 */
						return BNIL;
					}
				else
					{	/* Object/creator.scm 91 */
						obj_t BgL_idz00_601;

						{
							BgL_typez00_bglt BgL_auxz00_2186;

							BgL_auxz00_2186 = (BgL_typez00_bglt) (BgL_classz00_7);
							BgL_idz00_601 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_2186))->BgL_idz00);
						}
						{	/* Object/creator.scm 91 */
							obj_t BgL_mkzd2idzd2_602;

							{	/* Object/creator.scm 92 */
								obj_t BgL_arg2443z00_605;

								{	/* Object/creator.scm 92 */
									obj_t BgL_arg2444z00_606;

									obj_t BgL_arg2445z00_607;

									{	/* Object/creator.scm 92 */
										obj_t BgL_symbolz00_1799;

										BgL_symbolz00_1799 = CNST_TABLE_REF(((long) 3));
										BgL_arg2444z00_606 = SYMBOL_TO_STRING(BgL_symbolz00_1799);
									}
									BgL_arg2445z00_607 = SYMBOL_TO_STRING(BgL_idz00_601);
									{	/* Object/creator.scm 92 */
										obj_t BgL_list2446z00_608;

										{	/* Object/creator.scm 92 */
											obj_t BgL_arg2447z00_609;

											BgL_arg2447z00_609 = MAKE_PAIR(BgL_arg2445z00_607, BNIL);
											BgL_list2446z00_608 =
												MAKE_PAIR(BgL_arg2444z00_606, BgL_arg2447z00_609);
										}
										BgL_arg2443z00_605 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list2446z00_608);
								}}
								BgL_mkzd2idzd2_602 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2443z00_605));
							}
							{	/* Object/creator.scm 92 */

								{	/* Object/creator.scm 93 */
									obj_t BgL_arg2441z00_603;

									BgL_arg2441z00_603 =
										BGl_genzd2classzd2makez12z12zzobject_creatorz00
										(CNST_TABLE_REF(((long) 4)), BgL_mkzd2idzd2_602,
										BgL_idz00_601, BgL_classz00_7, BgL_srczd2defzd2_8,
										BgL_importz00_9);
									{	/* Object/creator.scm 93 */
										obj_t BgL_list2442z00_604;

										BgL_list2442z00_604 = MAKE_PAIR(BgL_arg2441z00_603, BNIL);
										return BgL_list2442z00_604;
									}
								}
							}
						}
					}
			}
		}
	}



/* gen-wide-class-creators */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt
		BgL_classz00_10, obj_t BgL_srczd2defzd2_11, obj_t BgL_importz00_12)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 98 */
			{	/* Object/creator.scm 99 */
				obj_t BgL_arg2448z00_610;

				obj_t BgL_arg2449z00_611;

				obj_t BgL_arg2451z00_612;

				BgL_arg2448z00_610 =
					BGl_genzd2noinlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
					(BgL_classz00_10, BgL_srczd2defzd2_11, BgL_importz00_12);
				BgL_arg2449z00_611 =
					BGl_genzd2inlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
					(BgL_classz00_10, BgL_srczd2defzd2_11, BgL_importz00_12);
				BgL_arg2451z00_612 =
					BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_classz00_10,
					BgL_srczd2defzd2_11, BgL_importz00_12);
				{	/* Object/creator.scm 99 */
					obj_t BgL_list2452z00_613;

					{	/* Object/creator.scm 99 */
						obj_t BgL_arg2453z00_614;

						{	/* Object/creator.scm 99 */
							obj_t BgL_arg2454z00_615;

							BgL_arg2454z00_615 = MAKE_PAIR(BgL_arg2451z00_612, BNIL);
							BgL_arg2453z00_614 =
								MAKE_PAIR(BgL_arg2449z00_611, BgL_arg2454z00_615);
						}
						BgL_list2452z00_613 =
							MAKE_PAIR(BgL_arg2448z00_610, BgL_arg2453z00_614);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2452z00_613);
				}
			}
		}
	}



/* _gen-wide-class-crea3287 */
	obj_t BGl__genzd2widezd2classzd2crea3287zd2zzobject_creatorz00(obj_t
		BgL_envz00_2074, obj_t BgL_classz00_2075, obj_t BgL_srczd2defzd2_2076,
		obj_t BgL_importz00_2077)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 98 */
			return
				BGl_genzd2widezd2classzd2creatorszd2zzobject_creatorz00(
				(BgL_tclassz00_bglt) (BgL_classz00_2075), BgL_srczd2defzd2_2076,
				BgL_importz00_2077);
		}
	}



/* gen-noinline-wide-class-creators */
	obj_t
		BGl_genzd2noinlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_13, obj_t BgL_srczd2defzd2_14,
		obj_t BgL_importz00_15)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 106 */
			{	/* Object/creator.scm 108 */
				bool_t BgL_testz00_2209;

				{
					obj_t BgL_auxz00_2210;

					{	/* Object/creator.scm 108 */
						BgL_objectz00_bglt BgL_auxz00_2211;

						BgL_auxz00_2211 = (BgL_objectz00_bglt) (BgL_classz00_13);
						BgL_auxz00_2210 = BGL_OBJECT_WIDENING(BgL_auxz00_2211);
					}
					BgL_testz00_2209 =
						(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2210))->BgL_abstractzf3zf3);
				}
				if (BgL_testz00_2209)
					{	/* Object/creator.scm 108 */
						return BNIL;
					}
				else
					{	/* Object/creator.scm 110 */
						obj_t BgL_fillzd2idzd2_618;

						obj_t BgL_wideningz00_619;

						{	/* Object/creator.scm 110 */
							obj_t BgL_arg2464z00_628;

							obj_t BgL_arg2465z00_629;

							obj_t BgL_arg2466z00_630;

							BgL_arg2464z00_628 = CNST_TABLE_REF(((long) 1));
							{
								BgL_typez00_bglt BgL_auxz00_2216;

								BgL_auxz00_2216 = (BgL_typez00_bglt) (BgL_classz00_13);
								BgL_arg2465z00_629 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2216))->BgL_idz00);
							}
							BgL_arg2466z00_630 = CNST_TABLE_REF(((long) 2));
							{	/* Object/creator.scm 110 */
								obj_t BgL_list2467z00_631;

								{	/* Object/creator.scm 110 */
									obj_t BgL_arg2468z00_632;

									{	/* Object/creator.scm 110 */
										obj_t BgL_arg2469z00_633;

										BgL_arg2469z00_633 = MAKE_PAIR(BgL_arg2466z00_630, BNIL);
										BgL_arg2468z00_632 =
											MAKE_PAIR(BgL_arg2465z00_629, BgL_arg2469z00_633);
									}
									BgL_list2467z00_631 =
										MAKE_PAIR(BgL_arg2464z00_628, BgL_arg2468z00_632);
								}
								BgL_fillzd2idzd2_618 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2467z00_631);
						}}
						{	/* Object/creator.scm 111 */
							obj_t BgL_arg2470z00_634;

							obj_t BgL_arg2471z00_635;

							obj_t BgL_arg2472z00_636;

							{
								obj_t BgL_auxz00_2224;

								{	/* Object/creator.scm 111 */
									BgL_objectz00_bglt BgL_auxz00_2225;

									BgL_auxz00_2225 = (BgL_objectz00_bglt) (BgL_classz00_13);
									BgL_auxz00_2224 = BGL_OBJECT_WIDENING(BgL_auxz00_2225);
								}
								BgL_arg2470z00_634 =
									(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2224))->
									BgL_wideningz00);
							}
							BgL_arg2471z00_635 = CNST_TABLE_REF(((long) 5));
							{
								BgL_typez00_bglt BgL_auxz00_2230;

								BgL_auxz00_2230 = (BgL_typez00_bglt) (BgL_classz00_13);
								BgL_arg2472z00_636 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2230))->BgL_idz00);
							}
							{	/* Object/creator.scm 111 */
								obj_t BgL_list2473z00_637;

								{	/* Object/creator.scm 111 */
									obj_t BgL_arg2474z00_638;

									{	/* Object/creator.scm 111 */
										obj_t BgL_arg2475z00_639;

										BgL_arg2475z00_639 = MAKE_PAIR(BgL_arg2472z00_636, BNIL);
										BgL_arg2474z00_638 =
											MAKE_PAIR(BgL_arg2471z00_635, BgL_arg2475z00_639);
									}
									BgL_list2473z00_637 =
										MAKE_PAIR(BgL_arg2470z00_634, BgL_arg2474z00_638);
								}
								BgL_wideningz00_619 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2473z00_637);
						}}
						{	/* Object/creator.scm 113 */
							obj_t BgL_arg2457z00_621;

							obj_t BgL_arg2458z00_622;

							{	/* Object/creator.scm 113 */
								obj_t BgL_arg2461z00_625;

								obj_t BgL_arg2462z00_626;

								BgL_arg2461z00_625 = CNST_TABLE_REF(((long) 6));
								{
									BgL_typez00_bglt BgL_auxz00_2238;

									BgL_auxz00_2238 = (BgL_typez00_bglt) (BgL_classz00_13);
									BgL_arg2462z00_626 =
										(((BgL_typez00_bglt) CREF(BgL_auxz00_2238))->BgL_idz00);
								}
								BgL_arg2457z00_621 =
									BGl_genzd2classzd2makez12z12zzobject_creatorz00
									(BgL_arg2461z00_625, BgL_wideningz00_619, BgL_arg2462z00_626,
									BgL_classz00_13, BgL_srczd2defzd2_14, BgL_importz00_15);
							}
							{	/* Object/creator.scm 114 */
								obj_t BgL_arg2463z00_627;

								{
									BgL_typez00_bglt BgL_auxz00_2242;

									BgL_auxz00_2242 = (BgL_typez00_bglt) (BgL_classz00_13);
									BgL_arg2463z00_627 =
										(((BgL_typez00_bglt) CREF(BgL_auxz00_2242))->BgL_idz00);
								}
								BgL_arg2458z00_622 =
									BGl_genzd2widezd2classzd2makez12zc0zzobject_creatorz00
									(BgL_arg2463z00_627, BgL_classz00_13, BgL_srczd2defzd2_14,
									BgL_importz00_15);
							}
							{	/* Object/creator.scm 113 */
								obj_t BgL_list2459z00_623;

								{	/* Object/creator.scm 113 */
									obj_t BgL_arg2460z00_624;

									BgL_arg2460z00_624 = MAKE_PAIR(BgL_arg2458z00_622, BNIL);
									BgL_list2459z00_623 =
										MAKE_PAIR(BgL_arg2457z00_621, BgL_arg2460z00_624);
								}
								return BgL_list2459z00_623;
							}
						}
					}
			}
		}
	}



/* gen-inline-wide-class-creators */
	obj_t
		BGl_genzd2inlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_16, obj_t BgL_srczd2defzd2_17,
		obj_t BgL_importz00_18)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 119 */
			{	/* Object/creator.scm 121 */
				bool_t BgL_testz00_2248;

				{
					obj_t BgL_auxz00_2249;

					{	/* Object/creator.scm 121 */
						BgL_objectz00_bglt BgL_auxz00_2250;

						BgL_auxz00_2250 = (BgL_objectz00_bglt) (BgL_classz00_16);
						BgL_auxz00_2249 = BGL_OBJECT_WIDENING(BgL_auxz00_2250);
					}
					BgL_testz00_2248 =
						(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2249))->BgL_abstractzf3zf3);
				}
				if (BgL_testz00_2248)
					{	/* Object/creator.scm 121 */
						return BNIL;
					}
				else
					{	/* Object/creator.scm 123 */
						obj_t BgL_fillzd2idzd2_642;

						obj_t BgL_wideningz00_643;

						obj_t BgL_superz00_644;

						{	/* Object/creator.scm 123 */
							obj_t BgL_arg2485z00_652;

							obj_t BgL_arg2487z00_653;

							obj_t BgL_arg2488z00_654;

							BgL_arg2485z00_652 = CNST_TABLE_REF(((long) 1));
							{
								BgL_typez00_bglt BgL_auxz00_2255;

								BgL_auxz00_2255 = (BgL_typez00_bglt) (BgL_classz00_16);
								BgL_arg2487z00_653 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2255))->BgL_idz00);
							}
							BgL_arg2488z00_654 = CNST_TABLE_REF(((long) 2));
							{	/* Object/creator.scm 123 */
								obj_t BgL_list2489z00_655;

								{	/* Object/creator.scm 123 */
									obj_t BgL_arg2490z00_656;

									{	/* Object/creator.scm 123 */
										obj_t BgL_arg2491z00_657;

										BgL_arg2491z00_657 = MAKE_PAIR(BgL_arg2488z00_654, BNIL);
										BgL_arg2490z00_656 =
											MAKE_PAIR(BgL_arg2487z00_653, BgL_arg2491z00_657);
									}
									BgL_list2489z00_655 =
										MAKE_PAIR(BgL_arg2485z00_652, BgL_arg2490z00_656);
								}
								BgL_fillzd2idzd2_642 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2489z00_655);
						}}
						{	/* Object/creator.scm 124 */
							obj_t BgL_arg2493z00_658;

							obj_t BgL_arg2494z00_659;

							obj_t BgL_arg2495z00_660;

							{
								obj_t BgL_auxz00_2263;

								{	/* Object/creator.scm 124 */
									BgL_objectz00_bglt BgL_auxz00_2264;

									BgL_auxz00_2264 = (BgL_objectz00_bglt) (BgL_classz00_16);
									BgL_auxz00_2263 = BGL_OBJECT_WIDENING(BgL_auxz00_2264);
								}
								BgL_arg2493z00_658 =
									(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2263))->
									BgL_wideningz00);
							}
							BgL_arg2494z00_659 = CNST_TABLE_REF(((long) 5));
							{
								BgL_typez00_bglt BgL_auxz00_2269;

								BgL_auxz00_2269 = (BgL_typez00_bglt) (BgL_classz00_16);
								BgL_arg2495z00_660 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2269))->BgL_idz00);
							}
							{	/* Object/creator.scm 124 */
								obj_t BgL_list2496z00_661;

								{	/* Object/creator.scm 124 */
									obj_t BgL_arg2497z00_662;

									{	/* Object/creator.scm 124 */
										obj_t BgL_arg2498z00_663;

										BgL_arg2498z00_663 = MAKE_PAIR(BgL_arg2495z00_660, BNIL);
										BgL_arg2497z00_662 =
											MAKE_PAIR(BgL_arg2494z00_659, BgL_arg2498z00_663);
									}
									BgL_list2496z00_661 =
										MAKE_PAIR(BgL_arg2493z00_658, BgL_arg2497z00_662);
								}
								BgL_wideningz00_643 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2496z00_661);
						}}
						{
							obj_t BgL_auxz00_2276;

							{	/* Object/creator.scm 125 */
								BgL_objectz00_bglt BgL_auxz00_2277;

								BgL_auxz00_2277 = (BgL_objectz00_bglt) (BgL_classz00_16);
								BgL_auxz00_2276 = BGL_OBJECT_WIDENING(BgL_auxz00_2277);
							}
							BgL_superz00_644 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2276))->
								BgL_itszd2superzd2);
						}
						{	/* Object/creator.scm 126 */
							obj_t BgL_arg2477z00_645;

							obj_t BgL_arg2478z00_646;

							{	/* Object/creator.scm 126 */
								obj_t BgL_arg2481z00_649;

								{
									BgL_typez00_bglt BgL_auxz00_2281;

									BgL_auxz00_2281 = (BgL_typez00_bglt) (BgL_classz00_16);
									BgL_arg2481z00_649 =
										(((BgL_typez00_bglt) CREF(BgL_auxz00_2281))->BgL_idz00);
								}
								BgL_arg2477z00_645 =
									BGl_genzd2classzd2fillz12z12zzobject_creatorz00
									(BgL_fillzd2idzd2_642, BgL_arg2481z00_649, BgL_classz00_16,
									BgL_srczd2defzd2_17, BgL_importz00_18);
							}
							{	/* Object/creator.scm 127 */
								obj_t BgL_arg2483z00_650;

								BgL_globalz00_bglt BgL_arg2484z00_651;

								{
									BgL_typez00_bglt BgL_auxz00_2285;

									BgL_auxz00_2285 = (BgL_typez00_bglt) (BgL_classz00_16);
									BgL_arg2483z00_650 =
										(((BgL_typez00_bglt) CREF(BgL_auxz00_2285))->BgL_idz00);
								}
								{
									obj_t BgL_auxz00_2288;

									{	/* Object/creator.scm 127 */
										BgL_objectz00_bglt BgL_auxz00_2289;

										BgL_auxz00_2289 = (BgL_objectz00_bglt) (BgL_classz00_16);
										BgL_auxz00_2288 = BGL_OBJECT_WIDENING(BgL_auxz00_2289);
									}
									BgL_arg2484z00_651 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2288))->
										BgL_holderz00);
								}
								BgL_arg2478z00_646 =
									BGl_genzd2classzd2allocatez12z12zzobject_creatorz00
									(BgL_arg2483z00_650, BgL_superz00_644, BgL_arg2484z00_651,
									BgL_srczd2defzd2_17, BgL_importz00_18);
							}
							{	/* Object/creator.scm 126 */
								obj_t BgL_list2479z00_647;

								{	/* Object/creator.scm 126 */
									obj_t BgL_arg2480z00_648;

									BgL_arg2480z00_648 = MAKE_PAIR(BgL_arg2478z00_646, BNIL);
									BgL_list2479z00_647 =
										MAKE_PAIR(BgL_arg2477z00_645, BgL_arg2480z00_648);
								}
								return BgL_list2479z00_647;
							}
						}
					}
			}
		}
	}



/* gen-java-class-creator */
	obj_t
		BGl_genzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_jclassz00_bglt
		BgL_classz00_19, obj_t BgL_srczd2defzd2_20)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 132 */
			{	/* Object/creator.scm 133 */
				obj_t BgL_idz00_664;

				{
					BgL_typez00_bglt BgL_auxz00_2296;

					BgL_auxz00_2296 = (BgL_typez00_bglt) (BgL_classz00_19);
					BgL_idz00_664 =
						(((BgL_typez00_bglt) CREF(BgL_auxz00_2296))->BgL_idz00);
				}
				{	/* Object/creator.scm 133 */
					obj_t BgL_alloczd2idzd2_665;

					{	/* Object/creator.scm 134 */
						obj_t BgL_arg2521z00_690;

						{	/* Object/creator.scm 134 */
							obj_t BgL_arg2523z00_691;

							obj_t BgL_arg2524z00_692;

							{	/* Object/creator.scm 134 */
								obj_t BgL_symbolz00_1824;

								BgL_symbolz00_1824 = CNST_TABLE_REF(((long) 7));
								BgL_arg2523z00_691 = SYMBOL_TO_STRING(BgL_symbolz00_1824);
							}
							BgL_arg2524z00_692 = SYMBOL_TO_STRING(BgL_idz00_664);
							{	/* Object/creator.scm 134 */
								obj_t BgL_list2525z00_693;

								{	/* Object/creator.scm 134 */
									obj_t BgL_arg2526z00_694;

									BgL_arg2526z00_694 = MAKE_PAIR(BgL_arg2524z00_692, BNIL);
									BgL_list2525z00_693 =
										MAKE_PAIR(BgL_arg2523z00_691, BgL_arg2526z00_694);
								}
								BgL_arg2521z00_690 =
									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
									(BgL_list2525z00_693);
						}}
						BgL_alloczd2idzd2_665 =
							string_to_symbol(BSTRING_TO_STRING(BgL_arg2521z00_690));
					}
					{	/* Object/creator.scm 134 */

						{

							{	/* Object/creator.scm 138 */
								obj_t BgL_arg2499z00_667;

								{	/* Object/creator.scm 138 */
									obj_t BgL_arg2500z00_668;

									obj_t BgL_arg2501z00_669;

									BgL_arg2500z00_668 = CNST_TABLE_REF(((long) 10));
									{	/* Object/creator.scm 138 */
										obj_t BgL_arg2502z00_670;

										{	/* Object/creator.scm 138 */
											obj_t BgL_arg2505z00_673;

											obj_t BgL_arg2506z00_674;

											BgL_arg2505z00_673 = CNST_TABLE_REF(((long) 11));
											{	/* Object/creator.scm 138 */
												obj_t BgL_list2507z00_675;

												BgL_list2507z00_675 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg2506z00_674 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_alloczd2idzd2_665, BgL_list2507z00_675);
											}
											BgL_arg2502z00_670 =
												MAKE_PAIR(BgL_arg2505z00_673, BgL_arg2506z00_674);
										}
										{	/* Object/creator.scm 138 */
											obj_t BgL_list2504z00_672;

											BgL_list2504z00_672 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg2501z00_669 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2502z00_670, BgL_list2504z00_672);
									}}
									BgL_arg2499z00_667 =
										MAKE_PAIR(BgL_arg2500z00_668, BgL_arg2501z00_669);
								}
								BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
									(BgL_arg2499z00_667);
							}
							{	/* Object/creator.scm 139 */
								obj_t BgL_arg2508z00_676;

								{	/* Object/creator.scm 139 */
									obj_t BgL_arg2510z00_678;

									{	/* Object/creator.scm 136 */
										obj_t BgL_arg2513z00_681;

										obj_t BgL_arg2514z00_682;

										BgL_arg2513z00_681 = CNST_TABLE_REF(((long) 8));
										{	/* Object/creator.scm 136 */
											obj_t BgL_arg2515z00_683;

											obj_t BgL_arg2516z00_684;

											BgL_arg2515z00_683 =
												MAKE_PAIR(BgL_alloczd2idzd2_665, BNIL);
											BgL_arg2516z00_684 =
												BGl_makezd2privatezd2sexpz00zzast_privatez00
												(CNST_TABLE_REF(((long) 9)), BgL_idz00_664, BNIL);
											{	/* Object/creator.scm 136 */
												obj_t BgL_list2518z00_686;

												{	/* Object/creator.scm 136 */
													obj_t BgL_arg2519z00_687;

													BgL_arg2519z00_687 = MAKE_PAIR(BNIL, BNIL);
													BgL_list2518z00_686 =
														MAKE_PAIR(BgL_arg2516z00_684, BgL_arg2519z00_687);
												}
												BgL_arg2514z00_682 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2515z00_683, BgL_list2518z00_686);
										}}
										BgL_arg2510z00_678 =
											MAKE_PAIR(BgL_arg2513z00_681, BgL_arg2514z00_682);
									}
									{	/* Object/creator.scm 139 */
										obj_t BgL_list2511z00_679;

										BgL_list2511z00_679 = MAKE_PAIR(BgL_srczd2defzd2_20, BNIL);
										BgL_arg2508z00_676 =
											BGl_epairifyza2za2zztools_miscz00(BgL_arg2510z00_678,
											BgL_list2511z00_679);
								}}
								{	/* Object/creator.scm 139 */
									obj_t BgL_list2509z00_677;

									BgL_list2509z00_677 = MAKE_PAIR(BgL_arg2508z00_676, BNIL);
									return BgL_list2509z00_677;
								}
							}
						}
					}
				}
			}
		}
	}



/* import-plain-class-creators */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2plainzd2classzd2creatorszd2zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_21, obj_t BgL_srczd2defzd2_22,
		obj_t BgL_modulez00_23)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 144 */
			BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_classz00_21,
				BgL_srczd2defzd2_22, BgL_modulez00_23);
			{	/* Object/creator.scm 146 */
				bool_t BgL_testz00_2328;

				{
					obj_t BgL_auxz00_2329;

					{	/* Object/creator.scm 146 */
						BgL_objectz00_bglt BgL_auxz00_2330;

						BgL_auxz00_2330 = (BgL_objectz00_bglt) (BgL_classz00_21);
						BgL_auxz00_2329 = BGL_OBJECT_WIDENING(BgL_auxz00_2330);
					}
					BgL_testz00_2328 =
						(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2329))->BgL_abstractzf3zf3);
				}
				if (BgL_testz00_2328)
					{	/* Object/creator.scm 146 */
						return BNIL;
					}
				else
					{	/* Object/creator.scm 146 */
						if (BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
							{	/* Object/creator.scm 148 */
								BGl_importzd2noinlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
									(BgL_classz00_21, BgL_srczd2defzd2_22, BgL_modulez00_23);
								return
									BGl_genzd2inlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
									(BgL_classz00_21, BgL_srczd2defzd2_22,
									CNST_TABLE_REF(((long) 10)));
							}
						else
							{	/* Object/creator.scm 148 */
								BGl_importzd2noinlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
									(BgL_classz00_21, BgL_srczd2defzd2_22, BgL_modulez00_23);
								return
									BGl_importzd2inlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
									(BgL_classz00_21, BgL_srczd2defzd2_22, BgL_modulez00_23);
							}
					}
			}
		}
	}



/* _import-plain-class-3288 */
	obj_t BGl__importzd2plainzd2classzd23288zd2zzobject_creatorz00(obj_t
		BgL_envz00_2078, obj_t BgL_classz00_2079, obj_t BgL_srczd2defzd2_2080,
		obj_t BgL_modulez00_2081)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 144 */
			return
				BGl_importzd2plainzd2classzd2creatorszd2zzobject_creatorz00(
				(BgL_tclassz00_bglt) (BgL_classz00_2079), BgL_srczd2defzd2_2080,
				BgL_modulez00_2081);
		}
	}



/* import-inline-plain-class-creators */
	obj_t
		BGl_importzd2inlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_24, obj_t BgL_srczd2defzd2_25,
		obj_t BgL_modulez00_26)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 160 */
			{	/* Object/creator.scm 162 */
				obj_t BgL_mkzd2idzd2_698;

				{	/* Object/creator.scm 162 */
					obj_t BgL_arg2556z00_732;

					{	/* Object/creator.scm 162 */
						obj_t BgL_arg2557z00_733;

						obj_t BgL_arg2558z00_734;

						{	/* Object/creator.scm 162 */
							obj_t BgL_symbolz00_1830;

							BgL_symbolz00_1830 = CNST_TABLE_REF(((long) 3));
							BgL_arg2557z00_733 = SYMBOL_TO_STRING(BgL_symbolz00_1830);
						}
						{	/* Object/creator.scm 162 */
							obj_t BgL_arg2561z00_737;

							{
								BgL_typez00_bglt BgL_auxz00_2345;

								BgL_auxz00_2345 = (BgL_typez00_bglt) (BgL_classz00_24);
								BgL_arg2561z00_737 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2345))->BgL_idz00);
							}
							BgL_arg2558z00_734 = SYMBOL_TO_STRING(BgL_arg2561z00_737);
						}
						{	/* Object/creator.scm 162 */
							obj_t BgL_list2559z00_735;

							{	/* Object/creator.scm 162 */
								obj_t BgL_arg2560z00_736;

								BgL_arg2560z00_736 = MAKE_PAIR(BgL_arg2558z00_734, BNIL);
								BgL_list2559z00_735 =
									MAKE_PAIR(BgL_arg2557z00_733, BgL_arg2560z00_736);
							}
							BgL_arg2556z00_732 =
								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
								(BgL_list2559z00_735);
					}}
					BgL_mkzd2idzd2_698 =
						string_to_symbol(BSTRING_TO_STRING(BgL_arg2556z00_732));
				}
				{	/* Object/creator.scm 162 */
					obj_t BgL_fillzd2idzd2_699;

					{	/* Object/creator.scm 163 */
						obj_t BgL_arg2550z00_726;

						obj_t BgL_arg2551z00_727;

						obj_t BgL_arg2552z00_728;

						BgL_arg2550z00_726 = CNST_TABLE_REF(((long) 1));
						{
							BgL_typez00_bglt BgL_auxz00_2355;

							BgL_auxz00_2355 = (BgL_typez00_bglt) (BgL_classz00_24);
							BgL_arg2551z00_727 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_2355))->BgL_idz00);
						}
						BgL_arg2552z00_728 = CNST_TABLE_REF(((long) 2));
						{	/* Object/creator.scm 163 */
							obj_t BgL_list2553z00_729;

							{	/* Object/creator.scm 163 */
								obj_t BgL_arg2554z00_730;

								{	/* Object/creator.scm 163 */
									obj_t BgL_arg2555z00_731;

									BgL_arg2555z00_731 = MAKE_PAIR(BgL_arg2552z00_728, BNIL);
									BgL_arg2554z00_730 =
										MAKE_PAIR(BgL_arg2551z00_727, BgL_arg2555z00_731);
								}
								BgL_list2553z00_729 =
									MAKE_PAIR(BgL_arg2550z00_726, BgL_arg2554z00_730);
							}
							BgL_fillzd2idzd2_699 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2553z00_729);
					}}
					{	/* Object/creator.scm 163 */
						obj_t BgL_mkzd2tidzd2_700;

						{	/* Object/creator.scm 164 */
							obj_t BgL_arg2549z00_725;

							{
								BgL_typez00_bglt BgL_auxz00_2363;

								BgL_auxz00_2363 = (BgL_typez00_bglt) (BgL_classz00_24);
								BgL_arg2549z00_725 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2363))->BgL_idz00);
							}
							BgL_mkzd2tidzd2_700 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_698,
								BgL_arg2549z00_725);
						}
						{	/* Object/creator.scm 164 */
							obj_t BgL_fzd2idszd2_701;

							{	/* Object/creator.scm 165 */
								obj_t BgL_arg2548z00_724;

								{
									obj_t BgL_auxz00_2367;

									{	/* Object/creator.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_2368;

										BgL_auxz00_2368 = (BgL_objectz00_bglt) (BgL_classz00_24);
										BgL_auxz00_2367 = BGL_OBJECT_WIDENING(BgL_auxz00_2368);
									}
									BgL_arg2548z00_724 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2367))->
										BgL_slotsz00);
								}
								BgL_fzd2idszd2_701 =
									BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
									(BgL_arg2548z00_724);
							}
							{	/* Object/creator.scm 165 */
								obj_t BgL_fzd2tidszd2_702;

								{	/* Object/creator.scm 166 */
									obj_t BgL_arg2547z00_723;

									{
										obj_t BgL_auxz00_2373;

										{	/* Object/creator.scm 166 */
											BgL_objectz00_bglt BgL_auxz00_2374;

											BgL_auxz00_2374 = (BgL_objectz00_bglt) (BgL_classz00_24);
											BgL_auxz00_2373 = BGL_OBJECT_WIDENING(BgL_auxz00_2374);
										}
										BgL_arg2547z00_723 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2373))->
											BgL_slotsz00);
									}
									BgL_fzd2tidszd2_702 =
										BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
										(BgL_fzd2idszd2_701, BgL_arg2547z00_723);
								}
								{	/* Object/creator.scm 166 */
									obj_t BgL_toz00_703;

									{	/* Object/creator.scm 167 */
										obj_t BgL_arg2544z00_720;

										obj_t BgL_arg2545z00_721;

										BgL_arg2544z00_720 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
														12))));
										{
											BgL_typez00_bglt BgL_auxz00_2382;

											BgL_auxz00_2382 = (BgL_typez00_bglt) (BgL_classz00_24);
											BgL_arg2545z00_721 =
												(((BgL_typez00_bglt) CREF(BgL_auxz00_2382))->BgL_idz00);
										}
										BgL_toz00_703 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2544z00_720, BgL_arg2545z00_721);
									}
									{	/* Object/creator.scm 167 */
										obj_t BgL_alloczd2idzd2_704;

										{	/* Object/creator.scm 168 */
											obj_t BgL_arg2538z00_714;

											{	/* Object/creator.scm 168 */
												obj_t BgL_arg2539z00_715;

												obj_t BgL_arg2540z00_716;

												{	/* Object/creator.scm 168 */
													obj_t BgL_symbolz00_1839;

													BgL_symbolz00_1839 = CNST_TABLE_REF(((long) 7));
													BgL_arg2539z00_715 =
														SYMBOL_TO_STRING(BgL_symbolz00_1839);
												}
												{	/* Object/creator.scm 168 */
													obj_t BgL_arg2543z00_719;

													{
														BgL_typez00_bglt BgL_auxz00_2388;

														BgL_auxz00_2388 =
															(BgL_typez00_bglt) (BgL_classz00_24);
														BgL_arg2543z00_719 =
															(((BgL_typez00_bglt) CREF(BgL_auxz00_2388))->
															BgL_idz00);
													}
													BgL_arg2540z00_716 =
														SYMBOL_TO_STRING(BgL_arg2543z00_719);
												}
												{	/* Object/creator.scm 168 */
													obj_t BgL_list2541z00_717;

													{	/* Object/creator.scm 168 */
														obj_t BgL_arg2542z00_718;

														BgL_arg2542z00_718 =
															MAKE_PAIR(BgL_arg2540z00_716, BNIL);
														BgL_list2541z00_717 =
															MAKE_PAIR(BgL_arg2539z00_715, BgL_arg2542z00_718);
													}
													BgL_arg2538z00_714 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list2541z00_717);
											}}
											BgL_alloczd2idzd2_704 =
												string_to_symbol(BSTRING_TO_STRING(BgL_arg2538z00_714));
										}
										{	/* Object/creator.scm 168 */
											obj_t BgL_alloczd2tidzd2_705;

											{	/* Object/creator.scm 169 */
												obj_t BgL_arg2537z00_713;

												{
													BgL_typez00_bglt BgL_auxz00_2397;

													BgL_auxz00_2397 =
														(BgL_typez00_bglt) (BgL_classz00_24);
													BgL_arg2537z00_713 =
														(((BgL_typez00_bglt) CREF(BgL_auxz00_2397))->
														BgL_idz00);
												}
												BgL_alloczd2tidzd2_705 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_alloczd2idzd2_704, BgL_arg2537z00_713);
											}
											{	/* Object/creator.scm 169 */

												{	/* Object/creator.scm 171 */
													obj_t BgL_arg2529z00_706;

													BgL_arg2529z00_706 =
														MAKE_PAIR(BgL_alloczd2tidzd2_705, BNIL);
													BGl_importzd2parserzd2zzmodule_impusez00
														(BgL_modulez00_26, BgL_arg2529z00_706, BNIL);
												}
												{	/* Object/creator.scm 172 */
													obj_t BgL_arg2531z00_708;

													{	/* Object/creator.scm 172 */
														obj_t BgL_arg2533z00_710;

														{	/* Object/creator.scm 172 */
															obj_t BgL_arg2535z00_711;

															BgL_arg2535z00_711 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_fzd2tidszd2_702, BNIL);
															{	/* Object/creator.scm 172 */
																obj_t BgL_list2536z00_712;

																BgL_list2536z00_712 =
																	MAKE_PAIR(BgL_arg2535z00_711, BNIL);
																BgL_arg2533z00_710 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_toz00_703, BgL_list2536z00_712);
														}}
														BgL_arg2531z00_708 =
															MAKE_PAIR(BgL_fillzd2idzd2_699,
															BgL_arg2533z00_710);
													}
													BGl_importzd2parserzd2zzmodule_impusez00
														(BgL_modulez00_26, BgL_arg2531z00_708, BNIL);
												}
												return BNIL;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* import-noinline-plain-class-creators */
	obj_t
		BGl_importzd2noinlinezd2plainzd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_27, obj_t BgL_srczd2defzd2_28,
		obj_t BgL_modulez00_29)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 179 */
			{	/* Object/creator.scm 181 */
				obj_t BgL_mkzd2idzd2_739;

				{	/* Object/creator.scm 181 */
					obj_t BgL_arg2568z00_749;

					{	/* Object/creator.scm 181 */
						obj_t BgL_arg2569z00_750;

						obj_t BgL_arg2570z00_751;

						{	/* Object/creator.scm 181 */
							obj_t BgL_symbolz00_1844;

							BgL_symbolz00_1844 = CNST_TABLE_REF(((long) 3));
							BgL_arg2569z00_750 = SYMBOL_TO_STRING(BgL_symbolz00_1844);
						}
						{	/* Object/creator.scm 181 */
							obj_t BgL_arg2573z00_754;

							{
								BgL_typez00_bglt BgL_auxz00_2410;

								BgL_auxz00_2410 = (BgL_typez00_bglt) (BgL_classz00_27);
								BgL_arg2573z00_754 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2410))->BgL_idz00);
							}
							BgL_arg2570z00_751 = SYMBOL_TO_STRING(BgL_arg2573z00_754);
						}
						{	/* Object/creator.scm 181 */
							obj_t BgL_list2571z00_752;

							{	/* Object/creator.scm 181 */
								obj_t BgL_arg2572z00_753;

								BgL_arg2572z00_753 = MAKE_PAIR(BgL_arg2570z00_751, BNIL);
								BgL_list2571z00_752 =
									MAKE_PAIR(BgL_arg2569z00_750, BgL_arg2572z00_753);
							}
							BgL_arg2568z00_749 =
								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
								(BgL_list2571z00_752);
					}}
					BgL_mkzd2idzd2_739 =
						string_to_symbol(BSTRING_TO_STRING(BgL_arg2568z00_749));
				}
				{	/* Object/creator.scm 181 */
					obj_t BgL_mkzd2tidzd2_740;

					{	/* Object/creator.scm 182 */
						obj_t BgL_arg2567z00_748;

						{
							BgL_typez00_bglt BgL_auxz00_2419;

							BgL_auxz00_2419 = (BgL_typez00_bglt) (BgL_classz00_27);
							BgL_arg2567z00_748 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_2419))->BgL_idz00);
						}
						BgL_mkzd2tidzd2_740 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_739,
							BgL_arg2567z00_748);
					}
					{	/* Object/creator.scm 182 */
						obj_t BgL_fzd2idszd2_741;

						{	/* Object/creator.scm 183 */
							obj_t BgL_arg2566z00_747;

							{
								obj_t BgL_auxz00_2423;

								{	/* Object/creator.scm 183 */
									BgL_objectz00_bglt BgL_auxz00_2424;

									BgL_auxz00_2424 = (BgL_objectz00_bglt) (BgL_classz00_27);
									BgL_auxz00_2423 = BGL_OBJECT_WIDENING(BgL_auxz00_2424);
								}
								BgL_arg2566z00_747 =
									(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2423))->BgL_slotsz00);
							}
							BgL_fzd2idszd2_741 =
								BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
								(BgL_arg2566z00_747);
						}
						{	/* Object/creator.scm 183 */
							obj_t BgL_fzd2tidszd2_742;

							{	/* Object/creator.scm 184 */
								obj_t BgL_arg2565z00_746;

								{
									obj_t BgL_auxz00_2429;

									{	/* Object/creator.scm 184 */
										BgL_objectz00_bglt BgL_auxz00_2430;

										BgL_auxz00_2430 = (BgL_objectz00_bglt) (BgL_classz00_27);
										BgL_auxz00_2429 = BGL_OBJECT_WIDENING(BgL_auxz00_2430);
									}
									BgL_arg2565z00_746 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2429))->
										BgL_slotsz00);
								}
								BgL_fzd2tidszd2_742 =
									BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
									(BgL_fzd2idszd2_741, BgL_arg2565z00_746);
							}
							{	/* Object/creator.scm 184 */

								{	/* Object/creator.scm 186 */
									obj_t BgL_arg2562z00_743;

									BgL_arg2562z00_743 =
										MAKE_PAIR(BgL_mkzd2tidzd2_740,
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_fzd2tidszd2_742, BNIL));
									BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_29,
										BgL_arg2562z00_743, BNIL);
								}
								return BNIL;
							}
						}
					}
				}
			}
		}
	}



/* import-wide-class-creators */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_30, obj_t BgL_srczd2defzd2_31,
		obj_t BgL_modulez00_32)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 193 */
			BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_classz00_30,
				BgL_srczd2defzd2_31, BgL_modulez00_32);
			{	/* Object/creator.scm 195 */
				bool_t BgL_testz00_2439;

				{
					obj_t BgL_auxz00_2440;

					{	/* Object/creator.scm 195 */
						BgL_objectz00_bglt BgL_auxz00_2441;

						BgL_auxz00_2441 = (BgL_objectz00_bglt) (BgL_classz00_30);
						BgL_auxz00_2440 = BGL_OBJECT_WIDENING(BgL_auxz00_2441);
					}
					BgL_testz00_2439 =
						(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2440))->BgL_abstractzf3zf3);
				}
				if (BgL_testz00_2439)
					{	/* Object/creator.scm 195 */
						return BNIL;
					}
				else
					{	/* Object/creator.scm 195 */
						if (BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
							{	/* Object/creator.scm 197 */
								BGl_importzd2noinlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
									(BgL_classz00_30, BgL_srczd2defzd2_31, BgL_modulez00_32);
								return
									BGl_genzd2inlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
									(BgL_classz00_30, BgL_srczd2defzd2_31,
									CNST_TABLE_REF(((long) 10)));
							}
						else
							{	/* Object/creator.scm 197 */
								BGl_importzd2noinlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
									(BgL_classz00_30, BgL_srczd2defzd2_31, BgL_modulez00_32);
								return
									BGl_importzd2inlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
									(BgL_classz00_30, BgL_srczd2defzd2_31, BgL_modulez00_32);
							}
					}
			}
		}
	}



/* _import-wide-class-c3289 */
	obj_t BGl__importzd2widezd2classzd2c3289zd2zzobject_creatorz00(obj_t
		BgL_envz00_2082, obj_t BgL_classz00_2083, obj_t BgL_srczd2defzd2_2084,
		obj_t BgL_modulez00_2085)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 193 */
			return
				BGl_importzd2widezd2classzd2creatorszd2zzobject_creatorz00(
				(BgL_tclassz00_bglt) (BgL_classz00_2083), BgL_srczd2defzd2_2084,
				BgL_modulez00_2085);
		}
	}



/* import-inline-wide-class-creators */
	obj_t
		BGl_importzd2inlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_33, obj_t BgL_srczd2defzd2_34,
		obj_t BgL_modulez00_35)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 209 */
			{	/* Object/creator.scm 211 */
				obj_t BgL_mkzd2idzd2_758;

				{	/* Object/creator.scm 211 */
					obj_t BgL_arg2612z00_801;

					{	/* Object/creator.scm 211 */
						obj_t BgL_arg2613z00_802;

						obj_t BgL_arg2614z00_803;

						{	/* Object/creator.scm 211 */
							obj_t BgL_symbolz00_1852;

							BgL_symbolz00_1852 = CNST_TABLE_REF(((long) 3));
							BgL_arg2613z00_802 = SYMBOL_TO_STRING(BgL_symbolz00_1852);
						}
						{	/* Object/creator.scm 211 */
							obj_t BgL_arg2617z00_806;

							{
								BgL_typez00_bglt BgL_auxz00_2456;

								BgL_auxz00_2456 = (BgL_typez00_bglt) (BgL_classz00_33);
								BgL_arg2617z00_806 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2456))->BgL_idz00);
							}
							BgL_arg2614z00_803 = SYMBOL_TO_STRING(BgL_arg2617z00_806);
						}
						{	/* Object/creator.scm 211 */
							obj_t BgL_list2615z00_804;

							{	/* Object/creator.scm 211 */
								obj_t BgL_arg2616z00_805;

								BgL_arg2616z00_805 = MAKE_PAIR(BgL_arg2614z00_803, BNIL);
								BgL_list2615z00_804 =
									MAKE_PAIR(BgL_arg2613z00_802, BgL_arg2616z00_805);
							}
							BgL_arg2612z00_801 =
								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
								(BgL_list2615z00_804);
					}}
					BgL_mkzd2idzd2_758 =
						string_to_symbol(BSTRING_TO_STRING(BgL_arg2612z00_801));
				}
				{	/* Object/creator.scm 211 */
					obj_t BgL_fillzd2idzd2_759;

					{	/* Object/creator.scm 212 */
						obj_t BgL_arg2605z00_795;

						obj_t BgL_arg2606z00_796;

						obj_t BgL_arg2607z00_797;

						BgL_arg2605z00_795 = CNST_TABLE_REF(((long) 1));
						{
							BgL_typez00_bglt BgL_auxz00_2466;

							BgL_auxz00_2466 = (BgL_typez00_bglt) (BgL_classz00_33);
							BgL_arg2606z00_796 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_2466))->BgL_idz00);
						}
						BgL_arg2607z00_797 = CNST_TABLE_REF(((long) 2));
						{	/* Object/creator.scm 212 */
							obj_t BgL_list2608z00_798;

							{	/* Object/creator.scm 212 */
								obj_t BgL_arg2610z00_799;

								{	/* Object/creator.scm 212 */
									obj_t BgL_arg2611z00_800;

									BgL_arg2611z00_800 = MAKE_PAIR(BgL_arg2607z00_797, BNIL);
									BgL_arg2610z00_799 =
										MAKE_PAIR(BgL_arg2606z00_796, BgL_arg2611z00_800);
								}
								BgL_list2608z00_798 =
									MAKE_PAIR(BgL_arg2605z00_795, BgL_arg2610z00_799);
							}
							BgL_fillzd2idzd2_759 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2608z00_798);
					}}
					{	/* Object/creator.scm 212 */
						obj_t BgL_mkzd2tidzd2_760;

						{	/* Object/creator.scm 213 */
							obj_t BgL_arg2604z00_794;

							{
								BgL_typez00_bglt BgL_auxz00_2474;

								BgL_auxz00_2474 = (BgL_typez00_bglt) (BgL_classz00_33);
								BgL_arg2604z00_794 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2474))->BgL_idz00);
							}
							BgL_mkzd2tidzd2_760 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_758,
								BgL_arg2604z00_794);
						}
						{	/* Object/creator.scm 213 */
							obj_t BgL_alloczd2widezd2_761;

							{	/* Object/creator.scm 214 */
								obj_t BgL_arg2598z00_788;

								{	/* Object/creator.scm 214 */
									obj_t BgL_arg2599z00_789;

									obj_t BgL_arg2600z00_790;

									{	/* Object/creator.scm 214 */
										obj_t BgL_symbolz00_1858;

										BgL_symbolz00_1858 = CNST_TABLE_REF(((long) 13));
										BgL_arg2599z00_789 = SYMBOL_TO_STRING(BgL_symbolz00_1858);
									}
									{	/* Object/creator.scm 214 */
										obj_t BgL_arg2603z00_793;

										{
											BgL_typez00_bglt BgL_auxz00_2480;

											BgL_auxz00_2480 = (BgL_typez00_bglt) (BgL_classz00_33);
											BgL_arg2603z00_793 =
												(((BgL_typez00_bglt) CREF(BgL_auxz00_2480))->BgL_idz00);
										}
										BgL_arg2600z00_790 = SYMBOL_TO_STRING(BgL_arg2603z00_793);
									}
									{	/* Object/creator.scm 214 */
										obj_t BgL_list2601z00_791;

										{	/* Object/creator.scm 214 */
											obj_t BgL_arg2602z00_792;

											BgL_arg2602z00_792 = MAKE_PAIR(BgL_arg2600z00_790, BNIL);
											BgL_list2601z00_791 =
												MAKE_PAIR(BgL_arg2599z00_789, BgL_arg2602z00_792);
										}
										BgL_arg2598z00_788 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list2601z00_791);
								}}
								BgL_alloczd2widezd2_761 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2598z00_788));
							}
							{	/* Object/creator.scm 214 */
								obj_t BgL_talloczd2widezd2_762;

								{	/* Object/creator.scm 215 */
									obj_t BgL_arg2597z00_787;

									{
										BgL_typez00_bglt BgL_auxz00_2489;

										BgL_auxz00_2489 = (BgL_typez00_bglt) (BgL_classz00_33);
										BgL_arg2597z00_787 =
											(((BgL_typez00_bglt) CREF(BgL_auxz00_2489))->BgL_idz00);
									}
									BgL_talloczd2widezd2_762 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_alloczd2widezd2_761, BgL_arg2597z00_787);
								}
								{	/* Object/creator.scm 215 */
									obj_t BgL_fzd2idszd2_763;

									{	/* Object/creator.scm 216 */
										obj_t BgL_arg2596z00_786;

										{
											obj_t BgL_auxz00_2493;

											{	/* Object/creator.scm 216 */
												BgL_objectz00_bglt BgL_auxz00_2494;

												BgL_auxz00_2494 =
													(BgL_objectz00_bglt) (BgL_classz00_33);
												BgL_auxz00_2493 = BGL_OBJECT_WIDENING(BgL_auxz00_2494);
											}
											BgL_arg2596z00_786 =
												(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2493))->
												BgL_slotsz00);
										}
										BgL_fzd2idszd2_763 =
											BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
											(BgL_arg2596z00_786);
									}
									{	/* Object/creator.scm 216 */
										obj_t BgL_fzd2tidszd2_764;

										{	/* Object/creator.scm 217 */
											obj_t BgL_arg2595z00_785;

											{
												obj_t BgL_auxz00_2499;

												{	/* Object/creator.scm 217 */
													BgL_objectz00_bglt BgL_auxz00_2500;

													BgL_auxz00_2500 =
														(BgL_objectz00_bglt) (BgL_classz00_33);
													BgL_auxz00_2499 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2500);
												}
												BgL_arg2595z00_785 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2499))->
													BgL_slotsz00);
											}
											BgL_fzd2tidszd2_764 =
												BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
												(BgL_fzd2idszd2_763, BgL_arg2595z00_785);
										}
										{	/* Object/creator.scm 217 */
											obj_t BgL_toz00_765;

											{	/* Object/creator.scm 218 */
												obj_t BgL_arg2591z00_782;

												obj_t BgL_arg2592z00_783;

												BgL_arg2591z00_782 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 12))));
												{
													BgL_typez00_bglt BgL_auxz00_2508;

													BgL_auxz00_2508 =
														(BgL_typez00_bglt) (BgL_classz00_33);
													BgL_arg2592z00_783 =
														(((BgL_typez00_bglt) CREF(BgL_auxz00_2508))->
														BgL_idz00);
												}
												BgL_toz00_765 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg2591z00_782, BgL_arg2592z00_783);
											}
											{	/* Object/creator.scm 218 */
												obj_t BgL_alloczd2idzd2_766;

												{	/* Object/creator.scm 219 */
													obj_t BgL_arg2585z00_776;

													{	/* Object/creator.scm 219 */
														obj_t BgL_arg2586z00_777;

														obj_t BgL_arg2587z00_778;

														{	/* Object/creator.scm 219 */
															obj_t BgL_symbolz00_1866;

															BgL_symbolz00_1866 = CNST_TABLE_REF(((long) 7));
															BgL_arg2586z00_777 =
																SYMBOL_TO_STRING(BgL_symbolz00_1866);
														}
														{	/* Object/creator.scm 219 */
															obj_t BgL_arg2590z00_781;

															{
																BgL_typez00_bglt BgL_auxz00_2514;

																BgL_auxz00_2514 =
																	(BgL_typez00_bglt) (BgL_classz00_33);
																BgL_arg2590z00_781 =
																	(((BgL_typez00_bglt) CREF(BgL_auxz00_2514))->
																	BgL_idz00);
															}
															BgL_arg2587z00_778 =
																SYMBOL_TO_STRING(BgL_arg2590z00_781);
														}
														{	/* Object/creator.scm 219 */
															obj_t BgL_list2588z00_779;

															{	/* Object/creator.scm 219 */
																obj_t BgL_arg2589z00_780;

																BgL_arg2589z00_780 =
																	MAKE_PAIR(BgL_arg2587z00_778, BNIL);
																BgL_list2588z00_779 =
																	MAKE_PAIR(BgL_arg2586z00_777,
																	BgL_arg2589z00_780);
															}
															BgL_arg2585z00_776 =
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list2588z00_779);
													}}
													BgL_alloczd2idzd2_766 =
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg2585z00_776));
												}
												{	/* Object/creator.scm 219 */
													obj_t BgL_alloczd2tidzd2_767;

													{	/* Object/creator.scm 220 */
														obj_t BgL_arg2584z00_775;

														{
															BgL_typez00_bglt BgL_auxz00_2523;

															BgL_auxz00_2523 =
																(BgL_typez00_bglt) (BgL_classz00_33);
															BgL_arg2584z00_775 =
																(((BgL_typez00_bglt) CREF(BgL_auxz00_2523))->
																BgL_idz00);
														}
														BgL_alloczd2tidzd2_767 =
															BGl_makezd2typedzd2identz00zzast_identz00
															(BgL_alloczd2idzd2_766, BgL_arg2584z00_775);
													}
													{	/* Object/creator.scm 220 */

														{	/* Object/creator.scm 222 */
															obj_t BgL_arg2576z00_768;

															BgL_arg2576z00_768 =
																MAKE_PAIR(BgL_alloczd2tidzd2_767, BNIL);
															BGl_importzd2parserzd2zzmodule_impusez00
																(BgL_modulez00_35, BgL_arg2576z00_768, BNIL);
														}
														{	/* Object/creator.scm 223 */
															obj_t BgL_arg2579z00_770;

															{	/* Object/creator.scm 223 */
																obj_t BgL_arg2581z00_772;

																{	/* Object/creator.scm 223 */
																	obj_t BgL_arg2582z00_773;

																	BgL_arg2582z00_773 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_fzd2tidszd2_764, BNIL);
																	{	/* Object/creator.scm 223 */
																		obj_t BgL_list2583z00_774;

																		BgL_list2583z00_774 =
																			MAKE_PAIR(BgL_arg2582z00_773, BNIL);
																		BgL_arg2581z00_772 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_toz00_765, BgL_list2583z00_774);
																}}
																BgL_arg2579z00_770 =
																	MAKE_PAIR(BgL_fillzd2idzd2_759,
																	BgL_arg2581z00_772);
															}
															BGl_importzd2parserzd2zzmodule_impusez00
																(BgL_modulez00_35, BgL_arg2579z00_770, BNIL);
														}
														return BNIL;
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* import-noinline-wide-class-creators */
	obj_t
		BGl_importzd2noinlinezd2widezd2classzd2creatorsz00zzobject_creatorz00
		(BgL_tclassz00_bglt BgL_classz00_36, obj_t BgL_srczd2defzd2_37,
		obj_t BgL_modulez00_38)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 230 */
			{	/* Object/creator.scm 232 */
				obj_t BgL_mkzd2idzd2_808;

				{	/* Object/creator.scm 232 */
					obj_t BgL_arg2642z00_843;

					{	/* Object/creator.scm 232 */
						obj_t BgL_arg2643z00_844;

						obj_t BgL_arg2645z00_845;

						{	/* Object/creator.scm 232 */
							obj_t BgL_symbolz00_1871;

							BgL_symbolz00_1871 = CNST_TABLE_REF(((long) 3));
							BgL_arg2643z00_844 = SYMBOL_TO_STRING(BgL_symbolz00_1871);
						}
						{	/* Object/creator.scm 232 */
							obj_t BgL_arg2648z00_848;

							{
								BgL_typez00_bglt BgL_auxz00_2536;

								BgL_auxz00_2536 = (BgL_typez00_bglt) (BgL_classz00_36);
								BgL_arg2648z00_848 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2536))->BgL_idz00);
							}
							BgL_arg2645z00_845 = SYMBOL_TO_STRING(BgL_arg2648z00_848);
						}
						{	/* Object/creator.scm 232 */
							obj_t BgL_list2646z00_846;

							{	/* Object/creator.scm 232 */
								obj_t BgL_arg2647z00_847;

								BgL_arg2647z00_847 = MAKE_PAIR(BgL_arg2645z00_845, BNIL);
								BgL_list2646z00_846 =
									MAKE_PAIR(BgL_arg2643z00_844, BgL_arg2647z00_847);
							}
							BgL_arg2642z00_843 =
								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
								(BgL_list2646z00_846);
					}}
					BgL_mkzd2idzd2_808 =
						string_to_symbol(BSTRING_TO_STRING(BgL_arg2642z00_843));
				}
				{	/* Object/creator.scm 232 */
					obj_t BgL_fillzd2idzd2_809;

					{	/* Object/creator.scm 233 */
						obj_t BgL_arg2636z00_837;

						obj_t BgL_arg2637z00_838;

						obj_t BgL_arg2638z00_839;

						BgL_arg2636z00_837 = CNST_TABLE_REF(((long) 1));
						{
							BgL_typez00_bglt BgL_auxz00_2546;

							BgL_auxz00_2546 = (BgL_typez00_bglt) (BgL_classz00_36);
							BgL_arg2637z00_838 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_2546))->BgL_idz00);
						}
						BgL_arg2638z00_839 = CNST_TABLE_REF(((long) 2));
						{	/* Object/creator.scm 233 */
							obj_t BgL_list2639z00_840;

							{	/* Object/creator.scm 233 */
								obj_t BgL_arg2640z00_841;

								{	/* Object/creator.scm 233 */
									obj_t BgL_arg2641z00_842;

									BgL_arg2641z00_842 = MAKE_PAIR(BgL_arg2638z00_839, BNIL);
									BgL_arg2640z00_841 =
										MAKE_PAIR(BgL_arg2637z00_838, BgL_arg2641z00_842);
								}
								BgL_list2639z00_840 =
									MAKE_PAIR(BgL_arg2636z00_837, BgL_arg2640z00_841);
							}
							BgL_fillzd2idzd2_809 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list2639z00_840);
					}}
					{	/* Object/creator.scm 233 */
						obj_t BgL_mkzd2tidzd2_810;

						{	/* Object/creator.scm 234 */
							obj_t BgL_arg2635z00_836;

							{
								BgL_typez00_bglt BgL_auxz00_2554;

								BgL_auxz00_2554 = (BgL_typez00_bglt) (BgL_classz00_36);
								BgL_arg2635z00_836 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2554))->BgL_idz00);
							}
							BgL_mkzd2tidzd2_810 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_808,
								BgL_arg2635z00_836);
						}
						{	/* Object/creator.scm 234 */
							obj_t BgL_alloczd2widezd2_811;

							{	/* Object/creator.scm 235 */
								obj_t BgL_arg2629z00_830;

								{	/* Object/creator.scm 235 */
									obj_t BgL_arg2630z00_831;

									obj_t BgL_arg2631z00_832;

									{	/* Object/creator.scm 235 */
										obj_t BgL_symbolz00_1877;

										BgL_symbolz00_1877 = CNST_TABLE_REF(((long) 13));
										BgL_arg2630z00_831 = SYMBOL_TO_STRING(BgL_symbolz00_1877);
									}
									{	/* Object/creator.scm 235 */
										obj_t BgL_arg2634z00_835;

										{
											BgL_typez00_bglt BgL_auxz00_2560;

											BgL_auxz00_2560 = (BgL_typez00_bglt) (BgL_classz00_36);
											BgL_arg2634z00_835 =
												(((BgL_typez00_bglt) CREF(BgL_auxz00_2560))->BgL_idz00);
										}
										BgL_arg2631z00_832 = SYMBOL_TO_STRING(BgL_arg2634z00_835);
									}
									{	/* Object/creator.scm 235 */
										obj_t BgL_list2632z00_833;

										{	/* Object/creator.scm 235 */
											obj_t BgL_arg2633z00_834;

											BgL_arg2633z00_834 = MAKE_PAIR(BgL_arg2631z00_832, BNIL);
											BgL_list2632z00_833 =
												MAKE_PAIR(BgL_arg2630z00_831, BgL_arg2633z00_834);
										}
										BgL_arg2629z00_830 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list2632z00_833);
								}}
								BgL_alloczd2widezd2_811 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2629z00_830));
							}
							{	/* Object/creator.scm 235 */
								obj_t BgL_tidz00_812;

								if (CBOOL(BGl_za2sawza2z00zzengine_paramz00))
									{	/* Object/creator.scm 240 */
										obj_t BgL_arg2628z00_829;

										{
											BgL_typez00_bglt BgL_auxz00_2571;

											BgL_auxz00_2571 = (BgL_typez00_bglt) (BgL_classz00_36);
											BgL_arg2628z00_829 =
												(((BgL_typez00_bglt) CREF(BgL_auxz00_2571))->BgL_idz00);
										}
										BgL_tidz00_812 =
											BGl_sawzd2widezd2classzd2idzd2zzobject_classz00
											(BgL_arg2628z00_829);
									}
								else
									{	/* Object/creator.scm 240 */
										BgL_tidz00_812 = CNST_TABLE_REF(((long) 14));
									}
								{	/* Object/creator.scm 240 */
									obj_t BgL_talloczd2widezd2_813;

									BgL_talloczd2widezd2_813 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_alloczd2widezd2_811, BgL_tidz00_812);
									{	/* Object/creator.scm 241 */
										obj_t BgL_fzd2idszd2_814;

										{	/* Object/creator.scm 242 */
											obj_t BgL_arg2627z00_828;

											{
												obj_t BgL_auxz00_2577;

												{	/* Object/creator.scm 242 */
													BgL_objectz00_bglt BgL_auxz00_2578;

													BgL_auxz00_2578 =
														(BgL_objectz00_bglt) (BgL_classz00_36);
													BgL_auxz00_2577 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2578);
												}
												BgL_arg2627z00_828 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2577))->
													BgL_slotsz00);
											}
											BgL_fzd2idszd2_814 =
												BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
												(BgL_arg2627z00_828);
										}
										{	/* Object/creator.scm 242 */
											obj_t BgL_fzd2tidszd2_815;

											{	/* Object/creator.scm 243 */
												obj_t BgL_arg2626z00_827;

												{
													obj_t BgL_auxz00_2583;

													{	/* Object/creator.scm 243 */
														BgL_objectz00_bglt BgL_auxz00_2584;

														BgL_auxz00_2584 =
															(BgL_objectz00_bglt) (BgL_classz00_36);
														BgL_auxz00_2583 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2584);
													}
													BgL_arg2626z00_827 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2583))->
														BgL_slotsz00);
												}
												BgL_fzd2tidszd2_815 =
													BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
													(BgL_fzd2idszd2_814, BgL_arg2626z00_827);
											}
											{	/* Object/creator.scm 243 */
												obj_t BgL_sslotsz00_816;

												{	/* Object/creator.scm 244 */
													BgL_tclassz00_bglt BgL_obj2065z00_1885;

													{	/* Object/creator.scm 244 */
														obj_t BgL_auxz00_2589;

														{
															obj_t BgL_auxz00_2590;

															{	/* Object/creator.scm 244 */
																BgL_objectz00_bglt BgL_auxz00_2591;

																BgL_auxz00_2591 =
																	(BgL_objectz00_bglt) (BgL_classz00_36);
																BgL_auxz00_2590 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2591);
															}
															BgL_auxz00_2589 =
																(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2590))->
																BgL_itszd2superzd2);
														}
														BgL_obj2065z00_1885 =
															(BgL_tclassz00_bglt) (BgL_auxz00_2589);
													}
													{
														obj_t BgL_auxz00_2596;

														{	/* Object/creator.scm 244 */
															BgL_objectz00_bglt BgL_auxz00_2597;

															BgL_auxz00_2597 =
																(BgL_objectz00_bglt) (BgL_obj2065z00_1885);
															BgL_auxz00_2596 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2597);
														}
														BgL_sslotsz00_816 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2596))->
															BgL_slotsz00);
												}}
												{	/* Object/creator.scm 244 */
													obj_t BgL_szd2idszd2_817;

													BgL_szd2idszd2_817 =
														BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
														(BgL_sslotsz00_816);
													{	/* Object/creator.scm 245 */
														obj_t BgL_szd2tidszd2_818;

														BgL_szd2tidszd2_818 =
															BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
															(BgL_szd2idszd2_817, BgL_sslotsz00_816);
														{	/* Object/creator.scm 246 */

															{	/* Object/creator.scm 248 */
																obj_t BgL_arg2618z00_819;

																BgL_arg2618z00_819 =
																	MAKE_PAIR(BgL_mkzd2tidzd2_810,
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_szd2tidszd2_818,
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_fzd2tidszd2_815, BNIL)));
																BGl_importzd2parserzd2zzmodule_impusez00
																	(BgL_modulez00_38, BgL_arg2618z00_819, BNIL);
															}
															{	/* Object/creator.scm 249 */
																obj_t BgL_arg2622z00_823;

																BgL_arg2622z00_823 =
																	MAKE_PAIR(BgL_talloczd2widezd2_813,
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_fzd2tidszd2_815, BNIL));
																BGl_importzd2parserzd2zzmodule_impusez00
																	(BgL_modulez00_38, BgL_arg2622z00_823, BNIL);
															}
															return BNIL;
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* import-java-class-creator */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_jclassz00_bglt
		BgL_classz00_39, obj_t BgL_constrsz00_40, obj_t BgL_srczd2defzd2_41)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 256 */
			if (PAIRP(BgL_constrsz00_40))
				{	/* Object/creator.scm 257 */
					return
						BGl_genzd2javazd2classzd2creatorzd2zzobject_creatorz00
						(BgL_classz00_39, BgL_srczd2defzd2_41);
				}
			else
				{	/* Object/creator.scm 257 */
					return BNIL;
				}
		}
	}



/* _import-java-class-c3290 */
	obj_t BGl__importzd2javazd2classzd2c3290zd2zzobject_creatorz00(obj_t
		BgL_envz00_2086, obj_t BgL_classz00_2087, obj_t BgL_constrsz00_2088,
		obj_t BgL_srczd2defzd2_2089)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 256 */
			return
				BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00(
				(BgL_jclassz00_bglt) (BgL_classz00_2087), BgL_constrsz00_2088,
				BgL_srczd2defzd2_2089);
		}
	}



/* gen-java-class-constructors */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00
		(BgL_jclassz00_bglt BgL_classz00_42, obj_t BgL_constrsz00_43,
		obj_t BgL_srczd2defzd2_44)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 264 */
			if (NULLP(BgL_constrsz00_43))
				{	/* Object/creator.scm 294 */
					return BNIL;
				}
			else
				{	/* Object/creator.scm 294 */
					obj_t BgL_head2392z00_853;

					BgL_head2392z00_853 =
						MAKE_PAIR(BGl_genzd2onezd2constructorz00zzobject_creatorz00
						(BgL_constrsz00_43, BgL_classz00_42, CAR(BgL_constrsz00_43)), BNIL);
					{	/* Object/creator.scm 294 */
						obj_t BgL_g2395z00_854;

						BgL_g2395z00_854 = CDR(BgL_constrsz00_43);
						{
							obj_t BgL_l2390z00_856;

							obj_t BgL_tail2393z00_857;

							BgL_l2390z00_856 = BgL_g2395z00_854;
							BgL_tail2393z00_857 = BgL_head2392z00_853;
						BgL_zc3anonymousza32651ze3z83_858:
							if (NULLP(BgL_l2390z00_856))
								{	/* Object/creator.scm 294 */
									return BgL_head2392z00_853;
								}
							else
								{	/* Object/creator.scm 294 */
									obj_t BgL_newtail2394z00_860;

									BgL_newtail2394z00_860 =
										MAKE_PAIR(BGl_genzd2onezd2constructorz00zzobject_creatorz00
										(BgL_constrsz00_43, BgL_classz00_42, CAR(BgL_l2390z00_856)),
										BNIL);
									SET_CDR(BgL_tail2393z00_857, BgL_newtail2394z00_860);
									{
										obj_t BgL_tail2393z00_2629;

										obj_t BgL_l2390z00_2627;

										BgL_l2390z00_2627 = CDR(BgL_l2390z00_856);
										BgL_tail2393z00_2629 = BgL_newtail2394z00_860;
										BgL_tail2393z00_857 = BgL_tail2393z00_2629;
										BgL_l2390z00_856 = BgL_l2390z00_2627;
										goto BgL_zc3anonymousza32651ze3z83_858;
									}
								}
						}
					}
				}
		}
	}



/* gen-one-constructor */
	obj_t BGl_genzd2onezd2constructorz00zzobject_creatorz00(obj_t
		BgL_constrsz00_2097, BgL_jclassz00_bglt BgL_classz00_2096,
		obj_t BgL_constrz00_869)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 293 */
			{
				obj_t BgL_identz00_871;

				obj_t BgL_argszd2typezd2_872;

				if (PAIRP(BgL_constrz00_869))
					{	/* Object/creator.scm 293 */
						BgL_identz00_871 = CAR(BgL_constrz00_869);
						BgL_argszd2typezd2_872 = CDR(BgL_constrz00_869);
						{	/* Object/creator.scm 271 */
							obj_t BgL_jidz00_878;

							{
								BgL_typez00_bglt BgL_auxz00_2632;

								BgL_auxz00_2632 = (BgL_typez00_bglt) (BgL_classz00_2096);
								BgL_jidz00_878 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2632))->BgL_idz00);
							}
							{	/* Object/creator.scm 271 */
								obj_t BgL_locz00_879;

								BgL_locz00_879 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_constrsz00_2097);
								{	/* Object/creator.scm 272 */
									obj_t BgL_cidz00_880;

									BgL_cidz00_880 =
										BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(BgL_identz00_871,
										BgL_locz00_879);
									{	/* Object/creator.scm 273 */
										obj_t BgL_tidz00_881;

										{	/* Object/creator.scm 274 */
											obj_t BgL_arg2726z00_973;

											{	/* Object/creator.scm 274 */
												obj_t BgL_list2727z00_974;

												{	/* Object/creator.scm 274 */
													obj_t BgL_arg2728z00_975;

													{	/* Object/creator.scm 274 */
														obj_t BgL_arg2729z00_976;

														obj_t BgL_arg2730z00_977;

														BgL_arg2729z00_976 = CNST_TABLE_REF(((long) 5));
														BgL_arg2730z00_977 =
															MAKE_PAIR(BgL_cidz00_880, BNIL);
														BgL_arg2728z00_975 =
															MAKE_PAIR(BgL_arg2729z00_976, BgL_arg2730z00_977);
													}
													BgL_list2727z00_974 =
														MAKE_PAIR(BgL_jidz00_878, BgL_arg2728z00_975);
												}
												BgL_arg2726z00_973 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list2727z00_974);
											}
											BgL_tidz00_881 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_arg2726z00_973, BgL_jidz00_878);
										}
										{	/* Object/creator.scm 274 */
											obj_t BgL_argszd2idzd2_882;

											if (NULLP(BgL_argszd2typezd2_872))
												{	/* Object/creator.scm 275 */
													BgL_argszd2idzd2_882 = BNIL;
												}
											else
												{	/* Object/creator.scm 275 */
													obj_t BgL_head2376z00_959;

													BgL_head2376z00_959 = MAKE_PAIR(BNIL, BNIL);
													{
														obj_t BgL_l2374z00_961;

														obj_t BgL_tail2377z00_962;

														BgL_l2374z00_961 = BgL_argszd2typezd2_872;
														BgL_tail2377z00_962 = BgL_head2376z00_959;
													BgL_zc3anonymousza32719ze3z83_963:
														if (NULLP(BgL_l2374z00_961))
															{	/* Object/creator.scm 275 */
																BgL_argszd2idzd2_882 = CDR(BgL_head2376z00_959);
															}
														else
															{	/* Object/creator.scm 275 */
																obj_t BgL_newtail2378z00_965;

																{	/* Object/creator.scm 275 */
																	obj_t BgL_arg2723z00_967;

																	{	/* Object/creator.scm 275 */
																		obj_t BgL_arg2725z00_970;

																		{	/* Object/creator.scm 275 */

																			{	/* Object/creator.scm 275 */

																				BgL_arg2725z00_970 =
																					BGl_gensymz00zz__r4_symbols_6_4z00
																					(BFALSE);
																			}
																		}
																		BgL_arg2723z00_967 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg2725z00_970);
																	}
																	BgL_newtail2378z00_965 =
																		MAKE_PAIR(BgL_arg2723z00_967, BNIL);
																}
																SET_CDR(BgL_tail2377z00_962,
																	BgL_newtail2378z00_965);
																{
																	obj_t BgL_tail2377z00_2655;

																	obj_t BgL_l2374z00_2653;

																	BgL_l2374z00_2653 = CDR(BgL_l2374z00_961);
																	BgL_tail2377z00_2655 = BgL_newtail2378z00_965;
																	BgL_tail2377z00_962 = BgL_tail2377z00_2655;
																	BgL_l2374z00_961 = BgL_l2374z00_2653;
																	goto BgL_zc3anonymousza32719ze3z83_963;
																}
															}
													}
												}
											{	/* Object/creator.scm 275 */
												obj_t BgL_selfz00_883;

												{	/* Object/creator.scm 277 */
													obj_t BgL_arg2717z00_955;

													{	/* Object/creator.scm 277 */

														{	/* Object/creator.scm 277 */

															BgL_arg2717z00_955 =
																BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
														}
													}
													BgL_selfz00_883 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BgL_arg2717z00_955);
												}
												{	/* Object/creator.scm 277 */
													obj_t BgL_tselfz00_884;

													BgL_tselfz00_884 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_selfz00_883, BgL_jidz00_878);
													{	/* Object/creator.scm 278 */
														obj_t BgL_targsz00_885;

														if (NULLP(BgL_argszd2idzd2_882))
															{	/* Object/creator.scm 279 */
																BgL_targsz00_885 = BNIL;
															}
														else
															{	/* Object/creator.scm 279 */
																obj_t BgL_head2381z00_935;

																BgL_head2381z00_935 = MAKE_PAIR(BNIL, BNIL);
																{
																	obj_t BgL_ll2379z00_937;

																	obj_t BgL_ll2380z00_938;

																	obj_t BgL_tail2382z00_939;

																	BgL_ll2379z00_937 = BgL_argszd2idzd2_882;
																	BgL_ll2380z00_938 = BgL_argszd2typezd2_872;
																	BgL_tail2382z00_939 = BgL_head2381z00_935;
																BgL_zc3anonymousza32704ze3z83_940:
																	if (NULLP(BgL_ll2379z00_937))
																		{	/* Object/creator.scm 279 */
																			BgL_targsz00_885 =
																				CDR(BgL_head2381z00_935);
																		}
																	else
																		{	/* Object/creator.scm 279 */
																			obj_t BgL_newtail2383z00_942;

																			{	/* Object/creator.scm 279 */
																				obj_t BgL_arg2708z00_945;

																				{	/* Object/creator.scm 279 */
																					obj_t BgL_idz00_947;

																					obj_t BgL_typez00_948;

																					BgL_idz00_947 =
																						CAR(BgL_ll2379z00_937);
																					BgL_typez00_948 =
																						CAR(BgL_ll2380z00_938);
																					{	/* Object/creator.scm 280 */
																						obj_t BgL_arg2711z00_949;

																						{	/* Object/creator.scm 280 */
																							obj_t BgL_arg2712z00_950;

																							obj_t BgL_arg2713z00_951;

																							BgL_arg2712z00_950 =
																								SYMBOL_TO_STRING(BgL_idz00_947);
																							BgL_arg2713z00_951 =
																								SYMBOL_TO_STRING
																								(BgL_typez00_948);
																							{	/* Object/creator.scm 280 */
																								obj_t BgL_list2714z00_952;

																								{	/* Object/creator.scm 280 */
																									obj_t BgL_arg2715z00_953;

																									BgL_arg2715z00_953 =
																										MAKE_PAIR
																										(BgL_arg2713z00_951, BNIL);
																									BgL_list2714z00_952 =
																										MAKE_PAIR
																										(BgL_arg2712z00_950,
																										BgL_arg2715z00_953);
																								}
																								BgL_arg2711z00_949 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2714z00_952);
																							}
																						}
																						BgL_arg2708z00_945 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_arg2711z00_949));
																					}
																				}
																				BgL_newtail2383z00_942 =
																					MAKE_PAIR(BgL_arg2708z00_945, BNIL);
																			}
																			SET_CDR(BgL_tail2382z00_939,
																				BgL_newtail2383z00_942);
																			{
																				obj_t BgL_tail2382z00_2680;

																				obj_t BgL_ll2380z00_2678;

																				obj_t BgL_ll2379z00_2676;

																				BgL_ll2379z00_2676 =
																					CDR(BgL_ll2379z00_937);
																				BgL_ll2380z00_2678 =
																					CDR(BgL_ll2380z00_938);
																				BgL_tail2382z00_2680 =
																					BgL_newtail2383z00_942;
																				BgL_tail2382z00_939 =
																					BgL_tail2382z00_2680;
																				BgL_ll2380z00_938 = BgL_ll2380z00_2678;
																				BgL_ll2379z00_937 = BgL_ll2379z00_2676;
																				goto BgL_zc3anonymousza32704ze3z83_940;
																			}
																		}
																}
															}
														{	/* Object/creator.scm 279 */
															obj_t BgL_defz00_886;

															{	/* Object/creator.scm 282 */
																obj_t BgL_arg2671z00_896;

																obj_t BgL_arg2672z00_897;

																BgL_arg2671z00_896 =
																	CNST_TABLE_REF(((long) 15));
																{	/* Object/creator.scm 282 */
																	obj_t BgL_arg2673z00_898;

																	obj_t BgL_arg2674z00_899;

																	BgL_arg2673z00_898 =
																		MAKE_PAIR(BgL_tidz00_881,
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_targsz00_885, BNIL));
																	{	/* Object/creator.scm 284 */
																		obj_t BgL_runner2702z00_931;

																		{	/* Object/creator.scm 284 */
																			obj_t BgL_arg2679z00_904;

																			obj_t BgL_arg2681z00_905;

																			BgL_arg2679z00_904 =
																				CNST_TABLE_REF(((long) 9));
																			{	/* Object/creator.scm 285 */
																				obj_t BgL_arg2685z00_909;

																				obj_t BgL_arg2687z00_910;

																				BgL_arg2685z00_909 =
																					CNST_TABLE_REF(((long) 16));
																				{	/* Object/creator.scm 285 */
																					obj_t BgL_arg2688z00_911;

																					if (NULLP(BgL_argszd2typezd2_872))
																						{	/* Object/creator.scm 285 */
																							BgL_arg2688z00_911 = BNIL;
																						}
																					else
																						{	/* Object/creator.scm 285 */
																							obj_t BgL_head2387z00_916;

																							BgL_head2387z00_916 =
																								MAKE_PAIR(BNIL, BNIL);
																							{
																								obj_t BgL_l2385z00_918;

																								obj_t BgL_tail2388z00_919;

																								BgL_l2385z00_918 =
																									BgL_argszd2typezd2_872;
																								BgL_tail2388z00_919 =
																									BgL_head2387z00_916;
																							BgL_zc3anonymousza32692ze3z83_920:
																								if (NULLP
																									(BgL_l2385z00_918))
																									{	/* Object/creator.scm 285 */
																										BgL_arg2688z00_911 =
																											CDR(BgL_head2387z00_916);
																									}
																								else
																									{	/* Object/creator.scm 285 */
																										obj_t
																											BgL_newtail2389z00_922;
																										{	/* Object/creator.scm 285 */
																											obj_t BgL_arg2696z00_924;

																											{	/* Object/creator.scm 285 */
																												obj_t BgL_az00_926;

																												BgL_az00_926 =
																													CAR(BgL_l2385z00_918);
																												{
																													BgL_typez00_bglt
																														BgL_auxz00_2693;
																													BgL_auxz00_2693 =
																														BGl_typezd2ofzd2idz00zzast_identz00
																														(BgL_az00_926,
																														BgL_locz00_879);
																													BgL_arg2696z00_924 =
																														(((BgL_typez00_bglt)
																															CREF
																															(BgL_auxz00_2693))->
																														BgL_idz00);
																												}
																											}
																											BgL_newtail2389z00_922 =
																												MAKE_PAIR
																												(BgL_arg2696z00_924,
																												BNIL);
																										}
																										SET_CDR(BgL_tail2388z00_919,
																											BgL_newtail2389z00_922);
																										{
																											obj_t
																												BgL_tail2388z00_2700;
																											obj_t BgL_l2385z00_2698;

																											BgL_l2385z00_2698 =
																												CDR(BgL_l2385z00_918);
																											BgL_tail2388z00_2700 =
																												BgL_newtail2389z00_922;
																											BgL_tail2388z00_919 =
																												BgL_tail2388z00_2700;
																											BgL_l2385z00_918 =
																												BgL_l2385z00_2698;
																											goto
																												BgL_zc3anonymousza32692ze3z83_920;
																										}
																									}
																							}
																						}
																					{	/* Object/creator.scm 285 */
																						obj_t BgL_list2690z00_913;

																						BgL_list2690z00_913 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2687z00_910 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2688z00_911,
																							BgL_list2690z00_913);
																					}
																				}
																				BgL_arg2681z00_905 =
																					MAKE_PAIR(BgL_arg2685z00_909,
																					BgL_arg2687z00_910);
																			}
																			{	/* Object/creator.scm 284 */
																				obj_t BgL_list2682z00_906;

																				{	/* Object/creator.scm 284 */
																					obj_t BgL_arg2683z00_907;

																					{	/* Object/creator.scm 284 */
																						obj_t BgL_arg2684z00_908;

																						BgL_arg2684z00_908 =
																							MAKE_PAIR(BgL_argszd2idzd2_882,
																							BNIL);
																						BgL_arg2683z00_907 =
																							MAKE_PAIR(BgL_arg2681z00_905,
																							BgL_arg2684z00_908);
																					}
																					BgL_list2682z00_906 =
																						MAKE_PAIR(BgL_jidz00_878,
																						BgL_arg2683z00_907);
																				}
																				BgL_runner2702z00_931 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2679z00_904,
																					BgL_list2682z00_906);
																			}
																		}
																		{	/* Object/creator.scm 284 */
																			obj_t BgL_aux2700z00_929;

																			BgL_aux2700z00_929 =
																				CAR(BgL_runner2702z00_931);
																			BgL_runner2702z00_931 =
																				CDR(BgL_runner2702z00_931);
																			{	/* Object/creator.scm 284 */
																				obj_t BgL_aux2701z00_930;

																				BgL_aux2701z00_930 =
																					CAR(BgL_runner2702z00_931);
																				BgL_runner2702z00_931 =
																					CDR(BgL_runner2702z00_931);
																				BgL_arg2674z00_899 =
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(BgL_aux2700z00_929,
																					BgL_aux2701z00_930,
																					BgL_runner2702z00_931);
																			}
																		}
																	}
																	{	/* Object/creator.scm 282 */
																		obj_t BgL_list2676z00_901;

																		{	/* Object/creator.scm 282 */
																			obj_t BgL_arg2677z00_902;

																			BgL_arg2677z00_902 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2676z00_901 =
																				MAKE_PAIR(BgL_arg2674z00_899,
																				BgL_arg2677z00_902);
																		}
																		BgL_arg2672z00_897 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2673z00_898, BgL_list2676z00_901);
																	}
																}
																BgL_defz00_886 =
																	MAKE_PAIR(BgL_arg2671z00_896,
																	BgL_arg2672z00_897);
															}
															{	/* Object/creator.scm 282 */
																obj_t BgL_scopez00_887;

																if (BGl_inlinezd2creatorszf3z21zzobject_creatorz00())
																	{	/* Object/creator.scm 290 */
																		BgL_scopez00_887 =
																			CNST_TABLE_REF(((long) 10));
																	}
																else
																	{	/* Object/creator.scm 290 */
																		BgL_scopez00_887 =
																			CNST_TABLE_REF(((long) 17));
																	}
																{	/* Object/creator.scm 290 */
																	obj_t BgL_modz00_888;

																	{	/* Object/creator.scm 291 */
																		obj_t BgL_arg2665z00_890;

																		{	/* Object/creator.scm 291 */
																			obj_t BgL_arg2666z00_891;

																			BgL_arg2666z00_891 =
																				MAKE_PAIR(BgL_tidz00_881,
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_argszd2typezd2_872, BNIL));
																			{	/* Object/creator.scm 291 */
																				obj_t BgL_list2668z00_893;

																				BgL_list2668z00_893 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2665z00_890 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2666z00_891,
																					BgL_list2668z00_893);
																		}}
																		BgL_modz00_888 =
																			MAKE_PAIR(BgL_scopez00_887,
																			BgL_arg2665z00_890);
																	}
																	{	/* Object/creator.scm 291 */

																		BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																			(BgL_modz00_888);
																		{	/* Object/creator.scm 293 */
																			obj_t BgL_list2664z00_889;

																			BgL_list2664z00_889 =
																				MAKE_PAIR(BgL_constrz00_869, BNIL);
																			return
																				BGl_epairifyza2za2zztools_miscz00
																				(BgL_defz00_886, BgL_list2664z00_889);
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				else
					{	/* Object/creator.scm 293 */
						return BFALSE;
					}
			}
		}
	}



/* _gen-java-class-cons3291 */
	obj_t BGl__genzd2javazd2classzd2cons3291zd2zzobject_creatorz00(obj_t
		BgL_envz00_2090, obj_t BgL_classz00_2091, obj_t BgL_constrsz00_2092,
		obj_t BgL_srczd2defzd2_2093)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 264 */
			return
				BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00(
				(BgL_jclassz00_bglt) (BgL_classz00_2091), BgL_constrsz00_2092,
				BgL_srczd2defzd2_2093);
		}
	}



/* gen-class-fill! */
	obj_t BGl_genzd2classzd2fillz12z12zzobject_creatorz00(obj_t
		BgL_fillzd2idzd2_45, obj_t BgL_idz00_46, BgL_tclassz00_bglt BgL_typez00_47,
		obj_t BgL_srczd2defzd2_48, obj_t BgL_importz00_49)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 302 */
			{	/* Object/creator.scm 303 */
				obj_t BgL_tidz00_979;

				{	/* Object/creator.scm 303 */
					bool_t BgL_testz00_2733;

					if (BGl_widezd2classzf3z21zzobject_classz00((obj_t) (BgL_typez00_47)))
						{	/* Object/creator.scm 303 */
							BgL_testz00_2733 = CBOOL(BGl_za2sawza2z00zzengine_paramz00);
						}
					else
						{	/* Object/creator.scm 303 */
							BgL_testz00_2733 = ((bool_t) 0);
						}
					if (BgL_testz00_2733)
						{	/* Object/creator.scm 304 */
							obj_t BgL_arg2780z00_1053;

							{
								BgL_typez00_bglt BgL_auxz00_2738;

								BgL_auxz00_2738 = (BgL_typez00_bglt) (BgL_typez00_47);
								BgL_arg2780z00_1053 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2738))->BgL_idz00);
							}
							BgL_tidz00_979 =
								BGl_sawzd2widezd2classzd2idzd2zzobject_classz00
								(BgL_arg2780z00_1053);
						}
					else
						{
							BgL_typez00_bglt BgL_auxz00_2742;

							BgL_auxz00_2742 = (BgL_typez00_bglt) (BgL_typez00_47);
							BgL_tidz00_979 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_2742))->BgL_idz00);
						}
				}
				{	/* Object/creator.scm 303 */
					obj_t BgL_slotsz00_980;

					{
						obj_t BgL_auxz00_2745;

						{	/* Object/creator.scm 306 */
							BgL_objectz00_bglt BgL_auxz00_2746;

							BgL_auxz00_2746 = (BgL_objectz00_bglt) (BgL_typez00_47);
							BgL_auxz00_2745 = BGL_OBJECT_WIDENING(BgL_auxz00_2746);
						}
						BgL_slotsz00_980 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2745))->BgL_slotsz00);
					}
					{	/* Object/creator.scm 306 */
						obj_t BgL_fillzd2tidzd2_981;

						BgL_fillzd2tidzd2_981 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_fillzd2idzd2_45,
							BgL_tidz00_979);
						{	/* Object/creator.scm 307 */
							obj_t BgL_fzd2idszd2_982;

							BgL_fzd2idszd2_982 =
								BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
								(BgL_slotsz00_980);
							{	/* Object/creator.scm 308 */
								obj_t BgL_fzd2tidszd2_983;

								BgL_fzd2tidszd2_983 =
									BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
									(BgL_fzd2idszd2_982, BgL_slotsz00_980);
								{	/* Object/creator.scm 309 */
									obj_t BgL_newz00_984;

									BgL_newz00_984 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													9))));
									{	/* Object/creator.scm 310 */
										obj_t BgL_tnewz00_985;

										{	/* Object/creator.scm 311 */
											bool_t BgL_testz00_2756;

											if (BGl_widezd2classzf3z21zzobject_classz00(
													(obj_t) (BgL_typez00_47)))
												{	/* Object/creator.scm 312 */
													obj_t BgL_arg2777z00_1050;

													BgL_arg2777z00_1050 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													{
														BgL_backendz00_bglt BgL_auxz00_2761;

														BgL_auxz00_2761 =
															(BgL_backendz00_bglt) (BgL_arg2777z00_1050);
														BgL_testz00_2756 =
															(((BgL_backendz00_bglt) CREF(BgL_auxz00_2761))->
															BgL_typedz00);
													}
												}
											else
												{	/* Object/creator.scm 311 */
													BgL_testz00_2756 = ((bool_t) 0);
												}
											if (BgL_testz00_2756)
												{	/* Object/creator.scm 311 */
													BgL_tnewz00_985 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_newz00_984, CNST_TABLE_REF(((long) 14)));
												}
											else
												{	/* Object/creator.scm 311 */
													BgL_tnewz00_985 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_newz00_984, BgL_tidz00_979);
												}
										}
										{	/* Object/creator.scm 311 */
											obj_t BgL_ridz00_986;

											BgL_ridz00_986 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 18))));
											{	/* Object/creator.scm 315 */
												obj_t BgL_rtidz00_987;

												{	/* Object/creator.scm 316 */
													obj_t BgL_arg2769z00_1042;

													{	/* Object/creator.scm 316 */
														obj_t BgL_arg2770z00_1043;

														obj_t BgL_arg2771z00_1044;

														BgL_arg2770z00_1043 =
															SYMBOL_TO_STRING(BgL_ridz00_986);
														{	/* Object/creator.scm 316 */
															obj_t BgL_symbolz00_1952;

															BgL_symbolz00_1952 = CNST_TABLE_REF(((long) 19));
															BgL_arg2771z00_1044 =
																SYMBOL_TO_STRING(BgL_symbolz00_1952);
														}
														{	/* Object/creator.scm 316 */
															obj_t BgL_list2772z00_1045;

															{	/* Object/creator.scm 316 */
																obj_t BgL_arg2773z00_1046;

																BgL_arg2773z00_1046 =
																	MAKE_PAIR(BgL_arg2771z00_1044, BNIL);
																BgL_list2772z00_1045 =
																	MAKE_PAIR(BgL_arg2770z00_1043,
																	BgL_arg2773z00_1046);
															}
															BgL_arg2769z00_1042 =
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list2772z00_1045);
													}}
													BgL_rtidz00_987 =
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg2769z00_1042));
												}
												{	/* Object/creator.scm 316 */

													{

														{	/* Object/creator.scm 326 */
															obj_t BgL_protoz00_989;

															obj_t BgL_bodyz00_990;

															{	/* Object/creator.scm 326 */
																obj_t BgL_arg2744z00_1004;

																{	/* Object/creator.scm 326 */
																	obj_t BgL_list2745z00_1005;

																	BgL_list2745z00_1005 =
																		MAKE_PAIR(BgL_fzd2tidszd2_983, BNIL);
																	BgL_arg2744z00_1004 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_tnewz00_985, BgL_list2745z00_1005);
																}
																BgL_protoz00_989 =
																	MAKE_PAIR(BgL_fillzd2tidzd2_981,
																	BgL_arg2744z00_1004);
															}
															{	/* Object/creator.scm 319 */
																obj_t BgL_alloczd2idzd2_1008;

																{	/* Object/creator.scm 320 */
																	obj_t BgL_arg2764z00_1036;

																	{	/* Object/creator.scm 320 */
																		obj_t BgL_arg2765z00_1037;

																		obj_t BgL_arg2766z00_1038;

																		{	/* Object/creator.scm 320 */
																			obj_t BgL_symbolz00_1955;

																			BgL_symbolz00_1955 =
																				CNST_TABLE_REF(((long) 7));
																			BgL_arg2765z00_1037 =
																				SYMBOL_TO_STRING(BgL_symbolz00_1955);
																		}
																		BgL_arg2766z00_1038 =
																			SYMBOL_TO_STRING(BgL_idz00_46);
																		{	/* Object/creator.scm 320 */
																			obj_t BgL_list2767z00_1039;

																			{	/* Object/creator.scm 320 */
																				obj_t BgL_arg2768z00_1040;

																				BgL_arg2768z00_1040 =
																					MAKE_PAIR(BgL_arg2766z00_1038, BNIL);
																				BgL_list2767z00_1039 =
																					MAKE_PAIR(BgL_arg2765z00_1037,
																					BgL_arg2768z00_1040);
																			}
																			BgL_arg2764z00_1036 =
																				BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																				(BgL_list2767z00_1039);
																	}}
																	BgL_alloczd2idzd2_1008 =
																		string_to_symbol(BSTRING_TO_STRING
																		(BgL_arg2764z00_1036));
																}
																{	/* Object/creator.scm 320 */

																	{	/* Object/creator.scm 321 */
																		obj_t BgL_arg2747z00_1009;

																		obj_t BgL_arg2748z00_1010;

																		BgL_arg2747z00_1009 =
																			CNST_TABLE_REF(((long) 20));
																		{	/* Object/creator.scm 321 */
																			obj_t BgL_arg2749z00_1011;

																			obj_t BgL_arg2750z00_1012;

																			if (NULLP(BgL_fzd2tidszd2_983))
																				{	/* Object/creator.scm 321 */
																					BgL_arg2749z00_1011 = BNIL;
																				}
																			else
																				{	/* Object/creator.scm 321 */
																					obj_t BgL_head2398z00_1017;

																					BgL_head2398z00_1017 =
																						MAKE_PAIR(BNIL, BNIL);
																					{
																						obj_t BgL_ll2396z00_1019;

																						obj_t BgL_ll2397z00_1020;

																						obj_t BgL_tail2399z00_1021;

																						BgL_ll2396z00_1019 =
																							BgL_fzd2tidszd2_983;
																						BgL_ll2397z00_1020 =
																							BgL_fzd2idszd2_982;
																						BgL_tail2399z00_1021 =
																							BgL_head2398z00_1017;
																					BgL_zc3anonymousza32753ze3z83_1022:
																						if (NULLP(BgL_ll2396z00_1019))
																							{	/* Object/creator.scm 321 */
																								BgL_arg2749z00_1011 =
																									CDR(BgL_head2398z00_1017);
																							}
																						else
																							{	/* Object/creator.scm 321 */
																								obj_t BgL_newtail2400z00_1024;

																								{	/* Object/creator.scm 321 */
																									obj_t BgL_arg2757z00_1027;

																									{	/* Object/creator.scm 321 */
																										obj_t BgL_ftz00_1029;

																										obj_t BgL_fz00_1030;

																										BgL_ftz00_1029 =
																											CAR(BgL_ll2396z00_1019);
																										BgL_fz00_1030 =
																											CAR(BgL_ll2397z00_1020);
																										{	/* Object/creator.scm 321 */
																											obj_t BgL_arg2760z00_1031;

																											{	/* Object/creator.scm 321 */
																												obj_t
																													BgL_list2761z00_1032;
																												BgL_list2761z00_1032 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2760z00_1031 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_fz00_1030,
																													BgL_list2761z00_1032);
																											}
																											BgL_arg2757z00_1027 =
																												MAKE_PAIR
																												(BgL_ftz00_1029,
																												BgL_arg2760z00_1031);
																										}
																									}
																									BgL_newtail2400z00_1024 =
																										MAKE_PAIR
																										(BgL_arg2757z00_1027, BNIL);
																								}
																								SET_CDR(BgL_tail2399z00_1021,
																									BgL_newtail2400z00_1024);
																								{
																									obj_t BgL_tail2399z00_2807;

																									obj_t BgL_ll2397z00_2805;

																									obj_t BgL_ll2396z00_2803;

																									BgL_ll2396z00_2803 =
																										CDR(BgL_ll2396z00_1019);
																									BgL_ll2397z00_2805 =
																										CDR(BgL_ll2397z00_1020);
																									BgL_tail2399z00_2807 =
																										BgL_newtail2400z00_1024;
																									BgL_tail2399z00_1021 =
																										BgL_tail2399z00_2807;
																									BgL_ll2397z00_1020 =
																										BgL_ll2397z00_2805;
																									BgL_ll2396z00_1019 =
																										BgL_ll2396z00_2803;
																									goto
																										BgL_zc3anonymousza32753ze3z83_1022;
																								}
																							}
																					}
																				}
																			{	/* Object/creator.scm 322 */
																				obj_t BgL_arg2762z00_1034;

																				obj_t BgL_arg2763z00_1035;

																				BgL_arg2762z00_1034 =
																					BGl_makezd2classzd2slotzd2makez12zc0zzobject_creatorz00
																					(BgL_typez00_47, BgL_newz00_984,
																					BgL_ridz00_986, BgL_rtidz00_987,
																					BgL_slotsz00_980, BgL_fzd2idszd2_982);
																				BgL_arg2763z00_1035 =
																					MAKE_PAIR(BgL_newz00_984, BNIL);
																				BgL_arg2750z00_1012 =
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2762z00_1034,
																					BgL_arg2763z00_1035);
																			}
																			{	/* Object/creator.scm 321 */
																				obj_t BgL_list2751z00_1013;

																				BgL_list2751z00_1013 =
																					MAKE_PAIR(BgL_arg2750z00_1012, BNIL);
																				BgL_arg2748z00_1010 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2749z00_1011,
																					BgL_list2751z00_1013);
																			}
																		}
																		BgL_bodyz00_990 =
																			MAKE_PAIR(BgL_arg2747z00_1009,
																			BgL_arg2748z00_1010);
																	}
																}
															}
															{	/* Object/creator.scm 329 */
																obj_t BgL_arg2731z00_991;

																{	/* Object/creator.scm 329 */
																	obj_t BgL_arg2732z00_992;

																	{	/* Object/creator.scm 329 */
																		obj_t BgL_arg2733z00_993;

																		{	/* Object/creator.scm 329 */
																			obj_t BgL_arg2736z00_996;

																			obj_t BgL_arg2737z00_997;

																			BgL_arg2736z00_996 =
																				CNST_TABLE_REF(((long) 11));
																			BgL_arg2737z00_997 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_protoz00_989, BNIL);
																			BgL_arg2733z00_993 =
																				MAKE_PAIR(BgL_arg2736z00_996,
																				BgL_arg2737z00_997);
																		}
																		{	/* Object/creator.scm 329 */
																			obj_t BgL_list2735z00_995;

																			BgL_list2735z00_995 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2732z00_992 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2733z00_993,
																				BgL_list2735z00_995);
																	}}
																	BgL_arg2731z00_991 =
																		MAKE_PAIR(BgL_importz00_49,
																		BgL_arg2732z00_992);
																}
																BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																	(BgL_arg2731z00_991);
															}
															{	/* Object/creator.scm 331 */
																obj_t BgL_arg2738z00_998;

																{	/* Object/creator.scm 331 */
																	obj_t BgL_arg2740z00_1000;

																	obj_t BgL_arg2741z00_1001;

																	BgL_arg2740z00_1000 =
																		CNST_TABLE_REF(((long) 8));
																	{	/* Object/creator.scm 331 */
																		obj_t BgL_list2742z00_1002;

																		{	/* Object/creator.scm 331 */
																			obj_t BgL_arg2743z00_1003;

																			BgL_arg2743z00_1003 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2742z00_1002 =
																				MAKE_PAIR(BgL_bodyz00_990,
																				BgL_arg2743z00_1003);
																		}
																		BgL_arg2741z00_1001 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_protoz00_989, BgL_list2742z00_1002);
																	}
																	BgL_arg2738z00_998 =
																		MAKE_PAIR(BgL_arg2740z00_1000,
																		BgL_arg2741z00_1001);
																}
																{	/* Object/creator.scm 331 */
																	obj_t BgL_list2739z00_999;

																	BgL_list2739z00_999 =
																		MAKE_PAIR(BgL_srczd2defzd2_48, BNIL);
																	return
																		BGl_epairifyza2za2zztools_miscz00
																		(BgL_arg2738z00_998, BgL_list2739z00_999);
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* gen-class-make! */
	obj_t BGl_genzd2classzd2makez12z12zzobject_creatorz00(obj_t
		BgL_wideningz00_50, obj_t BgL_mkzd2idzd2_51, obj_t BgL_idz00_52,
		BgL_tclassz00_bglt BgL_typez00_53, obj_t BgL_srczd2defzd2_54,
		obj_t BgL_importz00_55)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 338 */
			{	/* Object/creator.scm 339 */
				obj_t BgL_tidz00_1055;

				{	/* Object/creator.scm 339 */
					bool_t BgL_testz00_2828;

					if ((BgL_wideningz00_50 == CNST_TABLE_REF(((long) 6))))
						{	/* Object/creator.scm 339 */
							if (BGl_widezd2classzf3z21zzobject_classz00(
									(obj_t) (BgL_typez00_53)))
								{	/* Object/creator.scm 340 */
									BgL_testz00_2828 = CBOOL(BGl_za2sawza2z00zzengine_paramz00);
								}
							else
								{	/* Object/creator.scm 340 */
									BgL_testz00_2828 = ((bool_t) 0);
								}
						}
					else
						{	/* Object/creator.scm 339 */
							BgL_testz00_2828 = ((bool_t) 0);
						}
					if (BgL_testz00_2828)
						{	/* Object/creator.scm 342 */
							obj_t BgL_arg2926z00_1242;

							{
								BgL_typez00_bglt BgL_auxz00_2836;

								BgL_auxz00_2836 = (BgL_typez00_bglt) (BgL_typez00_53);
								BgL_arg2926z00_1242 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_2836))->BgL_idz00);
							}
							BgL_tidz00_1055 =
								BGl_sawzd2widezd2classzd2idzd2zzobject_classz00
								(BgL_arg2926z00_1242);
						}
					else
						{
							BgL_typez00_bglt BgL_auxz00_2840;

							BgL_auxz00_2840 = (BgL_typez00_bglt) (BgL_typez00_53);
							BgL_tidz00_1055 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_2840))->BgL_idz00);
						}
				}
				{	/* Object/creator.scm 339 */
					obj_t BgL_slotsz00_1056;

					{
						obj_t BgL_auxz00_2843;

						{	/* Object/creator.scm 344 */
							BgL_objectz00_bglt BgL_auxz00_2844;

							BgL_auxz00_2844 = (BgL_objectz00_bglt) (BgL_typez00_53);
							BgL_auxz00_2843 = BGL_OBJECT_WIDENING(BgL_auxz00_2844);
						}
						BgL_slotsz00_1056 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2843))->BgL_slotsz00);
					}
					{	/* Object/creator.scm 345 */
						obj_t BgL_constrsz00_1058;

						BgL_constrsz00_1058 =
							BGl_findzd2classzd2constructorsz00zzobject_classz00
							(BgL_typez00_53);
						{	/* Object/creator.scm 346 */
							obj_t BgL_mkzd2tidzd2_1059;

							BgL_mkzd2tidzd2_1059 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_mkzd2idzd2_51,
								BgL_tidz00_1055);
							{	/* Object/creator.scm 349 */
								obj_t BgL_fillzd2idzd2_1060;

								{	/* Object/creator.scm 350 */
									obj_t BgL_list2920z00_1237;

									{	/* Object/creator.scm 350 */
										obj_t BgL_arg2921z00_1238;

										obj_t BgL_arg2922z00_1239;

										BgL_arg2921z00_1238 = CNST_TABLE_REF(((long) 1));
										{	/* Object/creator.scm 350 */
											obj_t BgL_arg2923z00_1240;

											BgL_arg2923z00_1240 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
											BgL_arg2922z00_1239 =
												MAKE_PAIR(BgL_idz00_52, BgL_arg2923z00_1240);
										}
										BgL_list2920z00_1237 =
											MAKE_PAIR(BgL_arg2921z00_1238, BgL_arg2922z00_1239);
									}
									BgL_fillzd2idzd2_1060 =
										BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
										(BgL_list2920z00_1237);
								}
								{	/* Object/creator.scm 350 */
									obj_t BgL_fzd2idszd2_1061;

									BgL_fzd2idszd2_1061 =
										BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
										(BgL_slotsz00_1056);
									{	/* Object/creator.scm 351 */
										obj_t BgL_fzd2tidszd2_1062;

										BgL_fzd2tidszd2_1062 =
											BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
											(BgL_fzd2idszd2_1061, BgL_slotsz00_1056);
										{	/* Object/creator.scm 352 */
											obj_t BgL_newz00_1063;

											BgL_newz00_1063 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 9))));
											{	/* Object/creator.scm 353 */
												obj_t BgL_ridz00_1064;

												BgL_ridz00_1064 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																(long) 18))));
												{	/* Object/creator.scm 354 */
													obj_t BgL_rtidz00_1065;

													{	/* Object/creator.scm 355 */
														obj_t BgL_arg2913z00_1230;

														{	/* Object/creator.scm 355 */
															obj_t BgL_arg2914z00_1231;

															obj_t BgL_arg2915z00_1232;

															BgL_arg2914z00_1231 =
																SYMBOL_TO_STRING(BgL_ridz00_1064);
															{	/* Object/creator.scm 355 */
																obj_t BgL_symbolz00_1976;

																BgL_symbolz00_1976 =
																	CNST_TABLE_REF(((long) 19));
																BgL_arg2915z00_1232 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1976);
															}
															{	/* Object/creator.scm 355 */
																obj_t BgL_list2916z00_1233;

																{	/* Object/creator.scm 355 */
																	obj_t BgL_arg2917z00_1234;

																	BgL_arg2917z00_1234 =
																		MAKE_PAIR(BgL_arg2915z00_1232, BNIL);
																	BgL_list2916z00_1233 =
																		MAKE_PAIR(BgL_arg2914z00_1231,
																		BgL_arg2917z00_1234);
																}
																BgL_arg2913z00_1230 =
																	BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																	(BgL_list2916z00_1233);
														}}
														BgL_rtidz00_1065 =
															string_to_symbol(BSTRING_TO_STRING
															(BgL_arg2913z00_1230));
													}
													{	/* Object/creator.scm 355 */

														{

															{	/* Object/creator.scm 403 */
																obj_t BgL_arg2782z00_1070;

																{	/* Object/creator.scm 403 */
																	obj_t BgL_arg2783z00_1071;

																	{	/* Object/creator.scm 403 */
																		obj_t BgL_arg2784z00_1072;

																		BgL_arg2784z00_1072 =
																			MAKE_PAIR(BgL_mkzd2tidzd2_1059,
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_fzd2tidszd2_1062, BNIL));
																		{	/* Object/creator.scm 403 */
																			obj_t BgL_list2786z00_1074;

																			BgL_list2786z00_1074 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2783z00_1071 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2784z00_1072,
																				BgL_list2786z00_1074);
																	}}
																	BgL_arg2782z00_1070 =
																		MAKE_PAIR(BgL_importz00_55,
																		BgL_arg2783z00_1071);
																}
																BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																	(BgL_arg2782z00_1070);
															}
															{	/* Object/creator.scm 404 */
																obj_t BgL_arg2788z00_1076;

																{	/* Object/creator.scm 404 */
																	obj_t BgL_arg2789z00_1077;

																	obj_t BgL_arg2790z00_1078;

																	BgL_arg2789z00_1077 =
																		CNST_TABLE_REF(((long) 23));
																	{	/* Object/creator.scm 404 */
																		obj_t BgL_arg2791z00_1079;

																		{	/* Object/creator.scm 404 */
																			obj_t BgL_arg2794z00_1082;

																			{	/* Object/creator.scm 404 */
																				obj_t BgL_list2795z00_1083;

																				BgL_list2795z00_1083 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2794z00_1082 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(CNST_TABLE_REF(((long) 24)),
																					BgL_list2795z00_1083);
																			}
																			BgL_arg2791z00_1079 =
																				MAKE_PAIR(BgL_mkzd2idzd2_51,
																				BgL_arg2794z00_1082);
																		}
																		{	/* Object/creator.scm 404 */
																			obj_t BgL_list2793z00_1081;

																			BgL_list2793z00_1081 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2790z00_1078 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2791z00_1079,
																				BgL_list2793z00_1081);
																	}}
																	BgL_arg2788z00_1076 =
																		MAKE_PAIR(BgL_arg2789z00_1077,
																		BgL_arg2790z00_1078);
																}
																BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																	(BgL_arg2788z00_1076);
															}
															{	/* Object/creator.scm 406 */
																obj_t BgL_protoz00_1084;

																obj_t BgL_bodyz00_1085;

																BgL_protoz00_1084 =
																	MAKE_PAIR(BgL_mkzd2tidzd2_1059,
																	BgL_fzd2tidszd2_1062);
																{	/* Object/creator.scm 399 */
																	bool_t BgL_testz00_2888;

																	{	/* Object/creator.scm 399 */
																		obj_t BgL_arg2804z00_1094;

																		obj_t BgL_arg2805z00_1095;

																		{	/* Object/creator.scm 399 */
																			obj_t BgL_arg2806z00_1096;

																			BgL_arg2806z00_1096 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			{
																				BgL_backendz00_bglt BgL_auxz00_2890;

																				BgL_auxz00_2890 =
																					(BgL_backendz00_bglt)
																					(BgL_arg2806z00_1096);
																				BgL_arg2804z00_1094 =
																					(((BgL_backendz00_bglt)
																						CREF(BgL_auxz00_2890))->
																					BgL_languagez00);
																		}}
																		BgL_arg2805z00_1095 =
																			CNST_TABLE_REF(((long) 22));
																		BgL_testz00_2888 =
																			(BgL_arg2804z00_1094 ==
																			BgL_arg2805z00_1095);
																	}
																	if (BgL_testz00_2888)
																		{	/* Object/creator.scm 399 */
																			{	/* Object/creator.scm 371 */
																				obj_t BgL_alloczd2idzd2_1149;

																				{	/* Object/creator.scm 371 */
																					obj_t BgL_arg2886z00_1194;

																					{	/* Object/creator.scm 371 */
																						obj_t BgL_arg2887z00_1195;

																						obj_t BgL_arg2888z00_1196;

																						{	/* Object/creator.scm 371 */
																							obj_t BgL_symbolz00_1994;

																							BgL_symbolz00_1994 =
																								CNST_TABLE_REF(((long) 7));
																							BgL_arg2887z00_1195 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_1994);
																						}
																						BgL_arg2888z00_1196 =
																							SYMBOL_TO_STRING(BgL_idz00_52);
																						{	/* Object/creator.scm 371 */
																							obj_t BgL_list2889z00_1197;

																							{	/* Object/creator.scm 371 */
																								obj_t BgL_arg2890z00_1198;

																								BgL_arg2890z00_1198 =
																									MAKE_PAIR(BgL_arg2888z00_1196,
																									BNIL);
																								BgL_list2889z00_1197 =
																									MAKE_PAIR(BgL_arg2887z00_1195,
																									BgL_arg2890z00_1198);
																							}
																							BgL_arg2886z00_1194 =
																								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																								(BgL_list2889z00_1197);
																					}}
																					BgL_alloczd2idzd2_1149 =
																						string_to_symbol(BSTRING_TO_STRING
																						(BgL_arg2886z00_1194));
																				}
																				{	/* Object/creator.scm 371 */

																					{	/* Object/creator.scm 372 */
																						obj_t BgL_arg2850z00_1150;

																						obj_t BgL_arg2851z00_1151;

																						BgL_arg2850z00_1150 =
																							CNST_TABLE_REF(((long) 20));
																						{	/* Object/creator.scm 372 */
																							obj_t BgL_arg2852z00_1152;

																							obj_t BgL_arg2853z00_1153;

																							{	/* Object/creator.scm 372 */
																								obj_t BgL_arg2857z00_1157;

																								{	/* Object/creator.scm 372 */
																									obj_t BgL_arg2859z00_1159;

																									obj_t BgL_arg2860z00_1160;

																									BgL_arg2859z00_1159 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_newz00_1063,
																										BgL_tidz00_1055);
																									{	/* Object/creator.scm 373 */
																										obj_t BgL_arg2861z00_1161;

																										if (
																											(BgL_wideningz00_50 ==
																												CNST_TABLE_REF(((long)
																														6))))
																											{	/* Object/creator.scm 373 */
																												BgL_arg2861z00_1161 =
																													BGl_alloczd2wideningzd2zzobject_creatorz00
																													(BgL_tidz00_1055,
																													BgL_typez00_53);
																											}
																										else
																											{	/* Object/creator.scm 373 */
																												BgL_arg2861z00_1161 =
																													MAKE_PAIR
																													(BgL_alloczd2idzd2_1149,
																													BNIL);
																											}
																										{	/* Object/creator.scm 372 */
																											obj_t
																												BgL_list2863z00_1163;
																											BgL_list2863z00_1163 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2860z00_1160 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg2861z00_1161,
																												BgL_list2863z00_1163);
																										}
																									}
																									BgL_arg2857z00_1157 =
																										MAKE_PAIR
																										(BgL_arg2859z00_1159,
																										BgL_arg2860z00_1160);
																								}
																								BgL_arg2852z00_1152 =
																									MAKE_PAIR(BgL_arg2857z00_1157,
																									BNIL);
																							}
																							{	/* Object/creator.scm 376 */
																								obj_t BgL_arg2865z00_1165;

																								obj_t BgL_arg2866z00_1166;

																								BgL_arg2865z00_1165 =
																									CNST_TABLE_REF(((long) 21));
																								{	/* Object/creator.scm 378 */
																									obj_t BgL_arg2867z00_1167;

																									obj_t BgL_arg2868z00_1168;

																									{	/* Object/creator.scm 378 */
																										obj_t BgL_arg2870z00_1170;

																										{	/* Object/creator.scm 378 */
																											obj_t BgL_arg2871z00_1171;

																											BgL_arg2871z00_1171 =
																												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																												(BgL_fzd2idszd2_1061,
																												BNIL);
																											{	/* Object/creator.scm 378 */
																												obj_t
																													BgL_list2872z00_1172;
																												BgL_list2872z00_1172 =
																													MAKE_PAIR
																													(BgL_arg2871z00_1171,
																													BNIL);
																												BgL_arg2870z00_1170 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_newz00_1063,
																													BgL_list2872z00_1172);
																										}}
																										BgL_arg2867z00_1167 =
																											MAKE_PAIR
																											(BgL_fillzd2idzd2_1060,
																											BgL_arg2870z00_1170);
																									}
																									{	/* Object/creator.scm 380 */
																										obj_t BgL_arg2873z00_1173;

																										obj_t BgL_arg2874z00_1174;

																										{	/* Object/creator.scm 380 */
																											bool_t BgL_testz00_2919;

																											if (PAIRP
																												(BgL_constrsz00_1058))
																												{	/* Object/creator.scm 380 */
																													if (
																														(BgL_wideningz00_50
																															==
																															CNST_TABLE_REF((
																																	(long) 6))))
																														{	/* Object/creator.scm 380 */
																															BgL_testz00_2919 =
																																((bool_t) 0);
																														}
																													else
																														{	/* Object/creator.scm 380 */
																															BgL_testz00_2919 =
																																((bool_t) 1);
																														}
																												}
																											else
																												{	/* Object/creator.scm 380 */
																													BgL_testz00_2919 =
																														((bool_t) 0);
																												}
																											if (BgL_testz00_2919)
																												{	/* Object/creator.scm 380 */
																													if (NULLP
																														(BgL_constrsz00_1058))
																														{	/* Object/creator.scm 381 */
																															BgL_arg2873z00_1173
																																= BNIL;
																														}
																													else
																														{	/* Object/creator.scm 381 */
																															obj_t
																																BgL_head2409z00_1178;
																															BgL_head2409z00_1178
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															{
																																obj_t
																																	BgL_l2407z00_1180;
																																obj_t
																																	BgL_tail2410z00_1181;
																																BgL_l2407z00_1180
																																	=
																																	BgL_constrsz00_1058;
																																BgL_tail2410z00_1181
																																	=
																																	BgL_head2409z00_1178;
																															BgL_zc3anonymousza32877ze3z83_1182:
																																if (NULLP
																																	(BgL_l2407z00_1180))
																																	{	/* Object/creator.scm 381 */
																																		BgL_arg2873z00_1173
																																			=
																																			CDR
																																			(BgL_head2409z00_1178);
																																	}
																																else
																																	{	/* Object/creator.scm 381 */
																																		obj_t
																																			BgL_newtail2411z00_1184;
																																		{	/* Object/creator.scm 381 */
																																			obj_t
																																				BgL_arg2880z00_1186;
																																			{	/* Object/creator.scm 381 */
																																				obj_t
																																					BgL_constrz00_1188;
																																				BgL_constrz00_1188
																																					=
																																					CAR
																																					(BgL_l2407z00_1180);
																																				{	/* Object/creator.scm 381 */
																																					obj_t
																																						BgL_arg2882z00_1189;
																																					{	/* Object/creator.scm 381 */
																																						obj_t
																																							BgL_list2883z00_1190;
																																						BgL_list2883z00_1190
																																							=
																																							MAKE_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_arg2882z00_1189
																																							=
																																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																							(BgL_newz00_1063,
																																							BgL_list2883z00_1190);
																																					}
																																					BgL_arg2880z00_1186
																																						=
																																						MAKE_PAIR
																																						(BgL_constrz00_1188,
																																						BgL_arg2882z00_1189);
																																				}
																																			}
																																			BgL_newtail2411z00_1184
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2880z00_1186,
																																				BNIL);
																																		}
																																		SET_CDR
																																			(BgL_tail2410z00_1181,
																																			BgL_newtail2411z00_1184);
																																		{
																																			obj_t
																																				BgL_tail2410z00_2939;
																																			obj_t
																																				BgL_l2407z00_2937;
																																			BgL_l2407z00_2937
																																				=
																																				CDR
																																				(BgL_l2407z00_1180);
																																			BgL_tail2410z00_2939
																																				=
																																				BgL_newtail2411z00_1184;
																																			BgL_tail2410z00_1181
																																				=
																																				BgL_tail2410z00_2939;
																																			BgL_l2407z00_1180
																																				=
																																				BgL_l2407z00_2937;
																																			goto
																																				BgL_zc3anonymousza32877ze3z83_1182;
																																		}
																																	}
																															}
																														}
																												}
																											else
																												{	/* Object/creator.scm 380 */
																													BgL_arg2873z00_1173 =
																														BNIL;
																												}
																										}
																										BgL_arg2874z00_1174 =
																											MAKE_PAIR(BgL_newz00_1063,
																											BNIL);
																										BgL_arg2868z00_1168 =
																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2873z00_1173,
																											BgL_arg2874z00_1174);
																									}
																									{	/* Object/creator.scm 376 */
																										obj_t BgL_list2869z00_1169;

																										BgL_list2869z00_1169 =
																											MAKE_PAIR
																											(BgL_arg2868z00_1168,
																											BNIL);
																										BgL_arg2866z00_1166 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2867z00_1167,
																											BgL_list2869z00_1169);
																									}
																								}
																								BgL_arg2853z00_1153 =
																									MAKE_PAIR(BgL_arg2865z00_1165,
																									BgL_arg2866z00_1166);
																							}
																							{	/* Object/creator.scm 372 */
																								obj_t BgL_list2855z00_1155;

																								{	/* Object/creator.scm 372 */
																									obj_t BgL_arg2856z00_1156;

																									BgL_arg2856z00_1156 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2855z00_1155 =
																										MAKE_PAIR
																										(BgL_arg2853z00_1153,
																										BgL_arg2856z00_1156);
																								}
																								BgL_arg2851z00_1151 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2852z00_1152,
																									BgL_list2855z00_1155);
																							}
																						}
																						BgL_bodyz00_1085 =
																							MAKE_PAIR(BgL_arg2850z00_1150,
																							BgL_arg2851z00_1151);
																					}
																				}
																			}
																		}
																	else
																		{	/* Object/creator.scm 399 */
																			{	/* Object/creator.scm 385 */
																				obj_t BgL_alloczd2idzd2_1098;

																				{	/* Object/creator.scm 385 */
																					obj_t BgL_arg2844z00_1143;

																					{	/* Object/creator.scm 385 */
																						obj_t BgL_arg2845z00_1144;

																						obj_t BgL_arg2846z00_1145;

																						{	/* Object/creator.scm 385 */
																							obj_t BgL_symbolz00_1979;

																							BgL_symbolz00_1979 =
																								CNST_TABLE_REF(((long) 7));
																							BgL_arg2845z00_1144 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_1979);
																						}
																						BgL_arg2846z00_1145 =
																							SYMBOL_TO_STRING(BgL_idz00_52);
																						{	/* Object/creator.scm 385 */
																							obj_t BgL_list2847z00_1146;

																							{	/* Object/creator.scm 385 */
																								obj_t BgL_arg2848z00_1147;

																								BgL_arg2848z00_1147 =
																									MAKE_PAIR(BgL_arg2846z00_1145,
																									BNIL);
																								BgL_list2847z00_1146 =
																									MAKE_PAIR(BgL_arg2845z00_1144,
																									BgL_arg2848z00_1147);
																							}
																							BgL_arg2844z00_1143 =
																								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																								(BgL_list2847z00_1146);
																					}}
																					BgL_alloczd2idzd2_1098 =
																						string_to_symbol(BSTRING_TO_STRING
																						(BgL_arg2844z00_1143));
																				}
																				{	/* Object/creator.scm 385 */

																					{	/* Object/creator.scm 386 */
																						obj_t BgL_arg2808z00_1099;

																						obj_t BgL_arg2809z00_1100;

																						BgL_arg2808z00_1099 =
																							CNST_TABLE_REF(((long) 20));
																						{	/* Object/creator.scm 386 */
																							obj_t BgL_arg2810z00_1101;

																							obj_t BgL_arg2811z00_1102;

																							{	/* Object/creator.scm 386 */
																								obj_t BgL_arg2815z00_1106;

																								{	/* Object/creator.scm 386 */
																									obj_t BgL_arg2817z00_1108;

																									obj_t BgL_arg2818z00_1109;

																									BgL_arg2817z00_1108 =
																										BGl_makezd2typedzd2identz00zzast_identz00
																										(BgL_newz00_1063,
																										BgL_tidz00_1055);
																									{	/* Object/creator.scm 387 */
																										obj_t BgL_arg2819z00_1110;

																										if (
																											(BgL_wideningz00_50 ==
																												CNST_TABLE_REF(((long)
																														6))))
																											{	/* Object/creator.scm 387 */
																												BgL_arg2819z00_1110 =
																													BGl_alloczd2wideningzd2zzobject_creatorz00
																													(BgL_tidz00_1055,
																													BgL_typez00_53);
																											}
																										else
																											{	/* Object/creator.scm 387 */
																												BgL_arg2819z00_1110 =
																													MAKE_PAIR
																													(BgL_alloczd2idzd2_1098,
																													BNIL);
																											}
																										{	/* Object/creator.scm 386 */
																											obj_t
																												BgL_list2821z00_1112;
																											BgL_list2821z00_1112 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2818z00_1109 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg2819z00_1110,
																												BgL_list2821z00_1112);
																										}
																									}
																									BgL_arg2815z00_1106 =
																										MAKE_PAIR
																										(BgL_arg2817z00_1108,
																										BgL_arg2818z00_1109);
																								}
																								BgL_arg2810z00_1101 =
																									MAKE_PAIR(BgL_arg2815z00_1106,
																									BNIL);
																							}
																							{	/* Object/creator.scm 390 */
																								obj_t BgL_arg2823z00_1114;

																								obj_t BgL_arg2824z00_1115;

																								BgL_arg2823z00_1114 =
																									CNST_TABLE_REF(((long) 21));
																								{	/* Object/creator.scm 392 */
																									obj_t BgL_arg2825z00_1116;

																									obj_t BgL_arg2826z00_1117;

																									{	/* Object/creator.scm 392 */
																										obj_t BgL_arg2828z00_1119;

																										{	/* Object/creator.scm 392 */
																											obj_t BgL_arg2829z00_1120;

																											BgL_arg2829z00_1120 =
																												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																												(BgL_fzd2idszd2_1061,
																												BNIL);
																											{	/* Object/creator.scm 392 */
																												obj_t
																													BgL_list2830z00_1121;
																												BgL_list2830z00_1121 =
																													MAKE_PAIR
																													(BgL_arg2829z00_1120,
																													BNIL);
																												BgL_arg2828z00_1119 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_newz00_1063,
																													BgL_list2830z00_1121);
																										}}
																										BgL_arg2825z00_1116 =
																											MAKE_PAIR
																											(BgL_fillzd2idzd2_1060,
																											BgL_arg2828z00_1119);
																									}
																									{	/* Object/creator.scm 394 */
																										obj_t BgL_arg2831z00_1122;

																										obj_t BgL_arg2832z00_1123;

																										{	/* Object/creator.scm 394 */
																											bool_t BgL_testz00_2973;

																											if (PAIRP
																												(BgL_constrsz00_1058))
																												{	/* Object/creator.scm 394 */
																													if (
																														(BgL_wideningz00_50
																															==
																															CNST_TABLE_REF((
																																	(long) 6))))
																														{	/* Object/creator.scm 394 */
																															BgL_testz00_2973 =
																																((bool_t) 0);
																														}
																													else
																														{	/* Object/creator.scm 394 */
																															BgL_testz00_2973 =
																																((bool_t) 1);
																														}
																												}
																											else
																												{	/* Object/creator.scm 394 */
																													BgL_testz00_2973 =
																														((bool_t) 0);
																												}
																											if (BgL_testz00_2973)
																												{	/* Object/creator.scm 394 */
																													if (NULLP
																														(BgL_constrsz00_1058))
																														{	/* Object/creator.scm 395 */
																															BgL_arg2831z00_1122
																																= BNIL;
																														}
																													else
																														{	/* Object/creator.scm 395 */
																															obj_t
																																BgL_head2404z00_1127;
																															BgL_head2404z00_1127
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															{
																																obj_t
																																	BgL_l2402z00_1129;
																																obj_t
																																	BgL_tail2405z00_1130;
																																BgL_l2402z00_1129
																																	=
																																	BgL_constrsz00_1058;
																																BgL_tail2405z00_1130
																																	=
																																	BgL_head2404z00_1127;
																															BgL_zc3anonymousza32835ze3z83_1131:
																																if (NULLP
																																	(BgL_l2402z00_1129))
																																	{	/* Object/creator.scm 395 */
																																		BgL_arg2831z00_1122
																																			=
																																			CDR
																																			(BgL_head2404z00_1127);
																																	}
																																else
																																	{	/* Object/creator.scm 395 */
																																		obj_t
																																			BgL_newtail2406z00_1133;
																																		{	/* Object/creator.scm 395 */
																																			obj_t
																																				BgL_arg2838z00_1135;
																																			{	/* Object/creator.scm 395 */
																																				obj_t
																																					BgL_constrz00_1137;
																																				BgL_constrz00_1137
																																					=
																																					CAR
																																					(BgL_l2402z00_1129);
																																				{	/* Object/creator.scm 395 */
																																					obj_t
																																						BgL_arg2840z00_1138;
																																					{	/* Object/creator.scm 395 */
																																						obj_t
																																							BgL_list2841z00_1139;
																																						BgL_list2841z00_1139
																																							=
																																							MAKE_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_arg2840z00_1138
																																							=
																																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																							(BgL_newz00_1063,
																																							BgL_list2841z00_1139);
																																					}
																																					BgL_arg2838z00_1135
																																						=
																																						MAKE_PAIR
																																						(BgL_constrz00_1137,
																																						BgL_arg2840z00_1138);
																																				}
																																			}
																																			BgL_newtail2406z00_1133
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2838z00_1135,
																																				BNIL);
																																		}
																																		SET_CDR
																																			(BgL_tail2405z00_1130,
																																			BgL_newtail2406z00_1133);
																																		{
																																			obj_t
																																				BgL_tail2405z00_2993;
																																			obj_t
																																				BgL_l2402z00_2991;
																																			BgL_l2402z00_2991
																																				=
																																				CDR
																																				(BgL_l2402z00_1129);
																																			BgL_tail2405z00_2993
																																				=
																																				BgL_newtail2406z00_1133;
																																			BgL_tail2405z00_1130
																																				=
																																				BgL_tail2405z00_2993;
																																			BgL_l2402z00_1129
																																				=
																																				BgL_l2402z00_2991;
																																			goto
																																				BgL_zc3anonymousza32835ze3z83_1131;
																																		}
																																	}
																															}
																														}
																												}
																											else
																												{	/* Object/creator.scm 394 */
																													BgL_arg2831z00_1122 =
																														BNIL;
																												}
																										}
																										BgL_arg2832z00_1123 =
																											MAKE_PAIR(BgL_newz00_1063,
																											BNIL);
																										BgL_arg2826z00_1117 =
																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2831z00_1122,
																											BgL_arg2832z00_1123);
																									}
																									{	/* Object/creator.scm 390 */
																										obj_t BgL_list2827z00_1118;

																										BgL_list2827z00_1118 =
																											MAKE_PAIR
																											(BgL_arg2826z00_1117,
																											BNIL);
																										BgL_arg2824z00_1115 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2825z00_1116,
																											BgL_list2827z00_1118);
																									}
																								}
																								BgL_arg2811z00_1102 =
																									MAKE_PAIR(BgL_arg2823z00_1114,
																									BgL_arg2824z00_1115);
																							}
																							{	/* Object/creator.scm 386 */
																								obj_t BgL_list2813z00_1104;

																								{	/* Object/creator.scm 386 */
																									obj_t BgL_arg2814z00_1105;

																									BgL_arg2814z00_1105 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2813z00_1104 =
																										MAKE_PAIR
																										(BgL_arg2811z00_1102,
																										BgL_arg2814z00_1105);
																								}
																								BgL_arg2809z00_1100 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2810z00_1101,
																									BgL_list2813z00_1104);
																							}
																						}
																						BgL_bodyz00_1085 =
																							MAKE_PAIR(BgL_arg2808z00_1099,
																							BgL_arg2809z00_1100);
																					}
																				}
																			}
																		}
																}
																{	/* Object/creator.scm 408 */
																	obj_t BgL_arg2796z00_1086;

																	{	/* Object/creator.scm 408 */
																		obj_t BgL_arg2798z00_1088;

																		obj_t BgL_arg2799z00_1089;

																		BgL_arg2798z00_1088 =
																			CNST_TABLE_REF(((long) 15));
																		{	/* Object/creator.scm 408 */
																			obj_t BgL_list2800z00_1090;

																			{	/* Object/creator.scm 408 */
																				obj_t BgL_arg2801z00_1091;

																				BgL_arg2801z00_1091 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list2800z00_1090 =
																					MAKE_PAIR(BgL_bodyz00_1085,
																					BgL_arg2801z00_1091);
																			}
																			BgL_arg2799z00_1089 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_protoz00_1084,
																				BgL_list2800z00_1090);
																		}
																		BgL_arg2796z00_1086 =
																			MAKE_PAIR(BgL_arg2798z00_1088,
																			BgL_arg2799z00_1089);
																	}
																	{	/* Object/creator.scm 408 */
																		obj_t BgL_list2797z00_1087;

																		BgL_list2797z00_1087 =
																			MAKE_PAIR(BgL_srczd2defzd2_54, BNIL);
																		return
																			BGl_epairifyza2za2zztools_miscz00
																			(BgL_arg2796z00_1086,
																			BgL_list2797z00_1087);
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* alloc-widening */
	obj_t BGl_alloczd2wideningzd2zzobject_creatorz00(obj_t BgL_tidz00_2095,
		BgL_tclassz00_bglt BgL_typez00_2094)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 364 */
			{

				{	/* Object/creator.scm 367 */
					bool_t BgL_testz00_3010;

					{	/* Object/creator.scm 367 */
						obj_t BgL_arg2893z00_1203;

						BgL_arg2893z00_1203 = BGl_thezd2backendzd2zzbackend_backendz00();
						{
							BgL_backendz00_bglt BgL_auxz00_3012;

							BgL_auxz00_3012 = (BgL_backendz00_bglt) (BgL_arg2893z00_1203);
							BgL_testz00_3010 =
								(((BgL_backendz00_bglt) CREF(BgL_auxz00_3012))->
								BgL_pragmazd2supportzd2);
						}
					}
					if (BgL_testz00_3010)
						{	/* Object/creator.scm 367 */
							{	/* Object/creator.scm 358 */
								obj_t BgL_tnamez00_1207;

								obj_t BgL_siza7eofza7_1208;

								{	/* Object/creator.scm 358 */
									obj_t BgL_arg2910z00_1221;

									{
										BgL_typez00_bglt BgL_auxz00_3015;

										BgL_auxz00_3015 = (BgL_typez00_bglt) (BgL_typez00_2094);
										BgL_arg2910z00_1221 =
											(((BgL_typez00_bglt) CREF(BgL_auxz00_3015))->BgL_namez00);
									}
									BgL_tnamez00_1207 =
										BGl_stringzd2sanszd2z42z42zztype_toolsz00
										(BgL_arg2910z00_1221);
								}
								{	/* Object/creator.scm 359 */
									bool_t BgL_testz00_3019;

									{	/* Object/creator.scm 359 */
										obj_t BgL_auxz00_3020;

										{
											BgL_typez00_bglt BgL_auxz00_3021;

											BgL_auxz00_3021 = (BgL_typez00_bglt) (BgL_typez00_2094);
											BgL_auxz00_3020 =
												(((BgL_typez00_bglt) CREF(BgL_auxz00_3021))->
												BgL_siza7eza7);
										}
										BgL_testz00_3019 = STRINGP(BgL_auxz00_3020);
									}
									if (BgL_testz00_3019)
										{
											BgL_typez00_bglt BgL_auxz00_3025;

											BgL_auxz00_3025 = (BgL_typez00_bglt) (BgL_typez00_2094);
											BgL_siza7eofza7_1208 =
												(((BgL_typez00_bglt) CREF(BgL_auxz00_3025))->
												BgL_siza7eza7);
										}
									else
										{
											BgL_typez00_bglt BgL_auxz00_3028;

											BgL_auxz00_3028 = (BgL_typez00_bglt) (BgL_typez00_2094);
											BgL_siza7eofza7_1208 =
												(((BgL_typez00_bglt) CREF(BgL_auxz00_3028))->
												BgL_namez00);
										}
								}
								{	/* Object/creator.scm 362 */
									obj_t BgL_arg2897z00_1209;

									obj_t BgL_arg2898z00_1210;

									BgL_arg2897z00_1209 =
										BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF((
												(long) 25)), BgL_tidz00_2095);
									{	/* Object/creator.scm 363 */
										obj_t BgL_arg2899z00_1211;

										{	/* Object/creator.scm 363 */
											obj_t BgL_list2903z00_1214;

											{	/* Object/creator.scm 363 */
												obj_t BgL_arg2905z00_1216;

												{	/* Object/creator.scm 363 */
													obj_t BgL_arg2906z00_1217;

													{	/* Object/creator.scm 363 */
														obj_t BgL_arg2908z00_1219;

														{	/* Object/creator.scm 363 */
															obj_t BgL_arg2909z00_1220;

															BgL_arg2909z00_1220 =
																MAKE_PAIR(BGl_string3292z00zzobject_creatorz00,
																BNIL);
															BgL_arg2908z00_1219 =
																MAKE_PAIR(BgL_siza7eofza7_1208,
																BgL_arg2909z00_1220);
														}
														BgL_arg2906z00_1217 =
															MAKE_PAIR(BGl_string3293z00zzobject_creatorz00,
															BgL_arg2908z00_1219);
													}
													BgL_arg2905z00_1216 =
														MAKE_PAIR(BgL_tnamez00_1207, BgL_arg2906z00_1217);
												}
												BgL_list2903z00_1214 =
													MAKE_PAIR(BGl_string3294z00zzobject_creatorz00,
													BgL_arg2905z00_1216);
											}
											BgL_arg2899z00_1211 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list2903z00_1214);
										}
										{	/* Object/creator.scm 362 */
											obj_t BgL_list2902z00_1213;

											BgL_list2902z00_1213 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg2898z00_1210 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2899z00_1211, BgL_list2902z00_1213);
									}}
									return MAKE_PAIR(BgL_arg2897z00_1209, BgL_arg2898z00_1210);
								}
							}
						}
					else
						{	/* Object/creator.scm 367 */
							return
								BGl_makezd2privatezd2sexpz00zzast_privatez00(CNST_TABLE_REF((
										(long) 9)), BgL_tidz00_2095, BNIL);
		}}}}
	}



/* make-class-slot-make! */
	obj_t
		BGl_makezd2classzd2slotzd2makez12zc0zzobject_creatorz00(BgL_tclassz00_bglt
		BgL_typez00_56, obj_t BgL_newz00_57, obj_t BgL_ridz00_58,
		obj_t BgL_rtidz00_59, obj_t BgL_slotsz00_60, obj_t BgL_fzd2idszd2_61)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 413 */
			{
				obj_t BgL_slotz00_1265;

				obj_t BgL_formalz00_1266;

				obj_t BgL_flenz00_1267;

				{
					obj_t BgL_slotsz00_1248;

					obj_t BgL_fzd2idszd2_1249;

					obj_t BgL_resz00_1250;

					obj_t BgL_lenzd2idzd2_1251;

					BgL_slotsz00_1248 = BgL_slotsz00_60;
					BgL_fzd2idszd2_1249 = BgL_fzd2idszd2_61;
					BgL_resz00_1250 = BNIL;
					BgL_lenzd2idzd2_1251 = BUNSPEC;
				BgL_zc3anonymousza32929ze3z83_1252:
					if (NULLP(BgL_slotsz00_1248))
						{	/* Object/creator.scm 443 */
							return bgl_reverse_bang(BgL_resz00_1250);
						}
					else
						{	/* Object/creator.scm 445 */
							bool_t BgL_testz00_3047;

							{	/* Object/creator.scm 445 */
								obj_t BgL_arg2940z00_1263;

								BgL_arg2940z00_1263 = CAR(BgL_slotsz00_1248);
								BgL_testz00_3047 =
									BGl_slotzd2virtualzf3z21zzobject_slotsz00(
									(BgL_slotz00_bglt) (BgL_arg2940z00_1263));
							}
							if (BgL_testz00_3047)
								{
									obj_t BgL_slotsz00_3051;

									BgL_slotsz00_3051 = CDR(BgL_slotsz00_1248);
									BgL_slotsz00_1248 = BgL_slotsz00_3051;
									goto BgL_zc3anonymousza32929ze3z83_1252;
								}
							else
								{	/* Object/creator.scm 448 */
									obj_t BgL_arg2933z00_1256;

									obj_t BgL_arg2934z00_1257;

									obj_t BgL_arg2935z00_1258;

									obj_t BgL_arg2936z00_1259;

									BgL_arg2933z00_1256 = CDR(BgL_slotsz00_1248);
									BgL_arg2934z00_1257 = CDR(BgL_fzd2idszd2_1249);
									{	/* Object/creator.scm 450 */
										obj_t BgL_auxz00_3055;

										BgL_slotz00_1265 = CAR(BgL_slotsz00_1248);
										BgL_formalz00_1266 = CAR(BgL_fzd2idszd2_1249);
										BgL_flenz00_1267 = BgL_lenzd2idzd2_1251;
										{	/* Object/creator.scm 415 */
											obj_t BgL_loopz00_1269;

											BgL_loopz00_1269 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
															(long) 26))));
											{	/* Object/creator.scm 417 */
												bool_t BgL_testz00_3059;

												{	/* Object/creator.scm 417 */
													BgL_slotz00_bglt BgL_obj2288z00_2023;

													BgL_obj2288z00_2023 =
														(BgL_slotz00_bglt) (BgL_slotz00_1265);
													BgL_testz00_3059 =
														CBOOL(
														(((BgL_slotz00_bglt) CREF(BgL_obj2288z00_2023))->
															BgL_indexedz00));
												}
												if (BgL_testz00_3059)
													{	/* Object/creator.scm 420 */
														obj_t BgL_arg2943z00_1271;

														obj_t BgL_arg2944z00_1272;

														BgL_arg2943z00_1271 = CNST_TABLE_REF(((long) 21));
														{	/* Object/creator.scm 421 */
															obj_t BgL_arg2945z00_1273;

															obj_t BgL_arg2946z00_1274;

															BgL_arg2945z00_1273 =
																BGl_makezd2pragmazd2indexedzd2initzd2setz12z12zzobject_toolsz00
																((BgL_typez00_bglt) (BgL_typez00_56),
																(BgL_slotz00_bglt) (BgL_slotz00_1265),
																BgL_newz00_57, BgL_flenz00_1267);
															{	/* Object/creator.scm 423 */
																obj_t BgL_arg2950z00_1278;

																obj_t BgL_arg2951z00_1279;

																BgL_arg2950z00_1278 =
																	CNST_TABLE_REF(((long) 27));
																{	/* Object/creator.scm 423 */
																	obj_t BgL_arg2952z00_1280;

																	obj_t BgL_arg2953z00_1281;

																	{	/* Object/creator.scm 423 */
																		obj_t BgL_arg2957z00_1285;

																		{	/* Object/creator.scm 423 */
																			obj_t BgL_arg2959z00_1287;

																			{	/* Object/creator.scm 423 */
																				obj_t BgL_arg2960z00_1288;

																				obj_t BgL_arg2961z00_1289;

																				BgL_arg2960z00_1288 =
																					MAKE_PAIR(BgL_rtidz00_59, BNIL);
																				{	/* Object/creator.scm 424 */
																					obj_t BgL_arg2965z00_1293;

																					obj_t BgL_arg2966z00_1294;

																					BgL_arg2965z00_1293 =
																						CNST_TABLE_REF(((long) 28));
																					{	/* Object/creator.scm 424 */
																						obj_t BgL_arg2968z00_1295;

																						obj_t BgL_arg2969z00_1296;

																						obj_t BgL_arg2970z00_1297;

																						{	/* Object/creator.scm 424 */
																							obj_t BgL_arg2975z00_1302;

																							obj_t BgL_arg2976z00_1303;

																							BgL_arg2975z00_1302 =
																								CNST_TABLE_REF(((long) 29));
																							{	/* Object/creator.scm 424 */
																								obj_t BgL_list2977z00_1304;

																								{	/* Object/creator.scm 424 */
																									obj_t BgL_arg2978z00_1305;

																									BgL_arg2978z00_1305 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2977z00_1304 =
																										MAKE_PAIR(BgL_flenz00_1267,
																										BgL_arg2978z00_1305);
																								}
																								BgL_arg2976z00_1303 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_ridz00_58,
																									BgL_list2977z00_1304);
																							}
																							BgL_arg2968z00_1295 =
																								MAKE_PAIR(BgL_arg2975z00_1302,
																								BgL_arg2976z00_1303);
																						}
																						{	/* Object/creator.scm 425 */
																							obj_t BgL_arg2979z00_1306;

																							obj_t BgL_arg2980z00_1307;

																							BgL_arg2979z00_1306 =
																								CNST_TABLE_REF(((long) 16));
																							{	/* Object/creator.scm 425 */
																								obj_t BgL_list2981z00_1308;

																								BgL_list2981z00_1308 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2980z00_1307 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 30)),
																									BgL_list2981z00_1308);
																							}
																							BgL_arg2969z00_1296 =
																								MAKE_PAIR(BgL_arg2979z00_1306,
																								BgL_arg2980z00_1307);
																						}
																						{	/* Object/creator.scm 426 */
																							obj_t BgL_arg2982z00_1309;

																							obj_t BgL_arg2983z00_1310;

																							BgL_arg2982z00_1309 =
																								CNST_TABLE_REF(((long) 21));
																							{	/* Object/creator.scm 427 */
																								obj_t BgL_arg2984z00_1311;

																								obj_t BgL_arg2985z00_1312;

																								BgL_arg2984z00_1311 =
																									BGl_makezd2pragmazd2indexedzd2setz12zf2wideningz32zzobject_toolsz00
																									((BgL_typez00_bglt)
																									(BgL_typez00_56),
																									(BgL_slotz00_bglt)
																									(BgL_slotz00_1265),
																									BgL_newz00_57,
																									BgL_formalz00_1266,
																									BgL_ridz00_58, BFALSE);
																								{	/* Object/creator.scm 434 */
																									obj_t BgL_arg2989z00_1316;

																									{	/* Object/creator.scm 434 */
																										obj_t BgL_arg2990z00_1317;

																										{	/* Object/creator.scm 434 */
																											obj_t BgL_arg2993z00_1320;

																											obj_t BgL_arg2994z00_1321;

																											BgL_arg2993z00_1320 =
																												CNST_TABLE_REF(((long)
																													31));
																											{	/* Object/creator.scm 434 */
																												obj_t
																													BgL_list2995z00_1322;
																												{	/* Object/creator.scm 434 */
																													obj_t
																														BgL_arg2997z00_1324;
																													BgL_arg2997z00_1324 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2995z00_1322 =
																														MAKE_PAIR(BINT((
																																(long) 1)),
																														BgL_arg2997z00_1324);
																												}
																												BgL_arg2994z00_1321 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_ridz00_58,
																													BgL_list2995z00_1322);
																											}
																											BgL_arg2990z00_1317 =
																												MAKE_PAIR
																												(BgL_arg2993z00_1320,
																												BgL_arg2994z00_1321);
																										}
																										{	/* Object/creator.scm 434 */
																											obj_t
																												BgL_list2992z00_1319;
																											BgL_list2992z00_1319 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg2989z00_1316 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg2990z00_1317,
																												BgL_list2992z00_1319);
																									}}
																									BgL_arg2985z00_1312 =
																										MAKE_PAIR(BgL_loopz00_1269,
																										BgL_arg2989z00_1316);
																								}
																								{	/* Object/creator.scm 426 */
																									obj_t BgL_list2987z00_1314;

																									{	/* Object/creator.scm 426 */
																										obj_t BgL_arg2988z00_1315;

																										BgL_arg2988z00_1315 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list2987z00_1314 =
																											MAKE_PAIR
																											(BgL_arg2985z00_1312,
																											BgL_arg2988z00_1315);
																									}
																									BgL_arg2983z00_1310 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2984z00_1311,
																										BgL_list2987z00_1314);
																							}}
																							BgL_arg2970z00_1297 =
																								MAKE_PAIR(BgL_arg2982z00_1309,
																								BgL_arg2983z00_1310);
																						}
																						{	/* Object/creator.scm 424 */
																							obj_t BgL_list2972z00_1299;

																							{	/* Object/creator.scm 424 */
																								obj_t BgL_arg2973z00_1300;

																								{	/* Object/creator.scm 424 */
																									obj_t BgL_arg2974z00_1301;

																									BgL_arg2974z00_1301 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2973z00_1300 =
																										MAKE_PAIR
																										(BgL_arg2970z00_1297,
																										BgL_arg2974z00_1301);
																								}
																								BgL_list2972z00_1299 =
																									MAKE_PAIR(BgL_arg2969z00_1296,
																									BgL_arg2973z00_1300);
																							}
																							BgL_arg2966z00_1294 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2968z00_1295,
																								BgL_list2972z00_1299);
																					}}
																					BgL_arg2961z00_1289 =
																						MAKE_PAIR(BgL_arg2965z00_1293,
																						BgL_arg2966z00_1294);
																				}
																				{	/* Object/creator.scm 423 */
																					obj_t BgL_list2963z00_1291;

																					{	/* Object/creator.scm 423 */
																						obj_t BgL_arg2964z00_1292;

																						BgL_arg2964z00_1292 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list2963z00_1291 =
																							MAKE_PAIR(BgL_arg2961z00_1289,
																							BgL_arg2964z00_1292);
																					}
																					BgL_arg2959z00_1287 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2960z00_1288,
																						BgL_list2963z00_1291);
																			}}
																			BgL_arg2957z00_1285 =
																				MAKE_PAIR(BgL_loopz00_1269,
																				BgL_arg2959z00_1287);
																		}
																		BgL_arg2952z00_1280 =
																			MAKE_PAIR(BgL_arg2957z00_1285, BNIL);
																	}
																	{	/* Object/creator.scm 435 */
																		obj_t BgL_arg2998z00_1325;

																		{	/* Object/creator.scm 435 */
																			obj_t BgL_list2999z00_1326;

																			BgL_list2999z00_1326 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2998z00_1325 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BINT(((long) 0)),
																				BgL_list2999z00_1326);
																		}
																		BgL_arg2953z00_1281 =
																			MAKE_PAIR(BgL_loopz00_1269,
																			BgL_arg2998z00_1325);
																	}
																	{	/* Object/creator.scm 423 */
																		obj_t BgL_list2955z00_1283;

																		{	/* Object/creator.scm 423 */
																			obj_t BgL_arg2956z00_1284;

																			BgL_arg2956z00_1284 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2955z00_1283 =
																				MAKE_PAIR(BgL_arg2953z00_1281,
																				BgL_arg2956z00_1284);
																		}
																		BgL_arg2951z00_1279 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2952z00_1280,
																			BgL_list2955z00_1283);
																}}
																BgL_arg2946z00_1274 =
																	MAKE_PAIR(BgL_arg2950z00_1278,
																	BgL_arg2951z00_1279);
															}
															{	/* Object/creator.scm 420 */
																obj_t BgL_list2948z00_1276;

																{	/* Object/creator.scm 420 */
																	obj_t BgL_arg2949z00_1277;

																	BgL_arg2949z00_1277 = MAKE_PAIR(BNIL, BNIL);
																	BgL_list2948z00_1276 =
																		MAKE_PAIR(BgL_arg2946z00_1274,
																		BgL_arg2949z00_1277);
																}
																BgL_arg2944z00_1272 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg2945z00_1273, BgL_list2948z00_1276);
														}}
														BgL_auxz00_3055 =
															MAKE_PAIR(BgL_arg2943z00_1271,
															BgL_arg2944z00_1272);
													}
												else
													{	/* Object/creator.scm 417 */
														BgL_auxz00_3055 =
															BGl_makezd2pragmazd2directzd2setz12zc0zzobject_toolsz00
															((BgL_typez00_bglt) (BgL_typez00_56),
															(BgL_slotz00_bglt) (BgL_slotz00_1265),
															BgL_newz00_57, BgL_formalz00_1266);
													}
											}
										}
										BgL_arg2935z00_1258 =
											MAKE_PAIR(BgL_auxz00_3055, BgL_resz00_1250);
									}
									BgL_arg2936z00_1259 = CAR(BgL_fzd2idszd2_1249);
									{
										obj_t BgL_lenzd2idzd2_3129;

										obj_t BgL_resz00_3128;

										obj_t BgL_fzd2idszd2_3127;

										obj_t BgL_slotsz00_3126;

										BgL_slotsz00_3126 = BgL_arg2933z00_1256;
										BgL_fzd2idszd2_3127 = BgL_arg2934z00_1257;
										BgL_resz00_3128 = BgL_arg2935z00_1258;
										BgL_lenzd2idzd2_3129 = BgL_arg2936z00_1259;
										BgL_lenzd2idzd2_1251 = BgL_lenzd2idzd2_3129;
										BgL_resz00_1250 = BgL_resz00_3128;
										BgL_fzd2idszd2_1249 = BgL_fzd2idszd2_3127;
										BgL_slotsz00_1248 = BgL_slotsz00_3126;
										goto BgL_zc3anonymousza32929ze3z83_1252;
									}
								}
						}
				}
			}
		}
	}



/* gen-class-allocate! */
	obj_t BGl_genzd2classzd2allocatez12z12zzobject_creatorz00(obj_t BgL_idz00_62,
		obj_t BgL_typez00_63, BgL_globalz00_bglt BgL_holderz00_64,
		obj_t BgL_srczd2defzd2_65, obj_t BgL_importz00_66)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 456 */
			{	/* Object/creator.scm 457 */
				obj_t BgL_tidz00_1329;

				{
					BgL_typez00_bglt BgL_auxz00_3130;

					BgL_auxz00_3130 = (BgL_typez00_bglt) (BgL_typez00_63);
					BgL_tidz00_1329 =
						(((BgL_typez00_bglt) CREF(BgL_auxz00_3130))->BgL_idz00);
				}
				{	/* Object/creator.scm 457 */
					obj_t BgL_alloczd2idzd2_1330;

					{	/* Object/creator.scm 458 */
						obj_t BgL_arg3137z00_1477;

						{	/* Object/creator.scm 458 */
							obj_t BgL_arg3138z00_1478;

							obj_t BgL_arg3139z00_1479;

							{	/* Object/creator.scm 458 */
								obj_t BgL_symbolz00_2025;

								BgL_symbolz00_2025 = CNST_TABLE_REF(((long) 7));
								BgL_arg3138z00_1478 = SYMBOL_TO_STRING(BgL_symbolz00_2025);
							}
							BgL_arg3139z00_1479 = SYMBOL_TO_STRING(BgL_idz00_62);
							{	/* Object/creator.scm 458 */
								obj_t BgL_list3140z00_1480;

								{	/* Object/creator.scm 458 */
									obj_t BgL_arg3141z00_1481;

									BgL_arg3141z00_1481 = MAKE_PAIR(BgL_arg3139z00_1479, BNIL);
									BgL_list3140z00_1480 =
										MAKE_PAIR(BgL_arg3138z00_1478, BgL_arg3141z00_1481);
								}
								BgL_arg3137z00_1477 =
									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
									(BgL_list3140z00_1480);
						}}
						BgL_alloczd2idzd2_1330 =
							string_to_symbol(BSTRING_TO_STRING(BgL_arg3137z00_1477));
					}
					{	/* Object/creator.scm 458 */
						obj_t BgL_alloczd2tidzd2_1331;

						BgL_alloczd2tidzd2_1331 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_alloczd2idzd2_1330,
							BgL_tidz00_1329);
						{	/* Object/creator.scm 459 */
							obj_t BgL_newz00_1332;

							BgL_newz00_1332 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											9))));
							{	/* Object/creator.scm 460 */

								{
									obj_t BgL_typez00_1453;

									{	/* Object/creator.scm 490 */
										obj_t BgL_arg3001z00_1336;

										{	/* Object/creator.scm 490 */
											obj_t BgL_arg3002z00_1337;

											{	/* Object/creator.scm 490 */
												obj_t BgL_arg3003z00_1338;

												{	/* Object/creator.scm 490 */
													obj_t BgL_arg3006z00_1341;

													obj_t BgL_arg3007z00_1342;

													BgL_arg3006z00_1341 = CNST_TABLE_REF(((long) 11));
													{	/* Object/creator.scm 490 */
														obj_t BgL_list3008z00_1343;

														BgL_list3008z00_1343 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3007z00_1342 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_alloczd2tidzd2_1331, BgL_list3008z00_1343);
													}
													BgL_arg3003z00_1338 =
														MAKE_PAIR(BgL_arg3006z00_1341, BgL_arg3007z00_1342);
												}
												{	/* Object/creator.scm 490 */
													obj_t BgL_list3005z00_1340;

													BgL_list3005z00_1340 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3002z00_1337 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3003z00_1338, BgL_list3005z00_1340);
											}}
											BgL_arg3001z00_1336 =
												MAKE_PAIR(BgL_importz00_66, BgL_arg3002z00_1337);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg3001z00_1336);
									}
									{	/* Object/creator.scm 491 */
										obj_t BgL_arg3009z00_1344;

										{	/* Object/creator.scm 491 */
											bool_t BgL_testz00_3153;

											{	/* Object/creator.scm 491 */
												obj_t BgL_arg3012z00_1347;

												BgL_arg3012z00_1347 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{
													BgL_backendz00_bglt BgL_auxz00_3155;

													BgL_auxz00_3155 =
														(BgL_backendz00_bglt) (BgL_arg3012z00_1347);
													BgL_testz00_3153 =
														(((BgL_backendz00_bglt) CREF(BgL_auxz00_3155))->
														BgL_pragmazd2supportzd2);
											}}
											if (BgL_testz00_3153)
												{	/* Object/creator.scm 491 */
													{	/* Object/creator.scm 471 */
														obj_t BgL_arg3068z00_1402;

														obj_t BgL_arg3069z00_1403;

														BgL_arg3068z00_1402 = CNST_TABLE_REF(((long) 8));
														{	/* Object/creator.scm 471 */
															obj_t BgL_arg3070z00_1404;

															obj_t BgL_arg3071z00_1405;

															BgL_arg3070z00_1404 =
																MAKE_PAIR(BgL_alloczd2tidzd2_1331, BNIL);
															{	/* Object/creator.scm 472 */
																obj_t BgL_arg3075z00_1409;

																obj_t BgL_arg3076z00_1410;

																BgL_arg3075z00_1409 =
																	CNST_TABLE_REF(((long) 20));
																{	/* Object/creator.scm 472 */
																	obj_t BgL_arg3077z00_1411;

																	obj_t BgL_arg3078z00_1412;

																	obj_t BgL_arg3079z00_1413;

																	{	/* Object/creator.scm 472 */
																		obj_t BgL_arg3085z00_1419;

																		{	/* Object/creator.scm 472 */
																			obj_t BgL_arg3087z00_1421;

																			obj_t BgL_arg3088z00_1422;

																			BgL_arg3087z00_1421 =
																				BGl_makezd2typedzd2identz00zzast_identz00
																				(BgL_newz00_1332, BgL_tidz00_1329);
																			{	/* Object/creator.scm 472 */
																				obj_t BgL_arg3089z00_1423;

																				BgL_typez00_1453 = BgL_typez00_63;
																				{	/* Object/creator.scm 462 */
																					obj_t BgL_tidz00_1455;

																					obj_t BgL_tnamez00_1456;

																					obj_t BgL_siza7eofza7_1457;

																					{
																						BgL_typez00_bglt BgL_auxz00_3162;

																						BgL_auxz00_3162 =
																							(BgL_typez00_bglt)
																							(BgL_typez00_1453);
																						BgL_tidz00_1455 =
																							(((BgL_typez00_bglt)
																								CREF(BgL_auxz00_3162))->
																							BgL_idz00);
																					}
																					{	/* Object/creator.scm 463 */
																						obj_t BgL_arg3133z00_1470;

																						{
																							BgL_typez00_bglt BgL_auxz00_3165;

																							BgL_auxz00_3165 =
																								(BgL_typez00_bglt)
																								(BgL_typez00_1453);
																							BgL_arg3133z00_1470 =
																								(((BgL_typez00_bglt)
																									CREF(BgL_auxz00_3165))->
																								BgL_namez00);
																						}
																						BgL_tnamez00_1456 =
																							BGl_stringzd2sanszd2z42z42zztype_toolsz00
																							(BgL_arg3133z00_1470);
																					}
																					{	/* Object/creator.scm 464 */
																						bool_t BgL_testz00_3169;

																						{	/* Object/creator.scm 464 */
																							obj_t BgL_auxz00_3170;

																							{
																								BgL_typez00_bglt
																									BgL_auxz00_3171;
																								BgL_auxz00_3171 =
																									(BgL_typez00_bglt)
																									(BgL_typez00_1453);
																								BgL_auxz00_3170 =
																									(((BgL_typez00_bglt)
																										CREF(BgL_auxz00_3171))->
																									BgL_siza7eza7);
																							}
																							BgL_testz00_3169 =
																								STRINGP(BgL_auxz00_3170);
																						}
																						if (BgL_testz00_3169)
																							{
																								BgL_typez00_bglt
																									BgL_auxz00_3175;
																								BgL_auxz00_3175 =
																									(BgL_typez00_bglt)
																									(BgL_typez00_1453);
																								BgL_siza7eofza7_1457 =
																									(((BgL_typez00_bglt)
																										CREF(BgL_auxz00_3175))->
																									BgL_siza7eza7);
																							}
																						else
																							{
																								BgL_typez00_bglt
																									BgL_auxz00_3178;
																								BgL_auxz00_3178 =
																									(BgL_typez00_bglt)
																									(BgL_typez00_1453);
																								BgL_siza7eofza7_1457 =
																									(((BgL_typez00_bglt)
																										CREF(BgL_auxz00_3178))->
																									BgL_namez00);
																							}
																					}
																					{	/* Object/creator.scm 467 */
																						obj_t BgL_arg3120z00_1458;

																						obj_t BgL_arg3121z00_1459;

																						BgL_arg3120z00_1458 =
																							BGl_makezd2typedzd2identz00zzast_identz00
																							(CNST_TABLE_REF(((long) 25)),
																							BgL_tidz00_1455);
																						{	/* Object/creator.scm 468 */
																							obj_t BgL_arg3122z00_1460;

																							{	/* Object/creator.scm 468 */
																								obj_t BgL_list3125z00_1463;

																								{	/* Object/creator.scm 468 */
																									obj_t BgL_arg3127z00_1465;

																									{	/* Object/creator.scm 468 */
																										obj_t BgL_arg3128z00_1466;

																										{	/* Object/creator.scm 468 */
																											obj_t BgL_arg3131z00_1468;

																											{	/* Object/creator.scm 468 */
																												obj_t
																													BgL_arg3132z00_1469;
																												BgL_arg3132z00_1469 =
																													MAKE_PAIR
																													(BGl_string3295z00zzobject_creatorz00,
																													BNIL);
																												BgL_arg3131z00_1468 =
																													MAKE_PAIR
																													(BgL_siza7eofza7_1457,
																													BgL_arg3132z00_1469);
																											}
																											BgL_arg3128z00_1466 =
																												MAKE_PAIR
																												(BGl_string3296z00zzobject_creatorz00,
																												BgL_arg3131z00_1468);
																										}
																										BgL_arg3127z00_1465 =
																											MAKE_PAIR
																											(BgL_tnamez00_1456,
																											BgL_arg3128z00_1466);
																									}
																									BgL_list3125z00_1463 =
																										MAKE_PAIR
																										(BGl_string3294z00zzobject_creatorz00,
																										BgL_arg3127z00_1465);
																								}
																								BgL_arg3122z00_1460 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list3125z00_1463);
																							}
																							{	/* Object/creator.scm 467 */
																								obj_t BgL_list3124z00_1462;

																								BgL_list3124z00_1462 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg3121z00_1459 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg3122z00_1460,
																									BgL_list3124z00_1462);
																						}}
																						BgL_arg3089z00_1423 =
																							MAKE_PAIR(BgL_arg3120z00_1458,
																							BgL_arg3121z00_1459);
																				}}
																				{	/* Object/creator.scm 472 */
																					obj_t BgL_list3091z00_1425;

																					BgL_list3091z00_1425 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg3088z00_1422 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg3089z00_1423,
																						BgL_list3091z00_1425);
																			}}
																			BgL_arg3085z00_1419 =
																				MAKE_PAIR(BgL_arg3087z00_1421,
																				BgL_arg3088z00_1422);
																		}
																		BgL_arg3077z00_1411 =
																			MAKE_PAIR(BgL_arg3085z00_1419, BNIL);
																	}
																	{	/* Object/creator.scm 473 */
																		obj_t BgL_arg3092z00_1426;

																		obj_t BgL_arg3093z00_1427;

																		BgL_arg3092z00_1426 =
																			CNST_TABLE_REF(((long) 32));
																		{	/* Object/creator.scm 474 */
																			obj_t BgL_arg3094z00_1428;

																			{	/* Object/creator.scm 474 */
																				obj_t BgL_arg3098z00_1432;

																				obj_t BgL_arg3099z00_1433;

																				{	/* Object/creator.scm 474 */
																					obj_t BgL_arg3100z00_1434;

																					obj_t BgL_arg3101z00_1435;

																					BgL_arg3100z00_1434 =
																						CNST_TABLE_REF(((long) 33));
																					{	/* Object/creator.scm 474 */
																						obj_t BgL_list3102z00_1436;

																						{	/* Object/creator.scm 474 */
																							obj_t BgL_arg3103z00_1437;

																							obj_t BgL_arg3104z00_1438;

																							BgL_arg3103z00_1437 =
																								CNST_TABLE_REF(((long) 34));
																							BgL_arg3104z00_1438 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list3102z00_1436 =
																								MAKE_PAIR(BgL_arg3103z00_1437,
																								BgL_arg3104z00_1438);
																						}
																						BgL_arg3101z00_1435 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(CNST_TABLE_REF(((long) 35)),
																							BgL_list3102z00_1436);
																					}
																					BgL_arg3098z00_1432 =
																						MAKE_PAIR(BgL_arg3100z00_1434,
																						BgL_arg3101z00_1435);
																				}
																				{	/* Object/creator.scm 475 */
																					obj_t BgL_arg3105z00_1439;

																					{	/* Object/creator.scm 475 */
																						obj_t BgL_arg3108z00_1442;

																						obj_t BgL_arg3109z00_1443;

																						BgL_arg3108z00_1442 =
																							CNST_TABLE_REF(((long) 33));
																						{	/* Object/creator.scm 475 */
																							obj_t BgL_arg3110z00_1444;

																							obj_t BgL_arg3111z00_1445;

																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_3205;
																								BgL_auxz00_3205 =
																									(BgL_variablez00_bglt)
																									(BgL_holderz00_64);
																								BgL_arg3110z00_1444 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_3205))->
																									BgL_idz00);
																							}
																							BgL_arg3111z00_1445 =
																								(((BgL_globalz00_bglt)
																									CREF(BgL_holderz00_64))->
																								BgL_modulez00);
																							{	/* Object/creator.scm 475 */
																								obj_t BgL_list3113z00_1447;

																								{	/* Object/creator.scm 475 */
																									obj_t BgL_arg3114z00_1448;

																									BgL_arg3114z00_1448 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list3113z00_1447 =
																										MAKE_PAIR
																										(BgL_arg3111z00_1445,
																										BgL_arg3114z00_1448);
																								}
																								BgL_arg3109z00_1443 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg3110z00_1444,
																									BgL_list3113z00_1447);
																						}}
																						BgL_arg3105z00_1439 =
																							MAKE_PAIR(BgL_arg3108z00_1442,
																							BgL_arg3109z00_1443);
																					}
																					{	/* Object/creator.scm 474 */
																						obj_t BgL_list3107z00_1441;

																						BgL_list3107z00_1441 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg3099z00_1433 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg3105z00_1439,
																							BgL_list3107z00_1441);
																				}}
																				BgL_arg3094z00_1428 =
																					MAKE_PAIR(BgL_arg3098z00_1432,
																					BgL_arg3099z00_1433);
																			}
																			{	/* Object/creator.scm 473 */
																				obj_t BgL_list3096z00_1430;

																				{	/* Object/creator.scm 473 */
																					obj_t BgL_arg3097z00_1431;

																					BgL_arg3097z00_1431 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list3096z00_1430 =
																						MAKE_PAIR(BgL_arg3094z00_1428,
																						BgL_arg3097z00_1431);
																				}
																				BgL_arg3093z00_1427 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_newz00_1332,
																					BgL_list3096z00_1430);
																		}}
																		BgL_arg3078z00_1412 =
																			MAKE_PAIR(BgL_arg3092z00_1426,
																			BgL_arg3093z00_1427);
																	}
																	{	/* Object/creator.scm 477 */
																		obj_t BgL_arg3115z00_1449;

																		obj_t BgL_arg3116z00_1450;

																		BgL_arg3115z00_1449 =
																			CNST_TABLE_REF(((long) 36));
																		{	/* Object/creator.scm 477 */
																			obj_t BgL_list3117z00_1451;

																			{	/* Object/creator.scm 477 */
																				obj_t BgL_arg3118z00_1452;

																				BgL_arg3118z00_1452 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list3117z00_1451 =
																					MAKE_PAIR(BFALSE,
																					BgL_arg3118z00_1452);
																			}
																			BgL_arg3116z00_1450 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_newz00_1332, BgL_list3117z00_1451);
																		}
																		BgL_arg3079z00_1413 =
																			MAKE_PAIR(BgL_arg3115z00_1449,
																			BgL_arg3116z00_1450);
																	}
																	{	/* Object/creator.scm 472 */
																		obj_t BgL_list3081z00_1415;

																		{	/* Object/creator.scm 472 */
																			obj_t BgL_arg3082z00_1416;

																			{	/* Object/creator.scm 472 */
																				obj_t BgL_arg3083z00_1417;

																				{	/* Object/creator.scm 472 */
																					obj_t BgL_arg3084z00_1418;

																					BgL_arg3084z00_1418 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg3083z00_1417 =
																						MAKE_PAIR(BgL_newz00_1332,
																						BgL_arg3084z00_1418);
																				}
																				BgL_arg3082z00_1416 =
																					MAKE_PAIR(BgL_arg3079z00_1413,
																					BgL_arg3083z00_1417);
																			}
																			BgL_list3081z00_1415 =
																				MAKE_PAIR(BgL_arg3078z00_1412,
																				BgL_arg3082z00_1416);
																		}
																		BgL_arg3076z00_1410 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg3077z00_1411,
																			BgL_list3081z00_1415);
																}}
																BgL_arg3071z00_1405 =
																	MAKE_PAIR(BgL_arg3075z00_1409,
																	BgL_arg3076z00_1410);
															}
															{	/* Object/creator.scm 471 */
																obj_t BgL_list3073z00_1407;

																{	/* Object/creator.scm 471 */
																	obj_t BgL_arg3074z00_1408;

																	BgL_arg3074z00_1408 = MAKE_PAIR(BNIL, BNIL);
																	BgL_list3073z00_1407 =
																		MAKE_PAIR(BgL_arg3071z00_1405,
																		BgL_arg3074z00_1408);
																}
																BgL_arg3069z00_1403 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg3070z00_1404, BgL_list3073z00_1407);
														}}
														BgL_arg3009z00_1344 =
															MAKE_PAIR(BgL_arg3068z00_1402,
															BgL_arg3069z00_1403);
												}}
											else
												{	/* Object/creator.scm 491 */
													{	/* Object/creator.scm 480 */
														obj_t BgL_arg3015z00_1349;

														obj_t BgL_arg3016z00_1350;

														BgL_arg3015z00_1349 = CNST_TABLE_REF(((long) 8));
														{	/* Object/creator.scm 480 */
															obj_t BgL_arg3017z00_1351;

															obj_t BgL_arg3018z00_1352;

															BgL_arg3017z00_1351 =
																MAKE_PAIR(BgL_alloczd2tidzd2_1331, BNIL);
															{	/* Object/creator.scm 481 */
																obj_t BgL_arg3022z00_1356;

																obj_t BgL_arg3023z00_1357;

																BgL_arg3022z00_1356 =
																	CNST_TABLE_REF(((long) 20));
																{	/* Object/creator.scm 481 */
																	obj_t BgL_arg3024z00_1358;

																	obj_t BgL_arg3025z00_1359;

																	obj_t BgL_arg3026z00_1360;

																	{	/* Object/creator.scm 481 */
																		obj_t BgL_arg3032z00_1366;

																		{	/* Object/creator.scm 481 */
																			obj_t BgL_arg3034z00_1368;

																			obj_t BgL_arg3035z00_1369;

																			BgL_arg3034z00_1368 =
																				BGl_makezd2typedzd2identz00zzast_identz00
																				(BgL_newz00_1332, BgL_tidz00_1329);
																			{	/* Object/creator.scm 482 */
																				obj_t BgL_arg3036z00_1370;

																				BgL_arg3036z00_1370 =
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(CNST_TABLE_REF(((long) 9)),
																					BgL_tidz00_1329, BNIL);
																				{	/* Object/creator.scm 481 */
																					obj_t BgL_list3038z00_1372;

																					BgL_list3038z00_1372 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg3035z00_1369 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg3036z00_1370,
																						BgL_list3038z00_1372);
																			}}
																			BgL_arg3032z00_1366 =
																				MAKE_PAIR(BgL_arg3034z00_1368,
																				BgL_arg3035z00_1369);
																		}
																		BgL_arg3024z00_1358 =
																			MAKE_PAIR(BgL_arg3032z00_1366, BNIL);
																	}
																	{	/* Object/creator.scm 483 */
																		obj_t BgL_arg3040z00_1374;

																		obj_t BgL_arg3041z00_1375;

																		BgL_arg3040z00_1374 =
																			CNST_TABLE_REF(((long) 32));
																		{	/* Object/creator.scm 484 */
																			obj_t BgL_arg3042z00_1376;

																			{	/* Object/creator.scm 484 */
																				obj_t BgL_arg3046z00_1380;

																				obj_t BgL_arg3047z00_1381;

																				{	/* Object/creator.scm 484 */
																					obj_t BgL_arg3048z00_1382;

																					obj_t BgL_arg3049z00_1383;

																					BgL_arg3048z00_1382 =
																						CNST_TABLE_REF(((long) 33));
																					{	/* Object/creator.scm 484 */
																						obj_t BgL_list3050z00_1384;

																						{	/* Object/creator.scm 484 */
																							obj_t BgL_arg3051z00_1385;

																							obj_t BgL_arg3052z00_1386;

																							BgL_arg3051z00_1385 =
																								CNST_TABLE_REF(((long) 34));
																							BgL_arg3052z00_1386 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list3050z00_1384 =
																								MAKE_PAIR(BgL_arg3051z00_1385,
																								BgL_arg3052z00_1386);
																						}
																						BgL_arg3049z00_1383 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(CNST_TABLE_REF(((long) 35)),
																							BgL_list3050z00_1384);
																					}
																					BgL_arg3046z00_1380 =
																						MAKE_PAIR(BgL_arg3048z00_1382,
																						BgL_arg3049z00_1383);
																				}
																				{	/* Object/creator.scm 485 */
																					obj_t BgL_arg3053z00_1387;

																					{	/* Object/creator.scm 485 */
																						obj_t BgL_arg3056z00_1390;

																						obj_t BgL_arg3057z00_1391;

																						BgL_arg3056z00_1390 =
																							CNST_TABLE_REF(((long) 33));
																						{	/* Object/creator.scm 485 */
																							obj_t BgL_arg3058z00_1392;

																							obj_t BgL_arg3059z00_1393;

																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_3254;
																								BgL_auxz00_3254 =
																									(BgL_variablez00_bglt)
																									(BgL_holderz00_64);
																								BgL_arg3058z00_1392 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_3254))->
																									BgL_idz00);
																							}
																							BgL_arg3059z00_1393 =
																								(((BgL_globalz00_bglt)
																									CREF(BgL_holderz00_64))->
																								BgL_modulez00);
																							{	/* Object/creator.scm 485 */
																								obj_t BgL_list3061z00_1395;

																								{	/* Object/creator.scm 485 */
																									obj_t BgL_arg3062z00_1396;

																									BgL_arg3062z00_1396 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list3061z00_1395 =
																										MAKE_PAIR
																										(BgL_arg3059z00_1393,
																										BgL_arg3062z00_1396);
																								}
																								BgL_arg3057z00_1391 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg3058z00_1392,
																									BgL_list3061z00_1395);
																						}}
																						BgL_arg3053z00_1387 =
																							MAKE_PAIR(BgL_arg3056z00_1390,
																							BgL_arg3057z00_1391);
																					}
																					{	/* Object/creator.scm 484 */
																						obj_t BgL_list3055z00_1389;

																						BgL_list3055z00_1389 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg3047z00_1381 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg3053z00_1387,
																							BgL_list3055z00_1389);
																				}}
																				BgL_arg3042z00_1376 =
																					MAKE_PAIR(BgL_arg3046z00_1380,
																					BgL_arg3047z00_1381);
																			}
																			{	/* Object/creator.scm 483 */
																				obj_t BgL_list3044z00_1378;

																				{	/* Object/creator.scm 483 */
																					obj_t BgL_arg3045z00_1379;

																					BgL_arg3045z00_1379 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list3044z00_1378 =
																						MAKE_PAIR(BgL_arg3042z00_1376,
																						BgL_arg3045z00_1379);
																				}
																				BgL_arg3041z00_1375 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_newz00_1332,
																					BgL_list3044z00_1378);
																		}}
																		BgL_arg3025z00_1359 =
																			MAKE_PAIR(BgL_arg3040z00_1374,
																			BgL_arg3041z00_1375);
																	}
																	{	/* Object/creator.scm 487 */
																		obj_t BgL_arg3063z00_1397;

																		obj_t BgL_arg3064z00_1398;

																		BgL_arg3063z00_1397 =
																			CNST_TABLE_REF(((long) 36));
																		{	/* Object/creator.scm 487 */
																			obj_t BgL_list3065z00_1399;

																			{	/* Object/creator.scm 487 */
																				obj_t BgL_arg3066z00_1400;

																				BgL_arg3066z00_1400 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list3065z00_1399 =
																					MAKE_PAIR(BFALSE,
																					BgL_arg3066z00_1400);
																			}
																			BgL_arg3064z00_1398 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_newz00_1332, BgL_list3065z00_1399);
																		}
																		BgL_arg3026z00_1360 =
																			MAKE_PAIR(BgL_arg3063z00_1397,
																			BgL_arg3064z00_1398);
																	}
																	{	/* Object/creator.scm 481 */
																		obj_t BgL_list3028z00_1362;

																		{	/* Object/creator.scm 481 */
																			obj_t BgL_arg3029z00_1363;

																			{	/* Object/creator.scm 481 */
																				obj_t BgL_arg3030z00_1364;

																				{	/* Object/creator.scm 481 */
																					obj_t BgL_arg3031z00_1365;

																					BgL_arg3031z00_1365 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg3030z00_1364 =
																						MAKE_PAIR(BgL_newz00_1332,
																						BgL_arg3031z00_1365);
																				}
																				BgL_arg3029z00_1363 =
																					MAKE_PAIR(BgL_arg3026z00_1360,
																					BgL_arg3030z00_1364);
																			}
																			BgL_list3028z00_1362 =
																				MAKE_PAIR(BgL_arg3025z00_1359,
																				BgL_arg3029z00_1363);
																		}
																		BgL_arg3023z00_1357 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg3024z00_1358,
																			BgL_list3028z00_1362);
																}}
																BgL_arg3018z00_1352 =
																	MAKE_PAIR(BgL_arg3022z00_1356,
																	BgL_arg3023z00_1357);
															}
															{	/* Object/creator.scm 480 */
																obj_t BgL_list3020z00_1354;

																{	/* Object/creator.scm 480 */
																	obj_t BgL_arg3021z00_1355;

																	BgL_arg3021z00_1355 = MAKE_PAIR(BNIL, BNIL);
																	BgL_list3020z00_1354 =
																		MAKE_PAIR(BgL_arg3018z00_1352,
																		BgL_arg3021z00_1355);
																}
																BgL_arg3016z00_1350 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg3017z00_1351, BgL_list3020z00_1354);
														}}
														BgL_arg3009z00_1344 =
															MAKE_PAIR(BgL_arg3015z00_1349,
															BgL_arg3016z00_1350);
										}}}
										{	/* Object/creator.scm 491 */
											obj_t BgL_list3010z00_1345;

											BgL_list3010z00_1345 =
												MAKE_PAIR(BgL_srczd2defzd2_65, BNIL);
											return
												BGl_epairifyza2za2zztools_miscz00(BgL_arg3009z00_1344,
												BgL_list3010z00_1345);
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* gen-wide-class-make! */
	obj_t BGl_genzd2widezd2classzd2makez12zc0zzobject_creatorz00(obj_t
		BgL_idz00_67, BgL_tclassz00_bglt BgL_typez00_68, obj_t BgL_srczd2defzd2_69,
		obj_t BgL_importz00_70)
	{
		AN_OBJECT;
		{	/* Object/creator.scm 499 */
			{	/* Object/creator.scm 500 */
				obj_t BgL_mkzd2heapzd2idz00_1482;

				{	/* Object/creator.scm 500 */
					obj_t BgL_arg3257z00_1614;

					{	/* Object/creator.scm 500 */
						obj_t BgL_arg3258z00_1615;

						obj_t BgL_arg3259z00_1616;

						{	/* Object/creator.scm 500 */
							obj_t BgL_symbolz00_2039;

							BgL_symbolz00_2039 = CNST_TABLE_REF(((long) 3));
							BgL_arg3258z00_1615 = SYMBOL_TO_STRING(BgL_symbolz00_2039);
						}
						BgL_arg3259z00_1616 = SYMBOL_TO_STRING(BgL_idz00_67);
						{	/* Object/creator.scm 500 */
							obj_t BgL_list3260z00_1617;

							{	/* Object/creator.scm 500 */
								obj_t BgL_arg3261z00_1618;

								BgL_arg3261z00_1618 = MAKE_PAIR(BgL_arg3259z00_1616, BNIL);
								BgL_list3260z00_1617 =
									MAKE_PAIR(BgL_arg3258z00_1615, BgL_arg3261z00_1618);
							}
							BgL_arg3257z00_1614 =
								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
								(BgL_list3260z00_1617);
					}}
					BgL_mkzd2heapzd2idz00_1482 =
						string_to_symbol(BSTRING_TO_STRING(BgL_arg3257z00_1614));
				}
				{	/* Object/creator.scm 500 */
					obj_t BgL_superz00_1483;

					{
						obj_t BgL_auxz00_3294;

						{	/* Object/creator.scm 501 */
							BgL_objectz00_bglt BgL_auxz00_3295;

							BgL_auxz00_3295 = (BgL_objectz00_bglt) (BgL_typez00_68);
							BgL_auxz00_3294 = BGL_OBJECT_WIDENING(BgL_auxz00_3295);
						}
						BgL_superz00_1483 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3294))->
							BgL_itszd2superzd2);
					}
					{	/* Object/creator.scm 501 */
						obj_t BgL_slotsz00_1484;

						{
							obj_t BgL_auxz00_3299;

							{	/* Object/creator.scm 502 */
								BgL_objectz00_bglt BgL_auxz00_3300;

								BgL_auxz00_3300 = (BgL_objectz00_bglt) (BgL_typez00_68);
								BgL_auxz00_3299 = BGL_OBJECT_WIDENING(BgL_auxz00_3300);
							}
							BgL_slotsz00_1484 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3299))->BgL_slotsz00);
						}
						{	/* Object/creator.scm 502 */
							obj_t BgL_sslotsz00_1485;

							{	/* Object/creator.scm 503 */
								BgL_tclassz00_bglt BgL_obj2065z00_2044;

								BgL_obj2065z00_2044 = (BgL_tclassz00_bglt) (BgL_superz00_1483);
								{
									obj_t BgL_auxz00_3305;

									{	/* Object/creator.scm 503 */
										BgL_objectz00_bglt BgL_auxz00_3306;

										BgL_auxz00_3306 =
											(BgL_objectz00_bglt) (BgL_obj2065z00_2044);
										BgL_auxz00_3305 = BGL_OBJECT_WIDENING(BgL_auxz00_3306);
									}
									BgL_sslotsz00_1485 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3305))->
										BgL_slotsz00);
							}}
							{	/* Object/creator.scm 503 */
								BgL_globalz00_bglt BgL_holderz00_1486;

								{
									obj_t BgL_auxz00_3310;

									{	/* Object/creator.scm 504 */
										BgL_objectz00_bglt BgL_auxz00_3311;

										BgL_auxz00_3311 = (BgL_objectz00_bglt) (BgL_typez00_68);
										BgL_auxz00_3310 = BGL_OBJECT_WIDENING(BgL_auxz00_3311);
									}
									BgL_holderz00_1486 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3310))->
										BgL_holderz00);
								}
								{	/* Object/creator.scm 504 */
									obj_t BgL_constrsz00_1487;

									BgL_constrsz00_1487 =
										BGl_findzd2classzd2constructorsz00zzobject_classz00
										(BgL_typez00_68);
									{	/* Object/creator.scm 505 */
										obj_t BgL_tidz00_1488;

										{
											BgL_typez00_bglt BgL_auxz00_3316;

											BgL_auxz00_3316 = (BgL_typez00_bglt) (BgL_typez00_68);
											BgL_tidz00_1488 =
												(((BgL_typez00_bglt) CREF(BgL_auxz00_3316))->BgL_idz00);
										}
										{	/* Object/creator.scm 506 */
											obj_t BgL_stidz00_1489;

											{
												BgL_typez00_bglt BgL_auxz00_3319;

												BgL_auxz00_3319 =
													(BgL_typez00_bglt) (BgL_superz00_1483);
												BgL_stidz00_1489 =
													(((BgL_typez00_bglt) CREF(BgL_auxz00_3319))->
													BgL_idz00);
											}
											{	/* Object/creator.scm 507 */
												obj_t BgL_mkzd2tidzd2_1490;

												{	/* Object/creator.scm 508 */
													obj_t BgL_arg3249z00_1608;

													{	/* Object/creator.scm 508 */
														obj_t BgL_arg3251z00_1609;

														{	/* Object/creator.scm 508 */
															obj_t BgL_arg3253z00_1610;

															obj_t BgL_arg3254z00_1611;

															{	/* Object/creator.scm 508 */
																obj_t BgL_symbolz00_2048;

																BgL_symbolz00_2048 = CNST_TABLE_REF(((long) 3));
																BgL_arg3253z00_1610 =
																	SYMBOL_TO_STRING(BgL_symbolz00_2048);
															}
															BgL_arg3254z00_1611 =
																SYMBOL_TO_STRING(BgL_idz00_67);
															{	/* Object/creator.scm 508 */
																obj_t BgL_list3255z00_1612;

																{	/* Object/creator.scm 508 */
																	obj_t BgL_arg3256z00_1613;

																	BgL_arg3256z00_1613 =
																		MAKE_PAIR(BgL_arg3254z00_1611, BNIL);
																	BgL_list3255z00_1612 =
																		MAKE_PAIR(BgL_arg3253z00_1610,
																		BgL_arg3256z00_1613);
																}
																BgL_arg3251z00_1609 =
																	BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																	(BgL_list3255z00_1612);
														}}
														BgL_arg3249z00_1608 =
															string_to_symbol(BSTRING_TO_STRING
															(BgL_arg3251z00_1609));
													}
													BgL_mkzd2tidzd2_1490 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_arg3249z00_1608, BgL_tidz00_1488);
												}
												{	/* Object/creator.scm 508 */
													obj_t BgL_fzd2idszd2_1491;

													BgL_fzd2idszd2_1491 =
														BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
														(BgL_slotsz00_1484);
													{	/* Object/creator.scm 509 */
														obj_t BgL_sfzd2idszd2_1492;

														BgL_sfzd2idszd2_1492 =
															BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
															(BgL_sslotsz00_1485);
														{	/* Object/creator.scm 510 */
															obj_t BgL_fzd2tidszd2_1493;

															BgL_fzd2tidszd2_1493 =
																BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
																(BgL_fzd2idszd2_1491, BgL_slotsz00_1484);
															{	/* Object/creator.scm 511 */
																obj_t BgL_sfzd2tidszd2_1494;

																BgL_sfzd2tidszd2_1494 =
																	BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
																	(BgL_sfzd2idszd2_1492, BgL_sslotsz00_1485);
																{	/* Object/creator.scm 512 */
																	obj_t BgL_wideningz00_1495;

																	{	/* Object/creator.scm 514 */
																		obj_t BgL_arg3243z00_1602;

																		obj_t BgL_arg3244z00_1603;

																		obj_t BgL_arg3245z00_1604;

																		{
																			obj_t BgL_auxz00_3335;

																			{	/* Object/creator.scm 514 */
																				BgL_objectz00_bglt BgL_auxz00_3336;

																				BgL_auxz00_3336 =
																					(BgL_objectz00_bglt) (BgL_typez00_68);
																				BgL_auxz00_3335 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3336);
																			}
																			BgL_arg3243z00_1602 =
																				(((BgL_tclassz00_bglt)
																					CREF(BgL_auxz00_3335))->
																				BgL_wideningz00);
																		}
																		BgL_arg3244z00_1603 =
																			CNST_TABLE_REF(((long) 5));
																		{
																			BgL_typez00_bglt BgL_auxz00_3341;

																			BgL_auxz00_3341 =
																				(BgL_typez00_bglt) (BgL_typez00_68);
																			BgL_arg3245z00_1604 =
																				(((BgL_typez00_bglt)
																					CREF(BgL_auxz00_3341))->BgL_idz00);
																		}
																		{	/* Object/creator.scm 513 */
																			obj_t BgL_list3246z00_1605;

																			{	/* Object/creator.scm 513 */
																				obj_t BgL_arg3247z00_1606;

																				{	/* Object/creator.scm 513 */
																					obj_t BgL_arg3248z00_1607;

																					BgL_arg3248z00_1607 =
																						MAKE_PAIR(BgL_arg3245z00_1604,
																						BNIL);
																					BgL_arg3247z00_1606 =
																						MAKE_PAIR(BgL_arg3244z00_1603,
																						BgL_arg3248z00_1607);
																				}
																				BgL_list3246z00_1605 =
																					MAKE_PAIR(BgL_arg3243z00_1602,
																					BgL_arg3247z00_1606);
																			}
																			BgL_wideningz00_1495 =
																				BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																				(BgL_list3246z00_1605);
																	}}
																	{	/* Object/creator.scm 513 */
																		obj_t BgL_auxz00_1496;

																		BgL_auxz00_1496 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BGl_gensymz00zz__r4_symbols_6_4z00
																			(CNST_TABLE_REF(((long) 37))));
																		{	/* Object/creator.scm 515 */
																			obj_t BgL_newz00_1497;

																			BgL_newz00_1497 =
																				BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																				(BGl_gensymz00zz__r4_symbols_6_4z00
																				(CNST_TABLE_REF(((long) 9))));
																			{	/* Object/creator.scm 516 */
																				obj_t BgL_mkzd2classzd2idz00_1498;

																				{	/* Object/creator.scm 517 */
																					obj_t BgL_arg3233z00_1595;

																					{	/* Object/creator.scm 517 */
																						obj_t BgL_arg3236z00_1596;

																						obj_t BgL_arg3237z00_1597;

																						{	/* Object/creator.scm 517 */
																							obj_t BgL_symbolz00_2053;

																							BgL_symbolz00_2053 =
																								CNST_TABLE_REF(((long) 3));
																							BgL_arg3236z00_1596 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_2053);
																						}
																						BgL_arg3237z00_1597 =
																							SYMBOL_TO_STRING
																							(BgL_stidz00_1489);
																						{	/* Object/creator.scm 517 */
																							obj_t BgL_list3238z00_1598;

																							{	/* Object/creator.scm 517 */
																								obj_t BgL_arg3239z00_1599;

																								BgL_arg3239z00_1599 =
																									MAKE_PAIR(BgL_arg3237z00_1597,
																									BNIL);
																								BgL_list3238z00_1598 =
																									MAKE_PAIR(BgL_arg3236z00_1596,
																									BgL_arg3239z00_1599);
																							}
																							BgL_arg3233z00_1595 =
																								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																								(BgL_list3238z00_1598);
																					}}
																					BgL_mkzd2classzd2idz00_1498 =
																						string_to_symbol(BSTRING_TO_STRING
																						(BgL_arg3233z00_1595));
																				}
																				{	/* Object/creator.scm 517 */

																					{	/* Object/creator.scm 519 */
																						obj_t BgL_arg3142z00_1499;

																						{	/* Object/creator.scm 519 */
																							obj_t BgL_arg3143z00_1500;

																							{	/* Object/creator.scm 519 */
																								obj_t BgL_arg3144z00_1501;

																								BgL_arg3144z00_1501 =
																									MAKE_PAIR
																									(BgL_mkzd2tidzd2_1490,
																									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																									(BgL_sfzd2tidszd2_1494,
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_fzd2tidszd2_1493,
																											BNIL)));
																								{	/* Object/creator.scm 519 */
																									obj_t BgL_list3146z00_1503;

																									BgL_list3146z00_1503 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg3143z00_1500 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg3144z00_1501,
																										BgL_list3146z00_1503);
																							}}
																							BgL_arg3142z00_1499 =
																								MAKE_PAIR(BgL_importz00_70,
																								BgL_arg3143z00_1500);
																						}
																						BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																							(BgL_arg3142z00_1499);
																					}
																					{	/* Object/creator.scm 521 */
																						obj_t BgL_arg3149z00_1506;

																						{	/* Object/creator.scm 521 */
																							obj_t BgL_arg3151z00_1508;

																							obj_t BgL_arg3152z00_1509;

																							BgL_arg3151z00_1508 =
																								CNST_TABLE_REF(((long) 15));
																							{	/* Object/creator.scm 521 */
																								obj_t BgL_arg3153z00_1510;

																								obj_t BgL_arg3154z00_1511;

																								BgL_arg3153z00_1510 =
																									MAKE_PAIR
																									(BgL_mkzd2tidzd2_1490,
																									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																									(BgL_sfzd2tidszd2_1494,
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_fzd2tidszd2_1493,
																											BNIL)));
																								{	/* Object/creator.scm 524 */
																									obj_t BgL_arg3160z00_1517;

																									obj_t BgL_arg3161z00_1518;

																									BgL_arg3160z00_1517 =
																										CNST_TABLE_REF(((long) 20));
																									{	/* Object/creator.scm 524 */
																										obj_t BgL_arg3162z00_1519;

																										obj_t BgL_arg3163z00_1520;

																										obj_t BgL_arg3164z00_1521;

																										obj_t BgL_arg3165z00_1522;

																										{	/* Object/creator.scm 524 */
																											obj_t BgL_arg3173z00_1528;

																											{	/* Object/creator.scm 524 */
																												obj_t
																													BgL_arg3175z00_1530;
																												obj_t
																													BgL_arg3176z00_1531;
																												BgL_arg3175z00_1530 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_auxz00_1496,
																													BgL_stidz00_1489);
																												{	/* Object/creator.scm 525 */
																													obj_t
																														BgL_arg3177z00_1532;
																													BgL_arg3177z00_1532 =
																														MAKE_PAIR
																														(BgL_mkzd2classzd2idz00_1498,
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_sfzd2idszd2_1492,
																															BNIL));
																													{	/* Object/creator.scm 524 */
																														obj_t
																															BgL_list3179z00_1534;
																														BgL_list3179z00_1534
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg3176z00_1531
																															=
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg3177z00_1532,
																															BgL_list3179z00_1534);
																												}}
																												BgL_arg3173z00_1528 =
																													MAKE_PAIR
																													(BgL_arg3175z00_1530,
																													BgL_arg3176z00_1531);
																											}
																											BgL_arg3162z00_1519 =
																												MAKE_PAIR
																												(BgL_arg3173z00_1528,
																												BNIL);
																										}
																										{	/* Object/creator.scm 529 */
																											obj_t BgL_arg3181z00_1536;

																											obj_t BgL_arg3182z00_1537;

																											BgL_arg3181z00_1536 =
																												CNST_TABLE_REF(((long)
																													32));
																											{	/* Object/creator.scm 531 */
																												obj_t
																													BgL_arg3183z00_1538;
																												{	/* Object/creator.scm 531 */
																													obj_t
																														BgL_arg3187z00_1542;
																													obj_t
																														BgL_arg3188z00_1543;
																													BgL_arg3187z00_1542 =
																														CNST_TABLE_REF((
																															(long) 35));
																													{	/* Object/creator.scm 531 */
																														obj_t
																															BgL_arg3189z00_1544;
																														{	/* Object/creator.scm 531 */
																															obj_t
																																BgL_arg3192z00_1547;
																															obj_t
																																BgL_arg3193z00_1548;
																															BgL_arg3192z00_1547
																																=
																																CNST_TABLE_REF((
																																	(long) 33));
																															{	/* Object/creator.scm 531 */
																																obj_t
																																	BgL_arg3194z00_1549;
																																obj_t
																																	BgL_arg3195z00_1550;
																																{
																																	BgL_variablez00_bglt
																																		BgL_auxz00_3384;
																																	BgL_auxz00_3384
																																		=
																																		(BgL_variablez00_bglt)
																																		(BgL_holderz00_1486);
																																	BgL_arg3194z00_1549
																																		=
																																		(((BgL_variablez00_bglt) CREF(BgL_auxz00_3384))->BgL_idz00);
																																}
																																BgL_arg3195z00_1550
																																	=
																																	(((BgL_globalz00_bglt) CREF(BgL_holderz00_1486))->BgL_modulez00);
																																{	/* Object/creator.scm 531 */
																																	obj_t
																																		BgL_list3197z00_1552;
																																	{	/* Object/creator.scm 531 */
																																		obj_t
																																			BgL_arg3198z00_1553;
																																		BgL_arg3198z00_1553
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list3197z00_1552
																																			=
																																			MAKE_PAIR
																																			(BgL_arg3195z00_1550,
																																			BgL_arg3198z00_1553);
																																	}
																																	BgL_arg3193z00_1548
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg3194z00_1549,
																																		BgL_list3197z00_1552);
																															}}
																															BgL_arg3189z00_1544
																																=
																																MAKE_PAIR
																																(BgL_arg3192z00_1547,
																																BgL_arg3193z00_1548);
																														}
																														{	/* Object/creator.scm 531 */
																															obj_t
																																BgL_list3191z00_1546;
																															BgL_list3191z00_1546
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_arg3188z00_1543
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg3189z00_1544,
																																BgL_list3191z00_1546);
																													}}
																													BgL_arg3183z00_1538 =
																														MAKE_PAIR
																														(BgL_arg3187z00_1542,
																														BgL_arg3188z00_1543);
																												}
																												{	/* Object/creator.scm 529 */
																													obj_t
																														BgL_list3185z00_1540;
																													{	/* Object/creator.scm 529 */
																														obj_t
																															BgL_arg3186z00_1541;
																														BgL_arg3186z00_1541
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list3185z00_1540
																															=
																															MAKE_PAIR
																															(BgL_arg3183z00_1538,
																															BgL_arg3186z00_1541);
																													}
																													BgL_arg3182z00_1537 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_auxz00_1496,
																														BgL_list3185z00_1540);
																											}}
																											BgL_arg3163z00_1520 =
																												MAKE_PAIR
																												(BgL_arg3181z00_1536,
																												BgL_arg3182z00_1537);
																										}
																										{	/* Object/creator.scm 534 */
																											obj_t BgL_arg3199z00_1554;

																											obj_t BgL_arg3200z00_1555;

																											BgL_arg3199z00_1554 =
																												CNST_TABLE_REF(((long)
																													36));
																											{	/* Object/creator.scm 534 */
																												obj_t
																													BgL_arg3201z00_1556;
																												BgL_arg3201z00_1556 =
																													MAKE_PAIR
																													(BgL_wideningz00_1495,
																													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																													(BgL_fzd2idszd2_1491,
																														BNIL));
																												{	/* Object/creator.scm 534 */
																													obj_t
																														BgL_list3203z00_1558;
																													{	/* Object/creator.scm 534 */
																														obj_t
																															BgL_arg3204z00_1559;
																														BgL_arg3204z00_1559
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list3203z00_1558
																															=
																															MAKE_PAIR
																															(BgL_arg3201z00_1556,
																															BgL_arg3204z00_1559);
																													}
																													BgL_arg3200z00_1555 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_auxz00_1496,
																														BgL_list3203z00_1558);
																											}}
																											BgL_arg3164z00_1521 =
																												MAKE_PAIR
																												(BgL_arg3199z00_1554,
																												BgL_arg3200z00_1555);
																										}
																										{	/* Object/creator.scm 536 */
																											obj_t BgL_arg3206z00_1561;

																											obj_t BgL_arg3207z00_1562;

																											BgL_arg3206z00_1561 =
																												CNST_TABLE_REF(((long)
																													20));
																											{	/* Object/creator.scm 536 */
																												obj_t
																													BgL_arg3208z00_1563;
																												obj_t
																													BgL_arg3209z00_1564;
																												{	/* Object/creator.scm 536 */
																													obj_t
																														BgL_arg3211z00_1566;
																													{	/* Object/creator.scm 536 */
																														obj_t
																															BgL_arg3213z00_1568;
																														obj_t
																															BgL_arg3214z00_1569;
																														BgL_arg3213z00_1568
																															=
																															BGl_makezd2typedzd2identz00zzast_identz00
																															(BgL_newz00_1497,
																															BgL_tidz00_1488);
																														{	/* Object/creator.scm 537 */
																															obj_t
																																BgL_arg3215z00_1570;
																															{	/* Object/creator.scm 537 */
																																obj_t
																																	BgL_list3219z00_1573;
																																BgL_list3219z00_1573
																																	=
																																	MAKE_PAIR
																																	(BgL_auxz00_1496,
																																	BNIL);
																																BgL_arg3215z00_1570
																																	=
																																	BGl_makezd2privatezd2sexpz00zzast_privatez00
																																	(CNST_TABLE_REF
																																	(((long) 38)),
																																	BgL_tidz00_1488,
																																	BgL_list3219z00_1573);
																															}
																															{	/* Object/creator.scm 536 */
																																obj_t
																																	BgL_list3218z00_1572;
																																BgL_list3218z00_1572
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_arg3214z00_1569
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg3215z00_1570,
																																	BgL_list3218z00_1572);
																														}}
																														BgL_arg3211z00_1566
																															=
																															MAKE_PAIR
																															(BgL_arg3213z00_1568,
																															BgL_arg3214z00_1569);
																													}
																													BgL_arg3208z00_1563 =
																														MAKE_PAIR
																														(BgL_arg3211z00_1566,
																														BNIL);
																												}
																												{	/* Object/creator.scm 540 */
																													obj_t
																														BgL_arg3220z00_1574;
																													obj_t
																														BgL_arg3221z00_1575;
																													{	/* Object/creator.scm 540 */
																														bool_t
																															BgL_testz00_3415;
																														if (PAIRP
																															(BgL_constrsz00_1487))
																															{	/* Object/creator.scm 540 */
																																if (
																																	(BgL_wideningz00_1495
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				6))))
																																	{	/* Object/creator.scm 541 */
																																		BgL_testz00_3415
																																			=
																																			((bool_t)
																																			0);
																																	}
																																else
																																	{	/* Object/creator.scm 541 */
																																		BgL_testz00_3415
																																			=
																																			((bool_t)
																																			1);
																																	}
																															}
																														else
																															{	/* Object/creator.scm 540 */
																																BgL_testz00_3415
																																	=
																																	((bool_t) 0);
																															}
																														if (BgL_testz00_3415)
																															{	/* Object/creator.scm 540 */
																																if (NULLP
																																	(BgL_constrsz00_1487))
																																	{	/* Object/creator.scm 542 */
																																		BgL_arg3220z00_1574
																																			= BNIL;
																																	}
																																else
																																	{	/* Object/creator.scm 542 */
																																		obj_t
																																			BgL_head2414z00_1579;
																																		BgL_head2414z00_1579
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		{
																																			obj_t
																																				BgL_l2412z00_1581;
																																			obj_t
																																				BgL_tail2415z00_1582;
																																			BgL_l2412z00_1581
																																				=
																																				BgL_constrsz00_1487;
																																			BgL_tail2415z00_1582
																																				=
																																				BgL_head2414z00_1579;
																																		BgL_zc3anonymousza33224ze3z83_1583:
																																			if (NULLP
																																				(BgL_l2412z00_1581))
																																				{	/* Object/creator.scm 542 */
																																					BgL_arg3220z00_1574
																																						=
																																						CDR
																																						(BgL_head2414z00_1579);
																																				}
																																			else
																																				{	/* Object/creator.scm 542 */
																																					obj_t
																																						BgL_newtail2416z00_1585;
																																					{	/* Object/creator.scm 542 */
																																						obj_t
																																							BgL_arg3227z00_1587;
																																						{	/* Object/creator.scm 542 */
																																							obj_t
																																								BgL_constrz00_1589;
																																							BgL_constrz00_1589
																																								=
																																								CAR
																																								(BgL_l2412z00_1581);
																																							{	/* Object/creator.scm 542 */
																																								obj_t
																																									BgL_arg3229z00_1590;
																																								{	/* Object/creator.scm 542 */
																																									obj_t
																																										BgL_list3230z00_1591;
																																									BgL_list3230z00_1591
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_arg3229z00_1590
																																										=
																																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																										(BgL_newz00_1497,
																																										BgL_list3230z00_1591);
																																								}
																																								BgL_arg3227z00_1587
																																									=
																																									MAKE_PAIR
																																									(BgL_constrz00_1589,
																																									BgL_arg3229z00_1590);
																																							}
																																						}
																																						BgL_newtail2416z00_1585
																																							=
																																							MAKE_PAIR
																																							(BgL_arg3227z00_1587,
																																							BNIL);
																																					}
																																					SET_CDR
																																						(BgL_tail2415z00_1582,
																																						BgL_newtail2416z00_1585);
																																					{
																																						obj_t
																																							BgL_tail2415z00_3435;
																																						obj_t
																																							BgL_l2412z00_3433;
																																						BgL_l2412z00_3433
																																							=
																																							CDR
																																							(BgL_l2412z00_1581);
																																						BgL_tail2415z00_3435
																																							=
																																							BgL_newtail2416z00_1585;
																																						BgL_tail2415z00_1582
																																							=
																																							BgL_tail2415z00_3435;
																																						BgL_l2412z00_1581
																																							=
																																							BgL_l2412z00_3433;
																																						goto
																																							BgL_zc3anonymousza33224ze3z83_1583;
																																					}
																																				}
																																		}
																																	}
																															}
																														else
																															{	/* Object/creator.scm 540 */
																																BgL_arg3220z00_1574
																																	= BNIL;
																															}
																													}
																													BgL_arg3221z00_1575 =
																														MAKE_PAIR
																														(BgL_newz00_1497,
																														BNIL);
																													BgL_arg3209z00_1564 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg3220z00_1574,
																														BgL_arg3221z00_1575);
																												}
																												{	/* Object/creator.scm 536 */
																													obj_t
																														BgL_list3210z00_1565;
																													BgL_list3210z00_1565 =
																														MAKE_PAIR
																														(BgL_arg3209z00_1564,
																														BNIL);
																													BgL_arg3207z00_1562 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg3208z00_1563,
																														BgL_list3210z00_1565);
																												}
																											}
																											BgL_arg3165z00_1522 =
																												MAKE_PAIR
																												(BgL_arg3206z00_1561,
																												BgL_arg3207z00_1562);
																										}
																										{	/* Object/creator.scm 524 */
																											obj_t
																												BgL_list3167z00_1524;
																											{	/* Object/creator.scm 524 */
																												obj_t
																													BgL_arg3170z00_1525;
																												{	/* Object/creator.scm 524 */
																													obj_t
																														BgL_arg3171z00_1526;
																													{	/* Object/creator.scm 524 */
																														obj_t
																															BgL_arg3172z00_1527;
																														BgL_arg3172z00_1527
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg3171z00_1526
																															=
																															MAKE_PAIR
																															(BgL_arg3165z00_1522,
																															BgL_arg3172z00_1527);
																													}
																													BgL_arg3170z00_1525 =
																														MAKE_PAIR
																														(BgL_arg3164z00_1521,
																														BgL_arg3171z00_1526);
																												}
																												BgL_list3167z00_1524 =
																													MAKE_PAIR
																													(BgL_arg3163z00_1520,
																													BgL_arg3170z00_1525);
																											}
																											BgL_arg3161z00_1518 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg3162z00_1519,
																												BgL_list3167z00_1524);
																										}
																									}
																									BgL_arg3154z00_1511 =
																										MAKE_PAIR
																										(BgL_arg3160z00_1517,
																										BgL_arg3161z00_1518);
																								}
																								{	/* Object/creator.scm 521 */
																									obj_t BgL_list3156z00_1513;

																									{	/* Object/creator.scm 521 */
																										obj_t BgL_arg3157z00_1514;

																										BgL_arg3157z00_1514 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list3156z00_1513 =
																											MAKE_PAIR
																											(BgL_arg3154z00_1511,
																											BgL_arg3157z00_1514);
																									}
																									BgL_arg3152z00_1509 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg3153z00_1510,
																										BgL_list3156z00_1513);
																								}
																							}
																							BgL_arg3149z00_1506 =
																								MAKE_PAIR(BgL_arg3151z00_1508,
																								BgL_arg3152z00_1509);
																						}
																						{	/* Object/creator.scm 521 */
																							obj_t BgL_list3150z00_1507;

																							BgL_list3150z00_1507 =
																								MAKE_PAIR(BgL_srczd2defzd2_69,
																								BNIL);
																							return
																								BGl_epairifyza2za2zztools_miscz00
																								(BgL_arg3149z00_1506,
																								BgL_list3150z00_1507);
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_creatorz00()
	{
		AN_OBJECT;
		{	/* Object/creator.scm 21 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_creatorz00()
	{
		AN_OBJECT;
		{	/* Object/creator.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_creatorz00()
	{
		AN_OBJECT;
		{	/* Object/creator.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 71067807),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzobject_structz00(((long) 112894054),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 405988581),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzobject_nilz00(((long) 169673641),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 468691571),
				BSTRING_TO_STRING(BGl_string3297z00zzobject_creatorz00));
		}
	}

#ifdef __cplusplus
}
#endif
