/*===========================================================================*/
/*   (Reduce/ftypec.scm)                                                     */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/ftypec.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t
		BGl__nodezd2typecz12zd2default3404z12zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_nodezd2typecz12zd2select3424z12zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl__nodezd2typecz12zc0zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2typecz12zd2cast3415z12zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t
		BGl_nodezd2typecz12zd2setzd2exzd2i3430z12zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_nodezd2typecz12zd2sequence3407z12zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t
		BGl_nodezd2typecz12zd2boxzd2setz123437zd2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_nodezd2typecz12zd2funcall3411z12zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_nodezd2typecz12zd2conditio3420z12zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2typecz12zd2setq3418z12zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl__reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t,
		obj_t);
	static obj_t
		BGl_nodezd2typecz12zd2jumpzd2exzd23432z12zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
		BUNSPEC;
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2;
	static obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t
		BGl_nodezd2typecz12zd2boxzd2ref3439zc0zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2typecz12zd2fail3422z12zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_nodezd2typecz12zd2makezd2box3434zc0zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_nodezd2typecz12zd2app3441z12zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_nodezd2typecz12zd2letzd2fun3426zc0zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_nodezd2typecz12zd2letzd2var3428zc0zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_nodezd2typecz12zd2extern3413z12zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_nodezd2typecz12zd2appzd2ly3409zc0zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string3736z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3736za700za7za7r3761za7, "      flow type check        ", 29);
	      DEFINE_STRING(BGl_string3737z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3737za700za7za7r3762za7, ")\n", 2);
	      DEFINE_STRING(BGl_string3738z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3738za700za7za7r3763za7, ") (remaining : ", 15);
	      DEFINE_STRING(BGl_string3739z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3739za700za7za7r3764za7, "(removed : ", 11);
	      DEFINE_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3757za700za7za7r3765za7, "reduce_flow-typec", 17);
	      DEFINE_STRING(BGl_string3758z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string3758za700za7za7r3766za7, "read done ", 10);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl__nodeza7d2typecza7123767z00,
		BGl__nodezd2typecz12zc0zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_nodezd2typecz12zd2default3404zd2envzc0zzreduce_flowzd2typeczd2,
		BgL_bgl__nodeza7d2typecza7123768z00,
		BGl__nodezd2typecz12zd2default3404z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3740z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73769za7,
		BGl_nodezd2typecz12zd2sequence3407z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3741z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73770za7,
		BGl_nodezd2typecz12zd2appzd2ly3409zc0zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3742z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73771za7,
		BGl_nodezd2typecz12zd2funcall3411z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3743z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73772za7,
		BGl_nodezd2typecz12zd2extern3413z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3744z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73773za7,
		BGl_nodezd2typecz12zd2cast3415z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3745z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73774za7,
		BGl_nodezd2typecz12zd2setq3418z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3746z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73775za7,
		BGl_nodezd2typecz12zd2conditio3420z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3747z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73776za7,
		BGl_nodezd2typecz12zd2fail3422z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3748z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73777za7,
		BGl_nodezd2typecz12zd2select3424z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3750z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73778za7,
		BGl_nodezd2typecz12zd2letzd2var3428zc0zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3749z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73779za7,
		BGl_nodezd2typecz12zd2letzd2fun3426zc0zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3751z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73780za7,
		BGl_nodezd2typecz12zd2setzd2exzd2i3430z12zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3752z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73781za7,
		BGl_nodezd2typecz12zd2jumpzd2exzd23432z12zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3753z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73782za7,
		BGl_nodezd2typecz12zd2makezd2box3434zc0zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3754z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73783za7,
		BGl_nodezd2typecz12zd2boxzd2setz123437zd2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3755z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73784za7,
		BGl_nodezd2typecz12zd2boxzd2ref3439zc0zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3756z00zzreduce_flowzd2typeczd2,
		BgL_bgl_nodeza7d2typecza712za73785za7,
		BGl_nodezd2typecz12zd2app3441z12zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2flowzd2typezd2checkz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl__reduceza7d2flowza7d3786z00,
		BGl__reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long
		BgL_checksumz00_2686, char *BgL_fromz00_2687)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2))
				{
					BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_flow-typec");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			{	/* Reduce/ftypec.scm 15 */
				obj_t BgL_cportz00_2676;

				BgL_cportz00_2676 =
					bgl_open_input_string(BGl_string3758z00zzreduce_flowzd2typeczd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_2677;

					BgL_iz00_2677 = ((long) 1);
				BgL_loopz00_2678:
					if ((BgL_iz00_2677 == ((long) -1)))
						{	/* Reduce/ftypec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/ftypec.scm 15 */
							{	/* Reduce/ftypec.scm 15 */
								obj_t BgL_arg3760z00_2680;

								{	/* Reduce/ftypec.scm 15 */

									{	/* Reduce/ftypec.scm 15 */
										obj_t BgL_locationz00_2682;

										BgL_locationz00_2682 = BBOOL(((bool_t) 0));
										{	/* Reduce/ftypec.scm 15 */

											BgL_arg3760z00_2680 =
												BGl_readz00zz__readerz00(BgL_cportz00_2676,
												BgL_locationz00_2682);
										}
									}
								}
								{	/* Reduce/ftypec.scm 15 */
									int BgL_auxz00_2706;

									BgL_auxz00_2706 = (int) (BgL_iz00_2677);
									CNST_TABLE_SET(BgL_auxz00_2706, BgL_arg3760z00_2680);
							}}
							{	/* Reduce/ftypec.scm 15 */
								int BgL_auxz00_2683;

								BgL_auxz00_2683 = (int) ((BgL_iz00_2677 - ((long) 1)));
								{
									long BgL_iz00_2711;

									BgL_iz00_2711 = (long) (BgL_auxz00_2683);
									BgL_iz00_2677 = BgL_iz00_2711;
									goto BgL_loopz00_2678;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2 =
				((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-flow-type-check! */
	BGL_EXPORTED_DEF obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 54 */
			{	/* Reduce/ftypec.scm 55 */
				obj_t BgL_list3442z00_823;

				BgL_list3442z00_823 =
					MAKE_PAIR(BGl_string3736z00zzreduce_flowzd2typeczd2, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3442z00_823);
			}
			{
				obj_t BgL_l3393z00_825;

				BgL_l3393z00_825 = BgL_globalsz00_1;
			BgL_zc3anonymousza33443ze3z83_826:
				if (PAIRP(BgL_l3393z00_825))
					{	/* Reduce/ftypec.scm 56 */
						{	/* Reduce/ftypec.scm 57 */
							obj_t BgL_globalz00_828;

							BgL_globalz00_828 = CAR(BgL_l3393z00_825);
							{	/* Reduce/ftypec.scm 57 */
								BgL_valuez00_bglt BgL_funz00_829;

								{
									BgL_variablez00_bglt BgL_auxz00_2719;

									BgL_auxz00_2719 = (BgL_variablez00_bglt) (BgL_globalz00_828);
									BgL_funz00_829 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_2719))->
										BgL_valuez00);
								}
								{	/* Reduce/ftypec.scm 57 */
									obj_t BgL_nodez00_830;

									{
										BgL_sfunz00_bglt BgL_auxz00_2722;

										BgL_auxz00_2722 = (BgL_sfunz00_bglt) (BgL_funz00_829);
										BgL_nodez00_830 =
											(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2722))->BgL_bodyz00);
									}
									{	/* Reduce/ftypec.scm 58 */

										{	/* Reduce/ftypec.scm 59 */
											BgL_nodez00_bglt BgL_arg3445z00_831;

											{	/* Reduce/ftypec.scm 59 */
												BgL_nodez00_bglt BgL_res3640z00_1548;

												{	/* Reduce/ftypec.scm 59 */
													BgL_nodez00_bglt BgL_nodez00_1521;

													BgL_nodez00_1521 =
														(BgL_nodez00_bglt) (BgL_nodez00_830);
													{	/* Reduce/ftypec.scm 59 */
														obj_t BgL_method3405z00_1523;

														{	/* Reduce/ftypec.scm 59 */
															BgL_objectz00_bglt BgL_objz00_1524;

															BgL_objz00_1524 =
																(BgL_objectz00_bglt) (BgL_nodez00_1521);
															{	/* Reduce/ftypec.scm 59 */
																long BgL_objzd2classzd2numz00_1525;

																BgL_objzd2classzd2numz00_1525 =
																	BGL_OBJECT_CLASS_NUM(BgL_objz00_1524);
																{	/* Reduce/ftypec.scm 59 */
																	obj_t BgL_arg2422z00_1526;

																	BgL_arg2422z00_1526 =
																		PROCEDURE_REF
																		(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																		(int) (((long) 1)));
																	{	/* Reduce/ftypec.scm 59 */
																		obj_t BgL_arrayz00_1528;

																		int BgL_offsetz00_1529;

																		BgL_arrayz00_1528 = BgL_arg2422z00_1526;
																		BgL_offsetz00_1529 =
																			(int) (BgL_objzd2classzd2numz00_1525);
																		{	/* Reduce/ftypec.scm 59 */
																			long BgL_offsetz00_1530;

																			BgL_offsetz00_1530 =
																				(
																				(long) (BgL_offsetz00_1529) -
																				OBJECT_TYPE);
																			{	/* Reduce/ftypec.scm 59 */
																				long BgL_modz00_1531;

																				{	/* Reduce/ftypec.scm 59 */
																					int BgL_arg2424z00_1532;

																					BgL_arg2424z00_1532 =
																						(int) (((long) 8));
																					{	/* Reduce/ftypec.scm 59 */
																						long BgL_auxz00_2734;

																						BgL_auxz00_2734 =
																							(long) (BgL_arg2424z00_1532);
																						BgL_modz00_1531 =
																							(BgL_offsetz00_1530 /
																							BgL_auxz00_2734);
																				}}
																				{	/* Reduce/ftypec.scm 59 */
																					long BgL_restz00_1533;

																					{	/* Reduce/ftypec.scm 59 */
																						int BgL_arg2423z00_1534;

																						BgL_arg2423z00_1534 =
																							(int) (((long) 8));
																						{	/* Reduce/ftypec.scm 59 */
																							long BgL_auxz00_2738;

																							BgL_auxz00_2738 =
																								(long) (BgL_arg2423z00_1534);
																							BgL_restz00_1533 =
																								(BgL_offsetz00_1530 %
																								BgL_auxz00_2738);
																					}}
																					{	/* Reduce/ftypec.scm 59 */

																						BgL_method3405z00_1523 =
																							VECTOR_REF(VECTOR_REF
																							(BgL_arrayz00_1528,
																								(int) (BgL_modz00_1531)),
																							(int) (BgL_restz00_1533));
														}}}}}}}}
														BgL_res3640z00_1548 =
															(BgL_nodez00_bglt) (PROCEDURE_ENTRY
															(BgL_method3405z00_1523) (BgL_method3405z00_1523,
																(obj_t) (BgL_nodez00_1521), BNIL, BEOA));
												}}
												BgL_arg3445z00_831 = BgL_res3640z00_1548;
											}
											{
												obj_t BgL_auxz00_2751;

												BgL_sfunz00_bglt BgL_auxz00_2749;

												BgL_auxz00_2751 = (obj_t) (BgL_arg3445z00_831);
												BgL_auxz00_2749 = (BgL_sfunz00_bglt) (BgL_funz00_829);
												((((BgL_sfunz00_bglt) CREF(BgL_auxz00_2749))->
														BgL_bodyz00) = ((obj_t) BgL_auxz00_2751), BUNSPEC);
										}} BUNSPEC;
						}}}}
						{
							obj_t BgL_l3393z00_2754;

							BgL_l3393z00_2754 = CDR(BgL_l3393z00_825);
							BgL_l3393z00_825 = BgL_l3393z00_2754;
							goto BgL_zc3anonymousza33443ze3z83_826;
						}
					}
				else
					{	/* Reduce/ftypec.scm 56 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/ftypec.scm 62 */
				obj_t BgL_list3447z00_834;

				{	/* Reduce/ftypec.scm 62 */
					obj_t BgL_arg3449z00_836;

					{	/* Reduce/ftypec.scm 62 */
						obj_t BgL_arg3450z00_837;

						{	/* Reduce/ftypec.scm 62 */
							obj_t BgL_arg3452z00_839;

							{	/* Reduce/ftypec.scm 62 */
								obj_t BgL_arg3453z00_840;

								BgL_arg3453z00_840 =
									MAKE_PAIR(BGl_string3737z00zzreduce_flowzd2typeczd2, BNIL);
								BgL_arg3452z00_839 =
									MAKE_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2),
									BgL_arg3453z00_840);
							}
							BgL_arg3450z00_837 =
								MAKE_PAIR(BGl_string3738z00zzreduce_flowzd2typeczd2,
								BgL_arg3452z00_839);
						}
						BgL_arg3449z00_836 =
							MAKE_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2),
							BgL_arg3450z00_837);
					}
					BgL_list3447z00_834 =
						MAKE_PAIR(BGl_string3739z00zzreduce_flowzd2typeczd2,
						BgL_arg3449z00_836);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3447z00_834);
			}
			return BgL_globalsz00_1;
		}
	}



/* _reduce-flow-type-check! */
	obj_t BGl__reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2600, obj_t BgL_globalsz00_2601)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 54 */
			return
				BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2
				(BgL_globalsz00_2601);
		}
	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t
		BgL_nodeza2za2_38, obj_t BgL_stackz00_39)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 285 */
			{
				obj_t BgL_nodeza2za2_842;

				BgL_nodeza2za2_842 = BgL_nodeza2za2_38;
			BgL_zc3anonymousza33454ze3z83_843:
				if (NULLP(BgL_nodeza2za2_842))
					{	/* Reduce/ftypec.scm 287 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/ftypec.scm 287 */
						{	/* Reduce/ftypec.scm 290 */
							BgL_nodez00_bglt BgL_arg3456z00_845;

							{	/* Reduce/ftypec.scm 290 */
								obj_t BgL_arg3457z00_846;

								BgL_arg3457z00_846 = CAR(BgL_nodeza2za2_842);
								{	/* Reduce/ftypec.scm 290 */
									BgL_nodez00_bglt BgL_res3643z00_1581;

									{	/* Reduce/ftypec.scm 290 */
										BgL_nodez00_bglt BgL_nodez00_1554;

										BgL_nodez00_1554 = (BgL_nodez00_bglt) (BgL_arg3457z00_846);
										{	/* Reduce/ftypec.scm 290 */
											obj_t BgL_method3405z00_1556;

											{	/* Reduce/ftypec.scm 290 */
												BgL_objectz00_bglt BgL_objz00_1557;

												BgL_objz00_1557 =
													(BgL_objectz00_bglt) (BgL_nodez00_1554);
												{	/* Reduce/ftypec.scm 290 */
													long BgL_objzd2classzd2numz00_1558;

													BgL_objzd2classzd2numz00_1558 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1557);
													{	/* Reduce/ftypec.scm 290 */
														obj_t BgL_arg2422z00_1559;

														BgL_arg2422z00_1559 =
															PROCEDURE_REF
															(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
															(int) (((long) 1)));
														{	/* Reduce/ftypec.scm 290 */
															obj_t BgL_arrayz00_1561;

															int BgL_offsetz00_1562;

															BgL_arrayz00_1561 = BgL_arg2422z00_1559;
															BgL_offsetz00_1562 =
																(int) (BgL_objzd2classzd2numz00_1558);
															{	/* Reduce/ftypec.scm 290 */
																long BgL_offsetz00_1563;

																BgL_offsetz00_1563 =
																	((long) (BgL_offsetz00_1562) - OBJECT_TYPE);
																{	/* Reduce/ftypec.scm 290 */
																	long BgL_modz00_1564;

																	{	/* Reduce/ftypec.scm 290 */
																		int BgL_arg2424z00_1565;

																		BgL_arg2424z00_1565 = (int) (((long) 8));
																		{	/* Reduce/ftypec.scm 290 */
																			long BgL_auxz00_2779;

																			BgL_auxz00_2779 =
																				(long) (BgL_arg2424z00_1565);
																			BgL_modz00_1564 =
																				(BgL_offsetz00_1563 / BgL_auxz00_2779);
																	}}
																	{	/* Reduce/ftypec.scm 290 */
																		long BgL_restz00_1566;

																		{	/* Reduce/ftypec.scm 290 */
																			int BgL_arg2423z00_1567;

																			BgL_arg2423z00_1567 = (int) (((long) 8));
																			{	/* Reduce/ftypec.scm 290 */
																				long BgL_auxz00_2783;

																				BgL_auxz00_2783 =
																					(long) (BgL_arg2423z00_1567);
																				BgL_restz00_1566 =
																					(BgL_offsetz00_1563 %
																					BgL_auxz00_2783);
																		}}
																		{	/* Reduce/ftypec.scm 290 */

																			BgL_method3405z00_1556 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1561,
																					(int) (BgL_modz00_1564)),
																				(int) (BgL_restz00_1566));
											}}}}}}}}
											BgL_res3643z00_1581 =
												(BgL_nodez00_bglt) (PROCEDURE_ENTRY
												(BgL_method3405z00_1556) (BgL_method3405z00_1556,
													(obj_t) (BgL_nodez00_1554), BgL_stackz00_39, BEOA));
									}}
									BgL_arg3456z00_845 = BgL_res3643z00_1581;
							}}
							{	/* Reduce/ftypec.scm 290 */
								obj_t BgL_auxz00_2794;

								BgL_auxz00_2794 = (obj_t) (BgL_arg3456z00_845);
								SET_CAR(BgL_nodeza2za2_842, BgL_auxz00_2794);
						}}
						{
							obj_t BgL_nodeza2za2_2797;

							BgL_nodeza2za2_2797 = CDR(BgL_nodeza2za2_842);
							BgL_nodeza2za2_842 = BgL_nodeza2za2_2797;
							goto BgL_zc3anonymousza33454ze3z83_843;
						}
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_nodezd2typecz12zd2default3404zd2envzc0zzreduce_flowzd2typeczd2);
		}
	}



/* node-typec! */
	BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt
		BgL_nodez00_2, obj_t BgL_stackz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			{	/* Reduce/ftypec.scm 76 */
				obj_t BgL_method3405z00_1585;

				{	/* Reduce/ftypec.scm 76 */
					BgL_objectz00_bglt BgL_objz00_1586;

					BgL_objz00_1586 = (BgL_objectz00_bglt) (BgL_nodez00_2);
					{	/* Reduce/ftypec.scm 76 */
						long BgL_objzd2classzd2numz00_1587;

						BgL_objzd2classzd2numz00_1587 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1586);
						{	/* Reduce/ftypec.scm 76 */
							obj_t BgL_arg2422z00_1588;

							BgL_arg2422z00_1588 =
								PROCEDURE_REF
								(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
								(int) (((long) 1)));
							{	/* Reduce/ftypec.scm 76 */
								obj_t BgL_arrayz00_1590;

								int BgL_offsetz00_1591;

								BgL_arrayz00_1590 = BgL_arg2422z00_1588;
								BgL_offsetz00_1591 = (int) (BgL_objzd2classzd2numz00_1587);
								{	/* Reduce/ftypec.scm 76 */
									long BgL_offsetz00_1592;

									BgL_offsetz00_1592 =
										((long) (BgL_offsetz00_1591) - OBJECT_TYPE);
									{	/* Reduce/ftypec.scm 76 */
										long BgL_modz00_1593;

										{	/* Reduce/ftypec.scm 76 */
											int BgL_arg2424z00_1594;

											BgL_arg2424z00_1594 = (int) (((long) 8));
											{	/* Reduce/ftypec.scm 76 */
												long BgL_auxz00_2808;

												BgL_auxz00_2808 = (long) (BgL_arg2424z00_1594);
												BgL_modz00_1593 =
													(BgL_offsetz00_1592 / BgL_auxz00_2808);
										}}
										{	/* Reduce/ftypec.scm 76 */
											long BgL_restz00_1595;

											{	/* Reduce/ftypec.scm 76 */
												int BgL_arg2423z00_1596;

												BgL_arg2423z00_1596 = (int) (((long) 8));
												{	/* Reduce/ftypec.scm 76 */
													long BgL_auxz00_2812;

													BgL_auxz00_2812 = (long) (BgL_arg2423z00_1596);
													BgL_restz00_1595 =
														(BgL_offsetz00_1592 % BgL_auxz00_2812);
											}}
											{	/* Reduce/ftypec.scm 76 */

												BgL_method3405z00_1585 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1590,
														(int) (BgL_modz00_1593)), (int) (BgL_restz00_1595));
				}}}}}}}}
				return
					(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_1585)
					(BgL_method3405z00_1585, (obj_t) (BgL_nodez00_2), BgL_stackz00_3,
						BEOA));
			}
		}
	}



/* _node-typec! */
	obj_t BGl__nodezd2typecz12zc0zzreduce_flowzd2typeczd2(obj_t BgL_envz00_2602,
		obj_t BgL_nodez00_2603, obj_t BgL_stackz00_2604)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			return
				(obj_t) (BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
					(BgL_nodez00_bglt) (BgL_nodez00_2603), BgL_stackz00_2604));
		}
	}



/* _node-typec!-default3404 */
	obj_t BGl__nodezd2typecz12zd2default3404z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2605, obj_t BgL_nodez00_2606, obj_t BgL_stackz00_2607)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			return (obj_t) ((BgL_nodez00_bglt) (BgL_nodez00_2606));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_sequencez00zzast_nodez00, BGl_proc3740z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3741z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_funcallz00zzast_nodez00, BGl_proc3742z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_externz00zzast_nodez00, BGl_proc3743z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_castz00zzast_nodez00, BGl_proc3744z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setqz00zzast_nodez00, BGl_proc3745z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc3746z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_failz00zzast_nodez00, BGl_proc3747z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_selectz00zzast_nodez00, BGl_proc3748z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3749z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3750z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3751z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3752z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3753z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3754z00zzreduce_flowzd2typeczd2);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3755z00zzreduce_flowzd2typeczd2);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appz00zzast_nodez00, BGl_proc3756z00zzreduce_flowzd2typeczd2);
		}
	}



/* node-typec!-app3441 */
	obj_t BGl_nodezd2typecz12zd2app3441z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2625, obj_t BgL_nodez00_2626, obj_t BgL_stackz00_2627)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 301 */
			{
				BgL_appz00_bglt BgL_nodez00_1509;

				obj_t BgL_stackz00_1510;

				{	/* Reduce/ftypec.scm 302 */
					BgL_appz00_bglt BgL_auxz00_2845;

					BgL_nodez00_1509 = (BgL_appz00_bglt) (BgL_nodez00_2626);
					BgL_stackz00_1510 = BgL_stackz00_2627;
					{	/* Reduce/ftypec.scm 302 */
						obj_t BgL_arg3636z00_2598;

						BgL_arg3636z00_2598 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1509))->BgL_argsz00);
						BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2
							(BgL_arg3636z00_2598, BgL_stackz00_1510);
					}
					BgL_auxz00_2845 = BgL_nodez00_1509;
					return (obj_t) (BgL_auxz00_2845);
				}
			}
		}
	}



/* node-typec!-box-ref3439 */
	obj_t BGl_nodezd2typecz12zd2boxzd2ref3439zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2628, obj_t BgL_nodez00_2629, obj_t BgL_stackz00_2630)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 277 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1500;

				obj_t BgL_stackz00_1501;

				{	/* Reduce/ftypec.scm 278 */
					BgL_boxzd2refzd2_bglt BgL_auxz00_2850;

					BgL_nodez00_1500 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2629);
					BgL_stackz00_1501 = BgL_stackz00_2630;
					{	/* Reduce/ftypec.scm 278 */
						BgL_nodez00_bglt BgL_arg3633z00_2564;

						{	/* Reduce/ftypec.scm 278 */
							BgL_varz00_bglt BgL_arg3634z00_2565;

							BgL_arg3634z00_2565 =
								(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1500))->BgL_varz00);
							{	/* Reduce/ftypec.scm 278 */
								BgL_nodez00_bglt BgL_res3735z00_2594;

								{	/* Reduce/ftypec.scm 278 */
									BgL_nodez00_bglt BgL_nodez00_2567;

									BgL_nodez00_2567 = (BgL_nodez00_bglt) (BgL_arg3634z00_2565);
									{	/* Reduce/ftypec.scm 278 */
										obj_t BgL_method3405z00_2569;

										{	/* Reduce/ftypec.scm 278 */
											BgL_objectz00_bglt BgL_objz00_2570;

											BgL_objz00_2570 = (BgL_objectz00_bglt) (BgL_nodez00_2567);
											{	/* Reduce/ftypec.scm 278 */
												long BgL_objzd2classzd2numz00_2571;

												BgL_objzd2classzd2numz00_2571 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2570);
												{	/* Reduce/ftypec.scm 278 */
													obj_t BgL_arg2422z00_2572;

													BgL_arg2422z00_2572 =
														PROCEDURE_REF
														(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
														(int) (((long) 1)));
													{	/* Reduce/ftypec.scm 278 */
														obj_t BgL_arrayz00_2574;

														int BgL_offsetz00_2575;

														BgL_arrayz00_2574 = BgL_arg2422z00_2572;
														BgL_offsetz00_2575 =
															(int) (BgL_objzd2classzd2numz00_2571);
														{	/* Reduce/ftypec.scm 278 */
															long BgL_offsetz00_2576;

															BgL_offsetz00_2576 =
																((long) (BgL_offsetz00_2575) - OBJECT_TYPE);
															{	/* Reduce/ftypec.scm 278 */
																long BgL_modz00_2577;

																{	/* Reduce/ftypec.scm 278 */
																	int BgL_arg2424z00_2578;

																	BgL_arg2424z00_2578 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 278 */
																		long BgL_auxz00_2861;

																		BgL_auxz00_2861 =
																			(long) (BgL_arg2424z00_2578);
																		BgL_modz00_2577 =
																			(BgL_offsetz00_2576 / BgL_auxz00_2861);
																}}
																{	/* Reduce/ftypec.scm 278 */
																	long BgL_restz00_2579;

																	{	/* Reduce/ftypec.scm 278 */
																		int BgL_arg2423z00_2580;

																		BgL_arg2423z00_2580 = (int) (((long) 8));
																		{	/* Reduce/ftypec.scm 278 */
																			long BgL_auxz00_2865;

																			BgL_auxz00_2865 =
																				(long) (BgL_arg2423z00_2580);
																			BgL_restz00_2579 =
																				(BgL_offsetz00_2576 % BgL_auxz00_2865);
																	}}
																	{	/* Reduce/ftypec.scm 278 */

																		BgL_method3405z00_2569 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2574,
																				(int) (BgL_modz00_2577)),
																			(int) (BgL_restz00_2579));
										}}}}}}}}
										BgL_res3735z00_2594 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2569) (BgL_method3405z00_2569,
												(obj_t) (BgL_nodez00_2567), BgL_stackz00_1501, BEOA));
								}}
								BgL_arg3633z00_2564 = BgL_res3735z00_2594;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_2876;

							BgL_auxz00_2876 = (BgL_varz00_bglt) (BgL_arg3633z00_2564);
							((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1500))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_2876), BUNSPEC);
					}}
					BgL_auxz00_2850 = BgL_nodez00_1500;
					return (obj_t) (BgL_auxz00_2850);
				}
			}
		}
	}



/* node-typec!-box-set!3437 */
	obj_t BGl_nodezd2typecz12zd2boxzd2setz123437zd2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2631, obj_t BgL_nodez00_2632, obj_t BgL_stackz00_2633)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 268 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1489;

				obj_t BgL_stackz00_1490;

				{	/* Reduce/ftypec.scm 269 */
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_2881;

					BgL_nodez00_1489 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2632);
					BgL_stackz00_1490 = BgL_stackz00_2633;
					{	/* Reduce/ftypec.scm 270 */
						BgL_nodez00_bglt BgL_arg3628z00_1494;

						{	/* Reduce/ftypec.scm 270 */
							BgL_varz00_bglt BgL_arg3629z00_1495;

							BgL_arg3629z00_1495 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1489))->
								BgL_varz00);
							{	/* Reduce/ftypec.scm 270 */
								BgL_nodez00_bglt BgL_res3729z00_2529;

								{	/* Reduce/ftypec.scm 270 */
									BgL_nodez00_bglt BgL_nodez00_2502;

									BgL_nodez00_2502 = (BgL_nodez00_bglt) (BgL_arg3629z00_1495);
									{	/* Reduce/ftypec.scm 270 */
										obj_t BgL_method3405z00_2504;

										{	/* Reduce/ftypec.scm 270 */
											BgL_objectz00_bglt BgL_objz00_2505;

											BgL_objz00_2505 = (BgL_objectz00_bglt) (BgL_nodez00_2502);
											{	/* Reduce/ftypec.scm 270 */
												long BgL_objzd2classzd2numz00_2506;

												BgL_objzd2classzd2numz00_2506 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2505);
												{	/* Reduce/ftypec.scm 270 */
													obj_t BgL_arg2422z00_2507;

													BgL_arg2422z00_2507 =
														PROCEDURE_REF
														(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
														(int) (((long) 1)));
													{	/* Reduce/ftypec.scm 270 */
														obj_t BgL_arrayz00_2509;

														int BgL_offsetz00_2510;

														BgL_arrayz00_2509 = BgL_arg2422z00_2507;
														BgL_offsetz00_2510 =
															(int) (BgL_objzd2classzd2numz00_2506);
														{	/* Reduce/ftypec.scm 270 */
															long BgL_offsetz00_2511;

															BgL_offsetz00_2511 =
																((long) (BgL_offsetz00_2510) - OBJECT_TYPE);
															{	/* Reduce/ftypec.scm 270 */
																long BgL_modz00_2512;

																{	/* Reduce/ftypec.scm 270 */
																	int BgL_arg2424z00_2513;

																	BgL_arg2424z00_2513 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 270 */
																		long BgL_auxz00_2892;

																		BgL_auxz00_2892 =
																			(long) (BgL_arg2424z00_2513);
																		BgL_modz00_2512 =
																			(BgL_offsetz00_2511 / BgL_auxz00_2892);
																}}
																{	/* Reduce/ftypec.scm 270 */
																	long BgL_restz00_2514;

																	{	/* Reduce/ftypec.scm 270 */
																		int BgL_arg2423z00_2515;

																		BgL_arg2423z00_2515 = (int) (((long) 8));
																		{	/* Reduce/ftypec.scm 270 */
																			long BgL_auxz00_2896;

																			BgL_auxz00_2896 =
																				(long) (BgL_arg2423z00_2515);
																			BgL_restz00_2514 =
																				(BgL_offsetz00_2511 % BgL_auxz00_2896);
																	}}
																	{	/* Reduce/ftypec.scm 270 */

																		BgL_method3405z00_2504 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2509,
																				(int) (BgL_modz00_2512)),
																			(int) (BgL_restz00_2514));
										}}}}}}}}
										BgL_res3729z00_2529 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2504) (BgL_method3405z00_2504,
												(obj_t) (BgL_nodez00_2502), BgL_stackz00_1490, BEOA));
								}}
								BgL_arg3628z00_1494 = BgL_res3729z00_2529;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_2907;

							BgL_auxz00_2907 = (BgL_varz00_bglt) (BgL_arg3628z00_1494);
							((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1489))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_2907), BUNSPEC);
					}}
					{	/* Reduce/ftypec.scm 271 */
						BgL_nodez00_bglt BgL_arg3630z00_1496;

						{	/* Reduce/ftypec.scm 271 */
							BgL_nodez00_bglt BgL_arg3631z00_1497;

							BgL_arg3631z00_1497 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1489))->
								BgL_valuez00);
							{	/* Reduce/ftypec.scm 271 */
								BgL_nodez00_bglt BgL_res3732z00_2560;

								{	/* Reduce/ftypec.scm 271 */
									obj_t BgL_method3405z00_2535;

									{	/* Reduce/ftypec.scm 271 */
										BgL_objectz00_bglt BgL_objz00_2536;

										BgL_objz00_2536 =
											(BgL_objectz00_bglt) (BgL_arg3631z00_1497);
										{	/* Reduce/ftypec.scm 271 */
											long BgL_objzd2classzd2numz00_2537;

											BgL_objzd2classzd2numz00_2537 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2536);
											{	/* Reduce/ftypec.scm 271 */
												obj_t BgL_arg2422z00_2538;

												BgL_arg2422z00_2538 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 271 */
													obj_t BgL_arrayz00_2540;

													int BgL_offsetz00_2541;

													BgL_arrayz00_2540 = BgL_arg2422z00_2538;
													BgL_offsetz00_2541 =
														(int) (BgL_objzd2classzd2numz00_2537);
													{	/* Reduce/ftypec.scm 271 */
														long BgL_offsetz00_2542;

														BgL_offsetz00_2542 =
															((long) (BgL_offsetz00_2541) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 271 */
															long BgL_modz00_2543;

															{	/* Reduce/ftypec.scm 271 */
																int BgL_arg2424z00_2544;

																BgL_arg2424z00_2544 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 271 */
																	long BgL_auxz00_2919;

																	BgL_auxz00_2919 =
																		(long) (BgL_arg2424z00_2544);
																	BgL_modz00_2543 =
																		(BgL_offsetz00_2542 / BgL_auxz00_2919);
															}}
															{	/* Reduce/ftypec.scm 271 */
																long BgL_restz00_2545;

																{	/* Reduce/ftypec.scm 271 */
																	int BgL_arg2423z00_2546;

																	BgL_arg2423z00_2546 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 271 */
																		long BgL_auxz00_2923;

																		BgL_auxz00_2923 =
																			(long) (BgL_arg2423z00_2546);
																		BgL_restz00_2545 =
																			(BgL_offsetz00_2542 % BgL_auxz00_2923);
																}}
																{	/* Reduce/ftypec.scm 271 */

																	BgL_method3405z00_2535 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2540,
																			(int) (BgL_modz00_2543)),
																		(int) (BgL_restz00_2545));
									}}}}}}}}
									BgL_res3732z00_2560 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2535)
										(BgL_method3405z00_2535, (obj_t) (BgL_arg3631z00_1497),
											BgL_stackz00_1490, BEOA));
								}
								BgL_arg3630z00_1496 = BgL_res3732z00_2560;
						}}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1489))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3630z00_1496), BUNSPEC);
					}
					BgL_auxz00_2881 = BgL_nodez00_1489;
					return (obj_t) (BgL_auxz00_2881);
				}
			}
		}
	}



/* node-typec!-make-box3434 */
	obj_t BGl_nodezd2typecz12zd2makezd2box3434zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635, obj_t BgL_stackz00_2636)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 260 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1480;

				obj_t BgL_stackz00_1481;

				{	/* Reduce/ftypec.scm 261 */
					BgL_makezd2boxzd2_bglt BgL_auxz00_2937;

					BgL_nodez00_1480 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2635);
					BgL_stackz00_1481 = BgL_stackz00_2636;
					{	/* Reduce/ftypec.scm 261 */
						BgL_nodez00_bglt BgL_arg3625z00_2468;

						{	/* Reduce/ftypec.scm 261 */
							BgL_nodez00_bglt BgL_arg3626z00_2469;

							BgL_arg3626z00_2469 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1480))->
								BgL_valuez00);
							{	/* Reduce/ftypec.scm 261 */
								BgL_nodez00_bglt BgL_res3726z00_2498;

								{	/* Reduce/ftypec.scm 261 */
									obj_t BgL_method3405z00_2473;

									{	/* Reduce/ftypec.scm 261 */
										BgL_objectz00_bglt BgL_objz00_2474;

										BgL_objz00_2474 =
											(BgL_objectz00_bglt) (BgL_arg3626z00_2469);
										{	/* Reduce/ftypec.scm 261 */
											long BgL_objzd2classzd2numz00_2475;

											BgL_objzd2classzd2numz00_2475 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2474);
											{	/* Reduce/ftypec.scm 261 */
												obj_t BgL_arg2422z00_2476;

												BgL_arg2422z00_2476 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 261 */
													obj_t BgL_arrayz00_2478;

													int BgL_offsetz00_2479;

													BgL_arrayz00_2478 = BgL_arg2422z00_2476;
													BgL_offsetz00_2479 =
														(int) (BgL_objzd2classzd2numz00_2475);
													{	/* Reduce/ftypec.scm 261 */
														long BgL_offsetz00_2480;

														BgL_offsetz00_2480 =
															((long) (BgL_offsetz00_2479) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 261 */
															long BgL_modz00_2481;

															{	/* Reduce/ftypec.scm 261 */
																int BgL_arg2424z00_2482;

																BgL_arg2424z00_2482 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 261 */
																	long BgL_auxz00_2947;

																	BgL_auxz00_2947 =
																		(long) (BgL_arg2424z00_2482);
																	BgL_modz00_2481 =
																		(BgL_offsetz00_2480 / BgL_auxz00_2947);
															}}
															{	/* Reduce/ftypec.scm 261 */
																long BgL_restz00_2483;

																{	/* Reduce/ftypec.scm 261 */
																	int BgL_arg2423z00_2484;

																	BgL_arg2423z00_2484 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 261 */
																		long BgL_auxz00_2951;

																		BgL_auxz00_2951 =
																			(long) (BgL_arg2423z00_2484);
																		BgL_restz00_2483 =
																			(BgL_offsetz00_2480 % BgL_auxz00_2951);
																}}
																{	/* Reduce/ftypec.scm 261 */

																	BgL_method3405z00_2473 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2478,
																			(int) (BgL_modz00_2481)),
																		(int) (BgL_restz00_2483));
									}}}}}}}}
									BgL_res3726z00_2498 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2473)
										(BgL_method3405z00_2473, (obj_t) (BgL_arg3626z00_2469),
											BgL_stackz00_1481, BEOA));
								}
								BgL_arg3625z00_2468 = BgL_res3726z00_2498;
						}}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1480))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3625z00_2468), BUNSPEC);
					}
					BgL_auxz00_2937 = BgL_nodez00_1480;
					return (obj_t) (BgL_auxz00_2937);
				}
			}
		}
	}



/* node-typec!-jump-ex-3432 */
	obj_t BGl_nodezd2typecz12zd2jumpzd2exzd23432z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2637, obj_t BgL_nodez00_2638, obj_t BgL_stackz00_2639)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 251 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1469;

				obj_t BgL_stackz00_1470;

				{	/* Reduce/ftypec.scm 252 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_2965;

					BgL_nodez00_1469 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2638);
					BgL_stackz00_1470 = BgL_stackz00_2639;
					{	/* Reduce/ftypec.scm 253 */
						BgL_nodez00_bglt BgL_arg3620z00_1474;

						{	/* Reduce/ftypec.scm 253 */
							BgL_nodez00_bglt BgL_arg3621z00_1475;

							BgL_arg3621z00_1475 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1469))->
								BgL_exitz00);
							{	/* Reduce/ftypec.scm 253 */
								BgL_nodez00_bglt BgL_res3720z00_2433;

								{	/* Reduce/ftypec.scm 253 */
									obj_t BgL_method3405z00_2408;

									{	/* Reduce/ftypec.scm 253 */
										BgL_objectz00_bglt BgL_objz00_2409;

										BgL_objz00_2409 =
											(BgL_objectz00_bglt) (BgL_arg3621z00_1475);
										{	/* Reduce/ftypec.scm 253 */
											long BgL_objzd2classzd2numz00_2410;

											BgL_objzd2classzd2numz00_2410 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2409);
											{	/* Reduce/ftypec.scm 253 */
												obj_t BgL_arg2422z00_2411;

												BgL_arg2422z00_2411 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 253 */
													obj_t BgL_arrayz00_2413;

													int BgL_offsetz00_2414;

													BgL_arrayz00_2413 = BgL_arg2422z00_2411;
													BgL_offsetz00_2414 =
														(int) (BgL_objzd2classzd2numz00_2410);
													{	/* Reduce/ftypec.scm 253 */
														long BgL_offsetz00_2415;

														BgL_offsetz00_2415 =
															((long) (BgL_offsetz00_2414) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 253 */
															long BgL_modz00_2416;

															{	/* Reduce/ftypec.scm 253 */
																int BgL_arg2424z00_2417;

																BgL_arg2424z00_2417 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 253 */
																	long BgL_auxz00_2975;

																	BgL_auxz00_2975 =
																		(long) (BgL_arg2424z00_2417);
																	BgL_modz00_2416 =
																		(BgL_offsetz00_2415 / BgL_auxz00_2975);
															}}
															{	/* Reduce/ftypec.scm 253 */
																long BgL_restz00_2418;

																{	/* Reduce/ftypec.scm 253 */
																	int BgL_arg2423z00_2419;

																	BgL_arg2423z00_2419 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 253 */
																		long BgL_auxz00_2979;

																		BgL_auxz00_2979 =
																			(long) (BgL_arg2423z00_2419);
																		BgL_restz00_2418 =
																			(BgL_offsetz00_2415 % BgL_auxz00_2979);
																}}
																{	/* Reduce/ftypec.scm 253 */

																	BgL_method3405z00_2408 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2413,
																			(int) (BgL_modz00_2416)),
																		(int) (BgL_restz00_2418));
									}}}}}}}}
									BgL_res3720z00_2433 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2408)
										(BgL_method3405z00_2408, (obj_t) (BgL_arg3621z00_1475),
											BgL_stackz00_1470, BEOA));
								}
								BgL_arg3620z00_1474 = BgL_res3720z00_2433;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1469))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) BgL_arg3620z00_1474), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 254 */
						BgL_nodez00_bglt BgL_arg3622z00_1476;

						{	/* Reduce/ftypec.scm 254 */
							BgL_nodez00_bglt BgL_arg3623z00_1477;

							BgL_arg3623z00_1477 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1469))->
								BgL_valuez00);
							{	/* Reduce/ftypec.scm 254 */
								BgL_nodez00_bglt BgL_res3723z00_2464;

								{	/* Reduce/ftypec.scm 254 */
									obj_t BgL_method3405z00_2439;

									{	/* Reduce/ftypec.scm 254 */
										BgL_objectz00_bglt BgL_objz00_2440;

										BgL_objz00_2440 =
											(BgL_objectz00_bglt) (BgL_arg3623z00_1477);
										{	/* Reduce/ftypec.scm 254 */
											long BgL_objzd2classzd2numz00_2441;

											BgL_objzd2classzd2numz00_2441 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2440);
											{	/* Reduce/ftypec.scm 254 */
												obj_t BgL_arg2422z00_2442;

												BgL_arg2422z00_2442 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 254 */
													obj_t BgL_arrayz00_2444;

													int BgL_offsetz00_2445;

													BgL_arrayz00_2444 = BgL_arg2422z00_2442;
													BgL_offsetz00_2445 =
														(int) (BgL_objzd2classzd2numz00_2441);
													{	/* Reduce/ftypec.scm 254 */
														long BgL_offsetz00_2446;

														BgL_offsetz00_2446 =
															((long) (BgL_offsetz00_2445) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 254 */
															long BgL_modz00_2447;

															{	/* Reduce/ftypec.scm 254 */
																int BgL_arg2424z00_2448;

																BgL_arg2424z00_2448 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 254 */
																	long BgL_auxz00_3000;

																	BgL_auxz00_3000 =
																		(long) (BgL_arg2424z00_2448);
																	BgL_modz00_2447 =
																		(BgL_offsetz00_2446 / BgL_auxz00_3000);
															}}
															{	/* Reduce/ftypec.scm 254 */
																long BgL_restz00_2449;

																{	/* Reduce/ftypec.scm 254 */
																	int BgL_arg2423z00_2450;

																	BgL_arg2423z00_2450 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 254 */
																		long BgL_auxz00_3004;

																		BgL_auxz00_3004 =
																			(long) (BgL_arg2423z00_2450);
																		BgL_restz00_2449 =
																			(BgL_offsetz00_2446 % BgL_auxz00_3004);
																}}
																{	/* Reduce/ftypec.scm 254 */

																	BgL_method3405z00_2439 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2444,
																			(int) (BgL_modz00_2447)),
																		(int) (BgL_restz00_2449));
									}}}}}}}}
									BgL_res3723z00_2464 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2439)
										(BgL_method3405z00_2439, (obj_t) (BgL_arg3623z00_1477),
											BgL_stackz00_1470, BEOA));
								}
								BgL_arg3622z00_1476 = BgL_res3723z00_2464;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1469))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3622z00_1476), BUNSPEC);
					}
					BgL_auxz00_2965 = BgL_nodez00_1469;
					return (obj_t) (BgL_auxz00_2965);
				}
			}
		}
	}



/* node-typec!-set-ex-i3430 */
	obj_t BGl_nodezd2typecz12zd2setzd2exzd2i3430z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2640, obj_t BgL_nodez00_2641, obj_t BgL_stackz00_2642)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 242 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1458;

				obj_t BgL_stackz00_1459;

				{	/* Reduce/ftypec.scm 243 */
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_3018;

					BgL_nodez00_1458 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2641);
					BgL_stackz00_1459 = BgL_stackz00_2642;
					{	/* Reduce/ftypec.scm 244 */
						BgL_nodez00_bglt BgL_arg3615z00_1463;

						{	/* Reduce/ftypec.scm 244 */
							BgL_nodez00_bglt BgL_arg3616z00_1464;

							BgL_arg3616z00_1464 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1458))->
								BgL_bodyz00);
							{	/* Reduce/ftypec.scm 244 */
								BgL_nodez00_bglt BgL_res3714z00_2371;

								{	/* Reduce/ftypec.scm 244 */
									obj_t BgL_method3405z00_2346;

									{	/* Reduce/ftypec.scm 244 */
										BgL_objectz00_bglt BgL_objz00_2347;

										BgL_objz00_2347 =
											(BgL_objectz00_bglt) (BgL_arg3616z00_1464);
										{	/* Reduce/ftypec.scm 244 */
											long BgL_objzd2classzd2numz00_2348;

											BgL_objzd2classzd2numz00_2348 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2347);
											{	/* Reduce/ftypec.scm 244 */
												obj_t BgL_arg2422z00_2349;

												BgL_arg2422z00_2349 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 244 */
													obj_t BgL_arrayz00_2351;

													int BgL_offsetz00_2352;

													BgL_arrayz00_2351 = BgL_arg2422z00_2349;
													BgL_offsetz00_2352 =
														(int) (BgL_objzd2classzd2numz00_2348);
													{	/* Reduce/ftypec.scm 244 */
														long BgL_offsetz00_2353;

														BgL_offsetz00_2353 =
															((long) (BgL_offsetz00_2352) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 244 */
															long BgL_modz00_2354;

															{	/* Reduce/ftypec.scm 244 */
																int BgL_arg2424z00_2355;

																BgL_arg2424z00_2355 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 244 */
																	long BgL_auxz00_3028;

																	BgL_auxz00_3028 =
																		(long) (BgL_arg2424z00_2355);
																	BgL_modz00_2354 =
																		(BgL_offsetz00_2353 / BgL_auxz00_3028);
															}}
															{	/* Reduce/ftypec.scm 244 */
																long BgL_restz00_2356;

																{	/* Reduce/ftypec.scm 244 */
																	int BgL_arg2423z00_2357;

																	BgL_arg2423z00_2357 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 244 */
																		long BgL_auxz00_3032;

																		BgL_auxz00_3032 =
																			(long) (BgL_arg2423z00_2357);
																		BgL_restz00_2356 =
																			(BgL_offsetz00_2353 % BgL_auxz00_3032);
																}}
																{	/* Reduce/ftypec.scm 244 */

																	BgL_method3405z00_2346 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2351,
																			(int) (BgL_modz00_2354)),
																		(int) (BgL_restz00_2356));
									}}}}}}}}
									BgL_res3714z00_2371 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2346)
										(BgL_method3405z00_2346, (obj_t) (BgL_arg3616z00_1464),
											BgL_stackz00_1459, BEOA));
								}
								BgL_arg3615z00_1463 = BgL_res3714z00_2371;
						}}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1458))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3615z00_1463), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 245 */
						BgL_nodez00_bglt BgL_arg3617z00_1465;

						{	/* Reduce/ftypec.scm 245 */
							BgL_varz00_bglt BgL_arg3618z00_1466;

							BgL_arg3618z00_1466 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1458))->
								BgL_varz00);
							{	/* Reduce/ftypec.scm 245 */
								BgL_nodez00_bglt BgL_res3717z00_2402;

								{	/* Reduce/ftypec.scm 245 */
									BgL_nodez00_bglt BgL_nodez00_2375;

									BgL_nodez00_2375 = (BgL_nodez00_bglt) (BgL_arg3618z00_1466);
									{	/* Reduce/ftypec.scm 245 */
										obj_t BgL_method3405z00_2377;

										{	/* Reduce/ftypec.scm 245 */
											BgL_objectz00_bglt BgL_objz00_2378;

											BgL_objz00_2378 = (BgL_objectz00_bglt) (BgL_nodez00_2375);
											{	/* Reduce/ftypec.scm 245 */
												long BgL_objzd2classzd2numz00_2379;

												BgL_objzd2classzd2numz00_2379 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2378);
												{	/* Reduce/ftypec.scm 245 */
													obj_t BgL_arg2422z00_2380;

													BgL_arg2422z00_2380 =
														PROCEDURE_REF
														(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
														(int) (((long) 1)));
													{	/* Reduce/ftypec.scm 245 */
														obj_t BgL_arrayz00_2382;

														int BgL_offsetz00_2383;

														BgL_arrayz00_2382 = BgL_arg2422z00_2380;
														BgL_offsetz00_2383 =
															(int) (BgL_objzd2classzd2numz00_2379);
														{	/* Reduce/ftypec.scm 245 */
															long BgL_offsetz00_2384;

															BgL_offsetz00_2384 =
																((long) (BgL_offsetz00_2383) - OBJECT_TYPE);
															{	/* Reduce/ftypec.scm 245 */
																long BgL_modz00_2385;

																{	/* Reduce/ftypec.scm 245 */
																	int BgL_arg2424z00_2386;

																	BgL_arg2424z00_2386 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 245 */
																		long BgL_auxz00_3054;

																		BgL_auxz00_3054 =
																			(long) (BgL_arg2424z00_2386);
																		BgL_modz00_2385 =
																			(BgL_offsetz00_2384 / BgL_auxz00_3054);
																}}
																{	/* Reduce/ftypec.scm 245 */
																	long BgL_restz00_2387;

																	{	/* Reduce/ftypec.scm 245 */
																		int BgL_arg2423z00_2388;

																		BgL_arg2423z00_2388 = (int) (((long) 8));
																		{	/* Reduce/ftypec.scm 245 */
																			long BgL_auxz00_3058;

																			BgL_auxz00_3058 =
																				(long) (BgL_arg2423z00_2388);
																			BgL_restz00_2387 =
																				(BgL_offsetz00_2384 % BgL_auxz00_3058);
																	}}
																	{	/* Reduce/ftypec.scm 245 */

																		BgL_method3405z00_2377 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2382,
																				(int) (BgL_modz00_2385)),
																			(int) (BgL_restz00_2387));
										}}}}}}}}
										BgL_res3717z00_2402 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_2377) (BgL_method3405z00_2377,
												(obj_t) (BgL_nodez00_2375), BgL_stackz00_1459, BEOA));
								}}
								BgL_arg3617z00_1465 = BgL_res3717z00_2402;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3069;

							BgL_auxz00_3069 = (BgL_varz00_bglt) (BgL_arg3617z00_1465);
							((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1458))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_3069), BUNSPEC);
					}}
					BgL_auxz00_3018 = BgL_nodez00_1458;
					return (obj_t) (BgL_auxz00_3018);
				}
			}
		}
	}



/* node-typec!-let-var3428 */
	obj_t BGl_nodezd2typecz12zd2letzd2var3428zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2643, obj_t BgL_nodez00_2644, obj_t BgL_stackz00_2645)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 231 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1439;

				obj_t BgL_stackz00_1440;

				{	/* Reduce/ftypec.scm 232 */
					BgL_letzd2varzd2_bglt BgL_auxz00_3074;

					BgL_nodez00_1439 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2644);
					BgL_stackz00_1440 = BgL_stackz00_2645;
					{	/* Reduce/ftypec.scm 233 */
						obj_t BgL_g3403z00_1444;

						BgL_g3403z00_1444 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1439))->
							BgL_bindingsz00);
						{
							obj_t BgL_l3401z00_1446;

							BgL_l3401z00_1446 = BgL_g3403z00_1444;
						BgL_zc3anonymousza33607ze3z83_1447:
							if (PAIRP(BgL_l3401z00_1446))
								{	/* Reduce/ftypec.scm 233 */
									{	/* Reduce/ftypec.scm 234 */
										obj_t BgL_bindingz00_1449;

										BgL_bindingz00_1449 = CAR(BgL_l3401z00_1446);
										{	/* Reduce/ftypec.scm 234 */
											BgL_nodez00_bglt BgL_arg3609z00_1450;

											{	/* Reduce/ftypec.scm 234 */
												obj_t BgL_arg3610z00_1451;

												BgL_arg3610z00_1451 = CDR(BgL_bindingz00_1449);
												{	/* Reduce/ftypec.scm 234 */
													BgL_nodez00_bglt BgL_res3708z00_2308;

													{	/* Reduce/ftypec.scm 234 */
														BgL_nodez00_bglt BgL_nodez00_2281;

														BgL_nodez00_2281 =
															(BgL_nodez00_bglt) (BgL_arg3610z00_1451);
														{	/* Reduce/ftypec.scm 234 */
															obj_t BgL_method3405z00_2283;

															{	/* Reduce/ftypec.scm 234 */
																BgL_objectz00_bglt BgL_objz00_2284;

																BgL_objz00_2284 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2281);
																{	/* Reduce/ftypec.scm 234 */
																	long BgL_objzd2classzd2numz00_2285;

																	BgL_objzd2classzd2numz00_2285 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2284);
																	{	/* Reduce/ftypec.scm 234 */
																		obj_t BgL_arg2422z00_2286;

																		BgL_arg2422z00_2286 =
																			PROCEDURE_REF
																			(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																			(int) (((long) 1)));
																		{	/* Reduce/ftypec.scm 234 */
																			obj_t BgL_arrayz00_2288;

																			int BgL_offsetz00_2289;

																			BgL_arrayz00_2288 = BgL_arg2422z00_2286;
																			BgL_offsetz00_2289 =
																				(int) (BgL_objzd2classzd2numz00_2285);
																			{	/* Reduce/ftypec.scm 234 */
																				long BgL_offsetz00_2290;

																				BgL_offsetz00_2290 =
																					(
																					(long) (BgL_offsetz00_2289) -
																					OBJECT_TYPE);
																				{	/* Reduce/ftypec.scm 234 */
																					long BgL_modz00_2291;

																					{	/* Reduce/ftypec.scm 234 */
																						int BgL_arg2424z00_2292;

																						BgL_arg2424z00_2292 =
																							(int) (((long) 8));
																						{	/* Reduce/ftypec.scm 234 */
																							long BgL_auxz00_3089;

																							BgL_auxz00_3089 =
																								(long) (BgL_arg2424z00_2292);
																							BgL_modz00_2291 =
																								(BgL_offsetz00_2290 /
																								BgL_auxz00_3089);
																					}}
																					{	/* Reduce/ftypec.scm 234 */
																						long BgL_restz00_2293;

																						{	/* Reduce/ftypec.scm 234 */
																							int BgL_arg2423z00_2294;

																							BgL_arg2423z00_2294 =
																								(int) (((long) 8));
																							{	/* Reduce/ftypec.scm 234 */
																								long BgL_auxz00_3093;

																								BgL_auxz00_3093 =
																									(long) (BgL_arg2423z00_2294);
																								BgL_restz00_2293 =
																									(BgL_offsetz00_2290 %
																									BgL_auxz00_3093);
																						}}
																						{	/* Reduce/ftypec.scm 234 */

																							BgL_method3405z00_2283 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2288,
																									(int) (BgL_modz00_2291)),
																								(int) (BgL_restz00_2293));
															}}}}}}}}
															BgL_res3708z00_2308 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3405z00_2283)
																(BgL_method3405z00_2283,
																	(obj_t) (BgL_nodez00_2281), BgL_stackz00_1440,
																	BEOA));
													}}
													BgL_arg3609z00_1450 = BgL_res3708z00_2308;
											}}
											{	/* Reduce/ftypec.scm 234 */
												obj_t BgL_auxz00_3104;

												BgL_auxz00_3104 = (obj_t) (BgL_arg3609z00_1450);
												SET_CDR(BgL_bindingz00_1449, BgL_auxz00_3104);
									}}}
									{
										obj_t BgL_l3401z00_3107;

										BgL_l3401z00_3107 = CDR(BgL_l3401z00_1446);
										BgL_l3401z00_1446 = BgL_l3401z00_3107;
										goto BgL_zc3anonymousza33607ze3z83_1447;
									}
								}
							else
								{	/* Reduce/ftypec.scm 233 */
									((bool_t) 1);
								}
						}
					}
					{	/* Reduce/ftypec.scm 236 */
						BgL_nodez00_bglt BgL_arg3612z00_1454;

						{	/* Reduce/ftypec.scm 236 */
							BgL_nodez00_bglt BgL_arg3613z00_1455;

							BgL_arg3613z00_1455 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1439))->BgL_bodyz00);
							{	/* Reduce/ftypec.scm 236 */
								BgL_nodez00_bglt BgL_res3711z00_2340;

								{	/* Reduce/ftypec.scm 236 */
									obj_t BgL_method3405z00_2315;

									{	/* Reduce/ftypec.scm 236 */
										BgL_objectz00_bglt BgL_objz00_2316;

										BgL_objz00_2316 =
											(BgL_objectz00_bglt) (BgL_arg3613z00_1455);
										{	/* Reduce/ftypec.scm 236 */
											long BgL_objzd2classzd2numz00_2317;

											BgL_objzd2classzd2numz00_2317 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2316);
											{	/* Reduce/ftypec.scm 236 */
												obj_t BgL_arg2422z00_2318;

												BgL_arg2422z00_2318 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 236 */
													obj_t BgL_arrayz00_2320;

													int BgL_offsetz00_2321;

													BgL_arrayz00_2320 = BgL_arg2422z00_2318;
													BgL_offsetz00_2321 =
														(int) (BgL_objzd2classzd2numz00_2317);
													{	/* Reduce/ftypec.scm 236 */
														long BgL_offsetz00_2322;

														BgL_offsetz00_2322 =
															((long) (BgL_offsetz00_2321) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 236 */
															long BgL_modz00_2323;

															{	/* Reduce/ftypec.scm 236 */
																int BgL_arg2424z00_2324;

																BgL_arg2424z00_2324 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 236 */
																	long BgL_auxz00_3118;

																	BgL_auxz00_3118 =
																		(long) (BgL_arg2424z00_2324);
																	BgL_modz00_2323 =
																		(BgL_offsetz00_2322 / BgL_auxz00_3118);
															}}
															{	/* Reduce/ftypec.scm 236 */
																long BgL_restz00_2325;

																{	/* Reduce/ftypec.scm 236 */
																	int BgL_arg2423z00_2326;

																	BgL_arg2423z00_2326 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 236 */
																		long BgL_auxz00_3122;

																		BgL_auxz00_3122 =
																			(long) (BgL_arg2423z00_2326);
																		BgL_restz00_2325 =
																			(BgL_offsetz00_2322 % BgL_auxz00_3122);
																}}
																{	/* Reduce/ftypec.scm 236 */

																	BgL_method3405z00_2315 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2320,
																			(int) (BgL_modz00_2323)),
																		(int) (BgL_restz00_2325));
									}}}}}}}}
									BgL_res3711z00_2340 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2315)
										(BgL_method3405z00_2315, (obj_t) (BgL_arg3613z00_1455),
											BgL_stackz00_1440, BEOA));
								}
								BgL_arg3612z00_1454 = BgL_res3711z00_2340;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1439))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3612z00_1454), BUNSPEC);
					}
					BgL_auxz00_3074 = BgL_nodez00_1439;
					return (obj_t) (BgL_auxz00_3074);
				}
			}
		}
	}



/* node-typec!-let-fun3426 */
	obj_t BGl_nodezd2typecz12zd2letzd2fun3426zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647, obj_t BgL_stackz00_2648)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 219 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1419;

				obj_t BgL_stackz00_1420;

				{	/* Reduce/ftypec.scm 220 */
					BgL_letzd2funzd2_bglt BgL_auxz00_3136;

					BgL_nodez00_1419 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2647);
					BgL_stackz00_1420 = BgL_stackz00_2648;
					{	/* Reduce/ftypec.scm 221 */
						obj_t BgL_g3400z00_1424;

						BgL_g3400z00_1424 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1419))->BgL_localsz00);
						{
							obj_t BgL_l3398z00_1426;

							BgL_l3398z00_1426 = BgL_g3400z00_1424;
						BgL_zc3anonymousza33599ze3z83_1427:
							if (PAIRP(BgL_l3398z00_1426))
								{	/* Reduce/ftypec.scm 221 */
									{	/* Reduce/ftypec.scm 222 */
										obj_t BgL_localz00_1429;

										BgL_localz00_1429 = CAR(BgL_l3398z00_1426);
										{	/* Reduce/ftypec.scm 222 */
											BgL_valuez00_bglt BgL_funz00_1430;

											{
												BgL_variablez00_bglt BgL_auxz00_3141;

												BgL_auxz00_3141 =
													(BgL_variablez00_bglt) (BgL_localz00_1429);
												BgL_funz00_1430 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_3141))->
													BgL_valuez00);
											}
											{	/* Reduce/ftypec.scm 223 */
												BgL_nodez00_bglt BgL_arg3601z00_1431;

												{	/* Reduce/ftypec.scm 223 */
													obj_t BgL_arg3602z00_1432;

													{
														BgL_sfunz00_bglt BgL_auxz00_3144;

														BgL_auxz00_3144 =
															(BgL_sfunz00_bglt) (BgL_funz00_1430);
														BgL_arg3602z00_1432 =
															(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3144))->
															BgL_bodyz00);
													}
													{	/* Reduce/ftypec.scm 223 */
														BgL_nodez00_bglt BgL_res3702z00_2242;

														{	/* Reduce/ftypec.scm 223 */
															BgL_nodez00_bglt BgL_nodez00_2215;

															BgL_nodez00_2215 =
																(BgL_nodez00_bglt) (BgL_arg3602z00_1432);
															{	/* Reduce/ftypec.scm 223 */
																obj_t BgL_method3405z00_2217;

																{	/* Reduce/ftypec.scm 223 */
																	BgL_objectz00_bglt BgL_objz00_2218;

																	BgL_objz00_2218 =
																		(BgL_objectz00_bglt) (BgL_nodez00_2215);
																	{	/* Reduce/ftypec.scm 223 */
																		long BgL_objzd2classzd2numz00_2219;

																		BgL_objzd2classzd2numz00_2219 =
																			BGL_OBJECT_CLASS_NUM(BgL_objz00_2218);
																		{	/* Reduce/ftypec.scm 223 */
																			obj_t BgL_arg2422z00_2220;

																			BgL_arg2422z00_2220 =
																				PROCEDURE_REF
																				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																				(int) (((long) 1)));
																			{	/* Reduce/ftypec.scm 223 */
																				obj_t BgL_arrayz00_2222;

																				int BgL_offsetz00_2223;

																				BgL_arrayz00_2222 = BgL_arg2422z00_2220;
																				BgL_offsetz00_2223 =
																					(int) (BgL_objzd2classzd2numz00_2219);
																				{	/* Reduce/ftypec.scm 223 */
																					long BgL_offsetz00_2224;

																					BgL_offsetz00_2224 =
																						(
																						(long) (BgL_offsetz00_2223) -
																						OBJECT_TYPE);
																					{	/* Reduce/ftypec.scm 223 */
																						long BgL_modz00_2225;

																						{	/* Reduce/ftypec.scm 223 */
																							int BgL_arg2424z00_2226;

																							BgL_arg2424z00_2226 =
																								(int) (((long) 8));
																							{	/* Reduce/ftypec.scm 223 */
																								long BgL_auxz00_3156;

																								BgL_auxz00_3156 =
																									(long) (BgL_arg2424z00_2226);
																								BgL_modz00_2225 =
																									(BgL_offsetz00_2224 /
																									BgL_auxz00_3156);
																						}}
																						{	/* Reduce/ftypec.scm 223 */
																							long BgL_restz00_2227;

																							{	/* Reduce/ftypec.scm 223 */
																								int BgL_arg2423z00_2228;

																								BgL_arg2423z00_2228 =
																									(int) (((long) 8));
																								{	/* Reduce/ftypec.scm 223 */
																									long BgL_auxz00_3160;

																									BgL_auxz00_3160 =
																										(long)
																										(BgL_arg2423z00_2228);
																									BgL_restz00_2227 =
																										(BgL_offsetz00_2224 %
																										BgL_auxz00_3160);
																							}}
																							{	/* Reduce/ftypec.scm 223 */

																								BgL_method3405z00_2217 =
																									VECTOR_REF(VECTOR_REF
																									(BgL_arrayz00_2222,
																										(int) (BgL_modz00_2225)),
																									(int) (BgL_restz00_2227));
																}}}}}}}}
																BgL_res3702z00_2242 =
																	(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																	(BgL_method3405z00_2217)
																	(BgL_method3405z00_2217,
																		(obj_t) (BgL_nodez00_2215),
																		BgL_stackz00_1420, BEOA));
														}}
														BgL_arg3601z00_1431 = BgL_res3702z00_2242;
												}}
												{
													obj_t BgL_auxz00_3173;

													BgL_sfunz00_bglt BgL_auxz00_3171;

													BgL_auxz00_3173 = (obj_t) (BgL_arg3601z00_1431);
													BgL_auxz00_3171 =
														(BgL_sfunz00_bglt) (BgL_funz00_1430);
													((((BgL_sfunz00_bglt) CREF(BgL_auxz00_3171))->
															BgL_bodyz00) =
														((obj_t) BgL_auxz00_3173), BUNSPEC);
									}}}}
									{
										obj_t BgL_l3398z00_3176;

										BgL_l3398z00_3176 = CDR(BgL_l3398z00_1426);
										BgL_l3398z00_1426 = BgL_l3398z00_3176;
										goto BgL_zc3anonymousza33599ze3z83_1427;
									}
								}
							else
								{	/* Reduce/ftypec.scm 221 */
									((bool_t) 1);
								}
						}
					}
					{	/* Reduce/ftypec.scm 225 */
						BgL_nodez00_bglt BgL_arg3604z00_1435;

						{	/* Reduce/ftypec.scm 225 */
							BgL_nodez00_bglt BgL_arg3605z00_1436;

							BgL_arg3605z00_1436 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1419))->BgL_bodyz00);
							{	/* Reduce/ftypec.scm 225 */
								BgL_nodez00_bglt BgL_res3705z00_2274;

								{	/* Reduce/ftypec.scm 225 */
									obj_t BgL_method3405z00_2249;

									{	/* Reduce/ftypec.scm 225 */
										BgL_objectz00_bglt BgL_objz00_2250;

										BgL_objz00_2250 =
											(BgL_objectz00_bglt) (BgL_arg3605z00_1436);
										{	/* Reduce/ftypec.scm 225 */
											long BgL_objzd2classzd2numz00_2251;

											BgL_objzd2classzd2numz00_2251 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2250);
											{	/* Reduce/ftypec.scm 225 */
												obj_t BgL_arg2422z00_2252;

												BgL_arg2422z00_2252 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 225 */
													obj_t BgL_arrayz00_2254;

													int BgL_offsetz00_2255;

													BgL_arrayz00_2254 = BgL_arg2422z00_2252;
													BgL_offsetz00_2255 =
														(int) (BgL_objzd2classzd2numz00_2251);
													{	/* Reduce/ftypec.scm 225 */
														long BgL_offsetz00_2256;

														BgL_offsetz00_2256 =
															((long) (BgL_offsetz00_2255) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 225 */
															long BgL_modz00_2257;

															{	/* Reduce/ftypec.scm 225 */
																int BgL_arg2424z00_2258;

																BgL_arg2424z00_2258 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 225 */
																	long BgL_auxz00_3187;

																	BgL_auxz00_3187 =
																		(long) (BgL_arg2424z00_2258);
																	BgL_modz00_2257 =
																		(BgL_offsetz00_2256 / BgL_auxz00_3187);
															}}
															{	/* Reduce/ftypec.scm 225 */
																long BgL_restz00_2259;

																{	/* Reduce/ftypec.scm 225 */
																	int BgL_arg2423z00_2260;

																	BgL_arg2423z00_2260 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 225 */
																		long BgL_auxz00_3191;

																		BgL_auxz00_3191 =
																			(long) (BgL_arg2423z00_2260);
																		BgL_restz00_2259 =
																			(BgL_offsetz00_2256 % BgL_auxz00_3191);
																}}
																{	/* Reduce/ftypec.scm 225 */

																	BgL_method3405z00_2249 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2254,
																			(int) (BgL_modz00_2257)),
																		(int) (BgL_restz00_2259));
									}}}}}}}}
									BgL_res3705z00_2274 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2249)
										(BgL_method3405z00_2249, (obj_t) (BgL_arg3605z00_1436),
											BgL_stackz00_1420, BEOA));
								}
								BgL_arg3604z00_1435 = BgL_res3705z00_2274;
						}}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1419))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3604z00_1435), BUNSPEC);
					}
					BgL_auxz00_3136 = BgL_nodez00_1419;
					return (obj_t) (BgL_auxz00_3136);
				}
			}
		}
	}



/* node-typec!-select3424 */
	obj_t BGl_nodezd2typecz12zd2select3424z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2649, obj_t BgL_nodez00_2650, obj_t BgL_stackz00_2651)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 208 */
			{
				BgL_selectz00_bglt BgL_nodez00_1400;

				obj_t BgL_stackz00_1401;

				{	/* Reduce/ftypec.scm 209 */
					BgL_selectz00_bglt BgL_auxz00_3205;

					BgL_nodez00_1400 = (BgL_selectz00_bglt) (BgL_nodez00_2650);
					BgL_stackz00_1401 = BgL_stackz00_2651;
					{	/* Reduce/ftypec.scm 210 */
						BgL_nodez00_bglt BgL_arg3591z00_1405;

						{	/* Reduce/ftypec.scm 210 */
							BgL_nodez00_bglt BgL_arg3592z00_1406;

							BgL_arg3592z00_1406 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1400))->BgL_testz00);
							{	/* Reduce/ftypec.scm 210 */
								BgL_nodez00_bglt BgL_res3696z00_2172;

								{	/* Reduce/ftypec.scm 210 */
									obj_t BgL_method3405z00_2147;

									{	/* Reduce/ftypec.scm 210 */
										BgL_objectz00_bglt BgL_objz00_2148;

										BgL_objz00_2148 =
											(BgL_objectz00_bglt) (BgL_arg3592z00_1406);
										{	/* Reduce/ftypec.scm 210 */
											long BgL_objzd2classzd2numz00_2149;

											BgL_objzd2classzd2numz00_2149 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2148);
											{	/* Reduce/ftypec.scm 210 */
												obj_t BgL_arg2422z00_2150;

												BgL_arg2422z00_2150 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 210 */
													obj_t BgL_arrayz00_2152;

													int BgL_offsetz00_2153;

													BgL_arrayz00_2152 = BgL_arg2422z00_2150;
													BgL_offsetz00_2153 =
														(int) (BgL_objzd2classzd2numz00_2149);
													{	/* Reduce/ftypec.scm 210 */
														long BgL_offsetz00_2154;

														BgL_offsetz00_2154 =
															((long) (BgL_offsetz00_2153) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 210 */
															long BgL_modz00_2155;

															{	/* Reduce/ftypec.scm 210 */
																int BgL_arg2424z00_2156;

																BgL_arg2424z00_2156 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 210 */
																	long BgL_auxz00_3215;

																	BgL_auxz00_3215 =
																		(long) (BgL_arg2424z00_2156);
																	BgL_modz00_2155 =
																		(BgL_offsetz00_2154 / BgL_auxz00_3215);
															}}
															{	/* Reduce/ftypec.scm 210 */
																long BgL_restz00_2157;

																{	/* Reduce/ftypec.scm 210 */
																	int BgL_arg2423z00_2158;

																	BgL_arg2423z00_2158 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 210 */
																		long BgL_auxz00_3219;

																		BgL_auxz00_3219 =
																			(long) (BgL_arg2423z00_2158);
																		BgL_restz00_2157 =
																			(BgL_offsetz00_2154 % BgL_auxz00_3219);
																}}
																{	/* Reduce/ftypec.scm 210 */

																	BgL_method3405z00_2147 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2152,
																			(int) (BgL_modz00_2155)),
																		(int) (BgL_restz00_2157));
									}}}}}}}}
									BgL_res3696z00_2172 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2147)
										(BgL_method3405z00_2147, (obj_t) (BgL_arg3592z00_1406),
											BgL_stackz00_1401, BEOA));
								}
								BgL_arg3591z00_1405 = BgL_res3696z00_2172;
						}}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1400))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3591z00_1405), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 211 */
						obj_t BgL_g3397z00_1407;

						BgL_g3397z00_1407 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1400))->BgL_clausesz00);
						{
							obj_t BgL_l3395z00_1409;

							BgL_l3395z00_1409 = BgL_g3397z00_1407;
						BgL_zc3anonymousza33593ze3z83_1410:
							if (PAIRP(BgL_l3395z00_1409))
								{	/* Reduce/ftypec.scm 211 */
									{	/* Reduce/ftypec.scm 212 */
										obj_t BgL_clausez00_1412;

										BgL_clausez00_1412 = CAR(BgL_l3395z00_1409);
										{	/* Reduce/ftypec.scm 212 */
											BgL_nodez00_bglt BgL_arg3595z00_1413;

											{	/* Reduce/ftypec.scm 212 */
												obj_t BgL_arg3596z00_1414;

												BgL_arg3596z00_1414 = CDR(BgL_clausez00_1412);
												{	/* Reduce/ftypec.scm 212 */
													BgL_nodez00_bglt BgL_res3699z00_2206;

													{	/* Reduce/ftypec.scm 212 */
														BgL_nodez00_bglt BgL_nodez00_2179;

														BgL_nodez00_2179 =
															(BgL_nodez00_bglt) (BgL_arg3596z00_1414);
														{	/* Reduce/ftypec.scm 212 */
															obj_t BgL_method3405z00_2181;

															{	/* Reduce/ftypec.scm 212 */
																BgL_objectz00_bglt BgL_objz00_2182;

																BgL_objz00_2182 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2179);
																{	/* Reduce/ftypec.scm 212 */
																	long BgL_objzd2classzd2numz00_2183;

																	BgL_objzd2classzd2numz00_2183 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2182);
																	{	/* Reduce/ftypec.scm 212 */
																		obj_t BgL_arg2422z00_2184;

																		BgL_arg2422z00_2184 =
																			PROCEDURE_REF
																			(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																			(int) (((long) 1)));
																		{	/* Reduce/ftypec.scm 212 */
																			obj_t BgL_arrayz00_2186;

																			int BgL_offsetz00_2187;

																			BgL_arrayz00_2186 = BgL_arg2422z00_2184;
																			BgL_offsetz00_2187 =
																				(int) (BgL_objzd2classzd2numz00_2183);
																			{	/* Reduce/ftypec.scm 212 */
																				long BgL_offsetz00_2188;

																				BgL_offsetz00_2188 =
																					(
																					(long) (BgL_offsetz00_2187) -
																					OBJECT_TYPE);
																				{	/* Reduce/ftypec.scm 212 */
																					long BgL_modz00_2189;

																					{	/* Reduce/ftypec.scm 212 */
																						int BgL_arg2424z00_2190;

																						BgL_arg2424z00_2190 =
																							(int) (((long) 8));
																						{	/* Reduce/ftypec.scm 212 */
																							long BgL_auxz00_3245;

																							BgL_auxz00_3245 =
																								(long) (BgL_arg2424z00_2190);
																							BgL_modz00_2189 =
																								(BgL_offsetz00_2188 /
																								BgL_auxz00_3245);
																					}}
																					{	/* Reduce/ftypec.scm 212 */
																						long BgL_restz00_2191;

																						{	/* Reduce/ftypec.scm 212 */
																							int BgL_arg2423z00_2192;

																							BgL_arg2423z00_2192 =
																								(int) (((long) 8));
																							{	/* Reduce/ftypec.scm 212 */
																								long BgL_auxz00_3249;

																								BgL_auxz00_3249 =
																									(long) (BgL_arg2423z00_2192);
																								BgL_restz00_2191 =
																									(BgL_offsetz00_2188 %
																									BgL_auxz00_3249);
																						}}
																						{	/* Reduce/ftypec.scm 212 */

																							BgL_method3405z00_2181 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2186,
																									(int) (BgL_modz00_2189)),
																								(int) (BgL_restz00_2191));
															}}}}}}}}
															BgL_res3699z00_2206 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3405z00_2181)
																(BgL_method3405z00_2181,
																	(obj_t) (BgL_nodez00_2179), BgL_stackz00_1401,
																	BEOA));
													}}
													BgL_arg3595z00_1413 = BgL_res3699z00_2206;
											}}
											{	/* Reduce/ftypec.scm 212 */
												obj_t BgL_auxz00_3260;

												BgL_auxz00_3260 = (obj_t) (BgL_arg3595z00_1413);
												SET_CDR(BgL_clausez00_1412, BgL_auxz00_3260);
									}}}
									{
										obj_t BgL_l3395z00_3263;

										BgL_l3395z00_3263 = CDR(BgL_l3395z00_1409);
										BgL_l3395z00_1409 = BgL_l3395z00_3263;
										goto BgL_zc3anonymousza33593ze3z83_1410;
									}
								}
							else
								{	/* Reduce/ftypec.scm 211 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_3205 = BgL_nodez00_1400;
					return (obj_t) (BgL_auxz00_3205);
				}
			}
		}
	}



/* node-typec!-fail3422 */
	obj_t BGl_nodezd2typecz12zd2fail3422z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2652, obj_t BgL_nodez00_2653, obj_t BgL_stackz00_2654)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 198 */
			{
				BgL_failz00_bglt BgL_nodez00_1387;

				obj_t BgL_stackz00_1388;

				{	/* Reduce/ftypec.scm 199 */
					BgL_failz00_bglt BgL_auxz00_3267;

					BgL_nodez00_1387 = (BgL_failz00_bglt) (BgL_nodez00_2653);
					BgL_stackz00_1388 = BgL_stackz00_2654;
					{	/* Reduce/ftypec.scm 200 */
						BgL_nodez00_bglt BgL_arg3584z00_1392;

						{	/* Reduce/ftypec.scm 200 */
							BgL_nodez00_bglt BgL_arg3585z00_1393;

							BgL_arg3585z00_1393 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1387))->BgL_procz00);
							{	/* Reduce/ftypec.scm 200 */
								BgL_nodez00_bglt BgL_res3687z00_2079;

								{	/* Reduce/ftypec.scm 200 */
									obj_t BgL_method3405z00_2054;

									{	/* Reduce/ftypec.scm 200 */
										BgL_objectz00_bglt BgL_objz00_2055;

										BgL_objz00_2055 =
											(BgL_objectz00_bglt) (BgL_arg3585z00_1393);
										{	/* Reduce/ftypec.scm 200 */
											long BgL_objzd2classzd2numz00_2056;

											BgL_objzd2classzd2numz00_2056 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2055);
											{	/* Reduce/ftypec.scm 200 */
												obj_t BgL_arg2422z00_2057;

												BgL_arg2422z00_2057 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 200 */
													obj_t BgL_arrayz00_2059;

													int BgL_offsetz00_2060;

													BgL_arrayz00_2059 = BgL_arg2422z00_2057;
													BgL_offsetz00_2060 =
														(int) (BgL_objzd2classzd2numz00_2056);
													{	/* Reduce/ftypec.scm 200 */
														long BgL_offsetz00_2061;

														BgL_offsetz00_2061 =
															((long) (BgL_offsetz00_2060) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 200 */
															long BgL_modz00_2062;

															{	/* Reduce/ftypec.scm 200 */
																int BgL_arg2424z00_2063;

																BgL_arg2424z00_2063 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 200 */
																	long BgL_auxz00_3277;

																	BgL_auxz00_3277 =
																		(long) (BgL_arg2424z00_2063);
																	BgL_modz00_2062 =
																		(BgL_offsetz00_2061 / BgL_auxz00_3277);
															}}
															{	/* Reduce/ftypec.scm 200 */
																long BgL_restz00_2064;

																{	/* Reduce/ftypec.scm 200 */
																	int BgL_arg2423z00_2065;

																	BgL_arg2423z00_2065 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 200 */
																		long BgL_auxz00_3281;

																		BgL_auxz00_3281 =
																			(long) (BgL_arg2423z00_2065);
																		BgL_restz00_2064 =
																			(BgL_offsetz00_2061 % BgL_auxz00_3281);
																}}
																{	/* Reduce/ftypec.scm 200 */

																	BgL_method3405z00_2054 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2059,
																			(int) (BgL_modz00_2062)),
																		(int) (BgL_restz00_2064));
									}}}}}}}}
									BgL_res3687z00_2079 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2054)
										(BgL_method3405z00_2054, (obj_t) (BgL_arg3585z00_1393),
											BgL_stackz00_1388, BEOA));
								}
								BgL_arg3584z00_1392 = BgL_res3687z00_2079;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1387))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_arg3584z00_1392), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 201 */
						BgL_nodez00_bglt BgL_arg3586z00_1394;

						{	/* Reduce/ftypec.scm 201 */
							BgL_nodez00_bglt BgL_arg3587z00_1395;

							BgL_arg3587z00_1395 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1387))->BgL_msgz00);
							{	/* Reduce/ftypec.scm 201 */
								BgL_nodez00_bglt BgL_res3690z00_2110;

								{	/* Reduce/ftypec.scm 201 */
									obj_t BgL_method3405z00_2085;

									{	/* Reduce/ftypec.scm 201 */
										BgL_objectz00_bglt BgL_objz00_2086;

										BgL_objz00_2086 =
											(BgL_objectz00_bglt) (BgL_arg3587z00_1395);
										{	/* Reduce/ftypec.scm 201 */
											long BgL_objzd2classzd2numz00_2087;

											BgL_objzd2classzd2numz00_2087 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2086);
											{	/* Reduce/ftypec.scm 201 */
												obj_t BgL_arg2422z00_2088;

												BgL_arg2422z00_2088 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 201 */
													obj_t BgL_arrayz00_2090;

													int BgL_offsetz00_2091;

													BgL_arrayz00_2090 = BgL_arg2422z00_2088;
													BgL_offsetz00_2091 =
														(int) (BgL_objzd2classzd2numz00_2087);
													{	/* Reduce/ftypec.scm 201 */
														long BgL_offsetz00_2092;

														BgL_offsetz00_2092 =
															((long) (BgL_offsetz00_2091) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 201 */
															long BgL_modz00_2093;

															{	/* Reduce/ftypec.scm 201 */
																int BgL_arg2424z00_2094;

																BgL_arg2424z00_2094 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 201 */
																	long BgL_auxz00_3302;

																	BgL_auxz00_3302 =
																		(long) (BgL_arg2424z00_2094);
																	BgL_modz00_2093 =
																		(BgL_offsetz00_2092 / BgL_auxz00_3302);
															}}
															{	/* Reduce/ftypec.scm 201 */
																long BgL_restz00_2095;

																{	/* Reduce/ftypec.scm 201 */
																	int BgL_arg2423z00_2096;

																	BgL_arg2423z00_2096 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 201 */
																		long BgL_auxz00_3306;

																		BgL_auxz00_3306 =
																			(long) (BgL_arg2423z00_2096);
																		BgL_restz00_2095 =
																			(BgL_offsetz00_2092 % BgL_auxz00_3306);
																}}
																{	/* Reduce/ftypec.scm 201 */

																	BgL_method3405z00_2085 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2090,
																			(int) (BgL_modz00_2093)),
																		(int) (BgL_restz00_2095));
									}}}}}}}}
									BgL_res3690z00_2110 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2085)
										(BgL_method3405z00_2085, (obj_t) (BgL_arg3587z00_1395),
											BgL_stackz00_1388, BEOA));
								}
								BgL_arg3586z00_1394 = BgL_res3690z00_2110;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1387))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_arg3586z00_1394), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 202 */
						BgL_nodez00_bglt BgL_arg3588z00_1396;

						{	/* Reduce/ftypec.scm 202 */
							BgL_nodez00_bglt BgL_arg3589z00_1397;

							BgL_arg3589z00_1397 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1387))->BgL_objz00);
							{	/* Reduce/ftypec.scm 202 */
								BgL_nodez00_bglt BgL_res3693z00_2141;

								{	/* Reduce/ftypec.scm 202 */
									obj_t BgL_method3405z00_2116;

									{	/* Reduce/ftypec.scm 202 */
										BgL_objectz00_bglt BgL_objz00_2117;

										BgL_objz00_2117 =
											(BgL_objectz00_bglt) (BgL_arg3589z00_1397);
										{	/* Reduce/ftypec.scm 202 */
											long BgL_objzd2classzd2numz00_2118;

											BgL_objzd2classzd2numz00_2118 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2117);
											{	/* Reduce/ftypec.scm 202 */
												obj_t BgL_arg2422z00_2119;

												BgL_arg2422z00_2119 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 202 */
													obj_t BgL_arrayz00_2121;

													int BgL_offsetz00_2122;

													BgL_arrayz00_2121 = BgL_arg2422z00_2119;
													BgL_offsetz00_2122 =
														(int) (BgL_objzd2classzd2numz00_2118);
													{	/* Reduce/ftypec.scm 202 */
														long BgL_offsetz00_2123;

														BgL_offsetz00_2123 =
															((long) (BgL_offsetz00_2122) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 202 */
															long BgL_modz00_2124;

															{	/* Reduce/ftypec.scm 202 */
																int BgL_arg2424z00_2125;

																BgL_arg2424z00_2125 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 202 */
																	long BgL_auxz00_3327;

																	BgL_auxz00_3327 =
																		(long) (BgL_arg2424z00_2125);
																	BgL_modz00_2124 =
																		(BgL_offsetz00_2123 / BgL_auxz00_3327);
															}}
															{	/* Reduce/ftypec.scm 202 */
																long BgL_restz00_2126;

																{	/* Reduce/ftypec.scm 202 */
																	int BgL_arg2423z00_2127;

																	BgL_arg2423z00_2127 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 202 */
																		long BgL_auxz00_3331;

																		BgL_auxz00_3331 =
																			(long) (BgL_arg2423z00_2127);
																		BgL_restz00_2126 =
																			(BgL_offsetz00_2123 % BgL_auxz00_3331);
																}}
																{	/* Reduce/ftypec.scm 202 */

																	BgL_method3405z00_2116 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2121,
																			(int) (BgL_modz00_2124)),
																		(int) (BgL_restz00_2126));
									}}}}}}}}
									BgL_res3693z00_2141 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_2116)
										(BgL_method3405z00_2116, (obj_t) (BgL_arg3589z00_1397),
											BgL_stackz00_1388, BEOA));
								}
								BgL_arg3588z00_1396 = BgL_res3693z00_2141;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1387))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_arg3588z00_1396), BUNSPEC);
					}
					BgL_auxz00_3267 = BgL_nodez00_1387;
					return (obj_t) (BgL_auxz00_3267);
				}
			}
		}
	}



/* node-typec!-conditio3420 */
	obj_t BGl_nodezd2typecz12zd2conditio3420z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2655, obj_t BgL_nodez00_2656, obj_t BgL_stackz00_2657)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 133 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1298;

				obj_t BgL_stackz00_1299;

				BgL_nodez00_1298 = (BgL_conditionalz00_bglt) (BgL_nodez00_2656);
				BgL_stackz00_1299 = BgL_stackz00_2657;
				{
					BgL_nodez00_bglt BgL_nodez00_1361;

					{	/* Reduce/ftypec.scm 169 */
						BgL_nodez00_bglt BgL_arg3530z00_1305;

						{	/* Reduce/ftypec.scm 169 */
							BgL_nodez00_bglt BgL_arg3531z00_1306;

							BgL_arg3531z00_1306 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1298))->
								BgL_testz00);
							{	/* Reduce/ftypec.scm 169 */
								BgL_nodez00_bglt BgL_res3666z00_1831;

								{	/* Reduce/ftypec.scm 169 */
									obj_t BgL_method3405z00_1806;

									{	/* Reduce/ftypec.scm 169 */
										BgL_objectz00_bglt BgL_objz00_1807;

										BgL_objz00_1807 =
											(BgL_objectz00_bglt) (BgL_arg3531z00_1306);
										{	/* Reduce/ftypec.scm 169 */
											long BgL_objzd2classzd2numz00_1808;

											BgL_objzd2classzd2numz00_1808 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1807);
											{	/* Reduce/ftypec.scm 169 */
												obj_t BgL_arg2422z00_1809;

												BgL_arg2422z00_1809 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 169 */
													obj_t BgL_arrayz00_1811;

													int BgL_offsetz00_1812;

													BgL_arrayz00_1811 = BgL_arg2422z00_1809;
													BgL_offsetz00_1812 =
														(int) (BgL_objzd2classzd2numz00_1808);
													{	/* Reduce/ftypec.scm 169 */
														long BgL_offsetz00_1813;

														BgL_offsetz00_1813 =
															((long) (BgL_offsetz00_1812) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 169 */
															long BgL_modz00_1814;

															{	/* Reduce/ftypec.scm 169 */
																int BgL_arg2424z00_1815;

																BgL_arg2424z00_1815 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 169 */
																	long BgL_auxz00_3354;

																	BgL_auxz00_3354 =
																		(long) (BgL_arg2424z00_1815);
																	BgL_modz00_1814 =
																		(BgL_offsetz00_1813 / BgL_auxz00_3354);
															}}
															{	/* Reduce/ftypec.scm 169 */
																long BgL_restz00_1816;

																{	/* Reduce/ftypec.scm 169 */
																	int BgL_arg2423z00_1817;

																	BgL_arg2423z00_1817 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 169 */
																		long BgL_auxz00_3358;

																		BgL_auxz00_3358 =
																			(long) (BgL_arg2423z00_1817);
																		BgL_restz00_1816 =
																			(BgL_offsetz00_1813 % BgL_auxz00_3358);
																}}
																{	/* Reduce/ftypec.scm 169 */

																	BgL_method3405z00_1806 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1811,
																			(int) (BgL_modz00_1814)),
																		(int) (BgL_restz00_1816));
									}}}}}}}}
									BgL_res3666z00_1831 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_1806)
										(BgL_method3405z00_1806, (obj_t) (BgL_arg3531z00_1306),
											BgL_stackz00_1299, BEOA));
								}
								BgL_arg3530z00_1305 = BgL_res3666z00_1831;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1298))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3530z00_1305), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 170 */
						obj_t BgL_typecz00_1307;

						BgL_nodez00_1361 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1298))->BgL_testz00);
						{	/* Reduce/ftypec.scm 135 */
							bool_t BgL_testz00_3370;

							{	/* Reduce/ftypec.scm 135 */
								obj_t BgL_obj2114z00_2034;

								BgL_obj2114z00_2034 = (obj_t) (BgL_nodez00_1361);
								BgL_testz00_3370 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2114z00_2034,
									BGl_appz00zzast_nodez00);
							}
							if (BgL_testz00_3370)
								{	/* Reduce/ftypec.scm 137 */
									bool_t BgL_testz00_3373;

									{	/* Reduce/ftypec.scm 137 */
										obj_t BgL_auxz00_3374;

										{
											BgL_appz00_bglt BgL_auxz00_3375;

											BgL_auxz00_3375 = (BgL_appz00_bglt) (BgL_nodez00_1361);
											BgL_auxz00_3374 =
												(((BgL_appz00_bglt) CREF(BgL_auxz00_3375))->
												BgL_argsz00);
										}
										BgL_testz00_3373 = PAIRP(BgL_auxz00_3374);
									}
									if (BgL_testz00_3373)
										{	/* Reduce/ftypec.scm 138 */
											bool_t BgL_testz00_3379;

											{	/* Reduce/ftypec.scm 138 */
												obj_t BgL_auxz00_3380;

												{	/* Reduce/ftypec.scm 138 */
													obj_t BgL_pairz00_2038;

													{
														BgL_appz00_bglt BgL_auxz00_3381;

														BgL_auxz00_3381 =
															(BgL_appz00_bglt) (BgL_nodez00_1361);
														BgL_pairz00_2038 =
															(((BgL_appz00_bglt) CREF(BgL_auxz00_3381))->
															BgL_argsz00);
													}
													BgL_auxz00_3380 = CDR(BgL_pairz00_2038);
												}
												BgL_testz00_3379 = NULLP(BgL_auxz00_3380);
											}
											if (BgL_testz00_3379)
												{	/* Reduce/ftypec.scm 139 */
													bool_t BgL_testz00_3386;

													{	/* Reduce/ftypec.scm 139 */
														obj_t BgL_arg3578z00_1378;

														{	/* Reduce/ftypec.scm 139 */
															obj_t BgL_pairz00_2041;

															{
																BgL_appz00_bglt BgL_auxz00_3387;

																BgL_auxz00_3387 =
																	(BgL_appz00_bglt) (BgL_nodez00_1361);
																BgL_pairz00_2041 =
																	(((BgL_appz00_bglt) CREF(BgL_auxz00_3387))->
																	BgL_argsz00);
															}
															BgL_arg3578z00_1378 = CAR(BgL_pairz00_2041);
														}
														BgL_testz00_3386 =
															BGl_iszd2azf3z21zz__objectz00(BgL_arg3578z00_1378,
															BGl_varz00zzast_nodez00);
													}
													if (BgL_testz00_3386)
														{	/* Reduce/ftypec.scm 140 */
															bool_t BgL_testz00_3392;

															{	/* Reduce/ftypec.scm 140 */
																obj_t BgL_auxz00_3393;

																{	/* Reduce/ftypec.scm 140 */
																	BgL_variablez00_bglt BgL_arg3575z00_1375;

																	{	/* Reduce/ftypec.scm 140 */
																		BgL_varz00_bglt BgL_obj1993z00_2045;

																		{	/* Reduce/ftypec.scm 140 */
																			obj_t BgL_auxz00_3394;

																			{	/* Reduce/ftypec.scm 140 */
																				obj_t BgL_pairz00_2044;

																				{
																					BgL_appz00_bglt BgL_auxz00_3395;

																					BgL_auxz00_3395 =
																						(BgL_appz00_bglt)
																						(BgL_nodez00_1361);
																					BgL_pairz00_2044 =
																						(((BgL_appz00_bglt)
																							CREF(BgL_auxz00_3395))->
																						BgL_argsz00);
																				}
																				BgL_auxz00_3394 = CAR(BgL_pairz00_2044);
																			}
																			BgL_obj1993z00_2045 =
																				(BgL_varz00_bglt) (BgL_auxz00_3394);
																		}
																		BgL_arg3575z00_1375 =
																			(((BgL_varz00_bglt)
																				CREF(BgL_obj1993z00_2045))->
																			BgL_variablez00);
																	}
																	BgL_auxz00_3393 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_arg3575z00_1375))->
																		BgL_accessz00);
																}
																BgL_testz00_3392 =
																	(BgL_auxz00_3393 ==
																	CNST_TABLE_REF(((long) 1)));
															}
															if (BgL_testz00_3392)
																{	/* Reduce/ftypec.scm 141 */
																	BgL_varz00_bglt BgL_funz00_1369;

																	{
																		BgL_appz00_bglt BgL_auxz00_3404;

																		BgL_auxz00_3404 =
																			(BgL_appz00_bglt) (BgL_nodez00_1361);
																		BgL_funz00_1369 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_auxz00_3404))->BgL_funz00);
																	}
																	{	/* Reduce/ftypec.scm 143 */

																		{	/* Reduce/ftypec.scm 143 */
																			BgL_funz00_bglt BgL_obj1654z00_2050;

																			{	/* Reduce/ftypec.scm 143 */
																				BgL_valuez00_bglt BgL_auxz00_3407;

																				{	/* Reduce/ftypec.scm 142 */
																					BgL_variablez00_bglt
																						BgL_obj1449z00_2049;
																					BgL_obj1449z00_2049 =
																						(((BgL_varz00_bglt)
																							CREF(BgL_funz00_1369))->
																						BgL_variablez00);
																					BgL_auxz00_3407 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_obj1449z00_2049))->
																						BgL_valuez00);
																				}
																				BgL_obj1654z00_2050 =
																					(BgL_funz00_bglt) (BgL_auxz00_3407);
																			}
																			BgL_typecz00_1307 =
																				(((BgL_funz00_bglt)
																					CREF(BgL_obj1654z00_2050))->
																				BgL_predicatezd2ofzd2);
																		}
																	}
																}
															else
																{	/* Reduce/ftypec.scm 140 */
																	BgL_typecz00_1307 = BFALSE;
																}
														}
													else
														{	/* Reduce/ftypec.scm 139 */
															BgL_typecz00_1307 = BFALSE;
														}
												}
											else
												{	/* Reduce/ftypec.scm 138 */
													BgL_typecz00_1307 = BFALSE;
												}
										}
									else
										{	/* Reduce/ftypec.scm 137 */
											BgL_typecz00_1307 = BFALSE;
										}
								}
							else
								{	/* Reduce/ftypec.scm 135 */
									BgL_typecz00_1307 = BFALSE;
								}
						}
						if (BGl_iszd2azf3z21zz__objectz00(BgL_typecz00_1307,
								BGl_typez00zztype_typez00))
							{	/* Reduce/ftypec.scm 176 */
								obj_t BgL_argsz00_1309;

								{	/* Reduce/ftypec.scm 176 */
									BgL_appz00_bglt BgL_obj2090z00_1837;

									BgL_obj2090z00_1837 =
										(BgL_appz00_bglt) (
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1298))->
											BgL_testz00));
									BgL_argsz00_1309 =
										(((BgL_appz00_bglt) CREF(BgL_obj2090z00_1837))->
										BgL_argsz00);
								}
								{	/* Reduce/ftypec.scm 176 */
									BgL_variablez00_bglt BgL_varz00_1310;

									{	/* Reduce/ftypec.scm 177 */
										BgL_varz00_bglt BgL_obj1993z00_1839;

										{	/* Reduce/ftypec.scm 177 */
											obj_t BgL_pairz00_1838;

											BgL_pairz00_1838 = BgL_argsz00_1309;
											BgL_obj1993z00_1839 =
												(BgL_varz00_bglt) (CAR(BgL_pairz00_1838));
										}
										BgL_varz00_1310 =
											(((BgL_varz00_bglt) CREF(BgL_obj1993z00_1839))->
											BgL_variablez00);
									}
									{	/* Reduce/ftypec.scm 177 */
										obj_t BgL_typesz00_1311;

										BgL_typesz00_1311 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
											(obj_t) (BgL_varz00_1310), BgL_stackz00_1299);
										{	/* Reduce/ftypec.scm 178 */
											obj_t BgL_tzd2stackzd2_1312;

											{	/* Reduce/ftypec.scm 179 */
												obj_t BgL_arg3546z00_1326;

												{	/* Reduce/ftypec.scm 179 */
													obj_t BgL_arg3547z00_1327;

													BgL_arg3547z00_1327 =
														MAKE_PAIR(BgL_typecz00_1307, BTRUE);
													BgL_arg3546z00_1326 =
														MAKE_PAIR(
														(obj_t) (BgL_varz00_1310), BgL_arg3547z00_1327);
												}
												BgL_tzd2stackzd2_1312 =
													MAKE_PAIR(BgL_arg3546z00_1326, BgL_stackz00_1299);
											}
											{	/* Reduce/ftypec.scm 179 */
												obj_t BgL_fzd2stackzd2_1313;

												{	/* Reduce/ftypec.scm 180 */
													obj_t BgL_arg3543z00_1324;

													{	/* Reduce/ftypec.scm 180 */
														obj_t BgL_arg3544z00_1325;

														BgL_arg3544z00_1325 =
															MAKE_PAIR(BgL_typecz00_1307, BFALSE);
														BgL_arg3543z00_1324 =
															MAKE_PAIR(
															(obj_t) (BgL_varz00_1310), BgL_arg3544z00_1325);
													}
													BgL_fzd2stackzd2_1313 =
														MAKE_PAIR(BgL_arg3543z00_1324, BgL_stackz00_1299);
												}
												{	/* Reduce/ftypec.scm 180 */

													{	/* Reduce/ftypec.scm 181 */
														bool_t BgL_testz00_3431;

														if (CBOOL(BgL_typesz00_1311))
															{	/* Reduce/ftypec.scm 181 */
																bool_t BgL_testz00_3434;

																{	/* Reduce/ftypec.scm 181 */
																	obj_t BgL_auxz00_3435;

																	{	/* Reduce/ftypec.scm 181 */
																		obj_t BgL_pairz00_1840;

																		BgL_pairz00_1840 = BgL_typesz00_1311;
																		BgL_auxz00_3435 =
																			CAR(CDR(BgL_pairz00_1840));
																	}
																	BgL_testz00_3434 =
																		(BgL_auxz00_3435 == BgL_typecz00_1307);
																}
																if (BgL_testz00_3434)
																	{	/* Reduce/ftypec.scm 181 */
																		BgL_testz00_3431 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/ftypec.scm 181 */
																		BgL_testz00_3431 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/ftypec.scm 181 */
																BgL_testz00_3431 = ((bool_t) 1);
															}
														if (BgL_testz00_3431)
															{	/* Reduce/ftypec.scm 181 */
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 185 */
																	BgL_nodez00_bglt BgL_arg3534z00_1315;

																	{	/* Reduce/ftypec.scm 185 */
																		BgL_nodez00_bglt BgL_arg3535z00_1316;

																		BgL_arg3535z00_1316 =
																			(((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1298))->BgL_truez00);
																		{	/* Reduce/ftypec.scm 185 */
																			BgL_nodez00_bglt BgL_res3669z00_1874;

																			{	/* Reduce/ftypec.scm 185 */
																				obj_t BgL_method3405z00_1849;

																				{	/* Reduce/ftypec.scm 185 */
																					BgL_objectz00_bglt BgL_objz00_1850;

																					BgL_objz00_1850 =
																						(BgL_objectz00_bglt)
																						(BgL_arg3535z00_1316);
																					{	/* Reduce/ftypec.scm 185 */
																						long BgL_objzd2classzd2numz00_1851;

																						BgL_objzd2classzd2numz00_1851 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_objz00_1850);
																						{	/* Reduce/ftypec.scm 185 */
																							obj_t BgL_arg2422z00_1852;

																							BgL_arg2422z00_1852 =
																								PROCEDURE_REF
																								(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																								(int) (((long) 1)));
																							{	/* Reduce/ftypec.scm 185 */
																								obj_t BgL_arrayz00_1854;

																								int BgL_offsetz00_1855;

																								BgL_arrayz00_1854 =
																									BgL_arg2422z00_1852;
																								BgL_offsetz00_1855 =
																									(int)
																									(BgL_objzd2classzd2numz00_1851);
																								{	/* Reduce/ftypec.scm 185 */
																									long BgL_offsetz00_1856;

																									BgL_offsetz00_1856 =
																										(
																										(long) (BgL_offsetz00_1855)
																										- OBJECT_TYPE);
																									{	/* Reduce/ftypec.scm 185 */
																										long BgL_modz00_1857;

																										{	/* Reduce/ftypec.scm 185 */
																											int BgL_arg2424z00_1858;

																											BgL_arg2424z00_1858 =
																												(int) (((long) 8));
																											{	/* Reduce/ftypec.scm 185 */
																												long BgL_auxz00_3449;

																												BgL_auxz00_3449 =
																													(long)
																													(BgL_arg2424z00_1858);
																												BgL_modz00_1857 =
																													(BgL_offsetz00_1856 /
																													BgL_auxz00_3449);
																										}}
																										{	/* Reduce/ftypec.scm 185 */
																											long BgL_restz00_1859;

																											{	/* Reduce/ftypec.scm 185 */
																												int BgL_arg2423z00_1860;

																												BgL_arg2423z00_1860 =
																													(int) (((long) 8));
																												{	/* Reduce/ftypec.scm 185 */
																													long BgL_auxz00_3453;

																													BgL_auxz00_3453 =
																														(long)
																														(BgL_arg2423z00_1860);
																													BgL_restz00_1859 =
																														(BgL_offsetz00_1856
																														% BgL_auxz00_3453);
																											}}
																											{	/* Reduce/ftypec.scm 185 */

																												BgL_method3405z00_1849 =
																													VECTOR_REF(VECTOR_REF
																													(BgL_arrayz00_1854,
																														(int)
																														(BgL_modz00_1857)),
																													(int)
																													(BgL_restz00_1859));
																				}}}}}}}}
																				BgL_res3669z00_1874 =
																					(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																					(BgL_method3405z00_1849)
																					(BgL_method3405z00_1849,
																						(obj_t) (BgL_arg3535z00_1316),
																						BgL_tzd2stackzd2_1312, BEOA));
																			}
																			BgL_arg3534z00_1315 = BgL_res3669z00_1874;
																	}}
																	((((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1298))->BgL_truez00) =
																		((BgL_nodez00_bglt) BgL_arg3534z00_1315),
																		BUNSPEC);
																}
																{	/* Reduce/ftypec.scm 186 */
																	BgL_nodez00_bglt BgL_arg3536z00_1317;

																	{	/* Reduce/ftypec.scm 186 */
																		BgL_nodez00_bglt BgL_arg3537z00_1318;

																		BgL_arg3537z00_1318 =
																			(((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1298))->BgL_falsez00);
																		{	/* Reduce/ftypec.scm 186 */
																			BgL_nodez00_bglt BgL_res3672z00_1905;

																			{	/* Reduce/ftypec.scm 186 */
																				obj_t BgL_method3405z00_1880;

																				{	/* Reduce/ftypec.scm 186 */
																					BgL_objectz00_bglt BgL_objz00_1881;

																					BgL_objz00_1881 =
																						(BgL_objectz00_bglt)
																						(BgL_arg3537z00_1318);
																					{	/* Reduce/ftypec.scm 186 */
																						long BgL_objzd2classzd2numz00_1882;

																						BgL_objzd2classzd2numz00_1882 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_objz00_1881);
																						{	/* Reduce/ftypec.scm 186 */
																							obj_t BgL_arg2422z00_1883;

																							BgL_arg2422z00_1883 =
																								PROCEDURE_REF
																								(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																								(int) (((long) 1)));
																							{	/* Reduce/ftypec.scm 186 */
																								obj_t BgL_arrayz00_1885;

																								int BgL_offsetz00_1886;

																								BgL_arrayz00_1885 =
																									BgL_arg2422z00_1883;
																								BgL_offsetz00_1886 =
																									(int)
																									(BgL_objzd2classzd2numz00_1882);
																								{	/* Reduce/ftypec.scm 186 */
																									long BgL_offsetz00_1887;

																									BgL_offsetz00_1887 =
																										(
																										(long) (BgL_offsetz00_1886)
																										- OBJECT_TYPE);
																									{	/* Reduce/ftypec.scm 186 */
																										long BgL_modz00_1888;

																										{	/* Reduce/ftypec.scm 186 */
																											int BgL_arg2424z00_1889;

																											BgL_arg2424z00_1889 =
																												(int) (((long) 8));
																											{	/* Reduce/ftypec.scm 186 */
																												long BgL_auxz00_3474;

																												BgL_auxz00_3474 =
																													(long)
																													(BgL_arg2424z00_1889);
																												BgL_modz00_1888 =
																													(BgL_offsetz00_1887 /
																													BgL_auxz00_3474);
																										}}
																										{	/* Reduce/ftypec.scm 186 */
																											long BgL_restz00_1890;

																											{	/* Reduce/ftypec.scm 186 */
																												int BgL_arg2423z00_1891;

																												BgL_arg2423z00_1891 =
																													(int) (((long) 8));
																												{	/* Reduce/ftypec.scm 186 */
																													long BgL_auxz00_3478;

																													BgL_auxz00_3478 =
																														(long)
																														(BgL_arg2423z00_1891);
																													BgL_restz00_1890 =
																														(BgL_offsetz00_1887
																														% BgL_auxz00_3478);
																											}}
																											{	/* Reduce/ftypec.scm 186 */

																												BgL_method3405z00_1880 =
																													VECTOR_REF(VECTOR_REF
																													(BgL_arrayz00_1885,
																														(int)
																														(BgL_modz00_1888)),
																													(int)
																													(BgL_restz00_1890));
																				}}}}}}}}
																				BgL_res3672z00_1905 =
																					(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																					(BgL_method3405z00_1880)
																					(BgL_method3405z00_1880,
																						(obj_t) (BgL_arg3537z00_1318),
																						BgL_fzd2stackzd2_1313, BEOA));
																			}
																			BgL_arg3536z00_1317 = BgL_res3672z00_1905;
																	}}
																	((((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1298))->BgL_falsez00) =
																		((BgL_nodez00_bglt) BgL_arg3536z00_1317),
																		BUNSPEC);
																}
																return (obj_t) (BgL_nodez00_1298);
															}
														else
															{	/* Reduce/ftypec.scm 181 */
																BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 191 */
																	bool_t BgL_testz00_3492;

																	{	/* Reduce/ftypec.scm 191 */
																		obj_t BgL_pairz00_1910;

																		BgL_pairz00_1910 = BgL_typesz00_1311;
																		{	/* Reduce/ftypec.scm 191 */
																			obj_t BgL_pairz00_1913;

																			BgL_pairz00_1913 = CDR(BgL_pairz00_1910);
																			BgL_testz00_3492 =
																				CBOOL(CDR(BgL_pairz00_1913));
																	}}
																	if (BgL_testz00_3492)
																		{	/* Reduce/ftypec.scm 192 */
																			BgL_nodez00_bglt BgL_arg3539z00_1320;

																			BgL_arg3539z00_1320 =
																				(((BgL_conditionalz00_bglt)
																					CREF(BgL_nodez00_1298))->BgL_truez00);
																			{	/* Reduce/ftypec.scm 192 */
																				BgL_nodez00_bglt BgL_res3675z00_1942;

																				{	/* Reduce/ftypec.scm 192 */
																					obj_t BgL_method3405z00_1917;

																					{	/* Reduce/ftypec.scm 192 */
																						BgL_objectz00_bglt BgL_objz00_1918;

																						BgL_objz00_1918 =
																							(BgL_objectz00_bglt)
																							(BgL_arg3539z00_1320);
																						{	/* Reduce/ftypec.scm 192 */
																							long
																								BgL_objzd2classzd2numz00_1919;
																							BgL_objzd2classzd2numz00_1919 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_objz00_1918);
																							{	/* Reduce/ftypec.scm 192 */
																								obj_t BgL_arg2422z00_1920;

																								BgL_arg2422z00_1920 =
																									PROCEDURE_REF
																									(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																									(int) (((long) 1)));
																								{	/* Reduce/ftypec.scm 192 */
																									obj_t BgL_arrayz00_1922;

																									int BgL_offsetz00_1923;

																									BgL_arrayz00_1922 =
																										BgL_arg2422z00_1920;
																									BgL_offsetz00_1923 =
																										(int)
																										(BgL_objzd2classzd2numz00_1919);
																									{	/* Reduce/ftypec.scm 192 */
																										long BgL_offsetz00_1924;

																										BgL_offsetz00_1924 =
																											(
																											(long)
																											(BgL_offsetz00_1923) -
																											OBJECT_TYPE);
																										{	/* Reduce/ftypec.scm 192 */
																											long BgL_modz00_1925;

																											{	/* Reduce/ftypec.scm 192 */
																												int BgL_arg2424z00_1926;

																												BgL_arg2424z00_1926 =
																													(int) (((long) 8));
																												{	/* Reduce/ftypec.scm 192 */
																													long BgL_auxz00_3505;

																													BgL_auxz00_3505 =
																														(long)
																														(BgL_arg2424z00_1926);
																													BgL_modz00_1925 =
																														(BgL_offsetz00_1924
																														/ BgL_auxz00_3505);
																											}}
																											{	/* Reduce/ftypec.scm 192 */
																												long BgL_restz00_1927;

																												{	/* Reduce/ftypec.scm 192 */
																													int
																														BgL_arg2423z00_1928;
																													BgL_arg2423z00_1928 =
																														(int) (((long) 8));
																													{	/* Reduce/ftypec.scm 192 */
																														long
																															BgL_auxz00_3509;
																														BgL_auxz00_3509 =
																															(long)
																															(BgL_arg2423z00_1928);
																														BgL_restz00_1927 =
																															(BgL_offsetz00_1924
																															%
																															BgL_auxz00_3509);
																												}}
																												{	/* Reduce/ftypec.scm 192 */

																													BgL_method3405z00_1917
																														=
																														VECTOR_REF
																														(VECTOR_REF
																														(BgL_arrayz00_1922,
																															(int)
																															(BgL_modz00_1925)),
																														(int)
																														(BgL_restz00_1927));
																					}}}}}}}}
																					BgL_res3675z00_1942 =
																						(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																						(BgL_method3405z00_1917)
																						(BgL_method3405z00_1917,
																							(obj_t) (BgL_arg3539z00_1320),
																							BgL_tzd2stackzd2_1312, BEOA));
																				}
																				return (obj_t) (BgL_res3675z00_1942);
																			}
																		}
																	else
																		{	/* Reduce/ftypec.scm 193 */
																			BgL_nodez00_bglt BgL_arg3540z00_1321;

																			BgL_arg3540z00_1321 =
																				(((BgL_conditionalz00_bglt)
																					CREF(BgL_nodez00_1298))->
																				BgL_falsez00);
																			{	/* Reduce/ftypec.scm 193 */
																				BgL_nodez00_bglt BgL_res3678z00_1971;

																				{	/* Reduce/ftypec.scm 193 */
																					obj_t BgL_method3405z00_1946;

																					{	/* Reduce/ftypec.scm 193 */
																						BgL_objectz00_bglt BgL_objz00_1947;

																						BgL_objz00_1947 =
																							(BgL_objectz00_bglt)
																							(BgL_arg3540z00_1321);
																						{	/* Reduce/ftypec.scm 193 */
																							long
																								BgL_objzd2classzd2numz00_1948;
																							BgL_objzd2classzd2numz00_1948 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_objz00_1947);
																							{	/* Reduce/ftypec.scm 193 */
																								obj_t BgL_arg2422z00_1949;

																								BgL_arg2422z00_1949 =
																									PROCEDURE_REF
																									(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																									(int) (((long) 1)));
																								{	/* Reduce/ftypec.scm 193 */
																									obj_t BgL_arrayz00_1951;

																									int BgL_offsetz00_1952;

																									BgL_arrayz00_1951 =
																										BgL_arg2422z00_1949;
																									BgL_offsetz00_1952 =
																										(int)
																										(BgL_objzd2classzd2numz00_1948);
																									{	/* Reduce/ftypec.scm 193 */
																										long BgL_offsetz00_1953;

																										BgL_offsetz00_1953 =
																											(
																											(long)
																											(BgL_offsetz00_1952) -
																											OBJECT_TYPE);
																										{	/* Reduce/ftypec.scm 193 */
																											long BgL_modz00_1954;

																											{	/* Reduce/ftypec.scm 193 */
																												int BgL_arg2424z00_1955;

																												BgL_arg2424z00_1955 =
																													(int) (((long) 8));
																												{	/* Reduce/ftypec.scm 193 */
																													long BgL_auxz00_3530;

																													BgL_auxz00_3530 =
																														(long)
																														(BgL_arg2424z00_1955);
																													BgL_modz00_1954 =
																														(BgL_offsetz00_1953
																														/ BgL_auxz00_3530);
																											}}
																											{	/* Reduce/ftypec.scm 193 */
																												long BgL_restz00_1956;

																												{	/* Reduce/ftypec.scm 193 */
																													int
																														BgL_arg2423z00_1957;
																													BgL_arg2423z00_1957 =
																														(int) (((long) 8));
																													{	/* Reduce/ftypec.scm 193 */
																														long
																															BgL_auxz00_3534;
																														BgL_auxz00_3534 =
																															(long)
																															(BgL_arg2423z00_1957);
																														BgL_restz00_1956 =
																															(BgL_offsetz00_1953
																															%
																															BgL_auxz00_3534);
																												}}
																												{	/* Reduce/ftypec.scm 193 */

																													BgL_method3405z00_1946
																														=
																														VECTOR_REF
																														(VECTOR_REF
																														(BgL_arrayz00_1951,
																															(int)
																															(BgL_modz00_1954)),
																														(int)
																														(BgL_restz00_1956));
																					}}}}}}}}
																					BgL_res3678z00_1971 =
																						(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																						(BgL_method3405z00_1946)
																						(BgL_method3405z00_1946,
																							(obj_t) (BgL_arg3540z00_1321),
																							BgL_fzd2stackzd2_1313, BEOA));
																				}
																				return (obj_t) (BgL_res3678z00_1971);
																			}
																		}
																}
															}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Reduce/ftypec.scm 171 */
								{	/* Reduce/ftypec.scm 173 */
									BgL_nodez00_bglt BgL_arg3550z00_1330;

									{	/* Reduce/ftypec.scm 173 */
										BgL_nodez00_bglt BgL_arg3552z00_1331;

										BgL_arg3552z00_1331 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1298))->
											BgL_truez00);
										{	/* Reduce/ftypec.scm 173 */
											BgL_nodez00_bglt BgL_res3681z00_2000;

											{	/* Reduce/ftypec.scm 173 */
												obj_t BgL_method3405z00_1975;

												{	/* Reduce/ftypec.scm 173 */
													BgL_objectz00_bglt BgL_objz00_1976;

													BgL_objz00_1976 =
														(BgL_objectz00_bglt) (BgL_arg3552z00_1331);
													{	/* Reduce/ftypec.scm 173 */
														long BgL_objzd2classzd2numz00_1977;

														BgL_objzd2classzd2numz00_1977 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1976);
														{	/* Reduce/ftypec.scm 173 */
															obj_t BgL_arg2422z00_1978;

															BgL_arg2422z00_1978 =
																PROCEDURE_REF
																(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																(int) (((long) 1)));
															{	/* Reduce/ftypec.scm 173 */
																obj_t BgL_arrayz00_1980;

																int BgL_offsetz00_1981;

																BgL_arrayz00_1980 = BgL_arg2422z00_1978;
																BgL_offsetz00_1981 =
																	(int) (BgL_objzd2classzd2numz00_1977);
																{	/* Reduce/ftypec.scm 173 */
																	long BgL_offsetz00_1982;

																	BgL_offsetz00_1982 =
																		((long) (BgL_offsetz00_1981) - OBJECT_TYPE);
																	{	/* Reduce/ftypec.scm 173 */
																		long BgL_modz00_1983;

																		{	/* Reduce/ftypec.scm 173 */
																			int BgL_arg2424z00_1984;

																			BgL_arg2424z00_1984 = (int) (((long) 8));
																			{	/* Reduce/ftypec.scm 173 */
																				long BgL_auxz00_3555;

																				BgL_auxz00_3555 =
																					(long) (BgL_arg2424z00_1984);
																				BgL_modz00_1983 =
																					(BgL_offsetz00_1982 /
																					BgL_auxz00_3555);
																		}}
																		{	/* Reduce/ftypec.scm 173 */
																			long BgL_restz00_1985;

																			{	/* Reduce/ftypec.scm 173 */
																				int BgL_arg2423z00_1986;

																				BgL_arg2423z00_1986 =
																					(int) (((long) 8));
																				{	/* Reduce/ftypec.scm 173 */
																					long BgL_auxz00_3559;

																					BgL_auxz00_3559 =
																						(long) (BgL_arg2423z00_1986);
																					BgL_restz00_1985 =
																						(BgL_offsetz00_1982 %
																						BgL_auxz00_3559);
																			}}
																			{	/* Reduce/ftypec.scm 173 */

																				BgL_method3405z00_1975 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1980,
																						(int) (BgL_modz00_1983)),
																					(int) (BgL_restz00_1985));
												}}}}}}}}
												BgL_res3681z00_2000 =
													(BgL_nodez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3405z00_1975) (BgL_method3405z00_1975,
														(obj_t) (BgL_arg3552z00_1331), BgL_stackz00_1299,
														BEOA));
											}
											BgL_arg3550z00_1330 = BgL_res3681z00_2000;
									}}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1298))->
											BgL_truez00) =
										((BgL_nodez00_bglt) BgL_arg3550z00_1330), BUNSPEC);
								}
								{	/* Reduce/ftypec.scm 174 */
									BgL_nodez00_bglt BgL_arg3553z00_1332;

									{	/* Reduce/ftypec.scm 174 */
										BgL_nodez00_bglt BgL_arg3554z00_1333;

										BgL_arg3554z00_1333 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1298))->
											BgL_falsez00);
										{	/* Reduce/ftypec.scm 174 */
											BgL_nodez00_bglt BgL_res3684z00_2031;

											{	/* Reduce/ftypec.scm 174 */
												obj_t BgL_method3405z00_2006;

												{	/* Reduce/ftypec.scm 174 */
													BgL_objectz00_bglt BgL_objz00_2007;

													BgL_objz00_2007 =
														(BgL_objectz00_bglt) (BgL_arg3554z00_1333);
													{	/* Reduce/ftypec.scm 174 */
														long BgL_objzd2classzd2numz00_2008;

														BgL_objzd2classzd2numz00_2008 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_2007);
														{	/* Reduce/ftypec.scm 174 */
															obj_t BgL_arg2422z00_2009;

															BgL_arg2422z00_2009 =
																PROCEDURE_REF
																(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
																(int) (((long) 1)));
															{	/* Reduce/ftypec.scm 174 */
																obj_t BgL_arrayz00_2011;

																int BgL_offsetz00_2012;

																BgL_arrayz00_2011 = BgL_arg2422z00_2009;
																BgL_offsetz00_2012 =
																	(int) (BgL_objzd2classzd2numz00_2008);
																{	/* Reduce/ftypec.scm 174 */
																	long BgL_offsetz00_2013;

																	BgL_offsetz00_2013 =
																		((long) (BgL_offsetz00_2012) - OBJECT_TYPE);
																	{	/* Reduce/ftypec.scm 174 */
																		long BgL_modz00_2014;

																		{	/* Reduce/ftypec.scm 174 */
																			int BgL_arg2424z00_2015;

																			BgL_arg2424z00_2015 = (int) (((long) 8));
																			{	/* Reduce/ftypec.scm 174 */
																				long BgL_auxz00_3580;

																				BgL_auxz00_3580 =
																					(long) (BgL_arg2424z00_2015);
																				BgL_modz00_2014 =
																					(BgL_offsetz00_2013 /
																					BgL_auxz00_3580);
																		}}
																		{	/* Reduce/ftypec.scm 174 */
																			long BgL_restz00_2016;

																			{	/* Reduce/ftypec.scm 174 */
																				int BgL_arg2423z00_2017;

																				BgL_arg2423z00_2017 =
																					(int) (((long) 8));
																				{	/* Reduce/ftypec.scm 174 */
																					long BgL_auxz00_3584;

																					BgL_auxz00_3584 =
																						(long) (BgL_arg2423z00_2017);
																					BgL_restz00_2016 =
																						(BgL_offsetz00_2013 %
																						BgL_auxz00_3584);
																			}}
																			{	/* Reduce/ftypec.scm 174 */

																				BgL_method3405z00_2006 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_2011,
																						(int) (BgL_modz00_2014)),
																					(int) (BgL_restz00_2016));
												}}}}}}}}
												BgL_res3684z00_2031 =
													(BgL_nodez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3405z00_2006) (BgL_method3405z00_2006,
														(obj_t) (BgL_arg3554z00_1333), BgL_stackz00_1299,
														BEOA));
											}
											BgL_arg3553z00_1332 = BgL_res3684z00_2031;
									}}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1298))->
											BgL_falsez00) =
										((BgL_nodez00_bglt) BgL_arg3553z00_1332), BUNSPEC);
								}
								return (obj_t) (BgL_nodez00_1298);
							}
					}
				}
			}
		}
	}



/* node-typec!-setq3418 */
	obj_t BGl_nodezd2typecz12zd2setq3418z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2658, obj_t BgL_nodez00_2659, obj_t BgL_stackz00_2660)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 124 */
			{
				BgL_setqz00_bglt BgL_nodez00_1287;

				obj_t BgL_stackz00_1288;

				{	/* Reduce/ftypec.scm 125 */
					BgL_setqz00_bglt BgL_auxz00_3598;

					BgL_nodez00_1287 = (BgL_setqz00_bglt) (BgL_nodez00_2659);
					BgL_stackz00_1288 = BgL_stackz00_2660;
					{	/* Reduce/ftypec.scm 126 */
						BgL_nodez00_bglt BgL_arg3525z00_1292;

						{	/* Reduce/ftypec.scm 126 */
							BgL_nodez00_bglt BgL_arg3526z00_1293;

							BgL_arg3526z00_1293 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1287))->BgL_valuez00);
							{	/* Reduce/ftypec.scm 126 */
								BgL_nodez00_bglt BgL_res3660z00_1769;

								{	/* Reduce/ftypec.scm 126 */
									obj_t BgL_method3405z00_1744;

									{	/* Reduce/ftypec.scm 126 */
										BgL_objectz00_bglt BgL_objz00_1745;

										BgL_objz00_1745 =
											(BgL_objectz00_bglt) (BgL_arg3526z00_1293);
										{	/* Reduce/ftypec.scm 126 */
											long BgL_objzd2classzd2numz00_1746;

											BgL_objzd2classzd2numz00_1746 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1745);
											{	/* Reduce/ftypec.scm 126 */
												obj_t BgL_arg2422z00_1747;

												BgL_arg2422z00_1747 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 126 */
													obj_t BgL_arrayz00_1749;

													int BgL_offsetz00_1750;

													BgL_arrayz00_1749 = BgL_arg2422z00_1747;
													BgL_offsetz00_1750 =
														(int) (BgL_objzd2classzd2numz00_1746);
													{	/* Reduce/ftypec.scm 126 */
														long BgL_offsetz00_1751;

														BgL_offsetz00_1751 =
															((long) (BgL_offsetz00_1750) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 126 */
															long BgL_modz00_1752;

															{	/* Reduce/ftypec.scm 126 */
																int BgL_arg2424z00_1753;

																BgL_arg2424z00_1753 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 126 */
																	long BgL_auxz00_3608;

																	BgL_auxz00_3608 =
																		(long) (BgL_arg2424z00_1753);
																	BgL_modz00_1752 =
																		(BgL_offsetz00_1751 / BgL_auxz00_3608);
															}}
															{	/* Reduce/ftypec.scm 126 */
																long BgL_restz00_1754;

																{	/* Reduce/ftypec.scm 126 */
																	int BgL_arg2423z00_1755;

																	BgL_arg2423z00_1755 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 126 */
																		long BgL_auxz00_3612;

																		BgL_auxz00_3612 =
																			(long) (BgL_arg2423z00_1755);
																		BgL_restz00_1754 =
																			(BgL_offsetz00_1751 % BgL_auxz00_3612);
																}}
																{	/* Reduce/ftypec.scm 126 */

																	BgL_method3405z00_1744 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1749,
																			(int) (BgL_modz00_1752)),
																		(int) (BgL_restz00_1754));
									}}}}}}}}
									BgL_res3660z00_1769 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_1744)
										(BgL_method3405z00_1744, (obj_t) (BgL_arg3526z00_1293),
											BgL_stackz00_1288, BEOA));
								}
								BgL_arg3525z00_1292 = BgL_res3660z00_1769;
						}}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1287))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3525z00_1292), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 127 */
						BgL_nodez00_bglt BgL_arg3527z00_1294;

						{	/* Reduce/ftypec.scm 127 */
							BgL_varz00_bglt BgL_arg3528z00_1295;

							BgL_arg3528z00_1295 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1287))->BgL_varz00);
							{	/* Reduce/ftypec.scm 127 */
								BgL_nodez00_bglt BgL_res3663z00_1800;

								{	/* Reduce/ftypec.scm 127 */
									BgL_nodez00_bglt BgL_nodez00_1773;

									BgL_nodez00_1773 = (BgL_nodez00_bglt) (BgL_arg3528z00_1295);
									{	/* Reduce/ftypec.scm 127 */
										obj_t BgL_method3405z00_1775;

										{	/* Reduce/ftypec.scm 127 */
											BgL_objectz00_bglt BgL_objz00_1776;

											BgL_objz00_1776 = (BgL_objectz00_bglt) (BgL_nodez00_1773);
											{	/* Reduce/ftypec.scm 127 */
												long BgL_objzd2classzd2numz00_1777;

												BgL_objzd2classzd2numz00_1777 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1776);
												{	/* Reduce/ftypec.scm 127 */
													obj_t BgL_arg2422z00_1778;

													BgL_arg2422z00_1778 =
														PROCEDURE_REF
														(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
														(int) (((long) 1)));
													{	/* Reduce/ftypec.scm 127 */
														obj_t BgL_arrayz00_1780;

														int BgL_offsetz00_1781;

														BgL_arrayz00_1780 = BgL_arg2422z00_1778;
														BgL_offsetz00_1781 =
															(int) (BgL_objzd2classzd2numz00_1777);
														{	/* Reduce/ftypec.scm 127 */
															long BgL_offsetz00_1782;

															BgL_offsetz00_1782 =
																((long) (BgL_offsetz00_1781) - OBJECT_TYPE);
															{	/* Reduce/ftypec.scm 127 */
																long BgL_modz00_1783;

																{	/* Reduce/ftypec.scm 127 */
																	int BgL_arg2424z00_1784;

																	BgL_arg2424z00_1784 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 127 */
																		long BgL_auxz00_3634;

																		BgL_auxz00_3634 =
																			(long) (BgL_arg2424z00_1784);
																		BgL_modz00_1783 =
																			(BgL_offsetz00_1782 / BgL_auxz00_3634);
																}}
																{	/* Reduce/ftypec.scm 127 */
																	long BgL_restz00_1785;

																	{	/* Reduce/ftypec.scm 127 */
																		int BgL_arg2423z00_1786;

																		BgL_arg2423z00_1786 = (int) (((long) 8));
																		{	/* Reduce/ftypec.scm 127 */
																			long BgL_auxz00_3638;

																			BgL_auxz00_3638 =
																				(long) (BgL_arg2423z00_1786);
																			BgL_restz00_1785 =
																				(BgL_offsetz00_1782 % BgL_auxz00_3638);
																	}}
																	{	/* Reduce/ftypec.scm 127 */

																		BgL_method3405z00_1775 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1780,
																				(int) (BgL_modz00_1783)),
																			(int) (BgL_restz00_1785));
										}}}}}}}}
										BgL_res3663z00_1800 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3405z00_1775) (BgL_method3405z00_1775,
												(obj_t) (BgL_nodez00_1773), BgL_stackz00_1288, BEOA));
								}}
								BgL_arg3527z00_1294 = BgL_res3663z00_1800;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_3649;

							BgL_auxz00_3649 = (BgL_varz00_bglt) (BgL_arg3527z00_1294);
							((((BgL_setqz00_bglt) CREF(BgL_nodez00_1287))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_3649), BUNSPEC);
					}}
					BgL_auxz00_3598 = BgL_nodez00_1287;
					return (obj_t) (BgL_auxz00_3598);
				}
			}
		}
	}



/* node-typec!-cast3415 */
	obj_t BGl_nodezd2typecz12zd2cast3415z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2661, obj_t BgL_nodez00_2662, obj_t BgL_stackz00_2663)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 116 */
			{
				BgL_castz00_bglt BgL_nodez00_1279;

				obj_t BgL_stackz00_1280;

				{	/* Reduce/ftypec.scm 117 */
					BgL_castz00_bglt BgL_auxz00_3654;

					BgL_nodez00_1279 = (BgL_castz00_bglt) (BgL_nodez00_2662);
					BgL_stackz00_1280 = BgL_stackz00_2663;
					{	/* Reduce/ftypec.scm 117 */
						BgL_nodez00_bglt BgL_arg3523z00_1711;

						BgL_arg3523z00_1711 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1279))->BgL_argz00);
						{	/* Reduce/ftypec.scm 117 */
							BgL_nodez00_bglt BgL_res3657z00_1740;

							{	/* Reduce/ftypec.scm 117 */
								obj_t BgL_method3405z00_1715;

								{	/* Reduce/ftypec.scm 117 */
									BgL_objectz00_bglt BgL_objz00_1716;

									BgL_objz00_1716 = (BgL_objectz00_bglt) (BgL_arg3523z00_1711);
									{	/* Reduce/ftypec.scm 117 */
										long BgL_objzd2classzd2numz00_1717;

										BgL_objzd2classzd2numz00_1717 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1716);
										{	/* Reduce/ftypec.scm 117 */
											obj_t BgL_arg2422z00_1718;

											BgL_arg2422z00_1718 =
												PROCEDURE_REF
												(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
												(int) (((long) 1)));
											{	/* Reduce/ftypec.scm 117 */
												obj_t BgL_arrayz00_1720;

												int BgL_offsetz00_1721;

												BgL_arrayz00_1720 = BgL_arg2422z00_1718;
												BgL_offsetz00_1721 =
													(int) (BgL_objzd2classzd2numz00_1717);
												{	/* Reduce/ftypec.scm 117 */
													long BgL_offsetz00_1722;

													BgL_offsetz00_1722 =
														((long) (BgL_offsetz00_1721) - OBJECT_TYPE);
													{	/* Reduce/ftypec.scm 117 */
														long BgL_modz00_1723;

														{	/* Reduce/ftypec.scm 117 */
															int BgL_arg2424z00_1724;

															BgL_arg2424z00_1724 = (int) (((long) 8));
															{	/* Reduce/ftypec.scm 117 */
																long BgL_auxz00_3664;

																BgL_auxz00_3664 = (long) (BgL_arg2424z00_1724);
																BgL_modz00_1723 =
																	(BgL_offsetz00_1722 / BgL_auxz00_3664);
														}}
														{	/* Reduce/ftypec.scm 117 */
															long BgL_restz00_1725;

															{	/* Reduce/ftypec.scm 117 */
																int BgL_arg2423z00_1726;

																BgL_arg2423z00_1726 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 117 */
																	long BgL_auxz00_3668;

																	BgL_auxz00_3668 =
																		(long) (BgL_arg2423z00_1726);
																	BgL_restz00_1725 =
																		(BgL_offsetz00_1722 % BgL_auxz00_3668);
															}}
															{	/* Reduce/ftypec.scm 117 */

																BgL_method3405z00_1715 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1720,
																		(int) (BgL_modz00_1723)),
																	(int) (BgL_restz00_1725));
								}}}}}}}}
								BgL_res3657z00_1740 =
									(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_1715)
									(BgL_method3405z00_1715, (obj_t) (BgL_arg3523z00_1711),
										BgL_stackz00_1280, BEOA));
							} BgL_res3657z00_1740;
					}}
					BgL_auxz00_3654 = BgL_nodez00_1279;
					return (obj_t) (BgL_auxz00_3654);
				}
			}
		}
	}



/* node-typec!-extern3413 */
	obj_t BGl_nodezd2typecz12zd2extern3413z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2664, obj_t BgL_nodez00_2665, obj_t BgL_stackz00_2666)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 108 */
			{
				BgL_externz00_bglt BgL_nodez00_1271;

				obj_t BgL_stackz00_1272;

				{	/* Reduce/ftypec.scm 109 */
					BgL_externz00_bglt BgL_auxz00_3681;

					BgL_nodez00_1271 = (BgL_externz00_bglt) (BgL_nodez00_2665);
					BgL_stackz00_1272 = BgL_stackz00_2666;
					{	/* Reduce/ftypec.scm 109 */
						obj_t BgL_arg3521z00_1708;

						BgL_arg3521z00_1708 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1271))->BgL_exprza2za2);
						BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2
							(BgL_arg3521z00_1708, BgL_stackz00_1272);
					}
					BgL_auxz00_3681 = BgL_nodez00_1271;
					return (obj_t) (BgL_auxz00_3681);
				}
			}
		}
	}



/* node-typec!-funcall3411 */
	obj_t BGl_nodezd2typecz12zd2funcall3411z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2667, obj_t BgL_nodez00_2668, obj_t BgL_stackz00_2669)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 99 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1261;

				obj_t BgL_stackz00_1262;

				{	/* Reduce/ftypec.scm 100 */
					BgL_funcallz00_bglt BgL_auxz00_3686;

					BgL_nodez00_1261 = (BgL_funcallz00_bglt) (BgL_nodez00_2668);
					BgL_stackz00_1262 = BgL_stackz00_2669;
					{	/* Reduce/ftypec.scm 101 */
						BgL_nodez00_bglt BgL_arg3515z00_1266;

						{	/* Reduce/ftypec.scm 101 */
							BgL_nodez00_bglt BgL_arg3518z00_1267;

							BgL_arg3518z00_1267 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1261))->BgL_funz00);
							{	/* Reduce/ftypec.scm 101 */
								BgL_nodez00_bglt BgL_res3654z00_1703;

								{	/* Reduce/ftypec.scm 101 */
									obj_t BgL_method3405z00_1678;

									{	/* Reduce/ftypec.scm 101 */
										BgL_objectz00_bglt BgL_objz00_1679;

										BgL_objz00_1679 =
											(BgL_objectz00_bglt) (BgL_arg3518z00_1267);
										{	/* Reduce/ftypec.scm 101 */
											long BgL_objzd2classzd2numz00_1680;

											BgL_objzd2classzd2numz00_1680 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1679);
											{	/* Reduce/ftypec.scm 101 */
												obj_t BgL_arg2422z00_1681;

												BgL_arg2422z00_1681 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 101 */
													obj_t BgL_arrayz00_1683;

													int BgL_offsetz00_1684;

													BgL_arrayz00_1683 = BgL_arg2422z00_1681;
													BgL_offsetz00_1684 =
														(int) (BgL_objzd2classzd2numz00_1680);
													{	/* Reduce/ftypec.scm 101 */
														long BgL_offsetz00_1685;

														BgL_offsetz00_1685 =
															((long) (BgL_offsetz00_1684) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 101 */
															long BgL_modz00_1686;

															{	/* Reduce/ftypec.scm 101 */
																int BgL_arg2424z00_1687;

																BgL_arg2424z00_1687 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 101 */
																	long BgL_auxz00_3696;

																	BgL_auxz00_3696 =
																		(long) (BgL_arg2424z00_1687);
																	BgL_modz00_1686 =
																		(BgL_offsetz00_1685 / BgL_auxz00_3696);
															}}
															{	/* Reduce/ftypec.scm 101 */
																long BgL_restz00_1688;

																{	/* Reduce/ftypec.scm 101 */
																	int BgL_arg2423z00_1689;

																	BgL_arg2423z00_1689 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 101 */
																		long BgL_auxz00_3700;

																		BgL_auxz00_3700 =
																			(long) (BgL_arg2423z00_1689);
																		BgL_restz00_1688 =
																			(BgL_offsetz00_1685 % BgL_auxz00_3700);
																}}
																{	/* Reduce/ftypec.scm 101 */

																	BgL_method3405z00_1678 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1683,
																			(int) (BgL_modz00_1686)),
																		(int) (BgL_restz00_1688));
									}}}}}}}}
									BgL_res3654z00_1703 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_1678)
										(BgL_method3405z00_1678, (obj_t) (BgL_arg3518z00_1267),
											BgL_stackz00_1262, BEOA));
								}
								BgL_arg3515z00_1266 = BgL_res3654z00_1703;
						}}
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1261))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3515z00_1266), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 102 */
						obj_t BgL_arg3519z00_1268;

						BgL_arg3519z00_1268 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1261))->BgL_argsz00);
						BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2
							(BgL_arg3519z00_1268, BgL_stackz00_1262);
					}
					BgL_auxz00_3686 = BgL_nodez00_1261;
					return (obj_t) (BgL_auxz00_3686);
				}
			}
		}
	}



/* node-typec!-app-ly3409 */
	obj_t BGl_nodezd2typecz12zd2appzd2ly3409zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2670, obj_t BgL_nodez00_2671, obj_t BgL_stackz00_2672)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 90 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1250;

				obj_t BgL_stackz00_1251;

				{	/* Reduce/ftypec.scm 91 */
					BgL_appzd2lyzd2_bglt BgL_auxz00_3716;

					BgL_nodez00_1250 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2671);
					BgL_stackz00_1251 = BgL_stackz00_2672;
					{	/* Reduce/ftypec.scm 92 */
						BgL_nodez00_bglt BgL_arg3510z00_1255;

						{	/* Reduce/ftypec.scm 92 */
							BgL_nodez00_bglt BgL_arg3511z00_1256;

							BgL_arg3511z00_1256 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1250))->BgL_funz00);
							{	/* Reduce/ftypec.scm 92 */
								BgL_nodez00_bglt BgL_res3648z00_1641;

								{	/* Reduce/ftypec.scm 92 */
									obj_t BgL_method3405z00_1616;

									{	/* Reduce/ftypec.scm 92 */
										BgL_objectz00_bglt BgL_objz00_1617;

										BgL_objz00_1617 =
											(BgL_objectz00_bglt) (BgL_arg3511z00_1256);
										{	/* Reduce/ftypec.scm 92 */
											long BgL_objzd2classzd2numz00_1618;

											BgL_objzd2classzd2numz00_1618 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1617);
											{	/* Reduce/ftypec.scm 92 */
												obj_t BgL_arg2422z00_1619;

												BgL_arg2422z00_1619 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 92 */
													obj_t BgL_arrayz00_1621;

													int BgL_offsetz00_1622;

													BgL_arrayz00_1621 = BgL_arg2422z00_1619;
													BgL_offsetz00_1622 =
														(int) (BgL_objzd2classzd2numz00_1618);
													{	/* Reduce/ftypec.scm 92 */
														long BgL_offsetz00_1623;

														BgL_offsetz00_1623 =
															((long) (BgL_offsetz00_1622) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 92 */
															long BgL_modz00_1624;

															{	/* Reduce/ftypec.scm 92 */
																int BgL_arg2424z00_1625;

																BgL_arg2424z00_1625 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 92 */
																	long BgL_auxz00_3726;

																	BgL_auxz00_3726 =
																		(long) (BgL_arg2424z00_1625);
																	BgL_modz00_1624 =
																		(BgL_offsetz00_1623 / BgL_auxz00_3726);
															}}
															{	/* Reduce/ftypec.scm 92 */
																long BgL_restz00_1626;

																{	/* Reduce/ftypec.scm 92 */
																	int BgL_arg2423z00_1627;

																	BgL_arg2423z00_1627 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 92 */
																		long BgL_auxz00_3730;

																		BgL_auxz00_3730 =
																			(long) (BgL_arg2423z00_1627);
																		BgL_restz00_1626 =
																			(BgL_offsetz00_1623 % BgL_auxz00_3730);
																}}
																{	/* Reduce/ftypec.scm 92 */

																	BgL_method3405z00_1616 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1621,
																			(int) (BgL_modz00_1624)),
																		(int) (BgL_restz00_1626));
									}}}}}}}}
									BgL_res3648z00_1641 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_1616)
										(BgL_method3405z00_1616, (obj_t) (BgL_arg3511z00_1256),
											BgL_stackz00_1251, BEOA));
								}
								BgL_arg3510z00_1255 = BgL_res3648z00_1641;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1250))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3510z00_1255), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 93 */
						BgL_nodez00_bglt BgL_arg3512z00_1257;

						{	/* Reduce/ftypec.scm 93 */
							BgL_nodez00_bglt BgL_arg3513z00_1258;

							BgL_arg3513z00_1258 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1250))->BgL_argz00);
							{	/* Reduce/ftypec.scm 93 */
								BgL_nodez00_bglt BgL_res3651z00_1672;

								{	/* Reduce/ftypec.scm 93 */
									obj_t BgL_method3405z00_1647;

									{	/* Reduce/ftypec.scm 93 */
										BgL_objectz00_bglt BgL_objz00_1648;

										BgL_objz00_1648 =
											(BgL_objectz00_bglt) (BgL_arg3513z00_1258);
										{	/* Reduce/ftypec.scm 93 */
											long BgL_objzd2classzd2numz00_1649;

											BgL_objzd2classzd2numz00_1649 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1648);
											{	/* Reduce/ftypec.scm 93 */
												obj_t BgL_arg2422z00_1650;

												BgL_arg2422z00_1650 =
													PROCEDURE_REF
													(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
													(int) (((long) 1)));
												{	/* Reduce/ftypec.scm 93 */
													obj_t BgL_arrayz00_1652;

													int BgL_offsetz00_1653;

													BgL_arrayz00_1652 = BgL_arg2422z00_1650;
													BgL_offsetz00_1653 =
														(int) (BgL_objzd2classzd2numz00_1649);
													{	/* Reduce/ftypec.scm 93 */
														long BgL_offsetz00_1654;

														BgL_offsetz00_1654 =
															((long) (BgL_offsetz00_1653) - OBJECT_TYPE);
														{	/* Reduce/ftypec.scm 93 */
															long BgL_modz00_1655;

															{	/* Reduce/ftypec.scm 93 */
																int BgL_arg2424z00_1656;

																BgL_arg2424z00_1656 = (int) (((long) 8));
																{	/* Reduce/ftypec.scm 93 */
																	long BgL_auxz00_3751;

																	BgL_auxz00_3751 =
																		(long) (BgL_arg2424z00_1656);
																	BgL_modz00_1655 =
																		(BgL_offsetz00_1654 / BgL_auxz00_3751);
															}}
															{	/* Reduce/ftypec.scm 93 */
																long BgL_restz00_1657;

																{	/* Reduce/ftypec.scm 93 */
																	int BgL_arg2423z00_1658;

																	BgL_arg2423z00_1658 = (int) (((long) 8));
																	{	/* Reduce/ftypec.scm 93 */
																		long BgL_auxz00_3755;

																		BgL_auxz00_3755 =
																			(long) (BgL_arg2423z00_1658);
																		BgL_restz00_1657 =
																			(BgL_offsetz00_1654 % BgL_auxz00_3755);
																}}
																{	/* Reduce/ftypec.scm 93 */

																	BgL_method3405z00_1647 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1652,
																			(int) (BgL_modz00_1655)),
																		(int) (BgL_restz00_1657));
									}}}}}}}}
									BgL_res3651z00_1672 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3405z00_1647)
										(BgL_method3405z00_1647, (obj_t) (BgL_arg3513z00_1258),
											BgL_stackz00_1251, BEOA));
								}
								BgL_arg3512z00_1257 = BgL_res3651z00_1672;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1250))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_arg3512z00_1257), BUNSPEC);
					}
					BgL_auxz00_3716 = BgL_nodez00_1250;
					return (obj_t) (BgL_auxz00_3716);
				}
			}
		}
	}



/* node-typec!-sequence3407 */
	obj_t BGl_nodezd2typecz12zd2sequence3407z12zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2673, obj_t BgL_nodez00_2674, obj_t BgL_stackz00_2675)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 82 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1242;

				obj_t BgL_stackz00_1243;

				{	/* Reduce/ftypec.scm 83 */
					BgL_sequencez00_bglt BgL_auxz00_3769;

					BgL_nodez00_1242 = (BgL_sequencez00_bglt) (BgL_nodez00_2674);
					BgL_stackz00_1243 = BgL_stackz00_2675;
					{	/* Reduce/ftypec.scm 83 */
						obj_t BgL_arg3508z00_1611;

						BgL_arg3508z00_1611 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1242))->BgL_nodesz00);
						BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2
							(BgL_arg3508z00_1611, BgL_stackz00_1243);
					}
					BgL_auxz00_3769 = BgL_nodez00_1242;
					return (obj_t) (BgL_auxz00_3769);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 328872856),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 269647501),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 387636515),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 470955713),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 498901618),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 71067807),
				BSTRING_TO_STRING(BGl_string3757z00zzreduce_flowzd2typeczd2));
		}
	}

#ifdef __cplusplus
}
#endif
