/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_findzd2lastzd2nodezd2letzd2f3262z00zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_tracezd2nodezd2jumpzd2exzd2i3298z00zztrace_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_tracezd2nodezd2extern3280z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_findzd2lastzd2nodezd2appzd2l3245z00zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_tracezd2nodezd2appzd2ly3276zd2zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_findzd2lastzd2nodezd2setzd2e3264z00zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_tracezd2nodezd2condition3286z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_tracezd2nodezd2letzd2fun3292zd2zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_tracezd2nodezd2sequence3272z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_tracezd2nodezd2app3274z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_findzd2lastzd2nodezd2setq3252zd2zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	static obj_t BGl_findzd2lastzd2nodezd2letzd2v3260z00zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_tracezd2nodezd2letzd2var3294zd2zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_tracezd2nodezd2boxzd2setz123304zc0zztrace_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2lastzd2nodezd2app3243zd2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_tracezd2nodezd2select3290z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_toplevelzd2tracezd2nodezd23309zd2zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2tracezd2nodezd23311zd2zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_findzd2lastzd2nodezd2selec3258zd2zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_tracezd2nodezd2setzd2exzd2it3296z00zztrace_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2lastzd2nodezd2fail3256zd2zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static obj_t BGl_findzd2lastzd2nodezd2funca3248zd2zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl__findzd2lastzd2nodezd2defau3238zd2zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_za2bmemzd2profilingza2zd2zzengine_paramz00;
	static obj_t BGl_tracezd2nodezd2makezd2box3300zd2zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl__findzd2lastzd2node3800z00zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_findzd2lastzd2nodezd2seque3241zd2zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl__toplevelzd2tracezd2node3799z00zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_findzd2lastzd2nodezd2condi3254zd2zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_tracezd2nodezd2cast3282z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl__tracezd2nodezd2default3267z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl__toplevelzd2tracezd2nodezd23305zd2zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_tracezd2nodezd2funcall3278z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_tracezd2nodezd2setq3284z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl__tracezd2node3801zd2zztrace_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl__tracezd2walkz12zc0zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_findzd2lastzd2nodezd2jumpzd23266z00zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_findzd2lastzd2nodezd2exter3250zd2zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_tracezd2nodezd2boxzd2ref3302zd2zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_tracezd2nodezd2fail3288z00zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[15];


	   
		 
		DEFINE_STRING(BGl_string3802z00zztrace_walkz00,
		BgL_bgl_string3802za700za7za7t3849za7, "Trace", 5);
	      DEFINE_STRING(BGl_string3803z00zztrace_walkz00,
		BgL_bgl_string3803za700za7za7t3850za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3804z00zztrace_walkz00,
		BgL_bgl_string3804za700za7za7t3851za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3805z00zztrace_walkz00,
		BgL_bgl_string3805za700za7za7t3852za7, " error", 6);
	      DEFINE_STRING(BGl_string3806z00zztrace_walkz00,
		BgL_bgl_string3806za700za7za7t3853za7, "s", 1);
	      DEFINE_STRING(BGl_string3807z00zztrace_walkz00,
		BgL_bgl_string3807za700za7za7t3854za7, "", 0);
	      DEFINE_STRING(BGl_string3808z00zztrace_walkz00,
		BgL_bgl_string3808za700za7za7t3855za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3810z00zztrace_walkz00,
		BgL_bgl_string3810za700za7za7t3856za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string3809z00zztrace_walkz00,
		BgL_bgl_string3809za700za7za7t3857za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3811z00zztrace_walkz00,
		BgL_bgl_string3811za700za7za7t3858za7, "%import@", 8);
	      DEFINE_STRING(BGl_string3812z00zztrace_walkz00,
		BgL_bgl_string3812za700za7za7t3859za7, ", ~a:~a", 7);
	      DEFINE_STRING(BGl_string3845z00zztrace_walkz00,
		BgL_bgl_string3845za700za7za7t3860za7, "trace_walk", 10);
	      DEFINE_STRING(BGl_string3846z00zztrace_walkz00,
		BgL_bgl_string3846za700za7za7t3861za7,
		"done value ($pop-trace) $pop-trace $push-trace quote let location |:| symbol aux no-trace imported-modules-init toplevel-init pass-started ",
		139);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_tracezd2nodezd2default3267zd2envzd2zztrace_walkz00,
		BgL_bgl__traceza7d2nodeza7d23862z00,
		BGl__tracezd2nodezd2default3267z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl__traceza7d2node3803863za7, BGl__tracezd2node3801zd2zztrace_walkz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_findzd2lastzd2nodezd2defau3238zd2envz00zztrace_walkz00,
		BgL_bgl__findza7d2lastza7d2n3864z00,
		BGl__findzd2lastzd2nodezd2defau3238zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_toplevelzd2tracezd2nodezd23305zd2envz00zztrace_walkz00,
		BgL_bgl__toplevelza7d2trac3865za7,
		BGl__toplevelzd2tracezd2nodezd23305zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl__findza7d2lastza7d2n3866z00,
		BGl__findzd2lastzd2node3800z00zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl__toplevelza7d2trac3867za7,
		BGl__toplevelzd2tracezd2node3799z00zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl__traceza7d2walkza7123868z00, BGl__tracezd2walkz12zc0zztrace_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3813z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3869z00,
		BGl_findzd2lastzd2nodezd2seque3241zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3814z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3870z00,
		BGl_findzd2lastzd2nodezd2app3243zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3815z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3871z00,
		BGl_findzd2lastzd2nodezd2appzd2l3245z00zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3816z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3872z00,
		BGl_findzd2lastzd2nodezd2funca3248zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3817z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3873z00,
		BGl_findzd2lastzd2nodezd2exter3250zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3818z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3874z00,
		BGl_findzd2lastzd2nodezd2setq3252zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3820z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3875z00,
		BGl_findzd2lastzd2nodezd2fail3256zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3819z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3876z00,
		BGl_findzd2lastzd2nodezd2condi3254zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3821z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3877z00,
		BGl_findzd2lastzd2nodezd2selec3258zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3822z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3878z00,
		BGl_findzd2lastzd2nodezd2letzd2v3260z00zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3823z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3879z00,
		BGl_findzd2lastzd2nodezd2letzd2f3262z00zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3824z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3880z00,
		BGl_findzd2lastzd2nodezd2setzd2e3264z00zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3825z00zztrace_walkz00,
		BgL_bgl_findza7d2lastza7d2no3881z00,
		BGl_findzd2lastzd2nodezd2jumpzd23266z00zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3826z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2s3882z00,
		BGl_tracezd2nodezd2sequence3272z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3827z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2a3883z00,
		BGl_tracezd2nodezd2app3274z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3828z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2a3884z00,
		BGl_tracezd2nodezd2appzd2ly3276zd2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3830z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2e3885z00,
		BGl_tracezd2nodezd2extern3280z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3829z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2f3886z00,
		BGl_tracezd2nodezd2funcall3278z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3831z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2c3887z00,
		BGl_tracezd2nodezd2cast3282z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3832z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2s3888z00,
		BGl_tracezd2nodezd2setq3284z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3833z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2c3889z00,
		BGl_tracezd2nodezd2condition3286z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3834z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2f3890z00,
		BGl_tracezd2nodezd2fail3288z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3835z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2s3891z00,
		BGl_tracezd2nodezd2select3290z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3836z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2l3892z00,
		BGl_tracezd2nodezd2letzd2fun3292zd2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3837z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2l3893z00,
		BGl_tracezd2nodezd2letzd2var3294zd2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3838z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2s3894z00,
		BGl_tracezd2nodezd2setzd2exzd2it3296z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3840z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2m3895z00,
		BGl_tracezd2nodezd2makezd2box3300zd2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3839z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2j3896z00,
		BGl_tracezd2nodezd2jumpzd2exzd2i3298z00zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3841z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2b3897z00,
		BGl_tracezd2nodezd2boxzd2ref3302zd2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3842z00zztrace_walkz00,
		BgL_bgl_traceza7d2nodeza7d2b3898z00,
		BGl_tracezd2nodezd2boxzd2setz123304zc0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3843z00zztrace_walkz00,
		BgL_bgl_toplevelza7d2trace3899za7,
		BGl_toplevelzd2tracezd2nodezd23309zd2zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3844z00zztrace_walkz00,
		BgL_bgl_toplevelza7d2trace3900za7,
		BGl_toplevelzd2tracezd2nodezd23311zd2zztrace_walkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_3452, char *BgL_fromz00_3453)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_3440;

				BgL_cportz00_3440 =
					bgl_open_input_string(BGl_string3846z00zztrace_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3441;

					BgL_iz00_3441 = ((long) 14);
				BgL_loopz00_3442:
					if ((BgL_iz00_3441 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg3848z00_3444;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_3446;

										BgL_locationz00_3446 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg3848z00_3444 =
												BGl_readz00zz__readerz00(BgL_cportz00_3440,
												BgL_locationz00_3446);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_auxz00_3477;

									BgL_auxz00_3477 = (int) (BgL_iz00_3441);
									CNST_TABLE_SET(BgL_auxz00_3477, BgL_arg3848z00_3444);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_3447;

								BgL_auxz00_3447 = (int) ((BgL_iz00_3441 - ((long) 1)));
								{
									long BgL_iz00_3482;

									BgL_iz00_3482 = (long) (BgL_auxz00_3447);
									BgL_iz00_3441 = BgL_iz00_3482;
									goto BgL_loopz00_3442;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_15)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 36 */
			{	/* Trace/walk.scm 37 */
				obj_t BgL_list3321z00_915;

				{	/* Trace/walk.scm 37 */
					obj_t BgL_arg3323z00_917;

					{	/* Trace/walk.scm 37 */
						obj_t BgL_arg3325z00_919;

						BgL_arg3325z00_919 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3323z00_917 =
							MAKE_PAIR(BGl_string3802z00zztrace_walkz00, BgL_arg3325z00_919);
					}
					BgL_list3321z00_915 =
						MAKE_PAIR(BGl_string3803z00zztrace_walkz00, BgL_arg3323z00_917);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3321z00_915);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3802z00zztrace_walkz00;
			{
				obj_t BgL_hooksz00_923;

				obj_t BgL_hnamesz00_924;

				BgL_hooksz00_923 = BNIL;
				BgL_hnamesz00_924 = BNIL;
			BgL_zc3anonymousza33326ze3z83_925:
				if (NULLP(BgL_hooksz00_923))
					{	/* Trace/walk.scm 37 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Trace/walk.scm 37 */
						bool_t BgL_testz00_3494;

						{	/* Trace/walk.scm 37 */
							obj_t BgL_fun3334z00_933;

							BgL_fun3334z00_933 = CAR(BgL_hooksz00_923);
							BgL_testz00_3494 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3334z00_933) (BgL_fun3334z00_933,
									BEOA));
						}
						if (BgL_testz00_3494)
							{
								obj_t BgL_hnamesz00_3501;

								obj_t BgL_hooksz00_3499;

								BgL_hooksz00_3499 = CDR(BgL_hooksz00_923);
								BgL_hnamesz00_3501 = CDR(BgL_hnamesz00_924);
								BgL_hnamesz00_924 = BgL_hnamesz00_3501;
								BgL_hooksz00_923 = BgL_hooksz00_3499;
								goto BgL_zc3anonymousza33326ze3z83_925;
							}
						else
							{	/* Trace/walk.scm 37 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3802z00zztrace_walkz00,
									BGl_string3804z00zztrace_walkz00, CAR(BgL_hnamesz00_924));
							}
					}
			}
			{	/* Trace/walk.scm 43 */
				obj_t BgL_idz00_936;

				BgL_idz00_936 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 43 */
					obj_t BgL_gloz00_937;

					{	/* Trace/walk.scm 44 */
						obj_t BgL_list3339z00_942;

						BgL_list3339z00_942 =
							MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_937 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_936,
							BgL_list3339z00_942);
					}
					{	/* Trace/walk.scm 44 */

						if (BGl_iszd2azf3z21zz__objectz00(BgL_gloz00_937,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 46 */
								BgL_valuez00_bglt BgL_instance3189z00_939;

								{
									BgL_variablez00_bglt BgL_auxz00_3510;

									BgL_auxz00_3510 = (BgL_variablez00_bglt) (BgL_gloz00_937);
									BgL_instance3189z00_939 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_3510))->
										BgL_valuez00);
								}
								{	/* Trace/walk.scm 47 */
									BgL_nodez00_bglt BgL_arg3337z00_940;

									{	/* Trace/walk.scm 47 */
										obj_t BgL_arg3338z00_941;

										{
											BgL_sfunz00_bglt BgL_auxz00_3513;

											BgL_auxz00_3513 =
												(BgL_sfunz00_bglt) (BgL_instance3189z00_939);
											BgL_arg3338z00_941 =
												(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3513))->
												BgL_bodyz00);
										}
										{	/* Trace/walk.scm 47 */
											BgL_nodez00_bglt BgL_res3679z00_1861;

											{	/* Trace/walk.scm 47 */
												BgL_nodez00_bglt BgL_nodez00_1835;

												BgL_nodez00_1835 =
													(BgL_nodez00_bglt) (BgL_arg3338z00_941);
												{	/* Trace/walk.scm 47 */
													obj_t BgL_method3307z00_1836;

													{	/* Trace/walk.scm 47 */
														BgL_objectz00_bglt BgL_objz00_1837;

														BgL_objz00_1837 =
															(BgL_objectz00_bglt) (BgL_nodez00_1835);
														{	/* Trace/walk.scm 47 */
															long BgL_objzd2classzd2numz00_1838;

															BgL_objzd2classzd2numz00_1838 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1837);
															{	/* Trace/walk.scm 47 */
																obj_t BgL_arg2422z00_1839;

																BgL_arg2422z00_1839 =
																	PROCEDURE_REF
																	(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
																	(int) (((long) 1)));
																{	/* Trace/walk.scm 47 */
																	obj_t BgL_arrayz00_1841;

																	int BgL_offsetz00_1842;

																	BgL_arrayz00_1841 = BgL_arg2422z00_1839;
																	BgL_offsetz00_1842 =
																		(int) (BgL_objzd2classzd2numz00_1838);
																	{	/* Trace/walk.scm 47 */
																		long BgL_offsetz00_1843;

																		BgL_offsetz00_1843 =
																			(
																			(long) (BgL_offsetz00_1842) -
																			OBJECT_TYPE);
																		{	/* Trace/walk.scm 47 */
																			long BgL_modz00_1844;

																			{	/* Trace/walk.scm 47 */
																				int BgL_arg2424z00_1845;

																				BgL_arg2424z00_1845 =
																					(int) (((long) 8));
																				{	/* Trace/walk.scm 47 */
																					long BgL_auxz00_3525;

																					BgL_auxz00_3525 =
																						(long) (BgL_arg2424z00_1845);
																					BgL_modz00_1844 =
																						(BgL_offsetz00_1843 /
																						BgL_auxz00_3525);
																			}}
																			{	/* Trace/walk.scm 47 */
																				long BgL_restz00_1846;

																				{	/* Trace/walk.scm 47 */
																					int BgL_arg2423z00_1847;

																					BgL_arg2423z00_1847 =
																						(int) (((long) 8));
																					{	/* Trace/walk.scm 47 */
																						long BgL_auxz00_3529;

																						BgL_auxz00_3529 =
																							(long) (BgL_arg2423z00_1847);
																						BgL_restz00_1846 =
																							(BgL_offsetz00_1843 %
																							BgL_auxz00_3529);
																				}}
																				{	/* Trace/walk.scm 47 */

																					BgL_method3307z00_1836 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1841,
																							(int) (BgL_modz00_1844)),
																						(int) (BgL_restz00_1846));
													}}}}}}}}
													BgL_res3679z00_1861 =
														(BgL_nodez00_bglt) (PROCEDURE_ENTRY
														(BgL_method3307z00_1836) (BgL_method3307z00_1836,
															(obj_t) (BgL_nodez00_1835), BEOA));
											}}
											BgL_arg3337z00_940 = BgL_res3679z00_1861;
									}}
									{
										obj_t BgL_auxz00_3542;

										BgL_sfunz00_bglt BgL_auxz00_3540;

										BgL_auxz00_3542 = (obj_t) (BgL_arg3337z00_940);
										BgL_auxz00_3540 =
											(BgL_sfunz00_bglt) (BgL_instance3189z00_939);
										((((BgL_sfunz00_bglt) CREF(BgL_auxz00_3540))->BgL_bodyz00) =
											((obj_t) BgL_auxz00_3542), BUNSPEC);
							}}}
						else
							{	/* Trace/walk.scm 45 */
								BFALSE;
							}
					}
				}
			}
			{
				obj_t BgL_l3226z00_944;

				BgL_l3226z00_944 = BgL_globalsz00_15;
			BgL_zc3anonymousza33340ze3z83_945:
				if (PAIRP(BgL_l3226z00_944))
					{	/* Trace/walk.scm 49 */
						BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l3226z00_944), BNIL);
						{
							obj_t BgL_l3226z00_3549;

							BgL_l3226z00_3549 = CDR(BgL_l3226z00_944);
							BgL_l3226z00_944 = BgL_l3226z00_3549;
							goto BgL_zc3anonymousza33340ze3z83_945;
						}
					}
				else
					{	/* Trace/walk.scm 49 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 50 */
					{	/* Trace/walk.scm 50 */
						obj_t BgL_port3228z00_952;

						{	/* Trace/walk.scm 50 */
							obj_t BgL_res3680z00_1870;

							{	/* Trace/walk.scm 50 */
								obj_t BgL_auxz00_3554;

								BgL_auxz00_3554 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res3680z00_1870 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3554);
							}
							BgL_port3228z00_952 = BgL_res3680z00_1870;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port3228z00_952);
						bgl_display_string(BGl_string3805z00zztrace_walkz00,
							BgL_port3228z00_952);
						{	/* Trace/walk.scm 50 */
							obj_t BgL_arg3344z00_953;

							{	/* Trace/walk.scm 50 */
								bool_t BgL_testz00_3559;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 50 */
										BgL_testz00_3559 =
											BGl_2ze3ze3zz__r4_numbers_6_5z00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BINT(((long) 1)));
									}
								else
									{	/* Trace/walk.scm 50 */
										BgL_testz00_3559 = ((bool_t) 0);
									}
								if (BgL_testz00_3559)
									{	/* Trace/walk.scm 50 */
										BgL_arg3344z00_953 = BGl_string3806z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 50 */
										BgL_arg3344z00_953 = BGl_string3807z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg3344z00_953, BgL_port3228z00_952);
						}
						bgl_display_string(BGl_string3808z00zztrace_walkz00,
							BgL_port3228z00_952);
						bgl_display_char(((unsigned char) '\n'), BgL_port3228z00_952);
					}
					{	/* Trace/walk.scm 50 */
						obj_t BgL_list3347z00_956;

						BgL_list3347z00_956 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list3347z00_956);
					}
				}
			else
				{
					obj_t BgL_hooksz00_960;

					obj_t BgL_hnamesz00_961;

					BgL_hooksz00_960 = BNIL;
					BgL_hnamesz00_961 = BNIL;
				BgL_zc3anonymousza33348ze3z83_962:
					if (NULLP(BgL_hooksz00_960))
						{	/* Trace/walk.scm 50 */
							return BgL_globalsz00_15;
						}
					else
						{	/* Trace/walk.scm 50 */
							bool_t BgL_testz00_3572;

							{	/* Trace/walk.scm 50 */
								obj_t BgL_fun3355z00_969;

								BgL_fun3355z00_969 = CAR(BgL_hooksz00_960);
								BgL_testz00_3572 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun3355z00_969) (BgL_fun3355z00_969,
										BEOA));
							}
							if (BgL_testz00_3572)
								{
									obj_t BgL_hnamesz00_3579;

									obj_t BgL_hooksz00_3577;

									BgL_hooksz00_3577 = CDR(BgL_hooksz00_960);
									BgL_hnamesz00_3579 = CDR(BgL_hnamesz00_961);
									BgL_hnamesz00_961 = BgL_hnamesz00_3579;
									BgL_hooksz00_960 = BgL_hooksz00_3577;
									goto BgL_zc3anonymousza33348ze3z83_962;
								}
							else
								{	/* Trace/walk.scm 50 */
									obj_t BgL_arg3354z00_968;

									BgL_arg3354z00_968 = CAR(BgL_hnamesz00_961);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string3809z00zztrace_walkz00, BgL_arg3354z00_968);
								}
						}
				}
		}
	}



/* _trace-walk! */
	obj_t BGl__tracezd2walkz12zc0zztrace_walkz00(obj_t BgL_envz00_3310,
		obj_t BgL_globalsz00_3311)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 36 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_3311);
		}
	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_variablez00_16)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 61 */
			{	/* Trace/walk.scm 63 */
				bool_t BgL_testz00_3584;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_variablez00_16,
						BGl_globalz00zzast_varz00))
					{	/* Trace/walk.scm 64 */
						obj_t BgL_auxz00_3587;

						{
							BgL_variablez00_bglt BgL_auxz00_3588;

							BgL_auxz00_3588 = (BgL_variablez00_bglt) (BgL_variablez00_16);
							BgL_auxz00_3587 =
								(((BgL_variablez00_bglt) CREF(BgL_auxz00_3588))->BgL_idz00);
						}
						BgL_testz00_3584 = (BgL_auxz00_3587 == CNST_TABLE_REF(((long) 1)));
					}
				else
					{	/* Trace/walk.scm 63 */
						BgL_testz00_3584 = ((bool_t) 0);
					}
				if (BgL_testz00_3584)
					{	/* Trace/walk.scm 65 */
						obj_t BgL_arg3358z00_973;

						{	/* Trace/walk.scm 65 */
							obj_t BgL_arg3359z00_974;

							obj_t BgL_arg3360z00_975;

							BgL_arg3359z00_974 =
								SYMBOL_TO_STRING(string_to_symbol(BSTRING_TO_STRING
									(BGl_string3810z00zztrace_walkz00)));
							{	/* Trace/walk.scm 65 */
								obj_t BgL_arg3364z00_979;

								{
									BgL_globalz00_bglt BgL_auxz00_3596;

									BgL_auxz00_3596 = (BgL_globalz00_bglt) (BgL_variablez00_16);
									BgL_arg3364z00_979 =
										(((BgL_globalz00_bglt) CREF(BgL_auxz00_3596))->
										BgL_modulez00);
								}
								BgL_arg3360z00_975 = SYMBOL_TO_STRING(BgL_arg3364z00_979);
							}
							{	/* Trace/walk.scm 65 */
								obj_t BgL_list3361z00_976;

								{	/* Trace/walk.scm 65 */
									obj_t BgL_arg3362z00_977;

									BgL_arg3362z00_977 = MAKE_PAIR(BgL_arg3360z00_975, BNIL);
									BgL_list3361z00_976 =
										MAKE_PAIR(BgL_arg3359z00_974, BgL_arg3362z00_977);
								}
								BgL_arg3358z00_973 =
									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
									(BgL_list3361z00_976);
							}
						}
						return string_to_symbol(BSTRING_TO_STRING(BgL_arg3358z00_973));
					}
				else
					{	/* Trace/walk.scm 66 */
						bool_t BgL_testz00_3605;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_variablez00_16,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 67 */
								obj_t BgL_auxz00_3608;

								{
									BgL_variablez00_bglt BgL_auxz00_3609;

									BgL_auxz00_3609 = (BgL_variablez00_bglt) (BgL_variablez00_16);
									BgL_auxz00_3608 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_3609))->BgL_idz00);
								}
								BgL_testz00_3605 =
									(BgL_auxz00_3608 == CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Trace/walk.scm 66 */
								BgL_testz00_3605 = ((bool_t) 0);
							}
						if (BgL_testz00_3605)
							{	/* Trace/walk.scm 68 */
								obj_t BgL_arg3366z00_981;

								{	/* Trace/walk.scm 68 */
									obj_t BgL_arg3367z00_982;

									obj_t BgL_arg3368z00_983;

									BgL_arg3367z00_982 =
										SYMBOL_TO_STRING(string_to_symbol(BSTRING_TO_STRING
											(BGl_string3811z00zztrace_walkz00)));
									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg3372z00_987;

										{
											BgL_globalz00_bglt BgL_auxz00_3617;

											BgL_auxz00_3617 =
												(BgL_globalz00_bglt) (BgL_variablez00_16);
											BgL_arg3372z00_987 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_3617))->
												BgL_modulez00);
										}
										BgL_arg3368z00_983 = SYMBOL_TO_STRING(BgL_arg3372z00_987);
									}
									{	/* Trace/walk.scm 68 */
										obj_t BgL_list3369z00_984;

										{	/* Trace/walk.scm 68 */
											obj_t BgL_arg3370z00_985;

											BgL_arg3370z00_985 = MAKE_PAIR(BgL_arg3368z00_983, BNIL);
											BgL_list3369z00_984 =
												MAKE_PAIR(BgL_arg3367z00_982, BgL_arg3370z00_985);
										}
										BgL_arg3366z00_981 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list3369z00_984);
									}
								}
								return string_to_symbol(BSTRING_TO_STRING(BgL_arg3366z00_981));
							}
						else
							{
								BgL_variablez00_bglt BgL_auxz00_3626;

								BgL_auxz00_3626 = (BgL_variablez00_bglt) (BgL_variablez00_16);
								return
									(((BgL_variablez00_bglt) CREF(BgL_auxz00_3626))->BgL_idz00);
							}
					}
			}
		}
	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_17,
		obj_t BgL_stackz00_18)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 78 */
			{	/* Trace/walk.scm 79 */
				BgL_valuez00_bglt BgL_funz00_994;

				{
					BgL_variablez00_bglt BgL_auxz00_3629;

					BgL_auxz00_3629 = (BgL_variablez00_bglt) (BgL_varz00_17);
					BgL_funz00_994 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_3629))->BgL_valuez00);
				}
				{	/* Trace/walk.scm 79 */
					obj_t BgL_bodyz00_995;

					{
						BgL_sfunz00_bglt BgL_auxz00_3632;

						BgL_auxz00_3632 = (BgL_sfunz00_bglt) (BgL_funz00_994);
						BgL_bodyz00_995 =
							(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3632))->BgL_bodyz00);
					}
					{	/* Trace/walk.scm 80 */
						BgL_typez00_bglt BgL_typez00_996;

						{
							BgL_variablez00_bglt BgL_auxz00_3635;

							BgL_auxz00_3635 = (BgL_variablez00_bglt) (BgL_varz00_17);
							BgL_typez00_996 =
								(((BgL_variablez00_bglt) CREF(BgL_auxz00_3635))->BgL_typez00);
						}
						{	/* Trace/walk.scm 81 */
							obj_t BgL_llocz00_997;

							if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_17,
									BGl_globalz00zzast_varz00))
								{	/* Trace/walk.scm 83 */
									obj_t BgL_arg3392z00_1014;

									{	/* Trace/walk.scm 83 */
										obj_t BgL_auxz00_3640;

										{
											BgL_globalz00_bglt BgL_auxz00_3641;

											BgL_auxz00_3641 = (BgL_globalz00_bglt) (BgL_varz00_17);
											BgL_auxz00_3640 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_3641))->
												BgL_srcz00);
										}
										BgL_arg3392z00_1014 =
											BGl_findzd2lastzd2sexpz00zztrace_walkz00(BgL_auxz00_3640);
									}
									BgL_llocz00_997 =
										BGl_findzd2locationzd2zztools_locationz00
										(BgL_arg3392z00_1014);
								}
							else
								{	/* Trace/walk.scm 84 */
									obj_t BgL_arg3394z00_1016;

									{	/* Trace/walk.scm 84 */
										BgL_nodez00_bglt BgL_nodez00_1903;

										BgL_nodez00_1903 = (BgL_nodez00_bglt) (BgL_bodyz00_995);
										{	/* Trace/walk.scm 84 */
											obj_t BgL_method3239z00_1904;

											{	/* Trace/walk.scm 84 */
												BgL_objectz00_bglt BgL_objz00_1905;

												BgL_objz00_1905 =
													(BgL_objectz00_bglt) (BgL_nodez00_1903);
												{	/* Trace/walk.scm 84 */
													long BgL_objzd2classzd2numz00_1906;

													BgL_objzd2classzd2numz00_1906 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1905);
													{	/* Trace/walk.scm 84 */
														obj_t BgL_arg2422z00_1907;

														BgL_arg2422z00_1907 =
															PROCEDURE_REF
															(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
															(int) (((long) 1)));
														{	/* Trace/walk.scm 84 */
															obj_t BgL_arrayz00_1909;

															int BgL_offsetz00_1910;

															BgL_arrayz00_1909 = BgL_arg2422z00_1907;
															BgL_offsetz00_1910 =
																(int) (BgL_objzd2classzd2numz00_1906);
															{	/* Trace/walk.scm 84 */
																long BgL_offsetz00_1911;

																BgL_offsetz00_1911 =
																	((long) (BgL_offsetz00_1910) - OBJECT_TYPE);
																{	/* Trace/walk.scm 84 */
																	long BgL_modz00_1912;

																	{	/* Trace/walk.scm 84 */
																		int BgL_arg2424z00_1913;

																		BgL_arg2424z00_1913 = (int) (((long) 8));
																		{	/* Trace/walk.scm 84 */
																			long BgL_auxz00_3655;

																			BgL_auxz00_3655 =
																				(long) (BgL_arg2424z00_1913);
																			BgL_modz00_1912 =
																				(BgL_offsetz00_1911 / BgL_auxz00_3655);
																	}}
																	{	/* Trace/walk.scm 84 */
																		long BgL_restz00_1914;

																		{	/* Trace/walk.scm 84 */
																			int BgL_arg2423z00_1915;

																			BgL_arg2423z00_1915 = (int) (((long) 8));
																			{	/* Trace/walk.scm 84 */
																				long BgL_auxz00_3659;

																				BgL_auxz00_3659 =
																					(long) (BgL_arg2423z00_1915);
																				BgL_restz00_1914 =
																					(BgL_offsetz00_1911 %
																					BgL_auxz00_3659);
																		}}
																		{	/* Trace/walk.scm 84 */

																			BgL_method3239z00_1904 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1909,
																					(int) (BgL_modz00_1912)),
																				(int) (BgL_restz00_1914));
											}}}}}}}}
											BgL_arg3394z00_1016 =
												PROCEDURE_ENTRY(BgL_method3239z00_1904)
												(BgL_method3239z00_1904, (obj_t) (BgL_nodez00_1903),
												BEOA);
									}}
									{
										BgL_nodez00_bglt BgL_auxz00_3669;

										BgL_auxz00_3669 = (BgL_nodez00_bglt) (BgL_arg3394z00_1016);
										BgL_llocz00_997 =
											(((BgL_nodez00_bglt) CREF(BgL_auxz00_3669))->BgL_locz00);
								}}
							{	/* Trace/walk.scm 82 */

								{	/* Trace/walk.scm 85 */
									bool_t BgL_testz00_3672;

									{	/* Trace/walk.scm 85 */
										bool_t BgL_testz00_3673;

										{	/* Trace/walk.scm 85 */
											BgL_funz00_bglt BgL_obj1654z00_1930;

											BgL_obj1654z00_1930 = (BgL_funz00_bglt) (BgL_funz00_994);
											BgL_testz00_3673 =
												CBOOL(
												(((BgL_funz00_bglt) CREF(BgL_obj1654z00_1930))->
													BgL_predicatezd2ofzd2));
										}
										if (BgL_testz00_3673)
											{	/* Trace/walk.scm 85 */
												BgL_testz00_3672 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 86 */
												bool_t BgL_testz00_3677;

												{	/* Trace/walk.scm 86 */
													obj_t BgL_auxz00_3678;

													{	/* Trace/walk.scm 86 */
														obj_t BgL_auxz00_3679;

														{
															BgL_sfunz00_bglt BgL_auxz00_3681;

															BgL_auxz00_3681 =
																(BgL_sfunz00_bglt) (BgL_funz00_994);
															BgL_auxz00_3679 =
																(((BgL_sfunz00_bglt) CREF(BgL_auxz00_3681))->
																BgL_propertyz00);
														}
														BgL_auxz00_3678 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(CNST_TABLE_REF(((long) 3)), BgL_auxz00_3679);
													}
													BgL_testz00_3677 = CBOOL(BgL_auxz00_3678);
												}
												if (BgL_testz00_3677)
													{	/* Trace/walk.scm 86 */
														BgL_testz00_3672 = ((bool_t) 0);
													}
												else
													{	/* Trace/walk.scm 86 */
														BgL_testz00_3672 = ((bool_t) 1);
													}
											}
									}
									if (BgL_testz00_3672)
										{	/* Trace/walk.scm 85 */
											BGl_enterzd2functionzd2zztools_errorz00
												(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_17));
											{	/* Trace/walk.scm 89 */
												obj_t BgL_newzd2bodyzd2_1000;

												{	/* Trace/walk.scm 89 */
													bool_t BgL_testz00_3688;

													if (
														((long)
															CINT
															(BGl_za2compilerzd2debugza2zd2zzengine_paramz00)
															>= ((long) 3)))
														{	/* Trace/walk.scm 89 */
															BgL_testz00_3688 = ((bool_t) 1);
														}
													else
														{	/* Trace/walk.scm 89 */
															if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_17,
																	BGl_globalz00zzast_varz00))
																{	/* Trace/walk.scm 91 */
																	obj_t BgL_auxz00_3694;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3695;

																		BgL_auxz00_3695 =
																			(BgL_variablez00_bglt) (BgL_varz00_17);
																		BgL_auxz00_3694 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_3695))->BgL_idz00);
																	}
																	BgL_testz00_3688 =
																		(BgL_auxz00_3694 ==
																		CNST_TABLE_REF(((long) 1)));
																}
															else
																{	/* Trace/walk.scm 90 */
																	BgL_testz00_3688 = ((bool_t) 0);
																}
														}
													if (BgL_testz00_3688)
														{	/* Trace/walk.scm 100 */
															obj_t BgL_arg3383z00_1004;

															BgL_arg3383z00_1004 =
																MAKE_PAIR(BgL_varz00_17, BgL_stackz00_18);
															{	/* Trace/walk.scm 100 */
																BgL_nodez00_bglt BgL_res3686z00_1963;

																{	/* Trace/walk.scm 100 */
																	BgL_nodez00_bglt BgL_nodez00_1936;

																	BgL_nodez00_1936 =
																		(BgL_nodez00_bglt) (BgL_bodyz00_995);
																	{	/* Trace/walk.scm 100 */
																		obj_t BgL_method3270z00_1938;

																		{	/* Trace/walk.scm 100 */
																			BgL_objectz00_bglt BgL_objz00_1939;

																			BgL_objz00_1939 =
																				(BgL_objectz00_bglt) (BgL_nodez00_1936);
																			{	/* Trace/walk.scm 100 */
																				long BgL_objzd2classzd2numz00_1940;

																				BgL_objzd2classzd2numz00_1940 =
																					BGL_OBJECT_CLASS_NUM(BgL_objz00_1939);
																				{	/* Trace/walk.scm 100 */
																					obj_t BgL_arg2422z00_1941;

																					BgL_arg2422z00_1941 =
																						PROCEDURE_REF
																						(BGl_tracezd2nodezd2envz00zztrace_walkz00,
																						(int) (((long) 1)));
																					{	/* Trace/walk.scm 100 */
																						obj_t BgL_arrayz00_1943;

																						int BgL_offsetz00_1944;

																						BgL_arrayz00_1943 =
																							BgL_arg2422z00_1941;
																						BgL_offsetz00_1944 =
																							(int)
																							(BgL_objzd2classzd2numz00_1940);
																						{	/* Trace/walk.scm 100 */
																							long BgL_offsetz00_1945;

																							BgL_offsetz00_1945 =
																								(
																								(long) (BgL_offsetz00_1944) -
																								OBJECT_TYPE);
																							{	/* Trace/walk.scm 100 */
																								long BgL_modz00_1946;

																								{	/* Trace/walk.scm 100 */
																									int BgL_arg2424z00_1947;

																									BgL_arg2424z00_1947 =
																										(int) (((long) 8));
																									{	/* Trace/walk.scm 100 */
																										long BgL_auxz00_3710;

																										BgL_auxz00_3710 =
																											(long)
																											(BgL_arg2424z00_1947);
																										BgL_modz00_1946 =
																											(BgL_offsetz00_1945 /
																											BgL_auxz00_3710);
																								}}
																								{	/* Trace/walk.scm 100 */
																									long BgL_restz00_1948;

																									{	/* Trace/walk.scm 100 */
																										int BgL_arg2423z00_1949;

																										BgL_arg2423z00_1949 =
																											(int) (((long) 8));
																										{	/* Trace/walk.scm 100 */
																											long BgL_auxz00_3714;

																											BgL_auxz00_3714 =
																												(long)
																												(BgL_arg2423z00_1949);
																											BgL_restz00_1948 =
																												(BgL_offsetz00_1945 %
																												BgL_auxz00_3714);
																									}}
																									{	/* Trace/walk.scm 100 */

																										BgL_method3270z00_1938 =
																											VECTOR_REF(VECTOR_REF
																											(BgL_arrayz00_1943,
																												(int)
																												(BgL_modz00_1946)),
																											(int) (BgL_restz00_1948));
																		}}}}}}}}
																		BgL_res3686z00_1963 =
																			(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																			(BgL_method3270z00_1938)
																			(BgL_method3270z00_1938,
																				(obj_t) (BgL_nodez00_1936),
																				BgL_arg3383z00_1004, BEOA));
																}}
																BgL_newzd2bodyzd2_1000 =
																	(obj_t) (BgL_res3686z00_1963);
														}}
													else
														{	/* Trace/walk.scm 89 */
															BgL_newzd2bodyzd2_1000 = BgL_bodyz00_995;
														}
												}
												{	/* Trace/walk.scm 89 */
													BgL_letzd2varzd2_bglt BgL_new2zd2bodyzd2_1001;

													BgL_new2zd2bodyzd2_1001 =
														BGl_makezd2tracedzd2nodez00zztrace_walkz00(
														(BgL_nodez00_bglt) (BgL_newzd2bodyzd2_1000),
														BgL_typez00_996,
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_17),
														BgL_llocz00_997, BgL_stackz00_18);
													{	/* Trace/walk.scm 102 */

														{
															obj_t BgL_auxz00_3731;

															BgL_sfunz00_bglt BgL_auxz00_3729;

															BgL_auxz00_3731 =
																(obj_t) (BgL_new2zd2bodyzd2_1001);
															BgL_auxz00_3729 =
																(BgL_sfunz00_bglt) (BgL_funz00_994);
															((((BgL_sfunz00_bglt) CREF(BgL_auxz00_3729))->
																	BgL_bodyz00) =
																((obj_t) BgL_auxz00_3731), BUNSPEC);
														}
														return BGl_leavezd2functionzd2zztools_errorz00();
													}
												}
											}
										}
									else
										{	/* Trace/walk.scm 85 */
											return BFALSE;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_19)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 117 */
			{
				obj_t BgL_sexpz00_1018;

				obj_t BgL_resz00_1019;

				BgL_sexpz00_1018 = BgL_sexpz00_19;
				BgL_resz00_1019 = BgL_sexpz00_19;
			BgL_zc3anonymousza33395ze3z83_1020:
				if (PAIRP(BgL_sexpz00_1018))
					{	/* Trace/walk.scm 123 */
						bool_t BgL_testz00_3737;

						{	/* Trace/walk.scm 123 */
							obj_t BgL_auxz00_3738;

							BgL_auxz00_3738 = CDR(BgL_sexpz00_1018);
							BgL_testz00_3737 = PAIRP(BgL_auxz00_3738);
						}
						if (BgL_testz00_3737)
							{
								obj_t BgL_resz00_3743;

								obj_t BgL_sexpz00_3741;

								BgL_sexpz00_3741 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1018);
								BgL_resz00_3743 = BgL_sexpz00_1018;
								BgL_resz00_1019 = BgL_resz00_3743;
								BgL_sexpz00_1018 = BgL_sexpz00_3741;
								goto BgL_zc3anonymousza33395ze3z83_1020;
							}
						else
							{
								obj_t BgL_resz00_3746;

								obj_t BgL_sexpz00_3744;

								BgL_sexpz00_3744 = CAR(BgL_sexpz00_1018);
								BgL_resz00_3746 = BgL_sexpz00_1018;
								BgL_resz00_1019 = BgL_resz00_3746;
								BgL_sexpz00_1018 = BgL_sexpz00_3744;
								goto BgL_zc3anonymousza33395ze3z83_1020;
							}
					}
				else
					{	/* Trace/walk.scm 121 */
						return BgL_resz00_1019;
					}
			}
		}
	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_35,
		BgL_typez00_bglt BgL_typez00_36, obj_t BgL_symbolz00_37,
		obj_t BgL_llocz00_38, obj_t BgL_stackz00_39)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 233 */
			{	/* Trace/walk.scm 234 */
				obj_t BgL_locz00_1027;

				BgL_locz00_1027 =
					(((BgL_nodez00_bglt) CREF(BgL_nodez00_35))->BgL_locz00);
				{	/* Trace/walk.scm 234 */
					obj_t BgL_auxz00_1028;

					BgL_auxz00_1028 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 4))));
					{	/* Trace/walk.scm 235 */
						obj_t BgL_tauxz00_1029;

						{	/* Trace/walk.scm 236 */
							obj_t BgL_arg3471z00_1102;

							BgL_arg3471z00_1102 =
								(((BgL_typez00_bglt) CREF(BgL_typez00_36))->BgL_idz00);
							BgL_tauxz00_1029 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1028,
								BgL_arg3471z00_1102);
						}
						{	/* Trace/walk.scm 236 */
							obj_t BgL_symz00_1030;

							BgL_symz00_1030 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											5))));
							{	/* Trace/walk.scm 237 */
								obj_t BgL_szb2zb2_1031;

								{	/* Trace/walk.scm 238 */
									bool_t BgL_testz00_3756;

									if (PAIRP(BgL_stackz00_39))
										{	/* Trace/walk.scm 238 */
											obj_t BgL_arg3469z00_1100;

											BgL_arg3469z00_1100 = CAR(BgL_stackz00_39);
											BgL_testz00_3756 =
												BGl_iszd2azf3z21zz__objectz00(BgL_arg3469z00_1100,
												BGl_variablez00zzast_varz00);
										}
									else
										{	/* Trace/walk.scm 238 */
											BgL_testz00_3756 = ((bool_t) 0);
										}
									if (BgL_testz00_3756)
										{	/* Trace/walk.scm 239 */
											obj_t BgL_arg3462z00_1093;

											obj_t BgL_arg3463z00_1094;

											BgL_arg3462z00_1093 = CNST_TABLE_REF(((long) 6));
											{	/* Trace/walk.scm 239 */
												BgL_variablez00_bglt BgL_obj1442z00_1976;

												{	/* Trace/walk.scm 239 */
													obj_t BgL_pairz00_1975;

													BgL_pairz00_1975 = BgL_stackz00_39;
													BgL_obj1442z00_1976 =
														(BgL_variablez00_bglt) (CAR(BgL_pairz00_1975));
												}
												BgL_arg3463z00_1094 =
													(((BgL_variablez00_bglt) CREF(BgL_obj1442z00_1976))->
													BgL_idz00);
											}
											{	/* Trace/walk.scm 239 */
												obj_t BgL_list3464z00_1095;

												{	/* Trace/walk.scm 239 */
													obj_t BgL_arg3465z00_1096;

													{	/* Trace/walk.scm 239 */
														obj_t BgL_arg3466z00_1097;

														BgL_arg3466z00_1097 =
															MAKE_PAIR(BgL_arg3463z00_1094, BNIL);
														BgL_arg3465z00_1096 =
															MAKE_PAIR(BgL_arg3462z00_1093,
															BgL_arg3466z00_1097);
													}
													BgL_list3464z00_1095 =
														MAKE_PAIR(BgL_symbolz00_37, BgL_arg3465z00_1096);
												}
												BgL_szb2zb2_1031 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list3464z00_1095);
										}}
									else
										{	/* Trace/walk.scm 238 */
											BgL_szb2zb2_1031 = BgL_symbolz00_37;
										}
								}
								{	/* Trace/walk.scm 238 */
									obj_t BgL_szb2zb2z00_1032;

									{	/* Trace/walk.scm 241 */
										bool_t BgL_testz00_3769;

										{	/* Trace/walk.scm 241 */
											bool_t BgL_testz00_3770;

											if (STRUCTP(BgL_locz00_1027))
												{	/* Trace/walk.scm 241 */
													BgL_testz00_3770 =
														(STRUCT_KEY(BgL_locz00_1027) ==
														CNST_TABLE_REF(((long) 7)));
												}
											else
												{	/* Trace/walk.scm 241 */
													BgL_testz00_3770 = ((bool_t) 0);
												}
											if (BgL_testz00_3770)
												{	/* Trace/walk.scm 241 */
													if (CBOOL
														(BGl_za2bmemzd2profilingza2zd2zzengine_paramz00))
														{	/* Trace/walk.scm 241 */
															BgL_testz00_3769 = ((bool_t) 0);
														}
													else
														{	/* Trace/walk.scm 241 */
															BgL_testz00_3769 = ((bool_t) 1);
														}
												}
											else
												{	/* Trace/walk.scm 241 */
													BgL_testz00_3769 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_3769)
											{	/* Trace/walk.scm 245 */
												obj_t BgL_slocz00_1079;

												{	/* Trace/walk.scm 245 */
													obj_t BgL_arg3456z00_1087;

													obj_t BgL_arg3457z00_1088;

													BgL_arg3456z00_1087 =
														STRUCT_REF(BgL_locz00_1027, (int) (((long) 0)));
													BgL_arg3457z00_1088 =
														STRUCT_REF(BgL_locz00_1027, (int) (((long) 2)));
													{	/* Trace/walk.scm 245 */
														obj_t BgL_list3458z00_1089;

														{	/* Trace/walk.scm 245 */
															obj_t BgL_arg3459z00_1090;

															BgL_arg3459z00_1090 =
																MAKE_PAIR(BgL_arg3457z00_1088, BNIL);
															BgL_list3458z00_1089 =
																MAKE_PAIR(BgL_arg3456z00_1087,
																BgL_arg3459z00_1090);
														}
														BgL_slocz00_1079 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string3812z00zztrace_walkz00,
															BgL_list3458z00_1089);
												}}
												{	/* Trace/walk.scm 248 */
													obj_t BgL_arg3449z00_1080;

													{	/* Trace/walk.scm 248 */
														obj_t BgL_arg3450z00_1081;

														obj_t BgL_arg3451z00_1082;

														BgL_arg3450z00_1081 =
															SYMBOL_TO_STRING(BgL_szb2zb2_1031);
														{	/* Trace/walk.scm 248 */
															obj_t BgL_arg3454z00_1085;

															{	/* Trace/walk.scm 248 */
																obj_t BgL_stringz00_1991;

																BgL_stringz00_1991 = BgL_slocz00_1079;
																BgL_arg3454z00_1085 =
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_stringz00_1991));
															}
															BgL_arg3451z00_1082 =
																SYMBOL_TO_STRING(BgL_arg3454z00_1085);
														}
														{	/* Trace/walk.scm 248 */
															obj_t BgL_list3452z00_1083;

															{	/* Trace/walk.scm 248 */
																obj_t BgL_arg3453z00_1084;

																BgL_arg3453z00_1084 =
																	MAKE_PAIR(BgL_arg3451z00_1082, BNIL);
																BgL_list3452z00_1083 =
																	MAKE_PAIR(BgL_arg3450z00_1081,
																	BgL_arg3453z00_1084);
															}
															BgL_arg3449z00_1080 =
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list3452z00_1083);
													}}
													BgL_szb2zb2z00_1032 =
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg3449z00_1080));
											}}
										else
											{	/* Trace/walk.scm 241 */
												BgL_szb2zb2z00_1032 = BgL_szb2zb2_1031;
											}
									}
									{	/* Trace/walk.scm 241 */
										obj_t BgL_expz00_1033;

										{	/* Trace/walk.scm 250 */
											obj_t BgL_arg3404z00_1037;

											obj_t BgL_arg3405z00_1038;

											BgL_arg3404z00_1037 = CNST_TABLE_REF(((long) 8));
											{	/* Trace/walk.scm 250 */
												obj_t BgL_arg3406z00_1039;

												obj_t BgL_arg3407z00_1040;

												{	/* Trace/walk.scm 250 */
													obj_t BgL_arg3412z00_1044;

													{	/* Trace/walk.scm 250 */
														obj_t BgL_arg3414z00_1046;

														{	/* Trace/walk.scm 250 */
															obj_t BgL_arg3415z00_1047;

															{	/* Trace/walk.scm 250 */
																obj_t BgL_arg3418z00_1050;

																obj_t BgL_arg3419z00_1051;

																BgL_arg3418z00_1050 =
																	CNST_TABLE_REF(((long) 9));
																{	/* Trace/walk.scm 250 */
																	obj_t BgL_list3420z00_1052;

																	BgL_list3420z00_1052 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg3419z00_1051 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_szb2zb2z00_1032, BgL_list3420z00_1052);
																}
																BgL_arg3415z00_1047 =
																	MAKE_PAIR(BgL_arg3418z00_1050,
																	BgL_arg3419z00_1051);
															}
															{	/* Trace/walk.scm 250 */
																obj_t BgL_list3417z00_1049;

																BgL_list3417z00_1049 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg3414z00_1046 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg3415z00_1047, BgL_list3417z00_1049);
														}}
														BgL_arg3412z00_1044 =
															MAKE_PAIR(BgL_symz00_1030, BgL_arg3414z00_1046);
													}
													BgL_arg3406z00_1039 =
														MAKE_PAIR(BgL_arg3412z00_1044, BNIL);
												}
												{	/* Trace/walk.scm 251 */
													obj_t BgL_arg3421z00_1053;

													obj_t BgL_arg3422z00_1054;

													BgL_arg3421z00_1053 = CNST_TABLE_REF(((long) 8));
													{	/* Trace/walk.scm 251 */
														obj_t BgL_arg3425z00_1056;

														obj_t BgL_arg3426z00_1057;

														{	/* Trace/walk.scm 252 */
															obj_t BgL_arg3431z00_1062;

															obj_t BgL_arg3432z00_1063;

															BgL_arg3431z00_1062 = CNST_TABLE_REF(((long) 10));
															{	/* Trace/walk.scm 252 */
																obj_t BgL_list3433z00_1064;

																BgL_list3433z00_1064 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg3432z00_1063 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_symz00_1030, BgL_list3433z00_1064);
															}
															BgL_arg3425z00_1056 =
																MAKE_PAIR(BgL_arg3431z00_1062,
																BgL_arg3432z00_1063);
														}
														{	/* Trace/walk.scm 253 */
															obj_t BgL_arg3434z00_1065;

															obj_t BgL_arg3435z00_1066;

															BgL_arg3434z00_1065 = CNST_TABLE_REF(((long) 8));
															{	/* Trace/walk.scm 253 */
																obj_t BgL_arg3436z00_1067;

																obj_t BgL_arg3437z00_1068;

																{	/* Trace/walk.scm 253 */
																	obj_t BgL_arg3442z00_1073;

																	{	/* Trace/walk.scm 253 */
																		obj_t BgL_arg3445z00_1075;

																		{	/* Trace/walk.scm 253 */
																			obj_t BgL_list3446z00_1076;

																			BgL_list3446z00_1076 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg3445z00_1075 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				((obj_t) (BgL_nodez00_35),
																				BgL_list3446z00_1076);
																		}
																		BgL_arg3442z00_1073 =
																			MAKE_PAIR(BgL_tauxz00_1029,
																			BgL_arg3445z00_1075);
																	}
																	BgL_arg3436z00_1067 =
																		MAKE_PAIR(BgL_arg3442z00_1073, BNIL);
																}
																{	/* Trace/walk.scm 254 */
																	bool_t BgL_testz00_3814;

																	if (STRUCTP(BgL_llocz00_38))
																		{	/* Trace/walk.scm 254 */
																			BgL_testz00_3814 =
																				(STRUCT_KEY(BgL_llocz00_38) ==
																				CNST_TABLE_REF(((long) 7)));
																		}
																	else
																		{	/* Trace/walk.scm 254 */
																			BgL_testz00_3814 = ((bool_t) 0);
																		}
																	if (BgL_testz00_3814)
																		{	/* Trace/walk.scm 255 */
																			obj_t BgL_res3689z00_2004;

																			{	/* Trace/walk.scm 255 */
																				obj_t BgL_obj1z00_2001;

																				BgL_obj1z00_2001 =
																					CNST_TABLE_REF(((long) 11));
																				BgL_res3689z00_2004 =
																					MAKE_EXTENDED_PAIR(BgL_obj1z00_2001,
																					BNIL, BgL_llocz00_38);
																			}
																			BgL_arg3437z00_1068 = BgL_res3689z00_2004;
																		}
																	else
																		{	/* Trace/walk.scm 254 */
																			BgL_arg3437z00_1068 =
																				CNST_TABLE_REF(((long) 12));
																}}
																{	/* Trace/walk.scm 253 */
																	obj_t BgL_list3439z00_1070;

																	{	/* Trace/walk.scm 253 */
																		obj_t BgL_arg3440z00_1071;

																		{	/* Trace/walk.scm 253 */
																			obj_t BgL_arg3441z00_1072;

																			BgL_arg3441z00_1072 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg3440z00_1071 =
																				MAKE_PAIR(BgL_auxz00_1028,
																				BgL_arg3441z00_1072);
																		}
																		BgL_list3439z00_1070 =
																			MAKE_PAIR(BgL_arg3437z00_1068,
																			BgL_arg3440z00_1071);
																	}
																	BgL_arg3435z00_1066 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg3436z00_1067, BgL_list3439z00_1070);
															}}
															BgL_arg3426z00_1057 =
																MAKE_PAIR(BgL_arg3434z00_1065,
																BgL_arg3435z00_1066);
														}
														{	/* Trace/walk.scm 251 */
															obj_t BgL_list3428z00_1059;

															{	/* Trace/walk.scm 251 */
																obj_t BgL_arg3429z00_1060;

																{	/* Trace/walk.scm 251 */
																	obj_t BgL_arg3430z00_1061;

																	BgL_arg3430z00_1061 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg3429z00_1060 =
																		MAKE_PAIR(BgL_arg3426z00_1057,
																		BgL_arg3430z00_1061);
																}
																BgL_list3428z00_1059 =
																	MAKE_PAIR(BgL_arg3425z00_1056,
																	BgL_arg3429z00_1060);
															}
															BgL_arg3422z00_1054 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BNIL, BgL_list3428z00_1059);
													}}
													BgL_arg3407z00_1040 =
														MAKE_PAIR(BgL_arg3421z00_1053, BgL_arg3422z00_1054);
												}
												{	/* Trace/walk.scm 250 */
													obj_t BgL_list3409z00_1042;

													{	/* Trace/walk.scm 250 */
														obj_t BgL_arg3410z00_1043;

														BgL_arg3410z00_1043 = MAKE_PAIR(BNIL, BNIL);
														BgL_list3409z00_1042 =
															MAKE_PAIR(BgL_arg3407z00_1040,
															BgL_arg3410z00_1043);
													}
													BgL_arg3405z00_1038 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3406z00_1039, BgL_list3409z00_1042);
											}}
											BgL_expz00_1033 =
												MAKE_PAIR(BgL_arg3404z00_1037, BgL_arg3405z00_1038);
										}
										{	/* Trace/walk.scm 250 */
											BgL_nodez00_bglt BgL_nodez00_1034;

											BgL_nodez00_1034 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1033,
												BNIL, BgL_locz00_1027, CNST_TABLE_REF(((long) 13)));
											{	/* Trace/walk.scm 258 */

												{	/* Trace/walk.scm 259 */
													bool_t BgL_arg3401z00_1035;

													{	/* Trace/walk.scm 259 */
														obj_t BgL_arg3402z00_1036;

														BgL_arg3402z00_1036 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														{
															BgL_backendz00_bglt BgL_auxz00_3840;

															BgL_auxz00_3840 =
																(BgL_backendz00_bglt) (BgL_arg3402z00_1036);
															BgL_arg3401z00_1035 =
																(((BgL_backendz00_bglt) CREF(BgL_auxz00_3840))->
																BgL_removezd2emptyzd2letz00);
													}}
													{
														BgL_letzd2varzd2_bglt BgL_auxz00_3843;

														BgL_auxz00_3843 =
															(BgL_letzd2varzd2_bglt) (BgL_nodez00_1034);
														((((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_3843))->
																BgL_removablezf3zf3) =
															((bool_t) BgL_arg3401z00_1035), BUNSPEC);
												}}
												return (BgL_letzd2varzd2_bglt) (BgL_nodez00_1034);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* trace-node*! */
	obj_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_78,
		obj_t BgL_stackz00_79)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 414 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_78))
				{	/* Trace/walk.scm 415 */
					return CNST_TABLE_REF(((long) 14));
				}
			else
				{	/* Trace/walk.scm 415 */
					{	/* Trace/walk.scm 418 */
						BgL_nodez00_bglt BgL_arg3474z00_1105;

						{	/* Trace/walk.scm 418 */
							obj_t BgL_arg3475z00_1106;

							BgL_arg3475z00_1106 = CAR(BgL_nodeza2za2_78);
							{	/* Trace/walk.scm 418 */
								BgL_nodez00_bglt BgL_res3692z00_2037;

								{	/* Trace/walk.scm 418 */
									BgL_nodez00_bglt BgL_nodez00_2010;

									BgL_nodez00_2010 = (BgL_nodez00_bglt) (BgL_arg3475z00_1106);
									{	/* Trace/walk.scm 418 */
										obj_t BgL_method3270z00_2012;

										{	/* Trace/walk.scm 418 */
											BgL_objectz00_bglt BgL_objz00_2013;

											BgL_objz00_2013 = (BgL_objectz00_bglt) (BgL_nodez00_2010);
											{	/* Trace/walk.scm 418 */
												long BgL_objzd2classzd2numz00_2014;

												BgL_objzd2classzd2numz00_2014 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2013);
												{	/* Trace/walk.scm 418 */
													obj_t BgL_arg2422z00_2015;

													BgL_arg2422z00_2015 =
														PROCEDURE_REF
														(BGl_tracezd2nodezd2envz00zztrace_walkz00,
														(int) (((long) 1)));
													{	/* Trace/walk.scm 418 */
														obj_t BgL_arrayz00_2017;

														int BgL_offsetz00_2018;

														BgL_arrayz00_2017 = BgL_arg2422z00_2015;
														BgL_offsetz00_2018 =
															(int) (BgL_objzd2classzd2numz00_2014);
														{	/* Trace/walk.scm 418 */
															long BgL_offsetz00_2019;

															BgL_offsetz00_2019 =
																((long) (BgL_offsetz00_2018) - OBJECT_TYPE);
															{	/* Trace/walk.scm 418 */
																long BgL_modz00_2020;

																{	/* Trace/walk.scm 418 */
																	int BgL_arg2424z00_2021;

																	BgL_arg2424z00_2021 = (int) (((long) 8));
																	{	/* Trace/walk.scm 418 */
																		long BgL_auxz00_3860;

																		BgL_auxz00_3860 =
																			(long) (BgL_arg2424z00_2021);
																		BgL_modz00_2020 =
																			(BgL_offsetz00_2019 / BgL_auxz00_3860);
																}}
																{	/* Trace/walk.scm 418 */
																	long BgL_restz00_2022;

																	{	/* Trace/walk.scm 418 */
																		int BgL_arg2423z00_2023;

																		BgL_arg2423z00_2023 = (int) (((long) 8));
																		{	/* Trace/walk.scm 418 */
																			long BgL_auxz00_3864;

																			BgL_auxz00_3864 =
																				(long) (BgL_arg2423z00_2023);
																			BgL_restz00_2022 =
																				(BgL_offsetz00_2019 % BgL_auxz00_3864);
																	}}
																	{	/* Trace/walk.scm 418 */

																		BgL_method3270z00_2012 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2017,
																				(int) (BgL_modz00_2020)),
																			(int) (BgL_restz00_2022));
										}}}}}}}}
										BgL_res3692z00_2037 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3270z00_2012) (BgL_method3270z00_2012,
												(obj_t) (BgL_nodez00_2010), BgL_stackz00_79, BEOA));
								}}
								BgL_arg3474z00_1105 = BgL_res3692z00_2037;
						}}
						{	/* Trace/walk.scm 418 */
							obj_t BgL_auxz00_3875;

							BgL_auxz00_3875 = (obj_t) (BgL_arg3474z00_1105);
							SET_CAR(BgL_nodeza2za2_78, BgL_auxz00_3875);
					}}
					{
						obj_t BgL_nodeza2za2_3878;

						BgL_nodeza2za2_3878 = CDR(BgL_nodeza2za2_78);
						BgL_nodeza2za2_78 = BgL_nodeza2za2_3878;
						goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
					}
				}
		}
	}



/* toplevel-trace-node*! */
	obj_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_84)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 459 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_84))
				{	/* Trace/walk.scm 460 */
					return CNST_TABLE_REF(((long) 14));
				}
			else
				{	/* Trace/walk.scm 460 */
					{	/* Trace/walk.scm 463 */
						BgL_nodez00_bglt BgL_arg3478z00_1109;

						{	/* Trace/walk.scm 463 */
							obj_t BgL_arg3479z00_1110;

							BgL_arg3479z00_1110 = CAR(BgL_nodeza2za2_84);
							{	/* Trace/walk.scm 463 */
								BgL_nodez00_bglt BgL_res3695z00_2069;

								{	/* Trace/walk.scm 463 */
									BgL_nodez00_bglt BgL_nodez00_2043;

									BgL_nodez00_2043 = (BgL_nodez00_bglt) (BgL_arg3479z00_1110);
									{	/* Trace/walk.scm 463 */
										obj_t BgL_method3307z00_2044;

										{	/* Trace/walk.scm 463 */
											BgL_objectz00_bglt BgL_objz00_2045;

											BgL_objz00_2045 = (BgL_objectz00_bglt) (BgL_nodez00_2043);
											{	/* Trace/walk.scm 463 */
												long BgL_objzd2classzd2numz00_2046;

												BgL_objzd2classzd2numz00_2046 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_2045);
												{	/* Trace/walk.scm 463 */
													obj_t BgL_arg2422z00_2047;

													BgL_arg2422z00_2047 =
														PROCEDURE_REF
														(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
														(int) (((long) 1)));
													{	/* Trace/walk.scm 463 */
														obj_t BgL_arrayz00_2049;

														int BgL_offsetz00_2050;

														BgL_arrayz00_2049 = BgL_arg2422z00_2047;
														BgL_offsetz00_2050 =
															(int) (BgL_objzd2classzd2numz00_2046);
														{	/* Trace/walk.scm 463 */
															long BgL_offsetz00_2051;

															BgL_offsetz00_2051 =
																((long) (BgL_offsetz00_2050) - OBJECT_TYPE);
															{	/* Trace/walk.scm 463 */
																long BgL_modz00_2052;

																{	/* Trace/walk.scm 463 */
																	int BgL_arg2424z00_2053;

																	BgL_arg2424z00_2053 = (int) (((long) 8));
																	{	/* Trace/walk.scm 463 */
																		long BgL_auxz00_3893;

																		BgL_auxz00_3893 =
																			(long) (BgL_arg2424z00_2053);
																		BgL_modz00_2052 =
																			(BgL_offsetz00_2051 / BgL_auxz00_3893);
																}}
																{	/* Trace/walk.scm 463 */
																	long BgL_restz00_2054;

																	{	/* Trace/walk.scm 463 */
																		int BgL_arg2423z00_2055;

																		BgL_arg2423z00_2055 = (int) (((long) 8));
																		{	/* Trace/walk.scm 463 */
																			long BgL_auxz00_3897;

																			BgL_auxz00_3897 =
																				(long) (BgL_arg2423z00_2055);
																			BgL_restz00_2054 =
																				(BgL_offsetz00_2051 % BgL_auxz00_3897);
																	}}
																	{	/* Trace/walk.scm 463 */

																		BgL_method3307z00_2044 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_2049,
																				(int) (BgL_modz00_2052)),
																			(int) (BgL_restz00_2054));
										}}}}}}}}
										BgL_res3695z00_2069 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3307z00_2044) (BgL_method3307z00_2044,
												(obj_t) (BgL_nodez00_2043), BEOA));
								}}
								BgL_arg3478z00_1109 = BgL_res3695z00_2069;
						}}
						{	/* Trace/walk.scm 463 */
							obj_t BgL_auxz00_3908;

							BgL_auxz00_3908 = (obj_t) (BgL_arg3478z00_1109);
							SET_CAR(BgL_nodeza2za2_84, BgL_auxz00_3908);
					}}
					{
						obj_t BgL_nodeza2za2_3911;

						BgL_nodeza2za2_3911 = CDR(BgL_nodeza2za2_84);
						BgL_nodeza2za2_84 = BgL_nodeza2za2_3911;
						goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
					}
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_findzd2lastzd2nodezd2defau3238zd2envz00zztrace_walkz00);
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_tracezd2nodezd2default3267zd2envzd2zztrace_walkz00);
			return
				BGl_addzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_toplevelzd2tracezd2nodezd23305zd2envz00zztrace_walkz00);
		}
	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_20)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 134 */
			{	/* Trace/walk.scm 134 */
				obj_t BgL_method3239z00_2073;

				{	/* Trace/walk.scm 134 */
					BgL_objectz00_bglt BgL_objz00_2074;

					BgL_objz00_2074 = (BgL_objectz00_bglt) (BgL_nodez00_20);
					{	/* Trace/walk.scm 134 */
						long BgL_objzd2classzd2numz00_2075;

						BgL_objzd2classzd2numz00_2075 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2074);
						{	/* Trace/walk.scm 134 */
							obj_t BgL_arg2422z00_2076;

							BgL_arg2422z00_2076 =
								PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 134 */
								obj_t BgL_arrayz00_2078;

								int BgL_offsetz00_2079;

								BgL_arrayz00_2078 = BgL_arg2422z00_2076;
								BgL_offsetz00_2079 = (int) (BgL_objzd2classzd2numz00_2075);
								{	/* Trace/walk.scm 134 */
									long BgL_offsetz00_2080;

									BgL_offsetz00_2080 =
										((long) (BgL_offsetz00_2079) - OBJECT_TYPE);
									{	/* Trace/walk.scm 134 */
										long BgL_modz00_2081;

										{	/* Trace/walk.scm 134 */
											int BgL_arg2424z00_2082;

											BgL_arg2424z00_2082 = (int) (((long) 8));
											{	/* Trace/walk.scm 134 */
												long BgL_auxz00_3924;

												BgL_auxz00_3924 = (long) (BgL_arg2424z00_2082);
												BgL_modz00_2081 =
													(BgL_offsetz00_2080 / BgL_auxz00_3924);
										}}
										{	/* Trace/walk.scm 134 */
											long BgL_restz00_2083;

											{	/* Trace/walk.scm 134 */
												int BgL_arg2423z00_2084;

												BgL_arg2423z00_2084 = (int) (((long) 8));
												{	/* Trace/walk.scm 134 */
													long BgL_auxz00_3928;

													BgL_auxz00_3928 = (long) (BgL_arg2423z00_2084);
													BgL_restz00_2083 =
														(BgL_offsetz00_2080 % BgL_auxz00_3928);
											}}
											{	/* Trace/walk.scm 134 */

												BgL_method3239z00_2073 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2078,
														(int) (BgL_modz00_2081)), (int) (BgL_restz00_2083));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3239z00_2073) (BgL_method3239z00_2073,
					(obj_t) (BgL_nodez00_20), BEOA);
			}
		}
	}



/* _find-last-node3800 */
	obj_t BGl__findzd2lastzd2node3800z00zztrace_walkz00(obj_t BgL_envz00_3314,
		obj_t BgL_nodez00_3315)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 134 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(BgL_nodez00_bglt) (BgL_nodez00_3315));
		}
	}



/* _find-last-node-defau3238 */
	obj_t BGl__findzd2lastzd2nodezd2defau3238zd2zztrace_walkz00(obj_t
		BgL_envz00_3319, obj_t BgL_nodez00_3320)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return (obj_t) ((BgL_nodez00_bglt) (BgL_nodez00_3320));
		}
	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_40, obj_t BgL_stackz00_41)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 265 */
			{	/* Trace/walk.scm 265 */
				obj_t BgL_method3270z00_2098;

				{	/* Trace/walk.scm 265 */
					BgL_objectz00_bglt BgL_objz00_2099;

					BgL_objz00_2099 = (BgL_objectz00_bglt) (BgL_nodez00_40);
					{	/* Trace/walk.scm 265 */
						long BgL_objzd2classzd2numz00_2100;

						BgL_objzd2classzd2numz00_2100 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2099);
						{	/* Trace/walk.scm 265 */
							obj_t BgL_arg2422z00_2101;

							BgL_arg2422z00_2101 =
								PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 265 */
								obj_t BgL_arrayz00_2103;

								int BgL_offsetz00_2104;

								BgL_arrayz00_2103 = BgL_arg2422z00_2101;
								BgL_offsetz00_2104 = (int) (BgL_objzd2classzd2numz00_2100);
								{	/* Trace/walk.scm 265 */
									long BgL_offsetz00_2105;

									BgL_offsetz00_2105 =
										((long) (BgL_offsetz00_2104) - OBJECT_TYPE);
									{	/* Trace/walk.scm 265 */
										long BgL_modz00_2106;

										{	/* Trace/walk.scm 265 */
											int BgL_arg2424z00_2107;

											BgL_arg2424z00_2107 = (int) (((long) 8));
											{	/* Trace/walk.scm 265 */
												long BgL_auxz00_3950;

												BgL_auxz00_3950 = (long) (BgL_arg2424z00_2107);
												BgL_modz00_2106 =
													(BgL_offsetz00_2105 / BgL_auxz00_3950);
										}}
										{	/* Trace/walk.scm 265 */
											long BgL_restz00_2108;

											{	/* Trace/walk.scm 265 */
												int BgL_arg2423z00_2109;

												BgL_arg2423z00_2109 = (int) (((long) 8));
												{	/* Trace/walk.scm 265 */
													long BgL_auxz00_3954;

													BgL_auxz00_3954 = (long) (BgL_arg2423z00_2109);
													BgL_restz00_2108 =
														(BgL_offsetz00_2105 % BgL_auxz00_3954);
											}}
											{	/* Trace/walk.scm 265 */

												BgL_method3270z00_2098 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2103,
														(int) (BgL_modz00_2106)), (int) (BgL_restz00_2108));
				}}}}}}}}
				return
					(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2098)
					(BgL_method3270z00_2098, (obj_t) (BgL_nodez00_40), BgL_stackz00_41,
						BEOA));
			}
		}
	}



/* _trace-node3801 */
	obj_t BGl__tracezd2node3801zd2zztrace_walkz00(obj_t BgL_envz00_3316,
		obj_t BgL_nodez00_3317, obj_t BgL_stackz00_3318)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 265 */
			return
				(obj_t) (BGl_tracezd2nodezd2zztrace_walkz00(
					(BgL_nodez00_bglt) (BgL_nodez00_3317), BgL_stackz00_3318));
		}
	}



/* _trace-node-default3267 */
	obj_t BGl__tracezd2nodezd2default3267z00zztrace_walkz00(obj_t BgL_envz00_3321,
		obj_t BgL_nodez00_3322, obj_t BgL_stackz00_3323)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return (obj_t) ((BgL_nodez00_bglt) (BgL_nodez00_3322));
		}
	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_80)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 424 */
			{	/* Trace/walk.scm 424 */
				obj_t BgL_method3307z00_2123;

				{	/* Trace/walk.scm 424 */
					BgL_objectz00_bglt BgL_objz00_2124;

					BgL_objz00_2124 = (BgL_objectz00_bglt) (BgL_nodez00_80);
					{	/* Trace/walk.scm 424 */
						long BgL_objzd2classzd2numz00_2125;

						BgL_objzd2classzd2numz00_2125 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2124);
						{	/* Trace/walk.scm 424 */
							obj_t BgL_arg2422z00_2126;

							BgL_arg2422z00_2126 =
								PROCEDURE_REF
								(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 424 */
								obj_t BgL_arrayz00_2128;

								int BgL_offsetz00_2129;

								BgL_arrayz00_2128 = BgL_arg2422z00_2126;
								BgL_offsetz00_2129 = (int) (BgL_objzd2classzd2numz00_2125);
								{	/* Trace/walk.scm 424 */
									long BgL_offsetz00_2130;

									BgL_offsetz00_2130 =
										((long) (BgL_offsetz00_2129) - OBJECT_TYPE);
									{	/* Trace/walk.scm 424 */
										long BgL_modz00_2131;

										{	/* Trace/walk.scm 424 */
											int BgL_arg2424z00_2132;

											BgL_arg2424z00_2132 = (int) (((long) 8));
											{	/* Trace/walk.scm 424 */
												long BgL_auxz00_3978;

												BgL_auxz00_3978 = (long) (BgL_arg2424z00_2132);
												BgL_modz00_2131 =
													(BgL_offsetz00_2130 / BgL_auxz00_3978);
										}}
										{	/* Trace/walk.scm 424 */
											long BgL_restz00_2133;

											{	/* Trace/walk.scm 424 */
												int BgL_arg2423z00_2134;

												BgL_arg2423z00_2134 = (int) (((long) 8));
												{	/* Trace/walk.scm 424 */
													long BgL_auxz00_3982;

													BgL_auxz00_3982 = (long) (BgL_arg2423z00_2134);
													BgL_restz00_2133 =
														(BgL_offsetz00_2130 % BgL_auxz00_3982);
											}}
											{	/* Trace/walk.scm 424 */

												BgL_method3307z00_2123 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2128,
														(int) (BgL_modz00_2131)), (int) (BgL_restz00_2133));
				}}}}}}}}
				return
					(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3307z00_2123)
					(BgL_method3307z00_2123, (obj_t) (BgL_nodez00_80), BEOA));
			}
		}
	}



/* _toplevel-trace-node3799 */
	obj_t BGl__toplevelzd2tracezd2node3799z00zztrace_walkz00(obj_t
		BgL_envz00_3312, obj_t BgL_nodez00_3313)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 424 */
			return
				(obj_t) (BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
					(BgL_nodez00_bglt) (BgL_nodez00_3313)));
		}
	}



/* _toplevel-trace-node-3305 */
	obj_t BGl__toplevelzd2tracezd2nodezd23305zd2zztrace_walkz00(obj_t
		BgL_envz00_3324, obj_t BgL_nodez00_3325)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return (obj_t) ((BgL_nodez00_bglt) (BgL_nodez00_3325));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3813z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc3814z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3815z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3816z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc3817z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc3818z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3819z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc3820z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc3821z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3822z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3823z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3824z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3825z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3826z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3827z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3828z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3829z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3830z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3831z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3832z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3833z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3834z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc3835z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3836z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3837z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3838z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3839z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3840z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3841z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3842z00zztrace_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3843z00zztrace_walkz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc3844z00zztrace_walkz00);
		}
	}



/* toplevel-trace-node-3311 */
	obj_t BGl_toplevelzd2tracezd2nodezd23311zd2zztrace_walkz00(obj_t
		BgL_envz00_3358, obj_t BgL_nodez00_3359)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 442 */
			{
				BgL_setqz00_bglt BgL_nodez00_1788;

				{	/* Trace/walk.scm 443 */
					BgL_setqz00_bglt BgL_auxz00_4030;

					BgL_nodez00_1788 = (BgL_setqz00_bglt) (BgL_nodez00_3359);
					{	/* Trace/walk.scm 444 */
						BgL_varz00_bglt BgL_instance3224z00_1792;

						BgL_instance3224z00_1792 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1788))->BgL_varz00);
						{	/* Trace/walk.scm 445 */
							bool_t BgL_testz00_4032;

							{	/* Trace/walk.scm 445 */
								bool_t BgL_testz00_4033;

								{	/* Trace/walk.scm 445 */
									BgL_variablez00_bglt BgL_arg3672z00_1811;

									BgL_arg3672z00_1811 =
										(((BgL_varz00_bglt) CREF(BgL_instance3224z00_1792))->
										BgL_variablez00);
									{	/* Trace/walk.scm 445 */
										obj_t BgL_obj1589z00_3293;

										BgL_obj1589z00_3293 = (obj_t) (BgL_arg3672z00_1811);
										BgL_testz00_4033 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1589z00_3293,
											BGl_globalz00zzast_varz00);
									}
								}
								if (BgL_testz00_4033)
									{	/* Trace/walk.scm 446 */
										bool_t BgL_testz00_4037;

										{	/* Trace/walk.scm 446 */
											bool_t BgL_testz00_4038;

											{	/* Trace/walk.scm 446 */
												BgL_nodez00_bglt BgL_arg3671z00_1810;

												BgL_arg3671z00_1810 =
													(((BgL_setqz00_bglt) CREF(BgL_nodez00_1788))->
													BgL_valuez00);
												{	/* Trace/walk.scm 446 */
													obj_t BgL_obj1987z00_3295;

													BgL_obj1987z00_3295 = (obj_t) (BgL_arg3671z00_1810);
													BgL_testz00_4038 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1987z00_3295,
														BGl_atomz00zzast_nodez00);
												}
											}
											if (BgL_testz00_4038)
												{	/* Trace/walk.scm 446 */
													BgL_testz00_4037 = ((bool_t) 1);
												}
											else
												{	/* Trace/walk.scm 447 */
													bool_t BgL_testz00_4042;

													{	/* Trace/walk.scm 447 */
														BgL_nodez00_bglt BgL_arg3670z00_1809;

														BgL_arg3670z00_1809 =
															(((BgL_setqz00_bglt) CREF(BgL_nodez00_1788))->
															BgL_valuez00);
														{	/* Trace/walk.scm 447 */
															obj_t BgL_obj2008z00_3297;

															BgL_obj2008z00_3297 =
																(obj_t) (BgL_arg3670z00_1809);
															BgL_testz00_4042 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj2008z00_3297, BGl_varz00zzast_nodez00);
														}
													}
													if (BgL_testz00_4042)
														{	/* Trace/walk.scm 447 */
															BgL_testz00_4037 = ((bool_t) 1);
														}
													else
														{	/* Trace/walk.scm 448 */
															bool_t BgL_testz00_4046;

															{	/* Trace/walk.scm 448 */
																BgL_nodez00_bglt BgL_arg3669z00_1808;

																BgL_arg3669z00_1808 =
																	(((BgL_setqz00_bglt) CREF(BgL_nodez00_1788))->
																	BgL_valuez00);
																{	/* Trace/walk.scm 448 */
																	obj_t BgL_obj2046z00_3299;

																	BgL_obj2046z00_3299 =
																		(obj_t) (BgL_arg3669z00_1808);
																	BgL_testz00_4046 =
																		BGl_iszd2azf3z21zz__objectz00
																		(BgL_obj2046z00_3299,
																		BGl_kwotez00zzast_nodez00);
																}
															}
															if (BgL_testz00_4046)
																{	/* Trace/walk.scm 448 */
																	BgL_testz00_4037 = ((bool_t) 1);
																}
															else
																{	/* Trace/walk.scm 449 */
																	BgL_nodez00_bglt BgL_arg3668z00_1807;

																	BgL_arg3668z00_1807 =
																		(((BgL_setqz00_bglt)
																			CREF(BgL_nodez00_1788))->BgL_valuez00);
																	{	/* Trace/walk.scm 449 */
																		obj_t BgL_obj2257z00_3301;

																		BgL_obj2257z00_3301 =
																			(obj_t) (BgL_arg3668z00_1807);
																		BgL_testz00_4037 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj2257z00_3301,
																			BGl_pragmaz00zzast_nodez00);
																	}
																}
														}
												}
										}
										if (BgL_testz00_4037)
											{	/* Trace/walk.scm 446 */
												BgL_testz00_4032 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 446 */
												BgL_testz00_4032 = ((bool_t) 1);
											}
									}
								else
									{	/* Trace/walk.scm 445 */
										BgL_testz00_4032 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_4032)
								{	/* Trace/walk.scm 450 */
									obj_t BgL_idz00_1794;

									{	/* Trace/walk.scm 450 */
										BgL_variablez00_bglt BgL_obj1442z00_3303;

										BgL_obj1442z00_3303 =
											(((BgL_varz00_bglt) CREF(BgL_instance3224z00_1792))->
											BgL_variablez00);
										BgL_idz00_1794 =
											(((BgL_variablez00_bglt) CREF(BgL_obj1442z00_3303))->
											BgL_idz00);
									}
									{	/* Trace/walk.scm 450 */
										BgL_typez00_bglt BgL_typez00_1795;

										{	/* Trace/walk.scm 451 */
											BgL_variablez00_bglt BgL_obj1446z00_3305;

											BgL_obj1446z00_3305 =
												(((BgL_varz00_bglt) CREF(BgL_instance3224z00_1792))->
												BgL_variablez00);
											BgL_typez00_1795 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1446z00_3305))->
												BgL_typez00);
										}
										{	/* Trace/walk.scm 451 */
											BgL_letzd2varzd2_bglt BgL_tracez00_1796;

											{	/* Trace/walk.scm 452 */
												BgL_nodez00_bglt BgL_arg3658z00_1797;

												obj_t BgL_arg3659z00_1798;

												BgL_arg3658z00_1797 =
													(((BgL_setqz00_bglt) CREF(BgL_nodez00_1788))->
													BgL_valuez00);
												{
													BgL_nodez00_bglt BgL_auxz00_4058;

													BgL_auxz00_4058 =
														(BgL_nodez00_bglt) (BgL_nodez00_1788);
													BgL_arg3659z00_1798 =
														(((BgL_nodez00_bglt) CREF(BgL_auxz00_4058))->
														BgL_locz00);
												}
												BgL_tracez00_1796 =
													BGl_makezd2tracedzd2nodez00zztrace_walkz00
													(BgL_arg3658z00_1797, BgL_typez00_1795,
													BgL_idz00_1794, BgL_arg3659z00_1798, BNIL);
											}
											{	/* Trace/walk.scm 452 */

												{
													BgL_nodez00_bglt BgL_auxz00_4062;

													BgL_auxz00_4062 =
														(BgL_nodez00_bglt) (BgL_tracez00_1796);
													((((BgL_setqz00_bglt) CREF(BgL_nodez00_1788))->
															BgL_valuez00) =
														((BgL_nodez00_bglt) BgL_auxz00_4062), BUNSPEC);
												}
											}
										}
									}
								}
							else
								{	/* Trace/walk.scm 445 */
									BFALSE;
								}
						}
					}
					BgL_auxz00_4030 = BgL_nodez00_1788;
					return (obj_t) (BgL_auxz00_4030);
				}
			}
		}
	}



/* toplevel-trace-node-3309 */
	obj_t BGl_toplevelzd2tracezd2nodezd23309zd2zztrace_walkz00(obj_t
		BgL_envz00_3360, obj_t BgL_nodez00_3361)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 430 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1782;

				{	/* Trace/walk.scm 431 */
					BgL_sequencez00_bglt BgL_auxz00_4067;

					BgL_nodez00_1782 = (BgL_sequencez00_bglt) (BgL_nodez00_3361);
					{	/* Trace/walk.scm 431 */
						obj_t BgL_arg3655z00_3289;

						BgL_arg3655z00_3289 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1782))->BgL_nodesz00);
						BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00
							(BgL_arg3655z00_3289);
					}
					BgL_auxz00_4067 = BgL_nodez00_1782;
					return (obj_t) (BgL_auxz00_4067);
				}
			}
		}
	}



/* trace-node-box-set!3304 */
	obj_t BGl_tracezd2nodezd2boxzd2setz123304zc0zztrace_walkz00(obj_t
		BgL_envz00_3362, obj_t BgL_nodez00_3363, obj_t BgL_stackz00_3364)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 405 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1771;

				obj_t BgL_stackz00_1772;

				{	/* Trace/walk.scm 406 */
					BgL_boxzd2setz12zc0_bglt BgL_auxz00_4072;

					BgL_nodez00_1771 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_3363);
					BgL_stackz00_1772 = BgL_stackz00_3364;
					{	/* Trace/walk.scm 407 */
						BgL_nodez00_bglt BgL_arg3650z00_1776;

						{	/* Trace/walk.scm 407 */
							BgL_varz00_bglt BgL_arg3651z00_1777;

							BgL_arg3651z00_1777 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1771))->
								BgL_varz00);
							{	/* Trace/walk.scm 407 */
								BgL_nodez00_bglt BgL_res3795z00_3255;

								{	/* Trace/walk.scm 407 */
									BgL_nodez00_bglt BgL_nodez00_3228;

									BgL_nodez00_3228 = (BgL_nodez00_bglt) (BgL_arg3651z00_1777);
									{	/* Trace/walk.scm 407 */
										obj_t BgL_method3270z00_3230;

										{	/* Trace/walk.scm 407 */
											BgL_objectz00_bglt BgL_objz00_3231;

											BgL_objz00_3231 = (BgL_objectz00_bglt) (BgL_nodez00_3228);
											{	/* Trace/walk.scm 407 */
												long BgL_objzd2classzd2numz00_3232;

												BgL_objzd2classzd2numz00_3232 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_3231);
												{	/* Trace/walk.scm 407 */
													obj_t BgL_arg2422z00_3233;

													BgL_arg2422z00_3233 =
														PROCEDURE_REF
														(BGl_tracezd2nodezd2envz00zztrace_walkz00,
														(int) (((long) 1)));
													{	/* Trace/walk.scm 407 */
														obj_t BgL_arrayz00_3235;

														int BgL_offsetz00_3236;

														BgL_arrayz00_3235 = BgL_arg2422z00_3233;
														BgL_offsetz00_3236 =
															(int) (BgL_objzd2classzd2numz00_3232);
														{	/* Trace/walk.scm 407 */
															long BgL_offsetz00_3237;

															BgL_offsetz00_3237 =
																((long) (BgL_offsetz00_3236) - OBJECT_TYPE);
															{	/* Trace/walk.scm 407 */
																long BgL_modz00_3238;

																{	/* Trace/walk.scm 407 */
																	int BgL_arg2424z00_3239;

																	BgL_arg2424z00_3239 = (int) (((long) 8));
																	{	/* Trace/walk.scm 407 */
																		long BgL_auxz00_4083;

																		BgL_auxz00_4083 =
																			(long) (BgL_arg2424z00_3239);
																		BgL_modz00_3238 =
																			(BgL_offsetz00_3237 / BgL_auxz00_4083);
																}}
																{	/* Trace/walk.scm 407 */
																	long BgL_restz00_3240;

																	{	/* Trace/walk.scm 407 */
																		int BgL_arg2423z00_3241;

																		BgL_arg2423z00_3241 = (int) (((long) 8));
																		{	/* Trace/walk.scm 407 */
																			long BgL_auxz00_4087;

																			BgL_auxz00_4087 =
																				(long) (BgL_arg2423z00_3241);
																			BgL_restz00_3240 =
																				(BgL_offsetz00_3237 % BgL_auxz00_4087);
																	}}
																	{	/* Trace/walk.scm 407 */

																		BgL_method3270z00_3230 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_3235,
																				(int) (BgL_modz00_3238)),
																			(int) (BgL_restz00_3240));
										}}}}}}}}
										BgL_res3795z00_3255 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3270z00_3230) (BgL_method3270z00_3230,
												(obj_t) (BgL_nodez00_3228), BgL_stackz00_1772, BEOA));
								}}
								BgL_arg3650z00_1776 = BgL_res3795z00_3255;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_4098;

							BgL_auxz00_4098 = (BgL_varz00_bglt) (BgL_arg3650z00_1776);
							((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1771))->
									BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_4098), BUNSPEC);
					}}
					{	/* Trace/walk.scm 408 */
						BgL_nodez00_bglt BgL_arg3652z00_1778;

						{	/* Trace/walk.scm 408 */
							BgL_nodez00_bglt BgL_arg3653z00_1779;

							BgL_arg3653z00_1779 =
								(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1771))->
								BgL_valuez00);
							{	/* Trace/walk.scm 408 */
								BgL_nodez00_bglt BgL_res3798z00_3286;

								{	/* Trace/walk.scm 408 */
									obj_t BgL_method3270z00_3261;

									{	/* Trace/walk.scm 408 */
										BgL_objectz00_bglt BgL_objz00_3262;

										BgL_objz00_3262 =
											(BgL_objectz00_bglt) (BgL_arg3653z00_1779);
										{	/* Trace/walk.scm 408 */
											long BgL_objzd2classzd2numz00_3263;

											BgL_objzd2classzd2numz00_3263 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_3262);
											{	/* Trace/walk.scm 408 */
												obj_t BgL_arg2422z00_3264;

												BgL_arg2422z00_3264 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 408 */
													obj_t BgL_arrayz00_3266;

													int BgL_offsetz00_3267;

													BgL_arrayz00_3266 = BgL_arg2422z00_3264;
													BgL_offsetz00_3267 =
														(int) (BgL_objzd2classzd2numz00_3263);
													{	/* Trace/walk.scm 408 */
														long BgL_offsetz00_3268;

														BgL_offsetz00_3268 =
															((long) (BgL_offsetz00_3267) - OBJECT_TYPE);
														{	/* Trace/walk.scm 408 */
															long BgL_modz00_3269;

															{	/* Trace/walk.scm 408 */
																int BgL_arg2424z00_3270;

																BgL_arg2424z00_3270 = (int) (((long) 8));
																{	/* Trace/walk.scm 408 */
																	long BgL_auxz00_4110;

																	BgL_auxz00_4110 =
																		(long) (BgL_arg2424z00_3270);
																	BgL_modz00_3269 =
																		(BgL_offsetz00_3268 / BgL_auxz00_4110);
															}}
															{	/* Trace/walk.scm 408 */
																long BgL_restz00_3271;

																{	/* Trace/walk.scm 408 */
																	int BgL_arg2423z00_3272;

																	BgL_arg2423z00_3272 = (int) (((long) 8));
																	{	/* Trace/walk.scm 408 */
																		long BgL_auxz00_4114;

																		BgL_auxz00_4114 =
																			(long) (BgL_arg2423z00_3272);
																		BgL_restz00_3271 =
																			(BgL_offsetz00_3268 % BgL_auxz00_4114);
																}}
																{	/* Trace/walk.scm 408 */

																	BgL_method3270z00_3261 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_3266,
																			(int) (BgL_modz00_3269)),
																		(int) (BgL_restz00_3271));
									}}}}}}}}
									BgL_res3798z00_3286 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_3261)
										(BgL_method3270z00_3261, (obj_t) (BgL_arg3653z00_1779),
											BgL_stackz00_1772, BEOA));
								}
								BgL_arg3652z00_1778 = BgL_res3798z00_3286;
						}}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1771))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3652z00_1778), BUNSPEC);
					}
					BgL_auxz00_4072 = BgL_nodez00_1771;
					return (obj_t) (BgL_auxz00_4072);
				}
			}
		}
	}



/* trace-node-box-ref3302 */
	obj_t BGl_tracezd2nodezd2boxzd2ref3302zd2zztrace_walkz00(obj_t
		BgL_envz00_3365, obj_t BgL_nodez00_3366, obj_t BgL_stackz00_3367)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 398 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1763;

				obj_t BgL_stackz00_1764;

				{	/* Trace/walk.scm 399 */
					BgL_boxzd2refzd2_bglt BgL_auxz00_4128;

					BgL_nodez00_1763 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_3366);
					BgL_stackz00_1764 = BgL_stackz00_3367;
					{	/* Trace/walk.scm 399 */
						BgL_nodez00_bglt BgL_arg3647z00_3194;

						{	/* Trace/walk.scm 399 */
							BgL_varz00_bglt BgL_arg3648z00_3195;

							BgL_arg3648z00_3195 =
								(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1763))->BgL_varz00);
							{	/* Trace/walk.scm 399 */
								BgL_nodez00_bglt BgL_res3792z00_3224;

								{	/* Trace/walk.scm 399 */
									BgL_nodez00_bglt BgL_nodez00_3197;

									BgL_nodez00_3197 = (BgL_nodez00_bglt) (BgL_arg3648z00_3195);
									{	/* Trace/walk.scm 399 */
										obj_t BgL_method3270z00_3199;

										{	/* Trace/walk.scm 399 */
											BgL_objectz00_bglt BgL_objz00_3200;

											BgL_objz00_3200 = (BgL_objectz00_bglt) (BgL_nodez00_3197);
											{	/* Trace/walk.scm 399 */
												long BgL_objzd2classzd2numz00_3201;

												BgL_objzd2classzd2numz00_3201 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_3200);
												{	/* Trace/walk.scm 399 */
													obj_t BgL_arg2422z00_3202;

													BgL_arg2422z00_3202 =
														PROCEDURE_REF
														(BGl_tracezd2nodezd2envz00zztrace_walkz00,
														(int) (((long) 1)));
													{	/* Trace/walk.scm 399 */
														obj_t BgL_arrayz00_3204;

														int BgL_offsetz00_3205;

														BgL_arrayz00_3204 = BgL_arg2422z00_3202;
														BgL_offsetz00_3205 =
															(int) (BgL_objzd2classzd2numz00_3201);
														{	/* Trace/walk.scm 399 */
															long BgL_offsetz00_3206;

															BgL_offsetz00_3206 =
																((long) (BgL_offsetz00_3205) - OBJECT_TYPE);
															{	/* Trace/walk.scm 399 */
																long BgL_modz00_3207;

																{	/* Trace/walk.scm 399 */
																	int BgL_arg2424z00_3208;

																	BgL_arg2424z00_3208 = (int) (((long) 8));
																	{	/* Trace/walk.scm 399 */
																		long BgL_auxz00_4139;

																		BgL_auxz00_4139 =
																			(long) (BgL_arg2424z00_3208);
																		BgL_modz00_3207 =
																			(BgL_offsetz00_3206 / BgL_auxz00_4139);
																}}
																{	/* Trace/walk.scm 399 */
																	long BgL_restz00_3209;

																	{	/* Trace/walk.scm 399 */
																		int BgL_arg2423z00_3210;

																		BgL_arg2423z00_3210 = (int) (((long) 8));
																		{	/* Trace/walk.scm 399 */
																			long BgL_auxz00_4143;

																			BgL_auxz00_4143 =
																				(long) (BgL_arg2423z00_3210);
																			BgL_restz00_3209 =
																				(BgL_offsetz00_3206 % BgL_auxz00_4143);
																	}}
																	{	/* Trace/walk.scm 399 */

																		BgL_method3270z00_3199 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_3204,
																				(int) (BgL_modz00_3207)),
																			(int) (BgL_restz00_3209));
										}}}}}}}}
										BgL_res3792z00_3224 =
											(BgL_nodez00_bglt) (PROCEDURE_ENTRY
											(BgL_method3270z00_3199) (BgL_method3270z00_3199,
												(obj_t) (BgL_nodez00_3197), BgL_stackz00_1764, BEOA));
								}}
								BgL_arg3647z00_3194 = BgL_res3792z00_3224;
						}}
						{
							BgL_varz00_bglt BgL_auxz00_4154;

							BgL_auxz00_4154 = (BgL_varz00_bglt) (BgL_arg3647z00_3194);
							((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1763))->BgL_varz00) =
								((BgL_varz00_bglt) BgL_auxz00_4154), BUNSPEC);
					}}
					BgL_auxz00_4128 = BgL_nodez00_1763;
					return (obj_t) (BgL_auxz00_4128);
				}
			}
		}
	}



/* trace-node-make-box3300 */
	obj_t BGl_tracezd2nodezd2makezd2box3300zd2zztrace_walkz00(obj_t
		BgL_envz00_3368, obj_t BgL_nodez00_3369, obj_t BgL_stackz00_3370)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 391 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1755;

				obj_t BgL_stackz00_1756;

				{	/* Trace/walk.scm 392 */
					BgL_makezd2boxzd2_bglt BgL_auxz00_4159;

					BgL_nodez00_1755 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_3369);
					BgL_stackz00_1756 = BgL_stackz00_3370;
					{	/* Trace/walk.scm 392 */
						BgL_nodez00_bglt BgL_arg3644z00_3161;

						{	/* Trace/walk.scm 392 */
							BgL_nodez00_bglt BgL_arg3645z00_3162;

							BgL_arg3645z00_3162 =
								(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1755))->
								BgL_valuez00);
							{	/* Trace/walk.scm 392 */
								BgL_nodez00_bglt BgL_res3789z00_3191;

								{	/* Trace/walk.scm 392 */
									obj_t BgL_method3270z00_3166;

									{	/* Trace/walk.scm 392 */
										BgL_objectz00_bglt BgL_objz00_3167;

										BgL_objz00_3167 =
											(BgL_objectz00_bglt) (BgL_arg3645z00_3162);
										{	/* Trace/walk.scm 392 */
											long BgL_objzd2classzd2numz00_3168;

											BgL_objzd2classzd2numz00_3168 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_3167);
											{	/* Trace/walk.scm 392 */
												obj_t BgL_arg2422z00_3169;

												BgL_arg2422z00_3169 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 392 */
													obj_t BgL_arrayz00_3171;

													int BgL_offsetz00_3172;

													BgL_arrayz00_3171 = BgL_arg2422z00_3169;
													BgL_offsetz00_3172 =
														(int) (BgL_objzd2classzd2numz00_3168);
													{	/* Trace/walk.scm 392 */
														long BgL_offsetz00_3173;

														BgL_offsetz00_3173 =
															((long) (BgL_offsetz00_3172) - OBJECT_TYPE);
														{	/* Trace/walk.scm 392 */
															long BgL_modz00_3174;

															{	/* Trace/walk.scm 392 */
																int BgL_arg2424z00_3175;

																BgL_arg2424z00_3175 = (int) (((long) 8));
																{	/* Trace/walk.scm 392 */
																	long BgL_auxz00_4169;

																	BgL_auxz00_4169 =
																		(long) (BgL_arg2424z00_3175);
																	BgL_modz00_3174 =
																		(BgL_offsetz00_3173 / BgL_auxz00_4169);
															}}
															{	/* Trace/walk.scm 392 */
																long BgL_restz00_3176;

																{	/* Trace/walk.scm 392 */
																	int BgL_arg2423z00_3177;

																	BgL_arg2423z00_3177 = (int) (((long) 8));
																	{	/* Trace/walk.scm 392 */
																		long BgL_auxz00_4173;

																		BgL_auxz00_4173 =
																			(long) (BgL_arg2423z00_3177);
																		BgL_restz00_3176 =
																			(BgL_offsetz00_3173 % BgL_auxz00_4173);
																}}
																{	/* Trace/walk.scm 392 */

																	BgL_method3270z00_3166 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_3171,
																			(int) (BgL_modz00_3174)),
																		(int) (BgL_restz00_3176));
									}}}}}}}}
									BgL_res3789z00_3191 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_3166)
										(BgL_method3270z00_3166, (obj_t) (BgL_arg3645z00_3162),
											BgL_stackz00_1756, BEOA));
								}
								BgL_arg3644z00_3161 = BgL_res3789z00_3191;
						}}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1755))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3644z00_3161), BUNSPEC);
					}
					BgL_auxz00_4159 = BgL_nodez00_1755;
					return (obj_t) (BgL_auxz00_4159);
				}
			}
		}
	}



/* trace-node-jump-ex-i3298 */
	obj_t BGl_tracezd2nodezd2jumpzd2exzd2i3298z00zztrace_walkz00(obj_t
		BgL_envz00_3371, obj_t BgL_nodez00_3372, obj_t BgL_stackz00_3373)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 382 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1744;

				obj_t BgL_stackz00_1745;

				{	/* Trace/walk.scm 383 */
					BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4187;

					BgL_nodez00_1744 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_3372);
					BgL_stackz00_1745 = BgL_stackz00_3373;
					{	/* Trace/walk.scm 384 */
						BgL_nodez00_bglt BgL_arg3639z00_1749;

						{	/* Trace/walk.scm 384 */
							BgL_nodez00_bglt BgL_arg3640z00_1750;

							BgL_arg3640z00_1750 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1744))->
								BgL_exitz00);
							{	/* Trace/walk.scm 384 */
								BgL_nodez00_bglt BgL_res3783z00_3127;

								{	/* Trace/walk.scm 384 */
									obj_t BgL_method3270z00_3102;

									{	/* Trace/walk.scm 384 */
										BgL_objectz00_bglt BgL_objz00_3103;

										BgL_objz00_3103 =
											(BgL_objectz00_bglt) (BgL_arg3640z00_1750);
										{	/* Trace/walk.scm 384 */
											long BgL_objzd2classzd2numz00_3104;

											BgL_objzd2classzd2numz00_3104 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_3103);
											{	/* Trace/walk.scm 384 */
												obj_t BgL_arg2422z00_3105;

												BgL_arg2422z00_3105 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 384 */
													obj_t BgL_arrayz00_3107;

													int BgL_offsetz00_3108;

													BgL_arrayz00_3107 = BgL_arg2422z00_3105;
													BgL_offsetz00_3108 =
														(int) (BgL_objzd2classzd2numz00_3104);
													{	/* Trace/walk.scm 384 */
														long BgL_offsetz00_3109;

														BgL_offsetz00_3109 =
															((long) (BgL_offsetz00_3108) - OBJECT_TYPE);
														{	/* Trace/walk.scm 384 */
															long BgL_modz00_3110;

															{	/* Trace/walk.scm 384 */
																int BgL_arg2424z00_3111;

																BgL_arg2424z00_3111 = (int) (((long) 8));
																{	/* Trace/walk.scm 384 */
																	long BgL_auxz00_4197;

																	BgL_auxz00_4197 =
																		(long) (BgL_arg2424z00_3111);
																	BgL_modz00_3110 =
																		(BgL_offsetz00_3109 / BgL_auxz00_4197);
															}}
															{	/* Trace/walk.scm 384 */
																long BgL_restz00_3112;

																{	/* Trace/walk.scm 384 */
																	int BgL_arg2423z00_3113;

																	BgL_arg2423z00_3113 = (int) (((long) 8));
																	{	/* Trace/walk.scm 384 */
																		long BgL_auxz00_4201;

																		BgL_auxz00_4201 =
																			(long) (BgL_arg2423z00_3113);
																		BgL_restz00_3112 =
																			(BgL_offsetz00_3109 % BgL_auxz00_4201);
																}}
																{	/* Trace/walk.scm 384 */

																	BgL_method3270z00_3102 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_3107,
																			(int) (BgL_modz00_3110)),
																		(int) (BgL_restz00_3112));
									}}}}}}}}
									BgL_res3783z00_3127 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_3102)
										(BgL_method3270z00_3102, (obj_t) (BgL_arg3640z00_1750),
											BgL_stackz00_1745, BEOA));
								}
								BgL_arg3639z00_1749 = BgL_res3783z00_3127;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1744))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) BgL_arg3639z00_1749), BUNSPEC);
					}
					{	/* Trace/walk.scm 385 */
						BgL_nodez00_bglt BgL_arg3641z00_1751;

						{	/* Trace/walk.scm 385 */
							BgL_nodez00_bglt BgL_arg3642z00_1752;

							BgL_arg3642z00_1752 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1744))->
								BgL_valuez00);
							{	/* Trace/walk.scm 385 */
								BgL_nodez00_bglt BgL_res3786z00_3158;

								{	/* Trace/walk.scm 385 */
									obj_t BgL_method3270z00_3133;

									{	/* Trace/walk.scm 385 */
										BgL_objectz00_bglt BgL_objz00_3134;

										BgL_objz00_3134 =
											(BgL_objectz00_bglt) (BgL_arg3642z00_1752);
										{	/* Trace/walk.scm 385 */
											long BgL_objzd2classzd2numz00_3135;

											BgL_objzd2classzd2numz00_3135 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_3134);
											{	/* Trace/walk.scm 385 */
												obj_t BgL_arg2422z00_3136;

												BgL_arg2422z00_3136 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 385 */
													obj_t BgL_arrayz00_3138;

													int BgL_offsetz00_3139;

													BgL_arrayz00_3138 = BgL_arg2422z00_3136;
													BgL_offsetz00_3139 =
														(int) (BgL_objzd2classzd2numz00_3135);
													{	/* Trace/walk.scm 385 */
														long BgL_offsetz00_3140;

														BgL_offsetz00_3140 =
															((long) (BgL_offsetz00_3139) - OBJECT_TYPE);
														{	/* Trace/walk.scm 385 */
															long BgL_modz00_3141;

															{	/* Trace/walk.scm 385 */
																int BgL_arg2424z00_3142;

																BgL_arg2424z00_3142 = (int) (((long) 8));
																{	/* Trace/walk.scm 385 */
																	long BgL_auxz00_4222;

																	BgL_auxz00_4222 =
																		(long) (BgL_arg2424z00_3142);
																	BgL_modz00_3141 =
																		(BgL_offsetz00_3140 / BgL_auxz00_4222);
															}}
															{	/* Trace/walk.scm 385 */
																long BgL_restz00_3143;

																{	/* Trace/walk.scm 385 */
																	int BgL_arg2423z00_3144;

																	BgL_arg2423z00_3144 = (int) (((long) 8));
																	{	/* Trace/walk.scm 385 */
																		long BgL_auxz00_4226;

																		BgL_auxz00_4226 =
																			(long) (BgL_arg2423z00_3144);
																		BgL_restz00_3143 =
																			(BgL_offsetz00_3140 % BgL_auxz00_4226);
																}}
																{	/* Trace/walk.scm 385 */

																	BgL_method3270z00_3133 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_3138,
																			(int) (BgL_modz00_3141)),
																		(int) (BgL_restz00_3143));
									}}}}}}}}
									BgL_res3786z00_3158 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_3133)
										(BgL_method3270z00_3133, (obj_t) (BgL_arg3642z00_1752),
											BgL_stackz00_1745, BEOA));
								}
								BgL_arg3641z00_1751 = BgL_res3786z00_3158;
						}}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1744))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3641z00_1751), BUNSPEC);
					}
					BgL_auxz00_4187 = BgL_nodez00_1744;
					return (obj_t) (BgL_auxz00_4187);
				}
			}
		}
	}



/* trace-node-set-ex-it3296 */
	obj_t BGl_tracezd2nodezd2setzd2exzd2it3296z00zztrace_walkz00(obj_t
		BgL_envz00_3374, obj_t BgL_nodez00_3375, obj_t BgL_stackz00_3376)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 375 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1736;

				obj_t BgL_stackz00_1737;

				{	/* Trace/walk.scm 376 */
					BgL_setzd2exzd2itz00_bglt BgL_auxz00_4240;

					BgL_nodez00_1736 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_3375);
					BgL_stackz00_1737 = BgL_stackz00_3376;
					{	/* Trace/walk.scm 376 */
						BgL_nodez00_bglt BgL_arg3636z00_3066;

						{	/* Trace/walk.scm 376 */
							BgL_nodez00_bglt BgL_arg3637z00_3067;

							BgL_arg3637z00_3067 =
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1736))->
								BgL_bodyz00);
							{	/* Trace/walk.scm 376 */
								BgL_nodez00_bglt BgL_res3780z00_3096;

								{	/* Trace/walk.scm 376 */
									obj_t BgL_method3270z00_3071;

									{	/* Trace/walk.scm 376 */
										BgL_objectz00_bglt BgL_objz00_3072;

										BgL_objz00_3072 =
											(BgL_objectz00_bglt) (BgL_arg3637z00_3067);
										{	/* Trace/walk.scm 376 */
											long BgL_objzd2classzd2numz00_3073;

											BgL_objzd2classzd2numz00_3073 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_3072);
											{	/* Trace/walk.scm 376 */
												obj_t BgL_arg2422z00_3074;

												BgL_arg2422z00_3074 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 376 */
													obj_t BgL_arrayz00_3076;

													int BgL_offsetz00_3077;

													BgL_arrayz00_3076 = BgL_arg2422z00_3074;
													BgL_offsetz00_3077 =
														(int) (BgL_objzd2classzd2numz00_3073);
													{	/* Trace/walk.scm 376 */
														long BgL_offsetz00_3078;

														BgL_offsetz00_3078 =
															((long) (BgL_offsetz00_3077) - OBJECT_TYPE);
														{	/* Trace/walk.scm 376 */
															long BgL_modz00_3079;

															{	/* Trace/walk.scm 376 */
																int BgL_arg2424z00_3080;

																BgL_arg2424z00_3080 = (int) (((long) 8));
																{	/* Trace/walk.scm 376 */
																	long BgL_auxz00_4250;

																	BgL_auxz00_4250 =
																		(long) (BgL_arg2424z00_3080);
																	BgL_modz00_3079 =
																		(BgL_offsetz00_3078 / BgL_auxz00_4250);
															}}
															{	/* Trace/walk.scm 376 */
																long BgL_restz00_3081;

																{	/* Trace/walk.scm 376 */
																	int BgL_arg2423z00_3082;

																	BgL_arg2423z00_3082 = (int) (((long) 8));
																	{	/* Trace/walk.scm 376 */
																		long BgL_auxz00_4254;

																		BgL_auxz00_4254 =
																			(long) (BgL_arg2423z00_3082);
																		BgL_restz00_3081 =
																			(BgL_offsetz00_3078 % BgL_auxz00_4254);
																}}
																{	/* Trace/walk.scm 376 */

																	BgL_method3270z00_3071 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_3076,
																			(int) (BgL_modz00_3079)),
																		(int) (BgL_restz00_3081));
									}}}}}}}}
									BgL_res3780z00_3096 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_3071)
										(BgL_method3270z00_3071, (obj_t) (BgL_arg3637z00_3067),
											BgL_stackz00_1737, BEOA));
								}
								BgL_arg3636z00_3066 = BgL_res3780z00_3096;
						}}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1736))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3636z00_3066), BUNSPEC);
					}
					BgL_auxz00_4240 = BgL_nodez00_1736;
					return (obj_t) (BgL_auxz00_4240);
				}
			}
		}
	}



/* trace-node-let-var3294 */
	obj_t BGl_tracezd2nodezd2letzd2var3294zd2zztrace_walkz00(obj_t
		BgL_envz00_3377, obj_t BgL_nodez00_3378, obj_t BgL_stackz00_3379)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 364 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1717;

				obj_t BgL_stackz00_1718;

				{	/* Trace/walk.scm 365 */
					BgL_letzd2varzd2_bglt BgL_auxz00_4268;

					BgL_nodez00_1717 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_3378);
					BgL_stackz00_1718 = BgL_stackz00_3379;
					{	/* Trace/walk.scm 366 */
						obj_t BgL_g3237z00_1722;

						BgL_g3237z00_1722 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1717))->
							BgL_bindingsz00);
						{
							obj_t BgL_l3235z00_1724;

							BgL_l3235z00_1724 = BgL_g3237z00_1722;
						BgL_zc3anonymousza33628ze3z83_1725:
							if (PAIRP(BgL_l3235z00_1724))
								{	/* Trace/walk.scm 366 */
									{	/* Trace/walk.scm 367 */
										obj_t BgL_bindingz00_1727;

										BgL_bindingz00_1727 = CAR(BgL_l3235z00_1724);
										{	/* Trace/walk.scm 367 */
											BgL_nodez00_bglt BgL_arg3630z00_1728;

											{	/* Trace/walk.scm 367 */
												obj_t BgL_arg3631z00_1729;

												BgL_arg3631z00_1729 = CDR(BgL_bindingz00_1727);
												{	/* Trace/walk.scm 367 */
													BgL_nodez00_bglt BgL_res3774z00_3031;

													{	/* Trace/walk.scm 367 */
														BgL_nodez00_bglt BgL_nodez00_3004;

														BgL_nodez00_3004 =
															(BgL_nodez00_bglt) (BgL_arg3631z00_1729);
														{	/* Trace/walk.scm 367 */
															obj_t BgL_method3270z00_3006;

															{	/* Trace/walk.scm 367 */
																BgL_objectz00_bglt BgL_objz00_3007;

																BgL_objz00_3007 =
																	(BgL_objectz00_bglt) (BgL_nodez00_3004);
																{	/* Trace/walk.scm 367 */
																	long BgL_objzd2classzd2numz00_3008;

																	BgL_objzd2classzd2numz00_3008 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_3007);
																	{	/* Trace/walk.scm 367 */
																		obj_t BgL_arg2422z00_3009;

																		BgL_arg2422z00_3009 =
																			PROCEDURE_REF
																			(BGl_tracezd2nodezd2envz00zztrace_walkz00,
																			(int) (((long) 1)));
																		{	/* Trace/walk.scm 367 */
																			obj_t BgL_arrayz00_3011;

																			int BgL_offsetz00_3012;

																			BgL_arrayz00_3011 = BgL_arg2422z00_3009;
																			BgL_offsetz00_3012 =
																				(int) (BgL_objzd2classzd2numz00_3008);
																			{	/* Trace/walk.scm 367 */
																				long BgL_offsetz00_3013;

																				BgL_offsetz00_3013 =
																					(
																					(long) (BgL_offsetz00_3012) -
																					OBJECT_TYPE);
																				{	/* Trace/walk.scm 367 */
																					long BgL_modz00_3014;

																					{	/* Trace/walk.scm 367 */
																						int BgL_arg2424z00_3015;

																						BgL_arg2424z00_3015 =
																							(int) (((long) 8));
																						{	/* Trace/walk.scm 367 */
																							long BgL_auxz00_4283;

																							BgL_auxz00_4283 =
																								(long) (BgL_arg2424z00_3015);
																							BgL_modz00_3014 =
																								(BgL_offsetz00_3013 /
																								BgL_auxz00_4283);
																					}}
																					{	/* Trace/walk.scm 367 */
																						long BgL_restz00_3016;

																						{	/* Trace/walk.scm 367 */
																							int BgL_arg2423z00_3017;

																							BgL_arg2423z00_3017 =
																								(int) (((long) 8));
																							{	/* Trace/walk.scm 367 */
																								long BgL_auxz00_4287;

																								BgL_auxz00_4287 =
																									(long) (BgL_arg2423z00_3017);
																								BgL_restz00_3016 =
																									(BgL_offsetz00_3013 %
																									BgL_auxz00_4287);
																						}}
																						{	/* Trace/walk.scm 367 */

																							BgL_method3270z00_3006 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_3011,
																									(int) (BgL_modz00_3014)),
																								(int) (BgL_restz00_3016));
															}}}}}}}}
															BgL_res3774z00_3031 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3270z00_3006)
																(BgL_method3270z00_3006,
																	(obj_t) (BgL_nodez00_3004), BgL_stackz00_1718,
																	BEOA));
													}}
													BgL_arg3630z00_1728 = BgL_res3774z00_3031;
											}}
											{	/* Trace/walk.scm 367 */
												obj_t BgL_auxz00_4298;

												BgL_auxz00_4298 = (obj_t) (BgL_arg3630z00_1728);
												SET_CDR(BgL_bindingz00_1727, BgL_auxz00_4298);
									}}}
									{
										obj_t BgL_l3235z00_4301;

										BgL_l3235z00_4301 = CDR(BgL_l3235z00_1724);
										BgL_l3235z00_1724 = BgL_l3235z00_4301;
										goto BgL_zc3anonymousza33628ze3z83_1725;
									}
								}
							else
								{	/* Trace/walk.scm 366 */
									((bool_t) 1);
								}
						}
					}
					{	/* Trace/walk.scm 369 */
						BgL_nodez00_bglt BgL_arg3633z00_1732;

						{	/* Trace/walk.scm 369 */
							BgL_nodez00_bglt BgL_arg3634z00_1733;

							BgL_arg3634z00_1733 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1717))->BgL_bodyz00);
							{	/* Trace/walk.scm 369 */
								BgL_nodez00_bglt BgL_res3777z00_3063;

								{	/* Trace/walk.scm 369 */
									obj_t BgL_method3270z00_3038;

									{	/* Trace/walk.scm 369 */
										BgL_objectz00_bglt BgL_objz00_3039;

										BgL_objz00_3039 =
											(BgL_objectz00_bglt) (BgL_arg3634z00_1733);
										{	/* Trace/walk.scm 369 */
											long BgL_objzd2classzd2numz00_3040;

											BgL_objzd2classzd2numz00_3040 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_3039);
											{	/* Trace/walk.scm 369 */
												obj_t BgL_arg2422z00_3041;

												BgL_arg2422z00_3041 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 369 */
													obj_t BgL_arrayz00_3043;

													int BgL_offsetz00_3044;

													BgL_arrayz00_3043 = BgL_arg2422z00_3041;
													BgL_offsetz00_3044 =
														(int) (BgL_objzd2classzd2numz00_3040);
													{	/* Trace/walk.scm 369 */
														long BgL_offsetz00_3045;

														BgL_offsetz00_3045 =
															((long) (BgL_offsetz00_3044) - OBJECT_TYPE);
														{	/* Trace/walk.scm 369 */
															long BgL_modz00_3046;

															{	/* Trace/walk.scm 369 */
																int BgL_arg2424z00_3047;

																BgL_arg2424z00_3047 = (int) (((long) 8));
																{	/* Trace/walk.scm 369 */
																	long BgL_auxz00_4312;

																	BgL_auxz00_4312 =
																		(long) (BgL_arg2424z00_3047);
																	BgL_modz00_3046 =
																		(BgL_offsetz00_3045 / BgL_auxz00_4312);
															}}
															{	/* Trace/walk.scm 369 */
																long BgL_restz00_3048;

																{	/* Trace/walk.scm 369 */
																	int BgL_arg2423z00_3049;

																	BgL_arg2423z00_3049 = (int) (((long) 8));
																	{	/* Trace/walk.scm 369 */
																		long BgL_auxz00_4316;

																		BgL_auxz00_4316 =
																			(long) (BgL_arg2423z00_3049);
																		BgL_restz00_3048 =
																			(BgL_offsetz00_3045 % BgL_auxz00_4316);
																}}
																{	/* Trace/walk.scm 369 */

																	BgL_method3270z00_3038 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_3043,
																			(int) (BgL_modz00_3046)),
																		(int) (BgL_restz00_3048));
									}}}}}}}}
									BgL_res3777z00_3063 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_3038)
										(BgL_method3270z00_3038, (obj_t) (BgL_arg3634z00_1733),
											BgL_stackz00_1718, BEOA));
								}
								BgL_arg3633z00_1732 = BgL_res3777z00_3063;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1717))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3633z00_1732), BUNSPEC);
					}
					BgL_auxz00_4268 = BgL_nodez00_1717;
					return (obj_t) (BgL_auxz00_4268);
				}
			}
		}
	}



/* trace-node-let-fun3292 */
	obj_t BGl_tracezd2nodezd2letzd2fun3292zd2zztrace_walkz00(obj_t
		BgL_envz00_3380, obj_t BgL_nodez00_3381, obj_t BgL_stackz00_3382)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 355 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1700;

				obj_t BgL_stackz00_1701;

				{	/* Trace/walk.scm 356 */
					BgL_letzd2funzd2_bglt BgL_auxz00_4330;

					BgL_nodez00_1700 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_3381);
					BgL_stackz00_1701 = BgL_stackz00_3382;
					{	/* Trace/walk.scm 357 */
						obj_t BgL_g3234z00_1705;

						BgL_g3234z00_1705 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1700))->BgL_localsz00);
						{
							obj_t BgL_l3232z00_1707;

							BgL_l3232z00_1707 = BgL_g3234z00_1705;
						BgL_zc3anonymousza33622ze3z83_1708:
							if (PAIRP(BgL_l3232z00_1707))
								{	/* Trace/walk.scm 357 */
									BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l3232z00_1707),
										BgL_stackz00_1701);
									{
										obj_t BgL_l3232z00_4336;

										BgL_l3232z00_4336 = CDR(BgL_l3232z00_1707);
										BgL_l3232z00_1707 = BgL_l3232z00_4336;
										goto BgL_zc3anonymousza33622ze3z83_1708;
									}
								}
							else
								{	/* Trace/walk.scm 357 */
									((bool_t) 1);
								}
						}
					}
					{	/* Trace/walk.scm 358 */
						BgL_nodez00_bglt BgL_arg3625z00_1713;

						{	/* Trace/walk.scm 358 */
							BgL_nodez00_bglt BgL_arg3626z00_1714;

							BgL_arg3626z00_1714 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1700))->BgL_bodyz00);
							{	/* Trace/walk.scm 358 */
								BgL_nodez00_bglt BgL_res3771z00_2997;

								{	/* Trace/walk.scm 358 */
									obj_t BgL_method3270z00_2972;

									{	/* Trace/walk.scm 358 */
										BgL_objectz00_bglt BgL_objz00_2973;

										BgL_objz00_2973 =
											(BgL_objectz00_bglt) (BgL_arg3626z00_1714);
										{	/* Trace/walk.scm 358 */
											long BgL_objzd2classzd2numz00_2974;

											BgL_objzd2classzd2numz00_2974 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2973);
											{	/* Trace/walk.scm 358 */
												obj_t BgL_arg2422z00_2975;

												BgL_arg2422z00_2975 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 358 */
													obj_t BgL_arrayz00_2977;

													int BgL_offsetz00_2978;

													BgL_arrayz00_2977 = BgL_arg2422z00_2975;
													BgL_offsetz00_2978 =
														(int) (BgL_objzd2classzd2numz00_2974);
													{	/* Trace/walk.scm 358 */
														long BgL_offsetz00_2979;

														BgL_offsetz00_2979 =
															((long) (BgL_offsetz00_2978) - OBJECT_TYPE);
														{	/* Trace/walk.scm 358 */
															long BgL_modz00_2980;

															{	/* Trace/walk.scm 358 */
																int BgL_arg2424z00_2981;

																BgL_arg2424z00_2981 = (int) (((long) 8));
																{	/* Trace/walk.scm 358 */
																	long BgL_auxz00_4347;

																	BgL_auxz00_4347 =
																		(long) (BgL_arg2424z00_2981);
																	BgL_modz00_2980 =
																		(BgL_offsetz00_2979 / BgL_auxz00_4347);
															}}
															{	/* Trace/walk.scm 358 */
																long BgL_restz00_2982;

																{	/* Trace/walk.scm 358 */
																	int BgL_arg2423z00_2983;

																	BgL_arg2423z00_2983 = (int) (((long) 8));
																	{	/* Trace/walk.scm 358 */
																		long BgL_auxz00_4351;

																		BgL_auxz00_4351 =
																			(long) (BgL_arg2423z00_2983);
																		BgL_restz00_2982 =
																			(BgL_offsetz00_2979 % BgL_auxz00_4351);
																}}
																{	/* Trace/walk.scm 358 */

																	BgL_method3270z00_2972 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2977,
																			(int) (BgL_modz00_2980)),
																		(int) (BgL_restz00_2982));
									}}}}}}}}
									BgL_res3771z00_2997 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2972)
										(BgL_method3270z00_2972, (obj_t) (BgL_arg3626z00_1714),
											BgL_stackz00_1701, BEOA));
								}
								BgL_arg3625z00_1713 = BgL_res3771z00_2997;
						}}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1700))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_arg3625z00_1713), BUNSPEC);
					}
					BgL_auxz00_4330 = BgL_nodez00_1700;
					return (obj_t) (BgL_auxz00_4330);
				}
			}
		}
	}



/* trace-node-select3290 */
	obj_t BGl_tracezd2nodezd2select3290z00zztrace_walkz00(obj_t BgL_envz00_3383,
		obj_t BgL_nodez00_3384, obj_t BgL_stackz00_3385)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 344 */
			{
				BgL_selectz00_bglt BgL_nodez00_1681;

				obj_t BgL_stackz00_1682;

				{	/* Trace/walk.scm 345 */
					BgL_selectz00_bglt BgL_auxz00_4365;

					BgL_nodez00_1681 = (BgL_selectz00_bglt) (BgL_nodez00_3384);
					BgL_stackz00_1682 = BgL_stackz00_3385;
					{	/* Trace/walk.scm 346 */
						BgL_nodez00_bglt BgL_arg3614z00_1686;

						{	/* Trace/walk.scm 346 */
							BgL_nodez00_bglt BgL_arg3615z00_1687;

							BgL_arg3615z00_1687 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1681))->BgL_testz00);
							{	/* Trace/walk.scm 346 */
								BgL_nodez00_bglt BgL_res3765z00_2927;

								{	/* Trace/walk.scm 346 */
									obj_t BgL_method3270z00_2902;

									{	/* Trace/walk.scm 346 */
										BgL_objectz00_bglt BgL_objz00_2903;

										BgL_objz00_2903 =
											(BgL_objectz00_bglt) (BgL_arg3615z00_1687);
										{	/* Trace/walk.scm 346 */
											long BgL_objzd2classzd2numz00_2904;

											BgL_objzd2classzd2numz00_2904 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2903);
											{	/* Trace/walk.scm 346 */
												obj_t BgL_arg2422z00_2905;

												BgL_arg2422z00_2905 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 346 */
													obj_t BgL_arrayz00_2907;

													int BgL_offsetz00_2908;

													BgL_arrayz00_2907 = BgL_arg2422z00_2905;
													BgL_offsetz00_2908 =
														(int) (BgL_objzd2classzd2numz00_2904);
													{	/* Trace/walk.scm 346 */
														long BgL_offsetz00_2909;

														BgL_offsetz00_2909 =
															((long) (BgL_offsetz00_2908) - OBJECT_TYPE);
														{	/* Trace/walk.scm 346 */
															long BgL_modz00_2910;

															{	/* Trace/walk.scm 346 */
																int BgL_arg2424z00_2911;

																BgL_arg2424z00_2911 = (int) (((long) 8));
																{	/* Trace/walk.scm 346 */
																	long BgL_auxz00_4375;

																	BgL_auxz00_4375 =
																		(long) (BgL_arg2424z00_2911);
																	BgL_modz00_2910 =
																		(BgL_offsetz00_2909 / BgL_auxz00_4375);
															}}
															{	/* Trace/walk.scm 346 */
																long BgL_restz00_2912;

																{	/* Trace/walk.scm 346 */
																	int BgL_arg2423z00_2913;

																	BgL_arg2423z00_2913 = (int) (((long) 8));
																	{	/* Trace/walk.scm 346 */
																		long BgL_auxz00_4379;

																		BgL_auxz00_4379 =
																			(long) (BgL_arg2423z00_2913);
																		BgL_restz00_2912 =
																			(BgL_offsetz00_2909 % BgL_auxz00_4379);
																}}
																{	/* Trace/walk.scm 346 */

																	BgL_method3270z00_2902 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2907,
																			(int) (BgL_modz00_2910)),
																		(int) (BgL_restz00_2912));
									}}}}}}}}
									BgL_res3765z00_2927 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2902)
										(BgL_method3270z00_2902, (obj_t) (BgL_arg3615z00_1687),
											BgL_stackz00_1682, BEOA));
								}
								BgL_arg3614z00_1686 = BgL_res3765z00_2927;
						}}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1681))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3614z00_1686), BUNSPEC);
					}
					{	/* Trace/walk.scm 347 */
						obj_t BgL_g3231z00_1688;

						BgL_g3231z00_1688 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1681))->BgL_clausesz00);
						{
							obj_t BgL_l3229z00_1690;

							BgL_l3229z00_1690 = BgL_g3231z00_1688;
						BgL_zc3anonymousza33616ze3z83_1691:
							if (PAIRP(BgL_l3229z00_1690))
								{	/* Trace/walk.scm 347 */
									{	/* Trace/walk.scm 348 */
										obj_t BgL_clausez00_1693;

										BgL_clausez00_1693 = CAR(BgL_l3229z00_1690);
										{	/* Trace/walk.scm 348 */
											BgL_nodez00_bglt BgL_arg3618z00_1694;

											{	/* Trace/walk.scm 348 */
												obj_t BgL_arg3619z00_1695;

												BgL_arg3619z00_1695 = CDR(BgL_clausez00_1693);
												{	/* Trace/walk.scm 348 */
													BgL_nodez00_bglt BgL_res3768z00_2961;

													{	/* Trace/walk.scm 348 */
														BgL_nodez00_bglt BgL_nodez00_2934;

														BgL_nodez00_2934 =
															(BgL_nodez00_bglt) (BgL_arg3619z00_1695);
														{	/* Trace/walk.scm 348 */
															obj_t BgL_method3270z00_2936;

															{	/* Trace/walk.scm 348 */
																BgL_objectz00_bglt BgL_objz00_2937;

																BgL_objz00_2937 =
																	(BgL_objectz00_bglt) (BgL_nodez00_2934);
																{	/* Trace/walk.scm 348 */
																	long BgL_objzd2classzd2numz00_2938;

																	BgL_objzd2classzd2numz00_2938 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_2937);
																	{	/* Trace/walk.scm 348 */
																		obj_t BgL_arg2422z00_2939;

																		BgL_arg2422z00_2939 =
																			PROCEDURE_REF
																			(BGl_tracezd2nodezd2envz00zztrace_walkz00,
																			(int) (((long) 1)));
																		{	/* Trace/walk.scm 348 */
																			obj_t BgL_arrayz00_2941;

																			int BgL_offsetz00_2942;

																			BgL_arrayz00_2941 = BgL_arg2422z00_2939;
																			BgL_offsetz00_2942 =
																				(int) (BgL_objzd2classzd2numz00_2938);
																			{	/* Trace/walk.scm 348 */
																				long BgL_offsetz00_2943;

																				BgL_offsetz00_2943 =
																					(
																					(long) (BgL_offsetz00_2942) -
																					OBJECT_TYPE);
																				{	/* Trace/walk.scm 348 */
																					long BgL_modz00_2944;

																					{	/* Trace/walk.scm 348 */
																						int BgL_arg2424z00_2945;

																						BgL_arg2424z00_2945 =
																							(int) (((long) 8));
																						{	/* Trace/walk.scm 348 */
																							long BgL_auxz00_4405;

																							BgL_auxz00_4405 =
																								(long) (BgL_arg2424z00_2945);
																							BgL_modz00_2944 =
																								(BgL_offsetz00_2943 /
																								BgL_auxz00_4405);
																					}}
																					{	/* Trace/walk.scm 348 */
																						long BgL_restz00_2946;

																						{	/* Trace/walk.scm 348 */
																							int BgL_arg2423z00_2947;

																							BgL_arg2423z00_2947 =
																								(int) (((long) 8));
																							{	/* Trace/walk.scm 348 */
																								long BgL_auxz00_4409;

																								BgL_auxz00_4409 =
																									(long) (BgL_arg2423z00_2947);
																								BgL_restz00_2946 =
																									(BgL_offsetz00_2943 %
																									BgL_auxz00_4409);
																						}}
																						{	/* Trace/walk.scm 348 */

																							BgL_method3270z00_2936 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_2941,
																									(int) (BgL_modz00_2944)),
																								(int) (BgL_restz00_2946));
															}}}}}}}}
															BgL_res3768z00_2961 =
																(BgL_nodez00_bglt) (PROCEDURE_ENTRY
																(BgL_method3270z00_2936)
																(BgL_method3270z00_2936,
																	(obj_t) (BgL_nodez00_2934), BgL_stackz00_1682,
																	BEOA));
													}}
													BgL_arg3618z00_1694 = BgL_res3768z00_2961;
											}}
											{	/* Trace/walk.scm 348 */
												obj_t BgL_auxz00_4420;

												BgL_auxz00_4420 = (obj_t) (BgL_arg3618z00_1694);
												SET_CDR(BgL_clausez00_1693, BgL_auxz00_4420);
									}}}
									{
										obj_t BgL_l3229z00_4423;

										BgL_l3229z00_4423 = CDR(BgL_l3229z00_1690);
										BgL_l3229z00_1690 = BgL_l3229z00_4423;
										goto BgL_zc3anonymousza33616ze3z83_1691;
									}
								}
							else
								{	/* Trace/walk.scm 347 */
									((bool_t) 1);
								}
						}
					}
					BgL_auxz00_4365 = BgL_nodez00_1681;
					return (obj_t) (BgL_auxz00_4365);
				}
			}
		}
	}



/* trace-node-fail3288 */
	obj_t BGl_tracezd2nodezd2fail3288z00zztrace_walkz00(obj_t BgL_envz00_3386,
		obj_t BgL_nodez00_3387, obj_t BgL_stackz00_3388)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 334 */
			{
				BgL_failz00_bglt BgL_nodez00_1668;

				obj_t BgL_stackz00_1669;

				{	/* Trace/walk.scm 335 */
					BgL_failz00_bglt BgL_auxz00_4427;

					BgL_nodez00_1668 = (BgL_failz00_bglt) (BgL_nodez00_3387);
					BgL_stackz00_1669 = BgL_stackz00_3388;
					{	/* Trace/walk.scm 336 */
						BgL_nodez00_bglt BgL_arg3607z00_1673;

						{	/* Trace/walk.scm 336 */
							BgL_nodez00_bglt BgL_arg3608z00_1674;

							BgL_arg3608z00_1674 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_procz00);
							{	/* Trace/walk.scm 336 */
								BgL_nodez00_bglt BgL_res3756z00_2834;

								{	/* Trace/walk.scm 336 */
									obj_t BgL_method3270z00_2809;

									{	/* Trace/walk.scm 336 */
										BgL_objectz00_bglt BgL_objz00_2810;

										BgL_objz00_2810 =
											(BgL_objectz00_bglt) (BgL_arg3608z00_1674);
										{	/* Trace/walk.scm 336 */
											long BgL_objzd2classzd2numz00_2811;

											BgL_objzd2classzd2numz00_2811 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2810);
											{	/* Trace/walk.scm 336 */
												obj_t BgL_arg2422z00_2812;

												BgL_arg2422z00_2812 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 336 */
													obj_t BgL_arrayz00_2814;

													int BgL_offsetz00_2815;

													BgL_arrayz00_2814 = BgL_arg2422z00_2812;
													BgL_offsetz00_2815 =
														(int) (BgL_objzd2classzd2numz00_2811);
													{	/* Trace/walk.scm 336 */
														long BgL_offsetz00_2816;

														BgL_offsetz00_2816 =
															((long) (BgL_offsetz00_2815) - OBJECT_TYPE);
														{	/* Trace/walk.scm 336 */
															long BgL_modz00_2817;

															{	/* Trace/walk.scm 336 */
																int BgL_arg2424z00_2818;

																BgL_arg2424z00_2818 = (int) (((long) 8));
																{	/* Trace/walk.scm 336 */
																	long BgL_auxz00_4437;

																	BgL_auxz00_4437 =
																		(long) (BgL_arg2424z00_2818);
																	BgL_modz00_2817 =
																		(BgL_offsetz00_2816 / BgL_auxz00_4437);
															}}
															{	/* Trace/walk.scm 336 */
																long BgL_restz00_2819;

																{	/* Trace/walk.scm 336 */
																	int BgL_arg2423z00_2820;

																	BgL_arg2423z00_2820 = (int) (((long) 8));
																	{	/* Trace/walk.scm 336 */
																		long BgL_auxz00_4441;

																		BgL_auxz00_4441 =
																			(long) (BgL_arg2423z00_2820);
																		BgL_restz00_2819 =
																			(BgL_offsetz00_2816 % BgL_auxz00_4441);
																}}
																{	/* Trace/walk.scm 336 */

																	BgL_method3270z00_2809 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2814,
																			(int) (BgL_modz00_2817)),
																		(int) (BgL_restz00_2819));
									}}}}}}}}
									BgL_res3756z00_2834 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2809)
										(BgL_method3270z00_2809, (obj_t) (BgL_arg3608z00_1674),
											BgL_stackz00_1669, BEOA));
								}
								BgL_arg3607z00_1673 = BgL_res3756z00_2834;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_procz00) =
							((BgL_nodez00_bglt) BgL_arg3607z00_1673), BUNSPEC);
					}
					{	/* Trace/walk.scm 337 */
						BgL_nodez00_bglt BgL_arg3609z00_1675;

						{	/* Trace/walk.scm 337 */
							BgL_nodez00_bglt BgL_arg3610z00_1676;

							BgL_arg3610z00_1676 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_msgz00);
							{	/* Trace/walk.scm 337 */
								BgL_nodez00_bglt BgL_res3759z00_2865;

								{	/* Trace/walk.scm 337 */
									obj_t BgL_method3270z00_2840;

									{	/* Trace/walk.scm 337 */
										BgL_objectz00_bglt BgL_objz00_2841;

										BgL_objz00_2841 =
											(BgL_objectz00_bglt) (BgL_arg3610z00_1676);
										{	/* Trace/walk.scm 337 */
											long BgL_objzd2classzd2numz00_2842;

											BgL_objzd2classzd2numz00_2842 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2841);
											{	/* Trace/walk.scm 337 */
												obj_t BgL_arg2422z00_2843;

												BgL_arg2422z00_2843 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 337 */
													obj_t BgL_arrayz00_2845;

													int BgL_offsetz00_2846;

													BgL_arrayz00_2845 = BgL_arg2422z00_2843;
													BgL_offsetz00_2846 =
														(int) (BgL_objzd2classzd2numz00_2842);
													{	/* Trace/walk.scm 337 */
														long BgL_offsetz00_2847;

														BgL_offsetz00_2847 =
															((long) (BgL_offsetz00_2846) - OBJECT_TYPE);
														{	/* Trace/walk.scm 337 */
															long BgL_modz00_2848;

															{	/* Trace/walk.scm 337 */
																int BgL_arg2424z00_2849;

																BgL_arg2424z00_2849 = (int) (((long) 8));
																{	/* Trace/walk.scm 337 */
																	long BgL_auxz00_4462;

																	BgL_auxz00_4462 =
																		(long) (BgL_arg2424z00_2849);
																	BgL_modz00_2848 =
																		(BgL_offsetz00_2847 / BgL_auxz00_4462);
															}}
															{	/* Trace/walk.scm 337 */
																long BgL_restz00_2850;

																{	/* Trace/walk.scm 337 */
																	int BgL_arg2423z00_2851;

																	BgL_arg2423z00_2851 = (int) (((long) 8));
																	{	/* Trace/walk.scm 337 */
																		long BgL_auxz00_4466;

																		BgL_auxz00_4466 =
																			(long) (BgL_arg2423z00_2851);
																		BgL_restz00_2850 =
																			(BgL_offsetz00_2847 % BgL_auxz00_4466);
																}}
																{	/* Trace/walk.scm 337 */

																	BgL_method3270z00_2840 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2845,
																			(int) (BgL_modz00_2848)),
																		(int) (BgL_restz00_2850));
									}}}}}}}}
									BgL_res3759z00_2865 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2840)
										(BgL_method3270z00_2840, (obj_t) (BgL_arg3610z00_1676),
											BgL_stackz00_1669, BEOA));
								}
								BgL_arg3609z00_1675 = BgL_res3759z00_2865;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_msgz00) =
							((BgL_nodez00_bglt) BgL_arg3609z00_1675), BUNSPEC);
					}
					{	/* Trace/walk.scm 338 */
						BgL_nodez00_bglt BgL_arg3611z00_1677;

						{	/* Trace/walk.scm 338 */
							BgL_nodez00_bglt BgL_arg3612z00_1678;

							BgL_arg3612z00_1678 =
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_objz00);
							{	/* Trace/walk.scm 338 */
								BgL_nodez00_bglt BgL_res3762z00_2896;

								{	/* Trace/walk.scm 338 */
									obj_t BgL_method3270z00_2871;

									{	/* Trace/walk.scm 338 */
										BgL_objectz00_bglt BgL_objz00_2872;

										BgL_objz00_2872 =
											(BgL_objectz00_bglt) (BgL_arg3612z00_1678);
										{	/* Trace/walk.scm 338 */
											long BgL_objzd2classzd2numz00_2873;

											BgL_objzd2classzd2numz00_2873 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2872);
											{	/* Trace/walk.scm 338 */
												obj_t BgL_arg2422z00_2874;

												BgL_arg2422z00_2874 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 338 */
													obj_t BgL_arrayz00_2876;

													int BgL_offsetz00_2877;

													BgL_arrayz00_2876 = BgL_arg2422z00_2874;
													BgL_offsetz00_2877 =
														(int) (BgL_objzd2classzd2numz00_2873);
													{	/* Trace/walk.scm 338 */
														long BgL_offsetz00_2878;

														BgL_offsetz00_2878 =
															((long) (BgL_offsetz00_2877) - OBJECT_TYPE);
														{	/* Trace/walk.scm 338 */
															long BgL_modz00_2879;

															{	/* Trace/walk.scm 338 */
																int BgL_arg2424z00_2880;

																BgL_arg2424z00_2880 = (int) (((long) 8));
																{	/* Trace/walk.scm 338 */
																	long BgL_auxz00_4487;

																	BgL_auxz00_4487 =
																		(long) (BgL_arg2424z00_2880);
																	BgL_modz00_2879 =
																		(BgL_offsetz00_2878 / BgL_auxz00_4487);
															}}
															{	/* Trace/walk.scm 338 */
																long BgL_restz00_2881;

																{	/* Trace/walk.scm 338 */
																	int BgL_arg2423z00_2882;

																	BgL_arg2423z00_2882 = (int) (((long) 8));
																	{	/* Trace/walk.scm 338 */
																		long BgL_auxz00_4491;

																		BgL_auxz00_4491 =
																			(long) (BgL_arg2423z00_2882);
																		BgL_restz00_2881 =
																			(BgL_offsetz00_2878 % BgL_auxz00_4491);
																}}
																{	/* Trace/walk.scm 338 */

																	BgL_method3270z00_2871 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2876,
																			(int) (BgL_modz00_2879)),
																		(int) (BgL_restz00_2881));
									}}}}}}}}
									BgL_res3762z00_2896 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2871)
										(BgL_method3270z00_2871, (obj_t) (BgL_arg3612z00_1678),
											BgL_stackz00_1669, BEOA));
								}
								BgL_arg3611z00_1677 = BgL_res3762z00_2896;
						}}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_objz00) =
							((BgL_nodez00_bglt) BgL_arg3611z00_1677), BUNSPEC);
					}
					BgL_auxz00_4427 = BgL_nodez00_1668;
					return (obj_t) (BgL_auxz00_4427);
				}
			}
		}
	}



/* trace-node-condition3286 */
	obj_t BGl_tracezd2nodezd2condition3286z00zztrace_walkz00(obj_t
		BgL_envz00_3389, obj_t BgL_nodez00_3390, obj_t BgL_stackz00_3391)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 324 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1655;

				obj_t BgL_stackz00_1656;

				{	/* Trace/walk.scm 325 */
					BgL_conditionalz00_bglt BgL_auxz00_4505;

					BgL_nodez00_1655 = (BgL_conditionalz00_bglt) (BgL_nodez00_3390);
					BgL_stackz00_1656 = BgL_stackz00_3391;
					{	/* Trace/walk.scm 326 */
						BgL_nodez00_bglt BgL_arg3600z00_1660;

						{	/* Trace/walk.scm 326 */
							BgL_nodez00_bglt BgL_arg3601z00_1661;

							BgL_arg3601z00_1661 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1655))->
								BgL_testz00);
							{	/* Trace/walk.scm 326 */
								BgL_nodez00_bglt BgL_res3747z00_2741;

								{	/* Trace/walk.scm 326 */
									obj_t BgL_method3270z00_2716;

									{	/* Trace/walk.scm 326 */
										BgL_objectz00_bglt BgL_objz00_2717;

										BgL_objz00_2717 =
											(BgL_objectz00_bglt) (BgL_arg3601z00_1661);
										{	/* Trace/walk.scm 326 */
											long BgL_objzd2classzd2numz00_2718;

											BgL_objzd2classzd2numz00_2718 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2717);
											{	/* Trace/walk.scm 326 */
												obj_t BgL_arg2422z00_2719;

												BgL_arg2422z00_2719 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 326 */
													obj_t BgL_arrayz00_2721;

													int BgL_offsetz00_2722;

													BgL_arrayz00_2721 = BgL_arg2422z00_2719;
													BgL_offsetz00_2722 =
														(int) (BgL_objzd2classzd2numz00_2718);
													{	/* Trace/walk.scm 326 */
														long BgL_offsetz00_2723;

														BgL_offsetz00_2723 =
															((long) (BgL_offsetz00_2722) - OBJECT_TYPE);
														{	/* Trace/walk.scm 326 */
															long BgL_modz00_2724;

															{	/* Trace/walk.scm 326 */
																int BgL_arg2424z00_2725;

																BgL_arg2424z00_2725 = (int) (((long) 8));
																{	/* Trace/walk.scm 326 */
																	long BgL_auxz00_4515;

																	BgL_auxz00_4515 =
																		(long) (BgL_arg2424z00_2725);
																	BgL_modz00_2724 =
																		(BgL_offsetz00_2723 / BgL_auxz00_4515);
															}}
															{	/* Trace/walk.scm 326 */
																long BgL_restz00_2726;

																{	/* Trace/walk.scm 326 */
																	int BgL_arg2423z00_2727;

																	BgL_arg2423z00_2727 = (int) (((long) 8));
																	{	/* Trace/walk.scm 326 */
																		long BgL_auxz00_4519;

																		BgL_auxz00_4519 =
																			(long) (BgL_arg2423z00_2727);
																		BgL_restz00_2726 =
																			(BgL_offsetz00_2723 % BgL_auxz00_4519);
																}}
																{	/* Trace/walk.scm 326 */

																	BgL_method3270z00_2716 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2721,
																			(int) (BgL_modz00_2724)),
																		(int) (BgL_restz00_2726));
									}}}}}}}}
									BgL_res3747z00_2741 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2716)
										(BgL_method3270z00_2716, (obj_t) (BgL_arg3601z00_1661),
											BgL_stackz00_1656, BEOA));
								}
								BgL_arg3600z00_1660 = BgL_res3747z00_2741;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1655))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_arg3600z00_1660), BUNSPEC);
					}
					{	/* Trace/walk.scm 327 */
						BgL_nodez00_bglt BgL_arg3602z00_1662;

						{	/* Trace/walk.scm 327 */
							BgL_nodez00_bglt BgL_arg3603z00_1663;

							BgL_arg3603z00_1663 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1655))->
								BgL_truez00);
							{	/* Trace/walk.scm 327 */
								BgL_nodez00_bglt BgL_res3750z00_2772;

								{	/* Trace/walk.scm 327 */
									obj_t BgL_method3270z00_2747;

									{	/* Trace/walk.scm 327 */
										BgL_objectz00_bglt BgL_objz00_2748;

										BgL_objz00_2748 =
											(BgL_objectz00_bglt) (BgL_arg3603z00_1663);
										{	/* Trace/walk.scm 327 */
											long BgL_objzd2classzd2numz00_2749;

											BgL_objzd2classzd2numz00_2749 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2748);
											{	/* Trace/walk.scm 327 */
												obj_t BgL_arg2422z00_2750;

												BgL_arg2422z00_2750 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 327 */
													obj_t BgL_arrayz00_2752;

													int BgL_offsetz00_2753;

													BgL_arrayz00_2752 = BgL_arg2422z00_2750;
													BgL_offsetz00_2753 =
														(int) (BgL_objzd2classzd2numz00_2749);
													{	/* Trace/walk.scm 327 */
														long BgL_offsetz00_2754;

														BgL_offsetz00_2754 =
															((long) (BgL_offsetz00_2753) - OBJECT_TYPE);
														{	/* Trace/walk.scm 327 */
															long BgL_modz00_2755;

															{	/* Trace/walk.scm 327 */
																int BgL_arg2424z00_2756;

																BgL_arg2424z00_2756 = (int) (((long) 8));
																{	/* Trace/walk.scm 327 */
																	long BgL_auxz00_4540;

																	BgL_auxz00_4540 =
																		(long) (BgL_arg2424z00_2756);
																	BgL_modz00_2755 =
																		(BgL_offsetz00_2754 / BgL_auxz00_4540);
															}}
															{	/* Trace/walk.scm 327 */
																long BgL_restz00_2757;

																{	/* Trace/walk.scm 327 */
																	int BgL_arg2423z00_2758;

																	BgL_arg2423z00_2758 = (int) (((long) 8));
																	{	/* Trace/walk.scm 327 */
																		long BgL_auxz00_4544;

																		BgL_auxz00_4544 =
																			(long) (BgL_arg2423z00_2758);
																		BgL_restz00_2757 =
																			(BgL_offsetz00_2754 % BgL_auxz00_4544);
																}}
																{	/* Trace/walk.scm 327 */

																	BgL_method3270z00_2747 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2752,
																			(int) (BgL_modz00_2755)),
																		(int) (BgL_restz00_2757));
									}}}}}}}}
									BgL_res3750z00_2772 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2747)
										(BgL_method3270z00_2747, (obj_t) (BgL_arg3603z00_1663),
											BgL_stackz00_1656, BEOA));
								}
								BgL_arg3602z00_1662 = BgL_res3750z00_2772;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1655))->BgL_truez00) =
							((BgL_nodez00_bglt) BgL_arg3602z00_1662), BUNSPEC);
					}
					{	/* Trace/walk.scm 328 */
						BgL_nodez00_bglt BgL_arg3604z00_1664;

						{	/* Trace/walk.scm 328 */
							BgL_nodez00_bglt BgL_arg3605z00_1665;

							BgL_arg3605z00_1665 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1655))->
								BgL_falsez00);
							{	/* Trace/walk.scm 328 */
								BgL_nodez00_bglt BgL_res3753z00_2803;

								{	/* Trace/walk.scm 328 */
									obj_t BgL_method3270z00_2778;

									{	/* Trace/walk.scm 328 */
										BgL_objectz00_bglt BgL_objz00_2779;

										BgL_objz00_2779 =
											(BgL_objectz00_bglt) (BgL_arg3605z00_1665);
										{	/* Trace/walk.scm 328 */
											long BgL_objzd2classzd2numz00_2780;

											BgL_objzd2classzd2numz00_2780 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2779);
											{	/* Trace/walk.scm 328 */
												obj_t BgL_arg2422z00_2781;

												BgL_arg2422z00_2781 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 328 */
													obj_t BgL_arrayz00_2783;

													int BgL_offsetz00_2784;

													BgL_arrayz00_2783 = BgL_arg2422z00_2781;
													BgL_offsetz00_2784 =
														(int) (BgL_objzd2classzd2numz00_2780);
													{	/* Trace/walk.scm 328 */
														long BgL_offsetz00_2785;

														BgL_offsetz00_2785 =
															((long) (BgL_offsetz00_2784) - OBJECT_TYPE);
														{	/* Trace/walk.scm 328 */
															long BgL_modz00_2786;

															{	/* Trace/walk.scm 328 */
																int BgL_arg2424z00_2787;

																BgL_arg2424z00_2787 = (int) (((long) 8));
																{	/* Trace/walk.scm 328 */
																	long BgL_auxz00_4565;

																	BgL_auxz00_4565 =
																		(long) (BgL_arg2424z00_2787);
																	BgL_modz00_2786 =
																		(BgL_offsetz00_2785 / BgL_auxz00_4565);
															}}
															{	/* Trace/walk.scm 328 */
																long BgL_restz00_2788;

																{	/* Trace/walk.scm 328 */
																	int BgL_arg2423z00_2789;

																	BgL_arg2423z00_2789 = (int) (((long) 8));
																	{	/* Trace/walk.scm 328 */
																		long BgL_auxz00_4569;

																		BgL_auxz00_4569 =
																			(long) (BgL_arg2423z00_2789);
																		BgL_restz00_2788 =
																			(BgL_offsetz00_2785 % BgL_auxz00_4569);
																}}
																{	/* Trace/walk.scm 328 */

																	BgL_method3270z00_2778 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2783,
																			(int) (BgL_modz00_2786)),
																		(int) (BgL_restz00_2788));
									}}}}}}}}
									BgL_res3753z00_2803 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2778)
										(BgL_method3270z00_2778, (obj_t) (BgL_arg3605z00_1665),
											BgL_stackz00_1656, BEOA));
								}
								BgL_arg3604z00_1664 = BgL_res3753z00_2803;
						}}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1655))->
								BgL_falsez00) =
							((BgL_nodez00_bglt) BgL_arg3604z00_1664), BUNSPEC);
					}
					BgL_auxz00_4505 = BgL_nodez00_1655;
					return (obj_t) (BgL_auxz00_4505);
				}
			}
		}
	}



/* trace-node-setq3284 */
	obj_t BGl_tracezd2nodezd2setq3284z00zztrace_walkz00(obj_t BgL_envz00_3392,
		obj_t BgL_nodez00_3393, obj_t BgL_stackz00_3394)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 317 */
			{
				BgL_setqz00_bglt BgL_nodez00_1647;

				obj_t BgL_stackz00_1648;

				{	/* Trace/walk.scm 318 */
					BgL_setqz00_bglt BgL_auxz00_4583;

					BgL_nodez00_1647 = (BgL_setqz00_bglt) (BgL_nodez00_3393);
					BgL_stackz00_1648 = BgL_stackz00_3394;
					{	/* Trace/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3597z00_2680;

						{	/* Trace/walk.scm 318 */
							BgL_nodez00_bglt BgL_arg3598z00_2681;

							BgL_arg3598z00_2681 =
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1647))->BgL_valuez00);
							{	/* Trace/walk.scm 318 */
								BgL_nodez00_bglt BgL_res3744z00_2710;

								{	/* Trace/walk.scm 318 */
									obj_t BgL_method3270z00_2685;

									{	/* Trace/walk.scm 318 */
										BgL_objectz00_bglt BgL_objz00_2686;

										BgL_objz00_2686 =
											(BgL_objectz00_bglt) (BgL_arg3598z00_2681);
										{	/* Trace/walk.scm 318 */
											long BgL_objzd2classzd2numz00_2687;

											BgL_objzd2classzd2numz00_2687 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2686);
											{	/* Trace/walk.scm 318 */
												obj_t BgL_arg2422z00_2688;

												BgL_arg2422z00_2688 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 318 */
													obj_t BgL_arrayz00_2690;

													int BgL_offsetz00_2691;

													BgL_arrayz00_2690 = BgL_arg2422z00_2688;
													BgL_offsetz00_2691 =
														(int) (BgL_objzd2classzd2numz00_2687);
													{	/* Trace/walk.scm 318 */
														long BgL_offsetz00_2692;

														BgL_offsetz00_2692 =
															((long) (BgL_offsetz00_2691) - OBJECT_TYPE);
														{	/* Trace/walk.scm 318 */
															long BgL_modz00_2693;

															{	/* Trace/walk.scm 318 */
																int BgL_arg2424z00_2694;

																BgL_arg2424z00_2694 = (int) (((long) 8));
																{	/* Trace/walk.scm 318 */
																	long BgL_auxz00_4593;

																	BgL_auxz00_4593 =
																		(long) (BgL_arg2424z00_2694);
																	BgL_modz00_2693 =
																		(BgL_offsetz00_2692 / BgL_auxz00_4593);
															}}
															{	/* Trace/walk.scm 318 */
																long BgL_restz00_2695;

																{	/* Trace/walk.scm 318 */
																	int BgL_arg2423z00_2696;

																	BgL_arg2423z00_2696 = (int) (((long) 8));
																	{	/* Trace/walk.scm 318 */
																		long BgL_auxz00_4597;

																		BgL_auxz00_4597 =
																			(long) (BgL_arg2423z00_2696);
																		BgL_restz00_2695 =
																			(BgL_offsetz00_2692 % BgL_auxz00_4597);
																}}
																{	/* Trace/walk.scm 318 */

																	BgL_method3270z00_2685 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2690,
																			(int) (BgL_modz00_2693)),
																		(int) (BgL_restz00_2695));
									}}}}}}}}
									BgL_res3744z00_2710 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2685)
										(BgL_method3270z00_2685, (obj_t) (BgL_arg3598z00_2681),
											BgL_stackz00_1648, BEOA));
								}
								BgL_arg3597z00_2680 = BgL_res3744z00_2710;
						}}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1647))->BgL_valuez00) =
							((BgL_nodez00_bglt) BgL_arg3597z00_2680), BUNSPEC);
					}
					BgL_auxz00_4583 = BgL_nodez00_1647;
					return (obj_t) (BgL_auxz00_4583);
				}
			}
		}
	}



/* trace-node-cast3282 */
	obj_t BGl_tracezd2nodezd2cast3282z00zztrace_walkz00(obj_t BgL_envz00_3395,
		obj_t BgL_nodez00_3396, obj_t BgL_stackz00_3397)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 310 */
			{
				BgL_castz00_bglt BgL_nodez00_1640;

				obj_t BgL_stackz00_1641;

				{	/* Trace/walk.scm 311 */
					BgL_castz00_bglt BgL_auxz00_4611;

					BgL_nodez00_1640 = (BgL_castz00_bglt) (BgL_nodez00_3396);
					BgL_stackz00_1641 = BgL_stackz00_3397;
					{	/* Trace/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3595z00_2650;

						BgL_arg3595z00_2650 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1640))->BgL_argz00);
						{	/* Trace/walk.scm 311 */
							BgL_nodez00_bglt BgL_res3741z00_2679;

							{	/* Trace/walk.scm 311 */
								obj_t BgL_method3270z00_2654;

								{	/* Trace/walk.scm 311 */
									BgL_objectz00_bglt BgL_objz00_2655;

									BgL_objz00_2655 = (BgL_objectz00_bglt) (BgL_arg3595z00_2650);
									{	/* Trace/walk.scm 311 */
										long BgL_objzd2classzd2numz00_2656;

										BgL_objzd2classzd2numz00_2656 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2655);
										{	/* Trace/walk.scm 311 */
											obj_t BgL_arg2422z00_2657;

											BgL_arg2422z00_2657 =
												PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
												(int) (((long) 1)));
											{	/* Trace/walk.scm 311 */
												obj_t BgL_arrayz00_2659;

												int BgL_offsetz00_2660;

												BgL_arrayz00_2659 = BgL_arg2422z00_2657;
												BgL_offsetz00_2660 =
													(int) (BgL_objzd2classzd2numz00_2656);
												{	/* Trace/walk.scm 311 */
													long BgL_offsetz00_2661;

													BgL_offsetz00_2661 =
														((long) (BgL_offsetz00_2660) - OBJECT_TYPE);
													{	/* Trace/walk.scm 311 */
														long BgL_modz00_2662;

														{	/* Trace/walk.scm 311 */
															int BgL_arg2424z00_2663;

															BgL_arg2424z00_2663 = (int) (((long) 8));
															{	/* Trace/walk.scm 311 */
																long BgL_auxz00_4621;

																BgL_auxz00_4621 = (long) (BgL_arg2424z00_2663);
																BgL_modz00_2662 =
																	(BgL_offsetz00_2661 / BgL_auxz00_4621);
														}}
														{	/* Trace/walk.scm 311 */
															long BgL_restz00_2664;

															{	/* Trace/walk.scm 311 */
																int BgL_arg2423z00_2665;

																BgL_arg2423z00_2665 = (int) (((long) 8));
																{	/* Trace/walk.scm 311 */
																	long BgL_auxz00_4625;

																	BgL_auxz00_4625 =
																		(long) (BgL_arg2423z00_2665);
																	BgL_restz00_2664 =
																		(BgL_offsetz00_2661 % BgL_auxz00_4625);
															}}
															{	/* Trace/walk.scm 311 */

																BgL_method3270z00_2654 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2659,
																		(int) (BgL_modz00_2662)),
																	(int) (BgL_restz00_2664));
								}}}}}}}}
								BgL_res3741z00_2679 =
									(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2654)
									(BgL_method3270z00_2654, (obj_t) (BgL_arg3595z00_2650),
										BgL_stackz00_1641, BEOA));
							} BgL_res3741z00_2679;
					}}
					BgL_auxz00_4611 = BgL_nodez00_1640;
					return (obj_t) (BgL_auxz00_4611);
				}
			}
		}
	}



/* trace-node-extern3280 */
	obj_t BGl_tracezd2nodezd2extern3280z00zztrace_walkz00(obj_t BgL_envz00_3398,
		obj_t BgL_nodez00_3399, obj_t BgL_stackz00_3400)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 303 */
			{
				BgL_externz00_bglt BgL_nodez00_1633;

				obj_t BgL_stackz00_1634;

				{	/* Trace/walk.scm 304 */
					BgL_externz00_bglt BgL_auxz00_4638;

					BgL_nodez00_1633 = (BgL_externz00_bglt) (BgL_nodez00_3399);
					BgL_stackz00_1634 = BgL_stackz00_3400;
					{	/* Trace/walk.scm 304 */
						obj_t BgL_arg3593z00_2648;

						BgL_arg3593z00_2648 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1633))->BgL_exprza2za2);
						BGl_tracezd2nodeza2z12z62zztrace_walkz00(BgL_arg3593z00_2648,
							BgL_stackz00_1634);
					}
					BgL_auxz00_4638 = BgL_nodez00_1633;
					return (obj_t) (BgL_auxz00_4638);
				}
			}
		}
	}



/* trace-node-funcall3278 */
	obj_t BGl_tracezd2nodezd2funcall3278z00zztrace_walkz00(obj_t BgL_envz00_3401,
		obj_t BgL_nodez00_3402, obj_t BgL_stackz00_3403)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 294 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1623;

				obj_t BgL_stackz00_1624;

				{	/* Trace/walk.scm 295 */
					BgL_funcallz00_bglt BgL_auxz00_4643;

					BgL_nodez00_1623 = (BgL_funcallz00_bglt) (BgL_nodez00_3402);
					BgL_stackz00_1624 = BgL_stackz00_3403;
					{	/* Trace/walk.scm 296 */
						BgL_nodez00_bglt BgL_arg3589z00_1628;

						{	/* Trace/walk.scm 296 */
							BgL_nodez00_bglt BgL_arg3590z00_1629;

							BgL_arg3590z00_1629 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1623))->BgL_funz00);
							{	/* Trace/walk.scm 296 */
								BgL_nodez00_bglt BgL_res3738z00_2644;

								{	/* Trace/walk.scm 296 */
									obj_t BgL_method3270z00_2619;

									{	/* Trace/walk.scm 296 */
										BgL_objectz00_bglt BgL_objz00_2620;

										BgL_objz00_2620 =
											(BgL_objectz00_bglt) (BgL_arg3590z00_1629);
										{	/* Trace/walk.scm 296 */
											long BgL_objzd2classzd2numz00_2621;

											BgL_objzd2classzd2numz00_2621 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2620);
											{	/* Trace/walk.scm 296 */
												obj_t BgL_arg2422z00_2622;

												BgL_arg2422z00_2622 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 296 */
													obj_t BgL_arrayz00_2624;

													int BgL_offsetz00_2625;

													BgL_arrayz00_2624 = BgL_arg2422z00_2622;
													BgL_offsetz00_2625 =
														(int) (BgL_objzd2classzd2numz00_2621);
													{	/* Trace/walk.scm 296 */
														long BgL_offsetz00_2626;

														BgL_offsetz00_2626 =
															((long) (BgL_offsetz00_2625) - OBJECT_TYPE);
														{	/* Trace/walk.scm 296 */
															long BgL_modz00_2627;

															{	/* Trace/walk.scm 296 */
																int BgL_arg2424z00_2628;

																BgL_arg2424z00_2628 = (int) (((long) 8));
																{	/* Trace/walk.scm 296 */
																	long BgL_auxz00_4653;

																	BgL_auxz00_4653 =
																		(long) (BgL_arg2424z00_2628);
																	BgL_modz00_2627 =
																		(BgL_offsetz00_2626 / BgL_auxz00_4653);
															}}
															{	/* Trace/walk.scm 296 */
																long BgL_restz00_2629;

																{	/* Trace/walk.scm 296 */
																	int BgL_arg2423z00_2630;

																	BgL_arg2423z00_2630 = (int) (((long) 8));
																	{	/* Trace/walk.scm 296 */
																		long BgL_auxz00_4657;

																		BgL_auxz00_4657 =
																			(long) (BgL_arg2423z00_2630);
																		BgL_restz00_2629 =
																			(BgL_offsetz00_2626 % BgL_auxz00_4657);
																}}
																{	/* Trace/walk.scm 296 */

																	BgL_method3270z00_2619 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2624,
																			(int) (BgL_modz00_2627)),
																		(int) (BgL_restz00_2629));
									}}}}}}}}
									BgL_res3738z00_2644 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2619)
										(BgL_method3270z00_2619, (obj_t) (BgL_arg3590z00_1629),
											BgL_stackz00_1624, BEOA));
								}
								BgL_arg3589z00_1628 = BgL_res3738z00_2644;
						}}
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1623))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3589z00_1628), BUNSPEC);
					}
					{	/* Trace/walk.scm 297 */
						obj_t BgL_arg3591z00_1630;

						BgL_arg3591z00_1630 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1623))->BgL_argsz00);
						BGl_tracezd2nodeza2z12z62zztrace_walkz00(BgL_arg3591z00_1630,
							BgL_stackz00_1624);
					}
					BgL_auxz00_4643 = BgL_nodez00_1623;
					return (obj_t) (BgL_auxz00_4643);
				}
			}
		}
	}



/* trace-node-app-ly3276 */
	obj_t BGl_tracezd2nodezd2appzd2ly3276zd2zztrace_walkz00(obj_t BgL_envz00_3404,
		obj_t BgL_nodez00_3405, obj_t BgL_stackz00_3406)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 285 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1612;

				obj_t BgL_stackz00_1613;

				{	/* Trace/walk.scm 286 */
					BgL_appzd2lyzd2_bglt BgL_auxz00_4673;

					BgL_nodez00_1612 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_3405);
					BgL_stackz00_1613 = BgL_stackz00_3406;
					{	/* Trace/walk.scm 287 */
						BgL_nodez00_bglt BgL_arg3584z00_1617;

						{	/* Trace/walk.scm 287 */
							BgL_nodez00_bglt BgL_arg3585z00_1618;

							BgL_arg3585z00_1618 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1612))->BgL_funz00);
							{	/* Trace/walk.scm 287 */
								BgL_nodez00_bglt BgL_res3732z00_2582;

								{	/* Trace/walk.scm 287 */
									obj_t BgL_method3270z00_2557;

									{	/* Trace/walk.scm 287 */
										BgL_objectz00_bglt BgL_objz00_2558;

										BgL_objz00_2558 =
											(BgL_objectz00_bglt) (BgL_arg3585z00_1618);
										{	/* Trace/walk.scm 287 */
											long BgL_objzd2classzd2numz00_2559;

											BgL_objzd2classzd2numz00_2559 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2558);
											{	/* Trace/walk.scm 287 */
												obj_t BgL_arg2422z00_2560;

												BgL_arg2422z00_2560 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 287 */
													obj_t BgL_arrayz00_2562;

													int BgL_offsetz00_2563;

													BgL_arrayz00_2562 = BgL_arg2422z00_2560;
													BgL_offsetz00_2563 =
														(int) (BgL_objzd2classzd2numz00_2559);
													{	/* Trace/walk.scm 287 */
														long BgL_offsetz00_2564;

														BgL_offsetz00_2564 =
															((long) (BgL_offsetz00_2563) - OBJECT_TYPE);
														{	/* Trace/walk.scm 287 */
															long BgL_modz00_2565;

															{	/* Trace/walk.scm 287 */
																int BgL_arg2424z00_2566;

																BgL_arg2424z00_2566 = (int) (((long) 8));
																{	/* Trace/walk.scm 287 */
																	long BgL_auxz00_4683;

																	BgL_auxz00_4683 =
																		(long) (BgL_arg2424z00_2566);
																	BgL_modz00_2565 =
																		(BgL_offsetz00_2564 / BgL_auxz00_4683);
															}}
															{	/* Trace/walk.scm 287 */
																long BgL_restz00_2567;

																{	/* Trace/walk.scm 287 */
																	int BgL_arg2423z00_2568;

																	BgL_arg2423z00_2568 = (int) (((long) 8));
																	{	/* Trace/walk.scm 287 */
																		long BgL_auxz00_4687;

																		BgL_auxz00_4687 =
																			(long) (BgL_arg2423z00_2568);
																		BgL_restz00_2567 =
																			(BgL_offsetz00_2564 % BgL_auxz00_4687);
																}}
																{	/* Trace/walk.scm 287 */

																	BgL_method3270z00_2557 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2562,
																			(int) (BgL_modz00_2565)),
																		(int) (BgL_restz00_2567));
									}}}}}}}}
									BgL_res3732z00_2582 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2557)
										(BgL_method3270z00_2557, (obj_t) (BgL_arg3585z00_1618),
											BgL_stackz00_1613, BEOA));
								}
								BgL_arg3584z00_1617 = BgL_res3732z00_2582;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1612))->BgL_funz00) =
							((BgL_nodez00_bglt) BgL_arg3584z00_1617), BUNSPEC);
					}
					{	/* Trace/walk.scm 288 */
						BgL_nodez00_bglt BgL_arg3586z00_1619;

						{	/* Trace/walk.scm 288 */
							BgL_nodez00_bglt BgL_arg3587z00_1620;

							BgL_arg3587z00_1620 =
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1612))->BgL_argz00);
							{	/* Trace/walk.scm 288 */
								BgL_nodez00_bglt BgL_res3735z00_2613;

								{	/* Trace/walk.scm 288 */
									obj_t BgL_method3270z00_2588;

									{	/* Trace/walk.scm 288 */
										BgL_objectz00_bglt BgL_objz00_2589;

										BgL_objz00_2589 =
											(BgL_objectz00_bglt) (BgL_arg3587z00_1620);
										{	/* Trace/walk.scm 288 */
											long BgL_objzd2classzd2numz00_2590;

											BgL_objzd2classzd2numz00_2590 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2589);
											{	/* Trace/walk.scm 288 */
												obj_t BgL_arg2422z00_2591;

												BgL_arg2422z00_2591 =
													PROCEDURE_REF
													(BGl_tracezd2nodezd2envz00zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 288 */
													obj_t BgL_arrayz00_2593;

													int BgL_offsetz00_2594;

													BgL_arrayz00_2593 = BgL_arg2422z00_2591;
													BgL_offsetz00_2594 =
														(int) (BgL_objzd2classzd2numz00_2590);
													{	/* Trace/walk.scm 288 */
														long BgL_offsetz00_2595;

														BgL_offsetz00_2595 =
															((long) (BgL_offsetz00_2594) - OBJECT_TYPE);
														{	/* Trace/walk.scm 288 */
															long BgL_modz00_2596;

															{	/* Trace/walk.scm 288 */
																int BgL_arg2424z00_2597;

																BgL_arg2424z00_2597 = (int) (((long) 8));
																{	/* Trace/walk.scm 288 */
																	long BgL_auxz00_4708;

																	BgL_auxz00_4708 =
																		(long) (BgL_arg2424z00_2597);
																	BgL_modz00_2596 =
																		(BgL_offsetz00_2595 / BgL_auxz00_4708);
															}}
															{	/* Trace/walk.scm 288 */
																long BgL_restz00_2598;

																{	/* Trace/walk.scm 288 */
																	int BgL_arg2423z00_2599;

																	BgL_arg2423z00_2599 = (int) (((long) 8));
																	{	/* Trace/walk.scm 288 */
																		long BgL_auxz00_4712;

																		BgL_auxz00_4712 =
																			(long) (BgL_arg2423z00_2599);
																		BgL_restz00_2598 =
																			(BgL_offsetz00_2595 % BgL_auxz00_4712);
																}}
																{	/* Trace/walk.scm 288 */

																	BgL_method3270z00_2588 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2593,
																			(int) (BgL_modz00_2596)),
																		(int) (BgL_restz00_2598));
									}}}}}}}}
									BgL_res3735z00_2613 =
										(BgL_nodez00_bglt) (PROCEDURE_ENTRY(BgL_method3270z00_2588)
										(BgL_method3270z00_2588, (obj_t) (BgL_arg3587z00_1620),
											BgL_stackz00_1613, BEOA));
								}
								BgL_arg3586z00_1619 = BgL_res3735z00_2613;
						}}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1612))->BgL_argz00) =
							((BgL_nodez00_bglt) BgL_arg3586z00_1619), BUNSPEC);
					}
					BgL_auxz00_4673 = BgL_nodez00_1612;
					return (obj_t) (BgL_auxz00_4673);
				}
			}
		}
	}



/* trace-node-app3274 */
	obj_t BGl_tracezd2nodezd2app3274z00zztrace_walkz00(obj_t BgL_envz00_3407,
		obj_t BgL_nodez00_3408, obj_t BgL_stackz00_3409)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 278 */
			{
				BgL_appz00_bglt BgL_nodez00_1605;

				obj_t BgL_stackz00_1606;

				{	/* Trace/walk.scm 279 */
					BgL_appz00_bglt BgL_auxz00_4726;

					BgL_nodez00_1605 = (BgL_appz00_bglt) (BgL_nodez00_3408);
					BgL_stackz00_1606 = BgL_stackz00_3409;
					{	/* Trace/walk.scm 279 */
						obj_t BgL_arg3581z00_2552;

						BgL_arg3581z00_2552 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1605))->BgL_argsz00);
						BGl_tracezd2nodeza2z12z62zztrace_walkz00(BgL_arg3581z00_2552,
							BgL_stackz00_1606);
					}
					BgL_auxz00_4726 = BgL_nodez00_1605;
					return (obj_t) (BgL_auxz00_4726);
				}
			}
		}
	}



/* trace-node-sequence3272 */
	obj_t BGl_tracezd2nodezd2sequence3272z00zztrace_walkz00(obj_t BgL_envz00_3410,
		obj_t BgL_nodez00_3411, obj_t BgL_stackz00_3412)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 271 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1598;

				obj_t BgL_stackz00_1599;

				{	/* Trace/walk.scm 272 */
					BgL_sequencez00_bglt BgL_auxz00_4731;

					BgL_nodez00_1598 = (BgL_sequencez00_bglt) (BgL_nodez00_3411);
					BgL_stackz00_1599 = BgL_stackz00_3412;
					{	/* Trace/walk.scm 272 */
						obj_t BgL_arg3579z00_2550;

						BgL_arg3579z00_2550 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1598))->BgL_nodesz00);
						BGl_tracezd2nodeza2z12z62zztrace_walkz00(BgL_arg3579z00_2550,
							BgL_stackz00_1599);
					}
					BgL_auxz00_4731 = BgL_nodez00_1598;
					return (obj_t) (BgL_auxz00_4731);
				}
			}
		}
	}



/* find-last-node-jump-3266 */
	obj_t BGl_findzd2lastzd2nodezd2jumpzd23266z00zztrace_walkz00(obj_t
		BgL_envz00_3413, obj_t BgL_nodez00_3414)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 227 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1592;

				BgL_nodez00_1592 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_3414);
				{	/* Trace/walk.scm 228 */
					BgL_nodez00_bglt BgL_arg3577z00_2522;

					BgL_arg3577z00_2522 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1592))->
						BgL_valuez00);
					{	/* Trace/walk.scm 228 */
						obj_t BgL_method3239z00_2525;

						{	/* Trace/walk.scm 228 */
							BgL_objectz00_bglt BgL_objz00_2526;

							BgL_objz00_2526 = (BgL_objectz00_bglt) (BgL_arg3577z00_2522);
							{	/* Trace/walk.scm 228 */
								long BgL_objzd2classzd2numz00_2527;

								BgL_objzd2classzd2numz00_2527 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2526);
								{	/* Trace/walk.scm 228 */
									obj_t BgL_arg2422z00_2528;

									BgL_arg2422z00_2528 =
										PROCEDURE_REF
										(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
										(int) (((long) 1)));
									{	/* Trace/walk.scm 228 */
										obj_t BgL_arrayz00_2530;

										int BgL_offsetz00_2531;

										BgL_arrayz00_2530 = BgL_arg2422z00_2528;
										BgL_offsetz00_2531 = (int) (BgL_objzd2classzd2numz00_2527);
										{	/* Trace/walk.scm 228 */
											long BgL_offsetz00_2532;

											BgL_offsetz00_2532 =
												((long) (BgL_offsetz00_2531) - OBJECT_TYPE);
											{	/* Trace/walk.scm 228 */
												long BgL_modz00_2533;

												{	/* Trace/walk.scm 228 */
													int BgL_arg2424z00_2534;

													BgL_arg2424z00_2534 = (int) (((long) 8));
													{	/* Trace/walk.scm 228 */
														long BgL_auxz00_4745;

														BgL_auxz00_4745 = (long) (BgL_arg2424z00_2534);
														BgL_modz00_2533 =
															(BgL_offsetz00_2532 / BgL_auxz00_4745);
												}}
												{	/* Trace/walk.scm 228 */
													long BgL_restz00_2535;

													{	/* Trace/walk.scm 228 */
														int BgL_arg2423z00_2536;

														BgL_arg2423z00_2536 = (int) (((long) 8));
														{	/* Trace/walk.scm 228 */
															long BgL_auxz00_4749;

															BgL_auxz00_4749 = (long) (BgL_arg2423z00_2536);
															BgL_restz00_2535 =
																(BgL_offsetz00_2532 % BgL_auxz00_4749);
													}}
													{	/* Trace/walk.scm 228 */

														BgL_method3239z00_2525 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2530,
																(int) (BgL_modz00_2533)),
															(int) (BgL_restz00_2535));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3239z00_2525) (BgL_method3239z00_2525,
							(obj_t) (BgL_arg3577z00_2522), BEOA);
					}
				}
			}
		}
	}



/* find-last-node-set-e3264 */
	obj_t BGl_findzd2lastzd2nodezd2setzd2e3264z00zztrace_walkz00(obj_t
		BgL_envz00_3415, obj_t BgL_nodez00_3416)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 221 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1586;

				BgL_nodez00_1586 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_3416);
				{	/* Trace/walk.scm 222 */
					BgL_nodez00_bglt BgL_arg3575z00_2494;

					BgL_arg3575z00_2494 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1586))->BgL_bodyz00);
					{	/* Trace/walk.scm 222 */
						obj_t BgL_method3239z00_2497;

						{	/* Trace/walk.scm 222 */
							BgL_objectz00_bglt BgL_objz00_2498;

							BgL_objz00_2498 = (BgL_objectz00_bglt) (BgL_arg3575z00_2494);
							{	/* Trace/walk.scm 222 */
								long BgL_objzd2classzd2numz00_2499;

								BgL_objzd2classzd2numz00_2499 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2498);
								{	/* Trace/walk.scm 222 */
									obj_t BgL_arg2422z00_2500;

									BgL_arg2422z00_2500 =
										PROCEDURE_REF
										(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
										(int) (((long) 1)));
									{	/* Trace/walk.scm 222 */
										obj_t BgL_arrayz00_2502;

										int BgL_offsetz00_2503;

										BgL_arrayz00_2502 = BgL_arg2422z00_2500;
										BgL_offsetz00_2503 = (int) (BgL_objzd2classzd2numz00_2499);
										{	/* Trace/walk.scm 222 */
											long BgL_offsetz00_2504;

											BgL_offsetz00_2504 =
												((long) (BgL_offsetz00_2503) - OBJECT_TYPE);
											{	/* Trace/walk.scm 222 */
												long BgL_modz00_2505;

												{	/* Trace/walk.scm 222 */
													int BgL_arg2424z00_2506;

													BgL_arg2424z00_2506 = (int) (((long) 8));
													{	/* Trace/walk.scm 222 */
														long BgL_auxz00_4769;

														BgL_auxz00_4769 = (long) (BgL_arg2424z00_2506);
														BgL_modz00_2505 =
															(BgL_offsetz00_2504 / BgL_auxz00_4769);
												}}
												{	/* Trace/walk.scm 222 */
													long BgL_restz00_2507;

													{	/* Trace/walk.scm 222 */
														int BgL_arg2423z00_2508;

														BgL_arg2423z00_2508 = (int) (((long) 8));
														{	/* Trace/walk.scm 222 */
															long BgL_auxz00_4773;

															BgL_auxz00_4773 = (long) (BgL_arg2423z00_2508);
															BgL_restz00_2507 =
																(BgL_offsetz00_2504 % BgL_auxz00_4773);
													}}
													{	/* Trace/walk.scm 222 */

														BgL_method3239z00_2497 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2502,
																(int) (BgL_modz00_2505)),
															(int) (BgL_restz00_2507));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3239z00_2497) (BgL_method3239z00_2497,
							(obj_t) (BgL_arg3575z00_2494), BEOA);
					}
				}
			}
		}
	}



/* find-last-node-let-f3262 */
	obj_t BGl_findzd2lastzd2nodezd2letzd2f3262z00zztrace_walkz00(obj_t
		BgL_envz00_3417, obj_t BgL_nodez00_3418)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 215 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1580;

				BgL_nodez00_1580 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_3418);
				{	/* Trace/walk.scm 216 */
					BgL_nodez00_bglt BgL_arg3573z00_2466;

					BgL_arg3573z00_2466 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1580))->BgL_bodyz00);
					{	/* Trace/walk.scm 216 */
						obj_t BgL_method3239z00_2469;

						{	/* Trace/walk.scm 216 */
							BgL_objectz00_bglt BgL_objz00_2470;

							BgL_objz00_2470 = (BgL_objectz00_bglt) (BgL_arg3573z00_2466);
							{	/* Trace/walk.scm 216 */
								long BgL_objzd2classzd2numz00_2471;

								BgL_objzd2classzd2numz00_2471 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2470);
								{	/* Trace/walk.scm 216 */
									obj_t BgL_arg2422z00_2472;

									BgL_arg2422z00_2472 =
										PROCEDURE_REF
										(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
										(int) (((long) 1)));
									{	/* Trace/walk.scm 216 */
										obj_t BgL_arrayz00_2474;

										int BgL_offsetz00_2475;

										BgL_arrayz00_2474 = BgL_arg2422z00_2472;
										BgL_offsetz00_2475 = (int) (BgL_objzd2classzd2numz00_2471);
										{	/* Trace/walk.scm 216 */
											long BgL_offsetz00_2476;

											BgL_offsetz00_2476 =
												((long) (BgL_offsetz00_2475) - OBJECT_TYPE);
											{	/* Trace/walk.scm 216 */
												long BgL_modz00_2477;

												{	/* Trace/walk.scm 216 */
													int BgL_arg2424z00_2478;

													BgL_arg2424z00_2478 = (int) (((long) 8));
													{	/* Trace/walk.scm 216 */
														long BgL_auxz00_4793;

														BgL_auxz00_4793 = (long) (BgL_arg2424z00_2478);
														BgL_modz00_2477 =
															(BgL_offsetz00_2476 / BgL_auxz00_4793);
												}}
												{	/* Trace/walk.scm 216 */
													long BgL_restz00_2479;

													{	/* Trace/walk.scm 216 */
														int BgL_arg2423z00_2480;

														BgL_arg2423z00_2480 = (int) (((long) 8));
														{	/* Trace/walk.scm 216 */
															long BgL_auxz00_4797;

															BgL_auxz00_4797 = (long) (BgL_arg2423z00_2480);
															BgL_restz00_2479 =
																(BgL_offsetz00_2476 % BgL_auxz00_4797);
													}}
													{	/* Trace/walk.scm 216 */

														BgL_method3239z00_2469 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2474,
																(int) (BgL_modz00_2477)),
															(int) (BgL_restz00_2479));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3239z00_2469) (BgL_method3239z00_2469,
							(obj_t) (BgL_arg3573z00_2466), BEOA);
					}
				}
			}
		}
	}



/* find-last-node-let-v3260 */
	obj_t BGl_findzd2lastzd2nodezd2letzd2v3260z00zztrace_walkz00(obj_t
		BgL_envz00_3419, obj_t BgL_nodez00_3420)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 209 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1574;

				BgL_nodez00_1574 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_3420);
				{	/* Trace/walk.scm 210 */
					BgL_nodez00_bglt BgL_arg3571z00_2438;

					BgL_arg3571z00_2438 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1574))->BgL_bodyz00);
					{	/* Trace/walk.scm 210 */
						obj_t BgL_method3239z00_2441;

						{	/* Trace/walk.scm 210 */
							BgL_objectz00_bglt BgL_objz00_2442;

							BgL_objz00_2442 = (BgL_objectz00_bglt) (BgL_arg3571z00_2438);
							{	/* Trace/walk.scm 210 */
								long BgL_objzd2classzd2numz00_2443;

								BgL_objzd2classzd2numz00_2443 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2442);
								{	/* Trace/walk.scm 210 */
									obj_t BgL_arg2422z00_2444;

									BgL_arg2422z00_2444 =
										PROCEDURE_REF
										(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
										(int) (((long) 1)));
									{	/* Trace/walk.scm 210 */
										obj_t BgL_arrayz00_2446;

										int BgL_offsetz00_2447;

										BgL_arrayz00_2446 = BgL_arg2422z00_2444;
										BgL_offsetz00_2447 = (int) (BgL_objzd2classzd2numz00_2443);
										{	/* Trace/walk.scm 210 */
											long BgL_offsetz00_2448;

											BgL_offsetz00_2448 =
												((long) (BgL_offsetz00_2447) - OBJECT_TYPE);
											{	/* Trace/walk.scm 210 */
												long BgL_modz00_2449;

												{	/* Trace/walk.scm 210 */
													int BgL_arg2424z00_2450;

													BgL_arg2424z00_2450 = (int) (((long) 8));
													{	/* Trace/walk.scm 210 */
														long BgL_auxz00_4817;

														BgL_auxz00_4817 = (long) (BgL_arg2424z00_2450);
														BgL_modz00_2449 =
															(BgL_offsetz00_2448 / BgL_auxz00_4817);
												}}
												{	/* Trace/walk.scm 210 */
													long BgL_restz00_2451;

													{	/* Trace/walk.scm 210 */
														int BgL_arg2423z00_2452;

														BgL_arg2423z00_2452 = (int) (((long) 8));
														{	/* Trace/walk.scm 210 */
															long BgL_auxz00_4821;

															BgL_auxz00_4821 = (long) (BgL_arg2423z00_2452);
															BgL_restz00_2451 =
																(BgL_offsetz00_2448 % BgL_auxz00_4821);
													}}
													{	/* Trace/walk.scm 210 */

														BgL_method3239z00_2441 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2446,
																(int) (BgL_modz00_2449)),
															(int) (BgL_restz00_2451));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3239z00_2441) (BgL_method3239z00_2441,
							(obj_t) (BgL_arg3571z00_2438), BEOA);
					}
				}
			}
		}
	}



/* find-last-node-selec3258 */
	obj_t BGl_findzd2lastzd2nodezd2selec3258zd2zztrace_walkz00(obj_t
		BgL_envz00_3421, obj_t BgL_nodez00_3422)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 200 */
			{
				BgL_selectz00_bglt BgL_nodez00_1562;

				BgL_nodez00_1562 = (BgL_selectz00_bglt) (BgL_nodez00_3422);
				{	/* Trace/walk.scm 202 */
					bool_t BgL_testz00_4832;

					{	/* Trace/walk.scm 202 */
						obj_t BgL_auxz00_4833;

						BgL_auxz00_4833 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1562))->BgL_clausesz00);
						BgL_testz00_4832 = PAIRP(BgL_auxz00_4833);
					}
					if (BgL_testz00_4832)
						{	/* Trace/walk.scm 203 */
							obj_t BgL_arg3565z00_1567;

							BgL_arg3565z00_1567 =
								CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1562))->
										BgL_clausesz00)));
							{	/* Trace/walk.scm 203 */
								BgL_nodez00_bglt BgL_nodez00_2411;

								BgL_nodez00_2411 = (BgL_nodez00_bglt) (BgL_arg3565z00_1567);
								{	/* Trace/walk.scm 203 */
									obj_t BgL_method3239z00_2412;

									{	/* Trace/walk.scm 203 */
										BgL_objectz00_bglt BgL_objz00_2413;

										BgL_objz00_2413 = (BgL_objectz00_bglt) (BgL_nodez00_2411);
										{	/* Trace/walk.scm 203 */
											long BgL_objzd2classzd2numz00_2414;

											BgL_objzd2classzd2numz00_2414 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2413);
											{	/* Trace/walk.scm 203 */
												obj_t BgL_arg2422z00_2415;

												BgL_arg2422z00_2415 =
													PROCEDURE_REF
													(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 203 */
													obj_t BgL_arrayz00_2417;

													int BgL_offsetz00_2418;

													BgL_arrayz00_2417 = BgL_arg2422z00_2415;
													BgL_offsetz00_2418 =
														(int) (BgL_objzd2classzd2numz00_2414);
													{	/* Trace/walk.scm 203 */
														long BgL_offsetz00_2419;

														BgL_offsetz00_2419 =
															((long) (BgL_offsetz00_2418) - OBJECT_TYPE);
														{	/* Trace/walk.scm 203 */
															long BgL_modz00_2420;

															{	/* Trace/walk.scm 203 */
																int BgL_arg2424z00_2421;

																BgL_arg2424z00_2421 = (int) (((long) 8));
																{	/* Trace/walk.scm 203 */
																	long BgL_auxz00_4848;

																	BgL_auxz00_4848 =
																		(long) (BgL_arg2424z00_2421);
																	BgL_modz00_2420 =
																		(BgL_offsetz00_2419 / BgL_auxz00_4848);
															}}
															{	/* Trace/walk.scm 203 */
																long BgL_restz00_2422;

																{	/* Trace/walk.scm 203 */
																	int BgL_arg2423z00_2423;

																	BgL_arg2423z00_2423 = (int) (((long) 8));
																	{	/* Trace/walk.scm 203 */
																		long BgL_auxz00_4852;

																		BgL_auxz00_4852 =
																			(long) (BgL_arg2423z00_2423);
																		BgL_restz00_2422 =
																			(BgL_offsetz00_2419 % BgL_auxz00_4852);
																}}
																{	/* Trace/walk.scm 203 */

																	BgL_method3239z00_2412 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2417,
																			(int) (BgL_modz00_2420)),
																		(int) (BgL_restz00_2422));
									}}}}}}}}
									return
										PROCEDURE_ENTRY(BgL_method3239z00_2412)
										(BgL_method3239z00_2412, (obj_t) (BgL_nodez00_2411), BEOA);
								}
							}
						}
					else
						{	/* Trace/walk.scm 202 */
							return
								BGl_findzd2lastzd2sexpz00zztrace_walkz00(
								(obj_t) (
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1562))->
										BgL_testz00)));
						}
				}
			}
		}
	}



/* find-last-node-fail3256 */
	obj_t BGl_findzd2lastzd2nodezd2fail3256zd2zztrace_walkz00(obj_t
		BgL_envz00_3423, obj_t BgL_nodez00_3424)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 194 */
			{
				BgL_failz00_bglt BgL_nodez00_1556;

				BgL_nodez00_1556 = (BgL_failz00_bglt) (BgL_nodez00_3424);
				{	/* Trace/walk.scm 195 */
					BgL_nodez00_bglt BgL_arg3562z00_2379;

					BgL_arg3562z00_2379 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1556))->BgL_objz00);
					{	/* Trace/walk.scm 195 */
						obj_t BgL_method3239z00_2382;

						{	/* Trace/walk.scm 195 */
							BgL_objectz00_bglt BgL_objz00_2383;

							BgL_objz00_2383 = (BgL_objectz00_bglt) (BgL_arg3562z00_2379);
							{	/* Trace/walk.scm 195 */
								long BgL_objzd2classzd2numz00_2384;

								BgL_objzd2classzd2numz00_2384 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2383);
								{	/* Trace/walk.scm 195 */
									obj_t BgL_arg2422z00_2385;

									BgL_arg2422z00_2385 =
										PROCEDURE_REF
										(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
										(int) (((long) 1)));
									{	/* Trace/walk.scm 195 */
										obj_t BgL_arrayz00_2387;

										int BgL_offsetz00_2388;

										BgL_arrayz00_2387 = BgL_arg2422z00_2385;
										BgL_offsetz00_2388 = (int) (BgL_objzd2classzd2numz00_2384);
										{	/* Trace/walk.scm 195 */
											long BgL_offsetz00_2389;

											BgL_offsetz00_2389 =
												((long) (BgL_offsetz00_2388) - OBJECT_TYPE);
											{	/* Trace/walk.scm 195 */
												long BgL_modz00_2390;

												{	/* Trace/walk.scm 195 */
													int BgL_arg2424z00_2391;

													BgL_arg2424z00_2391 = (int) (((long) 8));
													{	/* Trace/walk.scm 195 */
														long BgL_auxz00_4875;

														BgL_auxz00_4875 = (long) (BgL_arg2424z00_2391);
														BgL_modz00_2390 =
															(BgL_offsetz00_2389 / BgL_auxz00_4875);
												}}
												{	/* Trace/walk.scm 195 */
													long BgL_restz00_2392;

													{	/* Trace/walk.scm 195 */
														int BgL_arg2423z00_2393;

														BgL_arg2423z00_2393 = (int) (((long) 8));
														{	/* Trace/walk.scm 195 */
															long BgL_auxz00_4879;

															BgL_auxz00_4879 = (long) (BgL_arg2423z00_2393);
															BgL_restz00_2392 =
																(BgL_offsetz00_2389 % BgL_auxz00_4879);
													}}
													{	/* Trace/walk.scm 195 */

														BgL_method3239z00_2382 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2387,
																(int) (BgL_modz00_2390)),
															(int) (BgL_restz00_2392));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3239z00_2382) (BgL_method3239z00_2382,
							(obj_t) (BgL_arg3562z00_2379), BEOA);
					}
				}
			}
		}
	}



/* find-last-node-condi3254 */
	obj_t BGl_findzd2lastzd2nodezd2condi3254zd2zztrace_walkz00(obj_t
		BgL_envz00_3425, obj_t BgL_nodez00_3426)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 188 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1550;

				BgL_nodez00_1550 = (BgL_conditionalz00_bglt) (BgL_nodez00_3426);
				{	/* Trace/walk.scm 189 */
					BgL_nodez00_bglt BgL_arg3560z00_2351;

					BgL_arg3560z00_2351 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1550))->BgL_falsez00);
					{	/* Trace/walk.scm 189 */
						obj_t BgL_method3239z00_2354;

						{	/* Trace/walk.scm 189 */
							BgL_objectz00_bglt BgL_objz00_2355;

							BgL_objz00_2355 = (BgL_objectz00_bglt) (BgL_arg3560z00_2351);
							{	/* Trace/walk.scm 189 */
								long BgL_objzd2classzd2numz00_2356;

								BgL_objzd2classzd2numz00_2356 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2355);
								{	/* Trace/walk.scm 189 */
									obj_t BgL_arg2422z00_2357;

									BgL_arg2422z00_2357 =
										PROCEDURE_REF
										(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
										(int) (((long) 1)));
									{	/* Trace/walk.scm 189 */
										obj_t BgL_arrayz00_2359;

										int BgL_offsetz00_2360;

										BgL_arrayz00_2359 = BgL_arg2422z00_2357;
										BgL_offsetz00_2360 = (int) (BgL_objzd2classzd2numz00_2356);
										{	/* Trace/walk.scm 189 */
											long BgL_offsetz00_2361;

											BgL_offsetz00_2361 =
												((long) (BgL_offsetz00_2360) - OBJECT_TYPE);
											{	/* Trace/walk.scm 189 */
												long BgL_modz00_2362;

												{	/* Trace/walk.scm 189 */
													int BgL_arg2424z00_2363;

													BgL_arg2424z00_2363 = (int) (((long) 8));
													{	/* Trace/walk.scm 189 */
														long BgL_auxz00_4899;

														BgL_auxz00_4899 = (long) (BgL_arg2424z00_2363);
														BgL_modz00_2362 =
															(BgL_offsetz00_2361 / BgL_auxz00_4899);
												}}
												{	/* Trace/walk.scm 189 */
													long BgL_restz00_2364;

													{	/* Trace/walk.scm 189 */
														int BgL_arg2423z00_2365;

														BgL_arg2423z00_2365 = (int) (((long) 8));
														{	/* Trace/walk.scm 189 */
															long BgL_auxz00_4903;

															BgL_auxz00_4903 = (long) (BgL_arg2423z00_2365);
															BgL_restz00_2364 =
																(BgL_offsetz00_2361 % BgL_auxz00_4903);
													}}
													{	/* Trace/walk.scm 189 */

														BgL_method3239z00_2354 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2359,
																(int) (BgL_modz00_2362)),
															(int) (BgL_restz00_2364));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3239z00_2354) (BgL_method3239z00_2354,
							(obj_t) (BgL_arg3560z00_2351), BEOA);
					}
				}
			}
		}
	}



/* find-last-node-setq3252 */
	obj_t BGl_findzd2lastzd2nodezd2setq3252zd2zztrace_walkz00(obj_t
		BgL_envz00_3427, obj_t BgL_nodez00_3428)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 182 */
			{
				BgL_setqz00_bglt BgL_nodez00_1544;

				BgL_nodez00_1544 = (BgL_setqz00_bglt) (BgL_nodez00_3428);
				{	/* Trace/walk.scm 183 */
					BgL_nodez00_bglt BgL_arg3558z00_2323;

					BgL_arg3558z00_2323 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1544))->BgL_valuez00);
					{	/* Trace/walk.scm 183 */
						obj_t BgL_method3239z00_2326;

						{	/* Trace/walk.scm 183 */
							BgL_objectz00_bglt BgL_objz00_2327;

							BgL_objz00_2327 = (BgL_objectz00_bglt) (BgL_arg3558z00_2323);
							{	/* Trace/walk.scm 183 */
								long BgL_objzd2classzd2numz00_2328;

								BgL_objzd2classzd2numz00_2328 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2327);
								{	/* Trace/walk.scm 183 */
									obj_t BgL_arg2422z00_2329;

									BgL_arg2422z00_2329 =
										PROCEDURE_REF
										(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
										(int) (((long) 1)));
									{	/* Trace/walk.scm 183 */
										obj_t BgL_arrayz00_2331;

										int BgL_offsetz00_2332;

										BgL_arrayz00_2331 = BgL_arg2422z00_2329;
										BgL_offsetz00_2332 = (int) (BgL_objzd2classzd2numz00_2328);
										{	/* Trace/walk.scm 183 */
											long BgL_offsetz00_2333;

											BgL_offsetz00_2333 =
												((long) (BgL_offsetz00_2332) - OBJECT_TYPE);
											{	/* Trace/walk.scm 183 */
												long BgL_modz00_2334;

												{	/* Trace/walk.scm 183 */
													int BgL_arg2424z00_2335;

													BgL_arg2424z00_2335 = (int) (((long) 8));
													{	/* Trace/walk.scm 183 */
														long BgL_auxz00_4923;

														BgL_auxz00_4923 = (long) (BgL_arg2424z00_2335);
														BgL_modz00_2334 =
															(BgL_offsetz00_2333 / BgL_auxz00_4923);
												}}
												{	/* Trace/walk.scm 183 */
													long BgL_restz00_2336;

													{	/* Trace/walk.scm 183 */
														int BgL_arg2423z00_2337;

														BgL_arg2423z00_2337 = (int) (((long) 8));
														{	/* Trace/walk.scm 183 */
															long BgL_auxz00_4927;

															BgL_auxz00_4927 = (long) (BgL_arg2423z00_2337);
															BgL_restz00_2336 =
																(BgL_offsetz00_2333 % BgL_auxz00_4927);
													}}
													{	/* Trace/walk.scm 183 */

														BgL_method3239z00_2326 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2331,
																(int) (BgL_modz00_2334)),
															(int) (BgL_restz00_2336));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3239z00_2326) (BgL_method3239z00_2326,
							(obj_t) (BgL_arg3558z00_2323), BEOA);
					}
				}
			}
		}
	}



/* find-last-node-exter3250 */
	obj_t BGl_findzd2lastzd2nodezd2exter3250zd2zztrace_walkz00(obj_t
		BgL_envz00_3429, obj_t BgL_nodez00_3430)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 173 */
			{
				BgL_externz00_bglt BgL_nodez00_1533;

				BgL_nodez00_1533 = (BgL_externz00_bglt) (BgL_nodez00_3430);
				{	/* Trace/walk.scm 175 */
					bool_t BgL_testz00_4938;

					{	/* Trace/walk.scm 175 */
						obj_t BgL_auxz00_4939;

						BgL_auxz00_4939 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1533))->BgL_exprza2za2);
						BgL_testz00_4938 = PAIRP(BgL_auxz00_4939);
					}
					if (BgL_testz00_4938)
						{	/* Trace/walk.scm 176 */
							obj_t BgL_arg3553z00_1538;

							BgL_arg3553z00_1538 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_externz00_bglt) CREF(BgL_nodez00_1533))->
										BgL_exprza2za2)));
							{	/* Trace/walk.scm 176 */
								BgL_nodez00_bglt BgL_nodez00_2297;

								BgL_nodez00_2297 = (BgL_nodez00_bglt) (BgL_arg3553z00_1538);
								{	/* Trace/walk.scm 176 */
									obj_t BgL_method3239z00_2298;

									{	/* Trace/walk.scm 176 */
										BgL_objectz00_bglt BgL_objz00_2299;

										BgL_objz00_2299 = (BgL_objectz00_bglt) (BgL_nodez00_2297);
										{	/* Trace/walk.scm 176 */
											long BgL_objzd2classzd2numz00_2300;

											BgL_objzd2classzd2numz00_2300 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2299);
											{	/* Trace/walk.scm 176 */
												obj_t BgL_arg2422z00_2301;

												BgL_arg2422z00_2301 =
													PROCEDURE_REF
													(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 176 */
													obj_t BgL_arrayz00_2303;

													int BgL_offsetz00_2304;

													BgL_arrayz00_2303 = BgL_arg2422z00_2301;
													BgL_offsetz00_2304 =
														(int) (BgL_objzd2classzd2numz00_2300);
													{	/* Trace/walk.scm 176 */
														long BgL_offsetz00_2305;

														BgL_offsetz00_2305 =
															((long) (BgL_offsetz00_2304) - OBJECT_TYPE);
														{	/* Trace/walk.scm 176 */
															long BgL_modz00_2306;

															{	/* Trace/walk.scm 176 */
																int BgL_arg2424z00_2307;

																BgL_arg2424z00_2307 = (int) (((long) 8));
																{	/* Trace/walk.scm 176 */
																	long BgL_auxz00_4954;

																	BgL_auxz00_4954 =
																		(long) (BgL_arg2424z00_2307);
																	BgL_modz00_2306 =
																		(BgL_offsetz00_2305 / BgL_auxz00_4954);
															}}
															{	/* Trace/walk.scm 176 */
																long BgL_restz00_2308;

																{	/* Trace/walk.scm 176 */
																	int BgL_arg2423z00_2309;

																	BgL_arg2423z00_2309 = (int) (((long) 8));
																	{	/* Trace/walk.scm 176 */
																		long BgL_auxz00_4958;

																		BgL_auxz00_4958 =
																			(long) (BgL_arg2423z00_2309);
																		BgL_restz00_2308 =
																			(BgL_offsetz00_2305 % BgL_auxz00_4958);
																}}
																{	/* Trace/walk.scm 176 */

																	BgL_method3239z00_2298 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2303,
																			(int) (BgL_modz00_2306)),
																		(int) (BgL_restz00_2308));
									}}}}}}}}
									return
										PROCEDURE_ENTRY(BgL_method3239z00_2298)
										(BgL_method3239z00_2298, (obj_t) (BgL_nodez00_2297), BEOA);
								}
							}
						}
					else
						{	/* Trace/walk.scm 175 */
							return (obj_t) (BgL_nodez00_1533);
						}
				}
			}
		}
	}



/* find-last-node-funca3248 */
	obj_t BGl_findzd2lastzd2nodezd2funca3248zd2zztrace_walkz00(obj_t
		BgL_envz00_3431, obj_t BgL_nodez00_3432)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 164 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1521;

				BgL_nodez00_1521 = (BgL_funcallz00_bglt) (BgL_nodez00_3432);
				{	/* Trace/walk.scm 166 */
					bool_t BgL_testz00_4970;

					{	/* Trace/walk.scm 166 */
						obj_t BgL_auxz00_4971;

						BgL_auxz00_4971 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1521))->BgL_argsz00);
						BgL_testz00_4970 = PAIRP(BgL_auxz00_4971);
					}
					if (BgL_testz00_4970)
						{	/* Trace/walk.scm 167 */
							obj_t BgL_arg3546z00_1526;

							BgL_arg3546z00_1526 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1521))->
										BgL_argsz00)));
							{	/* Trace/walk.scm 167 */
								BgL_nodez00_bglt BgL_nodez00_2240;

								BgL_nodez00_2240 = (BgL_nodez00_bglt) (BgL_arg3546z00_1526);
								{	/* Trace/walk.scm 167 */
									obj_t BgL_method3239z00_2241;

									{	/* Trace/walk.scm 167 */
										BgL_objectz00_bglt BgL_objz00_2242;

										BgL_objz00_2242 = (BgL_objectz00_bglt) (BgL_nodez00_2240);
										{	/* Trace/walk.scm 167 */
											long BgL_objzd2classzd2numz00_2243;

											BgL_objzd2classzd2numz00_2243 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2242);
											{	/* Trace/walk.scm 167 */
												obj_t BgL_arg2422z00_2244;

												BgL_arg2422z00_2244 =
													PROCEDURE_REF
													(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 167 */
													obj_t BgL_arrayz00_2246;

													int BgL_offsetz00_2247;

													BgL_arrayz00_2246 = BgL_arg2422z00_2244;
													BgL_offsetz00_2247 =
														(int) (BgL_objzd2classzd2numz00_2243);
													{	/* Trace/walk.scm 167 */
														long BgL_offsetz00_2248;

														BgL_offsetz00_2248 =
															((long) (BgL_offsetz00_2247) - OBJECT_TYPE);
														{	/* Trace/walk.scm 167 */
															long BgL_modz00_2249;

															{	/* Trace/walk.scm 167 */
																int BgL_arg2424z00_2250;

																BgL_arg2424z00_2250 = (int) (((long) 8));
																{	/* Trace/walk.scm 167 */
																	long BgL_auxz00_4986;

																	BgL_auxz00_4986 =
																		(long) (BgL_arg2424z00_2250);
																	BgL_modz00_2249 =
																		(BgL_offsetz00_2248 / BgL_auxz00_4986);
															}}
															{	/* Trace/walk.scm 167 */
																long BgL_restz00_2251;

																{	/* Trace/walk.scm 167 */
																	int BgL_arg2423z00_2252;

																	BgL_arg2423z00_2252 = (int) (((long) 8));
																	{	/* Trace/walk.scm 167 */
																		long BgL_auxz00_4990;

																		BgL_auxz00_4990 =
																			(long) (BgL_arg2423z00_2252);
																		BgL_restz00_2251 =
																			(BgL_offsetz00_2248 % BgL_auxz00_4990);
																}}
																{	/* Trace/walk.scm 167 */

																	BgL_method3239z00_2241 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2246,
																			(int) (BgL_modz00_2249)),
																		(int) (BgL_restz00_2251));
									}}}}}}}}
									return
										PROCEDURE_ENTRY(BgL_method3239z00_2241)
										(BgL_method3239z00_2241, (obj_t) (BgL_nodez00_2240), BEOA);
								}
							}
						}
					else
						{	/* Trace/walk.scm 168 */
							BgL_nodez00_bglt BgL_arg3549z00_1529;

							BgL_arg3549z00_1529 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1521))->BgL_funz00);
							{	/* Trace/walk.scm 168 */
								obj_t BgL_method3239z00_2268;

								{	/* Trace/walk.scm 168 */
									BgL_objectz00_bglt BgL_objz00_2269;

									BgL_objz00_2269 = (BgL_objectz00_bglt) (BgL_arg3549z00_1529);
									{	/* Trace/walk.scm 168 */
										long BgL_objzd2classzd2numz00_2270;

										BgL_objzd2classzd2numz00_2270 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_2269);
										{	/* Trace/walk.scm 168 */
											obj_t BgL_arg2422z00_2271;

											BgL_arg2422z00_2271 =
												PROCEDURE_REF
												(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
												(int) (((long) 1)));
											{	/* Trace/walk.scm 168 */
												obj_t BgL_arrayz00_2273;

												int BgL_offsetz00_2274;

												BgL_arrayz00_2273 = BgL_arg2422z00_2271;
												BgL_offsetz00_2274 =
													(int) (BgL_objzd2classzd2numz00_2270);
												{	/* Trace/walk.scm 168 */
													long BgL_offsetz00_2275;

													BgL_offsetz00_2275 =
														((long) (BgL_offsetz00_2274) - OBJECT_TYPE);
													{	/* Trace/walk.scm 168 */
														long BgL_modz00_2276;

														{	/* Trace/walk.scm 168 */
															int BgL_arg2424z00_2277;

															BgL_arg2424z00_2277 = (int) (((long) 8));
															{	/* Trace/walk.scm 168 */
																long BgL_auxz00_5009;

																BgL_auxz00_5009 = (long) (BgL_arg2424z00_2277);
																BgL_modz00_2276 =
																	(BgL_offsetz00_2275 / BgL_auxz00_5009);
														}}
														{	/* Trace/walk.scm 168 */
															long BgL_restz00_2278;

															{	/* Trace/walk.scm 168 */
																int BgL_arg2423z00_2279;

																BgL_arg2423z00_2279 = (int) (((long) 8));
																{	/* Trace/walk.scm 168 */
																	long BgL_auxz00_5013;

																	BgL_auxz00_5013 =
																		(long) (BgL_arg2423z00_2279);
																	BgL_restz00_2278 =
																		(BgL_offsetz00_2275 % BgL_auxz00_5013);
															}}
															{	/* Trace/walk.scm 168 */

																BgL_method3239z00_2268 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_2273,
																		(int) (BgL_modz00_2276)),
																	(int) (BgL_restz00_2278));
								}}}}}}}}
								return
									PROCEDURE_ENTRY(BgL_method3239z00_2268)
									(BgL_method3239z00_2268, (obj_t) (BgL_arg3549z00_1529), BEOA);
							}
						}
				}
			}
		}
	}



/* find-last-node-app-l3245 */
	obj_t BGl_findzd2lastzd2nodezd2appzd2l3245z00zztrace_walkz00(obj_t
		BgL_envz00_3433, obj_t BgL_nodez00_3434)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 158 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1515;

				BgL_nodez00_1515 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_3434);
				{	/* Trace/walk.scm 159 */
					BgL_nodez00_bglt BgL_arg3542z00_2208;

					BgL_arg3542z00_2208 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1515))->BgL_argz00);
					{	/* Trace/walk.scm 159 */
						obj_t BgL_method3239z00_2211;

						{	/* Trace/walk.scm 159 */
							BgL_objectz00_bglt BgL_objz00_2212;

							BgL_objz00_2212 = (BgL_objectz00_bglt) (BgL_arg3542z00_2208);
							{	/* Trace/walk.scm 159 */
								long BgL_objzd2classzd2numz00_2213;

								BgL_objzd2classzd2numz00_2213 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2212);
								{	/* Trace/walk.scm 159 */
									obj_t BgL_arg2422z00_2214;

									BgL_arg2422z00_2214 =
										PROCEDURE_REF
										(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
										(int) (((long) 1)));
									{	/* Trace/walk.scm 159 */
										obj_t BgL_arrayz00_2216;

										int BgL_offsetz00_2217;

										BgL_arrayz00_2216 = BgL_arg2422z00_2214;
										BgL_offsetz00_2217 = (int) (BgL_objzd2classzd2numz00_2213);
										{	/* Trace/walk.scm 159 */
											long BgL_offsetz00_2218;

											BgL_offsetz00_2218 =
												((long) (BgL_offsetz00_2217) - OBJECT_TYPE);
											{	/* Trace/walk.scm 159 */
												long BgL_modz00_2219;

												{	/* Trace/walk.scm 159 */
													int BgL_arg2424z00_2220;

													BgL_arg2424z00_2220 = (int) (((long) 8));
													{	/* Trace/walk.scm 159 */
														long BgL_auxz00_5033;

														BgL_auxz00_5033 = (long) (BgL_arg2424z00_2220);
														BgL_modz00_2219 =
															(BgL_offsetz00_2218 / BgL_auxz00_5033);
												}}
												{	/* Trace/walk.scm 159 */
													long BgL_restz00_2221;

													{	/* Trace/walk.scm 159 */
														int BgL_arg2423z00_2222;

														BgL_arg2423z00_2222 = (int) (((long) 8));
														{	/* Trace/walk.scm 159 */
															long BgL_auxz00_5037;

															BgL_auxz00_5037 = (long) (BgL_arg2423z00_2222);
															BgL_restz00_2221 =
																(BgL_offsetz00_2218 % BgL_auxz00_5037);
													}}
													{	/* Trace/walk.scm 159 */

														BgL_method3239z00_2211 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2216,
																(int) (BgL_modz00_2219)),
															(int) (BgL_restz00_2221));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3239z00_2211) (BgL_method3239z00_2211,
							(obj_t) (BgL_arg3542z00_2208), BEOA);
					}
				}
			}
		}
	}



/* find-last-node-app3243 */
	obj_t BGl_findzd2lastzd2nodezd2app3243zd2zztrace_walkz00(obj_t
		BgL_envz00_3435, obj_t BgL_nodez00_3436)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 149 */
			{
				BgL_appz00_bglt BgL_nodez00_1504;

				BgL_nodez00_1504 = (BgL_appz00_bglt) (BgL_nodez00_3436);
				{	/* Trace/walk.scm 151 */
					bool_t BgL_testz00_5048;

					{	/* Trace/walk.scm 151 */
						obj_t BgL_auxz00_5049;

						BgL_auxz00_5049 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1504))->BgL_argsz00);
						BgL_testz00_5048 = PAIRP(BgL_auxz00_5049);
					}
					if (BgL_testz00_5048)
						{	/* Trace/walk.scm 152 */
							obj_t BgL_arg3537z00_1509;

							BgL_arg3537z00_1509 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1504))->BgL_argsz00)));
							{	/* Trace/walk.scm 152 */
								BgL_nodez00_bglt BgL_nodez00_2182;

								BgL_nodez00_2182 = (BgL_nodez00_bglt) (BgL_arg3537z00_1509);
								{	/* Trace/walk.scm 152 */
									obj_t BgL_method3239z00_2183;

									{	/* Trace/walk.scm 152 */
										BgL_objectz00_bglt BgL_objz00_2184;

										BgL_objz00_2184 = (BgL_objectz00_bglt) (BgL_nodez00_2182);
										{	/* Trace/walk.scm 152 */
											long BgL_objzd2classzd2numz00_2185;

											BgL_objzd2classzd2numz00_2185 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2184);
											{	/* Trace/walk.scm 152 */
												obj_t BgL_arg2422z00_2186;

												BgL_arg2422z00_2186 =
													PROCEDURE_REF
													(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 152 */
													obj_t BgL_arrayz00_2188;

													int BgL_offsetz00_2189;

													BgL_arrayz00_2188 = BgL_arg2422z00_2186;
													BgL_offsetz00_2189 =
														(int) (BgL_objzd2classzd2numz00_2185);
													{	/* Trace/walk.scm 152 */
														long BgL_offsetz00_2190;

														BgL_offsetz00_2190 =
															((long) (BgL_offsetz00_2189) - OBJECT_TYPE);
														{	/* Trace/walk.scm 152 */
															long BgL_modz00_2191;

															{	/* Trace/walk.scm 152 */
																int BgL_arg2424z00_2192;

																BgL_arg2424z00_2192 = (int) (((long) 8));
																{	/* Trace/walk.scm 152 */
																	long BgL_auxz00_5064;

																	BgL_auxz00_5064 =
																		(long) (BgL_arg2424z00_2192);
																	BgL_modz00_2191 =
																		(BgL_offsetz00_2190 / BgL_auxz00_5064);
															}}
															{	/* Trace/walk.scm 152 */
																long BgL_restz00_2193;

																{	/* Trace/walk.scm 152 */
																	int BgL_arg2423z00_2194;

																	BgL_arg2423z00_2194 = (int) (((long) 8));
																	{	/* Trace/walk.scm 152 */
																		long BgL_auxz00_5068;

																		BgL_auxz00_5068 =
																			(long) (BgL_arg2423z00_2194);
																		BgL_restz00_2193 =
																			(BgL_offsetz00_2190 % BgL_auxz00_5068);
																}}
																{	/* Trace/walk.scm 152 */

																	BgL_method3239z00_2183 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2188,
																			(int) (BgL_modz00_2191)),
																		(int) (BgL_restz00_2193));
									}}}}}}}}
									return
										PROCEDURE_ENTRY(BgL_method3239z00_2183)
										(BgL_method3239z00_2183, (obj_t) (BgL_nodez00_2182), BEOA);
								}
							}
						}
					else
						{	/* Trace/walk.scm 151 */
							return (obj_t) (BgL_nodez00_1504);
						}
				}
			}
		}
	}



/* find-last-node-seque3241 */
	obj_t BGl_findzd2lastzd2nodezd2seque3241zd2zztrace_walkz00(obj_t
		BgL_envz00_3437, obj_t BgL_nodez00_3438)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 140 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1493;

				BgL_nodez00_1493 = (BgL_sequencez00_bglt) (BgL_nodez00_3438);
				{	/* Trace/walk.scm 142 */
					bool_t BgL_testz00_5080;

					{	/* Trace/walk.scm 142 */
						obj_t BgL_auxz00_5081;

						BgL_auxz00_5081 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1493))->BgL_nodesz00);
						BgL_testz00_5080 = PAIRP(BgL_auxz00_5081);
					}
					if (BgL_testz00_5080)
						{	/* Trace/walk.scm 143 */
							obj_t BgL_arg3531z00_1498;

							BgL_arg3531z00_1498 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1493))->
										BgL_nodesz00)));
							{	/* Trace/walk.scm 143 */
								BgL_nodez00_bglt BgL_nodez00_2152;

								BgL_nodez00_2152 = (BgL_nodez00_bglt) (BgL_arg3531z00_1498);
								{	/* Trace/walk.scm 143 */
									obj_t BgL_method3239z00_2153;

									{	/* Trace/walk.scm 143 */
										BgL_objectz00_bglt BgL_objz00_2154;

										BgL_objz00_2154 = (BgL_objectz00_bglt) (BgL_nodez00_2152);
										{	/* Trace/walk.scm 143 */
											long BgL_objzd2classzd2numz00_2155;

											BgL_objzd2classzd2numz00_2155 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_2154);
											{	/* Trace/walk.scm 143 */
												obj_t BgL_arg2422z00_2156;

												BgL_arg2422z00_2156 =
													PROCEDURE_REF
													(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
													(int) (((long) 1)));
												{	/* Trace/walk.scm 143 */
													obj_t BgL_arrayz00_2158;

													int BgL_offsetz00_2159;

													BgL_arrayz00_2158 = BgL_arg2422z00_2156;
													BgL_offsetz00_2159 =
														(int) (BgL_objzd2classzd2numz00_2155);
													{	/* Trace/walk.scm 143 */
														long BgL_offsetz00_2160;

														BgL_offsetz00_2160 =
															((long) (BgL_offsetz00_2159) - OBJECT_TYPE);
														{	/* Trace/walk.scm 143 */
															long BgL_modz00_2161;

															{	/* Trace/walk.scm 143 */
																int BgL_arg2424z00_2162;

																BgL_arg2424z00_2162 = (int) (((long) 8));
																{	/* Trace/walk.scm 143 */
																	long BgL_auxz00_5096;

																	BgL_auxz00_5096 =
																		(long) (BgL_arg2424z00_2162);
																	BgL_modz00_2161 =
																		(BgL_offsetz00_2160 / BgL_auxz00_5096);
															}}
															{	/* Trace/walk.scm 143 */
																long BgL_restz00_2163;

																{	/* Trace/walk.scm 143 */
																	int BgL_arg2423z00_2164;

																	BgL_arg2423z00_2164 = (int) (((long) 8));
																	{	/* Trace/walk.scm 143 */
																		long BgL_auxz00_5100;

																		BgL_auxz00_5100 =
																			(long) (BgL_arg2423z00_2164);
																		BgL_restz00_2163 =
																			(BgL_offsetz00_2160 % BgL_auxz00_5100);
																}}
																{	/* Trace/walk.scm 143 */

																	BgL_method3239z00_2153 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_2158,
																			(int) (BgL_modz00_2161)),
																		(int) (BgL_restz00_2163));
									}}}}}}}}
									return
										PROCEDURE_ENTRY(BgL_method3239z00_2153)
										(BgL_method3239z00_2153, (obj_t) (BgL_nodez00_2152), BEOA);
								}
							}
						}
					else
						{	/* Trace/walk.scm 142 */
							return (obj_t) (BgL_nodez00_1493);
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 445289072),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 498112980),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 80496154),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 55320605),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3845z00zztrace_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
